import { defineComponent as T, ref as f, resolveComponent as b, createElementBlock as r, openBlock as a, createElementVNode as n, createVNode as v, toDisplayString as d, unref as y, computed as h, withCtx as M, Fragment as V, renderList as N, createCommentVNode as I, createBlock as S } from "vue";
import { useDialog as J, useSnackbar as Q } from "@feedmepos/ui-library";
import { useI18n as K } from "@feedmepos/mf-common";
import { defineStore as X } from "pinia";
import { r as D, g as U, D as Z } from "./dayjs.min-BLlPHZkl.js";
import "./queue.do-zk6sqriQ.js";
const ee = /* @__PURE__ */ T({
  __name: "KioskUnbindConfirm",
  props: {
    machineId: {}
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const { t: l } = K(), u = t, m = f("");
    function o(s) {
      u("update:modelValue", s);
    }
    return (s, k) => {
      const w = b("FmTextField");
      return a(), r("div", null, [
        n("span", null, d(y(l)("order.unbindKioskDeviceWarning", { machineId: s.machineId })), 1),
        v(w, {
          "model-value": m.value,
          "onUpdate:modelValue": o,
          placeholder: s.machineId
        }, null, 8, ["model-value", "placeholder"])
      ]);
    };
  }
});
async function ne() {
  const e = await D().get("/kiosk/otp");
  return U(e);
}
async function te() {
  const e = await D().get("/kiosk/devices");
  return U(e);
}
async function oe(e) {
  await D().delete(`/kiosk/unbind/${e}`);
}
async function se(e, t) {
  await D().put(`/kiosk/updateDevicePin/${t}`, { pinInfo: e });
}
const x = {
  requestOtp: ne,
  getDevices: te,
  unbind: oe,
  updateDevicePin: se
}, ie = (e) => ({
  name: e.name ?? "N/A",
  machineId: e.machineId,
  config: {
    scannerInfo: e.scannerInfo ?? void 0,
    printerInfo: e.printerInfo ?? void 0,
    terminalInfo: e.terminalInfo ?? void 0
  },
  activatedAt: ae(e.token),
  deviceAppType: e.deviceAppType ?? void 0,
  slotInfo: e.slotInfo ?? void 0,
  pinInfo: e.pinInfo ?? void 0,
  deviceAppVersion: e.deviceAppVersion ?? void 0
});
function ae(e) {
  const t = e.substring(0, 8), l = parseInt(t, 16);
  return new Date(l * 1e3);
}
const le = {
  toMfKioskDevice: ie
}, ce = X("kiosk", () => {
  const e = f({
    otp: "",
    devices: []
  });
  async function t() {
    const o = await x.requestOtp();
    e.value.otp = o.otp;
  }
  async function l() {
    const o = await x.getDevices();
    e.value.devices = o.map((s) => le.toMfKioskDevice(s));
  }
  async function u(o) {
    await x.unbind(o), await l();
  }
  async function m(o, s) {
    await x.updateDevicePin(o, s);
  }
  return {
    state: e.value,
    requestOtp: t,
    getDevices: l,
    unbind: u,
    updateDevicePin: m
  };
}), re = { class: "border fm-corner-radius-lg flex justify-between pr-[1rem] w-11/12" }, de = {
  key: 0,
  class: "py-[1rem] flex flex-col gap-6"
}, pe = { class: "fm-typo-en-title-sm-600" }, ue = { class: "w-full border p-[1.5rem] fm-corner-radius-lg flex flex-col gap-2" }, me = { class: "flex flex-col gap-1 mb-2" }, fe = { class: "fm-typo-en-body-lg-600 block" }, ve = { class: "flex flex-col gap-1 mb-2" }, ye = { class: "fm-typo-en-body-lg-600 block" }, _e = { class: "flex flex-col gap-1 mb-2" }, be = { class: "fm-typo-en-body-lg-600 block" }, ke = { class: "w-full border p-[1.5rem] fm-corner-radius-lg flex flex-col gap-2" }, ge = {
  key: 0,
  class: "fm-typo-en-title-sm-600"
}, he = { class: "flex flex-col gap-1" }, Ie = { class: "fm-typo-en-body-lg-400 text-fm-color-typo-secondary" }, xe = { class: "fm-typo-en-body-lg-600 block" }, De = { key: 1 }, we = { class: "py-[1rem] flex flex-col gap-6 text-center items-center" }, Pe = { class: "flex flex-col gap-1 mb-2" }, Ae = { class: "fm-typo-en-body-lg-400 text-fm-color-typo-secondary" }, Fe = { class: "mt-5 block" }, Ce = /* @__PURE__ */ T({
  __name: "KioskDeviceCard",
  props: {
    device: {}
  },
  setup(e) {
    const { t } = K(), l = J(), u = Q(), m = ce(), o = f(!1), s = e, k = f(""), w = h(() => Object.entries(s.device.config)), E = h(() => {
      var i;
      return ((i = s.device) == null ? void 0 : i.deviceAppType) === "TABLET_APP" ? "Tablet App" : "Kiosk App";
    });
    function q() {
      k.value = "", l.open({
        title: t("order.unbindKioskDevice"),
        contentComponent: ee,
        contentComponentProps: {
          machineId: s.device.machineId,
          "onUpdate:modelValue": (i) => {
            k.value = i;
          }
        },
        dismissAway: !1,
        primaryActions: {
          text: t("order.unbind"),
          variant: "destructive",
          close: !1
        },
        secondaryActions: {
          text: t("order.cancel"),
          variant: "tertiary",
          close: !0
        }
      }).onPrimary(async () => {
        k.value == s.device.machineId ? (await R(), u.open({
          type: "success",
          message: t("order.unbindSuccess"),
          position: "bottom"
        }), l.close()) : u.open({
          type: "warning",
          message: t("order.unbindWarning"),
          position: "bottom"
        });
      });
    }
    const Y = h(() => {
      var i;
      return (i = s.device) == null ? void 0 : i.pinInfo;
    }), L = h(() => _.value ? "Re-enter new PIN" : "Enter new PIN"), _ = f(!1), g = f(), P = f();
    function j() {
      o.value = !0;
    }
    function A() {
      _.value = !1, g.value = null, P.value = null, o.value = !1;
    }
    function $(i) {
      _.value ? (P.value = i, W()) : (g.value = i, _.value = !0);
    }
    async function W() {
      g.value === P.value ? (await H(), u.open({
        type: "success",
        message: "Successfuly update device PIN",
        position: "top"
      })) : u.open({
        type: "error",
        message: "Entered PIN not the same, please try again",
        position: "top"
      }), A();
    }
    async function H() {
      await m.updateDevicePin(g.value, s.device.machineId);
    }
    async function R() {
      await m.unbind(s.device.machineId);
    }
    return (i, c) => {
      const z = b("FmListItem"), F = b("FmButton"), B = b("FmPinField"), G = b("FmSideSheet");
      return a(), r("div", re, [
        v(G, {
          header: y(t)("order.deviceDetails"),
          "dismiss-away": "",
          class: "w-full",
          maxWidth: 700,
          "onOn:clickedAway": A
        }, {
          "side-sheet-button": M(() => [
            v(z, {
              class: "flex-1",
              label: i.device.name,
              sublabel: `${y(t)("order.activatedDate")}: ${y(Z)(i.device.activatedAt).format("DD MMM YYYY HH:mm")}`
            }, null, 8, ["label", "sublabel"])
          ]),
          default: M(() => {
            var O;
            return [
              o.value ? (a(), r("div", De, [
                n("div", we, [
                  n("div", Pe, [
                    n("span", Ae, d(L.value), 1),
                    n("span", Fe, [
                      _.value ? I("", !0) : (a(), S(B, {
                        key: 0,
                        length: 4,
                        onComplete: c[0] || (c[0] = (p) => $(p))
                      })),
                      _.value ? (a(), S(B, {
                        key: 1,
                        length: 4,
                        onComplete: c[1] || (c[1] = (p) => $(p))
                      })) : I("", !0)
                    ])
                  ]),
                  v(F, {
                    class: "w-1/3",
                    variant: "secondary",
                    label: "Cancel reset PIN",
                    onClick: A
                  })
                ])
              ])) : (a(), r("div", de, [
                n("span", pe, d(i.device.name), 1),
                n("div", ue, [
                  c[5] || (c[5] = n("span", { class: "fm-typo-en-title-sm-600 mb-3" }, "App Info", -1)),
                  n("div", me, [
                    c[2] || (c[2] = n("span", { class: "fm-typo-en-body-lg-400 text-fm-color-typo-secondary" }, "Type", -1)),
                    n("span", fe, d(E.value), 1)
                  ]),
                  n("div", ve, [
                    c[3] || (c[3] = n("span", { class: "fm-typo-en-body-lg-400 text-fm-color-typo-secondary" }, "Version", -1)),
                    n("span", ye, d(i.device.deviceAppVersion ?? "Below 0.0.42"), 1)
                  ]),
                  n("div", _e, [
                    c[4] || (c[4] = n("span", { class: "fm-typo-en-body-lg-400 text-fm-color-typo-secondary" }, "PIN Code", -1)),
                    n("span", be, d(Y.value ? "Yes" : "No"), 1)
                  ]),
                  v(F, {
                    class: "w-auto",
                    variant: "primary",
                    label: (O = i.device) != null && O.pinInfo ? "Reset Device PIN" : "Set Device PIN",
                    onClick: j
                  }, null, 8, ["label"])
                ]),
                (a(!0), r(V, null, N(w.value.filter((p) => p[1]), (p) => (a(), r("div", ke, [
                  p[1] ? (a(), r("span", ge, d(p[0]), 1)) : I("", !0),
                  p[1] ? (a(!0), r(V, { key: 1 }, N(Object.entries(p[1]), (C) => (a(), r("div", he, [
                    n("span", Ie, d(C[0]), 1),
                    n("span", xe, d(C[1] == "" ? "-" : C[1]), 1)
                  ]))), 256)) : I("", !0)
                ]))), 256))
              ]))
            ];
          }),
          _: 1
        }, 8, ["header"]),
        v(F, {
          variant: "plain",
          "append-icon": "link_off",
          class: "text-fm-color-system-error-300 align-middle my-auto",
          onClick: q
        })
      ]);
    };
  }
}), Ve = { class: "flex flex-col gap-2" }, Ne = { class: "flex flex-col gap-2" }, Se = { class: "fm-typo-en-title-sm-600 block" }, Te = { class: "fm-typo-en-body-md-400 block" }, Ke = { class: "flex flex-col gap-6" }, qe = /* @__PURE__ */ T({
  __name: "KioskDevicesView",
  props: {
    devices: {},
    requestOtp: { type: Function }
  },
  setup(e) {
    const { t } = K();
    return (l, u) => {
      const m = b("FmButton");
      return a(), r("div", null, [
        n("div", Ve, [
          n("div", Ne, [
            n("span", Se, d(y(t)("order.kioskDisplay")), 1),
            n("span", Te, d(y(t)("order.kioskDisplayDescription")), 1)
          ]),
          n("div", Ke, [
            (a(!0), r(V, null, N(l.devices, (o) => (a(), S(Ce, {
              key: o.machineId,
              device: o
            }, null, 8, ["device"]))), 128)),
            v(m, {
              variant: "plain",
              class: "w-[10rem] border border-fm-color-primary fm-corner-radius-lg",
              label: y(t)("order.bindDevice"),
              size: "md",
              "prepend-icon": "link",
              onClick: l.requestOtp
            }, null, 8, ["label", "onClick"])
          ])
        ])
      ]);
    };
  }
});
export {
  qe as _,
  ce as u
};
