import { FdoDinero } from '@feedmepos/core/entity';
import { F_BOOKING_CHARGE_TYPE } from '../../package/entity/booking/booking.enum';
type BookingCalculableCharge = {
    rate?: number;
    fixedAmount: FdoDinero;
    /**
     * Will use higher amount if only `type` is [F_BOOKING_CHARGE_TYPE.Enum.DEPOSIT_CHARGE]
     */
    type: F_BOOKING_CHARGE_TYPE;
};
type BookingAcceptMessagePayload = {
    restaurantName: string;
    seqNumber: string;
    reserveAt: string;
};
type BookingCancelMessagePayload = {
    restaurantName: string;
    restaurantPhone: string;
    seqNumber: string;
};
declare function calculateTotal({ charges, billGrossTotal, fullPayment, }: {
    billGrossTotal: FdoDinero;
    charges: BookingCalculableCharge[];
    fullPayment: boolean;
}): FdoDinero;
declare function calculateSingle({ billGrossTotal, charge, }: {
    billGrossTotal: FdoDinero;
    charge: BookingCalculableCharge;
}): FdoDinero;
declare function generateCancelMessage({ restaurantName, restaurantPhone, seqNumber, }: BookingCancelMessagePayload): string;
declare function generateAcceptMessage({ restaurantName, reserveAt, seqNumber, }: BookingAcceptMessagePayload): string;
export declare const Booking: {
    calculateTotal: typeof calculateTotal;
    calculateSingle: typeof calculateSingle;
    generateAcceptMessage: typeof generateAcceptMessage;
    generateCancelMessage: typeof generateCancelMessage;
};
export {};
