import { FdoDecimal } from "@feedmepos/core/entity";
declare function toCouchDbName(id: string): string;
declare function billIdToDate(id: string): Date;
declare function objectIdToDate(id: string): Date;
declare function dateToObjectId(date: Date): string;
declare function percentageToFdoDecimal(rate: number): FdoDecimal;
declare function objectToArray<T>(obj: {
    [key: string]: T;
}, idKey?: string): (T & {
    _id: string;
})[];
declare function group<T extends {
    [key: string]: any;
}, K extends keyof T>(list: T[], key: ((obj: T) => string) | K): {
    [key: string]: T[];
};
export declare const Convertor: {
    group: typeof group;
    toCouchDbName: typeof toCouchDbName;
    billIdToDate: typeof billIdToDate;
    objectIdToDate: typeof objectIdToDate;
    dateToObjectId: typeof dateToObjectId;
    percentageToFdoDecimal: typeof percentageToFdoDecimal;
    objectToArray: typeof objectToArray;
};
export {};
