import { F_ORDER_TYPE, FdoBill, FdoRestaurant } from '@feedmepos/core/entity';
import { F_ORDER_DINE_IN_TYPE } from '../../package/entity/order/order.enum';
import { F_SMS_KEY, type F_SMS_ACTION, type FdoOrder, type OrderSmsMessageSettingDto, type OrderSmsSettingDto } from '../../package/entity';
export declare function formatAddress(address?: any): string;
declare function readKeyByType(type: F_ORDER_TYPE | F_ORDER_DINE_IN_TYPE): F_SMS_KEY[];
declare function generateSms(message: OrderSmsMessageSettingDto, payload?: {
    bill?: FdoBill;
    order?: FdoOrder;
    restaurant?: FdoRestaurant;
}): any;
declare function processSms(settings: OrderSmsSettingDto[], order: FdoOrder, restaurant: FdoRestaurant, bill: FdoBill, action: F_SMS_ACTION): {
    businessId: string;
    content: {
        phoneNo: string;
        message: string;
    }[];
    forceSend?: boolean;
}[];
export declare const SMS: {
    readKeyByType: typeof readKeyByType;
    generateSms: typeof generateSms;
    processSms: typeof processSms;
};
export {};
