declare function randomString(length?: number): string;
declare function arrayToObject<T extends {
    [key: string]: any;
}, K extends keyof T>(array: T[], idKey?: K): {
    [key: string]: T;
};
declare function objectToArray<T>(obj: {
    [key: string]: T;
}, idKey?: string): (T & {
    _id: string;
})[];
declare function retry(cb: () => Promise<any>, retryCount?: number): Promise<any>;
declare function addItemToArray<T>(v: T, arr?: T[] | null): T[];
declare function capitalize(str: string): string;
export declare function isDeepEql(a: any, b: any): boolean;
export type DeepPartial<T> = T extends object ? {
    [P in keyof T]?: DeepPartial<T[P]>;
} : T;
export declare function isObjectDeepEqual<T extends object>(oldV: T, newV: T): DeepPartial<T>;
export declare const Util: {
    randomString: typeof randomString;
    arrayToObject: typeof arrayToObject;
    objectToArray: typeof objectToArray;
    retry: typeof retry;
    addItemToArray: typeof addItemToArray;
    capitalize: typeof capitalize;
    isObjectDeepEqual: typeof isObjectDeepEqual;
};
export {};
