import { type AxiosInstance, type AxiosResponse } from 'axios';
export declare const defaultCountry: string;
type ApiVariant = 'portal' | 'auth' | 'localhost';
interface ApiUrl {
    portalBackendUrl: string;
    websocketBackendUrl: string;
    linkedDeliveryBackend: string;
    menuBackendUrl: string;
    smsBackendUrl: string;
    accountBackendUrl: string;
    marketingBackendUrl: string;
}
export declare const SvcConfig: {
    getIdToken(): string | null;
    getBusinessId(): string | null;
    getRestaurantId(): string | null;
    setRestaurantId(restaurantId: string | null): void;
    setBackendUrl(): void;
    getBackendUrl(): ApiUrl;
};
declare class ApiError extends Error {
    constructor(message?: string);
}
export declare class SvcCompanyApiError extends ApiError {
    constructor(message: string);
}
export declare const baseClientInstance: (path?: string, variant?: ApiVariant, config?: {
    noIdRequired?: boolean;
    url?: string;
    customIdToken?: string;
}, port?: string) => AxiosInstance;
export declare const authInstance: (config?: {
    noIdRequired?: boolean;
    url?: string;
    customIdToken?: string;
}) => AxiosInstance;
export declare const businessClientInstance: (businessId?: string) => AxiosInstance;
export declare const restaurantClientInstance: (prefix?: string) => AxiosInstance;
export declare const menuClientInstance: () => AxiosInstance;
export declare const smsBackendClientInstance: () => AxiosInstance;
export declare const marketingBackendClientInstance: () => AxiosInstance;
export declare function getData<T>(response: AxiosResponse<T>): T;
export {};
