import type { DeliveryCompany, LinkedDeliveryDoc } from '../../views/order-settings/delivery/delivery';
import { FdoFoodpandaSettings, FdoLinkedDelivery, FdoRestaurant, FdoRestaurantFeedmeDelivery, FdoRestaurantInHouseDelivery, FdoShopeeFoodOrder } from '@feedmepos/core/entity';
import type { FdoExternalSetting, FdoFoodpandaOrderOutput, FdoGrabfoodOrderOutput, FdoGrabfoodSettings, FdoShopeeFoodOrderOutput, FdoShopeeFoodSettings, FdtoGetOrderReq } from '@entity';
type DeliveryCompanyUrl = 'foodpanda' | 'grabfood' | 'shopeefood' | 'external';
export declare const remoteOrderApi: {
    readLinkedDeliveryCompanies(): Promise<LinkedDeliveryDoc[]>;
    readLocalDeliveryCompanies(): Promise<DeliveryCompany[]>;
    createDeliveryCompany(delivery: FdoLinkedDelivery): Promise<LinkedDeliveryDoc>;
    updateDeliveryCompany(delivery: LinkedDeliveryDoc): Promise<LinkedDeliveryDoc>;
    deleteDeliveryCompany(delivery: LinkedDeliveryDoc): Promise<LinkedDeliveryDoc>;
    integratedDelivery: {
        updateInhouse(restaurantId: string, dto: FdoRestaurantInHouseDelivery): Promise<FdoRestaurant>;
        updateFeedme(restaurantId: string, dto: FdoRestaurantFeedmeDelivery): Promise<FdoRestaurant>;
        readFoodpanda(restaurantId: string): Promise<FdoFoodpandaSettings | null>;
        readFoodpandaOrders(req: FdtoGetOrderReq): Promise<FdoFoodpandaOrderOutput[]>;
        reflowFoodpandaOrders(orderId: string): Promise<FdoFoodpandaOrderOutput>;
        rejectFoodpandaOrders(orderId: string): Promise<FdoFoodpandaOrderOutput>;
        updateFoodpanda(restaurantId: string, dto: FdoFoodpandaSettings): Promise<FdoFoodpandaSettings>;
        syncFoodpandaMenu(restaurantId: string): Promise<FdoFoodpandaSettings>;
        readGrabfood(restaurantId: string): Promise<FdoGrabfoodSettings | null>;
        readGrabfoodOrders(req: FdtoGetOrderReq): Promise<FdoGrabfoodOrderOutput[]>;
        reflowGrabfoodOrders(orderId: string): Promise<FdoGrabfoodOrderOutput>;
        rejectGrabfoodOrders(orderId: string): Promise<FdoGrabfoodOrderOutput>;
        updateGrabfood(restaurantId: string, dto: FdoGrabfoodSettings): Promise<FdoRestaurant>;
        syncGrabfoodMenu(merchantId: string): Promise<FdoGrabfoodSettings>;
        startSelfServeFlow(restaurantId: string): Promise<string>;
        readShopeefood(restaurantId: string): Promise<FdoShopeeFoodSettings | null>;
        readShopeefoodOrders(req: FdtoGetOrderReq): Promise<(FdoShopeeFoodOrderOutput & FdoShopeeFoodOrder)[]>;
        reflowShopeefoodOrders(orderId: string): Promise<FdoShopeeFoodOrderOutput>;
        rejectShopeefoodOrders(orderId: string): Promise<FdoShopeeFoodOrderOutput>;
        updateShopeefood(restaurantId: string, dto: FdoShopeeFoodSettings): Promise<FdoRestaurant>;
        syncShopeefoodMenu(storeId: string): Promise<FdoShopeeFoodSettings>;
        readExternal(restaurantId: string): Promise<FdoExternalSetting | null>;
        updateExternal(restaurantId: string, dto: FdoExternalSetting): Promise<FdoExternalSetting>;
        syncExternalMenu(restaurantId: string): Promise<FdoExternalSetting>;
        flowTestOrder(restaurantId: string, platform: DeliveryCompanyUrl): Promise<void>;
        cancelTestOrder(restaurantId: string, platform: DeliveryCompanyUrl): Promise<void>;
        reflowFpOrderNotInDb(payload: {
            restaurantId: string;
            slot: string;
        }): Promise<void>;
        reflowGfOrderNotInDb(payload: {
            restaurantId: string;
            slot: string;
            date: string;
        }): Promise<void>;
    };
};
export {};
