import { FdoItemOverriderV4, FdoMenuV4Item, FdoItemVariant, FdoProductTaxSetting, FdtoV4Tax } from '@feedmepos/menu/entity';
import type { CheckboxOption } from '@/components/type';
export interface Option {
    label: string;
    value: string | null;
}
export type Item = Omit<FdoMenuV4Item, 'variant'> & {
    codeName: string;
    variant?: Omit<FdoItemVariant, 'variantCombinations'> & {
        variantCombinations: (VariantItem & {
            codeName: string;
        })[];
    };
};
export interface CategorizedItem {
    id: string | null;
    name: string;
    items: Item[];
}
interface VariantItem extends FdoItemOverriderV4 {
    codeName: string;
}
export declare function mapVariant(variantGroupIds?: string[]): {
    [key: string]: string;
};
export declare function updateBaseItemOverrider(itemId: string, items: FdoItemOverriderV4[], updateFn: (i: FdoItemOverriderV4) => FdoItemOverriderV4): FdoItemOverriderV4[];
export interface ProductOption extends CheckboxOption {
    variant?: CheckboxOption[];
}
export interface Category {
    id: string;
    name: string;
    items: ProductOption[];
}
export type Tax = FdtoV4Tax[] | null | undefined;
export declare class ItemTax {
    static encodeTax(tax: FdoProductTaxSetting): string;
    static decodeTax(identifier: string): FdoProductTaxSetting;
    static taxSetting(): {
        systemCode: string;
        countryTaxOptions: {
            label: string;
            value: string;
        }[];
    };
    static getSelectedTax(tax: Tax, fallbackTax: Tax, taxOptions: {
        label: string;
        value: string;
    }[]): string | undefined;
}
export {};
