export declare const useKioskStore: import("pinia").StoreDefinition<"kiosk", Pick<{
    state: {
        otp: string;
        devices: {
            name: string;
            machineId: string;
            config: {
                printerInfo?: {
                    backup?: {
                        type: "USB";
                    } | {
                        type: "PRINTER_ID";
                        printerId: string;
                    } | null | undefined;
                    name: string;
                    id: string;
                    hardware: {
                        machineId?: string | null | undefined;
                        chunkSize?: number | null | undefined;
                        chunkDelay?: number | null | undefined;
                        sleepDelay?: number | null | undefined;
                        maxRetry?: number | null | undefined;
                        encoderConfig: {
                            type: "ECSPOS";
                            dpi: number;
                            paperWidthInMm: number;
                        } | {
                            type: "TSPL";
                            dpi: number;
                            paperWidthInMm: number;
                            paperHeightInMm: number;
                            paperDirection: number;
                            paperGapDistance: number;
                            paperReferenceX: number;
                            paperReferenceY: number;
                            paperOffset: number;
                        } | {
                            type: "STAR";
                            dpi: number;
                            paperWidthInMm: number;
                        };
                        connection: {
                            path: string;
                            type: "BLUETOOTH";
                        } | {
                            path: string;
                            type: "DRIVER";
                        } | {
                            path: string;
                            type: "IP";
                        } | {
                            type: "STAR";
                            portName: string;
                            emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                        } | {
                            type: "USB";
                            productId: string;
                            vendorId: string;
                        };
                        waitForStatus: boolean;
                        beepAfterPrint: boolean;
                        isTextEncoding: boolean;
                    };
                } | undefined;
                scannerInfo?: {
                    lensFacing?: "FRONT" | "BACK" | null | undefined;
                    type: "CAPACITOR";
                } | {
                    type: "IMIN";
                } | {
                    type: "SUNMI";
                    connection: {
                        type: "USB" | "SERIAL";
                    };
                } | undefined;
                terminalInfo?: {
                    gateway: "E_GHL";
                    merchantId: string;
                    terminalId: string;
                } | undefined;
            };
            activatedAt: Date;
            deviceAppType?: "UNKNOWN" | "WEB_V2_APP" | "WEB_V3_APP" | "KIOSK_APP" | "TABLET_APP" | undefined;
            slotInfo?: string | undefined;
            pinInfo?: string | undefined;
            deviceAppVersion?: string | undefined;
        }[];
    };
    requestOtp: () => Promise<void>;
    getDevices: () => Promise<void>;
    unbind: (machineId: string) => Promise<void>;
    updateDevicePin: (pinInfo: string, machineId: string) => Promise<void>;
}, "state">, Pick<{
    state: {
        otp: string;
        devices: {
            name: string;
            machineId: string;
            config: {
                printerInfo?: {
                    backup?: {
                        type: "USB";
                    } | {
                        type: "PRINTER_ID";
                        printerId: string;
                    } | null | undefined;
                    name: string;
                    id: string;
                    hardware: {
                        machineId?: string | null | undefined;
                        chunkSize?: number | null | undefined;
                        chunkDelay?: number | null | undefined;
                        sleepDelay?: number | null | undefined;
                        maxRetry?: number | null | undefined;
                        encoderConfig: {
                            type: "ECSPOS";
                            dpi: number;
                            paperWidthInMm: number;
                        } | {
                            type: "TSPL";
                            dpi: number;
                            paperWidthInMm: number;
                            paperHeightInMm: number;
                            paperDirection: number;
                            paperGapDistance: number;
                            paperReferenceX: number;
                            paperReferenceY: number;
                            paperOffset: number;
                        } | {
                            type: "STAR";
                            dpi: number;
                            paperWidthInMm: number;
                        };
                        connection: {
                            path: string;
                            type: "BLUETOOTH";
                        } | {
                            path: string;
                            type: "DRIVER";
                        } | {
                            path: string;
                            type: "IP";
                        } | {
                            type: "STAR";
                            portName: string;
                            emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                        } | {
                            type: "USB";
                            productId: string;
                            vendorId: string;
                        };
                        waitForStatus: boolean;
                        beepAfterPrint: boolean;
                        isTextEncoding: boolean;
                    };
                } | undefined;
                scannerInfo?: {
                    lensFacing?: "FRONT" | "BACK" | null | undefined;
                    type: "CAPACITOR";
                } | {
                    type: "IMIN";
                } | {
                    type: "SUNMI";
                    connection: {
                        type: "USB" | "SERIAL";
                    };
                } | undefined;
                terminalInfo?: {
                    gateway: "E_GHL";
                    merchantId: string;
                    terminalId: string;
                } | undefined;
            };
            activatedAt: Date;
            deviceAppType?: "UNKNOWN" | "WEB_V2_APP" | "WEB_V3_APP" | "KIOSK_APP" | "TABLET_APP" | undefined;
            slotInfo?: string | undefined;
            pinInfo?: string | undefined;
            deviceAppVersion?: string | undefined;
        }[];
    };
    requestOtp: () => Promise<void>;
    getDevices: () => Promise<void>;
    unbind: (machineId: string) => Promise<void>;
    updateDevicePin: (pinInfo: string, machineId: string) => Promise<void>;
}, never>, Pick<{
    state: {
        otp: string;
        devices: {
            name: string;
            machineId: string;
            config: {
                printerInfo?: {
                    backup?: {
                        type: "USB";
                    } | {
                        type: "PRINTER_ID";
                        printerId: string;
                    } | null | undefined;
                    name: string;
                    id: string;
                    hardware: {
                        machineId?: string | null | undefined;
                        chunkSize?: number | null | undefined;
                        chunkDelay?: number | null | undefined;
                        sleepDelay?: number | null | undefined;
                        maxRetry?: number | null | undefined;
                        encoderConfig: {
                            type: "ECSPOS";
                            dpi: number;
                            paperWidthInMm: number;
                        } | {
                            type: "TSPL";
                            dpi: number;
                            paperWidthInMm: number;
                            paperHeightInMm: number;
                            paperDirection: number;
                            paperGapDistance: number;
                            paperReferenceX: number;
                            paperReferenceY: number;
                            paperOffset: number;
                        } | {
                            type: "STAR";
                            dpi: number;
                            paperWidthInMm: number;
                        };
                        connection: {
                            path: string;
                            type: "BLUETOOTH";
                        } | {
                            path: string;
                            type: "DRIVER";
                        } | {
                            path: string;
                            type: "IP";
                        } | {
                            type: "STAR";
                            portName: string;
                            emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                        } | {
                            type: "USB";
                            productId: string;
                            vendorId: string;
                        };
                        waitForStatus: boolean;
                        beepAfterPrint: boolean;
                        isTextEncoding: boolean;
                    };
                } | undefined;
                scannerInfo?: {
                    lensFacing?: "FRONT" | "BACK" | null | undefined;
                    type: "CAPACITOR";
                } | {
                    type: "IMIN";
                } | {
                    type: "SUNMI";
                    connection: {
                        type: "USB" | "SERIAL";
                    };
                } | undefined;
                terminalInfo?: {
                    gateway: "E_GHL";
                    merchantId: string;
                    terminalId: string;
                } | undefined;
            };
            activatedAt: Date;
            deviceAppType?: "UNKNOWN" | "WEB_V2_APP" | "WEB_V3_APP" | "KIOSK_APP" | "TABLET_APP" | undefined;
            slotInfo?: string | undefined;
            pinInfo?: string | undefined;
            deviceAppVersion?: string | undefined;
        }[];
    };
    requestOtp: () => Promise<void>;
    getDevices: () => Promise<void>;
    unbind: (machineId: string) => Promise<void>;
    updateDevicePin: (pinInfo: string, machineId: string) => Promise<void>;
}, "requestOtp" | "getDevices" | "unbind" | "updateDevicePin">>;
