import type { MfKioskOrderSetting } from '@/modules/order-setting/kiosk/interface';
export declare const useOrderSettings: import("pinia").StoreDefinition<"orderSetting", Pick<{
    state: {
        kiosk?: {
            dineIn: {
                enabled: boolean;
                sequenceNumber: {
                    prefix: string;
                    current: number;
                };
                displayStand: {
                    enabled: boolean;
                    standSlotRange: {
                        min: number;
                        max: number;
                    };
                    prefix: string | null;
                    padDigit: number;
                    enablePaxDialog: boolean;
                    submitOrderInstruction: {
                        payAtCounter: string | null;
                        paid: string | null;
                    };
                };
                pickUp: {
                    enabled: boolean;
                    enablePaxDialog: boolean;
                    submitOrderInstruction: {
                        payAtCounter: string | null;
                        paid: string | null;
                    };
                };
            };
            takeaway: {
                enabled: boolean;
                submitOrderInstruction: {
                    payAtCounter: string | null;
                    paid: string | null;
                };
            };
            paymentSetting: {
                paymentTypes: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[];
                offlinePaymentTypes: {
                    name: string;
                    instruction: string;
                }[];
                ePaymentTypes: {
                    card: {
                        terminal: boolean;
                        nfc: boolean;
                    };
                    eWallet: {
                        qrPay: boolean;
                        scanPay: boolean;
                    };
                };
            };
            menuItem: {
                showAllOnly: boolean;
            };
        } | undefined;
        orderSetting?: {
            customization?: {
                colorScheme?: {
                    base: string;
                    primary: string;
                    dark: string;
                    backgroundColor: string;
                    baseColor: string;
                    bannerColor: string;
                    typoPrimary: string;
                    typoSecondary: string;
                    typoTertiary: string;
                    typoDisabled: string;
                    typoError: string;
                    systemError: string;
                    systemSuccess: string;
                    dividerColor: string;
                    buttonPrimary: string;
                    typoButtonPrimary: string;
                    buttonSecondary: string;
                    typoButtonSecondary: string;
                    buttonTertiary: string;
                    typoButtonTertiary: string;
                    buttonPrimaryChip: string;
                } | null | undefined;
            } | null | undefined;
            autoSendKitchen?: boolean | null | undefined;
            reservationSettings?: {
                enable: boolean;
                enableIdx?: number | undefined;
                options: {
                    catalogId?: string | undefined;
                    enable: boolean;
                    charges: {
                        deposit: {
                            fixed?: any;
                            rate?: number | undefined;
                        };
                        serviceCharge: {
                            fixed?: any;
                            rate?: number | undefined;
                        };
                    };
                    times: {
                        0: {
                            start: string;
                            end: string;
                        }[];
                        1: {
                            start: string;
                            end: string;
                        }[];
                        2: {
                            start: string;
                            end: string;
                        }[];
                        3: {
                            start: string;
                            end: string;
                        }[];
                        4: {
                            start: string;
                            end: string;
                        }[];
                        5: {
                            start: string;
                            end: string;
                        }[];
                        6: {
                            start: string;
                            end: string;
                        }[];
                    };
                }[];
            } | null | undefined;
            sequenceSettings?: {
                pickup?: {
                    prefix: string;
                    current: number;
                } | undefined;
                takeaway?: {
                    prefix: string;
                    current: number;
                } | undefined;
                inHouseDelivery?: {
                    prefix: string;
                    current: number;
                } | undefined;
                feedMeDelivery?: {
                    prefix: string;
                    current: number;
                } | undefined;
                reservation?: {
                    prefix: string;
                    current: number;
                } | undefined;
                kioskDineIn?: {
                    prefix: string;
                    current: number;
                } | undefined;
            } | null | undefined;
            smsSettings?: {
                message: {
                    keys: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number">;
                    raw: string;
                };
                type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
                enable: boolean;
                action: "ACCEPT" | "SERVE";
            }[] | null | undefined;
            lastOrderMinutesBeforeClose?: number | null | undefined;
            _id: string;
            upsellingSettings: {
                recommandation: boolean;
                item: boolean;
                checkout: boolean;
            };
            kioskSettings: {
                dineIn?: {
                    requiredSlot?: boolean | null | undefined;
                    pickUp?: {
                        enablePaxDialog?: boolean | null | undefined;
                        submitOrderInstruction?: {
                            payAtCounter?: Record<string, string> | null | undefined;
                            paid?: Record<string, string> | null | undefined;
                        } | null | undefined;
                        enabled: boolean;
                    } | null | undefined;
                    displayStand?: {
                        enablePaxDialog?: boolean | null | undefined;
                        submitOrderInstruction?: {
                            payAtCounter?: Record<string, string> | null | undefined;
                            paid?: Record<string, string> | null | undefined;
                        } | null | undefined;
                        enabled: boolean;
                        standSlotRange: {
                            min: number;
                            max: number;
                        };
                        prefix: string | null;
                        padDigit: number;
                    } | null | undefined;
                } | null | undefined;
                canTakeaway?: boolean | null | undefined;
                takeaway?: {
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                } | null | undefined;
                paymentSetting?: {
                    paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ePaymentTypes?: {
                        card: {
                            terminal: boolean;
                            nfc: boolean;
                        };
                        eWallet: {
                            qrPay: boolean;
                            scanPay: boolean;
                        };
                    } | null | undefined;
                } | null | undefined;
                menuItem?: {
                    showAllOnly: boolean;
                } | null | undefined;
            };
            enableV3: boolean;
            v3Settings: {
                anonymousLoginDialog?: boolean | null | undefined;
                subItemDisplayMode?: "LIST" | null | undefined;
                dineInCanTakeaway: boolean;
            };
        } | undefined;
    };
    getSetting: () => Promise<void>;
    updateKioskSetting: () => Promise<void>;
    setKioskOrderSetting: (kioskOrderSetting: MfKioskOrderSetting) => void;
}, "state">, Pick<{
    state: {
        kiosk?: {
            dineIn: {
                enabled: boolean;
                sequenceNumber: {
                    prefix: string;
                    current: number;
                };
                displayStand: {
                    enabled: boolean;
                    standSlotRange: {
                        min: number;
                        max: number;
                    };
                    prefix: string | null;
                    padDigit: number;
                    enablePaxDialog: boolean;
                    submitOrderInstruction: {
                        payAtCounter: string | null;
                        paid: string | null;
                    };
                };
                pickUp: {
                    enabled: boolean;
                    enablePaxDialog: boolean;
                    submitOrderInstruction: {
                        payAtCounter: string | null;
                        paid: string | null;
                    };
                };
            };
            takeaway: {
                enabled: boolean;
                submitOrderInstruction: {
                    payAtCounter: string | null;
                    paid: string | null;
                };
            };
            paymentSetting: {
                paymentTypes: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[];
                offlinePaymentTypes: {
                    name: string;
                    instruction: string;
                }[];
                ePaymentTypes: {
                    card: {
                        terminal: boolean;
                        nfc: boolean;
                    };
                    eWallet: {
                        qrPay: boolean;
                        scanPay: boolean;
                    };
                };
            };
            menuItem: {
                showAllOnly: boolean;
            };
        } | undefined;
        orderSetting?: {
            customization?: {
                colorScheme?: {
                    base: string;
                    primary: string;
                    dark: string;
                    backgroundColor: string;
                    baseColor: string;
                    bannerColor: string;
                    typoPrimary: string;
                    typoSecondary: string;
                    typoTertiary: string;
                    typoDisabled: string;
                    typoError: string;
                    systemError: string;
                    systemSuccess: string;
                    dividerColor: string;
                    buttonPrimary: string;
                    typoButtonPrimary: string;
                    buttonSecondary: string;
                    typoButtonSecondary: string;
                    buttonTertiary: string;
                    typoButtonTertiary: string;
                    buttonPrimaryChip: string;
                } | null | undefined;
            } | null | undefined;
            autoSendKitchen?: boolean | null | undefined;
            reservationSettings?: {
                enable: boolean;
                enableIdx?: number | undefined;
                options: {
                    catalogId?: string | undefined;
                    enable: boolean;
                    charges: {
                        deposit: {
                            fixed?: any;
                            rate?: number | undefined;
                        };
                        serviceCharge: {
                            fixed?: any;
                            rate?: number | undefined;
                        };
                    };
                    times: {
                        0: {
                            start: string;
                            end: string;
                        }[];
                        1: {
                            start: string;
                            end: string;
                        }[];
                        2: {
                            start: string;
                            end: string;
                        }[];
                        3: {
                            start: string;
                            end: string;
                        }[];
                        4: {
                            start: string;
                            end: string;
                        }[];
                        5: {
                            start: string;
                            end: string;
                        }[];
                        6: {
                            start: string;
                            end: string;
                        }[];
                    };
                }[];
            } | null | undefined;
            sequenceSettings?: {
                pickup?: {
                    prefix: string;
                    current: number;
                } | undefined;
                takeaway?: {
                    prefix: string;
                    current: number;
                } | undefined;
                inHouseDelivery?: {
                    prefix: string;
                    current: number;
                } | undefined;
                feedMeDelivery?: {
                    prefix: string;
                    current: number;
                } | undefined;
                reservation?: {
                    prefix: string;
                    current: number;
                } | undefined;
                kioskDineIn?: {
                    prefix: string;
                    current: number;
                } | undefined;
            } | null | undefined;
            smsSettings?: {
                message: {
                    keys: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number">;
                    raw: string;
                };
                type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
                enable: boolean;
                action: "ACCEPT" | "SERVE";
            }[] | null | undefined;
            lastOrderMinutesBeforeClose?: number | null | undefined;
            _id: string;
            upsellingSettings: {
                recommandation: boolean;
                item: boolean;
                checkout: boolean;
            };
            kioskSettings: {
                dineIn?: {
                    requiredSlot?: boolean | null | undefined;
                    pickUp?: {
                        enablePaxDialog?: boolean | null | undefined;
                        submitOrderInstruction?: {
                            payAtCounter?: Record<string, string> | null | undefined;
                            paid?: Record<string, string> | null | undefined;
                        } | null | undefined;
                        enabled: boolean;
                    } | null | undefined;
                    displayStand?: {
                        enablePaxDialog?: boolean | null | undefined;
                        submitOrderInstruction?: {
                            payAtCounter?: Record<string, string> | null | undefined;
                            paid?: Record<string, string> | null | undefined;
                        } | null | undefined;
                        enabled: boolean;
                        standSlotRange: {
                            min: number;
                            max: number;
                        };
                        prefix: string | null;
                        padDigit: number;
                    } | null | undefined;
                } | null | undefined;
                canTakeaway?: boolean | null | undefined;
                takeaway?: {
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                } | null | undefined;
                paymentSetting?: {
                    paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ePaymentTypes?: {
                        card: {
                            terminal: boolean;
                            nfc: boolean;
                        };
                        eWallet: {
                            qrPay: boolean;
                            scanPay: boolean;
                        };
                    } | null | undefined;
                } | null | undefined;
                menuItem?: {
                    showAllOnly: boolean;
                } | null | undefined;
            };
            enableV3: boolean;
            v3Settings: {
                anonymousLoginDialog?: boolean | null | undefined;
                subItemDisplayMode?: "LIST" | null | undefined;
                dineInCanTakeaway: boolean;
            };
        } | undefined;
    };
    getSetting: () => Promise<void>;
    updateKioskSetting: () => Promise<void>;
    setKioskOrderSetting: (kioskOrderSetting: MfKioskOrderSetting) => void;
}, never>, Pick<{
    state: {
        kiosk?: {
            dineIn: {
                enabled: boolean;
                sequenceNumber: {
                    prefix: string;
                    current: number;
                };
                displayStand: {
                    enabled: boolean;
                    standSlotRange: {
                        min: number;
                        max: number;
                    };
                    prefix: string | null;
                    padDigit: number;
                    enablePaxDialog: boolean;
                    submitOrderInstruction: {
                        payAtCounter: string | null;
                        paid: string | null;
                    };
                };
                pickUp: {
                    enabled: boolean;
                    enablePaxDialog: boolean;
                    submitOrderInstruction: {
                        payAtCounter: string | null;
                        paid: string | null;
                    };
                };
            };
            takeaway: {
                enabled: boolean;
                submitOrderInstruction: {
                    payAtCounter: string | null;
                    paid: string | null;
                };
            };
            paymentSetting: {
                paymentTypes: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[];
                offlinePaymentTypes: {
                    name: string;
                    instruction: string;
                }[];
                ePaymentTypes: {
                    card: {
                        terminal: boolean;
                        nfc: boolean;
                    };
                    eWallet: {
                        qrPay: boolean;
                        scanPay: boolean;
                    };
                };
            };
            menuItem: {
                showAllOnly: boolean;
            };
        } | undefined;
        orderSetting?: {
            customization?: {
                colorScheme?: {
                    base: string;
                    primary: string;
                    dark: string;
                    backgroundColor: string;
                    baseColor: string;
                    bannerColor: string;
                    typoPrimary: string;
                    typoSecondary: string;
                    typoTertiary: string;
                    typoDisabled: string;
                    typoError: string;
                    systemError: string;
                    systemSuccess: string;
                    dividerColor: string;
                    buttonPrimary: string;
                    typoButtonPrimary: string;
                    buttonSecondary: string;
                    typoButtonSecondary: string;
                    buttonTertiary: string;
                    typoButtonTertiary: string;
                    buttonPrimaryChip: string;
                } | null | undefined;
            } | null | undefined;
            autoSendKitchen?: boolean | null | undefined;
            reservationSettings?: {
                enable: boolean;
                enableIdx?: number | undefined;
                options: {
                    catalogId?: string | undefined;
                    enable: boolean;
                    charges: {
                        deposit: {
                            fixed?: any;
                            rate?: number | undefined;
                        };
                        serviceCharge: {
                            fixed?: any;
                            rate?: number | undefined;
                        };
                    };
                    times: {
                        0: {
                            start: string;
                            end: string;
                        }[];
                        1: {
                            start: string;
                            end: string;
                        }[];
                        2: {
                            start: string;
                            end: string;
                        }[];
                        3: {
                            start: string;
                            end: string;
                        }[];
                        4: {
                            start: string;
                            end: string;
                        }[];
                        5: {
                            start: string;
                            end: string;
                        }[];
                        6: {
                            start: string;
                            end: string;
                        }[];
                    };
                }[];
            } | null | undefined;
            sequenceSettings?: {
                pickup?: {
                    prefix: string;
                    current: number;
                } | undefined;
                takeaway?: {
                    prefix: string;
                    current: number;
                } | undefined;
                inHouseDelivery?: {
                    prefix: string;
                    current: number;
                } | undefined;
                feedMeDelivery?: {
                    prefix: string;
                    current: number;
                } | undefined;
                reservation?: {
                    prefix: string;
                    current: number;
                } | undefined;
                kioskDineIn?: {
                    prefix: string;
                    current: number;
                } | undefined;
            } | null | undefined;
            smsSettings?: {
                message: {
                    keys: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number">;
                    raw: string;
                };
                type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
                enable: boolean;
                action: "ACCEPT" | "SERVE";
            }[] | null | undefined;
            lastOrderMinutesBeforeClose?: number | null | undefined;
            _id: string;
            upsellingSettings: {
                recommandation: boolean;
                item: boolean;
                checkout: boolean;
            };
            kioskSettings: {
                dineIn?: {
                    requiredSlot?: boolean | null | undefined;
                    pickUp?: {
                        enablePaxDialog?: boolean | null | undefined;
                        submitOrderInstruction?: {
                            payAtCounter?: Record<string, string> | null | undefined;
                            paid?: Record<string, string> | null | undefined;
                        } | null | undefined;
                        enabled: boolean;
                    } | null | undefined;
                    displayStand?: {
                        enablePaxDialog?: boolean | null | undefined;
                        submitOrderInstruction?: {
                            payAtCounter?: Record<string, string> | null | undefined;
                            paid?: Record<string, string> | null | undefined;
                        } | null | undefined;
                        enabled: boolean;
                        standSlotRange: {
                            min: number;
                            max: number;
                        };
                        prefix: string | null;
                        padDigit: number;
                    } | null | undefined;
                } | null | undefined;
                canTakeaway?: boolean | null | undefined;
                takeaway?: {
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                } | null | undefined;
                paymentSetting?: {
                    paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ePaymentTypes?: {
                        card: {
                            terminal: boolean;
                            nfc: boolean;
                        };
                        eWallet: {
                            qrPay: boolean;
                            scanPay: boolean;
                        };
                    } | null | undefined;
                } | null | undefined;
                menuItem?: {
                    showAllOnly: boolean;
                } | null | undefined;
            };
            enableV3: boolean;
            v3Settings: {
                anonymousLoginDialog?: boolean | null | undefined;
                subItemDisplayMode?: "LIST" | null | undefined;
                dineInCanTakeaway: boolean;
            };
        } | undefined;
    };
    getSetting: () => Promise<void>;
    updateKioskSetting: () => Promise<void>;
    setKioskOrderSetting: (kioskOrderSetting: MfKioskOrderSetting) => void;
}, "getSetting" | "updateKioskSetting" | "setKioskOrderSetting">>;
