import type { FdoLayout, FdoLayoutSetting, FdoTable } from '@feedmepos/core/entity';
interface TableSettingState {
    layout: FdoLayoutSetting;
    tables: FdoTable[];
}
interface GroupedTables extends Omit<FdoLayout, 'tables'> {
    tables: FdoTable[];
}
export declare const useTableSettingStore: import("pinia").StoreDefinition<"tableSetting", TableSettingState, {
    sortedTables: (state: {
        layout: {
            _id: string;
            layouts: {
                name: string;
                id: string;
                position: number;
                tables: {
                    position?: {
                        x: number;
                        y: number;
                    } | null | undefined;
                    id: string;
                }[];
            }[];
        };
        tables: {
            status?: "SHOW" | "DISABLE" | "HIDE" | null | undefined;
            catalogId?: string | null | undefined;
            qrLink?: string | null | undefined;
            interactiveInfo?: {
                angle: number;
                height: number;
                width: number;
                x: number;
                y: number;
            } | null | undefined;
            offlineInteractiveInfo?: {
                angle: number;
                height: number;
                width: number;
                x: number;
                y: number;
            } | null | undefined;
            seatInfo?: {
                leftSideSeats: number;
                rightSideSeats: number;
                topSideSeats: number;
                bottomSideSeats: number;
            } | null | undefined;
            name: string;
            _id: string;
        }[];
    } & import("pinia").PiniaCustomStateProperties<TableSettingState>) => FdoTable[];
    sortedLayouts: (state: {
        layout: {
            _id: string;
            layouts: {
                name: string;
                id: string;
                position: number;
                tables: {
                    position?: {
                        x: number;
                        y: number;
                    } | null | undefined;
                    id: string;
                }[];
            }[];
        };
        tables: {
            status?: "SHOW" | "DISABLE" | "HIDE" | null | undefined;
            catalogId?: string | null | undefined;
            qrLink?: string | null | undefined;
            interactiveInfo?: {
                angle: number;
                height: number;
                width: number;
                x: number;
                y: number;
            } | null | undefined;
            offlineInteractiveInfo?: {
                angle: number;
                height: number;
                width: number;
                x: number;
                y: number;
            } | null | undefined;
            seatInfo?: {
                leftSideSeats: number;
                rightSideSeats: number;
                topSideSeats: number;
                bottomSideSeats: number;
            } | null | undefined;
            name: string;
            _id: string;
        }[];
    } & import("pinia").PiniaCustomStateProperties<TableSettingState>) => FdoLayout[];
    groupedTables(): GroupedTables[];
}, {
    readTables(foodCourtId?: string): Promise<void>;
    createTables(layout: FdoLayout | undefined, tables: string[]): Promise<void>;
    updateTable(table: FdoTable): Promise<void>;
    deleteTables(tableIds: string[]): Promise<void>;
    readLayouts(): Promise<void>;
    createLayout(name: string): Promise<void>;
    updateLayout(layout: FdoLayout): Promise<void>;
    deleteLayout(layout: FdoLayout): Promise<void>;
    moveTables(fromLayout: string, toLayout: string, tableIds: string[]): Promise<void>;
    updateSetting(is: boolean): Promise<void>;
}>;
export {};
