import { FdoLinkedDelivery } from "@feedmepos/core/entity";
export type LinkedDeliveryDoc = FdoLinkedDelivery & {
    _rev: string;
};
export declare enum AUTO_INTEGRATION_CLIENT {
    foodpanda = "foodpanda",
    grabfood = "grabfood",
    shopeefood = "shopeefood",
    external = "external"
}
export interface DeliveryCompany {
    id: string;
    name: string;
    slotPrefix: string;
    paymentTypeKey: string;
    key: string;
}
export declare function useDelivery(): {
    getLinkedDeliveryDoc: (docs: LinkedDeliveryDoc[], key: string) => LinkedDeliveryDoc | undefined;
    filterLocalDeliveryCompanies: (companies: DeliveryCompany[]) => DeliveryCompany[];
    getPaymentType: (paymentTypeKey?: string) => "Cash" | "Default";
    equalKey: (key: string, targetKey: string) => boolean;
};
