import { z } from 'zod';
export declare const BookingBaseDto: z.ZodObject<{
    _id: z.ZodString;
    type: z.ZodEnum<["QUEUE", "RESERVATION"]>;
    restaurantId: z.ZodString;
    userId: z.ZodOptional<z.ZodString>;
    seqNumber: z.ZodOptional<z.ZodString>;
    pax: z.ZodNumber;
    rejectReason: z.ZodOptional<z.ZodString>;
    pf_restaurant: z.ZodOptional<z.ZodAny>;
    pf_user: z.ZodOptional<z.ZodAny>;
}, "strip", z.ZodTypeAny, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    pf_restaurant?: any;
    pf_user?: any;
    type: "QUEUE" | "RESERVATION";
    _id: string;
    restaurantId: string;
    pax: number;
}, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    pf_restaurant?: any;
    pf_user?: any;
    type: "QUEUE" | "RESERVATION";
    _id: string;
    restaurantId: string;
    pax: number;
}>;
export declare const BookingQueueDto: z.ZodObject<z.extendShape<{
    _id: z.ZodString;
    type: z.ZodEnum<["QUEUE", "RESERVATION"]>;
    restaurantId: z.ZodString;
    userId: z.ZodOptional<z.ZodString>;
    seqNumber: z.ZodOptional<z.ZodString>;
    pax: z.ZodNumber;
    rejectReason: z.ZodOptional<z.ZodString>;
    pf_restaurant: z.ZodOptional<z.ZodAny>;
    pf_user: z.ZodOptional<z.ZodAny>;
}, {
    type: z.ZodLiteral<"QUEUE">;
}>, "strip", z.ZodTypeAny, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    pf_restaurant?: any;
    pf_user?: any;
    type: "QUEUE";
    _id: string;
    restaurantId: string;
    pax: number;
}, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    pf_restaurant?: any;
    pf_user?: any;
    type: "QUEUE";
    _id: string;
    restaurantId: string;
    pax: number;
}>;
export type BookingQueueDto = z.infer<typeof BookingQueueDto>;
export declare const BookingReservationDto: z.ZodObject<z.extendShape<{
    _id: z.ZodString;
    type: z.ZodEnum<["QUEUE", "RESERVATION"]>;
    restaurantId: z.ZodString;
    userId: z.ZodOptional<z.ZodString>;
    seqNumber: z.ZodOptional<z.ZodString>;
    pax: z.ZodNumber;
    rejectReason: z.ZodOptional<z.ZodString>;
    pf_restaurant: z.ZodOptional<z.ZodAny>;
    pf_user: z.ZodOptional<z.ZodAny>;
}, {
    type: z.ZodLiteral<"RESERVATION">;
    reserveAt: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    pf_restaurant?: any;
    pf_user?: any;
    type: "RESERVATION";
    _id: string;
    restaurantId: string;
    pax: number;
    reserveAt: string;
}, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    pf_restaurant?: any;
    pf_user?: any;
    type: "RESERVATION";
    _id: string;
    restaurantId: string;
    pax: number;
    reserveAt: string;
}>;
export type BookingReservationDto = z.infer<typeof BookingReservationDto>;
export declare const BookingDto: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
    _id: z.ZodString;
    type: z.ZodEnum<["QUEUE", "RESERVATION"]>;
    restaurantId: z.ZodString;
    userId: z.ZodOptional<z.ZodString>;
    seqNumber: z.ZodOptional<z.ZodString>;
    pax: z.ZodNumber;
    rejectReason: z.ZodOptional<z.ZodString>;
    pf_restaurant: z.ZodOptional<z.ZodAny>;
    pf_user: z.ZodOptional<z.ZodAny>;
}, {
    type: z.ZodLiteral<"QUEUE">;
}>, "strip", z.ZodTypeAny, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    pf_restaurant?: any;
    pf_user?: any;
    type: "QUEUE";
    _id: string;
    restaurantId: string;
    pax: number;
}, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    pf_restaurant?: any;
    pf_user?: any;
    type: "QUEUE";
    _id: string;
    restaurantId: string;
    pax: number;
}> | z.ZodObject<z.extendShape<{
    _id: z.ZodString;
    type: z.ZodEnum<["QUEUE", "RESERVATION"]>;
    restaurantId: z.ZodString;
    userId: z.ZodOptional<z.ZodString>;
    seqNumber: z.ZodOptional<z.ZodString>;
    pax: z.ZodNumber;
    rejectReason: z.ZodOptional<z.ZodString>;
    pf_restaurant: z.ZodOptional<z.ZodAny>;
    pf_user: z.ZodOptional<z.ZodAny>;
}, {
    type: z.ZodLiteral<"RESERVATION">;
    reserveAt: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    pf_restaurant?: any;
    pf_user?: any;
    type: "RESERVATION";
    _id: string;
    restaurantId: string;
    pax: number;
    reserveAt: string;
}, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    pf_restaurant?: any;
    pf_user?: any;
    type: "RESERVATION";
    _id: string;
    restaurantId: string;
    pax: number;
    reserveAt: string;
}>>;
export type BookingDto = z.infer<typeof BookingDto>;
export declare const BookingCreateDto: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<Omit<z.extendShape<{
    _id: z.ZodString;
    type: z.ZodEnum<["QUEUE", "RESERVATION"]>;
    restaurantId: z.ZodString;
    userId: z.ZodOptional<z.ZodString>;
    seqNumber: z.ZodOptional<z.ZodString>;
    pax: z.ZodNumber;
    rejectReason: z.ZodOptional<z.ZodString>;
    pf_restaurant: z.ZodOptional<z.ZodAny>;
    pf_user: z.ZodOptional<z.ZodAny>;
}, {
    type: z.ZodLiteral<"QUEUE">;
}>, "_id">, "strip", z.ZodTypeAny, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    pf_restaurant?: any;
    pf_user?: any;
    type: "QUEUE";
    restaurantId: string;
    pax: number;
}, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    pf_restaurant?: any;
    pf_user?: any;
    type: "QUEUE";
    restaurantId: string;
    pax: number;
}> | z.ZodObject<Omit<z.extendShape<{
    _id: z.ZodString;
    type: z.ZodEnum<["QUEUE", "RESERVATION"]>;
    restaurantId: z.ZodString;
    userId: z.ZodOptional<z.ZodString>;
    seqNumber: z.ZodOptional<z.ZodString>;
    pax: z.ZodNumber;
    rejectReason: z.ZodOptional<z.ZodString>;
    pf_restaurant: z.ZodOptional<z.ZodAny>;
    pf_user: z.ZodOptional<z.ZodAny>;
}, {
    type: z.ZodLiteral<"RESERVATION">;
    reserveAt: z.ZodString;
}>, "_id" | "pf_restaurant" | "pf_user">, "strip", z.ZodTypeAny, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    type: "RESERVATION";
    restaurantId: string;
    pax: number;
    reserveAt: string;
}, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    type: "RESERVATION";
    restaurantId: string;
    pax: number;
    reserveAt: string;
}>>;
export type BookingCreateDto = z.infer<typeof BookingCreateDto>;
export declare const BookingUpdateDto: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<Pick<z.extendShape<{
    _id: z.ZodString;
    type: z.ZodEnum<["QUEUE", "RESERVATION"]>;
    restaurantId: z.ZodString;
    userId: z.ZodOptional<z.ZodString>;
    seqNumber: z.ZodOptional<z.ZodString>;
    pax: z.ZodNumber;
    rejectReason: z.ZodOptional<z.ZodString>;
    pf_restaurant: z.ZodOptional<z.ZodAny>;
    pf_user: z.ZodOptional<z.ZodAny>;
}, {
    type: z.ZodLiteral<"QUEUE">;
}>, "type" | "_id" | "restaurantId" | "pax" | "seqNumber" | "userId" | "rejectReason" | "pf_restaurant" | "pf_user">, "strip", z.ZodTypeAny, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    pf_restaurant?: any;
    pf_user?: any;
    type: "QUEUE";
    _id: string;
    restaurantId: string;
    pax: number;
}, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    pf_restaurant?: any;
    pf_user?: any;
    type: "QUEUE";
    _id: string;
    restaurantId: string;
    pax: number;
}> | z.ZodObject<Pick<z.extendShape<{
    _id: z.ZodString;
    type: z.ZodEnum<["QUEUE", "RESERVATION"]>;
    restaurantId: z.ZodString;
    userId: z.ZodOptional<z.ZodString>;
    seqNumber: z.ZodOptional<z.ZodString>;
    pax: z.ZodNumber;
    rejectReason: z.ZodOptional<z.ZodString>;
    pf_restaurant: z.ZodOptional<z.ZodAny>;
    pf_user: z.ZodOptional<z.ZodAny>;
}, {
    type: z.ZodLiteral<"RESERVATION">;
    reserveAt: z.ZodString;
}>, "type" | "_id" | "restaurantId" | "pax" | "seqNumber" | "reserveAt" | "userId" | "rejectReason" | "pf_restaurant" | "pf_user">, "strip", z.ZodTypeAny, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    pf_restaurant?: any;
    pf_user?: any;
    type: "RESERVATION";
    _id: string;
    restaurantId: string;
    pax: number;
    reserveAt: string;
}, {
    seqNumber?: string | undefined;
    userId?: string | undefined;
    rejectReason?: string | undefined;
    pf_restaurant?: any;
    pf_user?: any;
    type: "RESERVATION";
    _id: string;
    restaurantId: string;
    pax: number;
    reserveAt: string;
}>>;
export type BookingUpdateDto = z.infer<typeof BookingUpdateDto>;
export declare const BookingAvailableTimeslotDto: z.ZodObject<{
    timeslots: z.ZodArray<z.ZodObject<{
        date: z.ZodString;
        times: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        date: string;
        times: string[];
    }, {
        date: string;
        times: string[];
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    timeslots: {
        date: string;
        times: string[];
    }[];
}, {
    timeslots: {
        date: string;
        times: string[];
    }[];
}>;
export type BookingAvailableTimeslotDto = z.infer<typeof BookingAvailableTimeslotDto>;
