import { z } from "zod";
declare const GrabPlace: z.ZodObject<{
    address: z.ZodString;
    keywords: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    coordinates: z.ZodObject<{
        latitude: z.ZodNumber;
        longitude: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        latitude: number;
        longitude: number;
    }, {
        latitude: number;
        longitude: number;
    }>;
    cityCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    extra: z.ZodNullable<z.ZodOptional<z.ZodAny>>;
}, "strip", z.ZodTypeAny, {
    keywords?: string | null | undefined;
    cityCode?: string | null | undefined;
    extra?: any;
    address: string;
    coordinates: {
        latitude: number;
        longitude: number;
    };
}, {
    keywords?: string | null | undefined;
    cityCode?: string | null | undefined;
    extra?: any;
    address: string;
    coordinates: {
        latitude: number;
        longitude: number;
    };
}>;
declare const GrabPackage: z.ZodObject<{
    name: z.ZodString;
    description: z.ZodString;
    quantity: z.ZodNumber;
    price: z.ZodNumber;
    dimensions: z.ZodObject<{
        height: z.ZodNumber;
        width: z.ZodNumber;
        depth: z.ZodNumber;
        weight: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        height: number;
        width: number;
        depth: number;
        weight: number;
    }, {
        height: number;
        width: number;
        depth: number;
        weight: number;
    }>;
}, "strip", z.ZodTypeAny, {
    name: string;
    description: string;
    quantity: number;
    price: number;
    dimensions: {
        height: number;
        width: number;
        depth: number;
        weight: number;
    };
}, {
    name: string;
    description: string;
    quantity: number;
    price: number;
    dimensions: {
        height: number;
        width: number;
        depth: number;
        weight: number;
    };
}>;
declare const GrabPerson: z.ZodObject<{
    firstName: z.ZodString;
    lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    title: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    companyName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    email: z.ZodString;
    phone: z.ZodString;
    smsEnabled: z.ZodBoolean;
    instruction: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    title?: string | null | undefined;
    lastName?: string | null | undefined;
    companyName?: string | null | undefined;
    instruction?: string | null | undefined;
    firstName: string;
    email: string;
    phone: string;
    smsEnabled: boolean;
}, {
    title?: string | null | undefined;
    lastName?: string | null | undefined;
    companyName?: string | null | undefined;
    instruction?: string | null | undefined;
    firstName: string;
    email: string;
    phone: string;
    smsEnabled: boolean;
}>;
declare const GrabDeliveriesBody: z.ZodObject<{
    merchantOrderID: z.ZodString;
    serviceType: z.ZodUnion<[z.ZodLiteral<"INSTANT">, z.ZodLiteral<"SAME_DAY">, z.ZodLiteral<"BULK">]>;
    paymentMethod: z.ZodNullable<z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"CASH">, z.ZodLiteral<"CASHLESS">]>>>;
    packages: z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        description: z.ZodString;
        quantity: z.ZodNumber;
        price: z.ZodNumber;
        dimensions: z.ZodObject<{
            height: z.ZodNumber;
            width: z.ZodNumber;
            depth: z.ZodNumber;
            weight: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            height: number;
            width: number;
            depth: number;
            weight: number;
        }, {
            height: number;
            width: number;
            depth: number;
            weight: number;
        }>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        description: string;
        quantity: number;
        price: number;
        dimensions: {
            height: number;
            width: number;
            depth: number;
            weight: number;
        };
    }, {
        name: string;
        description: string;
        quantity: number;
        price: number;
        dimensions: {
            height: number;
            width: number;
            depth: number;
            weight: number;
        };
    }>, "many">;
    cashOnDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        amount: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        amount: number;
    }, {
        amount: number;
    }>>>;
    sender: z.ZodObject<{
        firstName: z.ZodString;
        lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        title: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        companyName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        email: z.ZodString;
        phone: z.ZodString;
        smsEnabled: z.ZodBoolean;
        instruction: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        title?: string | null | undefined;
        lastName?: string | null | undefined;
        companyName?: string | null | undefined;
        instruction?: string | null | undefined;
        firstName: string;
        email: string;
        phone: string;
        smsEnabled: boolean;
    }, {
        title?: string | null | undefined;
        lastName?: string | null | undefined;
        companyName?: string | null | undefined;
        instruction?: string | null | undefined;
        firstName: string;
        email: string;
        phone: string;
        smsEnabled: boolean;
    }>;
    recipient: z.ZodObject<{
        firstName: z.ZodString;
        lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        title: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        companyName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        email: z.ZodString;
        phone: z.ZodString;
        smsEnabled: z.ZodBoolean;
        instruction: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        title?: string | null | undefined;
        lastName?: string | null | undefined;
        companyName?: string | null | undefined;
        instruction?: string | null | undefined;
        firstName: string;
        email: string;
        phone: string;
        smsEnabled: boolean;
    }, {
        title?: string | null | undefined;
        lastName?: string | null | undefined;
        companyName?: string | null | undefined;
        instruction?: string | null | undefined;
        firstName: string;
        email: string;
        phone: string;
        smsEnabled: boolean;
    }>;
    origin: z.ZodObject<{
        address: z.ZodString;
        keywords: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        coordinates: z.ZodObject<{
            latitude: z.ZodNumber;
            longitude: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            latitude: number;
            longitude: number;
        }, {
            latitude: number;
            longitude: number;
        }>;
        cityCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        extra: z.ZodNullable<z.ZodOptional<z.ZodAny>>;
    }, "strip", z.ZodTypeAny, {
        keywords?: string | null | undefined;
        cityCode?: string | null | undefined;
        extra?: any;
        address: string;
        coordinates: {
            latitude: number;
            longitude: number;
        };
    }, {
        keywords?: string | null | undefined;
        cityCode?: string | null | undefined;
        extra?: any;
        address: string;
        coordinates: {
            latitude: number;
            longitude: number;
        };
    }>;
    destination: z.ZodObject<{
        address: z.ZodString;
        keywords: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        coordinates: z.ZodObject<{
            latitude: z.ZodNumber;
            longitude: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            latitude: number;
            longitude: number;
        }, {
            latitude: number;
            longitude: number;
        }>;
        cityCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        extra: z.ZodNullable<z.ZodOptional<z.ZodAny>>;
    }, "strip", z.ZodTypeAny, {
        keywords?: string | null | undefined;
        cityCode?: string | null | undefined;
        extra?: any;
        address: string;
        coordinates: {
            latitude: number;
            longitude: number;
        };
    }, {
        keywords?: string | null | undefined;
        cityCode?: string | null | undefined;
        extra?: any;
        address: string;
        coordinates: {
            latitude: number;
            longitude: number;
        };
    }>;
    schedule: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        pickupTimeFrom: z.ZodString;
        pickupTimeTo: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        pickupTimeFrom: string;
        pickupTimeTo: string;
    }, {
        pickupTimeFrom: string;
        pickupTimeTo: string;
    }>>>;
}, "strip", z.ZodTypeAny, {
    paymentMethod?: "CASH" | "CASHLESS" | null | undefined;
    cashOnDelivery?: {
        amount: number;
    } | null | undefined;
    schedule?: {
        pickupTimeFrom: string;
        pickupTimeTo: string;
    } | null | undefined;
    merchantOrderID: string;
    serviceType: "INSTANT" | "SAME_DAY" | "BULK";
    packages: {
        name: string;
        description: string;
        quantity: number;
        price: number;
        dimensions: {
            height: number;
            width: number;
            depth: number;
            weight: number;
        };
    }[];
    sender: {
        title?: string | null | undefined;
        lastName?: string | null | undefined;
        companyName?: string | null | undefined;
        instruction?: string | null | undefined;
        firstName: string;
        email: string;
        phone: string;
        smsEnabled: boolean;
    };
    recipient: {
        title?: string | null | undefined;
        lastName?: string | null | undefined;
        companyName?: string | null | undefined;
        instruction?: string | null | undefined;
        firstName: string;
        email: string;
        phone: string;
        smsEnabled: boolean;
    };
    origin: {
        keywords?: string | null | undefined;
        cityCode?: string | null | undefined;
        extra?: any;
        address: string;
        coordinates: {
            latitude: number;
            longitude: number;
        };
    };
    destination: {
        keywords?: string | null | undefined;
        cityCode?: string | null | undefined;
        extra?: any;
        address: string;
        coordinates: {
            latitude: number;
            longitude: number;
        };
    };
}, {
    paymentMethod?: "CASH" | "CASHLESS" | null | undefined;
    cashOnDelivery?: {
        amount: number;
    } | null | undefined;
    schedule?: {
        pickupTimeFrom: string;
        pickupTimeTo: string;
    } | null | undefined;
    merchantOrderID: string;
    serviceType: "INSTANT" | "SAME_DAY" | "BULK";
    packages: {
        name: string;
        description: string;
        quantity: number;
        price: number;
        dimensions: {
            height: number;
            width: number;
            depth: number;
            weight: number;
        };
    }[];
    sender: {
        title?: string | null | undefined;
        lastName?: string | null | undefined;
        companyName?: string | null | undefined;
        instruction?: string | null | undefined;
        firstName: string;
        email: string;
        phone: string;
        smsEnabled: boolean;
    };
    recipient: {
        title?: string | null | undefined;
        lastName?: string | null | undefined;
        companyName?: string | null | undefined;
        instruction?: string | null | undefined;
        firstName: string;
        email: string;
        phone: string;
        smsEnabled: boolean;
    };
    origin: {
        keywords?: string | null | undefined;
        cityCode?: string | null | undefined;
        extra?: any;
        address: string;
        coordinates: {
            latitude: number;
            longitude: number;
        };
    };
    destination: {
        keywords?: string | null | undefined;
        cityCode?: string | null | undefined;
        extra?: any;
        address: string;
        coordinates: {
            latitude: number;
            longitude: number;
        };
    };
}>;
declare const GrabQuotesBodyMain: z.ZodObject<{
    serviceType: z.ZodNullable<z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"INSTANT">, z.ZodLiteral<"SAME_DAY">, z.ZodLiteral<"BULK">]>>>;
    packages: z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        description: z.ZodString;
        quantity: z.ZodNumber;
        price: z.ZodNumber;
        dimensions: z.ZodObject<{
            height: z.ZodNumber;
            width: z.ZodNumber;
            depth: z.ZodNumber;
            weight: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            height: number;
            width: number;
            depth: number;
            weight: number;
        }, {
            height: number;
            width: number;
            depth: number;
            weight: number;
        }>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        description: string;
        quantity: number;
        price: number;
        dimensions: {
            height: number;
            width: number;
            depth: number;
            weight: number;
        };
    }, {
        name: string;
        description: string;
        quantity: number;
        price: number;
        dimensions: {
            height: number;
            width: number;
            depth: number;
            weight: number;
        };
    }>, "many">;
    origin: z.ZodObject<{
        address: z.ZodString;
        keywords: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        coordinates: z.ZodObject<{
            latitude: z.ZodNumber;
            longitude: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            latitude: number;
            longitude: number;
        }, {
            latitude: number;
            longitude: number;
        }>;
        cityCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        extra: z.ZodNullable<z.ZodOptional<z.ZodAny>>;
    }, "strip", z.ZodTypeAny, {
        keywords?: string | null | undefined;
        cityCode?: string | null | undefined;
        extra?: any;
        address: string;
        coordinates: {
            latitude: number;
            longitude: number;
        };
    }, {
        keywords?: string | null | undefined;
        cityCode?: string | null | undefined;
        extra?: any;
        address: string;
        coordinates: {
            latitude: number;
            longitude: number;
        };
    }>;
    destination: z.ZodObject<{
        address: z.ZodString;
        keywords: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        coordinates: z.ZodObject<{
            latitude: z.ZodNumber;
            longitude: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            latitude: number;
            longitude: number;
        }, {
            latitude: number;
            longitude: number;
        }>;
        cityCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        extra: z.ZodNullable<z.ZodOptional<z.ZodAny>>;
    }, "strip", z.ZodTypeAny, {
        keywords?: string | null | undefined;
        cityCode?: string | null | undefined;
        extra?: any;
        address: string;
        coordinates: {
            latitude: number;
            longitude: number;
        };
    }, {
        keywords?: string | null | undefined;
        cityCode?: string | null | undefined;
        extra?: any;
        address: string;
        coordinates: {
            latitude: number;
            longitude: number;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    serviceType?: "INSTANT" | "SAME_DAY" | "BULK" | null | undefined;
    packages: {
        name: string;
        description: string;
        quantity: number;
        price: number;
        dimensions: {
            height: number;
            width: number;
            depth: number;
            weight: number;
        };
    }[];
    origin: {
        keywords?: string | null | undefined;
        cityCode?: string | null | undefined;
        extra?: any;
        address: string;
        coordinates: {
            latitude: number;
            longitude: number;
        };
    };
    destination: {
        keywords?: string | null | undefined;
        cityCode?: string | null | undefined;
        extra?: any;
        address: string;
        coordinates: {
            latitude: number;
            longitude: number;
        };
    };
}, {
    serviceType?: "INSTANT" | "SAME_DAY" | "BULK" | null | undefined;
    packages: {
        name: string;
        description: string;
        quantity: number;
        price: number;
        dimensions: {
            height: number;
            width: number;
            depth: number;
            weight: number;
        };
    }[];
    origin: {
        keywords?: string | null | undefined;
        cityCode?: string | null | undefined;
        extra?: any;
        address: string;
        coordinates: {
            latitude: number;
            longitude: number;
        };
    };
    destination: {
        keywords?: string | null | undefined;
        cityCode?: string | null | undefined;
        extra?: any;
        address: string;
        coordinates: {
            latitude: number;
            longitude: number;
        };
    };
}>;
declare const GrabQuote: z.ZodObject<{
    id: z.ZodString;
    customerID: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: string;
    customerID: string;
}, {
    id: string;
    customerID: string;
}>;
declare const GrabDeliveryParam: z.ZodObject<{
    customerID: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    status: z.ZodEnum<["CREATING", "NEW", "IN_DELIVER", "PICKING_UP", "IN_RETURN", "CANCELED", "RETURNED", "COMPLETE", "FAILED", "REFUSED"]>;
}, "strip", z.ZodTypeAny, {
    customerID?: string | null | undefined;
    status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
}, {
    customerID?: string | null | undefined;
    status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
}>;
export declare const GrabWebhook: z.ZodObject<{
    deliveryID: z.ZodString;
    merchantOrderID: z.ZodString;
    timestamp: z.ZodNumber;
    status: z.ZodEnum<["ALLOCATING", "PICKING_UP", "IN_DELIVERY", "IN_RETURN", "COMPLETED", "CANCELED", "RETURNED", "FAILED"]>;
    trackURL: z.ZodString;
    pickupPin: z.ZodString;
    failedReason: z.ZodString;
    sender: z.ZodObject<{
        name: z.ZodString;
        address: z.ZodString;
        relationship: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        name: string;
        address: string;
        relationship: string;
    }, {
        name: string;
        address: string;
        relationship: string;
    }>;
    recipient: z.ZodObject<{
        name: z.ZodString;
        address: z.ZodString;
        relationship: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        name: string;
        address: string;
        relationship: string;
    }, {
        name: string;
        address: string;
        relationship: string;
    }>;
    driver: z.ZodObject<{
        name: z.ZodString;
        phone: z.ZodString;
        licensePlate: z.ZodString;
        photoURL: z.ZodString;
        currentLat: z.ZodString;
        currentLng: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        name: string;
        phone: string;
        licensePlate: string;
        photoURL: string;
        currentLat: string;
        currentLng: string;
    }, {
        name: string;
        phone: string;
        licensePlate: string;
        photoURL: string;
        currentLat: string;
        currentLng: string;
    }>;
}, "strip", z.ZodTypeAny, {
    status: "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "FAILED" | "ALLOCATING" | "IN_DELIVERY" | "COMPLETED";
    merchantOrderID: string;
    sender: {
        name: string;
        address: string;
        relationship: string;
    };
    recipient: {
        name: string;
        address: string;
        relationship: string;
    };
    deliveryID: string;
    timestamp: number;
    trackURL: string;
    pickupPin: string;
    failedReason: string;
    driver: {
        name: string;
        phone: string;
        licensePlate: string;
        photoURL: string;
        currentLat: string;
        currentLng: string;
    };
}, {
    status: "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "FAILED" | "ALLOCATING" | "IN_DELIVERY" | "COMPLETED";
    merchantOrderID: string;
    sender: {
        name: string;
        address: string;
        relationship: string;
    };
    recipient: {
        name: string;
        address: string;
        relationship: string;
    };
    deliveryID: string;
    timestamp: number;
    trackURL: string;
    pickupPin: string;
    failedReason: string;
    driver: {
        name: string;
        phone: string;
        licensePlate: string;
        photoURL: string;
        currentLat: string;
        currentLng: string;
    };
}>;
export type GrabPlace = z.infer<typeof GrabPlace>;
export type GrabPackage = z.infer<typeof GrabPackage>;
export type GrabPerson = z.infer<typeof GrabPerson>;
export type GrabDeliveriesBody = z.infer<typeof GrabDeliveriesBody>;
export type GrabQuotesBodyMain = z.infer<typeof GrabQuotesBodyMain>;
export type GrabQuote = z.infer<typeof GrabQuote>;
export type GrabDeliveryParam = z.infer<typeof GrabDeliveryParam>;
export type GrabWebhook = z.infer<typeof GrabWebhook>;
export {};
