import { z } from 'zod';
/** `time` `price` */
export declare const F_KOSMO_PRIORITY: z.ZodEnum<["time", "price"]>;
/** `ASAP` `2H` `4H` `NEXT_DAY` `NEXT_3_DAYS` */
export declare const F_KOSMO_DELIVERY_TYPE: z.ZodEnum<["ASAP", "2H", "4H", "NEXT_DAY", "NEXT_3_DAYS"]>;
/**
 * `food` `groceries` `flowers`
 * `documents` `medicines` `electronics`
 * `fashion` `fragile` `others`
 */
export declare const F_KOSMO_PRODUCT_TYPE: z.ZodEnum<["food", "groceries", "flowers", "documents", "medicines", "electronics", "fashion", "fragile", "others"]>;
/**
 * List of countries that KOSMO supported in `ISO-3166` format:
 *
 * `Singapore` `Malaysia` `Philippines` `Thailand` `Indonesia`
 */
export declare const F_KOSMO_COUNTRY: z.ZodEnum<["SG", "MY", "PH", "TH", "ID"]>;
/** `motorcycle` `car` `van` */
export declare const F_KOSMO_VEHICLE_TYPE: z.ZodEnum<["motorcycle", "car", "van"]>;
/**
 * List of Providers in KOSMO for Malaysia:
 *
 * `PANDAGO` `LALAMOVE` `PICKUPP` `ZEEK` `BORZO`
 */
export declare const F_KOSMO_PROVIDER: z.ZodEnum<["PANDAGO", "LALAMOVE", "PICKUPP", "ZEEK", "BORZO"]>;
/**
 * List of services:
 *
 * `PRAOOF_DELIVERY` `INSURANCE` `DOOR_2_DOOR`
 */
export declare const F_KOSMO_SERVICE: z.ZodEnum<["proofDelivery", "insurance", "door2door"]>;
/**
 * `submitted` `created`
 * `to_pickup` `picked_up`
 * `delivered` `failed`
 * `cancelled` `returning`
 * `returned` `at_hub` `to_dropoff`
 */
export declare const F_KOSMO_DELIVERY_STATUS: z.ZodEnum<["submitted", "created", "to_pickup", "picked_up", "delivered", "failed", "cancelled", "returning", "returned", "at_hub", "to_dropoff"]>;
/**
 * List of cancellation reasons:
 *
 * `NO_LONGER_NEED_SERVICE` `WAITED_TOO_LONG_FOR_DRIVER`
 * `NEED_TO_CHANGE_ORDER_DETAILS` `OTHERS`
 */
export declare const F_KOSMO_CANCELLATION_REASON: z.ZodEnum<["no_longer_need_service", "waited_too_long_for_driver", "need_to_change_order_details", "others"]>;
export type F_KOSMO_PRIORITY = z.infer<typeof F_KOSMO_PRIORITY>;
export type F_KOSMO_DELIVERY_TYPE = z.infer<typeof F_KOSMO_DELIVERY_TYPE>;
export type F_KOSMO_PRODUCT_TYPE = z.infer<typeof F_KOSMO_PRODUCT_TYPE>;
export type F_KOSMO_COUNTRY = z.infer<typeof F_KOSMO_COUNTRY>;
export type F_KOSMO_VEHICLE_TYPE = z.infer<typeof F_KOSMO_VEHICLE_TYPE>;
export type F_KOSMO_PROVIDER = z.infer<typeof F_KOSMO_PROVIDER>;
export type F_KOSMO_SERVICE = z.infer<typeof F_KOSMO_SERVICE>;
export type F_KOSMO_DELIVERY_STATUS = z.infer<typeof F_KOSMO_DELIVERY_STATUS>;
export type F_KOSMO_CANCELLATION_REASON = z.infer<typeof F_KOSMO_CANCELLATION_REASON>;
