import { z } from "zod";
declare const FdtoDeliveryManualCoordinates: z.ZodObject<{
    lat: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    lng: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
}, "strip", z.ZodTypeAny, {
    lat?: number | null | undefined;
    lng?: number | null | undefined;
}, {
    lat?: number | null | undefined;
    lng?: number | null | undefined;
}>;
export declare const FdtoDeliveryManualWebhook: z.ZodObject<{
    deliveryId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    orderId: z.ZodString;
    choosenService: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodEnum<["GRAB_EXPRESS", "PANDA_GO"]>>>>;
    status: z.ZodEnum<["CREATING", "NEW", "IN_DELIVER", "PICKING_UP", "IN_RETURN", "CANCELED", "RETURNED", "COMPLETE", "FAILED", "REFUSED"]>;
    deliveryFee: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
        amount: z.ZodNumber;
        precision: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    }, {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    }>>>;
    driver: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
        name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        phone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        pictureURL: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        coordinates: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            lat: z.ZodNumber;
            lng: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            lat: number;
            lng: number;
        }, {
            lat: number;
            lng: number;
        }>>>;
        vehicle: z.ZodObject<{
            physicalVehicleType: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            licensePlate: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            model: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            licensePlate?: string | null | undefined;
            physicalVehicleType?: string | null | undefined;
            model?: string | null | undefined;
        }, {
            licensePlate?: string | null | undefined;
            physicalVehicleType?: string | null | undefined;
            model?: string | null | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        name?: string | null | undefined;
        coordinates?: {
            lat: number;
            lng: number;
        } | null | undefined;
        phone?: string | null | undefined;
        pictureURL?: string | null | undefined;
        vehicle: {
            licensePlate?: string | null | undefined;
            physicalVehicleType?: string | null | undefined;
            model?: string | null | undefined;
        };
    }, {
        name?: string | null | undefined;
        coordinates?: {
            lat: number;
            lng: number;
        } | null | undefined;
        phone?: string | null | undefined;
        pictureURL?: string | null | undefined;
        vehicle: {
            licensePlate?: string | null | undefined;
            physicalVehicleType?: string | null | undefined;
            model?: string | null | undefined;
        };
    }>>>>;
    remark: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    pickupRef: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    trackingUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    driver?: {
        name?: string | null | undefined;
        coordinates?: {
            lat: number;
            lng: number;
        } | null | undefined;
        phone?: string | null | undefined;
        pictureURL?: string | null | undefined;
        vehicle: {
            licensePlate?: string | null | undefined;
            physicalVehicleType?: string | null | undefined;
            model?: string | null | undefined;
        };
    } | null | undefined;
    deliveryId?: string | null | undefined;
    remark?: string | null | undefined;
    deliveryFee?: {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    } | null | undefined;
    trackingUrl?: string | null | undefined;
    pickupRef?: string | null | undefined;
    choosenService?: "GRAB_EXPRESS" | "PANDA_GO" | null | undefined;
    status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
    orderId: string;
}, {
    driver?: {
        name?: string | null | undefined;
        coordinates?: {
            lat: number;
            lng: number;
        } | null | undefined;
        phone?: string | null | undefined;
        pictureURL?: string | null | undefined;
        vehicle: {
            licensePlate?: string | null | undefined;
            physicalVehicleType?: string | null | undefined;
            model?: string | null | undefined;
        };
    } | null | undefined;
    deliveryId?: string | null | undefined;
    remark?: string | null | undefined;
    deliveryFee?: {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    } | null | undefined;
    trackingUrl?: string | null | undefined;
    pickupRef?: string | null | undefined;
    choosenService?: "GRAB_EXPRESS" | "PANDA_GO" | null | undefined;
    status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
    orderId: string;
}>;
export type FdtoDeliveryManualCoordinates = z.infer<typeof FdtoDeliveryManualCoordinates>;
export type FdtoDeliveryManualWebhook = z.infer<typeof FdtoDeliveryManualWebhook>;
export {};
