import { z } from 'zod';
declare const PandaGoConfig: z.ZodObject<{
    client_id: z.ZodString;
    client_assertion_type: z.ZodString;
    client_assertion: z.ZodString;
    scope: z.ZodString;
    grant_type: z.ZodString;
}, "strip", z.ZodTypeAny, {
    client_id: string;
    client_assertion_type: string;
    client_assertion: string;
    scope: string;
    grant_type: string;
}, {
    client_id: string;
    client_assertion_type: string;
    client_assertion: string;
    scope: string;
    grant_type: string;
}>;
declare const PandaGoLoginRes: z.ZodObject<{
    access_token: z.ZodString;
    expires_in: z.ZodString;
}, "strip", z.ZodTypeAny, {
    access_token: string;
    expires_in: string;
}, {
    access_token: string;
    expires_in: string;
}>;
declare const PandaGoNewOrderLocation: z.ZodObject<{
    address: z.ZodString;
    latitude: z.ZodNumber;
    longitude: z.ZodNumber;
    postalcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    postalcode?: string | null | undefined;
    address: string;
    latitude: number;
    longitude: number;
}, {
    postalcode?: string | null | undefined;
    address: string;
    latitude: number;
    longitude: number;
}>;
declare const PandaGoOrderSender: z.ZodObject<{
    name: z.ZodString;
    phone_number: z.ZodString;
    location: z.ZodObject<{
        address: z.ZodString;
        latitude: z.ZodNumber;
        longitude: z.ZodNumber;
        postalcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        postalcode?: string | null | undefined;
        address: string;
        latitude: number;
        longitude: number;
    }, {
        postalcode?: string | null | undefined;
        address: string;
        latitude: number;
        longitude: number;
    }>;
    notes: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    client_vendor_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    notes?: string | null | undefined;
    client_vendor_id?: string | null | undefined;
    name: string;
    location: {
        postalcode?: string | null | undefined;
        address: string;
        latitude: number;
        longitude: number;
    };
    phone_number: string;
}, {
    notes?: string | null | undefined;
    client_vendor_id?: string | null | undefined;
    name: string;
    location: {
        postalcode?: string | null | undefined;
        address: string;
        latitude: number;
        longitude: number;
    };
    phone_number: string;
}>;
declare const PandaGoOrderRecipient: z.ZodObject<{
    name: z.ZodString;
    phone_number: z.ZodString;
    location: z.ZodObject<{
        address: z.ZodString;
        latitude: z.ZodNumber;
        longitude: z.ZodNumber;
        postalcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        postalcode?: string | null | undefined;
        address: string;
        latitude: number;
        longitude: number;
    }, {
        postalcode?: string | null | undefined;
        address: string;
        latitude: number;
        longitude: number;
    }>;
    notes: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    notes?: string | null | undefined;
    name: string;
    location: {
        postalcode?: string | null | undefined;
        address: string;
        latitude: number;
        longitude: number;
    };
    phone_number: string;
}, {
    notes?: string | null | undefined;
    name: string;
    location: {
        postalcode?: string | null | undefined;
        address: string;
        latitude: number;
        longitude: number;
    };
    phone_number: string;
}>;
declare const PandaGoTimeline: z.ZodObject<{
    estimated_pickup_time: z.ZodString;
    estimated_delivery_time: z.ZodString;
}, "strip", z.ZodTypeAny, {
    estimated_pickup_time: string;
    estimated_delivery_time: string;
}, {
    estimated_pickup_time: string;
    estimated_delivery_time: string;
}>;
declare const PandaGoDriver: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    phone_number: z.ZodString;
}, "strip", z.ZodTypeAny, {
    name: string;
    id: string;
    phone_number: string;
}, {
    name: string;
    id: string;
    phone_number: string;
}>;
declare const PandaGoOrderCancellation: z.ZodObject<{
    source: z.ZodEnum<["CLIENT", "LOGISTICS"]>;
    reason: z.ZodEnum<["ADDRESS_INCOMPLETE_MISSTATED", "BAD_LOCATION", "BAD_WEATHER", "BILLING_PROBLEM", "BLACKLISTED", "CARD_READER_NOT_AVAILABLE", "CLOSED", "CONTENT_WRONG_MISLEADING", "COURIER_ACCIDENT", "COURIER_UNREACHABLE", "DELIVERY_ETA_TOO_LONG", "DUPLICATE_ORDER", "EXTRA_CHARGE_NEEDED", "FOOD_QUALITY_SPILLAGE", "FRAUD_PRANK", "ITEM_UNAVAILABLE", "LATE_DELIVERY", "MENU_ACCOUNT_SETTINGS", "MISTAKE_ERROR", "MOV_NOT_REACHED", "NEVER_DELIVERED", "NO_COURIER", "NO_PICKER", "NO_RESPONSE", "ORDER_MODIFICATION_NOT_POSSIBLE", "OUTSIDE_DELIVERY_AREA", "OUTSIDE_SERVICE_HOURS", "REASON_UNKNOWN", "TECHNICAL_PROBLEM", "TEST_ORDER", "TOO_BUSY", "UNABLE_TO_FIND", "UNABLE_TO_PAY", "UNPROFESSIONAL_BEHAVIOUR", "UNREACHABLE", "VOUCHER_NOT_APPLIED", "WILL_NOT_WORK_WITH_PLATFORM", "WRONG_ORDER_ITEMS_DELIVERED"]>;
}, "strip", z.ZodTypeAny, {
    source: "CLIENT" | "LOGISTICS";
    reason: "ADDRESS_INCOMPLETE_MISSTATED" | "BAD_LOCATION" | "BAD_WEATHER" | "BILLING_PROBLEM" | "BLACKLISTED" | "CARD_READER_NOT_AVAILABLE" | "CLOSED" | "CONTENT_WRONG_MISLEADING" | "COURIER_ACCIDENT" | "COURIER_UNREACHABLE" | "DELIVERY_ETA_TOO_LONG" | "DUPLICATE_ORDER" | "EXTRA_CHARGE_NEEDED" | "FOOD_QUALITY_SPILLAGE" | "FRAUD_PRANK" | "ITEM_UNAVAILABLE" | "LATE_DELIVERY" | "MENU_ACCOUNT_SETTINGS" | "MISTAKE_ERROR" | "MOV_NOT_REACHED" | "NEVER_DELIVERED" | "NO_COURIER" | "NO_PICKER" | "NO_RESPONSE" | "ORDER_MODIFICATION_NOT_POSSIBLE" | "OUTSIDE_DELIVERY_AREA" | "OUTSIDE_SERVICE_HOURS" | "REASON_UNKNOWN" | "TECHNICAL_PROBLEM" | "TEST_ORDER" | "TOO_BUSY" | "UNABLE_TO_FIND" | "UNABLE_TO_PAY" | "UNPROFESSIONAL_BEHAVIOUR" | "UNREACHABLE" | "VOUCHER_NOT_APPLIED" | "WILL_NOT_WORK_WITH_PLATFORM" | "WRONG_ORDER_ITEMS_DELIVERED";
}, {
    source: "CLIENT" | "LOGISTICS";
    reason: "ADDRESS_INCOMPLETE_MISSTATED" | "BAD_LOCATION" | "BAD_WEATHER" | "BILLING_PROBLEM" | "BLACKLISTED" | "CARD_READER_NOT_AVAILABLE" | "CLOSED" | "CONTENT_WRONG_MISLEADING" | "COURIER_ACCIDENT" | "COURIER_UNREACHABLE" | "DELIVERY_ETA_TOO_LONG" | "DUPLICATE_ORDER" | "EXTRA_CHARGE_NEEDED" | "FOOD_QUALITY_SPILLAGE" | "FRAUD_PRANK" | "ITEM_UNAVAILABLE" | "LATE_DELIVERY" | "MENU_ACCOUNT_SETTINGS" | "MISTAKE_ERROR" | "MOV_NOT_REACHED" | "NEVER_DELIVERED" | "NO_COURIER" | "NO_PICKER" | "NO_RESPONSE" | "ORDER_MODIFICATION_NOT_POSSIBLE" | "OUTSIDE_DELIVERY_AREA" | "OUTSIDE_SERVICE_HOURS" | "REASON_UNKNOWN" | "TECHNICAL_PROBLEM" | "TEST_ORDER" | "TOO_BUSY" | "UNABLE_TO_FIND" | "UNABLE_TO_PAY" | "UNPROFESSIONAL_BEHAVIOUR" | "UNREACHABLE" | "VOUCHER_NOT_APPLIED" | "WILL_NOT_WORK_WITH_PLATFORM" | "WRONG_ORDER_ITEMS_DELIVERED";
}>;
declare const PandaGoNewOrder: z.ZodObject<{
    client_order_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    sender: z.ZodObject<{
        name: z.ZodString;
        phone_number: z.ZodString;
        location: z.ZodObject<{
            address: z.ZodString;
            latitude: z.ZodNumber;
            longitude: z.ZodNumber;
            postalcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        }, {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        }>;
        notes: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        client_vendor_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        notes?: string | null | undefined;
        client_vendor_id?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    }, {
        notes?: string | null | undefined;
        client_vendor_id?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    }>;
    recipient: z.ZodObject<{
        name: z.ZodString;
        phone_number: z.ZodString;
        location: z.ZodObject<{
            address: z.ZodString;
            latitude: z.ZodNumber;
            longitude: z.ZodNumber;
            postalcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        }, {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        }>;
        notes: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        notes?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    }, {
        notes?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    }>;
    payment_method: z.ZodNullable<z.ZodOptional<z.ZodEnum<["PAID", "CASH_ON_DELIVERY"]>>>;
    coldbag_needed: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    amount: z.ZodNumber;
    description: z.ZodString;
    preordered_for: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
}, "strip", z.ZodTypeAny, {
    client_order_id?: string | null | undefined;
    payment_method?: "PAID" | "CASH_ON_DELIVERY" | null | undefined;
    coldbag_needed?: boolean | null | undefined;
    preordered_for?: number | null | undefined;
    description: string;
    amount: number;
    sender: {
        notes?: string | null | undefined;
        client_vendor_id?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    };
    recipient: {
        notes?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    };
}, {
    client_order_id?: string | null | undefined;
    payment_method?: "PAID" | "CASH_ON_DELIVERY" | null | undefined;
    coldbag_needed?: boolean | null | undefined;
    preordered_for?: number | null | undefined;
    description: string;
    amount: number;
    sender: {
        notes?: string | null | undefined;
        client_vendor_id?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    };
    recipient: {
        notes?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    };
}>;
declare const PandaGoOrderRes: z.ZodObject<{
    order_id: z.ZodString;
    client_order_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    sender: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        address: z.ZodString;
        latitude: z.ZodNumber;
        longitude: z.ZodNumber;
        postalcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        postalcode?: string | null | undefined;
        address: string;
        latitude: number;
        longitude: number;
    }, {
        postalcode?: string | null | undefined;
        address: string;
        latitude: number;
        longitude: number;
    }>>>;
    recipient: z.ZodObject<{
        name: z.ZodString;
        phone_number: z.ZodString;
        location: z.ZodObject<{
            address: z.ZodString;
            latitude: z.ZodNumber;
            longitude: z.ZodNumber;
            postalcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        }, {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        }>;
        notes: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        notes?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    }, {
        notes?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    }>;
    payment_method: z.ZodEnum<["PAID", "CASH_ON_DELIVERY"]>;
    coldbag_needed: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    amount: z.ZodNumber;
    description: z.ZodString;
    status: z.ZodEnum<["NEW", "RECEIVED", "WAITING_FOR_TRANSPORT", "ASSIGNED_TO_TRANSPORT", "COURIER_ACCEPTED_DELIVERY", "NEAR_VENDOR", "PICKED_UP", "COURIER_LEFT_VENDOR", "NEAR_CUSTOMER", "DELIVERED", "DELAYED", "CANCELLED"]>;
    delivery_fee: z.ZodNumber;
    timeline: z.ZodObject<{
        estimated_pickup_time: z.ZodString;
        estimated_delivery_time: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        estimated_pickup_time: string;
        estimated_delivery_time: string;
    }, {
        estimated_pickup_time: string;
        estimated_delivery_time: string;
    }>;
    driver: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        phone_number: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        name: string;
        id: string;
        phone_number: string;
    }, {
        name: string;
        id: string;
        phone_number: string;
    }>;
    created_at: z.ZodNumber;
    updated_at: z.ZodNumber;
    tracking_link: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    cancellation: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        source: z.ZodEnum<["CLIENT", "LOGISTICS"]>;
        reason: z.ZodEnum<["ADDRESS_INCOMPLETE_MISSTATED", "BAD_LOCATION", "BAD_WEATHER", "BILLING_PROBLEM", "BLACKLISTED", "CARD_READER_NOT_AVAILABLE", "CLOSED", "CONTENT_WRONG_MISLEADING", "COURIER_ACCIDENT", "COURIER_UNREACHABLE", "DELIVERY_ETA_TOO_LONG", "DUPLICATE_ORDER", "EXTRA_CHARGE_NEEDED", "FOOD_QUALITY_SPILLAGE", "FRAUD_PRANK", "ITEM_UNAVAILABLE", "LATE_DELIVERY", "MENU_ACCOUNT_SETTINGS", "MISTAKE_ERROR", "MOV_NOT_REACHED", "NEVER_DELIVERED", "NO_COURIER", "NO_PICKER", "NO_RESPONSE", "ORDER_MODIFICATION_NOT_POSSIBLE", "OUTSIDE_DELIVERY_AREA", "OUTSIDE_SERVICE_HOURS", "REASON_UNKNOWN", "TECHNICAL_PROBLEM", "TEST_ORDER", "TOO_BUSY", "UNABLE_TO_FIND", "UNABLE_TO_PAY", "UNPROFESSIONAL_BEHAVIOUR", "UNREACHABLE", "VOUCHER_NOT_APPLIED", "WILL_NOT_WORK_WITH_PLATFORM", "WRONG_ORDER_ITEMS_DELIVERED"]>;
    }, "strip", z.ZodTypeAny, {
        source: "CLIENT" | "LOGISTICS";
        reason: "ADDRESS_INCOMPLETE_MISSTATED" | "BAD_LOCATION" | "BAD_WEATHER" | "BILLING_PROBLEM" | "BLACKLISTED" | "CARD_READER_NOT_AVAILABLE" | "CLOSED" | "CONTENT_WRONG_MISLEADING" | "COURIER_ACCIDENT" | "COURIER_UNREACHABLE" | "DELIVERY_ETA_TOO_LONG" | "DUPLICATE_ORDER" | "EXTRA_CHARGE_NEEDED" | "FOOD_QUALITY_SPILLAGE" | "FRAUD_PRANK" | "ITEM_UNAVAILABLE" | "LATE_DELIVERY" | "MENU_ACCOUNT_SETTINGS" | "MISTAKE_ERROR" | "MOV_NOT_REACHED" | "NEVER_DELIVERED" | "NO_COURIER" | "NO_PICKER" | "NO_RESPONSE" | "ORDER_MODIFICATION_NOT_POSSIBLE" | "OUTSIDE_DELIVERY_AREA" | "OUTSIDE_SERVICE_HOURS" | "REASON_UNKNOWN" | "TECHNICAL_PROBLEM" | "TEST_ORDER" | "TOO_BUSY" | "UNABLE_TO_FIND" | "UNABLE_TO_PAY" | "UNPROFESSIONAL_BEHAVIOUR" | "UNREACHABLE" | "VOUCHER_NOT_APPLIED" | "WILL_NOT_WORK_WITH_PLATFORM" | "WRONG_ORDER_ITEMS_DELIVERED";
    }, {
        source: "CLIENT" | "LOGISTICS";
        reason: "ADDRESS_INCOMPLETE_MISSTATED" | "BAD_LOCATION" | "BAD_WEATHER" | "BILLING_PROBLEM" | "BLACKLISTED" | "CARD_READER_NOT_AVAILABLE" | "CLOSED" | "CONTENT_WRONG_MISLEADING" | "COURIER_ACCIDENT" | "COURIER_UNREACHABLE" | "DELIVERY_ETA_TOO_LONG" | "DUPLICATE_ORDER" | "EXTRA_CHARGE_NEEDED" | "FOOD_QUALITY_SPILLAGE" | "FRAUD_PRANK" | "ITEM_UNAVAILABLE" | "LATE_DELIVERY" | "MENU_ACCOUNT_SETTINGS" | "MISTAKE_ERROR" | "MOV_NOT_REACHED" | "NEVER_DELIVERED" | "NO_COURIER" | "NO_PICKER" | "NO_RESPONSE" | "ORDER_MODIFICATION_NOT_POSSIBLE" | "OUTSIDE_DELIVERY_AREA" | "OUTSIDE_SERVICE_HOURS" | "REASON_UNKNOWN" | "TECHNICAL_PROBLEM" | "TEST_ORDER" | "TOO_BUSY" | "UNABLE_TO_FIND" | "UNABLE_TO_PAY" | "UNPROFESSIONAL_BEHAVIOUR" | "UNREACHABLE" | "VOUCHER_NOT_APPLIED" | "WILL_NOT_WORK_WITH_PLATFORM" | "WRONG_ORDER_ITEMS_DELIVERED";
    }>>>;
}, "strip", z.ZodTypeAny, {
    sender?: {
        postalcode?: string | null | undefined;
        address: string;
        latitude: number;
        longitude: number;
    } | null | undefined;
    client_order_id?: string | null | undefined;
    coldbag_needed?: boolean | null | undefined;
    tracking_link?: string | null | undefined;
    cancellation?: {
        source: "CLIENT" | "LOGISTICS";
        reason: "ADDRESS_INCOMPLETE_MISSTATED" | "BAD_LOCATION" | "BAD_WEATHER" | "BILLING_PROBLEM" | "BLACKLISTED" | "CARD_READER_NOT_AVAILABLE" | "CLOSED" | "CONTENT_WRONG_MISLEADING" | "COURIER_ACCIDENT" | "COURIER_UNREACHABLE" | "DELIVERY_ETA_TOO_LONG" | "DUPLICATE_ORDER" | "EXTRA_CHARGE_NEEDED" | "FOOD_QUALITY_SPILLAGE" | "FRAUD_PRANK" | "ITEM_UNAVAILABLE" | "LATE_DELIVERY" | "MENU_ACCOUNT_SETTINGS" | "MISTAKE_ERROR" | "MOV_NOT_REACHED" | "NEVER_DELIVERED" | "NO_COURIER" | "NO_PICKER" | "NO_RESPONSE" | "ORDER_MODIFICATION_NOT_POSSIBLE" | "OUTSIDE_DELIVERY_AREA" | "OUTSIDE_SERVICE_HOURS" | "REASON_UNKNOWN" | "TECHNICAL_PROBLEM" | "TEST_ORDER" | "TOO_BUSY" | "UNABLE_TO_FIND" | "UNABLE_TO_PAY" | "UNPROFESSIONAL_BEHAVIOUR" | "UNREACHABLE" | "VOUCHER_NOT_APPLIED" | "WILL_NOT_WORK_WITH_PLATFORM" | "WRONG_ORDER_ITEMS_DELIVERED";
    } | null | undefined;
    status: "NEW" | "RECEIVED" | "WAITING_FOR_TRANSPORT" | "ASSIGNED_TO_TRANSPORT" | "COURIER_ACCEPTED_DELIVERY" | "NEAR_VENDOR" | "PICKED_UP" | "COURIER_LEFT_VENDOR" | "NEAR_CUSTOMER" | "DELIVERED" | "DELAYED" | "CANCELLED";
    description: string;
    amount: number;
    recipient: {
        notes?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    };
    driver: {
        name: string;
        id: string;
        phone_number: string;
    };
    payment_method: "PAID" | "CASH_ON_DELIVERY";
    order_id: string;
    delivery_fee: number;
    timeline: {
        estimated_pickup_time: string;
        estimated_delivery_time: string;
    };
    created_at: number;
    updated_at: number;
}, {
    sender?: {
        postalcode?: string | null | undefined;
        address: string;
        latitude: number;
        longitude: number;
    } | null | undefined;
    client_order_id?: string | null | undefined;
    coldbag_needed?: boolean | null | undefined;
    tracking_link?: string | null | undefined;
    cancellation?: {
        source: "CLIENT" | "LOGISTICS";
        reason: "ADDRESS_INCOMPLETE_MISSTATED" | "BAD_LOCATION" | "BAD_WEATHER" | "BILLING_PROBLEM" | "BLACKLISTED" | "CARD_READER_NOT_AVAILABLE" | "CLOSED" | "CONTENT_WRONG_MISLEADING" | "COURIER_ACCIDENT" | "COURIER_UNREACHABLE" | "DELIVERY_ETA_TOO_LONG" | "DUPLICATE_ORDER" | "EXTRA_CHARGE_NEEDED" | "FOOD_QUALITY_SPILLAGE" | "FRAUD_PRANK" | "ITEM_UNAVAILABLE" | "LATE_DELIVERY" | "MENU_ACCOUNT_SETTINGS" | "MISTAKE_ERROR" | "MOV_NOT_REACHED" | "NEVER_DELIVERED" | "NO_COURIER" | "NO_PICKER" | "NO_RESPONSE" | "ORDER_MODIFICATION_NOT_POSSIBLE" | "OUTSIDE_DELIVERY_AREA" | "OUTSIDE_SERVICE_HOURS" | "REASON_UNKNOWN" | "TECHNICAL_PROBLEM" | "TEST_ORDER" | "TOO_BUSY" | "UNABLE_TO_FIND" | "UNABLE_TO_PAY" | "UNPROFESSIONAL_BEHAVIOUR" | "UNREACHABLE" | "VOUCHER_NOT_APPLIED" | "WILL_NOT_WORK_WITH_PLATFORM" | "WRONG_ORDER_ITEMS_DELIVERED";
    } | null | undefined;
    status: "NEW" | "RECEIVED" | "WAITING_FOR_TRANSPORT" | "ASSIGNED_TO_TRANSPORT" | "COURIER_ACCEPTED_DELIVERY" | "NEAR_VENDOR" | "PICKED_UP" | "COURIER_LEFT_VENDOR" | "NEAR_CUSTOMER" | "DELIVERED" | "DELAYED" | "CANCELLED";
    description: string;
    amount: number;
    recipient: {
        notes?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    };
    driver: {
        name: string;
        id: string;
        phone_number: string;
    };
    payment_method: "PAID" | "CASH_ON_DELIVERY";
    order_id: string;
    delivery_fee: number;
    timeline: {
        estimated_pickup_time: string;
        estimated_delivery_time: string;
    };
    created_at: number;
    updated_at: number;
}>;
declare const PandaGoCourierLocationRes: z.ZodObject<{
    client_order_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    latitude: z.ZodNumber;
    longitude: z.ZodNumber;
    updated_at: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
}, "strip", z.ZodTypeAny, {
    client_order_id?: string | null | undefined;
    updated_at?: number | null | undefined;
    latitude: number;
    longitude: number;
}, {
    client_order_id?: string | null | undefined;
    updated_at?: number | null | undefined;
    latitude: number;
    longitude: number;
}>;
declare const PandaGoEstimation: z.ZodObject<{
    client_order_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    sender: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        name: z.ZodString;
        phone_number: z.ZodString;
        location: z.ZodObject<{
            address: z.ZodString;
            latitude: z.ZodNumber;
            longitude: z.ZodNumber;
            postalcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        }, {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        }>;
        notes: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        client_vendor_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        notes?: string | null | undefined;
        client_vendor_id?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    }, {
        notes?: string | null | undefined;
        client_vendor_id?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    }>>>;
    recipient: z.ZodObject<{
        name: z.ZodString;
        phone_number: z.ZodString;
        location: z.ZodObject<{
            address: z.ZodString;
            latitude: z.ZodNumber;
            longitude: z.ZodNumber;
            postalcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        }, {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        }>;
        notes: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        notes?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    }, {
        notes?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    }>;
    payment_method: z.ZodNullable<z.ZodOptional<z.ZodEnum<["PAID", "CASH_ON_DELIVERY"]>>>;
    coldbag_needed: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    amount: z.ZodNumber;
    description: z.ZodString;
}, "strip", z.ZodTypeAny, {
    sender?: {
        notes?: string | null | undefined;
        client_vendor_id?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    } | null | undefined;
    client_order_id?: string | null | undefined;
    payment_method?: "PAID" | "CASH_ON_DELIVERY" | null | undefined;
    coldbag_needed?: boolean | null | undefined;
    description: string;
    amount: number;
    recipient: {
        notes?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    };
}, {
    sender?: {
        notes?: string | null | undefined;
        client_vendor_id?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    } | null | undefined;
    client_order_id?: string | null | undefined;
    payment_method?: "PAID" | "CASH_ON_DELIVERY" | null | undefined;
    coldbag_needed?: boolean | null | undefined;
    description: string;
    amount: number;
    recipient: {
        notes?: string | null | undefined;
        name: string;
        location: {
            postalcode?: string | null | undefined;
            address: string;
            latitude: number;
            longitude: number;
        };
        phone_number: string;
    };
}>;
declare const PandaGoFeeEstimationRes: z.ZodObject<{
    client_order_id: z.ZodString;
    estimated_delivery_fee: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    client_order_id: string;
    estimated_delivery_fee: number;
}, {
    client_order_id: string;
    estimated_delivery_fee: number;
}>;
declare const PandaGoTimeEstimationRes: z.ZodObject<{
    client_order_id: z.ZodString;
    estimate_pickup_time: z.ZodString;
    estimate_delivery_time: z.ZodString;
}, "strip", z.ZodTypeAny, {
    client_order_id: string;
    estimate_pickup_time: string;
    estimate_delivery_time: string;
}, {
    client_order_id: string;
    estimate_pickup_time: string;
    estimate_delivery_time: string;
}>;
declare const PandaGoCreateOrUpdateOutlet: z.ZodObject<{
    name: z.ZodString;
    address: z.ZodString;
    street: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    street_number: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    building: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    district: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    postal_code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    rider_instructions: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    latitude: z.ZodNumber;
    longitude: z.ZodNumber;
    city: z.ZodString;
    phone_number: z.ZodString;
    currency: z.ZodEnum<["MYR"]>;
    locale: z.ZodString;
    description: z.ZodString;
    halal: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
}, "strip", z.ZodTypeAny, {
    street?: string | null | undefined;
    street_number?: string | null | undefined;
    building?: string | null | undefined;
    district?: string | null | undefined;
    postal_code?: string | null | undefined;
    rider_instructions?: string | null | undefined;
    halal?: boolean | null | undefined;
    name: string;
    locale: string;
    address: string;
    description: string;
    latitude: number;
    longitude: number;
    currency: "MYR";
    phone_number: string;
    city: string;
}, {
    street?: string | null | undefined;
    street_number?: string | null | undefined;
    building?: string | null | undefined;
    district?: string | null | undefined;
    postal_code?: string | null | undefined;
    rider_instructions?: string | null | undefined;
    halal?: boolean | null | undefined;
    name: string;
    locale: string;
    address: string;
    description: string;
    latitude: number;
    longitude: number;
    currency: "MYR";
    phone_number: string;
    city: string;
}>;
declare const PandaGoGetOutletRes: z.ZodObject<{
    client_vendor_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    name: z.ZodString;
    address: z.ZodString;
    street: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    street_number: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    building: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    district: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    postal_code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    rider_instructions: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    latitude: z.ZodNumber;
    longitude: z.ZodNumber;
    city: z.ZodString;
    phone_number: z.ZodString;
    currency: z.ZodEnum<["MYR"]>;
    description: z.ZodString;
    locale: z.ZodEnum<["en-MY"]>;
    halal: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
}, "strip", z.ZodTypeAny, {
    client_vendor_id?: string | null | undefined;
    street?: string | null | undefined;
    street_number?: string | null | undefined;
    building?: string | null | undefined;
    district?: string | null | undefined;
    postal_code?: string | null | undefined;
    rider_instructions?: string | null | undefined;
    halal?: boolean | null | undefined;
    name: string;
    locale: "en-MY";
    address: string;
    description: string;
    latitude: number;
    longitude: number;
    currency: "MYR";
    phone_number: string;
    city: string;
}, {
    client_vendor_id?: string | null | undefined;
    street?: string | null | undefined;
    street_number?: string | null | undefined;
    building?: string | null | undefined;
    district?: string | null | undefined;
    postal_code?: string | null | undefined;
    rider_instructions?: string | null | undefined;
    halal?: boolean | null | undefined;
    name: string;
    locale: "en-MY";
    address: string;
    description: string;
    latitude: number;
    longitude: number;
    currency: "MYR";
    phone_number: string;
    city: string;
}>;
declare const PandaGoCreateOutletRes: z.ZodObject<{
    name: z.ZodString;
    address: z.ZodString;
    street: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    street_number: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    building: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    district: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    postal_code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    rider_instructions: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    latitude: z.ZodNumber;
    longitude: z.ZodNumber;
    city: z.ZodString;
    phone_number: z.ZodString;
    currency: z.ZodEnum<["MYR"]>;
    description: z.ZodString;
    locale: z.ZodEnum<["en-MY"]>;
    halal: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
}, "strip", z.ZodTypeAny, {
    street?: string | null | undefined;
    street_number?: string | null | undefined;
    building?: string | null | undefined;
    district?: string | null | undefined;
    postal_code?: string | null | undefined;
    rider_instructions?: string | null | undefined;
    halal?: boolean | null | undefined;
    name: string;
    locale: "en-MY";
    address: string;
    description: string;
    latitude: number;
    longitude: number;
    currency: "MYR";
    phone_number: string;
    city: string;
}, {
    street?: string | null | undefined;
    street_number?: string | null | undefined;
    building?: string | null | undefined;
    district?: string | null | undefined;
    postal_code?: string | null | undefined;
    rider_instructions?: string | null | undefined;
    halal?: boolean | null | undefined;
    name: string;
    locale: "en-MY";
    address: string;
    description: string;
    latitude: number;
    longitude: number;
    currency: "MYR";
    phone_number: string;
    city: string;
}>;
export declare const PandaGoWebhook: z.ZodObject<{
    order_id: z.ZodString;
    client_order_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    status: z.ZodEnum<["NEW", "RECEIVED", "WAITING_FOR_TRANSPORT", "ASSIGNED_TO_TRANSPORT", "COURIER_ACCEPTED_DELIVERY", "NEAR_VENDOR", "PICKED_UP", "COURIER_LEFT_VENDOR", "NEAR_CUSTOMER", "DELIVERED", "DELAYED", "CANCELLED"]>;
    timeline: z.ZodObject<{
        estimated_pickup_time: z.ZodString;
        estimated_delivery_time: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        estimated_pickup_time: string;
        estimated_delivery_time: string;
    }, {
        estimated_pickup_time: string;
        estimated_delivery_time: string;
    }>;
    driver: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        phone_number: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        name: string;
        id: string;
        phone_number: string;
    }, {
        name: string;
        id: string;
        phone_number: string;
    }>;
    created_at: z.ZodNumber;
    updated_at: z.ZodNumber;
    tracking_link: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    proof_of_delivery_url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    cancellation: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        source: z.ZodEnum<["CLIENT", "LOGISTICS"]>;
        reason: z.ZodEnum<["ADDRESS_INCOMPLETE_MISSTATED", "BAD_LOCATION", "BAD_WEATHER", "BILLING_PROBLEM", "BLACKLISTED", "CARD_READER_NOT_AVAILABLE", "CLOSED", "CONTENT_WRONG_MISLEADING", "COURIER_ACCIDENT", "COURIER_UNREACHABLE", "DELIVERY_ETA_TOO_LONG", "DUPLICATE_ORDER", "EXTRA_CHARGE_NEEDED", "FOOD_QUALITY_SPILLAGE", "FRAUD_PRANK", "ITEM_UNAVAILABLE", "LATE_DELIVERY", "MENU_ACCOUNT_SETTINGS", "MISTAKE_ERROR", "MOV_NOT_REACHED", "NEVER_DELIVERED", "NO_COURIER", "NO_PICKER", "NO_RESPONSE", "ORDER_MODIFICATION_NOT_POSSIBLE", "OUTSIDE_DELIVERY_AREA", "OUTSIDE_SERVICE_HOURS", "REASON_UNKNOWN", "TECHNICAL_PROBLEM", "TEST_ORDER", "TOO_BUSY", "UNABLE_TO_FIND", "UNABLE_TO_PAY", "UNPROFESSIONAL_BEHAVIOUR", "UNREACHABLE", "VOUCHER_NOT_APPLIED", "WILL_NOT_WORK_WITH_PLATFORM", "WRONG_ORDER_ITEMS_DELIVERED"]>;
    }, "strip", z.ZodTypeAny, {
        source: "CLIENT" | "LOGISTICS";
        reason: "ADDRESS_INCOMPLETE_MISSTATED" | "BAD_LOCATION" | "BAD_WEATHER" | "BILLING_PROBLEM" | "BLACKLISTED" | "CARD_READER_NOT_AVAILABLE" | "CLOSED" | "CONTENT_WRONG_MISLEADING" | "COURIER_ACCIDENT" | "COURIER_UNREACHABLE" | "DELIVERY_ETA_TOO_LONG" | "DUPLICATE_ORDER" | "EXTRA_CHARGE_NEEDED" | "FOOD_QUALITY_SPILLAGE" | "FRAUD_PRANK" | "ITEM_UNAVAILABLE" | "LATE_DELIVERY" | "MENU_ACCOUNT_SETTINGS" | "MISTAKE_ERROR" | "MOV_NOT_REACHED" | "NEVER_DELIVERED" | "NO_COURIER" | "NO_PICKER" | "NO_RESPONSE" | "ORDER_MODIFICATION_NOT_POSSIBLE" | "OUTSIDE_DELIVERY_AREA" | "OUTSIDE_SERVICE_HOURS" | "REASON_UNKNOWN" | "TECHNICAL_PROBLEM" | "TEST_ORDER" | "TOO_BUSY" | "UNABLE_TO_FIND" | "UNABLE_TO_PAY" | "UNPROFESSIONAL_BEHAVIOUR" | "UNREACHABLE" | "VOUCHER_NOT_APPLIED" | "WILL_NOT_WORK_WITH_PLATFORM" | "WRONG_ORDER_ITEMS_DELIVERED";
    }, {
        source: "CLIENT" | "LOGISTICS";
        reason: "ADDRESS_INCOMPLETE_MISSTATED" | "BAD_LOCATION" | "BAD_WEATHER" | "BILLING_PROBLEM" | "BLACKLISTED" | "CARD_READER_NOT_AVAILABLE" | "CLOSED" | "CONTENT_WRONG_MISLEADING" | "COURIER_ACCIDENT" | "COURIER_UNREACHABLE" | "DELIVERY_ETA_TOO_LONG" | "DUPLICATE_ORDER" | "EXTRA_CHARGE_NEEDED" | "FOOD_QUALITY_SPILLAGE" | "FRAUD_PRANK" | "ITEM_UNAVAILABLE" | "LATE_DELIVERY" | "MENU_ACCOUNT_SETTINGS" | "MISTAKE_ERROR" | "MOV_NOT_REACHED" | "NEVER_DELIVERED" | "NO_COURIER" | "NO_PICKER" | "NO_RESPONSE" | "ORDER_MODIFICATION_NOT_POSSIBLE" | "OUTSIDE_DELIVERY_AREA" | "OUTSIDE_SERVICE_HOURS" | "REASON_UNKNOWN" | "TECHNICAL_PROBLEM" | "TEST_ORDER" | "TOO_BUSY" | "UNABLE_TO_FIND" | "UNABLE_TO_PAY" | "UNPROFESSIONAL_BEHAVIOUR" | "UNREACHABLE" | "VOUCHER_NOT_APPLIED" | "WILL_NOT_WORK_WITH_PLATFORM" | "WRONG_ORDER_ITEMS_DELIVERED";
    }>>>;
}, "strip", z.ZodTypeAny, {
    client_order_id?: string | null | undefined;
    tracking_link?: string | null | undefined;
    cancellation?: {
        source: "CLIENT" | "LOGISTICS";
        reason: "ADDRESS_INCOMPLETE_MISSTATED" | "BAD_LOCATION" | "BAD_WEATHER" | "BILLING_PROBLEM" | "BLACKLISTED" | "CARD_READER_NOT_AVAILABLE" | "CLOSED" | "CONTENT_WRONG_MISLEADING" | "COURIER_ACCIDENT" | "COURIER_UNREACHABLE" | "DELIVERY_ETA_TOO_LONG" | "DUPLICATE_ORDER" | "EXTRA_CHARGE_NEEDED" | "FOOD_QUALITY_SPILLAGE" | "FRAUD_PRANK" | "ITEM_UNAVAILABLE" | "LATE_DELIVERY" | "MENU_ACCOUNT_SETTINGS" | "MISTAKE_ERROR" | "MOV_NOT_REACHED" | "NEVER_DELIVERED" | "NO_COURIER" | "NO_PICKER" | "NO_RESPONSE" | "ORDER_MODIFICATION_NOT_POSSIBLE" | "OUTSIDE_DELIVERY_AREA" | "OUTSIDE_SERVICE_HOURS" | "REASON_UNKNOWN" | "TECHNICAL_PROBLEM" | "TEST_ORDER" | "TOO_BUSY" | "UNABLE_TO_FIND" | "UNABLE_TO_PAY" | "UNPROFESSIONAL_BEHAVIOUR" | "UNREACHABLE" | "VOUCHER_NOT_APPLIED" | "WILL_NOT_WORK_WITH_PLATFORM" | "WRONG_ORDER_ITEMS_DELIVERED";
    } | null | undefined;
    proof_of_delivery_url?: string | null | undefined;
    status: "NEW" | "RECEIVED" | "WAITING_FOR_TRANSPORT" | "ASSIGNED_TO_TRANSPORT" | "COURIER_ACCEPTED_DELIVERY" | "NEAR_VENDOR" | "PICKED_UP" | "COURIER_LEFT_VENDOR" | "NEAR_CUSTOMER" | "DELIVERED" | "DELAYED" | "CANCELLED";
    driver: {
        name: string;
        id: string;
        phone_number: string;
    };
    order_id: string;
    timeline: {
        estimated_pickup_time: string;
        estimated_delivery_time: string;
    };
    created_at: number;
    updated_at: number;
}, {
    client_order_id?: string | null | undefined;
    tracking_link?: string | null | undefined;
    cancellation?: {
        source: "CLIENT" | "LOGISTICS";
        reason: "ADDRESS_INCOMPLETE_MISSTATED" | "BAD_LOCATION" | "BAD_WEATHER" | "BILLING_PROBLEM" | "BLACKLISTED" | "CARD_READER_NOT_AVAILABLE" | "CLOSED" | "CONTENT_WRONG_MISLEADING" | "COURIER_ACCIDENT" | "COURIER_UNREACHABLE" | "DELIVERY_ETA_TOO_LONG" | "DUPLICATE_ORDER" | "EXTRA_CHARGE_NEEDED" | "FOOD_QUALITY_SPILLAGE" | "FRAUD_PRANK" | "ITEM_UNAVAILABLE" | "LATE_DELIVERY" | "MENU_ACCOUNT_SETTINGS" | "MISTAKE_ERROR" | "MOV_NOT_REACHED" | "NEVER_DELIVERED" | "NO_COURIER" | "NO_PICKER" | "NO_RESPONSE" | "ORDER_MODIFICATION_NOT_POSSIBLE" | "OUTSIDE_DELIVERY_AREA" | "OUTSIDE_SERVICE_HOURS" | "REASON_UNKNOWN" | "TECHNICAL_PROBLEM" | "TEST_ORDER" | "TOO_BUSY" | "UNABLE_TO_FIND" | "UNABLE_TO_PAY" | "UNPROFESSIONAL_BEHAVIOUR" | "UNREACHABLE" | "VOUCHER_NOT_APPLIED" | "WILL_NOT_WORK_WITH_PLATFORM" | "WRONG_ORDER_ITEMS_DELIVERED";
    } | null | undefined;
    proof_of_delivery_url?: string | null | undefined;
    status: "NEW" | "RECEIVED" | "WAITING_FOR_TRANSPORT" | "ASSIGNED_TO_TRANSPORT" | "COURIER_ACCEPTED_DELIVERY" | "NEAR_VENDOR" | "PICKED_UP" | "COURIER_LEFT_VENDOR" | "NEAR_CUSTOMER" | "DELIVERED" | "DELAYED" | "CANCELLED";
    driver: {
        name: string;
        id: string;
        phone_number: string;
    };
    order_id: string;
    timeline: {
        estimated_pickup_time: string;
        estimated_delivery_time: string;
    };
    created_at: number;
    updated_at: number;
}>;
export declare const FdtoDeliveryCoordinates: z.ZodObject<{
    lat: z.ZodNumber;
    lng: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    lat: number;
    lng: number;
}, {
    lat: number;
    lng: number;
}>;
export declare const FdtoDeliveryAddress: z.ZodObject<{
    addressLine: z.ZodString;
    coordinates: z.ZodObject<{
        lat: z.ZodNumber;
        lng: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        lat: number;
        lng: number;
    }, {
        lat: number;
        lng: number;
    }>;
    city: z.ZodString;
}, "strip", z.ZodTypeAny, {
    coordinates: {
        lat: number;
        lng: number;
    };
    city: string;
    addressLine: string;
}, {
    coordinates: {
        lat: number;
        lng: number;
    };
    city: string;
    addressLine: string;
}>;
declare const PandaGoRestaurant: z.ZodObject<{
    id: z.ZodString;
    address: z.ZodObject<{
        addressLine: z.ZodString;
        coordinates: z.ZodObject<{
            lat: z.ZodNumber;
            lng: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            lat: number;
            lng: number;
        }, {
            lat: number;
            lng: number;
        }>;
        city: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        coordinates: {
            lat: number;
            lng: number;
        };
        city: string;
        addressLine: string;
    }, {
        coordinates: {
            lat: number;
            lng: number;
        };
        city: string;
        addressLine: string;
    }>;
    name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    phone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    email: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    instruction: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    name?: string | null | undefined;
    email?: string | null | undefined;
    phone?: string | null | undefined;
    instruction?: string | null | undefined;
    address: {
        coordinates: {
            lat: number;
            lng: number;
        };
        city: string;
        addressLine: string;
    };
    id: string;
}, {
    name?: string | null | undefined;
    email?: string | null | undefined;
    phone?: string | null | undefined;
    instruction?: string | null | undefined;
    address: {
        coordinates: {
            lat: number;
            lng: number;
        };
        city: string;
        addressLine: string;
    };
    id: string;
}>;
export type FdtoDeliveryCoordinates = z.infer<typeof FdtoDeliveryCoordinates>;
export type FdtoDeliveryAddress = z.infer<typeof FdtoDeliveryAddress>;
export type PandaGoConfig = z.infer<typeof PandaGoConfig>;
export type PandaGoLoginRes = z.infer<typeof PandaGoLoginRes>;
export type PandaGoNewOrderLocation = z.infer<typeof PandaGoNewOrderLocation>;
export type PandaGoOrderSender = z.infer<typeof PandaGoOrderSender>;
export type PandaGoOrderRecipient = z.infer<typeof PandaGoOrderRecipient>;
export type PandaGoTimeline = z.infer<typeof PandaGoTimeline>;
export type PandaGoDriver = z.infer<typeof PandaGoDriver>;
export type PandaGoOrderCancellation = z.infer<typeof PandaGoOrderCancellation>;
export type PandaGoNewOrder = z.infer<typeof PandaGoNewOrder>;
export type PandaGoOrderRes = z.infer<typeof PandaGoOrderRes>;
export type PandaGoCourierLocationRes = z.infer<typeof PandaGoCourierLocationRes>;
export type PandaGoEstimation = z.infer<typeof PandaGoEstimation>;
export type PandaGoFeeEstimationRes = z.infer<typeof PandaGoFeeEstimationRes>;
export type PandaGoTimeEstimationRes = z.infer<typeof PandaGoTimeEstimationRes>;
export type PandaGoCreateOrUpdateOutlet = z.infer<typeof PandaGoCreateOrUpdateOutlet>;
export type PandaGoGetOutletRes = z.infer<typeof PandaGoGetOutletRes>;
export type PandaGoCreateOutletRes = z.infer<typeof PandaGoCreateOutletRes>;
export type PandaGoWebhook = z.infer<typeof PandaGoWebhook>;
export type PandaGoRestaurant = z.infer<typeof PandaGoRestaurant>;
export {};
