import { z } from 'zod';
export declare const F_PANDAGO_PAYMENT_METHOD: z.ZodEnum<["PAID", "CASH_ON_DELIVERY"]>;
export declare const F_PANDAGO_ORDER_STATUS: z.ZodEnum<["NEW", "RECEIVED", "WAITING_FOR_TRANSPORT", "ASSIGNED_TO_TRANSPORT", "COURIER_ACCEPTED_DELIVERY", "NEAR_VENDOR", "PICKED_UP", "COURIER_LEFT_VENDOR", "NEAR_CUSTOMER", "DELIVERED", "DELAYED", "CANCELLED"]>;
export declare const F_PANDAGO_CANCELLATION_SOURCE: z.ZodEnum<["CLIENT", "LOGISTICS"]>;
export declare const F_PANDAGO_CANCELLATION_REASON: z.ZodEnum<["ADDRESS_INCOMPLETE_MISSTATED", "BAD_LOCATION", "BAD_WEATHER", "BILLING_PROBLEM", "BLACKLISTED", "CARD_READER_NOT_AVAILABLE", "CLOSED", "CONTENT_WRONG_MISLEADING", "COURIER_ACCIDENT", "COURIER_UNREACHABLE", "DELIVERY_ETA_TOO_LONG", "DUPLICATE_ORDER", "EXTRA_CHARGE_NEEDED", "FOOD_QUALITY_SPILLAGE", "FRAUD_PRANK", "ITEM_UNAVAILABLE", "LATE_DELIVERY", "MENU_ACCOUNT_SETTINGS", "MISTAKE_ERROR", "MOV_NOT_REACHED", "NEVER_DELIVERED", "NO_COURIER", "NO_PICKER", "NO_RESPONSE", "ORDER_MODIFICATION_NOT_POSSIBLE", "OUTSIDE_DELIVERY_AREA", "OUTSIDE_SERVICE_HOURS", "REASON_UNKNOWN", "TECHNICAL_PROBLEM", "TEST_ORDER", "TOO_BUSY", "UNABLE_TO_FIND", "UNABLE_TO_PAY", "UNPROFESSIONAL_BEHAVIOUR", "UNREACHABLE", "VOUCHER_NOT_APPLIED", "WILL_NOT_WORK_WITH_PLATFORM", "WRONG_ORDER_ITEMS_DELIVERED"]>;
export declare const F_PANDAGO_CANCEL_ORDER_REASON: z.ZodEnum<["DELIVERY_ETA_TOO_LONG", "MISTAKE_ERROR", "REASON_UNKNOWN"]>;
export declare const F_PANDAGO_CURRENCY: z.ZodEnum<["MYR"]>;
export declare const F_PANDAGO_LOCALE: z.ZodEnum<["en-MY"]>;
export type F_PANDAGO_PAYMENT_METHOD = z.infer<typeof F_PANDAGO_PAYMENT_METHOD>;
export type F_PANDAGO_ORDER_STATUS = z.infer<typeof F_PANDAGO_ORDER_STATUS>;
export type F_PANDAGO_CANCELLATION_SOURCE = z.infer<typeof F_PANDAGO_CANCELLATION_SOURCE>;
export type F_PANDAGO_CANCELLATION_REASON = z.infer<typeof F_PANDAGO_CANCELLATION_REASON>;
export type F_PANDAGO_CANCEL_ORDER_REASON = z.infer<typeof F_PANDAGO_CANCEL_ORDER_REASON>;
export type F_PANDAGO_CURRENCY = z.infer<typeof F_PANDAGO_CURRENCY>;
export type F_PANDAGO_LOCALE = z.infer<typeof F_PANDAGO_LOCALE>;
