import { z } from "zod";
export declare const FdoFoodCourtMember: z.ZodObject<{
    _id: z.ZodEffects<z.ZodString, string, string>;
    status: z.ZodEnum<["ACTIVE", "INACTIVE", "PENDING", "DECLINED"]>;
    lastUpdatedAt: z.ZodEffects<z.ZodDefault<z.ZodString>, string, string | undefined>;
}, "strip", z.ZodTypeAny, {
    status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
    _id: string;
    lastUpdatedAt: string;
}, {
    lastUpdatedAt?: string | undefined;
    status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
    _id: string;
}>;
export declare const FdoFoodCourt: z.ZodObject<{
    _id: z.ZodEffects<z.ZodString, string, string>;
    members: z.ZodDefault<z.ZodArray<z.ZodObject<{
        _id: z.ZodEffects<z.ZodString, string, string>;
        status: z.ZodEnum<["ACTIVE", "INACTIVE", "PENDING", "DECLINED"]>;
        lastUpdatedAt: z.ZodEffects<z.ZodDefault<z.ZodString>, string, string | undefined>;
    }, "strip", z.ZodTypeAny, {
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        lastUpdatedAt: string;
    }, {
        lastUpdatedAt?: string | undefined;
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
    }>, "many">>;
    pf_restaurants: z.ZodOptional<z.ZodArray<z.ZodAny, "many">>;
    shortUrl: z.ZodOptional<z.ZodString>;
    name: z.ZodString;
    ownerId: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
    pf_owner: z.ZodOptional<z.ZodAny>;
    status: z.ZodEnum<["ACTIVE", "INACTIVE", "PENDING", "DECLINED"]>;
    deletedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
}, "strip", z.ZodTypeAny, {
    pf_restaurants?: any[] | undefined;
    shortUrl?: string | undefined;
    ownerId?: string | undefined;
    pf_owner?: any;
    deletedAt?: Date | null | undefined;
    name: string;
    status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
    _id: string;
    members: {
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        lastUpdatedAt: string;
    }[];
}, {
    members?: {
        lastUpdatedAt?: string | undefined;
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
    }[] | undefined;
    pf_restaurants?: any[] | undefined;
    shortUrl?: string | undefined;
    ownerId?: string | undefined;
    pf_owner?: any;
    deletedAt?: Date | null | undefined;
    name: string;
    status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
    _id: string;
}>;
export type FdoFoodCourtMember = z.infer<typeof FdoFoodCourtMember>;
export type FdoFoodCourt = z.infer<typeof FdoFoodCourt>;
