import { z } from 'zod';
export declare const FdoTerminalInfo: z.ZodObject<{
    gateway: z.ZodLiteral<"E_GHL">;
    merchantId: z.ZodString;
    terminalId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    gateway: "E_GHL";
    merchantId: string;
    terminalId: string;
}, {
    gateway: "E_GHL";
    merchantId: string;
    terminalId: string;
}>;
export declare const FdoOtpInfo: z.ZodObject<{
    code: z.ZodString;
    expiredAt: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    code: string;
    expiredAt: Date;
}, {
    code: string;
    expiredAt: Date;
}>;
export declare const FdoKioskDevice: z.ZodObject<{
    token: z.ZodString;
    machineId: z.ZodString;
    name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    scannerInfo: z.ZodNullable<z.ZodOptional<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
    }, {
        type: z.ZodLiteral<"CAPACITOR">;
        lensFacing: z.ZodNullable<z.ZodOptional<z.ZodEnum<["FRONT", "BACK"]>>>;
    }>, "strip", z.ZodTypeAny, {
        lensFacing?: "FRONT" | "BACK" | null | undefined;
        type: "CAPACITOR";
    }, {
        lensFacing?: "FRONT" | "BACK" | null | undefined;
        type: "CAPACITOR";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
    }, {
        type: z.ZodLiteral<"IMIN">;
    }>, "strip", z.ZodTypeAny, {
        type: "IMIN";
    }, {
        type: "IMIN";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
    }, {
        type: z.ZodLiteral<"SUNMI">;
        connection: z.ZodObject<{
            type: z.ZodEnum<["USB", "SERIAL"]>;
        }, "strip", z.ZodTypeAny, {
            type: "USB" | "SERIAL";
        }, {
            type: "USB" | "SERIAL";
        }>;
    }>, "strip", z.ZodTypeAny, {
        type: "SUNMI";
        connection: {
            type: "USB" | "SERIAL";
        };
    }, {
        type: "SUNMI";
        connection: {
            type: "USB" | "SERIAL";
        };
    }>>>>;
    printerInfo: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        hardware: z.ZodObject<{
            machineId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            encoderConfig: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
                dpi: z.ZodNumber;
                paperWidthInMm: z.ZodNumber;
            }, {
                type: z.ZodLiteral<"ECSPOS">;
            }>, "strip", z.ZodTypeAny, {
                type: "ECSPOS";
                dpi: number;
                paperWidthInMm: number;
            }, {
                type: "ECSPOS";
                dpi: number;
                paperWidthInMm: number;
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
                dpi: z.ZodNumber;
                paperWidthInMm: z.ZodNumber;
            }, {
                type: z.ZodLiteral<"TSPL">;
                paperHeightInMm: z.ZodNumber;
                paperDirection: z.ZodNumber;
                paperGapDistance: z.ZodNumber;
                paperReferenceX: z.ZodNumber;
                paperReferenceY: z.ZodNumber;
                paperOffset: z.ZodNumber;
            }>, "strip", z.ZodTypeAny, {
                type: "TSPL";
                dpi: number;
                paperWidthInMm: number;
                paperHeightInMm: number;
                paperDirection: number;
                paperGapDistance: number;
                paperReferenceX: number;
                paperReferenceY: number;
                paperOffset: number;
            }, {
                type: "TSPL";
                dpi: number;
                paperWidthInMm: number;
                paperHeightInMm: number;
                paperDirection: number;
                paperGapDistance: number;
                paperReferenceX: number;
                paperReferenceY: number;
                paperOffset: number;
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
                dpi: z.ZodNumber;
                paperWidthInMm: z.ZodNumber;
            }, {
                type: z.ZodLiteral<"STAR">;
            }>, "strip", z.ZodTypeAny, {
                type: "STAR";
                dpi: number;
                paperWidthInMm: number;
            }, {
                type: "STAR";
                dpi: number;
                paperWidthInMm: number;
            }>>;
            connection: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
            }, {
                type: z.ZodLiteral<"BLUETOOTH">;
                path: z.ZodString;
            }>, "strip", z.ZodTypeAny, {
                path: string;
                type: "BLUETOOTH";
            }, {
                path: string;
                type: "BLUETOOTH";
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
            }, {
                type: z.ZodLiteral<"DRIVER">;
                path: z.ZodString;
            }>, "strip", z.ZodTypeAny, {
                path: string;
                type: "DRIVER";
            }, {
                path: string;
                type: "DRIVER";
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
            }, {
                type: z.ZodLiteral<"IP">;
                path: z.ZodString;
            }>, "strip", z.ZodTypeAny, {
                path: string;
                type: "IP";
            }, {
                path: string;
                type: "IP";
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
            }, {
                type: z.ZodLiteral<"STAR">;
                portName: z.ZodString;
                emulationMode: z.ZodEnum<["StarPRNT", "StarLine", "StarGraphic"]>;
            }>, "strip", z.ZodTypeAny, {
                type: "STAR";
                portName: string;
                emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
            }, {
                type: "STAR";
                portName: string;
                emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
            }, {
                type: z.ZodLiteral<"USB">;
                vendorId: z.ZodString;
                productId: z.ZodString;
            }>, "strip", z.ZodTypeAny, {
                type: "USB";
                productId: string;
                vendorId: string;
            }, {
                type: "USB";
                productId: string;
                vendorId: string;
            }>>;
            chunkSize: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            chunkDelay: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            sleepDelay: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            maxRetry: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            waitForStatus: z.ZodBoolean;
            beepAfterPrint: z.ZodBoolean;
            isTextEncoding: z.ZodBoolean;
        }, "strip", z.ZodTypeAny, {
            machineId?: string | null | undefined;
            chunkSize?: number | null | undefined;
            chunkDelay?: number | null | undefined;
            sleepDelay?: number | null | undefined;
            maxRetry?: number | null | undefined;
            encoderConfig: {
                type: "ECSPOS";
                dpi: number;
                paperWidthInMm: number;
            } | {
                type: "TSPL";
                dpi: number;
                paperWidthInMm: number;
                paperHeightInMm: number;
                paperDirection: number;
                paperGapDistance: number;
                paperReferenceX: number;
                paperReferenceY: number;
                paperOffset: number;
            } | {
                type: "STAR";
                dpi: number;
                paperWidthInMm: number;
            };
            connection: {
                path: string;
                type: "BLUETOOTH";
            } | {
                path: string;
                type: "DRIVER";
            } | {
                path: string;
                type: "IP";
            } | {
                type: "STAR";
                portName: string;
                emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
            } | {
                type: "USB";
                productId: string;
                vendorId: string;
            };
            waitForStatus: boolean;
            beepAfterPrint: boolean;
            isTextEncoding: boolean;
        }, {
            machineId?: string | null | undefined;
            chunkSize?: number | null | undefined;
            chunkDelay?: number | null | undefined;
            sleepDelay?: number | null | undefined;
            maxRetry?: number | null | undefined;
            encoderConfig: {
                type: "ECSPOS";
                dpi: number;
                paperWidthInMm: number;
            } | {
                type: "TSPL";
                dpi: number;
                paperWidthInMm: number;
                paperHeightInMm: number;
                paperDirection: number;
                paperGapDistance: number;
                paperReferenceX: number;
                paperReferenceY: number;
                paperOffset: number;
            } | {
                type: "STAR";
                dpi: number;
                paperWidthInMm: number;
            };
            connection: {
                path: string;
                type: "BLUETOOTH";
            } | {
                path: string;
                type: "DRIVER";
            } | {
                path: string;
                type: "IP";
            } | {
                type: "STAR";
                portName: string;
                emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
            } | {
                type: "USB";
                productId: string;
                vendorId: string;
            };
            waitForStatus: boolean;
            beepAfterPrint: boolean;
            isTextEncoding: boolean;
        }>;
        backup: z.ZodNullable<z.ZodOptional<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["USB", "PRINTER_ID"]>;
        }, {
            type: z.ZodLiteral<"USB">;
        }>, "strip", z.ZodTypeAny, {
            type: "USB";
        }, {
            type: "USB";
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["USB", "PRINTER_ID"]>;
        }, {
            type: z.ZodLiteral<"PRINTER_ID">;
            printerId: z.ZodString;
        }>, "strip", z.ZodTypeAny, {
            type: "PRINTER_ID";
            printerId: string;
        }, {
            type: "PRINTER_ID";
            printerId: string;
        }>>>>;
    }, "strip", z.ZodTypeAny, {
        backup?: {
            type: "USB";
        } | {
            type: "PRINTER_ID";
            printerId: string;
        } | null | undefined;
        name: string;
        id: string;
        hardware: {
            machineId?: string | null | undefined;
            chunkSize?: number | null | undefined;
            chunkDelay?: number | null | undefined;
            sleepDelay?: number | null | undefined;
            maxRetry?: number | null | undefined;
            encoderConfig: {
                type: "ECSPOS";
                dpi: number;
                paperWidthInMm: number;
            } | {
                type: "TSPL";
                dpi: number;
                paperWidthInMm: number;
                paperHeightInMm: number;
                paperDirection: number;
                paperGapDistance: number;
                paperReferenceX: number;
                paperReferenceY: number;
                paperOffset: number;
            } | {
                type: "STAR";
                dpi: number;
                paperWidthInMm: number;
            };
            connection: {
                path: string;
                type: "BLUETOOTH";
            } | {
                path: string;
                type: "DRIVER";
            } | {
                path: string;
                type: "IP";
            } | {
                type: "STAR";
                portName: string;
                emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
            } | {
                type: "USB";
                productId: string;
                vendorId: string;
            };
            waitForStatus: boolean;
            beepAfterPrint: boolean;
            isTextEncoding: boolean;
        };
    }, {
        backup?: {
            type: "USB";
        } | {
            type: "PRINTER_ID";
            printerId: string;
        } | null | undefined;
        name: string;
        id: string;
        hardware: {
            machineId?: string | null | undefined;
            chunkSize?: number | null | undefined;
            chunkDelay?: number | null | undefined;
            sleepDelay?: number | null | undefined;
            maxRetry?: number | null | undefined;
            encoderConfig: {
                type: "ECSPOS";
                dpi: number;
                paperWidthInMm: number;
            } | {
                type: "TSPL";
                dpi: number;
                paperWidthInMm: number;
                paperHeightInMm: number;
                paperDirection: number;
                paperGapDistance: number;
                paperReferenceX: number;
                paperReferenceY: number;
                paperOffset: number;
            } | {
                type: "STAR";
                dpi: number;
                paperWidthInMm: number;
            };
            connection: {
                path: string;
                type: "BLUETOOTH";
            } | {
                path: string;
                type: "DRIVER";
            } | {
                path: string;
                type: "IP";
            } | {
                type: "STAR";
                portName: string;
                emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
            } | {
                type: "USB";
                productId: string;
                vendorId: string;
            };
            waitForStatus: boolean;
            beepAfterPrint: boolean;
            isTextEncoding: boolean;
        };
    }>>>;
    terminalInfo: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        gateway: z.ZodLiteral<"E_GHL">;
        merchantId: z.ZodString;
        terminalId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        gateway: "E_GHL";
        merchantId: string;
        terminalId: string;
    }, {
        gateway: "E_GHL";
        merchantId: string;
        terminalId: string;
    }>>>;
    deviceAppType: z.ZodNullable<z.ZodOptional<z.ZodEnum<["WEB_V2_APP", "WEB_V3_APP", "KIOSK_APP", "TABLET_APP", "UNKNOWN"]>>>;
    slotInfo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    pinInfo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    deviceAppVersion: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    name?: string | null | undefined;
    scannerInfo?: {
        lensFacing?: "FRONT" | "BACK" | null | undefined;
        type: "CAPACITOR";
    } | {
        type: "IMIN";
    } | {
        type: "SUNMI";
        connection: {
            type: "USB" | "SERIAL";
        };
    } | null | undefined;
    printerInfo?: {
        backup?: {
            type: "USB";
        } | {
            type: "PRINTER_ID";
            printerId: string;
        } | null | undefined;
        name: string;
        id: string;
        hardware: {
            machineId?: string | null | undefined;
            chunkSize?: number | null | undefined;
            chunkDelay?: number | null | undefined;
            sleepDelay?: number | null | undefined;
            maxRetry?: number | null | undefined;
            encoderConfig: {
                type: "ECSPOS";
                dpi: number;
                paperWidthInMm: number;
            } | {
                type: "TSPL";
                dpi: number;
                paperWidthInMm: number;
                paperHeightInMm: number;
                paperDirection: number;
                paperGapDistance: number;
                paperReferenceX: number;
                paperReferenceY: number;
                paperOffset: number;
            } | {
                type: "STAR";
                dpi: number;
                paperWidthInMm: number;
            };
            connection: {
                path: string;
                type: "BLUETOOTH";
            } | {
                path: string;
                type: "DRIVER";
            } | {
                path: string;
                type: "IP";
            } | {
                type: "STAR";
                portName: string;
                emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
            } | {
                type: "USB";
                productId: string;
                vendorId: string;
            };
            waitForStatus: boolean;
            beepAfterPrint: boolean;
            isTextEncoding: boolean;
        };
    } | null | undefined;
    terminalInfo?: {
        gateway: "E_GHL";
        merchantId: string;
        terminalId: string;
    } | null | undefined;
    deviceAppType?: "UNKNOWN" | "WEB_V2_APP" | "WEB_V3_APP" | "KIOSK_APP" | "TABLET_APP" | null | undefined;
    slotInfo?: string | null | undefined;
    pinInfo?: string | null | undefined;
    deviceAppVersion?: string | null | undefined;
    machineId: string;
    token: string;
}, {
    name?: string | null | undefined;
    scannerInfo?: {
        lensFacing?: "FRONT" | "BACK" | null | undefined;
        type: "CAPACITOR";
    } | {
        type: "IMIN";
    } | {
        type: "SUNMI";
        connection: {
            type: "USB" | "SERIAL";
        };
    } | null | undefined;
    printerInfo?: {
        backup?: {
            type: "USB";
        } | {
            type: "PRINTER_ID";
            printerId: string;
        } | null | undefined;
        name: string;
        id: string;
        hardware: {
            machineId?: string | null | undefined;
            chunkSize?: number | null | undefined;
            chunkDelay?: number | null | undefined;
            sleepDelay?: number | null | undefined;
            maxRetry?: number | null | undefined;
            encoderConfig: {
                type: "ECSPOS";
                dpi: number;
                paperWidthInMm: number;
            } | {
                type: "TSPL";
                dpi: number;
                paperWidthInMm: number;
                paperHeightInMm: number;
                paperDirection: number;
                paperGapDistance: number;
                paperReferenceX: number;
                paperReferenceY: number;
                paperOffset: number;
            } | {
                type: "STAR";
                dpi: number;
                paperWidthInMm: number;
            };
            connection: {
                path: string;
                type: "BLUETOOTH";
            } | {
                path: string;
                type: "DRIVER";
            } | {
                path: string;
                type: "IP";
            } | {
                type: "STAR";
                portName: string;
                emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
            } | {
                type: "USB";
                productId: string;
                vendorId: string;
            };
            waitForStatus: boolean;
            beepAfterPrint: boolean;
            isTextEncoding: boolean;
        };
    } | null | undefined;
    terminalInfo?: {
        gateway: "E_GHL";
        merchantId: string;
        terminalId: string;
    } | null | undefined;
    deviceAppType?: "UNKNOWN" | "WEB_V2_APP" | "WEB_V3_APP" | "KIOSK_APP" | "TABLET_APP" | null | undefined;
    slotInfo?: string | null | undefined;
    pinInfo?: string | null | undefined;
    deviceAppVersion?: string | null | undefined;
    machineId: string;
    token: string;
}>;
export declare const FdoRestaurantKioskSettings: z.ZodObject<{
    _id: z.ZodEffects<z.ZodString, string, string>;
    devices: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        token: z.ZodString;
        machineId: z.ZodString;
        name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        scannerInfo: z.ZodNullable<z.ZodOptional<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
        }, {
            type: z.ZodLiteral<"CAPACITOR">;
            lensFacing: z.ZodNullable<z.ZodOptional<z.ZodEnum<["FRONT", "BACK"]>>>;
        }>, "strip", z.ZodTypeAny, {
            lensFacing?: "FRONT" | "BACK" | null | undefined;
            type: "CAPACITOR";
        }, {
            lensFacing?: "FRONT" | "BACK" | null | undefined;
            type: "CAPACITOR";
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
        }, {
            type: z.ZodLiteral<"IMIN">;
        }>, "strip", z.ZodTypeAny, {
            type: "IMIN";
        }, {
            type: "IMIN";
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
        }, {
            type: z.ZodLiteral<"SUNMI">;
            connection: z.ZodObject<{
                type: z.ZodEnum<["USB", "SERIAL"]>;
            }, "strip", z.ZodTypeAny, {
                type: "USB" | "SERIAL";
            }, {
                type: "USB" | "SERIAL";
            }>;
        }>, "strip", z.ZodTypeAny, {
            type: "SUNMI";
            connection: {
                type: "USB" | "SERIAL";
            };
        }, {
            type: "SUNMI";
            connection: {
                type: "USB" | "SERIAL";
            };
        }>>>>;
        printerInfo: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            hardware: z.ZodObject<{
                machineId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                encoderConfig: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
                    dpi: z.ZodNumber;
                    paperWidthInMm: z.ZodNumber;
                }, {
                    type: z.ZodLiteral<"ECSPOS">;
                }>, "strip", z.ZodTypeAny, {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                }, {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
                    dpi: z.ZodNumber;
                    paperWidthInMm: z.ZodNumber;
                }, {
                    type: z.ZodLiteral<"TSPL">;
                    paperHeightInMm: z.ZodNumber;
                    paperDirection: z.ZodNumber;
                    paperGapDistance: z.ZodNumber;
                    paperReferenceX: z.ZodNumber;
                    paperReferenceY: z.ZodNumber;
                    paperOffset: z.ZodNumber;
                }>, "strip", z.ZodTypeAny, {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                }, {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
                    dpi: z.ZodNumber;
                    paperWidthInMm: z.ZodNumber;
                }, {
                    type: z.ZodLiteral<"STAR">;
                }>, "strip", z.ZodTypeAny, {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                }, {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                }>>;
                connection: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
                }, {
                    type: z.ZodLiteral<"BLUETOOTH">;
                    path: z.ZodString;
                }>, "strip", z.ZodTypeAny, {
                    path: string;
                    type: "BLUETOOTH";
                }, {
                    path: string;
                    type: "BLUETOOTH";
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
                }, {
                    type: z.ZodLiteral<"DRIVER">;
                    path: z.ZodString;
                }>, "strip", z.ZodTypeAny, {
                    path: string;
                    type: "DRIVER";
                }, {
                    path: string;
                    type: "DRIVER";
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
                }, {
                    type: z.ZodLiteral<"IP">;
                    path: z.ZodString;
                }>, "strip", z.ZodTypeAny, {
                    path: string;
                    type: "IP";
                }, {
                    path: string;
                    type: "IP";
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
                }, {
                    type: z.ZodLiteral<"STAR">;
                    portName: z.ZodString;
                    emulationMode: z.ZodEnum<["StarPRNT", "StarLine", "StarGraphic"]>;
                }>, "strip", z.ZodTypeAny, {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                }, {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
                }, {
                    type: z.ZodLiteral<"USB">;
                    vendorId: z.ZodString;
                    productId: z.ZodString;
                }>, "strip", z.ZodTypeAny, {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                }, {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                }>>;
                chunkSize: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                chunkDelay: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                sleepDelay: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                maxRetry: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                waitForStatus: z.ZodBoolean;
                beepAfterPrint: z.ZodBoolean;
                isTextEncoding: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            }, {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            }>;
            backup: z.ZodNullable<z.ZodOptional<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["USB", "PRINTER_ID"]>;
            }, {
                type: z.ZodLiteral<"USB">;
            }>, "strip", z.ZodTypeAny, {
                type: "USB";
            }, {
                type: "USB";
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["USB", "PRINTER_ID"]>;
            }, {
                type: z.ZodLiteral<"PRINTER_ID">;
                printerId: z.ZodString;
            }>, "strip", z.ZodTypeAny, {
                type: "PRINTER_ID";
                printerId: string;
            }, {
                type: "PRINTER_ID";
                printerId: string;
            }>>>>;
        }, "strip", z.ZodTypeAny, {
            backup?: {
                type: "USB";
            } | {
                type: "PRINTER_ID";
                printerId: string;
            } | null | undefined;
            name: string;
            id: string;
            hardware: {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            };
        }, {
            backup?: {
                type: "USB";
            } | {
                type: "PRINTER_ID";
                printerId: string;
            } | null | undefined;
            name: string;
            id: string;
            hardware: {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            };
        }>>>;
        terminalInfo: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            gateway: z.ZodLiteral<"E_GHL">;
            merchantId: z.ZodString;
            terminalId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            gateway: "E_GHL";
            merchantId: string;
            terminalId: string;
        }, {
            gateway: "E_GHL";
            merchantId: string;
            terminalId: string;
        }>>>;
        deviceAppType: z.ZodNullable<z.ZodOptional<z.ZodEnum<["WEB_V2_APP", "WEB_V3_APP", "KIOSK_APP", "TABLET_APP", "UNKNOWN"]>>>;
        slotInfo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        pinInfo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        deviceAppVersion: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        name?: string | null | undefined;
        scannerInfo?: {
            lensFacing?: "FRONT" | "BACK" | null | undefined;
            type: "CAPACITOR";
        } | {
            type: "IMIN";
        } | {
            type: "SUNMI";
            connection: {
                type: "USB" | "SERIAL";
            };
        } | null | undefined;
        printerInfo?: {
            backup?: {
                type: "USB";
            } | {
                type: "PRINTER_ID";
                printerId: string;
            } | null | undefined;
            name: string;
            id: string;
            hardware: {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            };
        } | null | undefined;
        terminalInfo?: {
            gateway: "E_GHL";
            merchantId: string;
            terminalId: string;
        } | null | undefined;
        deviceAppType?: "UNKNOWN" | "WEB_V2_APP" | "WEB_V3_APP" | "KIOSK_APP" | "TABLET_APP" | null | undefined;
        slotInfo?: string | null | undefined;
        pinInfo?: string | null | undefined;
        deviceAppVersion?: string | null | undefined;
        machineId: string;
        token: string;
    }, {
        name?: string | null | undefined;
        scannerInfo?: {
            lensFacing?: "FRONT" | "BACK" | null | undefined;
            type: "CAPACITOR";
        } | {
            type: "IMIN";
        } | {
            type: "SUNMI";
            connection: {
                type: "USB" | "SERIAL";
            };
        } | null | undefined;
        printerInfo?: {
            backup?: {
                type: "USB";
            } | {
                type: "PRINTER_ID";
                printerId: string;
            } | null | undefined;
            name: string;
            id: string;
            hardware: {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            };
        } | null | undefined;
        terminalInfo?: {
            gateway: "E_GHL";
            merchantId: string;
            terminalId: string;
        } | null | undefined;
        deviceAppType?: "UNKNOWN" | "WEB_V2_APP" | "WEB_V3_APP" | "KIOSK_APP" | "TABLET_APP" | null | undefined;
        slotInfo?: string | null | undefined;
        pinInfo?: string | null | undefined;
        deviceAppVersion?: string | null | undefined;
        machineId: string;
        token: string;
    }>, "many">>>;
    otp: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodString;
        expiredAt: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        code: string;
        expiredAt: Date;
    }, {
        code: string;
        expiredAt: Date;
    }>>>;
}, "strip", z.ZodTypeAny, {
    devices?: {
        name?: string | null | undefined;
        scannerInfo?: {
            lensFacing?: "FRONT" | "BACK" | null | undefined;
            type: "CAPACITOR";
        } | {
            type: "IMIN";
        } | {
            type: "SUNMI";
            connection: {
                type: "USB" | "SERIAL";
            };
        } | null | undefined;
        printerInfo?: {
            backup?: {
                type: "USB";
            } | {
                type: "PRINTER_ID";
                printerId: string;
            } | null | undefined;
            name: string;
            id: string;
            hardware: {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            };
        } | null | undefined;
        terminalInfo?: {
            gateway: "E_GHL";
            merchantId: string;
            terminalId: string;
        } | null | undefined;
        deviceAppType?: "UNKNOWN" | "WEB_V2_APP" | "WEB_V3_APP" | "KIOSK_APP" | "TABLET_APP" | null | undefined;
        slotInfo?: string | null | undefined;
        pinInfo?: string | null | undefined;
        deviceAppVersion?: string | null | undefined;
        machineId: string;
        token: string;
    }[] | null | undefined;
    otp?: {
        code: string;
        expiredAt: Date;
    } | null | undefined;
    _id: string;
}, {
    devices?: {
        name?: string | null | undefined;
        scannerInfo?: {
            lensFacing?: "FRONT" | "BACK" | null | undefined;
            type: "CAPACITOR";
        } | {
            type: "IMIN";
        } | {
            type: "SUNMI";
            connection: {
                type: "USB" | "SERIAL";
            };
        } | null | undefined;
        printerInfo?: {
            backup?: {
                type: "USB";
            } | {
                type: "PRINTER_ID";
                printerId: string;
            } | null | undefined;
            name: string;
            id: string;
            hardware: {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            };
        } | null | undefined;
        terminalInfo?: {
            gateway: "E_GHL";
            merchantId: string;
            terminalId: string;
        } | null | undefined;
        deviceAppType?: "UNKNOWN" | "WEB_V2_APP" | "WEB_V3_APP" | "KIOSK_APP" | "TABLET_APP" | null | undefined;
        slotInfo?: string | null | undefined;
        pinInfo?: string | null | undefined;
        deviceAppVersion?: string | null | undefined;
        machineId: string;
        token: string;
    }[] | null | undefined;
    otp?: {
        code: string;
        expiredAt: Date;
    } | null | undefined;
    _id: string;
}>;
export declare const FdoRestaurantKioskSettingByToken: z.ZodObject<z.extendShape<Pick<{
    _id: z.ZodEffects<z.ZodString, string, string>;
    devices: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        token: z.ZodString;
        machineId: z.ZodString;
        name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        scannerInfo: z.ZodNullable<z.ZodOptional<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
        }, {
            type: z.ZodLiteral<"CAPACITOR">;
            lensFacing: z.ZodNullable<z.ZodOptional<z.ZodEnum<["FRONT", "BACK"]>>>;
        }>, "strip", z.ZodTypeAny, {
            lensFacing?: "FRONT" | "BACK" | null | undefined;
            type: "CAPACITOR";
        }, {
            lensFacing?: "FRONT" | "BACK" | null | undefined;
            type: "CAPACITOR";
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
        }, {
            type: z.ZodLiteral<"IMIN">;
        }>, "strip", z.ZodTypeAny, {
            type: "IMIN";
        }, {
            type: "IMIN";
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
        }, {
            type: z.ZodLiteral<"SUNMI">;
            connection: z.ZodObject<{
                type: z.ZodEnum<["USB", "SERIAL"]>;
            }, "strip", z.ZodTypeAny, {
                type: "USB" | "SERIAL";
            }, {
                type: "USB" | "SERIAL";
            }>;
        }>, "strip", z.ZodTypeAny, {
            type: "SUNMI";
            connection: {
                type: "USB" | "SERIAL";
            };
        }, {
            type: "SUNMI";
            connection: {
                type: "USB" | "SERIAL";
            };
        }>>>>;
        printerInfo: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            hardware: z.ZodObject<{
                machineId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                encoderConfig: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
                    dpi: z.ZodNumber;
                    paperWidthInMm: z.ZodNumber;
                }, {
                    type: z.ZodLiteral<"ECSPOS">;
                }>, "strip", z.ZodTypeAny, {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                }, {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
                    dpi: z.ZodNumber;
                    paperWidthInMm: z.ZodNumber;
                }, {
                    type: z.ZodLiteral<"TSPL">;
                    paperHeightInMm: z.ZodNumber;
                    paperDirection: z.ZodNumber;
                    paperGapDistance: z.ZodNumber;
                    paperReferenceX: z.ZodNumber;
                    paperReferenceY: z.ZodNumber;
                    paperOffset: z.ZodNumber;
                }>, "strip", z.ZodTypeAny, {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                }, {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
                    dpi: z.ZodNumber;
                    paperWidthInMm: z.ZodNumber;
                }, {
                    type: z.ZodLiteral<"STAR">;
                }>, "strip", z.ZodTypeAny, {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                }, {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                }>>;
                connection: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
                }, {
                    type: z.ZodLiteral<"BLUETOOTH">;
                    path: z.ZodString;
                }>, "strip", z.ZodTypeAny, {
                    path: string;
                    type: "BLUETOOTH";
                }, {
                    path: string;
                    type: "BLUETOOTH";
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
                }, {
                    type: z.ZodLiteral<"DRIVER">;
                    path: z.ZodString;
                }>, "strip", z.ZodTypeAny, {
                    path: string;
                    type: "DRIVER";
                }, {
                    path: string;
                    type: "DRIVER";
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
                }, {
                    type: z.ZodLiteral<"IP">;
                    path: z.ZodString;
                }>, "strip", z.ZodTypeAny, {
                    path: string;
                    type: "IP";
                }, {
                    path: string;
                    type: "IP";
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
                }, {
                    type: z.ZodLiteral<"STAR">;
                    portName: z.ZodString;
                    emulationMode: z.ZodEnum<["StarPRNT", "StarLine", "StarGraphic"]>;
                }>, "strip", z.ZodTypeAny, {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                }, {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
                }, {
                    type: z.ZodLiteral<"USB">;
                    vendorId: z.ZodString;
                    productId: z.ZodString;
                }>, "strip", z.ZodTypeAny, {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                }, {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                }>>;
                chunkSize: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                chunkDelay: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                sleepDelay: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                maxRetry: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                waitForStatus: z.ZodBoolean;
                beepAfterPrint: z.ZodBoolean;
                isTextEncoding: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            }, {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            }>;
            backup: z.ZodNullable<z.ZodOptional<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["USB", "PRINTER_ID"]>;
            }, {
                type: z.ZodLiteral<"USB">;
            }>, "strip", z.ZodTypeAny, {
                type: "USB";
            }, {
                type: "USB";
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["USB", "PRINTER_ID"]>;
            }, {
                type: z.ZodLiteral<"PRINTER_ID">;
                printerId: z.ZodString;
            }>, "strip", z.ZodTypeAny, {
                type: "PRINTER_ID";
                printerId: string;
            }, {
                type: "PRINTER_ID";
                printerId: string;
            }>>>>;
        }, "strip", z.ZodTypeAny, {
            backup?: {
                type: "USB";
            } | {
                type: "PRINTER_ID";
                printerId: string;
            } | null | undefined;
            name: string;
            id: string;
            hardware: {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            };
        }, {
            backup?: {
                type: "USB";
            } | {
                type: "PRINTER_ID";
                printerId: string;
            } | null | undefined;
            name: string;
            id: string;
            hardware: {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            };
        }>>>;
        terminalInfo: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            gateway: z.ZodLiteral<"E_GHL">;
            merchantId: z.ZodString;
            terminalId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            gateway: "E_GHL";
            merchantId: string;
            terminalId: string;
        }, {
            gateway: "E_GHL";
            merchantId: string;
            terminalId: string;
        }>>>;
        deviceAppType: z.ZodNullable<z.ZodOptional<z.ZodEnum<["WEB_V2_APP", "WEB_V3_APP", "KIOSK_APP", "TABLET_APP", "UNKNOWN"]>>>;
        slotInfo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        pinInfo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        deviceAppVersion: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        name?: string | null | undefined;
        scannerInfo?: {
            lensFacing?: "FRONT" | "BACK" | null | undefined;
            type: "CAPACITOR";
        } | {
            type: "IMIN";
        } | {
            type: "SUNMI";
            connection: {
                type: "USB" | "SERIAL";
            };
        } | null | undefined;
        printerInfo?: {
            backup?: {
                type: "USB";
            } | {
                type: "PRINTER_ID";
                printerId: string;
            } | null | undefined;
            name: string;
            id: string;
            hardware: {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            };
        } | null | undefined;
        terminalInfo?: {
            gateway: "E_GHL";
            merchantId: string;
            terminalId: string;
        } | null | undefined;
        deviceAppType?: "UNKNOWN" | "WEB_V2_APP" | "WEB_V3_APP" | "KIOSK_APP" | "TABLET_APP" | null | undefined;
        slotInfo?: string | null | undefined;
        pinInfo?: string | null | undefined;
        deviceAppVersion?: string | null | undefined;
        machineId: string;
        token: string;
    }, {
        name?: string | null | undefined;
        scannerInfo?: {
            lensFacing?: "FRONT" | "BACK" | null | undefined;
            type: "CAPACITOR";
        } | {
            type: "IMIN";
        } | {
            type: "SUNMI";
            connection: {
                type: "USB" | "SERIAL";
            };
        } | null | undefined;
        printerInfo?: {
            backup?: {
                type: "USB";
            } | {
                type: "PRINTER_ID";
                printerId: string;
            } | null | undefined;
            name: string;
            id: string;
            hardware: {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            };
        } | null | undefined;
        terminalInfo?: {
            gateway: "E_GHL";
            merchantId: string;
            terminalId: string;
        } | null | undefined;
        deviceAppType?: "UNKNOWN" | "WEB_V2_APP" | "WEB_V3_APP" | "KIOSK_APP" | "TABLET_APP" | null | undefined;
        slotInfo?: string | null | undefined;
        pinInfo?: string | null | undefined;
        deviceAppVersion?: string | null | undefined;
        machineId: string;
        token: string;
    }>, "many">>>;
    otp: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        code: z.ZodString;
        expiredAt: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        code: string;
        expiredAt: Date;
    }, {
        code: string;
        expiredAt: Date;
    }>>>;
}, "_id">, {
    device: z.ZodObject<{
        token: z.ZodString;
        machineId: z.ZodString;
        name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        scannerInfo: z.ZodNullable<z.ZodOptional<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
        }, {
            type: z.ZodLiteral<"CAPACITOR">;
            lensFacing: z.ZodNullable<z.ZodOptional<z.ZodEnum<["FRONT", "BACK"]>>>;
        }>, "strip", z.ZodTypeAny, {
            lensFacing?: "FRONT" | "BACK" | null | undefined;
            type: "CAPACITOR";
        }, {
            lensFacing?: "FRONT" | "BACK" | null | undefined;
            type: "CAPACITOR";
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
        }, {
            type: z.ZodLiteral<"IMIN">;
        }>, "strip", z.ZodTypeAny, {
            type: "IMIN";
        }, {
            type: "IMIN";
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
        }, {
            type: z.ZodLiteral<"SUNMI">;
            connection: z.ZodObject<{
                type: z.ZodEnum<["USB", "SERIAL"]>;
            }, "strip", z.ZodTypeAny, {
                type: "USB" | "SERIAL";
            }, {
                type: "USB" | "SERIAL";
            }>;
        }>, "strip", z.ZodTypeAny, {
            type: "SUNMI";
            connection: {
                type: "USB" | "SERIAL";
            };
        }, {
            type: "SUNMI";
            connection: {
                type: "USB" | "SERIAL";
            };
        }>>>>;
        printerInfo: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            hardware: z.ZodObject<{
                machineId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                encoderConfig: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
                    dpi: z.ZodNumber;
                    paperWidthInMm: z.ZodNumber;
                }, {
                    type: z.ZodLiteral<"ECSPOS">;
                }>, "strip", z.ZodTypeAny, {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                }, {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
                    dpi: z.ZodNumber;
                    paperWidthInMm: z.ZodNumber;
                }, {
                    type: z.ZodLiteral<"TSPL">;
                    paperHeightInMm: z.ZodNumber;
                    paperDirection: z.ZodNumber;
                    paperGapDistance: z.ZodNumber;
                    paperReferenceX: z.ZodNumber;
                    paperReferenceY: z.ZodNumber;
                    paperOffset: z.ZodNumber;
                }>, "strip", z.ZodTypeAny, {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                }, {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
                    dpi: z.ZodNumber;
                    paperWidthInMm: z.ZodNumber;
                }, {
                    type: z.ZodLiteral<"STAR">;
                }>, "strip", z.ZodTypeAny, {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                }, {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                }>>;
                connection: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
                }, {
                    type: z.ZodLiteral<"BLUETOOTH">;
                    path: z.ZodString;
                }>, "strip", z.ZodTypeAny, {
                    path: string;
                    type: "BLUETOOTH";
                }, {
                    path: string;
                    type: "BLUETOOTH";
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
                }, {
                    type: z.ZodLiteral<"DRIVER">;
                    path: z.ZodString;
                }>, "strip", z.ZodTypeAny, {
                    path: string;
                    type: "DRIVER";
                }, {
                    path: string;
                    type: "DRIVER";
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
                }, {
                    type: z.ZodLiteral<"IP">;
                    path: z.ZodString;
                }>, "strip", z.ZodTypeAny, {
                    path: string;
                    type: "IP";
                }, {
                    path: string;
                    type: "IP";
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
                }, {
                    type: z.ZodLiteral<"STAR">;
                    portName: z.ZodString;
                    emulationMode: z.ZodEnum<["StarPRNT", "StarLine", "StarGraphic"]>;
                }>, "strip", z.ZodTypeAny, {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                }, {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
                }, {
                    type: z.ZodLiteral<"USB">;
                    vendorId: z.ZodString;
                    productId: z.ZodString;
                }>, "strip", z.ZodTypeAny, {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                }, {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                }>>;
                chunkSize: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                chunkDelay: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                sleepDelay: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                maxRetry: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                waitForStatus: z.ZodBoolean;
                beepAfterPrint: z.ZodBoolean;
                isTextEncoding: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            }, {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            }>;
            backup: z.ZodNullable<z.ZodOptional<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["USB", "PRINTER_ID"]>;
            }, {
                type: z.ZodLiteral<"USB">;
            }>, "strip", z.ZodTypeAny, {
                type: "USB";
            }, {
                type: "USB";
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["USB", "PRINTER_ID"]>;
            }, {
                type: z.ZodLiteral<"PRINTER_ID">;
                printerId: z.ZodString;
            }>, "strip", z.ZodTypeAny, {
                type: "PRINTER_ID";
                printerId: string;
            }, {
                type: "PRINTER_ID";
                printerId: string;
            }>>>>;
        }, "strip", z.ZodTypeAny, {
            backup?: {
                type: "USB";
            } | {
                type: "PRINTER_ID";
                printerId: string;
            } | null | undefined;
            name: string;
            id: string;
            hardware: {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            };
        }, {
            backup?: {
                type: "USB";
            } | {
                type: "PRINTER_ID";
                printerId: string;
            } | null | undefined;
            name: string;
            id: string;
            hardware: {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            };
        }>>>;
        terminalInfo: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            gateway: z.ZodLiteral<"E_GHL">;
            merchantId: z.ZodString;
            terminalId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            gateway: "E_GHL";
            merchantId: string;
            terminalId: string;
        }, {
            gateway: "E_GHL";
            merchantId: string;
            terminalId: string;
        }>>>;
        deviceAppType: z.ZodNullable<z.ZodOptional<z.ZodEnum<["WEB_V2_APP", "WEB_V3_APP", "KIOSK_APP", "TABLET_APP", "UNKNOWN"]>>>;
        slotInfo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        pinInfo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        deviceAppVersion: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        name?: string | null | undefined;
        scannerInfo?: {
            lensFacing?: "FRONT" | "BACK" | null | undefined;
            type: "CAPACITOR";
        } | {
            type: "IMIN";
        } | {
            type: "SUNMI";
            connection: {
                type: "USB" | "SERIAL";
            };
        } | null | undefined;
        printerInfo?: {
            backup?: {
                type: "USB";
            } | {
                type: "PRINTER_ID";
                printerId: string;
            } | null | undefined;
            name: string;
            id: string;
            hardware: {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            };
        } | null | undefined;
        terminalInfo?: {
            gateway: "E_GHL";
            merchantId: string;
            terminalId: string;
        } | null | undefined;
        deviceAppType?: "UNKNOWN" | "WEB_V2_APP" | "WEB_V3_APP" | "KIOSK_APP" | "TABLET_APP" | null | undefined;
        slotInfo?: string | null | undefined;
        pinInfo?: string | null | undefined;
        deviceAppVersion?: string | null | undefined;
        machineId: string;
        token: string;
    }, {
        name?: string | null | undefined;
        scannerInfo?: {
            lensFacing?: "FRONT" | "BACK" | null | undefined;
            type: "CAPACITOR";
        } | {
            type: "IMIN";
        } | {
            type: "SUNMI";
            connection: {
                type: "USB" | "SERIAL";
            };
        } | null | undefined;
        printerInfo?: {
            backup?: {
                type: "USB";
            } | {
                type: "PRINTER_ID";
                printerId: string;
            } | null | undefined;
            name: string;
            id: string;
            hardware: {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            };
        } | null | undefined;
        terminalInfo?: {
            gateway: "E_GHL";
            merchantId: string;
            terminalId: string;
        } | null | undefined;
        deviceAppType?: "UNKNOWN" | "WEB_V2_APP" | "WEB_V3_APP" | "KIOSK_APP" | "TABLET_APP" | null | undefined;
        slotInfo?: string | null | undefined;
        pinInfo?: string | null | undefined;
        deviceAppVersion?: string | null | undefined;
        machineId: string;
        token: string;
    }>;
}>, "strip", z.ZodTypeAny, {
    _id: string;
    device: {
        name?: string | null | undefined;
        scannerInfo?: {
            lensFacing?: "FRONT" | "BACK" | null | undefined;
            type: "CAPACITOR";
        } | {
            type: "IMIN";
        } | {
            type: "SUNMI";
            connection: {
                type: "USB" | "SERIAL";
            };
        } | null | undefined;
        printerInfo?: {
            backup?: {
                type: "USB";
            } | {
                type: "PRINTER_ID";
                printerId: string;
            } | null | undefined;
            name: string;
            id: string;
            hardware: {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            };
        } | null | undefined;
        terminalInfo?: {
            gateway: "E_GHL";
            merchantId: string;
            terminalId: string;
        } | null | undefined;
        deviceAppType?: "UNKNOWN" | "WEB_V2_APP" | "WEB_V3_APP" | "KIOSK_APP" | "TABLET_APP" | null | undefined;
        slotInfo?: string | null | undefined;
        pinInfo?: string | null | undefined;
        deviceAppVersion?: string | null | undefined;
        machineId: string;
        token: string;
    };
}, {
    _id: string;
    device: {
        name?: string | null | undefined;
        scannerInfo?: {
            lensFacing?: "FRONT" | "BACK" | null | undefined;
            type: "CAPACITOR";
        } | {
            type: "IMIN";
        } | {
            type: "SUNMI";
            connection: {
                type: "USB" | "SERIAL";
            };
        } | null | undefined;
        printerInfo?: {
            backup?: {
                type: "USB";
            } | {
                type: "PRINTER_ID";
                printerId: string;
            } | null | undefined;
            name: string;
            id: string;
            hardware: {
                machineId?: string | null | undefined;
                chunkSize?: number | null | undefined;
                chunkDelay?: number | null | undefined;
                sleepDelay?: number | null | undefined;
                maxRetry?: number | null | undefined;
                encoderConfig: {
                    type: "ECSPOS";
                    dpi: number;
                    paperWidthInMm: number;
                } | {
                    type: "TSPL";
                    dpi: number;
                    paperWidthInMm: number;
                    paperHeightInMm: number;
                    paperDirection: number;
                    paperGapDistance: number;
                    paperReferenceX: number;
                    paperReferenceY: number;
                    paperOffset: number;
                } | {
                    type: "STAR";
                    dpi: number;
                    paperWidthInMm: number;
                };
                connection: {
                    path: string;
                    type: "BLUETOOTH";
                } | {
                    path: string;
                    type: "DRIVER";
                } | {
                    path: string;
                    type: "IP";
                } | {
                    type: "STAR";
                    portName: string;
                    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
                } | {
                    type: "USB";
                    productId: string;
                    vendorId: string;
                };
                waitForStatus: boolean;
                beepAfterPrint: boolean;
                isTextEncoding: boolean;
            };
        } | null | undefined;
        terminalInfo?: {
            gateway: "E_GHL";
            merchantId: string;
            terminalId: string;
        } | null | undefined;
        deviceAppType?: "UNKNOWN" | "WEB_V2_APP" | "WEB_V3_APP" | "KIOSK_APP" | "TABLET_APP" | null | undefined;
        slotInfo?: string | null | undefined;
        pinInfo?: string | null | undefined;
        deviceAppVersion?: string | null | undefined;
        machineId: string;
        token: string;
    };
}>;
export type FdoOtpInfo = z.infer<typeof FdoOtpInfo>;
export type FdoRestaurantKioskSettings = z.infer<typeof FdoRestaurantKioskSettings>;
export type FdoRestaurantKioskSettingByToken = z.infer<typeof FdoRestaurantKioskSettingByToken>;
export type FdoKioskDevice = z.infer<typeof FdoKioskDevice>;
