import { z } from 'zod';
export declare const FdoBaseScannerInfo: z.ZodObject<{
    type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
}, "strip", z.ZodTypeAny, {
    type: "CAPACITOR" | "IMIN" | "SUNMI" | "KEYBOARD";
}, {
    type: "CAPACITOR" | "IMIN" | "SUNMI" | "KEYBOARD";
}>;
export declare const FdoCapacitorScannerInfo: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
}, {
    type: z.ZodLiteral<"CAPACITOR">;
    lensFacing: z.ZodNullable<z.ZodOptional<z.ZodEnum<["FRONT", "BACK"]>>>;
}>, "strip", z.ZodTypeAny, {
    lensFacing?: "FRONT" | "BACK" | null | undefined;
    type: "CAPACITOR";
}, {
    lensFacing?: "FRONT" | "BACK" | null | undefined;
    type: "CAPACITOR";
}>;
export declare const FdoIminScannnerInfo: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
}, {
    type: z.ZodLiteral<"IMIN">;
}>, "strip", z.ZodTypeAny, {
    type: "IMIN";
}, {
    type: "IMIN";
}>;
export declare const FdoSunmiScannerInfo: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
}, {
    type: z.ZodLiteral<"SUNMI">;
    connection: z.ZodObject<{
        type: z.ZodEnum<["USB", "SERIAL"]>;
    }, "strip", z.ZodTypeAny, {
        type: "USB" | "SERIAL";
    }, {
        type: "USB" | "SERIAL";
    }>;
}>, "strip", z.ZodTypeAny, {
    type: "SUNMI";
    connection: {
        type: "USB" | "SERIAL";
    };
}, {
    type: "SUNMI";
    connection: {
        type: "USB" | "SERIAL";
    };
}>;
export declare const FdoScannerInfo: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
}, {
    type: z.ZodLiteral<"CAPACITOR">;
    lensFacing: z.ZodNullable<z.ZodOptional<z.ZodEnum<["FRONT", "BACK"]>>>;
}>, "strip", z.ZodTypeAny, {
    lensFacing?: "FRONT" | "BACK" | null | undefined;
    type: "CAPACITOR";
}, {
    lensFacing?: "FRONT" | "BACK" | null | undefined;
    type: "CAPACITOR";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
}, {
    type: z.ZodLiteral<"IMIN">;
}>, "strip", z.ZodTypeAny, {
    type: "IMIN";
}, {
    type: "IMIN";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
}, {
    type: z.ZodLiteral<"SUNMI">;
    connection: z.ZodObject<{
        type: z.ZodEnum<["USB", "SERIAL"]>;
    }, "strip", z.ZodTypeAny, {
        type: "USB" | "SERIAL";
    }, {
        type: "USB" | "SERIAL";
    }>;
}>, "strip", z.ZodTypeAny, {
    type: "SUNMI";
    connection: {
        type: "USB" | "SERIAL";
    };
}, {
    type: "SUNMI";
    connection: {
        type: "USB" | "SERIAL";
    };
}>>;
export type FdoScannerInfo = z.infer<typeof FdoScannerInfo>;
