import { z } from 'zod';
export declare const BaseScannerInfoDto: z.ZodObject<{
    type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
}, "strip", z.ZodTypeAny, {
    type: "CAPACITOR" | "IMIN" | "SUNMI" | "KEYBOARD";
}, {
    type: "CAPACITOR" | "IMIN" | "SUNMI" | "KEYBOARD";
}>;
export declare const CapacitorScannerInfoDto: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
}, {
    type: z.ZodLiteral<"CAPACITOR">;
    lensFacing: z.ZodNullable<z.ZodOptional<z.ZodEnum<["FRONT", "BACK"]>>>;
}>, "strip", z.ZodTypeAny, {
    lensFacing?: "FRONT" | "BACK" | null | undefined;
    type: "CAPACITOR";
}, {
    lensFacing?: "FRONT" | "BACK" | null | undefined;
    type: "CAPACITOR";
}>;
export declare const IminScannerInfoDto: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
}, {
    type: z.ZodLiteral<"IMIN">;
}>, "strip", z.ZodTypeAny, {
    type: "IMIN";
}, {
    type: "IMIN";
}>;
export declare const SunmiScannerInfoDto: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
}, {
    type: z.ZodLiteral<"SUNMI">;
    connection: z.ZodDefault<z.ZodObject<{
        type: z.ZodEnum<["USB", "SERIAL"]>;
    }, "strip", z.ZodTypeAny, {
        type: "USB" | "SERIAL";
    }, {
        type: "USB" | "SERIAL";
    }>>;
}>, "strip", z.ZodTypeAny, {
    type: "SUNMI";
    connection: {
        type: "USB" | "SERIAL";
    };
}, {
    connection?: {
        type: "USB" | "SERIAL";
    } | undefined;
    type: "SUNMI";
}>;
export declare const ScannerInfoDto: z.ZodDefault<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
}, {
    type: z.ZodLiteral<"CAPACITOR">;
    lensFacing: z.ZodNullable<z.ZodOptional<z.ZodEnum<["FRONT", "BACK"]>>>;
}>, "strip", z.ZodTypeAny, {
    lensFacing?: "FRONT" | "BACK" | null | undefined;
    type: "CAPACITOR";
}, {
    lensFacing?: "FRONT" | "BACK" | null | undefined;
    type: "CAPACITOR";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
}, {
    type: z.ZodLiteral<"IMIN">;
}>, "strip", z.ZodTypeAny, {
    type: "IMIN";
}, {
    type: "IMIN";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CAPACITOR", "IMIN", "SUNMI", "KEYBOARD"]>;
}, {
    type: z.ZodLiteral<"SUNMI">;
    connection: z.ZodDefault<z.ZodObject<{
        type: z.ZodEnum<["USB", "SERIAL"]>;
    }, "strip", z.ZodTypeAny, {
        type: "USB" | "SERIAL";
    }, {
        type: "USB" | "SERIAL";
    }>>;
}>, "strip", z.ZodTypeAny, {
    type: "SUNMI";
    connection: {
        type: "USB" | "SERIAL";
    };
}, {
    connection?: {
        type: "USB" | "SERIAL";
    } | undefined;
    type: "SUNMI";
}>>>;
export type ScannerInfoDto = z.infer<typeof ScannerInfoDto>;
