import { z } from 'zod';
export declare const FdtoMember: z.ZodObject<z.extendShape<Omit<{
    _id: z.ZodEffects<z.ZodString, string, string>;
    joinedAt: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
    business: z.ZodEffects<z.ZodString, string, string>;
    pf_business: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
        _id: z.ZodEffects<z.ZodString, string, string>;
        ownerId: z.ZodString;
        name: z.ZodString;
        restaurantQuota: z.ZodNumber;
        warehouseQuota: z.ZodNumber;
        menuVersion: z.ZodString;
        internal: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        expiredAt: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
        url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        agentId: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
        attributeSettings: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            key: z.ZodString;
            type: z.ZodUnion<[z.ZodLiteral<"string">, z.ZodLiteral<"number">, z.ZodLiteral<"date">, z.ZodLiteral<"boolean">]>;
            entity: z.ZodUnion<[z.ZodLiteral<"restaurant">, z.ZodLiteral<"item">, z.ZodLiteral<"group">, z.ZodLiteral<"inventorySku">, z.ZodLiteral<"inventoryRecipe">, z.ZodLiteral<"warehouse">]>;
            options: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodAny, "many">>>;
        }, "strip", z.ZodTypeAny, {
            options?: any[] | null | undefined;
            type: "string" | "number" | "boolean" | "date";
            key: string;
            entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
        }, {
            options?: any[] | null | undefined;
            type: "string" | "number" | "boolean" | "date";
            key: string;
            entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
        }>, "many">>>;
        pf_agent: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            _id: z.ZodEffects<z.ZodString, string, string>;
            name: z.ZodString;
            code: z.ZodString;
            isReseller: z.ZodBoolean;
            clickupId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                userId: z.ZodString;
                pf_user: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    _id: z.ZodString;
                    birthday: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                    gender: z.ZodNullable<z.ZodOptional<z.ZodEnum<["MALE", "FEMALE"]>>>;
                    addresses: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        name: z.ZodString;
                        address: z.ZodString;
                        coordinates: z.ZodArray<z.ZodNumber, "many">;
                    }, "strip", z.ZodTypeAny, {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }, {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }>, "many">>>;
                    email: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    photoURL: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    displayName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    phoneNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    imported: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        source: z.ZodEnum<["FEEDME", "CITY_POS", "STOREHUB", "KERUYUn", "QISOFT", "WECHAT", "TEABAR", "NULL_MEMBER", "UMAI_POS", "QASHIER", "XILNET", "GENIUSPOS", "YHOFOODIE"]>;
                        raw: z.ZodRecord<z.ZodString, z.ZodAny>;
                    }, "strip", z.ZodTypeAny, {
                        raw: Record<string, any>;
                        source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                    }, {
                        raw: Record<string, any>;
                        source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                    }>>>;
                }, "strip", z.ZodTypeAny, {
                    email?: string | null | undefined;
                    phoneNumber?: string | null | undefined;
                    birthday?: string | null | undefined;
                    gender?: "MALE" | "FEMALE" | null | undefined;
                    addresses?: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[] | null | undefined;
                    photoURL?: string | null | undefined;
                    displayName?: string | null | undefined;
                    imported?: {
                        raw: Record<string, any>;
                        source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                    } | null | undefined;
                    _id: string;
                }, {
                    email?: string | null | undefined;
                    phoneNumber?: string | null | undefined;
                    birthday?: string | null | undefined;
                    gender?: "MALE" | "FEMALE" | null | undefined;
                    addresses?: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[] | null | undefined;
                    photoURL?: string | null | undefined;
                    displayName?: string | null | undefined;
                    imported?: {
                        raw: Record<string, any>;
                        source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                    } | null | undefined;
                    _id: string;
                }>>>;
                role: z.ZodEnum<["ADMIN"]>;
            }, "strip", z.ZodTypeAny, {
                pf_user?: {
                    email?: string | null | undefined;
                    phoneNumber?: string | null | undefined;
                    birthday?: string | null | undefined;
                    gender?: "MALE" | "FEMALE" | null | undefined;
                    addresses?: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[] | null | undefined;
                    photoURL?: string | null | undefined;
                    displayName?: string | null | undefined;
                    imported?: {
                        raw: Record<string, any>;
                        source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                    } | null | undefined;
                    _id: string;
                } | null | undefined;
                role: "ADMIN";
                userId: string;
            }, {
                pf_user?: {
                    email?: string | null | undefined;
                    phoneNumber?: string | null | undefined;
                    birthday?: string | null | undefined;
                    gender?: "MALE" | "FEMALE" | null | undefined;
                    addresses?: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[] | null | undefined;
                    photoURL?: string | null | undefined;
                    displayName?: string | null | undefined;
                    imported?: {
                        raw: Record<string, any>;
                        source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                    } | null | undefined;
                    _id: string;
                } | null | undefined;
                role: "ADMIN";
                userId: string;
            }>, "many">>>;
        }, "strip", z.ZodTypeAny, {
            clickupId?: string | null | undefined;
            members?: {
                pf_user?: {
                    email?: string | null | undefined;
                    phoneNumber?: string | null | undefined;
                    birthday?: string | null | undefined;
                    gender?: "MALE" | "FEMALE" | null | undefined;
                    addresses?: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[] | null | undefined;
                    photoURL?: string | null | undefined;
                    displayName?: string | null | undefined;
                    imported?: {
                        raw: Record<string, any>;
                        source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                    } | null | undefined;
                    _id: string;
                } | null | undefined;
                role: "ADMIN";
                userId: string;
            }[] | null | undefined;
            code: string;
            name: string;
            _id: string;
            isReseller: boolean;
        }, {
            clickupId?: string | null | undefined;
            members?: {
                pf_user?: {
                    email?: string | null | undefined;
                    phoneNumber?: string | null | undefined;
                    birthday?: string | null | undefined;
                    gender?: "MALE" | "FEMALE" | null | undefined;
                    addresses?: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[] | null | undefined;
                    photoURL?: string | null | undefined;
                    displayName?: string | null | undefined;
                    imported?: {
                        raw: Record<string, any>;
                        source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                    } | null | undefined;
                    _id: string;
                } | null | undefined;
                role: "ADMIN";
                userId: string;
            }[] | null | undefined;
            code: string;
            name: string;
            _id: string;
            isReseller: boolean;
        }>>>>;
        thumbnail: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        billingInfos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            companyName: z.ZodString;
            name: z.ZodString;
            email: z.ZodString;
            contact: z.ZodString;
            address: z.ZodObject<{
                line1: z.ZodString;
                line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                state: z.ZodString;
                city: z.ZodString;
                postcode: z.ZodString;
                country: z.ZodString;
                coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
            }, "strip", z.ZodTypeAny, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }>;
        }, "strip", z.ZodTypeAny, {
            _id?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            companyName: string;
            contact: string;
        }, {
            _id?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            companyName: string;
            contact: string;
        }>, "many">>>;
        customerDisplayImages: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            url: z.ZodString;
            restaurantIds: z.ZodArray<z.ZodString, "many">;
        }, "strip", z.ZodTypeAny, {
            url: string;
            restaurantIds: string[];
        }, {
            url: string;
            restaurantIds: string[];
        }>, "many">>>;
    }, "strip", z.ZodTypeAny, {
        internal?: boolean | null | undefined;
        url?: string | null | undefined;
        expiredAt?: string | null | undefined;
        agentId?: string | null | undefined;
        attributeSettings?: {
            options?: any[] | null | undefined;
            type: "string" | "number" | "boolean" | "date";
            key: string;
            entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
        }[] | null | undefined;
        pf_agent?: {
            clickupId?: string | null | undefined;
            members?: {
                pf_user?: {
                    email?: string | null | undefined;
                    phoneNumber?: string | null | undefined;
                    birthday?: string | null | undefined;
                    gender?: "MALE" | "FEMALE" | null | undefined;
                    addresses?: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[] | null | undefined;
                    photoURL?: string | null | undefined;
                    displayName?: string | null | undefined;
                    imported?: {
                        raw: Record<string, any>;
                        source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                    } | null | undefined;
                    _id: string;
                } | null | undefined;
                role: "ADMIN";
                userId: string;
            }[] | null | undefined;
            code: string;
            name: string;
            _id: string;
            isReseller: boolean;
        } | null | undefined;
        thumbnail?: string | null | undefined;
        billingInfos?: {
            _id?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            companyName: string;
            contact: string;
        }[] | null | undefined;
        customerDisplayImages?: {
            url: string;
            restaurantIds: string[];
        }[] | null | undefined;
        name: string;
        _id: string;
        ownerId: string;
        restaurantQuota: number;
        warehouseQuota: number;
        menuVersion: string;
    }, {
        internal?: boolean | null | undefined;
        url?: string | null | undefined;
        expiredAt?: string | null | undefined;
        agentId?: string | null | undefined;
        attributeSettings?: {
            options?: any[] | null | undefined;
            type: "string" | "number" | "boolean" | "date";
            key: string;
            entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
        }[] | null | undefined;
        pf_agent?: {
            clickupId?: string | null | undefined;
            members?: {
                pf_user?: {
                    email?: string | null | undefined;
                    phoneNumber?: string | null | undefined;
                    birthday?: string | null | undefined;
                    gender?: "MALE" | "FEMALE" | null | undefined;
                    addresses?: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[] | null | undefined;
                    photoURL?: string | null | undefined;
                    displayName?: string | null | undefined;
                    imported?: {
                        raw: Record<string, any>;
                        source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                    } | null | undefined;
                    _id: string;
                } | null | undefined;
                role: "ADMIN";
                userId: string;
            }[] | null | undefined;
            code: string;
            name: string;
            _id: string;
            isReseller: boolean;
        } | null | undefined;
        thumbnail?: string | null | undefined;
        billingInfos?: {
            _id?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            companyName: string;
            contact: string;
        }[] | null | undefined;
        customerDisplayImages?: {
            url: string;
            restaurantIds: string[];
        }[] | null | undefined;
        name: string;
        _id: string;
        ownerId: string;
        restaurantQuota: number;
        warehouseQuota: number;
        menuVersion: string;
    }>>>>;
    user: z.ZodString;
    cardNo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    level: z.ZodNumber;
    experience: z.ZodNumber;
    tier: z.ZodNumber;
    stat: z.ZodObject<{
        visitCount: z.ZodNumber;
        topupCount: z.ZodNumber;
        lastVisit: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
        avgVisitFrequency: z.ZodNumber;
        avgBillSize: z.ZodNumber;
        products: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            count: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            id: string;
            count: number;
        }, {
            id: string;
            count: number;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        lastVisit?: string | null | undefined;
        visitCount: number;
        topupCount: number;
        avgVisitFrequency: number;
        avgBillSize: number;
        products: {
            id: string;
            count: number;
        }[];
    }, {
        lastVisit?: string | null | undefined;
        visitCount: number;
        topupCount: number;
        avgVisitFrequency: number;
        avgBillSize: number;
        products: {
            id: string;
            count: number;
        }[];
    }>;
    balance: z.ZodNumber;
    creditBalance: z.ZodObject<{
        normal: z.ZodNumber;
        free: z.ZodArray<z.ZodObject<{
            _id: z.ZodEffects<z.ZodString, string, string>;
            amount: z.ZodNumber;
            expiredAt: z.ZodEffects<z.ZodString, string, string>;
        }, "strip", z.ZodTypeAny, {
            _id: string;
            amount: number;
            expiredAt: string;
        }, {
            _id: string;
            amount: number;
            expiredAt: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        normal: number;
        free: {
            _id: string;
            amount: number;
            expiredAt: string;
        }[];
    }, {
        normal: number;
        free: {
            _id: string;
            amount: number;
            expiredAt: string;
        }[];
    }>;
    titles: z.ZodArray<z.ZodObject<{
        _id: z.ZodEffects<z.ZodString, string, string>;
        acquiredAt: z.ZodString;
        expiredAt: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        _id: string;
        expiredAt: string;
        acquiredAt: string;
    }, {
        _id: string;
        expiredAt: string;
        acquiredAt: string;
    }>, "many">;
}, "_id">, {
    id: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    joinedAt?: string | null | undefined;
    pf_business?: {
        internal?: boolean | null | undefined;
        url?: string | null | undefined;
        expiredAt?: string | null | undefined;
        agentId?: string | null | undefined;
        attributeSettings?: {
            options?: any[] | null | undefined;
            type: "string" | "number" | "boolean" | "date";
            key: string;
            entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
        }[] | null | undefined;
        pf_agent?: {
            clickupId?: string | null | undefined;
            members?: {
                pf_user?: {
                    email?: string | null | undefined;
                    phoneNumber?: string | null | undefined;
                    birthday?: string | null | undefined;
                    gender?: "MALE" | "FEMALE" | null | undefined;
                    addresses?: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[] | null | undefined;
                    photoURL?: string | null | undefined;
                    displayName?: string | null | undefined;
                    imported?: {
                        raw: Record<string, any>;
                        source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                    } | null | undefined;
                    _id: string;
                } | null | undefined;
                role: "ADMIN";
                userId: string;
            }[] | null | undefined;
            code: string;
            name: string;
            _id: string;
            isReseller: boolean;
        } | null | undefined;
        thumbnail?: string | null | undefined;
        billingInfos?: {
            _id?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            companyName: string;
            contact: string;
        }[] | null | undefined;
        customerDisplayImages?: {
            url: string;
            restaurantIds: string[];
        }[] | null | undefined;
        name: string;
        _id: string;
        ownerId: string;
        restaurantQuota: number;
        warehouseQuota: number;
        menuVersion: string;
    } | null | undefined;
    cardNo?: string | null | undefined;
    id: string;
    user: string;
    business: string;
    level: number;
    experience: number;
    tier: number;
    stat: {
        lastVisit?: string | null | undefined;
        visitCount: number;
        topupCount: number;
        avgVisitFrequency: number;
        avgBillSize: number;
        products: {
            id: string;
            count: number;
        }[];
    };
    balance: number;
    creditBalance: {
        normal: number;
        free: {
            _id: string;
            amount: number;
            expiredAt: string;
        }[];
    };
    titles: {
        _id: string;
        expiredAt: string;
        acquiredAt: string;
    }[];
}, {
    joinedAt?: string | null | undefined;
    pf_business?: {
        internal?: boolean | null | undefined;
        url?: string | null | undefined;
        expiredAt?: string | null | undefined;
        agentId?: string | null | undefined;
        attributeSettings?: {
            options?: any[] | null | undefined;
            type: "string" | "number" | "boolean" | "date";
            key: string;
            entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
        }[] | null | undefined;
        pf_agent?: {
            clickupId?: string | null | undefined;
            members?: {
                pf_user?: {
                    email?: string | null | undefined;
                    phoneNumber?: string | null | undefined;
                    birthday?: string | null | undefined;
                    gender?: "MALE" | "FEMALE" | null | undefined;
                    addresses?: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[] | null | undefined;
                    photoURL?: string | null | undefined;
                    displayName?: string | null | undefined;
                    imported?: {
                        raw: Record<string, any>;
                        source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                    } | null | undefined;
                    _id: string;
                } | null | undefined;
                role: "ADMIN";
                userId: string;
            }[] | null | undefined;
            code: string;
            name: string;
            _id: string;
            isReseller: boolean;
        } | null | undefined;
        thumbnail?: string | null | undefined;
        billingInfos?: {
            _id?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            companyName: string;
            contact: string;
        }[] | null | undefined;
        customerDisplayImages?: {
            url: string;
            restaurantIds: string[];
        }[] | null | undefined;
        name: string;
        _id: string;
        ownerId: string;
        restaurantQuota: number;
        warehouseQuota: number;
        menuVersion: string;
    } | null | undefined;
    cardNo?: string | null | undefined;
    id: string;
    user: string;
    business: string;
    level: number;
    experience: number;
    tier: number;
    stat: {
        lastVisit?: string | null | undefined;
        visitCount: number;
        topupCount: number;
        avgVisitFrequency: number;
        avgBillSize: number;
        products: {
            id: string;
            count: number;
        }[];
    };
    balance: number;
    creditBalance: {
        normal: number;
        free: {
            _id: string;
            amount: number;
            expiredAt: string;
        }[];
    };
    titles: {
        _id: string;
        expiredAt: string;
        acquiredAt: string;
    }[];
}>;
export type FdtoMember = z.infer<typeof FdtoMember>;
