import { z } from 'zod';
import { FdtoOverridedMenu } from "@feedmepos/menu/entity";
export declare const FdtoExternalGetMenu: z.ZodObject<{
    orderType: z.ZodEnum<["delivery", "pickup"]>;
}, "strip", z.ZodTypeAny, {
    orderType: "pickup" | "delivery";
}, {
    orderType: "pickup" | "delivery";
}>;
export declare const FdtoExternalTransformMenu: z.ZodObject<{
    menu: z.ZodType<FdtoOverridedMenu, z.ZodTypeDef, FdtoOverridedMenu>;
    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    catalogId?: string | null | undefined;
    menu: FdtoOverridedMenu;
}, {
    catalogId?: string | null | undefined;
    menu: FdtoOverridedMenu;
}>;
export declare const FdtoExternalMenuVerify: z.ZodObject<{
    platform: z.ZodEnum<["ZUS_COFFEE"]>;
}, "strip", z.ZodTypeAny, {
    platform: "ZUS_COFFEE";
}, {
    platform: "ZUS_COFFEE";
}>;
export type FdtoExternalTransformMenu = z.infer<typeof FdtoExternalTransformMenu>;
export type FdtoExternalGetMenu = z.infer<typeof FdtoExternalGetMenu>;
export type FdtoExternalMenuVerify = z.infer<typeof FdtoExternalMenuVerify>;
