import { z } from "zod";
export declare const FdtoExternalSettingCreateOrUpdate: z.ZodObject<Omit<{
    _id: z.ZodEffects<z.ZodString, string, string>;
    enable: z.ZodBoolean;
    config: z.ZodObject<{
        autoAccept: z.ZodBoolean;
        autoSend: z.ZodBoolean;
        autoCloseBill: z.ZodBoolean;
        printReceiptAfterClose: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    }, "strip", z.ZodTypeAny, {
        printReceiptAfterClose?: boolean | null | undefined;
        autoAccept: boolean;
        autoSend: boolean;
        autoCloseBill: boolean;
    }, {
        printReceiptAfterClose?: boolean | null | undefined;
        autoAccept: boolean;
        autoSend: boolean;
        autoCloseBill: boolean;
    }>;
    platform: z.ZodEnum<["FOOD_PANDA", "GRAB_FOOD", "SHOPEE_FOOD", "FEEDME", "IN_HOUSE", "ZUS"]>;
    delivery: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        deliveryFeeTax: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            systemCode: z.ZodString;
            taxCode: z.ZodString;
            inclusive: z.ZodBoolean;
        }, "strip", z.ZodTypeAny, {
            inclusive: boolean;
            taxCode: string;
            systemCode: string;
        }, {
            inclusive: boolean;
            taxCode: string;
            systemCode: string;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        catalogId?: string | null | undefined;
        deliveryFeeTax?: {
            inclusive: boolean;
            taxCode: string;
            systemCode: string;
        } | null | undefined;
    }, {
        catalogId?: string | null | undefined;
        deliveryFeeTax?: {
            inclusive: boolean;
            taxCode: string;
            systemCode: string;
        } | null | undefined;
    }>>>;
    pickup: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        catalogId?: string | null | undefined;
    }, {
        catalogId?: string | null | undefined;
    }>>>;
}, "_id">, "strip", z.ZodTypeAny, {
    pickup?: {
        catalogId?: string | null | undefined;
    } | null | undefined;
    delivery?: {
        catalogId?: string | null | undefined;
        deliveryFeeTax?: {
            inclusive: boolean;
            taxCode: string;
            systemCode: string;
        } | null | undefined;
    } | null | undefined;
    enable: boolean;
    platform: "IN_HOUSE" | "FEEDME" | "FOOD_PANDA" | "GRAB_FOOD" | "SHOPEE_FOOD" | "ZUS";
    config: {
        printReceiptAfterClose?: boolean | null | undefined;
        autoAccept: boolean;
        autoSend: boolean;
        autoCloseBill: boolean;
    };
}, {
    pickup?: {
        catalogId?: string | null | undefined;
    } | null | undefined;
    delivery?: {
        catalogId?: string | null | undefined;
        deliveryFeeTax?: {
            inclusive: boolean;
            taxCode: string;
            systemCode: string;
        } | null | undefined;
    } | null | undefined;
    enable: boolean;
    platform: "IN_HOUSE" | "FEEDME" | "FOOD_PANDA" | "GRAB_FOOD" | "SHOPEE_FOOD" | "ZUS";
    config: {
        printReceiptAfterClose?: boolean | null | undefined;
        autoAccept: boolean;
        autoSend: boolean;
        autoCloseBill: boolean;
    };
}>;
export type FdtoExternalSettingCreateOrUpdate = z.infer<typeof FdtoExternalSettingCreateOrUpdate>;
