import { z } from "zod";
declare const ZusMenuGroup: z.ZodObject<{
    group_id: z.ZodString;
    items: z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        sku: z.ZodString;
        feedme_id: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        name: string;
        sku: string;
        feedme_id: string;
    }, {
        name: string;
        sku: string;
        feedme_id: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    items: {
        name: string;
        sku: string;
        feedme_id: string;
    }[];
    group_id: string;
}, {
    items: {
        name: string;
        sku: string;
        feedme_id: string;
    }[];
    group_id: string;
}>;
declare const ZusMenuItem: z.ZodObject<{
    name: z.ZodString;
    sku: z.ZodString;
    feedme_id: z.ZodString;
    groups: z.ZodArray<z.ZodObject<{
        group_id: z.ZodString;
        items: z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            sku: z.ZodString;
            feedme_id: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            name: string;
            sku: string;
            feedme_id: string;
        }, {
            name: string;
            sku: string;
            feedme_id: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        items: {
            name: string;
            sku: string;
            feedme_id: string;
        }[];
        group_id: string;
    }, {
        items: {
            name: string;
            sku: string;
            feedme_id: string;
        }[];
        group_id: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    name: string;
    groups: {
        items: {
            name: string;
            sku: string;
            feedme_id: string;
        }[];
        group_id: string;
    }[];
    sku: string;
    feedme_id: string;
}, {
    name: string;
    groups: {
        items: {
            name: string;
            sku: string;
            feedme_id: string;
        }[];
        group_id: string;
    }[];
    sku: string;
    feedme_id: string;
}>;
declare const ZusMenu: z.ZodObject<{
    success: z.ZodBoolean;
    status_code: z.ZodNumber;
    message: z.ZodString;
    data: z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        sku: z.ZodString;
        feedme_id: z.ZodString;
        groups: z.ZodArray<z.ZodObject<{
            group_id: z.ZodString;
            items: z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                sku: z.ZodString;
                feedme_id: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                sku: string;
                feedme_id: string;
            }, {
                name: string;
                sku: string;
                feedme_id: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            items: {
                name: string;
                sku: string;
                feedme_id: string;
            }[];
            group_id: string;
        }, {
            items: {
                name: string;
                sku: string;
                feedme_id: string;
            }[];
            group_id: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        name: string;
        groups: {
            items: {
                name: string;
                sku: string;
                feedme_id: string;
            }[];
            group_id: string;
        }[];
        sku: string;
        feedme_id: string;
    }, {
        name: string;
        groups: {
            items: {
                name: string;
                sku: string;
                feedme_id: string;
            }[];
            group_id: string;
        }[];
        sku: string;
        feedme_id: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    data: {
        name: string;
        groups: {
            items: {
                name: string;
                sku: string;
                feedme_id: string;
            }[];
            group_id: string;
        }[];
        sku: string;
        feedme_id: string;
    }[];
    message: string;
    success: boolean;
    status_code: number;
}, {
    data: {
        name: string;
        groups: {
            items: {
                name: string;
                sku: string;
                feedme_id: string;
            }[];
            group_id: string;
        }[];
        sku: string;
        feedme_id: string;
    }[];
    message: string;
    success: boolean;
    status_code: number;
}>;
export type ZusMenuGroup = z.infer<typeof ZusMenuGroup>;
export type ZusMenuItem = z.infer<typeof ZusMenuItem>;
export type ZusMenu = z.infer<typeof ZusMenu>;
export {};
