import { z } from 'zod';
export declare const FPStatus: z.ZodObject<{
    status: z.ZodEnum<["pending", "accepted", "cancelled"]>;
    message: z.ZodString;
}, "strip", z.ZodTypeAny, {
    message: string;
    status: "cancelled" | "pending" | "accepted";
}, {
    message: string;
    status: "cancelled" | "pending" | "accepted";
}>;
export declare const FPComments: z.ZodObject<{
    customerComment: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    vendorComment: z.ZodString;
}, "strip", z.ZodTypeAny, {
    customerComment?: string | null | undefined;
    vendorComment: string;
}, {
    customerComment?: string | null | undefined;
    vendorComment: string;
}>;
export declare const FPCustomer: z.ZodObject<{
    email: z.ZodString;
    firstName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    mobilePhone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    code: z.ZodString;
    id: z.ZodString;
    mobilePhoneCountryCode: z.ZodString;
}, "strip", z.ZodTypeAny, {
    firstName?: string | null | undefined;
    lastName?: string | null | undefined;
    mobilePhone?: string | null | undefined;
    code: string;
    id: string;
    email: string;
    mobilePhoneCountryCode: string;
}, {
    firstName?: string | null | undefined;
    lastName?: string | null | undefined;
    mobilePhone?: string | null | undefined;
    code: string;
    id: string;
    email: string;
    mobilePhoneCountryCode: string;
}>;
export declare const FPAddress: z.ZodObject<{
    building: z.ZodString;
    city: z.ZodString;
    company: z.ZodString;
    deliveryArea: z.ZodString;
    deliveryInstructions: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    deliveryMainArea: z.ZodString;
    entrance: z.ZodString;
    flatNumber: z.ZodString;
    floor: z.ZodString;
    intercom: z.ZodString;
    latitude: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    longitude: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    number: z.ZodString;
    postcode: z.ZodString;
    street: z.ZodString;
    deliveryAreaPostcode: z.ZodString;
    line1: z.ZodString;
    line2: z.ZodString;
    line3: z.ZodString;
    line4: z.ZodString;
    line5: z.ZodString;
    other: z.ZodString;
    room: z.ZodString;
    structure: z.ZodString;
    district: z.ZodString;
    deliveryMainAreaPostcode: z.ZodString;
}, "strip", z.ZodTypeAny, {
    latitude?: number | null | undefined;
    longitude?: number | null | undefined;
    deliveryInstructions?: string | null | undefined;
    number: string;
    street: string;
    building: string;
    district: string;
    city: string;
    line1: string;
    line2: string;
    postcode: string;
    company: string;
    deliveryArea: string;
    deliveryMainArea: string;
    entrance: string;
    flatNumber: string;
    floor: string;
    intercom: string;
    deliveryAreaPostcode: string;
    line3: string;
    line4: string;
    line5: string;
    other: string;
    room: string;
    structure: string;
    deliveryMainAreaPostcode: string;
}, {
    latitude?: number | null | undefined;
    longitude?: number | null | undefined;
    deliveryInstructions?: string | null | undefined;
    number: string;
    street: string;
    building: string;
    district: string;
    city: string;
    line1: string;
    line2: string;
    postcode: string;
    company: string;
    deliveryArea: string;
    deliveryMainArea: string;
    entrance: string;
    flatNumber: string;
    floor: string;
    intercom: string;
    deliveryAreaPostcode: string;
    line3: string;
    line4: string;
    line5: string;
    other: string;
    room: string;
    structure: string;
    deliveryMainAreaPostcode: string;
}>;
export declare const FPDelivery: z.ZodObject<{
    address: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        building: z.ZodString;
        city: z.ZodString;
        company: z.ZodString;
        deliveryArea: z.ZodString;
        deliveryInstructions: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        deliveryMainArea: z.ZodString;
        entrance: z.ZodString;
        flatNumber: z.ZodString;
        floor: z.ZodString;
        intercom: z.ZodString;
        latitude: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        longitude: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        number: z.ZodString;
        postcode: z.ZodString;
        street: z.ZodString;
        deliveryAreaPostcode: z.ZodString;
        line1: z.ZodString;
        line2: z.ZodString;
        line3: z.ZodString;
        line4: z.ZodString;
        line5: z.ZodString;
        other: z.ZodString;
        room: z.ZodString;
        structure: z.ZodString;
        district: z.ZodString;
        deliveryMainAreaPostcode: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        latitude?: number | null | undefined;
        longitude?: number | null | undefined;
        deliveryInstructions?: string | null | undefined;
        number: string;
        street: string;
        building: string;
        district: string;
        city: string;
        line1: string;
        line2: string;
        postcode: string;
        company: string;
        deliveryArea: string;
        deliveryMainArea: string;
        entrance: string;
        flatNumber: string;
        floor: string;
        intercom: string;
        deliveryAreaPostcode: string;
        line3: string;
        line4: string;
        line5: string;
        other: string;
        room: string;
        structure: string;
        deliveryMainAreaPostcode: string;
    }, {
        latitude?: number | null | undefined;
        longitude?: number | null | undefined;
        deliveryInstructions?: string | null | undefined;
        number: string;
        street: string;
        building: string;
        district: string;
        city: string;
        line1: string;
        line2: string;
        postcode: string;
        company: string;
        deliveryArea: string;
        deliveryMainArea: string;
        entrance: string;
        flatNumber: string;
        floor: string;
        intercom: string;
        deliveryAreaPostcode: string;
        line3: string;
        line4: string;
        line5: string;
        other: string;
        room: string;
        structure: string;
        deliveryMainAreaPostcode: string;
    }>>>;
    expectedDeliveryTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    expressDelivery: z.ZodBoolean;
    riderPickupTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    address?: {
        latitude?: number | null | undefined;
        longitude?: number | null | undefined;
        deliveryInstructions?: string | null | undefined;
        number: string;
        street: string;
        building: string;
        district: string;
        city: string;
        line1: string;
        line2: string;
        postcode: string;
        company: string;
        deliveryArea: string;
        deliveryMainArea: string;
        entrance: string;
        flatNumber: string;
        floor: string;
        intercom: string;
        deliveryAreaPostcode: string;
        line3: string;
        line4: string;
        line5: string;
        other: string;
        room: string;
        structure: string;
        deliveryMainAreaPostcode: string;
    } | null | undefined;
    expectedDeliveryTime?: string | null | undefined;
    riderPickupTime?: string | null | undefined;
    expressDelivery: boolean;
}, {
    address?: {
        latitude?: number | null | undefined;
        longitude?: number | null | undefined;
        deliveryInstructions?: string | null | undefined;
        number: string;
        street: string;
        building: string;
        district: string;
        city: string;
        line1: string;
        line2: string;
        postcode: string;
        company: string;
        deliveryArea: string;
        deliveryMainArea: string;
        entrance: string;
        flatNumber: string;
        floor: string;
        intercom: string;
        deliveryAreaPostcode: string;
        line3: string;
        line4: string;
        line5: string;
        other: string;
        room: string;
        structure: string;
        deliveryMainAreaPostcode: string;
    } | null | undefined;
    expectedDeliveryTime?: string | null | undefined;
    riderPickupTime?: string | null | undefined;
    expressDelivery: boolean;
}>;
export declare const FPDiscount: z.ZodObject<{
    name: z.ZodString;
    amount: z.ZodString;
    type: z.ZodString;
    sponsorships: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        sponsor: z.ZodEnum<["PLATFORM", "VENDOR", "THIRD_PARTY"]>;
        amount: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        amount: string;
        sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
    }, {
        amount: string;
        sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
    }>, "many">>>;
}, "strip", z.ZodTypeAny, {
    sponsorships?: {
        amount: string;
        sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
    }[] | null | undefined;
    name: string;
    type: string;
    amount: string;
}, {
    sponsorships?: {
        amount: string;
        sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
    }[] | null | undefined;
    name: string;
    type: string;
    amount: string;
}>;
export declare const FPLocalInfo: z.ZodObject<{
    countryCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    currencySymbol: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    platform: z.ZodString;
    platformKey: z.ZodString;
    currencySymbolPosition: z.ZodString;
    currencySymbolSpaces: z.ZodString;
    decimalDigits: z.ZodString;
    decimalSeparator: z.ZodString;
    email: z.ZodString;
    phone: z.ZodString;
    thousandsSeparator: z.ZodString;
    website: z.ZodString;
}, "strip", z.ZodTypeAny, {
    countryCode?: string | null | undefined;
    currencySymbol?: string | null | undefined;
    email: string;
    phone: string;
    platform: string;
    platformKey: string;
    currencySymbolPosition: string;
    currencySymbolSpaces: string;
    decimalDigits: string;
    decimalSeparator: string;
    thousandsSeparator: string;
    website: string;
}, {
    countryCode?: string | null | undefined;
    currencySymbol?: string | null | undefined;
    email: string;
    phone: string;
    platform: string;
    platformKey: string;
    currencySymbolPosition: string;
    currencySymbolSpaces: string;
    decimalDigits: string;
    decimalSeparator: string;
    thousandsSeparator: string;
    website: string;
}>;
export declare const FPPayment: z.ZodObject<{
    status: z.ZodEnum<["pending", "paid"]>;
    type: z.ZodString;
    remoteCode: z.ZodString;
    requiredMoneyChange: z.ZodString;
    vatId: z.ZodString;
    vatName: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: string;
    status: "paid" | "pending";
    remoteCode: string;
    requiredMoneyChange: string;
    vatId: string;
    vatName: string;
}, {
    type: string;
    status: "paid" | "pending";
    remoteCode: string;
    requiredMoneyChange: string;
    vatId: string;
    vatName: string;
}>;
export declare const FPPickup: z.ZodObject<{
    pickupTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    pickupAddress: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    pickupCity: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    pickupTime?: string | null | undefined;
    pickupAddress?: string | null | undefined;
    pickupCity?: string | null | undefined;
}, {
    pickupTime?: string | null | undefined;
    pickupAddress?: string | null | undefined;
    pickupCity?: string | null | undefined;
}>;
export declare const FPPlatformRestaurant: z.ZodObject<{
    id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: string;
}, {
    id: string;
}>;
export declare const FPDeliveryFee: z.ZodObject<{
    name: z.ZodString;
    value: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    name: string;
    value: number;
}, {
    name: string;
    value: number;
}>;
export declare const FPPrice: z.ZodObject<{
    deliveryFees: z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        value: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        name: string;
        value: number;
    }, {
        name: string;
        value: number;
    }>, "many">;
    grandTotal: z.ZodString;
    minimumDeliveryValue: z.ZodString;
    payRestaurant: z.ZodString;
    riderTip: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    subTotal: z.ZodString;
    vatTotal: z.ZodString;
    comission: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    containerCharge: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    deliveryFee: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    collectFromCustomer: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    discountAmountTotal: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    deliveryFeeDiscount: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    serviceFeePercent: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    serviceFeeTotal: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    serviceTax: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    serviceTaxValue: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    differenceToMinimumDeliveryValue: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    vatVisible: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    vatPercent: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    deliveryFee?: string | null | undefined;
    riderTip?: string | null | undefined;
    comission?: string | null | undefined;
    containerCharge?: string | null | undefined;
    collectFromCustomer?: string | null | undefined;
    discountAmountTotal?: string | null | undefined;
    deliveryFeeDiscount?: string | null | undefined;
    serviceFeePercent?: string | null | undefined;
    serviceFeeTotal?: string | null | undefined;
    serviceTax?: number | null | undefined;
    serviceTaxValue?: number | null | undefined;
    differenceToMinimumDeliveryValue?: string | null | undefined;
    vatVisible?: boolean | null | undefined;
    vatPercent?: string | null | undefined;
    subTotal: string;
    deliveryFees: {
        name: string;
        value: number;
    }[];
    grandTotal: string;
    minimumDeliveryValue: string;
    payRestaurant: string;
    vatTotal: string;
}, {
    deliveryFee?: string | null | undefined;
    riderTip?: string | null | undefined;
    comission?: string | null | undefined;
    containerCharge?: string | null | undefined;
    collectFromCustomer?: string | null | undefined;
    discountAmountTotal?: string | null | undefined;
    deliveryFeeDiscount?: string | null | undefined;
    serviceFeePercent?: string | null | undefined;
    serviceFeeTotal?: string | null | undefined;
    serviceTax?: number | null | undefined;
    serviceTaxValue?: number | null | undefined;
    differenceToMinimumDeliveryValue?: string | null | undefined;
    vatVisible?: boolean | null | undefined;
    vatPercent?: string | null | undefined;
    subTotal: string;
    deliveryFees: {
        name: string;
        value: number;
    }[];
    grandTotal: string;
    minimumDeliveryValue: string;
    payRestaurant: string;
    vatTotal: string;
}>;
export type FPSelectedTopping = {
    name: string;
    price: string;
    quantity: number;
    remoteCode?: string | null;
    children: FPSelectedTopping[];
};
export declare const FPSelectedTopping: z.Schema<FPSelectedTopping>;
export declare const FPVariation: z.ZodObject<{
    name: z.ZodString;
}, "strip", z.ZodTypeAny, {
    name: string;
}, {
    name: string;
}>;
export declare const FPProduct: z.ZodObject<{
    categoryName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    paidPrice: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    quantity: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    remoteCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    selectedToppings: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodType<FPSelectedTopping, z.ZodTypeDef, FPSelectedTopping>, "many">>>;
    unitPrice: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    comment: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    discountAmount: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    halfHalf: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    selectedChoices: z.ZodArray<z.ZodString, "many">;
    variation: z.ZodObject<{
        name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        name: string;
    }, {
        name: string;
    }>;
    vatPercentage: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    name?: string | null | undefined;
    id?: string | null | undefined;
    description?: string | null | undefined;
    quantity?: string | null | undefined;
    categoryName?: string | null | undefined;
    remoteCode?: string | null | undefined;
    paidPrice?: string | null | undefined;
    selectedToppings?: FPSelectedTopping[] | null | undefined;
    unitPrice?: string | null | undefined;
    comment?: string | null | undefined;
    discountAmount?: string | null | undefined;
    halfHalf?: boolean | null | undefined;
    vatPercentage?: string | null | undefined;
    selectedChoices: string[];
    variation: {
        name: string;
    };
}, {
    name?: string | null | undefined;
    id?: string | null | undefined;
    description?: string | null | undefined;
    quantity?: string | null | undefined;
    categoryName?: string | null | undefined;
    remoteCode?: string | null | undefined;
    paidPrice?: string | null | undefined;
    selectedToppings?: FPSelectedTopping[] | null | undefined;
    unitPrice?: string | null | undefined;
    comment?: string | null | undefined;
    discountAmount?: string | null | undefined;
    halfHalf?: boolean | null | undefined;
    vatPercentage?: string | null | undefined;
    selectedChoices: string[];
    variation: {
        name: string;
    };
}>;
export declare const FPCallbackUrls: z.ZodObject<{
    orderAcceptedUrl: z.ZodString;
    orderRejectedUrl: z.ZodString;
    orderPreparedUrl: z.ZodString;
}, "strip", z.ZodTypeAny, {
    orderAcceptedUrl: string;
    orderRejectedUrl: string;
    orderPreparedUrl: string;
}, {
    orderAcceptedUrl: string;
    orderRejectedUrl: string;
    orderPreparedUrl: string;
}>;
export declare const FPOrder: z.ZodObject<{
    token: z.ZodString;
    code: z.ZodString;
    comments: z.ZodObject<{
        customerComment: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        vendorComment: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        customerComment?: string | null | undefined;
        vendorComment: string;
    }, {
        customerComment?: string | null | undefined;
        vendorComment: string;
    }>;
    createdAt: z.ZodString;
    customer: z.ZodObject<{
        email: z.ZodString;
        firstName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        mobilePhone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        code: z.ZodString;
        id: z.ZodString;
        mobilePhoneCountryCode: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        firstName?: string | null | undefined;
        lastName?: string | null | undefined;
        mobilePhone?: string | null | undefined;
        code: string;
        id: string;
        email: string;
        mobilePhoneCountryCode: string;
    }, {
        firstName?: string | null | undefined;
        lastName?: string | null | undefined;
        mobilePhone?: string | null | undefined;
        code: string;
        id: string;
        email: string;
        mobilePhoneCountryCode: string;
    }>;
    delivery: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        address: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            building: z.ZodString;
            city: z.ZodString;
            company: z.ZodString;
            deliveryArea: z.ZodString;
            deliveryInstructions: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            deliveryMainArea: z.ZodString;
            entrance: z.ZodString;
            flatNumber: z.ZodString;
            floor: z.ZodString;
            intercom: z.ZodString;
            latitude: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            longitude: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            number: z.ZodString;
            postcode: z.ZodString;
            street: z.ZodString;
            deliveryAreaPostcode: z.ZodString;
            line1: z.ZodString;
            line2: z.ZodString;
            line3: z.ZodString;
            line4: z.ZodString;
            line5: z.ZodString;
            other: z.ZodString;
            room: z.ZodString;
            structure: z.ZodString;
            district: z.ZodString;
            deliveryMainAreaPostcode: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            latitude?: number | null | undefined;
            longitude?: number | null | undefined;
            deliveryInstructions?: string | null | undefined;
            number: string;
            street: string;
            building: string;
            district: string;
            city: string;
            line1: string;
            line2: string;
            postcode: string;
            company: string;
            deliveryArea: string;
            deliveryMainArea: string;
            entrance: string;
            flatNumber: string;
            floor: string;
            intercom: string;
            deliveryAreaPostcode: string;
            line3: string;
            line4: string;
            line5: string;
            other: string;
            room: string;
            structure: string;
            deliveryMainAreaPostcode: string;
        }, {
            latitude?: number | null | undefined;
            longitude?: number | null | undefined;
            deliveryInstructions?: string | null | undefined;
            number: string;
            street: string;
            building: string;
            district: string;
            city: string;
            line1: string;
            line2: string;
            postcode: string;
            company: string;
            deliveryArea: string;
            deliveryMainArea: string;
            entrance: string;
            flatNumber: string;
            floor: string;
            intercom: string;
            deliveryAreaPostcode: string;
            line3: string;
            line4: string;
            line5: string;
            other: string;
            room: string;
            structure: string;
            deliveryMainAreaPostcode: string;
        }>>>;
        expectedDeliveryTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        expressDelivery: z.ZodBoolean;
        riderPickupTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        address?: {
            latitude?: number | null | undefined;
            longitude?: number | null | undefined;
            deliveryInstructions?: string | null | undefined;
            number: string;
            street: string;
            building: string;
            district: string;
            city: string;
            line1: string;
            line2: string;
            postcode: string;
            company: string;
            deliveryArea: string;
            deliveryMainArea: string;
            entrance: string;
            flatNumber: string;
            floor: string;
            intercom: string;
            deliveryAreaPostcode: string;
            line3: string;
            line4: string;
            line5: string;
            other: string;
            room: string;
            structure: string;
            deliveryMainAreaPostcode: string;
        } | null | undefined;
        expectedDeliveryTime?: string | null | undefined;
        riderPickupTime?: string | null | undefined;
        expressDelivery: boolean;
    }, {
        address?: {
            latitude?: number | null | undefined;
            longitude?: number | null | undefined;
            deliveryInstructions?: string | null | undefined;
            number: string;
            street: string;
            building: string;
            district: string;
            city: string;
            line1: string;
            line2: string;
            postcode: string;
            company: string;
            deliveryArea: string;
            deliveryMainArea: string;
            entrance: string;
            flatNumber: string;
            floor: string;
            intercom: string;
            deliveryAreaPostcode: string;
            line3: string;
            line4: string;
            line5: string;
            other: string;
            room: string;
            structure: string;
            deliveryMainAreaPostcode: string;
        } | null | undefined;
        expectedDeliveryTime?: string | null | undefined;
        riderPickupTime?: string | null | undefined;
        expressDelivery: boolean;
    }>>>;
    discounts: z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        amount: z.ZodString;
        type: z.ZodString;
        sponsorships: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            sponsor: z.ZodEnum<["PLATFORM", "VENDOR", "THIRD_PARTY"]>;
            amount: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            amount: string;
            sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
        }, {
            amount: string;
            sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
        }>, "many">>>;
    }, "strip", z.ZodTypeAny, {
        sponsorships?: {
            amount: string;
            sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
        }[] | null | undefined;
        name: string;
        type: string;
        amount: string;
    }, {
        sponsorships?: {
            amount: string;
            sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
        }[] | null | undefined;
        name: string;
        type: string;
        amount: string;
    }>, "many">;
    expeditionType: z.ZodEnum<["pickup", "delivery"]>;
    expiryDate: z.ZodString;
    extraParameters: z.ZodNullable<z.ZodOptional<z.ZodUnknown>>;
    localInfo: z.ZodObject<{
        countryCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        currencySymbol: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        platform: z.ZodString;
        platformKey: z.ZodString;
        currencySymbolPosition: z.ZodString;
        currencySymbolSpaces: z.ZodString;
        decimalDigits: z.ZodString;
        decimalSeparator: z.ZodString;
        email: z.ZodString;
        phone: z.ZodString;
        thousandsSeparator: z.ZodString;
        website: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        countryCode?: string | null | undefined;
        currencySymbol?: string | null | undefined;
        email: string;
        phone: string;
        platform: string;
        platformKey: string;
        currencySymbolPosition: string;
        currencySymbolSpaces: string;
        decimalDigits: string;
        decimalSeparator: string;
        thousandsSeparator: string;
        website: string;
    }, {
        countryCode?: string | null | undefined;
        currencySymbol?: string | null | undefined;
        email: string;
        phone: string;
        platform: string;
        platformKey: string;
        currencySymbolPosition: string;
        currencySymbolSpaces: string;
        decimalDigits: string;
        decimalSeparator: string;
        thousandsSeparator: string;
        website: string;
    }>;
    payment: z.ZodObject<{
        status: z.ZodEnum<["pending", "paid"]>;
        type: z.ZodString;
        remoteCode: z.ZodString;
        requiredMoneyChange: z.ZodString;
        vatId: z.ZodString;
        vatName: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: string;
        status: "paid" | "pending";
        remoteCode: string;
        requiredMoneyChange: string;
        vatId: string;
        vatName: string;
    }, {
        type: string;
        status: "paid" | "pending";
        remoteCode: string;
        requiredMoneyChange: string;
        vatId: string;
        vatName: string;
    }>;
    test: z.ZodBoolean;
    shortCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    preOrder: z.ZodBoolean;
    pickup: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        pickupTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        pickupAddress: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        pickupCity: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        pickupTime?: string | null | undefined;
        pickupAddress?: string | null | undefined;
        pickupCity?: string | null | undefined;
    }, {
        pickupTime?: string | null | undefined;
        pickupAddress?: string | null | undefined;
        pickupCity?: string | null | undefined;
    }>>>;
    platformRestaurant: z.ZodObject<{
        id: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
    }, {
        id: string;
    }>;
    price: z.ZodObject<{
        deliveryFees: z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            name: string;
            value: number;
        }, {
            name: string;
            value: number;
        }>, "many">;
        grandTotal: z.ZodString;
        minimumDeliveryValue: z.ZodString;
        payRestaurant: z.ZodString;
        riderTip: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        subTotal: z.ZodString;
        vatTotal: z.ZodString;
        comission: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        containerCharge: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        deliveryFee: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        collectFromCustomer: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        discountAmountTotal: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        deliveryFeeDiscount: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        serviceFeePercent: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        serviceFeeTotal: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        serviceTax: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        serviceTaxValue: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        differenceToMinimumDeliveryValue: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        vatVisible: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        vatPercent: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        deliveryFee?: string | null | undefined;
        riderTip?: string | null | undefined;
        comission?: string | null | undefined;
        containerCharge?: string | null | undefined;
        collectFromCustomer?: string | null | undefined;
        discountAmountTotal?: string | null | undefined;
        deliveryFeeDiscount?: string | null | undefined;
        serviceFeePercent?: string | null | undefined;
        serviceFeeTotal?: string | null | undefined;
        serviceTax?: number | null | undefined;
        serviceTaxValue?: number | null | undefined;
        differenceToMinimumDeliveryValue?: string | null | undefined;
        vatVisible?: boolean | null | undefined;
        vatPercent?: string | null | undefined;
        subTotal: string;
        deliveryFees: {
            name: string;
            value: number;
        }[];
        grandTotal: string;
        minimumDeliveryValue: string;
        payRestaurant: string;
        vatTotal: string;
    }, {
        deliveryFee?: string | null | undefined;
        riderTip?: string | null | undefined;
        comission?: string | null | undefined;
        containerCharge?: string | null | undefined;
        collectFromCustomer?: string | null | undefined;
        discountAmountTotal?: string | null | undefined;
        deliveryFeeDiscount?: string | null | undefined;
        serviceFeePercent?: string | null | undefined;
        serviceFeeTotal?: string | null | undefined;
        serviceTax?: number | null | undefined;
        serviceTaxValue?: number | null | undefined;
        differenceToMinimumDeliveryValue?: string | null | undefined;
        vatVisible?: boolean | null | undefined;
        vatPercent?: string | null | undefined;
        subTotal: string;
        deliveryFees: {
            name: string;
            value: number;
        }[];
        grandTotal: string;
        minimumDeliveryValue: string;
        payRestaurant: string;
        vatTotal: string;
    }>;
    products: z.ZodArray<z.ZodObject<{
        categoryName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        paidPrice: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        quantity: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        remoteCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        selectedToppings: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodType<FPSelectedTopping, z.ZodTypeDef, FPSelectedTopping>, "many">>>;
        unitPrice: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        comment: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        discountAmount: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        halfHalf: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        selectedChoices: z.ZodArray<z.ZodString, "many">;
        variation: z.ZodObject<{
            name: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            name: string;
        }, {
            name: string;
        }>;
        vatPercentage: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        name?: string | null | undefined;
        id?: string | null | undefined;
        description?: string | null | undefined;
        quantity?: string | null | undefined;
        categoryName?: string | null | undefined;
        remoteCode?: string | null | undefined;
        paidPrice?: string | null | undefined;
        selectedToppings?: FPSelectedTopping[] | null | undefined;
        unitPrice?: string | null | undefined;
        comment?: string | null | undefined;
        discountAmount?: string | null | undefined;
        halfHalf?: boolean | null | undefined;
        vatPercentage?: string | null | undefined;
        selectedChoices: string[];
        variation: {
            name: string;
        };
    }, {
        name?: string | null | undefined;
        id?: string | null | undefined;
        description?: string | null | undefined;
        quantity?: string | null | undefined;
        categoryName?: string | null | undefined;
        remoteCode?: string | null | undefined;
        paidPrice?: string | null | undefined;
        selectedToppings?: FPSelectedTopping[] | null | undefined;
        unitPrice?: string | null | undefined;
        comment?: string | null | undefined;
        discountAmount?: string | null | undefined;
        halfHalf?: boolean | null | undefined;
        vatPercentage?: string | null | undefined;
        selectedChoices: string[];
        variation: {
            name: string;
        };
    }>, "many">;
    corporateTaxId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    corporateOrder: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    integrationInfo: z.ZodNullable<z.ZodOptional<z.ZodUnknown>>;
    mobileOrder: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    webOrder: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    vouchers: z.ZodArray<z.ZodString, "many">;
    callbackUrls: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        orderAcceptedUrl: z.ZodString;
        orderRejectedUrl: z.ZodString;
        orderPreparedUrl: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        orderAcceptedUrl: string;
        orderRejectedUrl: string;
        orderPreparedUrl: string;
    }, {
        orderAcceptedUrl: string;
        orderRejectedUrl: string;
        orderPreparedUrl: string;
    }>>>;
}, "strip", z.ZodTypeAny, {
    pickup?: {
        pickupTime?: string | null | undefined;
        pickupAddress?: string | null | undefined;
        pickupCity?: string | null | undefined;
    } | null | undefined;
    delivery?: {
        address?: {
            latitude?: number | null | undefined;
            longitude?: number | null | undefined;
            deliveryInstructions?: string | null | undefined;
            number: string;
            street: string;
            building: string;
            district: string;
            city: string;
            line1: string;
            line2: string;
            postcode: string;
            company: string;
            deliveryArea: string;
            deliveryMainArea: string;
            entrance: string;
            flatNumber: string;
            floor: string;
            intercom: string;
            deliveryAreaPostcode: string;
            line3: string;
            line4: string;
            line5: string;
            other: string;
            room: string;
            structure: string;
            deliveryMainAreaPostcode: string;
        } | null | undefined;
        expectedDeliveryTime?: string | null | undefined;
        riderPickupTime?: string | null | undefined;
        expressDelivery: boolean;
    } | null | undefined;
    shortCode?: string | null | undefined;
    integrationInfo?: unknown;
    extraParameters?: unknown;
    corporateTaxId?: string | null | undefined;
    corporateOrder?: boolean | null | undefined;
    mobileOrder?: boolean | null | undefined;
    webOrder?: boolean | null | undefined;
    callbackUrls?: {
        orderAcceptedUrl: string;
        orderRejectedUrl: string;
        orderPreparedUrl: string;
    } | null | undefined;
    code: string;
    price: {
        deliveryFee?: string | null | undefined;
        riderTip?: string | null | undefined;
        comission?: string | null | undefined;
        containerCharge?: string | null | undefined;
        collectFromCustomer?: string | null | undefined;
        discountAmountTotal?: string | null | undefined;
        deliveryFeeDiscount?: string | null | undefined;
        serviceFeePercent?: string | null | undefined;
        serviceFeeTotal?: string | null | undefined;
        serviceTax?: number | null | undefined;
        serviceTaxValue?: number | null | undefined;
        differenceToMinimumDeliveryValue?: string | null | undefined;
        vatVisible?: boolean | null | undefined;
        vatPercent?: string | null | undefined;
        subTotal: string;
        deliveryFees: {
            name: string;
            value: number;
        }[];
        grandTotal: string;
        minimumDeliveryValue: string;
        payRestaurant: string;
        vatTotal: string;
    };
    products: {
        name?: string | null | undefined;
        id?: string | null | undefined;
        description?: string | null | undefined;
        quantity?: string | null | undefined;
        categoryName?: string | null | undefined;
        remoteCode?: string | null | undefined;
        paidPrice?: string | null | undefined;
        selectedToppings?: FPSelectedTopping[] | null | undefined;
        unitPrice?: string | null | undefined;
        comment?: string | null | undefined;
        discountAmount?: string | null | undefined;
        halfHalf?: boolean | null | undefined;
        vatPercentage?: string | null | undefined;
        selectedChoices: string[];
        variation: {
            name: string;
        };
    }[];
    createdAt: string;
    customer: {
        firstName?: string | null | undefined;
        lastName?: string | null | undefined;
        mobilePhone?: string | null | undefined;
        code: string;
        id: string;
        email: string;
        mobilePhoneCountryCode: string;
    };
    payment: {
        type: string;
        status: "paid" | "pending";
        remoteCode: string;
        requiredMoneyChange: string;
        vatId: string;
        vatName: string;
    };
    vouchers: string[];
    discounts: {
        sponsorships?: {
            amount: string;
            sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
        }[] | null | undefined;
        name: string;
        type: string;
        amount: string;
    }[];
    token: string;
    comments: {
        customerComment?: string | null | undefined;
        vendorComment: string;
    };
    expeditionType: "pickup" | "delivery";
    expiryDate: string;
    localInfo: {
        countryCode?: string | null | undefined;
        currencySymbol?: string | null | undefined;
        email: string;
        phone: string;
        platform: string;
        platformKey: string;
        currencySymbolPosition: string;
        currencySymbolSpaces: string;
        decimalDigits: string;
        decimalSeparator: string;
        thousandsSeparator: string;
        website: string;
    };
    test: boolean;
    preOrder: boolean;
    platformRestaurant: {
        id: string;
    };
}, {
    pickup?: {
        pickupTime?: string | null | undefined;
        pickupAddress?: string | null | undefined;
        pickupCity?: string | null | undefined;
    } | null | undefined;
    delivery?: {
        address?: {
            latitude?: number | null | undefined;
            longitude?: number | null | undefined;
            deliveryInstructions?: string | null | undefined;
            number: string;
            street: string;
            building: string;
            district: string;
            city: string;
            line1: string;
            line2: string;
            postcode: string;
            company: string;
            deliveryArea: string;
            deliveryMainArea: string;
            entrance: string;
            flatNumber: string;
            floor: string;
            intercom: string;
            deliveryAreaPostcode: string;
            line3: string;
            line4: string;
            line5: string;
            other: string;
            room: string;
            structure: string;
            deliveryMainAreaPostcode: string;
        } | null | undefined;
        expectedDeliveryTime?: string | null | undefined;
        riderPickupTime?: string | null | undefined;
        expressDelivery: boolean;
    } | null | undefined;
    shortCode?: string | null | undefined;
    integrationInfo?: unknown;
    extraParameters?: unknown;
    corporateTaxId?: string | null | undefined;
    corporateOrder?: boolean | null | undefined;
    mobileOrder?: boolean | null | undefined;
    webOrder?: boolean | null | undefined;
    callbackUrls?: {
        orderAcceptedUrl: string;
        orderRejectedUrl: string;
        orderPreparedUrl: string;
    } | null | undefined;
    code: string;
    price: {
        deliveryFee?: string | null | undefined;
        riderTip?: string | null | undefined;
        comission?: string | null | undefined;
        containerCharge?: string | null | undefined;
        collectFromCustomer?: string | null | undefined;
        discountAmountTotal?: string | null | undefined;
        deliveryFeeDiscount?: string | null | undefined;
        serviceFeePercent?: string | null | undefined;
        serviceFeeTotal?: string | null | undefined;
        serviceTax?: number | null | undefined;
        serviceTaxValue?: number | null | undefined;
        differenceToMinimumDeliveryValue?: string | null | undefined;
        vatVisible?: boolean | null | undefined;
        vatPercent?: string | null | undefined;
        subTotal: string;
        deliveryFees: {
            name: string;
            value: number;
        }[];
        grandTotal: string;
        minimumDeliveryValue: string;
        payRestaurant: string;
        vatTotal: string;
    };
    products: {
        name?: string | null | undefined;
        id?: string | null | undefined;
        description?: string | null | undefined;
        quantity?: string | null | undefined;
        categoryName?: string | null | undefined;
        remoteCode?: string | null | undefined;
        paidPrice?: string | null | undefined;
        selectedToppings?: FPSelectedTopping[] | null | undefined;
        unitPrice?: string | null | undefined;
        comment?: string | null | undefined;
        discountAmount?: string | null | undefined;
        halfHalf?: boolean | null | undefined;
        vatPercentage?: string | null | undefined;
        selectedChoices: string[];
        variation: {
            name: string;
        };
    }[];
    createdAt: string;
    customer: {
        firstName?: string | null | undefined;
        lastName?: string | null | undefined;
        mobilePhone?: string | null | undefined;
        code: string;
        id: string;
        email: string;
        mobilePhoneCountryCode: string;
    };
    payment: {
        type: string;
        status: "paid" | "pending";
        remoteCode: string;
        requiredMoneyChange: string;
        vatId: string;
        vatName: string;
    };
    vouchers: string[];
    discounts: {
        sponsorships?: {
            amount: string;
            sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
        }[] | null | undefined;
        name: string;
        type: string;
        amount: string;
    }[];
    token: string;
    comments: {
        customerComment?: string | null | undefined;
        vendorComment: string;
    };
    expeditionType: "pickup" | "delivery";
    expiryDate: string;
    localInfo: {
        countryCode?: string | null | undefined;
        currencySymbol?: string | null | undefined;
        email: string;
        phone: string;
        platform: string;
        platformKey: string;
        currencySymbolPosition: string;
        currencySymbolSpaces: string;
        decimalDigits: string;
        decimalSeparator: string;
        thousandsSeparator: string;
        website: string;
    };
    test: boolean;
    preOrder: boolean;
    platformRestaurant: {
        id: string;
    };
}>;
export declare const FdoFoodpandaOrder: z.ZodObject<{
    _id: z.ZodEffects<z.ZodString, string, string>;
    remoteId: z.ZodString;
    orderStatus: z.ZodObject<{
        status: z.ZodEnum<["pending", "accepted", "cancelled"]>;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        message: string;
        status: "cancelled" | "pending" | "accepted";
    }, {
        message: string;
        status: "cancelled" | "pending" | "accepted";
    }>;
    raw: z.ZodObject<{
        token: z.ZodString;
        code: z.ZodString;
        comments: z.ZodObject<{
            customerComment: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            vendorComment: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            customerComment?: string | null | undefined;
            vendorComment: string;
        }, {
            customerComment?: string | null | undefined;
            vendorComment: string;
        }>;
        createdAt: z.ZodString;
        customer: z.ZodObject<{
            email: z.ZodString;
            firstName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            mobilePhone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            code: z.ZodString;
            id: z.ZodString;
            mobilePhoneCountryCode: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            firstName?: string | null | undefined;
            lastName?: string | null | undefined;
            mobilePhone?: string | null | undefined;
            code: string;
            id: string;
            email: string;
            mobilePhoneCountryCode: string;
        }, {
            firstName?: string | null | undefined;
            lastName?: string | null | undefined;
            mobilePhone?: string | null | undefined;
            code: string;
            id: string;
            email: string;
            mobilePhoneCountryCode: string;
        }>;
        delivery: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            address: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                building: z.ZodString;
                city: z.ZodString;
                company: z.ZodString;
                deliveryArea: z.ZodString;
                deliveryInstructions: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                deliveryMainArea: z.ZodString;
                entrance: z.ZodString;
                flatNumber: z.ZodString;
                floor: z.ZodString;
                intercom: z.ZodString;
                latitude: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                longitude: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                number: z.ZodString;
                postcode: z.ZodString;
                street: z.ZodString;
                deliveryAreaPostcode: z.ZodString;
                line1: z.ZodString;
                line2: z.ZodString;
                line3: z.ZodString;
                line4: z.ZodString;
                line5: z.ZodString;
                other: z.ZodString;
                room: z.ZodString;
                structure: z.ZodString;
                district: z.ZodString;
                deliveryMainAreaPostcode: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                latitude?: number | null | undefined;
                longitude?: number | null | undefined;
                deliveryInstructions?: string | null | undefined;
                number: string;
                street: string;
                building: string;
                district: string;
                city: string;
                line1: string;
                line2: string;
                postcode: string;
                company: string;
                deliveryArea: string;
                deliveryMainArea: string;
                entrance: string;
                flatNumber: string;
                floor: string;
                intercom: string;
                deliveryAreaPostcode: string;
                line3: string;
                line4: string;
                line5: string;
                other: string;
                room: string;
                structure: string;
                deliveryMainAreaPostcode: string;
            }, {
                latitude?: number | null | undefined;
                longitude?: number | null | undefined;
                deliveryInstructions?: string | null | undefined;
                number: string;
                street: string;
                building: string;
                district: string;
                city: string;
                line1: string;
                line2: string;
                postcode: string;
                company: string;
                deliveryArea: string;
                deliveryMainArea: string;
                entrance: string;
                flatNumber: string;
                floor: string;
                intercom: string;
                deliveryAreaPostcode: string;
                line3: string;
                line4: string;
                line5: string;
                other: string;
                room: string;
                structure: string;
                deliveryMainAreaPostcode: string;
            }>>>;
            expectedDeliveryTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            expressDelivery: z.ZodBoolean;
            riderPickupTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            address?: {
                latitude?: number | null | undefined;
                longitude?: number | null | undefined;
                deliveryInstructions?: string | null | undefined;
                number: string;
                street: string;
                building: string;
                district: string;
                city: string;
                line1: string;
                line2: string;
                postcode: string;
                company: string;
                deliveryArea: string;
                deliveryMainArea: string;
                entrance: string;
                flatNumber: string;
                floor: string;
                intercom: string;
                deliveryAreaPostcode: string;
                line3: string;
                line4: string;
                line5: string;
                other: string;
                room: string;
                structure: string;
                deliveryMainAreaPostcode: string;
            } | null | undefined;
            expectedDeliveryTime?: string | null | undefined;
            riderPickupTime?: string | null | undefined;
            expressDelivery: boolean;
        }, {
            address?: {
                latitude?: number | null | undefined;
                longitude?: number | null | undefined;
                deliveryInstructions?: string | null | undefined;
                number: string;
                street: string;
                building: string;
                district: string;
                city: string;
                line1: string;
                line2: string;
                postcode: string;
                company: string;
                deliveryArea: string;
                deliveryMainArea: string;
                entrance: string;
                flatNumber: string;
                floor: string;
                intercom: string;
                deliveryAreaPostcode: string;
                line3: string;
                line4: string;
                line5: string;
                other: string;
                room: string;
                structure: string;
                deliveryMainAreaPostcode: string;
            } | null | undefined;
            expectedDeliveryTime?: string | null | undefined;
            riderPickupTime?: string | null | undefined;
            expressDelivery: boolean;
        }>>>;
        discounts: z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            amount: z.ZodString;
            type: z.ZodString;
            sponsorships: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                sponsor: z.ZodEnum<["PLATFORM", "VENDOR", "THIRD_PARTY"]>;
                amount: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                amount: string;
                sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
            }, {
                amount: string;
                sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
            }>, "many">>>;
        }, "strip", z.ZodTypeAny, {
            sponsorships?: {
                amount: string;
                sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
            }[] | null | undefined;
            name: string;
            type: string;
            amount: string;
        }, {
            sponsorships?: {
                amount: string;
                sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
            }[] | null | undefined;
            name: string;
            type: string;
            amount: string;
        }>, "many">;
        expeditionType: z.ZodEnum<["pickup", "delivery"]>;
        expiryDate: z.ZodString;
        extraParameters: z.ZodNullable<z.ZodOptional<z.ZodUnknown>>;
        localInfo: z.ZodObject<{
            countryCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            currencySymbol: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            platform: z.ZodString;
            platformKey: z.ZodString;
            currencySymbolPosition: z.ZodString;
            currencySymbolSpaces: z.ZodString;
            decimalDigits: z.ZodString;
            decimalSeparator: z.ZodString;
            email: z.ZodString;
            phone: z.ZodString;
            thousandsSeparator: z.ZodString;
            website: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            countryCode?: string | null | undefined;
            currencySymbol?: string | null | undefined;
            email: string;
            phone: string;
            platform: string;
            platformKey: string;
            currencySymbolPosition: string;
            currencySymbolSpaces: string;
            decimalDigits: string;
            decimalSeparator: string;
            thousandsSeparator: string;
            website: string;
        }, {
            countryCode?: string | null | undefined;
            currencySymbol?: string | null | undefined;
            email: string;
            phone: string;
            platform: string;
            platformKey: string;
            currencySymbolPosition: string;
            currencySymbolSpaces: string;
            decimalDigits: string;
            decimalSeparator: string;
            thousandsSeparator: string;
            website: string;
        }>;
        payment: z.ZodObject<{
            status: z.ZodEnum<["pending", "paid"]>;
            type: z.ZodString;
            remoteCode: z.ZodString;
            requiredMoneyChange: z.ZodString;
            vatId: z.ZodString;
            vatName: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            type: string;
            status: "paid" | "pending";
            remoteCode: string;
            requiredMoneyChange: string;
            vatId: string;
            vatName: string;
        }, {
            type: string;
            status: "paid" | "pending";
            remoteCode: string;
            requiredMoneyChange: string;
            vatId: string;
            vatName: string;
        }>;
        test: z.ZodBoolean;
        shortCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        preOrder: z.ZodBoolean;
        pickup: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            pickupTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            pickupAddress: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            pickupCity: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            pickupTime?: string | null | undefined;
            pickupAddress?: string | null | undefined;
            pickupCity?: string | null | undefined;
        }, {
            pickupTime?: string | null | undefined;
            pickupAddress?: string | null | undefined;
            pickupCity?: string | null | undefined;
        }>>>;
        platformRestaurant: z.ZodObject<{
            id: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
        }, {
            id: string;
        }>;
        price: z.ZodObject<{
            deliveryFees: z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                value: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                name: string;
                value: number;
            }, {
                name: string;
                value: number;
            }>, "many">;
            grandTotal: z.ZodString;
            minimumDeliveryValue: z.ZodString;
            payRestaurant: z.ZodString;
            riderTip: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            subTotal: z.ZodString;
            vatTotal: z.ZodString;
            comission: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            containerCharge: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            deliveryFee: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            collectFromCustomer: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            discountAmountTotal: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            deliveryFeeDiscount: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            serviceFeePercent: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            serviceFeeTotal: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            serviceTax: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            serviceTaxValue: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            differenceToMinimumDeliveryValue: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            vatVisible: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            vatPercent: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            deliveryFee?: string | null | undefined;
            riderTip?: string | null | undefined;
            comission?: string | null | undefined;
            containerCharge?: string | null | undefined;
            collectFromCustomer?: string | null | undefined;
            discountAmountTotal?: string | null | undefined;
            deliveryFeeDiscount?: string | null | undefined;
            serviceFeePercent?: string | null | undefined;
            serviceFeeTotal?: string | null | undefined;
            serviceTax?: number | null | undefined;
            serviceTaxValue?: number | null | undefined;
            differenceToMinimumDeliveryValue?: string | null | undefined;
            vatVisible?: boolean | null | undefined;
            vatPercent?: string | null | undefined;
            subTotal: string;
            deliveryFees: {
                name: string;
                value: number;
            }[];
            grandTotal: string;
            minimumDeliveryValue: string;
            payRestaurant: string;
            vatTotal: string;
        }, {
            deliveryFee?: string | null | undefined;
            riderTip?: string | null | undefined;
            comission?: string | null | undefined;
            containerCharge?: string | null | undefined;
            collectFromCustomer?: string | null | undefined;
            discountAmountTotal?: string | null | undefined;
            deliveryFeeDiscount?: string | null | undefined;
            serviceFeePercent?: string | null | undefined;
            serviceFeeTotal?: string | null | undefined;
            serviceTax?: number | null | undefined;
            serviceTaxValue?: number | null | undefined;
            differenceToMinimumDeliveryValue?: string | null | undefined;
            vatVisible?: boolean | null | undefined;
            vatPercent?: string | null | undefined;
            subTotal: string;
            deliveryFees: {
                name: string;
                value: number;
            }[];
            grandTotal: string;
            minimumDeliveryValue: string;
            payRestaurant: string;
            vatTotal: string;
        }>;
        products: z.ZodArray<z.ZodObject<{
            categoryName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            paidPrice: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            quantity: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            remoteCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            selectedToppings: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodType<FPSelectedTopping, z.ZodTypeDef, FPSelectedTopping>, "many">>>;
            unitPrice: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            comment: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            discountAmount: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            halfHalf: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            selectedChoices: z.ZodArray<z.ZodString, "many">;
            variation: z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>;
            vatPercentage: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            name?: string | null | undefined;
            id?: string | null | undefined;
            description?: string | null | undefined;
            quantity?: string | null | undefined;
            categoryName?: string | null | undefined;
            remoteCode?: string | null | undefined;
            paidPrice?: string | null | undefined;
            selectedToppings?: FPSelectedTopping[] | null | undefined;
            unitPrice?: string | null | undefined;
            comment?: string | null | undefined;
            discountAmount?: string | null | undefined;
            halfHalf?: boolean | null | undefined;
            vatPercentage?: string | null | undefined;
            selectedChoices: string[];
            variation: {
                name: string;
            };
        }, {
            name?: string | null | undefined;
            id?: string | null | undefined;
            description?: string | null | undefined;
            quantity?: string | null | undefined;
            categoryName?: string | null | undefined;
            remoteCode?: string | null | undefined;
            paidPrice?: string | null | undefined;
            selectedToppings?: FPSelectedTopping[] | null | undefined;
            unitPrice?: string | null | undefined;
            comment?: string | null | undefined;
            discountAmount?: string | null | undefined;
            halfHalf?: boolean | null | undefined;
            vatPercentage?: string | null | undefined;
            selectedChoices: string[];
            variation: {
                name: string;
            };
        }>, "many">;
        corporateTaxId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        corporateOrder: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        integrationInfo: z.ZodNullable<z.ZodOptional<z.ZodUnknown>>;
        mobileOrder: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        webOrder: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        vouchers: z.ZodArray<z.ZodString, "many">;
        callbackUrls: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            orderAcceptedUrl: z.ZodString;
            orderRejectedUrl: z.ZodString;
            orderPreparedUrl: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            orderAcceptedUrl: string;
            orderRejectedUrl: string;
            orderPreparedUrl: string;
        }, {
            orderAcceptedUrl: string;
            orderRejectedUrl: string;
            orderPreparedUrl: string;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        pickup?: {
            pickupTime?: string | null | undefined;
            pickupAddress?: string | null | undefined;
            pickupCity?: string | null | undefined;
        } | null | undefined;
        delivery?: {
            address?: {
                latitude?: number | null | undefined;
                longitude?: number | null | undefined;
                deliveryInstructions?: string | null | undefined;
                number: string;
                street: string;
                building: string;
                district: string;
                city: string;
                line1: string;
                line2: string;
                postcode: string;
                company: string;
                deliveryArea: string;
                deliveryMainArea: string;
                entrance: string;
                flatNumber: string;
                floor: string;
                intercom: string;
                deliveryAreaPostcode: string;
                line3: string;
                line4: string;
                line5: string;
                other: string;
                room: string;
                structure: string;
                deliveryMainAreaPostcode: string;
            } | null | undefined;
            expectedDeliveryTime?: string | null | undefined;
            riderPickupTime?: string | null | undefined;
            expressDelivery: boolean;
        } | null | undefined;
        shortCode?: string | null | undefined;
        integrationInfo?: unknown;
        extraParameters?: unknown;
        corporateTaxId?: string | null | undefined;
        corporateOrder?: boolean | null | undefined;
        mobileOrder?: boolean | null | undefined;
        webOrder?: boolean | null | undefined;
        callbackUrls?: {
            orderAcceptedUrl: string;
            orderRejectedUrl: string;
            orderPreparedUrl: string;
        } | null | undefined;
        code: string;
        price: {
            deliveryFee?: string | null | undefined;
            riderTip?: string | null | undefined;
            comission?: string | null | undefined;
            containerCharge?: string | null | undefined;
            collectFromCustomer?: string | null | undefined;
            discountAmountTotal?: string | null | undefined;
            deliveryFeeDiscount?: string | null | undefined;
            serviceFeePercent?: string | null | undefined;
            serviceFeeTotal?: string | null | undefined;
            serviceTax?: number | null | undefined;
            serviceTaxValue?: number | null | undefined;
            differenceToMinimumDeliveryValue?: string | null | undefined;
            vatVisible?: boolean | null | undefined;
            vatPercent?: string | null | undefined;
            subTotal: string;
            deliveryFees: {
                name: string;
                value: number;
            }[];
            grandTotal: string;
            minimumDeliveryValue: string;
            payRestaurant: string;
            vatTotal: string;
        };
        products: {
            name?: string | null | undefined;
            id?: string | null | undefined;
            description?: string | null | undefined;
            quantity?: string | null | undefined;
            categoryName?: string | null | undefined;
            remoteCode?: string | null | undefined;
            paidPrice?: string | null | undefined;
            selectedToppings?: FPSelectedTopping[] | null | undefined;
            unitPrice?: string | null | undefined;
            comment?: string | null | undefined;
            discountAmount?: string | null | undefined;
            halfHalf?: boolean | null | undefined;
            vatPercentage?: string | null | undefined;
            selectedChoices: string[];
            variation: {
                name: string;
            };
        }[];
        createdAt: string;
        customer: {
            firstName?: string | null | undefined;
            lastName?: string | null | undefined;
            mobilePhone?: string | null | undefined;
            code: string;
            id: string;
            email: string;
            mobilePhoneCountryCode: string;
        };
        payment: {
            type: string;
            status: "paid" | "pending";
            remoteCode: string;
            requiredMoneyChange: string;
            vatId: string;
            vatName: string;
        };
        vouchers: string[];
        discounts: {
            sponsorships?: {
                amount: string;
                sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
            }[] | null | undefined;
            name: string;
            type: string;
            amount: string;
        }[];
        token: string;
        comments: {
            customerComment?: string | null | undefined;
            vendorComment: string;
        };
        expeditionType: "pickup" | "delivery";
        expiryDate: string;
        localInfo: {
            countryCode?: string | null | undefined;
            currencySymbol?: string | null | undefined;
            email: string;
            phone: string;
            platform: string;
            platformKey: string;
            currencySymbolPosition: string;
            currencySymbolSpaces: string;
            decimalDigits: string;
            decimalSeparator: string;
            thousandsSeparator: string;
            website: string;
        };
        test: boolean;
        preOrder: boolean;
        platformRestaurant: {
            id: string;
        };
    }, {
        pickup?: {
            pickupTime?: string | null | undefined;
            pickupAddress?: string | null | undefined;
            pickupCity?: string | null | undefined;
        } | null | undefined;
        delivery?: {
            address?: {
                latitude?: number | null | undefined;
                longitude?: number | null | undefined;
                deliveryInstructions?: string | null | undefined;
                number: string;
                street: string;
                building: string;
                district: string;
                city: string;
                line1: string;
                line2: string;
                postcode: string;
                company: string;
                deliveryArea: string;
                deliveryMainArea: string;
                entrance: string;
                flatNumber: string;
                floor: string;
                intercom: string;
                deliveryAreaPostcode: string;
                line3: string;
                line4: string;
                line5: string;
                other: string;
                room: string;
                structure: string;
                deliveryMainAreaPostcode: string;
            } | null | undefined;
            expectedDeliveryTime?: string | null | undefined;
            riderPickupTime?: string | null | undefined;
            expressDelivery: boolean;
        } | null | undefined;
        shortCode?: string | null | undefined;
        integrationInfo?: unknown;
        extraParameters?: unknown;
        corporateTaxId?: string | null | undefined;
        corporateOrder?: boolean | null | undefined;
        mobileOrder?: boolean | null | undefined;
        webOrder?: boolean | null | undefined;
        callbackUrls?: {
            orderAcceptedUrl: string;
            orderRejectedUrl: string;
            orderPreparedUrl: string;
        } | null | undefined;
        code: string;
        price: {
            deliveryFee?: string | null | undefined;
            riderTip?: string | null | undefined;
            comission?: string | null | undefined;
            containerCharge?: string | null | undefined;
            collectFromCustomer?: string | null | undefined;
            discountAmountTotal?: string | null | undefined;
            deliveryFeeDiscount?: string | null | undefined;
            serviceFeePercent?: string | null | undefined;
            serviceFeeTotal?: string | null | undefined;
            serviceTax?: number | null | undefined;
            serviceTaxValue?: number | null | undefined;
            differenceToMinimumDeliveryValue?: string | null | undefined;
            vatVisible?: boolean | null | undefined;
            vatPercent?: string | null | undefined;
            subTotal: string;
            deliveryFees: {
                name: string;
                value: number;
            }[];
            grandTotal: string;
            minimumDeliveryValue: string;
            payRestaurant: string;
            vatTotal: string;
        };
        products: {
            name?: string | null | undefined;
            id?: string | null | undefined;
            description?: string | null | undefined;
            quantity?: string | null | undefined;
            categoryName?: string | null | undefined;
            remoteCode?: string | null | undefined;
            paidPrice?: string | null | undefined;
            selectedToppings?: FPSelectedTopping[] | null | undefined;
            unitPrice?: string | null | undefined;
            comment?: string | null | undefined;
            discountAmount?: string | null | undefined;
            halfHalf?: boolean | null | undefined;
            vatPercentage?: string | null | undefined;
            selectedChoices: string[];
            variation: {
                name: string;
            };
        }[];
        createdAt: string;
        customer: {
            firstName?: string | null | undefined;
            lastName?: string | null | undefined;
            mobilePhone?: string | null | undefined;
            code: string;
            id: string;
            email: string;
            mobilePhoneCountryCode: string;
        };
        payment: {
            type: string;
            status: "paid" | "pending";
            remoteCode: string;
            requiredMoneyChange: string;
            vatId: string;
            vatName: string;
        };
        vouchers: string[];
        discounts: {
            sponsorships?: {
                amount: string;
                sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
            }[] | null | undefined;
            name: string;
            type: string;
            amount: string;
        }[];
        token: string;
        comments: {
            customerComment?: string | null | undefined;
            vendorComment: string;
        };
        expeditionType: "pickup" | "delivery";
        expiryDate: string;
        localInfo: {
            countryCode?: string | null | undefined;
            currencySymbol?: string | null | undefined;
            email: string;
            phone: string;
            platform: string;
            platformKey: string;
            currencySymbolPosition: string;
            currencySymbolSpaces: string;
            decimalDigits: string;
            decimalSeparator: string;
            thousandsSeparator: string;
            website: string;
        };
        test: boolean;
        preOrder: boolean;
        platformRestaurant: {
            id: string;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    _id: string;
    orderStatus: {
        message: string;
        status: "cancelled" | "pending" | "accepted";
    };
    raw: {
        pickup?: {
            pickupTime?: string | null | undefined;
            pickupAddress?: string | null | undefined;
            pickupCity?: string | null | undefined;
        } | null | undefined;
        delivery?: {
            address?: {
                latitude?: number | null | undefined;
                longitude?: number | null | undefined;
                deliveryInstructions?: string | null | undefined;
                number: string;
                street: string;
                building: string;
                district: string;
                city: string;
                line1: string;
                line2: string;
                postcode: string;
                company: string;
                deliveryArea: string;
                deliveryMainArea: string;
                entrance: string;
                flatNumber: string;
                floor: string;
                intercom: string;
                deliveryAreaPostcode: string;
                line3: string;
                line4: string;
                line5: string;
                other: string;
                room: string;
                structure: string;
                deliveryMainAreaPostcode: string;
            } | null | undefined;
            expectedDeliveryTime?: string | null | undefined;
            riderPickupTime?: string | null | undefined;
            expressDelivery: boolean;
        } | null | undefined;
        shortCode?: string | null | undefined;
        integrationInfo?: unknown;
        extraParameters?: unknown;
        corporateTaxId?: string | null | undefined;
        corporateOrder?: boolean | null | undefined;
        mobileOrder?: boolean | null | undefined;
        webOrder?: boolean | null | undefined;
        callbackUrls?: {
            orderAcceptedUrl: string;
            orderRejectedUrl: string;
            orderPreparedUrl: string;
        } | null | undefined;
        code: string;
        price: {
            deliveryFee?: string | null | undefined;
            riderTip?: string | null | undefined;
            comission?: string | null | undefined;
            containerCharge?: string | null | undefined;
            collectFromCustomer?: string | null | undefined;
            discountAmountTotal?: string | null | undefined;
            deliveryFeeDiscount?: string | null | undefined;
            serviceFeePercent?: string | null | undefined;
            serviceFeeTotal?: string | null | undefined;
            serviceTax?: number | null | undefined;
            serviceTaxValue?: number | null | undefined;
            differenceToMinimumDeliveryValue?: string | null | undefined;
            vatVisible?: boolean | null | undefined;
            vatPercent?: string | null | undefined;
            subTotal: string;
            deliveryFees: {
                name: string;
                value: number;
            }[];
            grandTotal: string;
            minimumDeliveryValue: string;
            payRestaurant: string;
            vatTotal: string;
        };
        products: {
            name?: string | null | undefined;
            id?: string | null | undefined;
            description?: string | null | undefined;
            quantity?: string | null | undefined;
            categoryName?: string | null | undefined;
            remoteCode?: string | null | undefined;
            paidPrice?: string | null | undefined;
            selectedToppings?: FPSelectedTopping[] | null | undefined;
            unitPrice?: string | null | undefined;
            comment?: string | null | undefined;
            discountAmount?: string | null | undefined;
            halfHalf?: boolean | null | undefined;
            vatPercentage?: string | null | undefined;
            selectedChoices: string[];
            variation: {
                name: string;
            };
        }[];
        createdAt: string;
        customer: {
            firstName?: string | null | undefined;
            lastName?: string | null | undefined;
            mobilePhone?: string | null | undefined;
            code: string;
            id: string;
            email: string;
            mobilePhoneCountryCode: string;
        };
        payment: {
            type: string;
            status: "paid" | "pending";
            remoteCode: string;
            requiredMoneyChange: string;
            vatId: string;
            vatName: string;
        };
        vouchers: string[];
        discounts: {
            sponsorships?: {
                amount: string;
                sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
            }[] | null | undefined;
            name: string;
            type: string;
            amount: string;
        }[];
        token: string;
        comments: {
            customerComment?: string | null | undefined;
            vendorComment: string;
        };
        expeditionType: "pickup" | "delivery";
        expiryDate: string;
        localInfo: {
            countryCode?: string | null | undefined;
            currencySymbol?: string | null | undefined;
            email: string;
            phone: string;
            platform: string;
            platformKey: string;
            currencySymbolPosition: string;
            currencySymbolSpaces: string;
            decimalDigits: string;
            decimalSeparator: string;
            thousandsSeparator: string;
            website: string;
        };
        test: boolean;
        preOrder: boolean;
        platformRestaurant: {
            id: string;
        };
    };
    remoteId: string;
}, {
    _id: string;
    orderStatus: {
        message: string;
        status: "cancelled" | "pending" | "accepted";
    };
    raw: {
        pickup?: {
            pickupTime?: string | null | undefined;
            pickupAddress?: string | null | undefined;
            pickupCity?: string | null | undefined;
        } | null | undefined;
        delivery?: {
            address?: {
                latitude?: number | null | undefined;
                longitude?: number | null | undefined;
                deliveryInstructions?: string | null | undefined;
                number: string;
                street: string;
                building: string;
                district: string;
                city: string;
                line1: string;
                line2: string;
                postcode: string;
                company: string;
                deliveryArea: string;
                deliveryMainArea: string;
                entrance: string;
                flatNumber: string;
                floor: string;
                intercom: string;
                deliveryAreaPostcode: string;
                line3: string;
                line4: string;
                line5: string;
                other: string;
                room: string;
                structure: string;
                deliveryMainAreaPostcode: string;
            } | null | undefined;
            expectedDeliveryTime?: string | null | undefined;
            riderPickupTime?: string | null | undefined;
            expressDelivery: boolean;
        } | null | undefined;
        shortCode?: string | null | undefined;
        integrationInfo?: unknown;
        extraParameters?: unknown;
        corporateTaxId?: string | null | undefined;
        corporateOrder?: boolean | null | undefined;
        mobileOrder?: boolean | null | undefined;
        webOrder?: boolean | null | undefined;
        callbackUrls?: {
            orderAcceptedUrl: string;
            orderRejectedUrl: string;
            orderPreparedUrl: string;
        } | null | undefined;
        code: string;
        price: {
            deliveryFee?: string | null | undefined;
            riderTip?: string | null | undefined;
            comission?: string | null | undefined;
            containerCharge?: string | null | undefined;
            collectFromCustomer?: string | null | undefined;
            discountAmountTotal?: string | null | undefined;
            deliveryFeeDiscount?: string | null | undefined;
            serviceFeePercent?: string | null | undefined;
            serviceFeeTotal?: string | null | undefined;
            serviceTax?: number | null | undefined;
            serviceTaxValue?: number | null | undefined;
            differenceToMinimumDeliveryValue?: string | null | undefined;
            vatVisible?: boolean | null | undefined;
            vatPercent?: string | null | undefined;
            subTotal: string;
            deliveryFees: {
                name: string;
                value: number;
            }[];
            grandTotal: string;
            minimumDeliveryValue: string;
            payRestaurant: string;
            vatTotal: string;
        };
        products: {
            name?: string | null | undefined;
            id?: string | null | undefined;
            description?: string | null | undefined;
            quantity?: string | null | undefined;
            categoryName?: string | null | undefined;
            remoteCode?: string | null | undefined;
            paidPrice?: string | null | undefined;
            selectedToppings?: FPSelectedTopping[] | null | undefined;
            unitPrice?: string | null | undefined;
            comment?: string | null | undefined;
            discountAmount?: string | null | undefined;
            halfHalf?: boolean | null | undefined;
            vatPercentage?: string | null | undefined;
            selectedChoices: string[];
            variation: {
                name: string;
            };
        }[];
        createdAt: string;
        customer: {
            firstName?: string | null | undefined;
            lastName?: string | null | undefined;
            mobilePhone?: string | null | undefined;
            code: string;
            id: string;
            email: string;
            mobilePhoneCountryCode: string;
        };
        payment: {
            type: string;
            status: "paid" | "pending";
            remoteCode: string;
            requiredMoneyChange: string;
            vatId: string;
            vatName: string;
        };
        vouchers: string[];
        discounts: {
            sponsorships?: {
                amount: string;
                sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
            }[] | null | undefined;
            name: string;
            type: string;
            amount: string;
        }[];
        token: string;
        comments: {
            customerComment?: string | null | undefined;
            vendorComment: string;
        };
        expeditionType: "pickup" | "delivery";
        expiryDate: string;
        localInfo: {
            countryCode?: string | null | undefined;
            currencySymbol?: string | null | undefined;
            email: string;
            phone: string;
            platform: string;
            platformKey: string;
            currencySymbolPosition: string;
            currencySymbolSpaces: string;
            decimalDigits: string;
            decimalSeparator: string;
            thousandsSeparator: string;
            website: string;
        };
        test: boolean;
        preOrder: boolean;
        platformRestaurant: {
            id: string;
        };
    };
    remoteId: string;
}>;
declare const FPProductVariation: z.ZodObject<{
    Id: z.ZodString;
    Title: z.ZodString;
    Price: z.ZodNumber;
    ContainerPrice: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    Id: string;
    Title: string;
    Price: number;
    ContainerPrice: number;
}, {
    Id: string;
    Title: string;
    Price: number;
    ContainerPrice: number;
}>;
declare const FPProductVariations: z.ZodObject<{
    ProductVariation: z.ZodArray<z.ZodObject<{
        Id: z.ZodString;
        Title: z.ZodString;
        Price: z.ZodNumber;
        ContainerPrice: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        Id: string;
        Title: string;
        Price: number;
        ContainerPrice: number;
    }, {
        Id: string;
        Title: string;
        Price: number;
        ContainerPrice: number;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    ProductVariation: {
        Id: string;
        Title: string;
        Price: number;
        ContainerPrice: number;
    }[];
}, {
    ProductVariation: {
        Id: string;
        Title: string;
        Price: number;
        ContainerPrice: number;
    }[];
}>;
declare const FPProductItem: z.ZodObject<{
    Id: z.ZodString;
    Title: z.ZodString;
    Description: z.ZodString;
    Image: z.ZodString;
    ProductVariations: z.ZodObject<{
        ProductVariation: z.ZodArray<z.ZodObject<{
            Id: z.ZodString;
            Title: z.ZodString;
            Price: z.ZodNumber;
            ContainerPrice: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            Id: string;
            Title: string;
            Price: number;
            ContainerPrice: number;
        }, {
            Id: string;
            Title: string;
            Price: number;
            ContainerPrice: number;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        ProductVariation: {
            Id: string;
            Title: string;
            Price: number;
            ContainerPrice: number;
        }[];
    }, {
        ProductVariation: {
            Id: string;
            Title: string;
            Price: number;
            ContainerPrice: number;
        }[];
    }>;
}, "strip", z.ZodTypeAny, {
    Image: string;
    Id: string;
    Title: string;
    Description: string;
    ProductVariations: {
        ProductVariation: {
            Id: string;
            Title: string;
            Price: number;
            ContainerPrice: number;
        }[];
    };
}, {
    Image: string;
    Id: string;
    Title: string;
    Description: string;
    ProductVariations: {
        ProductVariation: {
            Id: string;
            Title: string;
            Price: number;
            ContainerPrice: number;
        }[];
    };
}>;
export declare const FPMenus: z.ZodObject<{
    Menu: z.ZodArray<z.ZodObject<{
        Id: z.ZodString;
        Title: z.ZodString;
        Description: z.ZodString;
        StartHour: z.ZodString;
        EndHour: z.ZodString;
        MenuType: z.ZodNativeEnum<{
            delivery: string;
            dine_in: string;
            pickup: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        Id: string;
        Title: string;
        Description: string;
        StartHour: string;
        EndHour: string;
        MenuType: string;
    }, {
        Id: string;
        Title: string;
        Description: string;
        StartHour: string;
        EndHour: string;
        MenuType: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    Menu: {
        Id: string;
        Title: string;
        Description: string;
        StartHour: string;
        EndHour: string;
        MenuType: string;
    }[];
}, {
    Menu: {
        Id: string;
        Title: string;
        Description: string;
        StartHour: string;
        EndHour: string;
        MenuType: string;
    }[];
}>;
declare const FPMenuProducts: z.ZodObject<{
    MenuProduct: z.ZodArray<z.ZodObject<{
        MenuId: z.ZodString;
        ProductId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        MenuId: string;
        ProductId: string;
    }, {
        MenuId: string;
        ProductId: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    MenuProduct: {
        MenuId: string;
        ProductId: string;
    }[];
}, {
    MenuProduct: {
        MenuId: string;
        ProductId: string;
    }[];
}>;
declare const FPMenuCategory: z.ZodObject<{
    Id: z.ZodString;
    Title: z.ZodString;
    Description: z.ZodString;
    Products: z.ZodObject<{
        Product: z.ZodArray<z.ZodObject<{
            Id: z.ZodString;
            Title: z.ZodString;
            Description: z.ZodString;
            Image: z.ZodString;
            ProductVariations: z.ZodObject<{
                ProductVariation: z.ZodArray<z.ZodObject<{
                    Id: z.ZodString;
                    Title: z.ZodString;
                    Price: z.ZodNumber;
                    ContainerPrice: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    Id: string;
                    Title: string;
                    Price: number;
                    ContainerPrice: number;
                }, {
                    Id: string;
                    Title: string;
                    Price: number;
                    ContainerPrice: number;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                ProductVariation: {
                    Id: string;
                    Title: string;
                    Price: number;
                    ContainerPrice: number;
                }[];
            }, {
                ProductVariation: {
                    Id: string;
                    Title: string;
                    Price: number;
                    ContainerPrice: number;
                }[];
            }>;
        }, "strip", z.ZodTypeAny, {
            Image: string;
            Id: string;
            Title: string;
            Description: string;
            ProductVariations: {
                ProductVariation: {
                    Id: string;
                    Title: string;
                    Price: number;
                    ContainerPrice: number;
                }[];
            };
        }, {
            Image: string;
            Id: string;
            Title: string;
            Description: string;
            ProductVariations: {
                ProductVariation: {
                    Id: string;
                    Title: string;
                    Price: number;
                    ContainerPrice: number;
                }[];
            };
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        Product: {
            Image: string;
            Id: string;
            Title: string;
            Description: string;
            ProductVariations: {
                ProductVariation: {
                    Id: string;
                    Title: string;
                    Price: number;
                    ContainerPrice: number;
                }[];
            };
        }[];
    }, {
        Product: {
            Image: string;
            Id: string;
            Title: string;
            Description: string;
            ProductVariations: {
                ProductVariation: {
                    Id: string;
                    Title: string;
                    Price: number;
                    ContainerPrice: number;
                }[];
            };
        }[];
    }>;
}, "strip", z.ZodTypeAny, {
    Id: string;
    Title: string;
    Description: string;
    Products: {
        Product: {
            Image: string;
            Id: string;
            Title: string;
            Description: string;
            ProductVariations: {
                ProductVariation: {
                    Id: string;
                    Title: string;
                    Price: number;
                    ContainerPrice: number;
                }[];
            };
        }[];
    };
}, {
    Id: string;
    Title: string;
    Description: string;
    Products: {
        Product: {
            Image: string;
            Id: string;
            Title: string;
            Description: string;
            ProductVariations: {
                ProductVariation: {
                    Id: string;
                    Title: string;
                    Price: number;
                    ContainerPrice: number;
                }[];
            };
        }[];
    };
}>;
declare const FPMenuCategories: z.ZodObject<{
    MenuCategory: z.ZodArray<z.ZodObject<{
        Id: z.ZodString;
        Title: z.ZodString;
        Description: z.ZodString;
        Products: z.ZodObject<{
            Product: z.ZodArray<z.ZodObject<{
                Id: z.ZodString;
                Title: z.ZodString;
                Description: z.ZodString;
                Image: z.ZodString;
                ProductVariations: z.ZodObject<{
                    ProductVariation: z.ZodArray<z.ZodObject<{
                        Id: z.ZodString;
                        Title: z.ZodString;
                        Price: z.ZodNumber;
                        ContainerPrice: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        Id: string;
                        Title: string;
                        Price: number;
                        ContainerPrice: number;
                    }, {
                        Id: string;
                        Title: string;
                        Price: number;
                        ContainerPrice: number;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    ProductVariation: {
                        Id: string;
                        Title: string;
                        Price: number;
                        ContainerPrice: number;
                    }[];
                }, {
                    ProductVariation: {
                        Id: string;
                        Title: string;
                        Price: number;
                        ContainerPrice: number;
                    }[];
                }>;
            }, "strip", z.ZodTypeAny, {
                Image: string;
                Id: string;
                Title: string;
                Description: string;
                ProductVariations: {
                    ProductVariation: {
                        Id: string;
                        Title: string;
                        Price: number;
                        ContainerPrice: number;
                    }[];
                };
            }, {
                Image: string;
                Id: string;
                Title: string;
                Description: string;
                ProductVariations: {
                    ProductVariation: {
                        Id: string;
                        Title: string;
                        Price: number;
                        ContainerPrice: number;
                    }[];
                };
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            Product: {
                Image: string;
                Id: string;
                Title: string;
                Description: string;
                ProductVariations: {
                    ProductVariation: {
                        Id: string;
                        Title: string;
                        Price: number;
                        ContainerPrice: number;
                    }[];
                };
            }[];
        }, {
            Product: {
                Image: string;
                Id: string;
                Title: string;
                Description: string;
                ProductVariations: {
                    ProductVariation: {
                        Id: string;
                        Title: string;
                        Price: number;
                        ContainerPrice: number;
                    }[];
                };
            }[];
        }>;
    }, "strip", z.ZodTypeAny, {
        Id: string;
        Title: string;
        Description: string;
        Products: {
            Product: {
                Image: string;
                Id: string;
                Title: string;
                Description: string;
                ProductVariations: {
                    ProductVariation: {
                        Id: string;
                        Title: string;
                        Price: number;
                        ContainerPrice: number;
                    }[];
                };
            }[];
        };
    }, {
        Id: string;
        Title: string;
        Description: string;
        Products: {
            Product: {
                Image: string;
                Id: string;
                Title: string;
                Description: string;
                ProductVariations: {
                    ProductVariation: {
                        Id: string;
                        Title: string;
                        Price: number;
                        ContainerPrice: number;
                    }[];
                };
            }[];
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    MenuCategory: {
        Id: string;
        Title: string;
        Description: string;
        Products: {
            Product: {
                Image: string;
                Id: string;
                Title: string;
                Description: string;
                ProductVariations: {
                    ProductVariation: {
                        Id: string;
                        Title: string;
                        Price: number;
                        ContainerPrice: number;
                    }[];
                };
            }[];
        };
    }[];
}, {
    MenuCategory: {
        Id: string;
        Title: string;
        Description: string;
        Products: {
            Product: {
                Image: string;
                Id: string;
                Title: string;
                Description: string;
                ProductVariations: {
                    ProductVariation: {
                        Id: string;
                        Title: string;
                        Price: number;
                        ContainerPrice: number;
                    }[];
                };
            }[];
        };
    }[];
}>;
declare const FPToppingTemplates: z.ZodObject<{
    ToppingTemplate: z.ZodArray<z.ZodObject<{
        Id: z.ZodString;
        Title: z.ZodString;
        IsHalfHalf: z.ZodNumber;
        QuantityMin: z.ZodNumber;
        QuantityMax: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        Id: string;
        Title: string;
        IsHalfHalf: number;
        QuantityMin: number;
        QuantityMax: number;
    }, {
        Id: string;
        Title: string;
        IsHalfHalf: number;
        QuantityMin: number;
        QuantityMax: number;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    ToppingTemplate: {
        Id: string;
        Title: string;
        IsHalfHalf: number;
        QuantityMin: number;
        QuantityMax: number;
    }[];
}, {
    ToppingTemplate: {
        Id: string;
        Title: string;
        IsHalfHalf: number;
        QuantityMin: number;
        QuantityMax: number;
    }[];
}>;
declare const FPToppingTemplateProduct: z.ZodObject<{
    ToppingTemplateId: z.ZodString;
    ProductId: z.ZodString;
    Price: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    Price: number;
    ProductId: string;
    ToppingTemplateId: string;
}, {
    Price: number;
    ProductId: string;
    ToppingTemplateId: string;
}>;
declare const FPToppingTemplateProducts: z.ZodObject<{
    ToppingTemplateProduct: z.ZodArray<z.ZodObject<{
        ToppingTemplateId: z.ZodString;
        ProductId: z.ZodString;
        Price: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        Price: number;
        ProductId: string;
        ToppingTemplateId: string;
    }, {
        Price: number;
        ProductId: string;
        ToppingTemplateId: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    ToppingTemplateProduct: {
        Price: number;
        ProductId: string;
        ToppingTemplateId: string;
    }[];
}, {
    ToppingTemplateProduct: {
        Price: number;
        ProductId: string;
        ToppingTemplateId: string;
    }[];
}>;
declare const FPProductVariationToppingTemplate: z.ZodObject<{
    ProductVariationId: z.ZodString;
    ToppingTemplateId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    ToppingTemplateId: string;
    ProductVariationId: string;
}, {
    ToppingTemplateId: string;
    ProductVariationId: string;
}>;
declare const FPProductVariationToppingTemplates: z.ZodObject<{
    ProductVariationToppingTemplate: z.ZodArray<z.ZodObject<{
        ProductVariationId: z.ZodString;
        ToppingTemplateId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        ToppingTemplateId: string;
        ProductVariationId: string;
    }, {
        ToppingTemplateId: string;
        ProductVariationId: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    ProductVariationToppingTemplate: {
        ToppingTemplateId: string;
        ProductVariationId: string;
    }[];
}, {
    ProductVariationToppingTemplate: {
        ToppingTemplateId: string;
        ProductVariationId: string;
    }[];
}>;
declare const FPOrderDetailRes: z.ZodObject<z.extendShape<{
    token: z.ZodString;
    code: z.ZodString;
    comments: z.ZodObject<{
        customerComment: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        vendorComment: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        customerComment?: string | null | undefined;
        vendorComment: string;
    }, {
        customerComment?: string | null | undefined;
        vendorComment: string;
    }>;
    createdAt: z.ZodString;
    customer: z.ZodObject<{
        email: z.ZodString;
        firstName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        mobilePhone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        code: z.ZodString;
        id: z.ZodString;
        mobilePhoneCountryCode: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        firstName?: string | null | undefined;
        lastName?: string | null | undefined;
        mobilePhone?: string | null | undefined;
        code: string;
        id: string;
        email: string;
        mobilePhoneCountryCode: string;
    }, {
        firstName?: string | null | undefined;
        lastName?: string | null | undefined;
        mobilePhone?: string | null | undefined;
        code: string;
        id: string;
        email: string;
        mobilePhoneCountryCode: string;
    }>;
    delivery: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        address: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            building: z.ZodString;
            city: z.ZodString;
            company: z.ZodString;
            deliveryArea: z.ZodString;
            deliveryInstructions: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            deliveryMainArea: z.ZodString;
            entrance: z.ZodString;
            flatNumber: z.ZodString;
            floor: z.ZodString;
            intercom: z.ZodString;
            latitude: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            longitude: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            number: z.ZodString;
            postcode: z.ZodString;
            street: z.ZodString;
            deliveryAreaPostcode: z.ZodString;
            line1: z.ZodString;
            line2: z.ZodString;
            line3: z.ZodString;
            line4: z.ZodString;
            line5: z.ZodString;
            other: z.ZodString;
            room: z.ZodString;
            structure: z.ZodString;
            district: z.ZodString;
            deliveryMainAreaPostcode: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            latitude?: number | null | undefined;
            longitude?: number | null | undefined;
            deliveryInstructions?: string | null | undefined;
            number: string;
            street: string;
            building: string;
            district: string;
            city: string;
            line1: string;
            line2: string;
            postcode: string;
            company: string;
            deliveryArea: string;
            deliveryMainArea: string;
            entrance: string;
            flatNumber: string;
            floor: string;
            intercom: string;
            deliveryAreaPostcode: string;
            line3: string;
            line4: string;
            line5: string;
            other: string;
            room: string;
            structure: string;
            deliveryMainAreaPostcode: string;
        }, {
            latitude?: number | null | undefined;
            longitude?: number | null | undefined;
            deliveryInstructions?: string | null | undefined;
            number: string;
            street: string;
            building: string;
            district: string;
            city: string;
            line1: string;
            line2: string;
            postcode: string;
            company: string;
            deliveryArea: string;
            deliveryMainArea: string;
            entrance: string;
            flatNumber: string;
            floor: string;
            intercom: string;
            deliveryAreaPostcode: string;
            line3: string;
            line4: string;
            line5: string;
            other: string;
            room: string;
            structure: string;
            deliveryMainAreaPostcode: string;
        }>>>;
        expectedDeliveryTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        expressDelivery: z.ZodBoolean;
        riderPickupTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        address?: {
            latitude?: number | null | undefined;
            longitude?: number | null | undefined;
            deliveryInstructions?: string | null | undefined;
            number: string;
            street: string;
            building: string;
            district: string;
            city: string;
            line1: string;
            line2: string;
            postcode: string;
            company: string;
            deliveryArea: string;
            deliveryMainArea: string;
            entrance: string;
            flatNumber: string;
            floor: string;
            intercom: string;
            deliveryAreaPostcode: string;
            line3: string;
            line4: string;
            line5: string;
            other: string;
            room: string;
            structure: string;
            deliveryMainAreaPostcode: string;
        } | null | undefined;
        expectedDeliveryTime?: string | null | undefined;
        riderPickupTime?: string | null | undefined;
        expressDelivery: boolean;
    }, {
        address?: {
            latitude?: number | null | undefined;
            longitude?: number | null | undefined;
            deliveryInstructions?: string | null | undefined;
            number: string;
            street: string;
            building: string;
            district: string;
            city: string;
            line1: string;
            line2: string;
            postcode: string;
            company: string;
            deliveryArea: string;
            deliveryMainArea: string;
            entrance: string;
            flatNumber: string;
            floor: string;
            intercom: string;
            deliveryAreaPostcode: string;
            line3: string;
            line4: string;
            line5: string;
            other: string;
            room: string;
            structure: string;
            deliveryMainAreaPostcode: string;
        } | null | undefined;
        expectedDeliveryTime?: string | null | undefined;
        riderPickupTime?: string | null | undefined;
        expressDelivery: boolean;
    }>>>;
    discounts: z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        amount: z.ZodString;
        type: z.ZodString;
        sponsorships: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            sponsor: z.ZodEnum<["PLATFORM", "VENDOR", "THIRD_PARTY"]>;
            amount: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            amount: string;
            sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
        }, {
            amount: string;
            sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
        }>, "many">>>;
    }, "strip", z.ZodTypeAny, {
        sponsorships?: {
            amount: string;
            sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
        }[] | null | undefined;
        name: string;
        type: string;
        amount: string;
    }, {
        sponsorships?: {
            amount: string;
            sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
        }[] | null | undefined;
        name: string;
        type: string;
        amount: string;
    }>, "many">;
    expeditionType: z.ZodEnum<["pickup", "delivery"]>;
    expiryDate: z.ZodString;
    extraParameters: z.ZodNullable<z.ZodOptional<z.ZodUnknown>>;
    localInfo: z.ZodObject<{
        countryCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        currencySymbol: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        platform: z.ZodString;
        platformKey: z.ZodString;
        currencySymbolPosition: z.ZodString;
        currencySymbolSpaces: z.ZodString;
        decimalDigits: z.ZodString;
        decimalSeparator: z.ZodString;
        email: z.ZodString;
        phone: z.ZodString;
        thousandsSeparator: z.ZodString;
        website: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        countryCode?: string | null | undefined;
        currencySymbol?: string | null | undefined;
        email: string;
        phone: string;
        platform: string;
        platformKey: string;
        currencySymbolPosition: string;
        currencySymbolSpaces: string;
        decimalDigits: string;
        decimalSeparator: string;
        thousandsSeparator: string;
        website: string;
    }, {
        countryCode?: string | null | undefined;
        currencySymbol?: string | null | undefined;
        email: string;
        phone: string;
        platform: string;
        platformKey: string;
        currencySymbolPosition: string;
        currencySymbolSpaces: string;
        decimalDigits: string;
        decimalSeparator: string;
        thousandsSeparator: string;
        website: string;
    }>;
    payment: z.ZodObject<{
        status: z.ZodEnum<["pending", "paid"]>;
        type: z.ZodString;
        remoteCode: z.ZodString;
        requiredMoneyChange: z.ZodString;
        vatId: z.ZodString;
        vatName: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: string;
        status: "paid" | "pending";
        remoteCode: string;
        requiredMoneyChange: string;
        vatId: string;
        vatName: string;
    }, {
        type: string;
        status: "paid" | "pending";
        remoteCode: string;
        requiredMoneyChange: string;
        vatId: string;
        vatName: string;
    }>;
    test: z.ZodBoolean;
    shortCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    preOrder: z.ZodBoolean;
    pickup: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        pickupTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        pickupAddress: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        pickupCity: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        pickupTime?: string | null | undefined;
        pickupAddress?: string | null | undefined;
        pickupCity?: string | null | undefined;
    }, {
        pickupTime?: string | null | undefined;
        pickupAddress?: string | null | undefined;
        pickupCity?: string | null | undefined;
    }>>>;
    platformRestaurant: z.ZodObject<{
        id: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
    }, {
        id: string;
    }>;
    price: z.ZodObject<{
        deliveryFees: z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            value: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            name: string;
            value: number;
        }, {
            name: string;
            value: number;
        }>, "many">;
        grandTotal: z.ZodString;
        minimumDeliveryValue: z.ZodString;
        payRestaurant: z.ZodString;
        riderTip: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        subTotal: z.ZodString;
        vatTotal: z.ZodString;
        comission: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        containerCharge: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        deliveryFee: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        collectFromCustomer: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        discountAmountTotal: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        deliveryFeeDiscount: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        serviceFeePercent: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        serviceFeeTotal: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        serviceTax: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        serviceTaxValue: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        differenceToMinimumDeliveryValue: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        vatVisible: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        vatPercent: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        deliveryFee?: string | null | undefined;
        riderTip?: string | null | undefined;
        comission?: string | null | undefined;
        containerCharge?: string | null | undefined;
        collectFromCustomer?: string | null | undefined;
        discountAmountTotal?: string | null | undefined;
        deliveryFeeDiscount?: string | null | undefined;
        serviceFeePercent?: string | null | undefined;
        serviceFeeTotal?: string | null | undefined;
        serviceTax?: number | null | undefined;
        serviceTaxValue?: number | null | undefined;
        differenceToMinimumDeliveryValue?: string | null | undefined;
        vatVisible?: boolean | null | undefined;
        vatPercent?: string | null | undefined;
        subTotal: string;
        deliveryFees: {
            name: string;
            value: number;
        }[];
        grandTotal: string;
        minimumDeliveryValue: string;
        payRestaurant: string;
        vatTotal: string;
    }, {
        deliveryFee?: string | null | undefined;
        riderTip?: string | null | undefined;
        comission?: string | null | undefined;
        containerCharge?: string | null | undefined;
        collectFromCustomer?: string | null | undefined;
        discountAmountTotal?: string | null | undefined;
        deliveryFeeDiscount?: string | null | undefined;
        serviceFeePercent?: string | null | undefined;
        serviceFeeTotal?: string | null | undefined;
        serviceTax?: number | null | undefined;
        serviceTaxValue?: number | null | undefined;
        differenceToMinimumDeliveryValue?: string | null | undefined;
        vatVisible?: boolean | null | undefined;
        vatPercent?: string | null | undefined;
        subTotal: string;
        deliveryFees: {
            name: string;
            value: number;
        }[];
        grandTotal: string;
        minimumDeliveryValue: string;
        payRestaurant: string;
        vatTotal: string;
    }>;
    products: z.ZodArray<z.ZodObject<{
        categoryName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        paidPrice: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        quantity: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        remoteCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        selectedToppings: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodType<FPSelectedTopping, z.ZodTypeDef, FPSelectedTopping>, "many">>>;
        unitPrice: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        comment: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        discountAmount: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        halfHalf: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        selectedChoices: z.ZodArray<z.ZodString, "many">;
        variation: z.ZodObject<{
            name: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            name: string;
        }, {
            name: string;
        }>;
        vatPercentage: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        name?: string | null | undefined;
        id?: string | null | undefined;
        description?: string | null | undefined;
        quantity?: string | null | undefined;
        categoryName?: string | null | undefined;
        remoteCode?: string | null | undefined;
        paidPrice?: string | null | undefined;
        selectedToppings?: FPSelectedTopping[] | null | undefined;
        unitPrice?: string | null | undefined;
        comment?: string | null | undefined;
        discountAmount?: string | null | undefined;
        halfHalf?: boolean | null | undefined;
        vatPercentage?: string | null | undefined;
        selectedChoices: string[];
        variation: {
            name: string;
        };
    }, {
        name?: string | null | undefined;
        id?: string | null | undefined;
        description?: string | null | undefined;
        quantity?: string | null | undefined;
        categoryName?: string | null | undefined;
        remoteCode?: string | null | undefined;
        paidPrice?: string | null | undefined;
        selectedToppings?: FPSelectedTopping[] | null | undefined;
        unitPrice?: string | null | undefined;
        comment?: string | null | undefined;
        discountAmount?: string | null | undefined;
        halfHalf?: boolean | null | undefined;
        vatPercentage?: string | null | undefined;
        selectedChoices: string[];
        variation: {
            name: string;
        };
    }>, "many">;
    corporateTaxId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    corporateOrder: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    integrationInfo: z.ZodNullable<z.ZodOptional<z.ZodUnknown>>;
    mobileOrder: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    webOrder: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    vouchers: z.ZodArray<z.ZodString, "many">;
    callbackUrls: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        orderAcceptedUrl: z.ZodString;
        orderRejectedUrl: z.ZodString;
        orderPreparedUrl: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        orderAcceptedUrl: string;
        orderRejectedUrl: string;
        orderPreparedUrl: string;
    }, {
        orderAcceptedUrl: string;
        orderRejectedUrl: string;
        orderPreparedUrl: string;
    }>>>;
}, {
    status: z.ZodEnum<["pending", "accepted", "cancelled"]>;
    reason: z.ZodNullable<z.ZodOptional<z.ZodAny>>;
}>, "strip", z.ZodTypeAny, {
    pickup?: {
        pickupTime?: string | null | undefined;
        pickupAddress?: string | null | undefined;
        pickupCity?: string | null | undefined;
    } | null | undefined;
    reason?: any;
    delivery?: {
        address?: {
            latitude?: number | null | undefined;
            longitude?: number | null | undefined;
            deliveryInstructions?: string | null | undefined;
            number: string;
            street: string;
            building: string;
            district: string;
            city: string;
            line1: string;
            line2: string;
            postcode: string;
            company: string;
            deliveryArea: string;
            deliveryMainArea: string;
            entrance: string;
            flatNumber: string;
            floor: string;
            intercom: string;
            deliveryAreaPostcode: string;
            line3: string;
            line4: string;
            line5: string;
            other: string;
            room: string;
            structure: string;
            deliveryMainAreaPostcode: string;
        } | null | undefined;
        expectedDeliveryTime?: string | null | undefined;
        riderPickupTime?: string | null | undefined;
        expressDelivery: boolean;
    } | null | undefined;
    shortCode?: string | null | undefined;
    integrationInfo?: unknown;
    extraParameters?: unknown;
    corporateTaxId?: string | null | undefined;
    corporateOrder?: boolean | null | undefined;
    mobileOrder?: boolean | null | undefined;
    webOrder?: boolean | null | undefined;
    callbackUrls?: {
        orderAcceptedUrl: string;
        orderRejectedUrl: string;
        orderPreparedUrl: string;
    } | null | undefined;
    code: string;
    status: "cancelled" | "pending" | "accepted";
    price: {
        deliveryFee?: string | null | undefined;
        riderTip?: string | null | undefined;
        comission?: string | null | undefined;
        containerCharge?: string | null | undefined;
        collectFromCustomer?: string | null | undefined;
        discountAmountTotal?: string | null | undefined;
        deliveryFeeDiscount?: string | null | undefined;
        serviceFeePercent?: string | null | undefined;
        serviceFeeTotal?: string | null | undefined;
        serviceTax?: number | null | undefined;
        serviceTaxValue?: number | null | undefined;
        differenceToMinimumDeliveryValue?: string | null | undefined;
        vatVisible?: boolean | null | undefined;
        vatPercent?: string | null | undefined;
        subTotal: string;
        deliveryFees: {
            name: string;
            value: number;
        }[];
        grandTotal: string;
        minimumDeliveryValue: string;
        payRestaurant: string;
        vatTotal: string;
    };
    products: {
        name?: string | null | undefined;
        id?: string | null | undefined;
        description?: string | null | undefined;
        quantity?: string | null | undefined;
        categoryName?: string | null | undefined;
        remoteCode?: string | null | undefined;
        paidPrice?: string | null | undefined;
        selectedToppings?: FPSelectedTopping[] | null | undefined;
        unitPrice?: string | null | undefined;
        comment?: string | null | undefined;
        discountAmount?: string | null | undefined;
        halfHalf?: boolean | null | undefined;
        vatPercentage?: string | null | undefined;
        selectedChoices: string[];
        variation: {
            name: string;
        };
    }[];
    createdAt: string;
    customer: {
        firstName?: string | null | undefined;
        lastName?: string | null | undefined;
        mobilePhone?: string | null | undefined;
        code: string;
        id: string;
        email: string;
        mobilePhoneCountryCode: string;
    };
    payment: {
        type: string;
        status: "paid" | "pending";
        remoteCode: string;
        requiredMoneyChange: string;
        vatId: string;
        vatName: string;
    };
    vouchers: string[];
    discounts: {
        sponsorships?: {
            amount: string;
            sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
        }[] | null | undefined;
        name: string;
        type: string;
        amount: string;
    }[];
    token: string;
    comments: {
        customerComment?: string | null | undefined;
        vendorComment: string;
    };
    expeditionType: "pickup" | "delivery";
    expiryDate: string;
    localInfo: {
        countryCode?: string | null | undefined;
        currencySymbol?: string | null | undefined;
        email: string;
        phone: string;
        platform: string;
        platformKey: string;
        currencySymbolPosition: string;
        currencySymbolSpaces: string;
        decimalDigits: string;
        decimalSeparator: string;
        thousandsSeparator: string;
        website: string;
    };
    test: boolean;
    preOrder: boolean;
    platformRestaurant: {
        id: string;
    };
}, {
    pickup?: {
        pickupTime?: string | null | undefined;
        pickupAddress?: string | null | undefined;
        pickupCity?: string | null | undefined;
    } | null | undefined;
    reason?: any;
    delivery?: {
        address?: {
            latitude?: number | null | undefined;
            longitude?: number | null | undefined;
            deliveryInstructions?: string | null | undefined;
            number: string;
            street: string;
            building: string;
            district: string;
            city: string;
            line1: string;
            line2: string;
            postcode: string;
            company: string;
            deliveryArea: string;
            deliveryMainArea: string;
            entrance: string;
            flatNumber: string;
            floor: string;
            intercom: string;
            deliveryAreaPostcode: string;
            line3: string;
            line4: string;
            line5: string;
            other: string;
            room: string;
            structure: string;
            deliveryMainAreaPostcode: string;
        } | null | undefined;
        expectedDeliveryTime?: string | null | undefined;
        riderPickupTime?: string | null | undefined;
        expressDelivery: boolean;
    } | null | undefined;
    shortCode?: string | null | undefined;
    integrationInfo?: unknown;
    extraParameters?: unknown;
    corporateTaxId?: string | null | undefined;
    corporateOrder?: boolean | null | undefined;
    mobileOrder?: boolean | null | undefined;
    webOrder?: boolean | null | undefined;
    callbackUrls?: {
        orderAcceptedUrl: string;
        orderRejectedUrl: string;
        orderPreparedUrl: string;
    } | null | undefined;
    code: string;
    status: "cancelled" | "pending" | "accepted";
    price: {
        deliveryFee?: string | null | undefined;
        riderTip?: string | null | undefined;
        comission?: string | null | undefined;
        containerCharge?: string | null | undefined;
        collectFromCustomer?: string | null | undefined;
        discountAmountTotal?: string | null | undefined;
        deliveryFeeDiscount?: string | null | undefined;
        serviceFeePercent?: string | null | undefined;
        serviceFeeTotal?: string | null | undefined;
        serviceTax?: number | null | undefined;
        serviceTaxValue?: number | null | undefined;
        differenceToMinimumDeliveryValue?: string | null | undefined;
        vatVisible?: boolean | null | undefined;
        vatPercent?: string | null | undefined;
        subTotal: string;
        deliveryFees: {
            name: string;
            value: number;
        }[];
        grandTotal: string;
        minimumDeliveryValue: string;
        payRestaurant: string;
        vatTotal: string;
    };
    products: {
        name?: string | null | undefined;
        id?: string | null | undefined;
        description?: string | null | undefined;
        quantity?: string | null | undefined;
        categoryName?: string | null | undefined;
        remoteCode?: string | null | undefined;
        paidPrice?: string | null | undefined;
        selectedToppings?: FPSelectedTopping[] | null | undefined;
        unitPrice?: string | null | undefined;
        comment?: string | null | undefined;
        discountAmount?: string | null | undefined;
        halfHalf?: boolean | null | undefined;
        vatPercentage?: string | null | undefined;
        selectedChoices: string[];
        variation: {
            name: string;
        };
    }[];
    createdAt: string;
    customer: {
        firstName?: string | null | undefined;
        lastName?: string | null | undefined;
        mobilePhone?: string | null | undefined;
        code: string;
        id: string;
        email: string;
        mobilePhoneCountryCode: string;
    };
    payment: {
        type: string;
        status: "paid" | "pending";
        remoteCode: string;
        requiredMoneyChange: string;
        vatId: string;
        vatName: string;
    };
    vouchers: string[];
    discounts: {
        sponsorships?: {
            amount: string;
            sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
        }[] | null | undefined;
        name: string;
        type: string;
        amount: string;
    }[];
    token: string;
    comments: {
        customerComment?: string | null | undefined;
        vendorComment: string;
    };
    expeditionType: "pickup" | "delivery";
    expiryDate: string;
    localInfo: {
        countryCode?: string | null | undefined;
        currencySymbol?: string | null | undefined;
        email: string;
        phone: string;
        platform: string;
        platformKey: string;
        currencySymbolPosition: string;
        currencySymbolSpaces: string;
        decimalDigits: string;
        decimalSeparator: string;
        thousandsSeparator: string;
        website: string;
    };
    test: boolean;
    preOrder: boolean;
    platformRestaurant: {
        id: string;
    };
}>;
declare const FPConfig: z.ZodObject<{
    username: z.ZodString;
    password: z.ZodString;
    grant_type: z.ZodString;
    chainCode: z.ZodString;
}, "strip", z.ZodTypeAny, {
    password: string;
    grant_type: string;
    username: string;
    chainCode: string;
}, {
    password: string;
    grant_type: string;
    username: string;
    chainCode: string;
}>;
declare const FPLoginRes: z.ZodObject<{
    access_token: z.ZodString;
    token_type: z.ZodString;
    expires_in: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    access_token: string;
    expires_in: number;
    token_type: string;
}, {
    access_token: string;
    expires_in: number;
    token_type: string;
}>;
export declare const FPPosAvailabilityRes: z.ZodObject<{
    availabilityState: z.ZodEnum<["CLOSED_UNTIL", "CLOSED", "INACTIVE", "UNKNOWN", "OPEN", "CLOSED_TODAY"]>;
    closedReason: z.ZodEnum<["TOO_BUSY_NO_DRIVERS", "TOO_BUSY_KITCHEN", "UPDATES_IN_MENU", "TECHNICAL_PROBLEM", "CLOSED", "OTHER", "CHECK_IN_REQUIRED", "ORDER_FAILURE", "TOO_MANY_REJECTED_ORDERS", "UNREACHABLE", "COURIER_DELAYED_AT_PICKUP", "RESTRICTED_VISIBILITY", "BAD_WEATHER", "HOLIDAY_SPECIAL_DAY", "ONBOARDING", "OFFBOARDING", "RETENTION", "COMPLIANCE_ISSUES", "OWNERSHIP_CHANGE", "REFURBISHMENT", "FOOD_HYGIENE", "FRAUD", "RELIGIOUS_OBSERVANCE", "CHECK_IN_FAILED", "AREA_DISRUPTION"]>;
    availabilityStates: z.ZodArray<z.ZodEnum<["CLOSED_UNTIL", "CLOSED", "INACTIVE", "UNKNOWN", "OPEN", "CLOSED_TODAY"]>, "many">;
    closingReasons: z.ZodArray<z.ZodEnum<["TOO_BUSY_NO_DRIVERS", "TOO_BUSY_KITCHEN", "UPDATES_IN_MENU", "TECHNICAL_PROBLEM", "CLOSED", "OTHER", "CHECK_IN_REQUIRED", "ORDER_FAILURE", "TOO_MANY_REJECTED_ORDERS", "UNREACHABLE", "COURIER_DELAYED_AT_PICKUP", "RESTRICTED_VISIBILITY", "BAD_WEATHER", "HOLIDAY_SPECIAL_DAY", "ONBOARDING", "OFFBOARDING", "RETENTION", "COMPLIANCE_ISSUES", "OWNERSHIP_CHANGE", "REFURBISHMENT", "FOOD_HYGIENE", "FRAUD", "RELIGIOUS_OBSERVANCE", "CHECK_IN_FAILED", "AREA_DISRUPTION"]>, "many">;
    changeable: z.ZodBoolean;
    checkinAt: z.ZodOptional<z.ZodString>;
    closedUntil: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    nextOpeningAt: z.ZodOptional<z.ZodString>;
    platformRestaurantId: z.ZodOptional<z.ZodString>;
    platformId: z.ZodOptional<z.ZodString>;
    platformType: z.ZodOptional<z.ZodBoolean>;
    platformKey: z.ZodOptional<z.ZodString>;
    closingMinutes: z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>;
}, "strip", z.ZodTypeAny, {
    platformKey?: string | undefined;
    checkinAt?: string | undefined;
    closedUntil?: string | null | undefined;
    nextOpeningAt?: string | undefined;
    platformRestaurantId?: string | undefined;
    platformId?: string | undefined;
    platformType?: boolean | undefined;
    closingMinutes?: number[] | undefined;
    availabilityState: "UNKNOWN" | "CLOSED" | "INACTIVE" | "CLOSED_UNTIL" | "OPEN" | "CLOSED_TODAY";
    closedReason: "OTHER" | "BAD_WEATHER" | "CLOSED" | "TECHNICAL_PROBLEM" | "UNREACHABLE" | "TOO_BUSY_NO_DRIVERS" | "TOO_BUSY_KITCHEN" | "UPDATES_IN_MENU" | "CHECK_IN_REQUIRED" | "ORDER_FAILURE" | "TOO_MANY_REJECTED_ORDERS" | "COURIER_DELAYED_AT_PICKUP" | "RESTRICTED_VISIBILITY" | "HOLIDAY_SPECIAL_DAY" | "ONBOARDING" | "OFFBOARDING" | "RETENTION" | "COMPLIANCE_ISSUES" | "OWNERSHIP_CHANGE" | "REFURBISHMENT" | "FOOD_HYGIENE" | "FRAUD" | "RELIGIOUS_OBSERVANCE" | "CHECK_IN_FAILED" | "AREA_DISRUPTION";
    availabilityStates: ("UNKNOWN" | "CLOSED" | "INACTIVE" | "CLOSED_UNTIL" | "OPEN" | "CLOSED_TODAY")[];
    closingReasons: ("OTHER" | "BAD_WEATHER" | "CLOSED" | "TECHNICAL_PROBLEM" | "UNREACHABLE" | "TOO_BUSY_NO_DRIVERS" | "TOO_BUSY_KITCHEN" | "UPDATES_IN_MENU" | "CHECK_IN_REQUIRED" | "ORDER_FAILURE" | "TOO_MANY_REJECTED_ORDERS" | "COURIER_DELAYED_AT_PICKUP" | "RESTRICTED_VISIBILITY" | "HOLIDAY_SPECIAL_DAY" | "ONBOARDING" | "OFFBOARDING" | "RETENTION" | "COMPLIANCE_ISSUES" | "OWNERSHIP_CHANGE" | "REFURBISHMENT" | "FOOD_HYGIENE" | "FRAUD" | "RELIGIOUS_OBSERVANCE" | "CHECK_IN_FAILED" | "AREA_DISRUPTION")[];
    changeable: boolean;
}, {
    platformKey?: string | undefined;
    checkinAt?: string | undefined;
    closedUntil?: string | null | undefined;
    nextOpeningAt?: string | undefined;
    platformRestaurantId?: string | undefined;
    platformId?: string | undefined;
    platformType?: boolean | undefined;
    closingMinutes?: number[] | undefined;
    availabilityState: "UNKNOWN" | "CLOSED" | "INACTIVE" | "CLOSED_UNTIL" | "OPEN" | "CLOSED_TODAY";
    closedReason: "OTHER" | "BAD_WEATHER" | "CLOSED" | "TECHNICAL_PROBLEM" | "UNREACHABLE" | "TOO_BUSY_NO_DRIVERS" | "TOO_BUSY_KITCHEN" | "UPDATES_IN_MENU" | "CHECK_IN_REQUIRED" | "ORDER_FAILURE" | "TOO_MANY_REJECTED_ORDERS" | "COURIER_DELAYED_AT_PICKUP" | "RESTRICTED_VISIBILITY" | "HOLIDAY_SPECIAL_DAY" | "ONBOARDING" | "OFFBOARDING" | "RETENTION" | "COMPLIANCE_ISSUES" | "OWNERSHIP_CHANGE" | "REFURBISHMENT" | "FOOD_HYGIENE" | "FRAUD" | "RELIGIOUS_OBSERVANCE" | "CHECK_IN_FAILED" | "AREA_DISRUPTION";
    availabilityStates: ("UNKNOWN" | "CLOSED" | "INACTIVE" | "CLOSED_UNTIL" | "OPEN" | "CLOSED_TODAY")[];
    closingReasons: ("OTHER" | "BAD_WEATHER" | "CLOSED" | "TECHNICAL_PROBLEM" | "UNREACHABLE" | "TOO_BUSY_NO_DRIVERS" | "TOO_BUSY_KITCHEN" | "UPDATES_IN_MENU" | "CHECK_IN_REQUIRED" | "ORDER_FAILURE" | "TOO_MANY_REJECTED_ORDERS" | "COURIER_DELAYED_AT_PICKUP" | "RESTRICTED_VISIBILITY" | "HOLIDAY_SPECIAL_DAY" | "ONBOARDING" | "OFFBOARDING" | "RETENTION" | "COMPLIANCE_ISSUES" | "OWNERSHIP_CHANGE" | "REFURBISHMENT" | "FOOD_HYGIENE" | "FRAUD" | "RELIGIOUS_OBSERVANCE" | "CHECK_IN_FAILED" | "AREA_DISRUPTION")[];
    changeable: boolean;
}>;
declare const _FPUpdatePosAvailabilityData: z.ZodObject<{
    updateData: z.ZodDiscriminatedUnion<"availabilityState", z.Primitive, z.ZodObject<z.extendShape<{
        availabilityState: z.ZodEnum<["CLOSED_UNTIL", "CLOSED", "INACTIVE", "UNKNOWN", "OPEN", "CLOSED_TODAY"]>;
    }, {
        availabilityState: z.ZodLiteral<"OPEN">;
    }>, "strip", z.ZodTypeAny, {
        availabilityState: "OPEN";
    }, {
        availabilityState: "OPEN";
    }> | z.ZodObject<z.extendShape<{
        availabilityState: z.ZodEnum<["CLOSED_UNTIL", "CLOSED", "INACTIVE", "UNKNOWN", "OPEN", "CLOSED_TODAY"]>;
    }, {
        availabilityState: z.ZodLiteral<"CLOSED">;
        closedReason: z.ZodString;
        closingMinutes: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    }>, "strip", z.ZodTypeAny, {
        closingMinutes?: number | null | undefined;
        availabilityState: "CLOSED";
        closedReason: string;
    }, {
        closingMinutes?: number | null | undefined;
        availabilityState: "CLOSED";
        closedReason: string;
    }>>;
}, "strip", z.ZodTypeAny, {
    updateData: {
        availabilityState: "OPEN";
    } | {
        closingMinutes?: number | null | undefined;
        availabilityState: "CLOSED";
        closedReason: string;
    };
}, {
    updateData: {
        availabilityState: "OPEN";
    } | {
        closingMinutes?: number | null | undefined;
        availabilityState: "CLOSED";
        closedReason: string;
    };
}>;
declare const FPGetOrderListRes: z.ZodObject<{
    orders: z.ZodArray<z.ZodString, "many">;
    count: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    orders: string[];
    count: number;
}, {
    orders: string[];
    count: number;
}>;
declare const FPOrderQueryParams: z.ZodObject<{
    status: z.ZodEnum<["cancelled", "accepted"]>;
    vendorId: z.ZodString;
    pastNumberOfHours: z.ZodString;
}, "strip", z.ZodTypeAny, {
    status: "cancelled" | "accepted";
    vendorId: string;
    pastNumberOfHours: string;
}, {
    status: "cancelled" | "accepted";
    vendorId: string;
    pastNumberOfHours: string;
}>;
export type _FPUpdatePosAvailabilityData = z.infer<typeof _FPUpdatePosAvailabilityData>;
export type FPOrderQueryParams = z.infer<typeof FPOrderQueryParams>;
export type FPGetOrderListRes = z.infer<typeof FPGetOrderListRes>;
export type FPPosAvailabilityRes = z.infer<typeof FPPosAvailabilityRes>;
export type FPLoginRes = z.infer<typeof FPLoginRes>;
export type FPConfig = z.infer<typeof FPConfig>;
export type FPOrderDetailRes = z.infer<typeof FPOrderDetailRes>;
export type FPProductVariationToppingTemplate = z.infer<typeof FPProductVariationToppingTemplate>;
export type FPToppingTemplateProduct = z.infer<typeof FPToppingTemplateProduct>;
export type FPProductVariations = z.infer<typeof FPProductVariations>;
export type FPProductItem = z.infer<typeof FPProductItem>;
export type FPProductVariation = z.infer<typeof FPProductVariation>;
export type FPProductVariationToppingTemplates = z.infer<typeof FPProductVariationToppingTemplates>;
export type FPToppingTemplateProducts = z.infer<typeof FPToppingTemplateProducts>;
export type FPCallbackUrls = z.infer<typeof FPCallbackUrls>;
export type FPToppingTemplates = z.infer<typeof FPToppingTemplates>;
export type FPMenuProducts = z.infer<typeof FPMenuProducts>;
export type FPMenuCategories = z.infer<typeof FPMenuCategories>;
export type FPMenuCategory = z.infer<typeof FPMenuCategory>;
export type FPMenus = z.infer<typeof FPMenus>;
export type FPStatus = z.infer<typeof FPStatus>;
export type FPComments = z.infer<typeof FPComments>;
export type FPCustomer = z.infer<typeof FPCustomer>;
export type FPAddress = z.infer<typeof FPAddress>;
export type FPDelivery = z.infer<typeof FPDelivery>;
export type FPDiscount = z.infer<typeof FPDiscount>;
export type FPLocalInfo = z.infer<typeof FPLocalInfo>;
export type FPPayment = z.infer<typeof FPPayment>;
export type FPPickup = z.infer<typeof FPPickup>;
export type FPPlatformRestaurant = z.infer<typeof FPPlatformRestaurant>;
export type FPDeliveryFee = z.infer<typeof FPDeliveryFee>;
export type FPPrice = z.infer<typeof FPPrice>;
export type FPVariation = z.infer<typeof FPVariation>;
export type FPProduct = z.infer<typeof FPProduct>;
export type FPOrder = z.infer<typeof FPOrder>;
export type FdoFoodpandaOrder = z.infer<typeof FdoFoodpandaOrder>;
export {};
