import { z } from 'zod';
export declare const FdoFoodpandaDiscountCampaign: z.ZodObject<{
    name: z.ZodString;
    vendorBearPercentage: z.ZodNumber;
    date: z.ZodObject<{
        start: z.ZodString;
        end: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        start: string;
        end: string;
    }, {
        start: string;
        end: string;
    }>;
}, "strip", z.ZodTypeAny, {
    name: string;
    date: {
        start: string;
        end: string;
    };
    vendorBearPercentage: number;
}, {
    name: string;
    date: {
        start: string;
        end: string;
    };
    vendorBearPercentage: number;
}>;
export declare const FdoFoodpandaReportCalculationConfig: z.ZodObject<{
    commissionRate: z.ZodNumber;
    discountCampaigns: z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        vendorBearPercentage: z.ZodNumber;
        date: z.ZodObject<{
            start: z.ZodString;
            end: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            start: string;
            end: string;
        }, {
            start: string;
            end: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        date: {
            start: string;
            end: string;
        };
        vendorBearPercentage: number;
    }, {
        name: string;
        date: {
            start: string;
            end: string;
        };
        vendorBearPercentage: number;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    commissionRate: number;
    discountCampaigns: {
        name: string;
        date: {
            start: string;
            end: string;
        };
        vendorBearPercentage: number;
    }[];
}, {
    commissionRate: number;
    discountCampaigns: {
        name: string;
        date: {
            start: string;
            end: string;
        };
        vendorBearPercentage: number;
    }[];
}>;
export declare const FdoFoodpandaSettings: z.ZodObject<z.extendShape<{
    enable: z.ZodBoolean;
}, {
    _id: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
    remoteId: z.ZodString;
    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    lastSynchronize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    commissionRate: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    autoCloseBill: z.ZodBoolean;
    showProductAddon: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    printReceiptAfterClose: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    reportConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        commissionRate: z.ZodNumber;
        discountCampaigns: z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            vendorBearPercentage: z.ZodNumber;
            date: z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                start: string;
                end: string;
            }, {
                start: string;
                end: string;
            }>;
        }, "strip", z.ZodTypeAny, {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }, {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        commissionRate: number;
        discountCampaigns: {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }[];
    }, {
        commissionRate: number;
        discountCampaigns: {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }[];
    }>>>;
    hasSst: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    ignoreDiscount: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    status: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    updatedAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    menuSyncError: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    sstInclusive: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
}>, "strip", z.ZodTypeAny, {
    status?: string | null | undefined;
    _id?: string | undefined;
    catalogId?: string | null | undefined;
    autoAccept?: boolean | null | undefined;
    printReceiptAfterClose?: boolean | null | undefined;
    commissionRate?: number | null | undefined;
    lastSynchronize?: string | null | undefined;
    showProductAddon?: boolean | null | undefined;
    reportConfig?: {
        commissionRate: number;
        discountCampaigns: {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }[];
    } | null | undefined;
    hasSst?: boolean | null | undefined;
    ignoreDiscount?: boolean | null | undefined;
    updatedAt?: string | null | undefined;
    menuSyncError?: string | null | undefined;
    sstInclusive?: boolean | null | undefined;
    enable: boolean;
    autoCloseBill: boolean;
    remoteId: string;
}, {
    status?: string | null | undefined;
    _id?: string | undefined;
    catalogId?: string | null | undefined;
    autoAccept?: boolean | null | undefined;
    printReceiptAfterClose?: boolean | null | undefined;
    commissionRate?: number | null | undefined;
    lastSynchronize?: string | null | undefined;
    showProductAddon?: boolean | null | undefined;
    reportConfig?: {
        commissionRate: number;
        discountCampaigns: {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }[];
    } | null | undefined;
    hasSst?: boolean | null | undefined;
    ignoreDiscount?: boolean | null | undefined;
    updatedAt?: string | null | undefined;
    menuSyncError?: string | null | undefined;
    sstInclusive?: boolean | null | undefined;
    enable: boolean;
    autoCloseBill: boolean;
    remoteId: string;
}>;
export type FdoFoodpandaDiscountCampaign = z.infer<typeof FdoFoodpandaDiscountCampaign>;
export type FdoFoodpandaReportCalculationConfig = z.infer<typeof FdoFoodpandaReportCalculationConfig>;
export type FdoFoodpandaSettings = z.infer<typeof FdoFoodpandaSettings>;
