import { z } from 'zod';
export declare const FPdtoCreateOrUpdateSetting: z.ZodObject<{
    _id: z.ZodOptional<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
    catalogId: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
    enable: z.ZodOptional<z.ZodBoolean>;
    autoCloseBill: z.ZodOptional<z.ZodBoolean>;
    printReceiptAfterClose: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodBoolean>>>;
    commissionRate: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodNumber>>>;
    remoteId: z.ZodOptional<z.ZodString>;
    lastSynchronize: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
    showProductAddon: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodBoolean>>>;
    menuSyncError: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
    partnerMerchantID: z.ZodOptional<z.ZodString>;
    reportConfig: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodObject<{
        commissionRate: z.ZodNumber;
        discountCampaigns: z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            vendorBearPercentage: z.ZodNumber;
            date: z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                start: string;
                end: string;
            }, {
                start: string;
                end: string;
            }>;
        }, "strip", z.ZodTypeAny, {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }, {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        commissionRate: number;
        discountCampaigns: {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }[];
    }, {
        commissionRate: number;
        discountCampaigns: {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }[];
    }>>>>;
    ignoreDiscount: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodBoolean>>>;
    status: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
    updatedAt: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
    sstInclusive: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodBoolean>>>;
}, "strip", z.ZodTypeAny, {
    status?: string | null | undefined;
    _id?: string | undefined;
    catalogId?: string | null | undefined;
    enable?: boolean | undefined;
    autoCloseBill?: boolean | undefined;
    printReceiptAfterClose?: boolean | null | undefined;
    commissionRate?: number | null | undefined;
    remoteId?: string | undefined;
    lastSynchronize?: string | null | undefined;
    showProductAddon?: boolean | null | undefined;
    reportConfig?: {
        commissionRate: number;
        discountCampaigns: {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }[];
    } | null | undefined;
    ignoreDiscount?: boolean | null | undefined;
    updatedAt?: string | null | undefined;
    menuSyncError?: string | null | undefined;
    sstInclusive?: boolean | null | undefined;
    partnerMerchantID?: string | undefined;
}, {
    status?: string | null | undefined;
    _id?: string | undefined;
    catalogId?: string | null | undefined;
    enable?: boolean | undefined;
    autoCloseBill?: boolean | undefined;
    printReceiptAfterClose?: boolean | null | undefined;
    commissionRate?: number | null | undefined;
    remoteId?: string | undefined;
    lastSynchronize?: string | null | undefined;
    showProductAddon?: boolean | null | undefined;
    reportConfig?: {
        commissionRate: number;
        discountCampaigns: {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }[];
    } | null | undefined;
    ignoreDiscount?: boolean | null | undefined;
    updatedAt?: string | null | undefined;
    menuSyncError?: string | null | undefined;
    sstInclusive?: boolean | null | undefined;
    partnerMerchantID?: string | undefined;
}>;
export type FPdtoCreateOrUpdateSetting = z.infer<typeof FPdtoCreateOrUpdateSetting>;
