import { z } from 'zod';
export declare const FP_ORDER_TYPE: z.ZodEnum<["pickup", "vendorDelivery", "ownDelivery"]>;
export declare const FP_EXPEDITION_TYPE: z.ZodEnum<["pickup", "delivery"]>;
export declare const FP_VENDOR_AVAILABILITY_STATE: z.ZodEnum<["CLOSED_UNTIL", "CLOSED", "INACTIVE", "UNKNOWN", "OPEN", "CLOSED_TODAY"]>;
export declare const FP_PAYMENT_STATUS: z.ZodEnum<["pending", "paid"]>;
export declare const FP_ORDER_STATUS: z.ZodEnum<["pending", "accepted", "cancelled"]>;
export declare const FP_REJECT_ORDER_REASON: z.ZodEnum<["ADDRESS_INCOMPLETE_MISSTATED", "BAD_WEATHER", "BLACKLISTED", "CARD_READER_NOT_AVAILABLE", "CLOSED", "CONTENT_WRONG_MISLEADING", "FOOD_QUALITY_SPILLAGE", "FRAUD_PRANK", "ITEM_UNAVAILABLE", "LATE_DELIVERY", "MENU_ACCOUNT_SETTINGS", "MOV_NOT_REACHED", "NO_COURIER", "NO_PICKER", "NO_RESPONSE", "OUTSIDE_DELIVERY_AREA", "TECHNICAL_PROBLEM", "TEST_ORDER", "TOO_BUSY", "UNABLE_TO_FIND", "UNABLE_TO_PAY", "UNPROFESSIONAL_BEHAVIOUR", "WILL_NOT_WORK_WITH", "WRONG_ORDER_ITEMS_DELIVERED"]>;
export declare const FP_UPDATE_ORDER_STATUS: z.ZodEnum<["order_accepted", "order_rejected", "order_picked_up"]>;
export declare const FP_MENU_TYPE: z.ZodNativeEnum<{
    delivery: string;
    dine_in: string;
    pickup: string;
}>;
export declare const FP_VENDOR_CLOSED_REASON: z.ZodEnum<["TOO_BUSY_NO_DRIVERS", "TOO_BUSY_KITCHEN", "UPDATES_IN_MENU", "TECHNICAL_PROBLEM", "CLOSED", "OTHER", "CHECK_IN_REQUIRED", "ORDER_FAILURE", "TOO_MANY_REJECTED_ORDERS", "UNREACHABLE", "COURIER_DELAYED_AT_PICKUP", "RESTRICTED_VISIBILITY", "BAD_WEATHER", "HOLIDAY_SPECIAL_DAY", "ONBOARDING", "OFFBOARDING", "RETENTION", "COMPLIANCE_ISSUES", "OWNERSHIP_CHANGE", "REFURBISHMENT", "FOOD_HYGIENE", "FRAUD", "RELIGIOUS_OBSERVANCE", "CHECK_IN_FAILED", "AREA_DISRUPTION"]>;
export declare const FP_GET_ORDER_LIST_STATUS: z.ZodEnum<["cancelled", "accepted"]>;
export declare const FP_CATALOG_V2_TYPE: z.ZodEnum<["ScheduleEntry", "Menu", "Product", "Category", "Topping", "Image"]>;
export declare const FP_MENU_TYPE_V2: z.ZodEnum<["DELIVERY", "DINE_IN", "PICK_UP"]>;
export declare const FP_WEEKDAYS: z.ZodEnum<["MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY"]>;
export declare const FP_SPONSOR: z.ZodEnum<["PLATFORM", "VENDOR", "THIRD_PARTY"]>;
export type FP_ORDER_TYPE = z.infer<typeof FP_ORDER_TYPE>;
export type FP_EXPEDITION_TYPE = z.infer<typeof FP_EXPEDITION_TYPE>;
export type FP_VENDOR_AVAILABILITY_STATE = z.infer<typeof FP_VENDOR_AVAILABILITY_STATE>;
export type FP_PAYMENT_STATUS = z.infer<typeof FP_PAYMENT_STATUS>;
export type FP_ORDER_STATUS = z.infer<typeof FP_ORDER_STATUS>;
export type FP_REJECT_ORDER_REASON = z.infer<typeof FP_REJECT_ORDER_REASON>;
export type FP_UPDATE_ORDER_STATUS = z.infer<typeof FP_UPDATE_ORDER_STATUS>;
export type FP_MENU_TYPE = z.infer<typeof FP_MENU_TYPE>;
export type FP_VENDOR_CLOSED_REASON = z.infer<typeof FP_VENDOR_CLOSED_REASON>;
export type FP_GET_ORDER_LIST_STATUS = z.infer<typeof FP_GET_ORDER_LIST_STATUS>;
export type FP_CATALOG_V2_TYPE = z.infer<typeof FP_CATALOG_V2_TYPE>;
export type FP_MENU_TYPE_V2 = z.infer<typeof FP_MENU_TYPE_V2>;
export type FP_WEEKDAYS = z.infer<typeof FP_WEEKDAYS>;
export type FP_SPONSOR = z.infer<typeof FP_SPONSOR>;
