import { z } from 'zod';
export declare const GFMenuTimeRange: z.ZodObject<{
    startTime: z.ZodString;
    endTime: z.ZodString;
}, "strip", z.ZodTypeAny, {
    startTime: string;
    endTime: string;
}, {
    startTime: string;
    endTime: string;
}>;
declare const GFMenuServicePeriodsV2: z.ZodObject<{
    openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
    periods: z.ZodArray<z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        startTime: string;
        endTime: string;
    }, {
        startTime: string;
        endTime: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
    periods: {
        startTime: string;
        endTime: string;
    }[];
}, {
    openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
    periods: {
        startTime: string;
        endTime: string;
    }[];
}>;
declare const GFMenuServiceHoursV2: z.ZodObject<{
    mon: z.ZodObject<{
        openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
        periods: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    }, {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    }>;
    tue: z.ZodObject<{
        openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
        periods: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    }, {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    }>;
    wed: z.ZodObject<{
        openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
        periods: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    }, {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    }>;
    thu: z.ZodObject<{
        openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
        periods: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    }, {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    }>;
    fri: z.ZodObject<{
        openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
        periods: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    }, {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    }>;
    sat: z.ZodObject<{
        openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
        periods: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    }, {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    }>;
    sun: z.ZodObject<{
        openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
        periods: z.ZodArray<z.ZodObject<{
            startTime: z.ZodString;
            endTime: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            startTime: string;
            endTime: string;
        }, {
            startTime: string;
            endTime: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    }, {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    }>;
}, "strip", z.ZodTypeAny, {
    sun: {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    };
    mon: {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    };
    tue: {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    };
    wed: {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    };
    thu: {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    };
    fri: {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    };
    sat: {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    };
}, {
    sun: {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    };
    mon: {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    };
    tue: {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    };
    wed: {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    };
    thu: {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    };
    fri: {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    };
    sat: {
        openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
        periods: {
            startTime: string;
            endTime: string;
        }[];
    };
}>;
declare const GFSellingTimeV2: z.ZodObject<{
    startTime: z.ZodString;
    endTime: z.ZodString;
    id: z.ZodString;
    name: z.ZodString;
    serviceHours: z.ZodObject<{
        mon: z.ZodObject<{
            openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
            periods: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        }, {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        }>;
        tue: z.ZodObject<{
            openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
            periods: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        }, {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        }>;
        wed: z.ZodObject<{
            openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
            periods: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        }, {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        }>;
        thu: z.ZodObject<{
            openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
            periods: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        }, {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        }>;
        fri: z.ZodObject<{
            openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
            periods: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        }, {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        }>;
        sat: z.ZodObject<{
            openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
            periods: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        }, {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        }>;
        sun: z.ZodObject<{
            openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
            periods: z.ZodArray<z.ZodObject<{
                startTime: z.ZodString;
                endTime: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                startTime: string;
                endTime: string;
            }, {
                startTime: string;
                endTime: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        }, {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        }>;
    }, "strip", z.ZodTypeAny, {
        sun: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        mon: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        tue: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        wed: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        thu: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        fri: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        sat: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
    }, {
        sun: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        mon: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        tue: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        wed: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        thu: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        fri: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        sat: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
    }>;
}, "strip", z.ZodTypeAny, {
    name: string;
    id: string;
    startTime: string;
    endTime: string;
    serviceHours: {
        sun: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        mon: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        tue: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        wed: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        thu: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        fri: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        sat: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
    };
}, {
    name: string;
    id: string;
    startTime: string;
    endTime: string;
    serviceHours: {
        sun: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        mon: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        tue: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        wed: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        thu: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        fri: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
        sat: {
            openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
            periods: {
                startTime: string;
                endTime: string;
            }[];
        };
    };
}>;
export declare const GFModifierV2: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    availableStatus: z.ZodEnum<["AVAILABLE", "UNAVAILABLE"]>;
    price: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    barcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    advancedPricing: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        Delivery_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        Delivery_Scheduled_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        SelfPickUp_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        DineIn_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        Delivery_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        Delivery_Scheduled_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        SelfPickUp_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    }, "strip", z.ZodTypeAny, {
        Delivery_OnDemand_GrabApp?: number | null | undefined;
        Delivery_Scheduled_GrabApp?: number | null | undefined;
        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
        DineIn_OnDemand_GrabApp?: number | null | undefined;
        Delivery_OnDemand_StoreFront?: number | null | undefined;
        Delivery_Scheduled_StoreFront?: number | null | undefined;
        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
    }, {
        Delivery_OnDemand_GrabApp?: number | null | undefined;
        Delivery_Scheduled_GrabApp?: number | null | undefined;
        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
        DineIn_OnDemand_GrabApp?: number | null | undefined;
        Delivery_OnDemand_StoreFront?: number | null | undefined;
        Delivery_Scheduled_StoreFront?: number | null | undefined;
        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
    }>>>;
}, "strip", z.ZodTypeAny, {
    price?: number | null | undefined;
    barcode?: string | null | undefined;
    advancedPricing?: {
        Delivery_OnDemand_GrabApp?: number | null | undefined;
        Delivery_Scheduled_GrabApp?: number | null | undefined;
        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
        DineIn_OnDemand_GrabApp?: number | null | undefined;
        Delivery_OnDemand_StoreFront?: number | null | undefined;
        Delivery_Scheduled_StoreFront?: number | null | undefined;
        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
    } | null | undefined;
    name: string;
    id: string;
    availableStatus: "AVAILABLE" | "UNAVAILABLE";
}, {
    price?: number | null | undefined;
    barcode?: string | null | undefined;
    advancedPricing?: {
        Delivery_OnDemand_GrabApp?: number | null | undefined;
        Delivery_Scheduled_GrabApp?: number | null | undefined;
        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
        DineIn_OnDemand_GrabApp?: number | null | undefined;
        Delivery_OnDemand_StoreFront?: number | null | undefined;
        Delivery_Scheduled_StoreFront?: number | null | undefined;
        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
    } | null | undefined;
    name: string;
    id: string;
    availableStatus: "AVAILABLE" | "UNAVAILABLE";
}>;
export declare const GFModifierGroupV2: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    availableStatus: z.ZodEnum<["AVAILABLE", "UNAVAILABLE"]>;
    selectionRangeMin: z.ZodNumber;
    selectionRangeMax: z.ZodNumber;
    modifiers: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        availableStatus: z.ZodEnum<["AVAILABLE", "UNAVAILABLE"]>;
        price: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        barcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        advancedPricing: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            Delivery_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            Delivery_Scheduled_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            SelfPickUp_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            DineIn_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            Delivery_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            Delivery_Scheduled_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            SelfPickUp_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }, "strip", z.ZodTypeAny, {
            Delivery_OnDemand_GrabApp?: number | null | undefined;
            Delivery_Scheduled_GrabApp?: number | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
            DineIn_OnDemand_GrabApp?: number | null | undefined;
            Delivery_OnDemand_StoreFront?: number | null | undefined;
            Delivery_Scheduled_StoreFront?: number | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
        }, {
            Delivery_OnDemand_GrabApp?: number | null | undefined;
            Delivery_Scheduled_GrabApp?: number | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
            DineIn_OnDemand_GrabApp?: number | null | undefined;
            Delivery_OnDemand_StoreFront?: number | null | undefined;
            Delivery_Scheduled_StoreFront?: number | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        price?: number | null | undefined;
        barcode?: string | null | undefined;
        advancedPricing?: {
            Delivery_OnDemand_GrabApp?: number | null | undefined;
            Delivery_Scheduled_GrabApp?: number | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
            DineIn_OnDemand_GrabApp?: number | null | undefined;
            Delivery_OnDemand_StoreFront?: number | null | undefined;
            Delivery_Scheduled_StoreFront?: number | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
        } | null | undefined;
        name: string;
        id: string;
        availableStatus: "AVAILABLE" | "UNAVAILABLE";
    }, {
        price?: number | null | undefined;
        barcode?: string | null | undefined;
        advancedPricing?: {
            Delivery_OnDemand_GrabApp?: number | null | undefined;
            Delivery_Scheduled_GrabApp?: number | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
            DineIn_OnDemand_GrabApp?: number | null | undefined;
            Delivery_OnDemand_StoreFront?: number | null | undefined;
            Delivery_Scheduled_StoreFront?: number | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
        } | null | undefined;
        name: string;
        id: string;
        availableStatus: "AVAILABLE" | "UNAVAILABLE";
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    name: string;
    id: string;
    modifiers: {
        price?: number | null | undefined;
        barcode?: string | null | undefined;
        advancedPricing?: {
            Delivery_OnDemand_GrabApp?: number | null | undefined;
            Delivery_Scheduled_GrabApp?: number | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
            DineIn_OnDemand_GrabApp?: number | null | undefined;
            Delivery_OnDemand_StoreFront?: number | null | undefined;
            Delivery_Scheduled_StoreFront?: number | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
        } | null | undefined;
        name: string;
        id: string;
        availableStatus: "AVAILABLE" | "UNAVAILABLE";
    }[];
    availableStatus: "AVAILABLE" | "UNAVAILABLE";
    selectionRangeMin: number;
    selectionRangeMax: number;
}, {
    name: string;
    id: string;
    modifiers: {
        price?: number | null | undefined;
        barcode?: string | null | undefined;
        advancedPricing?: {
            Delivery_OnDemand_GrabApp?: number | null | undefined;
            Delivery_Scheduled_GrabApp?: number | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
            DineIn_OnDemand_GrabApp?: number | null | undefined;
            Delivery_OnDemand_StoreFront?: number | null | undefined;
            Delivery_Scheduled_StoreFront?: number | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
        } | null | undefined;
        name: string;
        id: string;
        availableStatus: "AVAILABLE" | "UNAVAILABLE";
    }[];
    availableStatus: "AVAILABLE" | "UNAVAILABLE";
    selectionRangeMin: number;
    selectionRangeMax: number;
}>;
export declare const GFItemV2: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    availableStatus: z.ZodEnum<["AVAILABLE", "UNAVAILABLE", "HIDE"]>;
    description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    price: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
    specialType: z.ZodNullable<z.ZodOptional<z.ZodEnum<["alcohol"]>>>;
    barcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    sellingTimeID: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    /** Currently Not Applicable */
    advancedPricing: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        Delivery_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        Delivery_Scheduled_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        SelfPickUp_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        DineIn_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        Delivery_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        Delivery_Scheduled_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        SelfPickUp_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    }, "strip", z.ZodTypeAny, {
        Delivery_OnDemand_GrabApp?: number | null | undefined;
        Delivery_Scheduled_GrabApp?: number | null | undefined;
        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
        DineIn_OnDemand_GrabApp?: number | null | undefined;
        Delivery_OnDemand_StoreFront?: number | null | undefined;
        Delivery_Scheduled_StoreFront?: number | null | undefined;
        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
    }, {
        Delivery_OnDemand_GrabApp?: number | null | undefined;
        Delivery_Scheduled_GrabApp?: number | null | undefined;
        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
        DineIn_OnDemand_GrabApp?: number | null | undefined;
        Delivery_OnDemand_StoreFront?: number | null | undefined;
        Delivery_Scheduled_StoreFront?: number | null | undefined;
        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
    }>>>;
    /** Currently Not Applicable */
    purchasability: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        Delivery_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        Delivery_Scheduled_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        SelfPickUp_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        DineIn_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        Delivery_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        Delivery_Scheduled_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        SelfPickUp_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    }, "strip", z.ZodTypeAny, {
        Delivery_OnDemand_GrabApp?: boolean | null | undefined;
        Delivery_Scheduled_GrabApp?: boolean | null | undefined;
        SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
        DineIn_OnDemand_GrabApp?: boolean | null | undefined;
        Delivery_OnDemand_StoreFront?: boolean | null | undefined;
        Delivery_Scheduled_StoreFront?: boolean | null | undefined;
        SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
    }, {
        Delivery_OnDemand_GrabApp?: boolean | null | undefined;
        Delivery_Scheduled_GrabApp?: boolean | null | undefined;
        SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
        DineIn_OnDemand_GrabApp?: boolean | null | undefined;
        Delivery_OnDemand_StoreFront?: boolean | null | undefined;
        Delivery_Scheduled_StoreFront?: boolean | null | undefined;
        SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
    }>>>;
    modifierGroups: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        availableStatus: z.ZodEnum<["AVAILABLE", "UNAVAILABLE"]>;
        selectionRangeMin: z.ZodNumber;
        selectionRangeMax: z.ZodNumber;
        modifiers: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            availableStatus: z.ZodEnum<["AVAILABLE", "UNAVAILABLE"]>;
            price: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            barcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            advancedPricing: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                Delivery_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                Delivery_Scheduled_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                SelfPickUp_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                DineIn_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                Delivery_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                Delivery_Scheduled_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                SelfPickUp_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            }, "strip", z.ZodTypeAny, {
                Delivery_OnDemand_GrabApp?: number | null | undefined;
                Delivery_Scheduled_GrabApp?: number | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                DineIn_OnDemand_GrabApp?: number | null | undefined;
                Delivery_OnDemand_StoreFront?: number | null | undefined;
                Delivery_Scheduled_StoreFront?: number | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
            }, {
                Delivery_OnDemand_GrabApp?: number | null | undefined;
                Delivery_Scheduled_GrabApp?: number | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                DineIn_OnDemand_GrabApp?: number | null | undefined;
                Delivery_OnDemand_StoreFront?: number | null | undefined;
                Delivery_Scheduled_StoreFront?: number | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            price?: number | null | undefined;
            barcode?: string | null | undefined;
            advancedPricing?: {
                Delivery_OnDemand_GrabApp?: number | null | undefined;
                Delivery_Scheduled_GrabApp?: number | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                DineIn_OnDemand_GrabApp?: number | null | undefined;
                Delivery_OnDemand_StoreFront?: number | null | undefined;
                Delivery_Scheduled_StoreFront?: number | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
            } | null | undefined;
            name: string;
            id: string;
            availableStatus: "AVAILABLE" | "UNAVAILABLE";
        }, {
            price?: number | null | undefined;
            barcode?: string | null | undefined;
            advancedPricing?: {
                Delivery_OnDemand_GrabApp?: number | null | undefined;
                Delivery_Scheduled_GrabApp?: number | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                DineIn_OnDemand_GrabApp?: number | null | undefined;
                Delivery_OnDemand_StoreFront?: number | null | undefined;
                Delivery_Scheduled_StoreFront?: number | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
            } | null | undefined;
            name: string;
            id: string;
            availableStatus: "AVAILABLE" | "UNAVAILABLE";
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        name: string;
        id: string;
        modifiers: {
            price?: number | null | undefined;
            barcode?: string | null | undefined;
            advancedPricing?: {
                Delivery_OnDemand_GrabApp?: number | null | undefined;
                Delivery_Scheduled_GrabApp?: number | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                DineIn_OnDemand_GrabApp?: number | null | undefined;
                Delivery_OnDemand_StoreFront?: number | null | undefined;
                Delivery_Scheduled_StoreFront?: number | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
            } | null | undefined;
            name: string;
            id: string;
            availableStatus: "AVAILABLE" | "UNAVAILABLE";
        }[];
        availableStatus: "AVAILABLE" | "UNAVAILABLE";
        selectionRangeMin: number;
        selectionRangeMax: number;
    }, {
        name: string;
        id: string;
        modifiers: {
            price?: number | null | undefined;
            barcode?: string | null | undefined;
            advancedPricing?: {
                Delivery_OnDemand_GrabApp?: number | null | undefined;
                Delivery_Scheduled_GrabApp?: number | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                DineIn_OnDemand_GrabApp?: number | null | undefined;
                Delivery_OnDemand_StoreFront?: number | null | undefined;
                Delivery_Scheduled_StoreFront?: number | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
            } | null | undefined;
            name: string;
            id: string;
            availableStatus: "AVAILABLE" | "UNAVAILABLE";
        }[];
        availableStatus: "AVAILABLE" | "UNAVAILABLE";
        selectionRangeMin: number;
        selectionRangeMax: number;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    description?: string | null | undefined;
    price?: number | null | undefined;
    photos?: string[] | null | undefined;
    barcode?: string | null | undefined;
    advancedPricing?: {
        Delivery_OnDemand_GrabApp?: number | null | undefined;
        Delivery_Scheduled_GrabApp?: number | null | undefined;
        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
        DineIn_OnDemand_GrabApp?: number | null | undefined;
        Delivery_OnDemand_StoreFront?: number | null | undefined;
        Delivery_Scheduled_StoreFront?: number | null | undefined;
        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
    } | null | undefined;
    specialType?: "alcohol" | null | undefined;
    sellingTimeID?: string | null | undefined;
    purchasability?: {
        Delivery_OnDemand_GrabApp?: boolean | null | undefined;
        Delivery_Scheduled_GrabApp?: boolean | null | undefined;
        SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
        DineIn_OnDemand_GrabApp?: boolean | null | undefined;
        Delivery_OnDemand_StoreFront?: boolean | null | undefined;
        Delivery_Scheduled_StoreFront?: boolean | null | undefined;
        SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
    } | null | undefined;
    name: string;
    id: string;
    availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
    modifierGroups: {
        name: string;
        id: string;
        modifiers: {
            price?: number | null | undefined;
            barcode?: string | null | undefined;
            advancedPricing?: {
                Delivery_OnDemand_GrabApp?: number | null | undefined;
                Delivery_Scheduled_GrabApp?: number | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                DineIn_OnDemand_GrabApp?: number | null | undefined;
                Delivery_OnDemand_StoreFront?: number | null | undefined;
                Delivery_Scheduled_StoreFront?: number | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
            } | null | undefined;
            name: string;
            id: string;
            availableStatus: "AVAILABLE" | "UNAVAILABLE";
        }[];
        availableStatus: "AVAILABLE" | "UNAVAILABLE";
        selectionRangeMin: number;
        selectionRangeMax: number;
    }[];
}, {
    description?: string | null | undefined;
    price?: number | null | undefined;
    photos?: string[] | null | undefined;
    barcode?: string | null | undefined;
    advancedPricing?: {
        Delivery_OnDemand_GrabApp?: number | null | undefined;
        Delivery_Scheduled_GrabApp?: number | null | undefined;
        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
        DineIn_OnDemand_GrabApp?: number | null | undefined;
        Delivery_OnDemand_StoreFront?: number | null | undefined;
        Delivery_Scheduled_StoreFront?: number | null | undefined;
        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
    } | null | undefined;
    specialType?: "alcohol" | null | undefined;
    sellingTimeID?: string | null | undefined;
    purchasability?: {
        Delivery_OnDemand_GrabApp?: boolean | null | undefined;
        Delivery_Scheduled_GrabApp?: boolean | null | undefined;
        SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
        DineIn_OnDemand_GrabApp?: boolean | null | undefined;
        Delivery_OnDemand_StoreFront?: boolean | null | undefined;
        Delivery_Scheduled_StoreFront?: boolean | null | undefined;
        SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
    } | null | undefined;
    name: string;
    id: string;
    availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
    modifierGroups: {
        name: string;
        id: string;
        modifiers: {
            price?: number | null | undefined;
            barcode?: string | null | undefined;
            advancedPricing?: {
                Delivery_OnDemand_GrabApp?: number | null | undefined;
                Delivery_Scheduled_GrabApp?: number | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                DineIn_OnDemand_GrabApp?: number | null | undefined;
                Delivery_OnDemand_StoreFront?: number | null | undefined;
                Delivery_Scheduled_StoreFront?: number | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
            } | null | undefined;
            name: string;
            id: string;
            availableStatus: "AVAILABLE" | "UNAVAILABLE";
        }[];
        availableStatus: "AVAILABLE" | "UNAVAILABLE";
        selectionRangeMin: number;
        selectionRangeMax: number;
    }[];
}>;
export declare const GFMenuCategoryV2: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    availableStatus: z.ZodEnum<["AVAILABLE", "UNAVAILABLE", "HIDE"]>;
    sellingTimeID: z.ZodString;
    sequence: z.ZodNumber;
    items: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        availableStatus: z.ZodEnum<["AVAILABLE", "UNAVAILABLE", "HIDE"]>;
        description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        price: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        specialType: z.ZodNullable<z.ZodOptional<z.ZodEnum<["alcohol"]>>>;
        barcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        sellingTimeID: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        /** Currently Not Applicable */
        advancedPricing: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            Delivery_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            Delivery_Scheduled_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            SelfPickUp_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            DineIn_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            Delivery_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            Delivery_Scheduled_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            SelfPickUp_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }, "strip", z.ZodTypeAny, {
            Delivery_OnDemand_GrabApp?: number | null | undefined;
            Delivery_Scheduled_GrabApp?: number | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
            DineIn_OnDemand_GrabApp?: number | null | undefined;
            Delivery_OnDemand_StoreFront?: number | null | undefined;
            Delivery_Scheduled_StoreFront?: number | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
        }, {
            Delivery_OnDemand_GrabApp?: number | null | undefined;
            Delivery_Scheduled_GrabApp?: number | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
            DineIn_OnDemand_GrabApp?: number | null | undefined;
            Delivery_OnDemand_StoreFront?: number | null | undefined;
            Delivery_Scheduled_StoreFront?: number | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
        }>>>;
        /** Currently Not Applicable */
        purchasability: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            Delivery_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            Delivery_Scheduled_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            SelfPickUp_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            DineIn_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            Delivery_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            Delivery_Scheduled_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            SelfPickUp_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            Delivery_OnDemand_GrabApp?: boolean | null | undefined;
            Delivery_Scheduled_GrabApp?: boolean | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
            DineIn_OnDemand_GrabApp?: boolean | null | undefined;
            Delivery_OnDemand_StoreFront?: boolean | null | undefined;
            Delivery_Scheduled_StoreFront?: boolean | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
        }, {
            Delivery_OnDemand_GrabApp?: boolean | null | undefined;
            Delivery_Scheduled_GrabApp?: boolean | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
            DineIn_OnDemand_GrabApp?: boolean | null | undefined;
            Delivery_OnDemand_StoreFront?: boolean | null | undefined;
            Delivery_Scheduled_StoreFront?: boolean | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
        }>>>;
        modifierGroups: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            availableStatus: z.ZodEnum<["AVAILABLE", "UNAVAILABLE"]>;
            selectionRangeMin: z.ZodNumber;
            selectionRangeMax: z.ZodNumber;
            modifiers: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                name: z.ZodString;
                availableStatus: z.ZodEnum<["AVAILABLE", "UNAVAILABLE"]>;
                price: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                barcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                advancedPricing: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    Delivery_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                    Delivery_Scheduled_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                    SelfPickUp_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                    DineIn_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                    Delivery_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                    Delivery_Scheduled_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                    SelfPickUp_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                }, "strip", z.ZodTypeAny, {
                    Delivery_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_Scheduled_GrabApp?: number | null | undefined;
                    SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                    DineIn_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_OnDemand_StoreFront?: number | null | undefined;
                    Delivery_Scheduled_StoreFront?: number | null | undefined;
                    SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                }, {
                    Delivery_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_Scheduled_GrabApp?: number | null | undefined;
                    SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                    DineIn_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_OnDemand_StoreFront?: number | null | undefined;
                    Delivery_Scheduled_StoreFront?: number | null | undefined;
                    SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                price?: number | null | undefined;
                barcode?: string | null | undefined;
                advancedPricing?: {
                    Delivery_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_Scheduled_GrabApp?: number | null | undefined;
                    SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                    DineIn_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_OnDemand_StoreFront?: number | null | undefined;
                    Delivery_Scheduled_StoreFront?: number | null | undefined;
                    SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                } | null | undefined;
                name: string;
                id: string;
                availableStatus: "AVAILABLE" | "UNAVAILABLE";
            }, {
                price?: number | null | undefined;
                barcode?: string | null | undefined;
                advancedPricing?: {
                    Delivery_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_Scheduled_GrabApp?: number | null | undefined;
                    SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                    DineIn_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_OnDemand_StoreFront?: number | null | undefined;
                    Delivery_Scheduled_StoreFront?: number | null | undefined;
                    SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                } | null | undefined;
                name: string;
                id: string;
                availableStatus: "AVAILABLE" | "UNAVAILABLE";
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            name: string;
            id: string;
            modifiers: {
                price?: number | null | undefined;
                barcode?: string | null | undefined;
                advancedPricing?: {
                    Delivery_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_Scheduled_GrabApp?: number | null | undefined;
                    SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                    DineIn_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_OnDemand_StoreFront?: number | null | undefined;
                    Delivery_Scheduled_StoreFront?: number | null | undefined;
                    SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                } | null | undefined;
                name: string;
                id: string;
                availableStatus: "AVAILABLE" | "UNAVAILABLE";
            }[];
            availableStatus: "AVAILABLE" | "UNAVAILABLE";
            selectionRangeMin: number;
            selectionRangeMax: number;
        }, {
            name: string;
            id: string;
            modifiers: {
                price?: number | null | undefined;
                barcode?: string | null | undefined;
                advancedPricing?: {
                    Delivery_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_Scheduled_GrabApp?: number | null | undefined;
                    SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                    DineIn_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_OnDemand_StoreFront?: number | null | undefined;
                    Delivery_Scheduled_StoreFront?: number | null | undefined;
                    SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                } | null | undefined;
                name: string;
                id: string;
                availableStatus: "AVAILABLE" | "UNAVAILABLE";
            }[];
            availableStatus: "AVAILABLE" | "UNAVAILABLE";
            selectionRangeMin: number;
            selectionRangeMax: number;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        description?: string | null | undefined;
        price?: number | null | undefined;
        photos?: string[] | null | undefined;
        barcode?: string | null | undefined;
        advancedPricing?: {
            Delivery_OnDemand_GrabApp?: number | null | undefined;
            Delivery_Scheduled_GrabApp?: number | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
            DineIn_OnDemand_GrabApp?: number | null | undefined;
            Delivery_OnDemand_StoreFront?: number | null | undefined;
            Delivery_Scheduled_StoreFront?: number | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
        } | null | undefined;
        specialType?: "alcohol" | null | undefined;
        sellingTimeID?: string | null | undefined;
        purchasability?: {
            Delivery_OnDemand_GrabApp?: boolean | null | undefined;
            Delivery_Scheduled_GrabApp?: boolean | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
            DineIn_OnDemand_GrabApp?: boolean | null | undefined;
            Delivery_OnDemand_StoreFront?: boolean | null | undefined;
            Delivery_Scheduled_StoreFront?: boolean | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
        } | null | undefined;
        name: string;
        id: string;
        availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
        modifierGroups: {
            name: string;
            id: string;
            modifiers: {
                price?: number | null | undefined;
                barcode?: string | null | undefined;
                advancedPricing?: {
                    Delivery_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_Scheduled_GrabApp?: number | null | undefined;
                    SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                    DineIn_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_OnDemand_StoreFront?: number | null | undefined;
                    Delivery_Scheduled_StoreFront?: number | null | undefined;
                    SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                } | null | undefined;
                name: string;
                id: string;
                availableStatus: "AVAILABLE" | "UNAVAILABLE";
            }[];
            availableStatus: "AVAILABLE" | "UNAVAILABLE";
            selectionRangeMin: number;
            selectionRangeMax: number;
        }[];
    }, {
        description?: string | null | undefined;
        price?: number | null | undefined;
        photos?: string[] | null | undefined;
        barcode?: string | null | undefined;
        advancedPricing?: {
            Delivery_OnDemand_GrabApp?: number | null | undefined;
            Delivery_Scheduled_GrabApp?: number | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
            DineIn_OnDemand_GrabApp?: number | null | undefined;
            Delivery_OnDemand_StoreFront?: number | null | undefined;
            Delivery_Scheduled_StoreFront?: number | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
        } | null | undefined;
        specialType?: "alcohol" | null | undefined;
        sellingTimeID?: string | null | undefined;
        purchasability?: {
            Delivery_OnDemand_GrabApp?: boolean | null | undefined;
            Delivery_Scheduled_GrabApp?: boolean | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
            DineIn_OnDemand_GrabApp?: boolean | null | undefined;
            Delivery_OnDemand_StoreFront?: boolean | null | undefined;
            Delivery_Scheduled_StoreFront?: boolean | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
        } | null | undefined;
        name: string;
        id: string;
        availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
        modifierGroups: {
            name: string;
            id: string;
            modifiers: {
                price?: number | null | undefined;
                barcode?: string | null | undefined;
                advancedPricing?: {
                    Delivery_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_Scheduled_GrabApp?: number | null | undefined;
                    SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                    DineIn_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_OnDemand_StoreFront?: number | null | undefined;
                    Delivery_Scheduled_StoreFront?: number | null | undefined;
                    SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                } | null | undefined;
                name: string;
                id: string;
                availableStatus: "AVAILABLE" | "UNAVAILABLE";
            }[];
            availableStatus: "AVAILABLE" | "UNAVAILABLE";
            selectionRangeMin: number;
            selectionRangeMax: number;
        }[];
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    name: string;
    id: string;
    items: {
        description?: string | null | undefined;
        price?: number | null | undefined;
        photos?: string[] | null | undefined;
        barcode?: string | null | undefined;
        advancedPricing?: {
            Delivery_OnDemand_GrabApp?: number | null | undefined;
            Delivery_Scheduled_GrabApp?: number | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
            DineIn_OnDemand_GrabApp?: number | null | undefined;
            Delivery_OnDemand_StoreFront?: number | null | undefined;
            Delivery_Scheduled_StoreFront?: number | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
        } | null | undefined;
        specialType?: "alcohol" | null | undefined;
        sellingTimeID?: string | null | undefined;
        purchasability?: {
            Delivery_OnDemand_GrabApp?: boolean | null | undefined;
            Delivery_Scheduled_GrabApp?: boolean | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
            DineIn_OnDemand_GrabApp?: boolean | null | undefined;
            Delivery_OnDemand_StoreFront?: boolean | null | undefined;
            Delivery_Scheduled_StoreFront?: boolean | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
        } | null | undefined;
        name: string;
        id: string;
        availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
        modifierGroups: {
            name: string;
            id: string;
            modifiers: {
                price?: number | null | undefined;
                barcode?: string | null | undefined;
                advancedPricing?: {
                    Delivery_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_Scheduled_GrabApp?: number | null | undefined;
                    SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                    DineIn_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_OnDemand_StoreFront?: number | null | undefined;
                    Delivery_Scheduled_StoreFront?: number | null | undefined;
                    SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                } | null | undefined;
                name: string;
                id: string;
                availableStatus: "AVAILABLE" | "UNAVAILABLE";
            }[];
            availableStatus: "AVAILABLE" | "UNAVAILABLE";
            selectionRangeMin: number;
            selectionRangeMax: number;
        }[];
    }[];
    availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
    sellingTimeID: string;
    sequence: number;
}, {
    name: string;
    id: string;
    items: {
        description?: string | null | undefined;
        price?: number | null | undefined;
        photos?: string[] | null | undefined;
        barcode?: string | null | undefined;
        advancedPricing?: {
            Delivery_OnDemand_GrabApp?: number | null | undefined;
            Delivery_Scheduled_GrabApp?: number | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
            DineIn_OnDemand_GrabApp?: number | null | undefined;
            Delivery_OnDemand_StoreFront?: number | null | undefined;
            Delivery_Scheduled_StoreFront?: number | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
        } | null | undefined;
        specialType?: "alcohol" | null | undefined;
        sellingTimeID?: string | null | undefined;
        purchasability?: {
            Delivery_OnDemand_GrabApp?: boolean | null | undefined;
            Delivery_Scheduled_GrabApp?: boolean | null | undefined;
            SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
            DineIn_OnDemand_GrabApp?: boolean | null | undefined;
            Delivery_OnDemand_StoreFront?: boolean | null | undefined;
            Delivery_Scheduled_StoreFront?: boolean | null | undefined;
            SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
        } | null | undefined;
        name: string;
        id: string;
        availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
        modifierGroups: {
            name: string;
            id: string;
            modifiers: {
                price?: number | null | undefined;
                barcode?: string | null | undefined;
                advancedPricing?: {
                    Delivery_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_Scheduled_GrabApp?: number | null | undefined;
                    SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                    DineIn_OnDemand_GrabApp?: number | null | undefined;
                    Delivery_OnDemand_StoreFront?: number | null | undefined;
                    Delivery_Scheduled_StoreFront?: number | null | undefined;
                    SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                } | null | undefined;
                name: string;
                id: string;
                availableStatus: "AVAILABLE" | "UNAVAILABLE";
            }[];
            availableStatus: "AVAILABLE" | "UNAVAILABLE";
            selectionRangeMin: number;
            selectionRangeMax: number;
        }[];
    }[];
    availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
    sellingTimeID: string;
    sequence: number;
}>;
declare const GFMenuV2: z.ZodObject<{
    merchantID: z.ZodString;
    currency: z.ZodObject<{
        code: z.ZodEnum<["SGD", "MYR", "IDR", "VND", "THB", "PHP", "KHR", "MMK"]>;
        symbol: z.ZodEnum<["RM", "Rp", "S$", "₫", "฿", "₱", "៛", "K"]>;
        exponent: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        symbol: "RM" | "Rp" | "S$" | "₫" | "฿" | "₱" | "៛" | "K";
        code: "MYR" | "IDR" | "KHR" | "MMK" | "PHP" | "SGD" | "THB" | "VND";
        exponent: number;
    }, {
        symbol: "RM" | "Rp" | "S$" | "₫" | "฿" | "₱" | "៛" | "K";
        code: "MYR" | "IDR" | "KHR" | "MMK" | "PHP" | "SGD" | "THB" | "VND";
        exponent: number;
    }>;
    sellingTimes: z.ZodArray<z.ZodObject<{
        startTime: z.ZodString;
        endTime: z.ZodString;
        id: z.ZodString;
        name: z.ZodString;
        serviceHours: z.ZodObject<{
            mon: z.ZodObject<{
                openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
                periods: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            }, {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            }>;
            tue: z.ZodObject<{
                openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
                periods: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            }, {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            }>;
            wed: z.ZodObject<{
                openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
                periods: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            }, {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            }>;
            thu: z.ZodObject<{
                openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
                periods: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            }, {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            }>;
            fri: z.ZodObject<{
                openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
                periods: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            }, {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            }>;
            sat: z.ZodObject<{
                openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
                periods: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            }, {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            }>;
            sun: z.ZodObject<{
                openPeriodType: z.ZodEnum<["OpenPeriod", "OpenAllDay", "CloseAllDay"]>;
                periods: z.ZodArray<z.ZodObject<{
                    startTime: z.ZodString;
                    endTime: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    startTime: string;
                    endTime: string;
                }, {
                    startTime: string;
                    endTime: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            }, {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            }>;
        }, "strip", z.ZodTypeAny, {
            sun: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            mon: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            tue: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            wed: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            thu: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            fri: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            sat: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        }, {
            sun: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            mon: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            tue: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            wed: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            thu: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            fri: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            sat: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        }>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        id: string;
        startTime: string;
        endTime: string;
        serviceHours: {
            sun: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            mon: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            tue: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            wed: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            thu: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            fri: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            sat: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }, {
        name: string;
        id: string;
        startTime: string;
        endTime: string;
        serviceHours: {
            sun: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            mon: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            tue: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            wed: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            thu: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            fri: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            sat: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }>, "many">;
    categories: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        availableStatus: z.ZodEnum<["AVAILABLE", "UNAVAILABLE", "HIDE"]>;
        sellingTimeID: z.ZodString;
        sequence: z.ZodNumber;
        items: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            availableStatus: z.ZodEnum<["AVAILABLE", "UNAVAILABLE", "HIDE"]>;
            description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            price: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            specialType: z.ZodNullable<z.ZodOptional<z.ZodEnum<["alcohol"]>>>;
            barcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            sellingTimeID: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            /** Currently Not Applicable */
            advancedPricing: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                Delivery_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                Delivery_Scheduled_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                SelfPickUp_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                DineIn_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                Delivery_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                Delivery_Scheduled_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                SelfPickUp_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            }, "strip", z.ZodTypeAny, {
                Delivery_OnDemand_GrabApp?: number | null | undefined;
                Delivery_Scheduled_GrabApp?: number | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                DineIn_OnDemand_GrabApp?: number | null | undefined;
                Delivery_OnDemand_StoreFront?: number | null | undefined;
                Delivery_Scheduled_StoreFront?: number | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
            }, {
                Delivery_OnDemand_GrabApp?: number | null | undefined;
                Delivery_Scheduled_GrabApp?: number | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                DineIn_OnDemand_GrabApp?: number | null | undefined;
                Delivery_OnDemand_StoreFront?: number | null | undefined;
                Delivery_Scheduled_StoreFront?: number | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
            }>>>;
            /** Currently Not Applicable */
            purchasability: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                Delivery_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                Delivery_Scheduled_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                SelfPickUp_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                DineIn_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                Delivery_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                Delivery_Scheduled_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                SelfPickUp_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            }, "strip", z.ZodTypeAny, {
                Delivery_OnDemand_GrabApp?: boolean | null | undefined;
                Delivery_Scheduled_GrabApp?: boolean | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
                DineIn_OnDemand_GrabApp?: boolean | null | undefined;
                Delivery_OnDemand_StoreFront?: boolean | null | undefined;
                Delivery_Scheduled_StoreFront?: boolean | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
            }, {
                Delivery_OnDemand_GrabApp?: boolean | null | undefined;
                Delivery_Scheduled_GrabApp?: boolean | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
                DineIn_OnDemand_GrabApp?: boolean | null | undefined;
                Delivery_OnDemand_StoreFront?: boolean | null | undefined;
                Delivery_Scheduled_StoreFront?: boolean | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
            }>>>;
            modifierGroups: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                name: z.ZodString;
                availableStatus: z.ZodEnum<["AVAILABLE", "UNAVAILABLE"]>;
                selectionRangeMin: z.ZodNumber;
                selectionRangeMax: z.ZodNumber;
                modifiers: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    name: z.ZodString;
                    availableStatus: z.ZodEnum<["AVAILABLE", "UNAVAILABLE"]>;
                    price: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                    barcode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    advancedPricing: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        Delivery_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                        Delivery_Scheduled_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                        SelfPickUp_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                        DineIn_OnDemand_GrabApp: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                        Delivery_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                        Delivery_Scheduled_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                        SelfPickUp_OnDemand_StoreFront: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                    }, "strip", z.ZodTypeAny, {
                        Delivery_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_Scheduled_GrabApp?: number | null | undefined;
                        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                        DineIn_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_OnDemand_StoreFront?: number | null | undefined;
                        Delivery_Scheduled_StoreFront?: number | null | undefined;
                        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                    }, {
                        Delivery_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_Scheduled_GrabApp?: number | null | undefined;
                        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                        DineIn_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_OnDemand_StoreFront?: number | null | undefined;
                        Delivery_Scheduled_StoreFront?: number | null | undefined;
                        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                    }>>>;
                }, "strip", z.ZodTypeAny, {
                    price?: number | null | undefined;
                    barcode?: string | null | undefined;
                    advancedPricing?: {
                        Delivery_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_Scheduled_GrabApp?: number | null | undefined;
                        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                        DineIn_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_OnDemand_StoreFront?: number | null | undefined;
                        Delivery_Scheduled_StoreFront?: number | null | undefined;
                        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                    } | null | undefined;
                    name: string;
                    id: string;
                    availableStatus: "AVAILABLE" | "UNAVAILABLE";
                }, {
                    price?: number | null | undefined;
                    barcode?: string | null | undefined;
                    advancedPricing?: {
                        Delivery_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_Scheduled_GrabApp?: number | null | undefined;
                        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                        DineIn_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_OnDemand_StoreFront?: number | null | undefined;
                        Delivery_Scheduled_StoreFront?: number | null | undefined;
                        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                    } | null | undefined;
                    name: string;
                    id: string;
                    availableStatus: "AVAILABLE" | "UNAVAILABLE";
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                name: string;
                id: string;
                modifiers: {
                    price?: number | null | undefined;
                    barcode?: string | null | undefined;
                    advancedPricing?: {
                        Delivery_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_Scheduled_GrabApp?: number | null | undefined;
                        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                        DineIn_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_OnDemand_StoreFront?: number | null | undefined;
                        Delivery_Scheduled_StoreFront?: number | null | undefined;
                        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                    } | null | undefined;
                    name: string;
                    id: string;
                    availableStatus: "AVAILABLE" | "UNAVAILABLE";
                }[];
                availableStatus: "AVAILABLE" | "UNAVAILABLE";
                selectionRangeMin: number;
                selectionRangeMax: number;
            }, {
                name: string;
                id: string;
                modifiers: {
                    price?: number | null | undefined;
                    barcode?: string | null | undefined;
                    advancedPricing?: {
                        Delivery_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_Scheduled_GrabApp?: number | null | undefined;
                        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                        DineIn_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_OnDemand_StoreFront?: number | null | undefined;
                        Delivery_Scheduled_StoreFront?: number | null | undefined;
                        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                    } | null | undefined;
                    name: string;
                    id: string;
                    availableStatus: "AVAILABLE" | "UNAVAILABLE";
                }[];
                availableStatus: "AVAILABLE" | "UNAVAILABLE";
                selectionRangeMin: number;
                selectionRangeMax: number;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            description?: string | null | undefined;
            price?: number | null | undefined;
            photos?: string[] | null | undefined;
            barcode?: string | null | undefined;
            advancedPricing?: {
                Delivery_OnDemand_GrabApp?: number | null | undefined;
                Delivery_Scheduled_GrabApp?: number | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                DineIn_OnDemand_GrabApp?: number | null | undefined;
                Delivery_OnDemand_StoreFront?: number | null | undefined;
                Delivery_Scheduled_StoreFront?: number | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
            } | null | undefined;
            specialType?: "alcohol" | null | undefined;
            sellingTimeID?: string | null | undefined;
            purchasability?: {
                Delivery_OnDemand_GrabApp?: boolean | null | undefined;
                Delivery_Scheduled_GrabApp?: boolean | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
                DineIn_OnDemand_GrabApp?: boolean | null | undefined;
                Delivery_OnDemand_StoreFront?: boolean | null | undefined;
                Delivery_Scheduled_StoreFront?: boolean | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
            } | null | undefined;
            name: string;
            id: string;
            availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
            modifierGroups: {
                name: string;
                id: string;
                modifiers: {
                    price?: number | null | undefined;
                    barcode?: string | null | undefined;
                    advancedPricing?: {
                        Delivery_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_Scheduled_GrabApp?: number | null | undefined;
                        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                        DineIn_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_OnDemand_StoreFront?: number | null | undefined;
                        Delivery_Scheduled_StoreFront?: number | null | undefined;
                        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                    } | null | undefined;
                    name: string;
                    id: string;
                    availableStatus: "AVAILABLE" | "UNAVAILABLE";
                }[];
                availableStatus: "AVAILABLE" | "UNAVAILABLE";
                selectionRangeMin: number;
                selectionRangeMax: number;
            }[];
        }, {
            description?: string | null | undefined;
            price?: number | null | undefined;
            photos?: string[] | null | undefined;
            barcode?: string | null | undefined;
            advancedPricing?: {
                Delivery_OnDemand_GrabApp?: number | null | undefined;
                Delivery_Scheduled_GrabApp?: number | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                DineIn_OnDemand_GrabApp?: number | null | undefined;
                Delivery_OnDemand_StoreFront?: number | null | undefined;
                Delivery_Scheduled_StoreFront?: number | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
            } | null | undefined;
            specialType?: "alcohol" | null | undefined;
            sellingTimeID?: string | null | undefined;
            purchasability?: {
                Delivery_OnDemand_GrabApp?: boolean | null | undefined;
                Delivery_Scheduled_GrabApp?: boolean | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
                DineIn_OnDemand_GrabApp?: boolean | null | undefined;
                Delivery_OnDemand_StoreFront?: boolean | null | undefined;
                Delivery_Scheduled_StoreFront?: boolean | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
            } | null | undefined;
            name: string;
            id: string;
            availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
            modifierGroups: {
                name: string;
                id: string;
                modifiers: {
                    price?: number | null | undefined;
                    barcode?: string | null | undefined;
                    advancedPricing?: {
                        Delivery_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_Scheduled_GrabApp?: number | null | undefined;
                        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                        DineIn_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_OnDemand_StoreFront?: number | null | undefined;
                        Delivery_Scheduled_StoreFront?: number | null | undefined;
                        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                    } | null | undefined;
                    name: string;
                    id: string;
                    availableStatus: "AVAILABLE" | "UNAVAILABLE";
                }[];
                availableStatus: "AVAILABLE" | "UNAVAILABLE";
                selectionRangeMin: number;
                selectionRangeMax: number;
            }[];
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        name: string;
        id: string;
        items: {
            description?: string | null | undefined;
            price?: number | null | undefined;
            photos?: string[] | null | undefined;
            barcode?: string | null | undefined;
            advancedPricing?: {
                Delivery_OnDemand_GrabApp?: number | null | undefined;
                Delivery_Scheduled_GrabApp?: number | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                DineIn_OnDemand_GrabApp?: number | null | undefined;
                Delivery_OnDemand_StoreFront?: number | null | undefined;
                Delivery_Scheduled_StoreFront?: number | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
            } | null | undefined;
            specialType?: "alcohol" | null | undefined;
            sellingTimeID?: string | null | undefined;
            purchasability?: {
                Delivery_OnDemand_GrabApp?: boolean | null | undefined;
                Delivery_Scheduled_GrabApp?: boolean | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
                DineIn_OnDemand_GrabApp?: boolean | null | undefined;
                Delivery_OnDemand_StoreFront?: boolean | null | undefined;
                Delivery_Scheduled_StoreFront?: boolean | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
            } | null | undefined;
            name: string;
            id: string;
            availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
            modifierGroups: {
                name: string;
                id: string;
                modifiers: {
                    price?: number | null | undefined;
                    barcode?: string | null | undefined;
                    advancedPricing?: {
                        Delivery_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_Scheduled_GrabApp?: number | null | undefined;
                        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                        DineIn_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_OnDemand_StoreFront?: number | null | undefined;
                        Delivery_Scheduled_StoreFront?: number | null | undefined;
                        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                    } | null | undefined;
                    name: string;
                    id: string;
                    availableStatus: "AVAILABLE" | "UNAVAILABLE";
                }[];
                availableStatus: "AVAILABLE" | "UNAVAILABLE";
                selectionRangeMin: number;
                selectionRangeMax: number;
            }[];
        }[];
        availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
        sellingTimeID: string;
        sequence: number;
    }, {
        name: string;
        id: string;
        items: {
            description?: string | null | undefined;
            price?: number | null | undefined;
            photos?: string[] | null | undefined;
            barcode?: string | null | undefined;
            advancedPricing?: {
                Delivery_OnDemand_GrabApp?: number | null | undefined;
                Delivery_Scheduled_GrabApp?: number | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                DineIn_OnDemand_GrabApp?: number | null | undefined;
                Delivery_OnDemand_StoreFront?: number | null | undefined;
                Delivery_Scheduled_StoreFront?: number | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
            } | null | undefined;
            specialType?: "alcohol" | null | undefined;
            sellingTimeID?: string | null | undefined;
            purchasability?: {
                Delivery_OnDemand_GrabApp?: boolean | null | undefined;
                Delivery_Scheduled_GrabApp?: boolean | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
                DineIn_OnDemand_GrabApp?: boolean | null | undefined;
                Delivery_OnDemand_StoreFront?: boolean | null | undefined;
                Delivery_Scheduled_StoreFront?: boolean | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
            } | null | undefined;
            name: string;
            id: string;
            availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
            modifierGroups: {
                name: string;
                id: string;
                modifiers: {
                    price?: number | null | undefined;
                    barcode?: string | null | undefined;
                    advancedPricing?: {
                        Delivery_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_Scheduled_GrabApp?: number | null | undefined;
                        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                        DineIn_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_OnDemand_StoreFront?: number | null | undefined;
                        Delivery_Scheduled_StoreFront?: number | null | undefined;
                        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                    } | null | undefined;
                    name: string;
                    id: string;
                    availableStatus: "AVAILABLE" | "UNAVAILABLE";
                }[];
                availableStatus: "AVAILABLE" | "UNAVAILABLE";
                selectionRangeMin: number;
                selectionRangeMax: number;
            }[];
        }[];
        availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
        sellingTimeID: string;
        sequence: number;
    }>, "many">;
    partnerMerchantID: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    partnerMerchantID?: string | null | undefined;
    currency: {
        symbol: "RM" | "Rp" | "S$" | "₫" | "฿" | "₱" | "៛" | "K";
        code: "MYR" | "IDR" | "KHR" | "MMK" | "PHP" | "SGD" | "THB" | "VND";
        exponent: number;
    };
    merchantID: string;
    categories: {
        name: string;
        id: string;
        items: {
            description?: string | null | undefined;
            price?: number | null | undefined;
            photos?: string[] | null | undefined;
            barcode?: string | null | undefined;
            advancedPricing?: {
                Delivery_OnDemand_GrabApp?: number | null | undefined;
                Delivery_Scheduled_GrabApp?: number | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                DineIn_OnDemand_GrabApp?: number | null | undefined;
                Delivery_OnDemand_StoreFront?: number | null | undefined;
                Delivery_Scheduled_StoreFront?: number | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
            } | null | undefined;
            specialType?: "alcohol" | null | undefined;
            sellingTimeID?: string | null | undefined;
            purchasability?: {
                Delivery_OnDemand_GrabApp?: boolean | null | undefined;
                Delivery_Scheduled_GrabApp?: boolean | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
                DineIn_OnDemand_GrabApp?: boolean | null | undefined;
                Delivery_OnDemand_StoreFront?: boolean | null | undefined;
                Delivery_Scheduled_StoreFront?: boolean | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
            } | null | undefined;
            name: string;
            id: string;
            availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
            modifierGroups: {
                name: string;
                id: string;
                modifiers: {
                    price?: number | null | undefined;
                    barcode?: string | null | undefined;
                    advancedPricing?: {
                        Delivery_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_Scheduled_GrabApp?: number | null | undefined;
                        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                        DineIn_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_OnDemand_StoreFront?: number | null | undefined;
                        Delivery_Scheduled_StoreFront?: number | null | undefined;
                        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                    } | null | undefined;
                    name: string;
                    id: string;
                    availableStatus: "AVAILABLE" | "UNAVAILABLE";
                }[];
                availableStatus: "AVAILABLE" | "UNAVAILABLE";
                selectionRangeMin: number;
                selectionRangeMax: number;
            }[];
        }[];
        availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
        sellingTimeID: string;
        sequence: number;
    }[];
    sellingTimes: {
        name: string;
        id: string;
        startTime: string;
        endTime: string;
        serviceHours: {
            sun: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            mon: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            tue: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            wed: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            thu: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            fri: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            sat: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }[];
}, {
    partnerMerchantID?: string | null | undefined;
    currency: {
        symbol: "RM" | "Rp" | "S$" | "₫" | "฿" | "₱" | "៛" | "K";
        code: "MYR" | "IDR" | "KHR" | "MMK" | "PHP" | "SGD" | "THB" | "VND";
        exponent: number;
    };
    merchantID: string;
    categories: {
        name: string;
        id: string;
        items: {
            description?: string | null | undefined;
            price?: number | null | undefined;
            photos?: string[] | null | undefined;
            barcode?: string | null | undefined;
            advancedPricing?: {
                Delivery_OnDemand_GrabApp?: number | null | undefined;
                Delivery_Scheduled_GrabApp?: number | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                DineIn_OnDemand_GrabApp?: number | null | undefined;
                Delivery_OnDemand_StoreFront?: number | null | undefined;
                Delivery_Scheduled_StoreFront?: number | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
            } | null | undefined;
            specialType?: "alcohol" | null | undefined;
            sellingTimeID?: string | null | undefined;
            purchasability?: {
                Delivery_OnDemand_GrabApp?: boolean | null | undefined;
                Delivery_Scheduled_GrabApp?: boolean | null | undefined;
                SelfPickUp_OnDemand_GrabApp?: boolean | null | undefined;
                DineIn_OnDemand_GrabApp?: boolean | null | undefined;
                Delivery_OnDemand_StoreFront?: boolean | null | undefined;
                Delivery_Scheduled_StoreFront?: boolean | null | undefined;
                SelfPickUp_OnDemand_StoreFront?: boolean | null | undefined;
            } | null | undefined;
            name: string;
            id: string;
            availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
            modifierGroups: {
                name: string;
                id: string;
                modifiers: {
                    price?: number | null | undefined;
                    barcode?: string | null | undefined;
                    advancedPricing?: {
                        Delivery_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_Scheduled_GrabApp?: number | null | undefined;
                        SelfPickUp_OnDemand_GrabApp?: number | null | undefined;
                        DineIn_OnDemand_GrabApp?: number | null | undefined;
                        Delivery_OnDemand_StoreFront?: number | null | undefined;
                        Delivery_Scheduled_StoreFront?: number | null | undefined;
                        SelfPickUp_OnDemand_StoreFront?: number | null | undefined;
                    } | null | undefined;
                    name: string;
                    id: string;
                    availableStatus: "AVAILABLE" | "UNAVAILABLE";
                }[];
                availableStatus: "AVAILABLE" | "UNAVAILABLE";
                selectionRangeMin: number;
                selectionRangeMax: number;
            }[];
        }[];
        availableStatus: "AVAILABLE" | "UNAVAILABLE" | "HIDE";
        sellingTimeID: string;
        sequence: number;
    }[];
    sellingTimes: {
        name: string;
        id: string;
        startTime: string;
        endTime: string;
        serviceHours: {
            sun: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            mon: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            tue: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            wed: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            thu: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            fri: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
            sat: {
                openPeriodType: "OpenPeriod" | "OpenAllDay" | "CloseAllDay";
                periods: {
                    startTime: string;
                    endTime: string;
                }[];
            };
        };
    }[];
}>;
export type GFMenuV2 = z.infer<typeof GFMenuV2>;
export type GFMenuCategoryV2 = z.infer<typeof GFMenuCategoryV2>;
export type GFSellingTimeV2 = z.infer<typeof GFSellingTimeV2>;
export type GFItemV2 = z.infer<typeof GFItemV2>;
export type GFMenuServiceHoursV2 = z.infer<typeof GFMenuServiceHoursV2>;
export type GFMenuServicePeriodsV2 = z.infer<typeof GFMenuServicePeriodsV2>;
export type GFModifierGroupV2 = z.infer<typeof GFModifierGroupV2>;
export type GFModifierV2 = z.infer<typeof GFModifierV2>;
export type GFMenuTimeRange = z.infer<typeof GFMenuTimeRange>;
export {};
