import { z } from 'zod';
export declare const FdoGrabfoodSettings: z.ZodObject<z.extendShape<{
    enable: z.ZodBoolean;
}, {
    _id: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
    merchantID: z.ZodString;
    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    lastSynchronize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    printReceiptAfterClose: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    commissionRate: z.ZodNumber;
    autoCloseBill: z.ZodBoolean;
    showProductAddon: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    status: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    updatedAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    menuSyncError: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}>, "strip", z.ZodTypeAny, {
    status?: string | null | undefined;
    _id?: string | undefined;
    catalogId?: string | null | undefined;
    printReceiptAfterClose?: boolean | null | undefined;
    lastSynchronize?: string | null | undefined;
    showProductAddon?: boolean | null | undefined;
    updatedAt?: string | null | undefined;
    menuSyncError?: string | null | undefined;
    enable: boolean;
    autoCloseBill: boolean;
    commissionRate: number;
    merchantID: string;
}, {
    status?: string | null | undefined;
    _id?: string | undefined;
    catalogId?: string | null | undefined;
    printReceiptAfterClose?: boolean | null | undefined;
    lastSynchronize?: string | null | undefined;
    showProductAddon?: boolean | null | undefined;
    updatedAt?: string | null | undefined;
    menuSyncError?: string | null | undefined;
    enable: boolean;
    autoCloseBill: boolean;
    commissionRate: number;
    merchantID: string;
}>;
export type FdoGrabfoodSettings = z.infer<typeof FdoGrabfoodSettings>;
