import { z } from 'zod';
export declare const FdoShopeeFoodDiscountCampaign: z.ZodObject<{
    name: z.ZodString;
    vendorBearPercentage: z.ZodNumber;
    date: z.ZodObject<{
        start: z.ZodString;
        end: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        start: string;
        end: string;
    }, {
        start: string;
        end: string;
    }>;
}, "strip", z.ZodTypeAny, {
    name: string;
    date: {
        start: string;
        end: string;
    };
    vendorBearPercentage: number;
}, {
    name: string;
    date: {
        start: string;
        end: string;
    };
    vendorBearPercentage: number;
}>;
export declare const FdoShopeeFoodReportCalculationConfig: z.ZodObject<{
    commissionRate: z.ZodNumber;
    discountCampaigns: z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        vendorBearPercentage: z.ZodNumber;
        date: z.ZodObject<{
            start: z.ZodString;
            end: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            start: string;
            end: string;
        }, {
            start: string;
            end: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        date: {
            start: string;
            end: string;
        };
        vendorBearPercentage: number;
    }, {
        name: string;
        date: {
            start: string;
            end: string;
        };
        vendorBearPercentage: number;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    commissionRate: number;
    discountCampaigns: {
        name: string;
        date: {
            start: string;
            end: string;
        };
        vendorBearPercentage: number;
    }[];
}, {
    commissionRate: number;
    discountCampaigns: {
        name: string;
        date: {
            start: string;
            end: string;
        };
        vendorBearPercentage: number;
    }[];
}>;
export declare const FdoShopeeFoodSettings: z.ZodObject<z.extendShape<{
    enable: z.ZodBoolean;
}, {
    _id: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
    storeID: z.ZodString;
    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    lastSynchronize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    autoCloseBill: z.ZodBoolean;
    printReceiptAfterClose: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    reportConfig: z.ZodObject<{
        commissionRate: z.ZodNumber;
        discountCampaigns: z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            vendorBearPercentage: z.ZodNumber;
            date: z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                start: string;
                end: string;
            }, {
                start: string;
                end: string;
            }>;
        }, "strip", z.ZodTypeAny, {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }, {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        commissionRate: number;
        discountCampaigns: {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }[];
    }, {
        commissionRate: number;
        discountCampaigns: {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }[];
    }>;
    showProductAddon: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    status: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    updatedAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    menuSyncError: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}>, "strip", z.ZodTypeAny, {
    status?: string | null | undefined;
    _id?: string | undefined;
    catalogId?: string | null | undefined;
    printReceiptAfterClose?: boolean | null | undefined;
    lastSynchronize?: string | null | undefined;
    showProductAddon?: boolean | null | undefined;
    updatedAt?: string | null | undefined;
    menuSyncError?: string | null | undefined;
    enable: boolean;
    autoCloseBill: boolean;
    reportConfig: {
        commissionRate: number;
        discountCampaigns: {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }[];
    };
    storeID: string;
}, {
    status?: string | null | undefined;
    _id?: string | undefined;
    catalogId?: string | null | undefined;
    printReceiptAfterClose?: boolean | null | undefined;
    lastSynchronize?: string | null | undefined;
    showProductAddon?: boolean | null | undefined;
    updatedAt?: string | null | undefined;
    menuSyncError?: string | null | undefined;
    enable: boolean;
    autoCloseBill: boolean;
    reportConfig: {
        commissionRate: number;
        discountCampaigns: {
            name: string;
            date: {
                start: string;
                end: string;
            };
            vendorBearPercentage: number;
        }[];
    };
    storeID: string;
}>;
export type FdoShopeeFoodDiscountCampaign = z.infer<typeof FdoShopeeFoodDiscountCampaign>;
export type FdoShopeeFoodReportCalculationConfig = z.infer<typeof FdoShopeeFoodReportCalculationConfig>;
export type FdoShopeeFoodSettings = z.infer<typeof FdoShopeeFoodSettings>;
