import { z } from 'zod';
export declare const FdoKioskTextSetting: z.ZodRecord<z.ZodString, z.ZodString>;
export declare const FdoKioskOrderInstructionSetting: z.ZodObject<{
    payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
    paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
}, "strip", z.ZodTypeAny, {
    payAtCounter?: Record<string, string> | null | undefined;
    paid?: Record<string, string> | null | undefined;
}, {
    payAtCounter?: Record<string, string> | null | undefined;
    paid?: Record<string, string> | null | undefined;
}>;
export declare const FdoEPaymentMethod: z.ZodObject<{
    card: z.ZodObject<{
        terminal: z.ZodDefault<z.ZodBoolean>;
        nfc: z.ZodDefault<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        terminal: boolean;
        nfc: boolean;
    }, {
        terminal?: boolean | undefined;
        nfc?: boolean | undefined;
    }>;
    eWallet: z.ZodObject<{
        qrPay: z.ZodDefault<z.ZodBoolean>;
        scanPay: z.ZodDefault<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        qrPay: boolean;
        scanPay: boolean;
    }, {
        qrPay?: boolean | undefined;
        scanPay?: boolean | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    card: {
        terminal: boolean;
        nfc: boolean;
    };
    eWallet: {
        qrPay: boolean;
        scanPay: boolean;
    };
}, {
    card: {
        terminal?: boolean | undefined;
        nfc?: boolean | undefined;
    };
    eWallet: {
        qrPay?: boolean | undefined;
        scanPay?: boolean | undefined;
    };
}>;
export declare const FdoOrderKioskPaymentSetting: z.ZodObject<{
    paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodEnum<["cash", "ePayment", "ePaymentNonPayout", "credit", "ePaymentSandbox"]>>, "many">>>;
    offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodObject<{
        name: z.ZodString;
        instruction: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        name: string;
        instruction: string;
    }, {
        name: string;
        instruction: string;
    }>>, "many">>>;
    ePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        card: z.ZodObject<{
            terminal: z.ZodDefault<z.ZodBoolean>;
            nfc: z.ZodDefault<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            terminal: boolean;
            nfc: boolean;
        }, {
            terminal?: boolean | undefined;
            nfc?: boolean | undefined;
        }>;
        eWallet: z.ZodObject<{
            qrPay: z.ZodDefault<z.ZodBoolean>;
            scanPay: z.ZodDefault<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            qrPay: boolean;
            scanPay: boolean;
        }, {
            qrPay?: boolean | undefined;
            scanPay?: boolean | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        card: {
            terminal: boolean;
            nfc: boolean;
        };
        eWallet: {
            qrPay: boolean;
            scanPay: boolean;
        };
    }, {
        card: {
            terminal?: boolean | undefined;
            nfc?: boolean | undefined;
        };
        eWallet: {
            qrPay?: boolean | undefined;
            scanPay?: boolean | undefined;
        };
    }>>>;
}, "strip", z.ZodTypeAny, {
    paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
    offlinePaymentTypes?: {
        name: string;
        instruction: string;
    }[] | null | undefined;
    ePaymentTypes?: {
        card: {
            terminal: boolean;
            nfc: boolean;
        };
        eWallet: {
            qrPay: boolean;
            scanPay: boolean;
        };
    } | null | undefined;
}, {
    paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
    offlinePaymentTypes?: {
        name: string;
        instruction: string;
    }[] | null | undefined;
    ePaymentTypes?: {
        card: {
            terminal?: boolean | undefined;
            nfc?: boolean | undefined;
        };
        eWallet: {
            qrPay?: boolean | undefined;
            scanPay?: boolean | undefined;
        };
    } | null | undefined;
}>;
export declare const FdoOrderKioskSettings: z.ZodObject<{
    dineIn: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        requiredSlot: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        pickUp: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            enabled: z.ZodBoolean;
            enablePaxDialog: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodBoolean>>>;
            submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
            }, "strip", z.ZodTypeAny, {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            }, {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
            enabled: boolean;
            enablePaxDialog: boolean | null;
        }, {
            enablePaxDialog?: boolean | null | undefined;
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
            enabled: boolean;
        }>>>;
        displayStand: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            enabled: z.ZodDefault<z.ZodBoolean>;
            standSlotRange: z.ZodEffects<z.ZodObject<{
                min: z.ZodNumber;
                max: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                min: number;
                max: number;
            }, {
                min: number;
                max: number;
            }>, {
                min: number;
                max: number;
            }, {
                min: number;
                max: number;
            }>;
            prefix: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
            padDigit: z.ZodNumber;
            enablePaxDialog: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodBoolean>>>;
            submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
            }, "strip", z.ZodTypeAny, {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            }, {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
            enabled: boolean;
            standSlotRange: {
                min: number;
                max: number;
            };
            prefix: string | null;
            padDigit: number;
            enablePaxDialog: boolean | null;
        }, {
            enabled?: boolean | undefined;
            prefix?: string | null | undefined;
            enablePaxDialog?: boolean | null | undefined;
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
            standSlotRange: {
                min: number;
                max: number;
            };
            padDigit: number;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        requiredSlot?: boolean | null | undefined;
        pickUp?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
            enabled: boolean;
            enablePaxDialog: boolean | null;
        } | null | undefined;
        displayStand?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
            enabled: boolean;
            standSlotRange: {
                min: number;
                max: number;
            };
            prefix: string | null;
            padDigit: number;
            enablePaxDialog: boolean | null;
        } | null | undefined;
    }, {
        requiredSlot?: boolean | null | undefined;
        pickUp?: {
            enablePaxDialog?: boolean | null | undefined;
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
            enabled: boolean;
        } | null | undefined;
        displayStand?: {
            enabled?: boolean | undefined;
            prefix?: string | null | undefined;
            enablePaxDialog?: boolean | null | undefined;
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
            standSlotRange: {
                min: number;
                max: number;
            };
            padDigit: number;
        } | null | undefined;
    }>>>;
    canTakeaway: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    takeaway: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
            paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
        }, "strip", z.ZodTypeAny, {
            payAtCounter?: Record<string, string> | null | undefined;
            paid?: Record<string, string> | null | undefined;
        }, {
            payAtCounter?: Record<string, string> | null | undefined;
            paid?: Record<string, string> | null | undefined;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        submitOrderInstruction?: {
            payAtCounter?: Record<string, string> | null | undefined;
            paid?: Record<string, string> | null | undefined;
        } | null | undefined;
    }, {
        submitOrderInstruction?: {
            payAtCounter?: Record<string, string> | null | undefined;
            paid?: Record<string, string> | null | undefined;
        } | null | undefined;
    }>>>;
    paymentSetting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodEnum<["cash", "ePayment", "ePaymentNonPayout", "credit", "ePaymentSandbox"]>>, "many">>>;
        offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodObject<{
            name: z.ZodString;
            instruction: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            name: string;
            instruction: string;
        }, {
            name: string;
            instruction: string;
        }>>, "many">>>;
        ePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            card: z.ZodObject<{
                terminal: z.ZodDefault<z.ZodBoolean>;
                nfc: z.ZodDefault<z.ZodBoolean>;
            }, "strip", z.ZodTypeAny, {
                terminal: boolean;
                nfc: boolean;
            }, {
                terminal?: boolean | undefined;
                nfc?: boolean | undefined;
            }>;
            eWallet: z.ZodObject<{
                qrPay: z.ZodDefault<z.ZodBoolean>;
                scanPay: z.ZodDefault<z.ZodBoolean>;
            }, "strip", z.ZodTypeAny, {
                qrPay: boolean;
                scanPay: boolean;
            }, {
                qrPay?: boolean | undefined;
                scanPay?: boolean | undefined;
            }>;
        }, "strip", z.ZodTypeAny, {
            card: {
                terminal: boolean;
                nfc: boolean;
            };
            eWallet: {
                qrPay: boolean;
                scanPay: boolean;
            };
        }, {
            card: {
                terminal?: boolean | undefined;
                nfc?: boolean | undefined;
            };
            eWallet: {
                qrPay?: boolean | undefined;
                scanPay?: boolean | undefined;
            };
        }>>>;
    }, "strip", z.ZodTypeAny, {
        paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        ePaymentTypes?: {
            card: {
                terminal: boolean;
                nfc: boolean;
            };
            eWallet: {
                qrPay: boolean;
                scanPay: boolean;
            };
        } | null | undefined;
    }, {
        paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        ePaymentTypes?: {
            card: {
                terminal?: boolean | undefined;
                nfc?: boolean | undefined;
            };
            eWallet: {
                qrPay?: boolean | undefined;
                scanPay?: boolean | undefined;
            };
        } | null | undefined;
    }>>>;
    menuItem: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        showAllOnly: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        showAllOnly: boolean;
    }, {
        showAllOnly: boolean;
    }>>>;
}, "strip", z.ZodTypeAny, {
    dineIn?: {
        requiredSlot?: boolean | null | undefined;
        pickUp?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
            enabled: boolean;
            enablePaxDialog: boolean | null;
        } | null | undefined;
        displayStand?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
            enabled: boolean;
            standSlotRange: {
                min: number;
                max: number;
            };
            prefix: string | null;
            padDigit: number;
            enablePaxDialog: boolean | null;
        } | null | undefined;
    } | null | undefined;
    canTakeaway?: boolean | null | undefined;
    takeaway?: {
        submitOrderInstruction?: {
            payAtCounter?: Record<string, string> | null | undefined;
            paid?: Record<string, string> | null | undefined;
        } | null | undefined;
    } | null | undefined;
    paymentSetting?: {
        paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        ePaymentTypes?: {
            card: {
                terminal: boolean;
                nfc: boolean;
            };
            eWallet: {
                qrPay: boolean;
                scanPay: boolean;
            };
        } | null | undefined;
    } | null | undefined;
    menuItem?: {
        showAllOnly: boolean;
    } | null | undefined;
}, {
    dineIn?: {
        requiredSlot?: boolean | null | undefined;
        pickUp?: {
            enablePaxDialog?: boolean | null | undefined;
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
            enabled: boolean;
        } | null | undefined;
        displayStand?: {
            enabled?: boolean | undefined;
            prefix?: string | null | undefined;
            enablePaxDialog?: boolean | null | undefined;
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
            standSlotRange: {
                min: number;
                max: number;
            };
            padDigit: number;
        } | null | undefined;
    } | null | undefined;
    canTakeaway?: boolean | null | undefined;
    takeaway?: {
        submitOrderInstruction?: {
            payAtCounter?: Record<string, string> | null | undefined;
            paid?: Record<string, string> | null | undefined;
        } | null | undefined;
    } | null | undefined;
    paymentSetting?: {
        paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        ePaymentTypes?: {
            card: {
                terminal?: boolean | undefined;
                nfc?: boolean | undefined;
            };
            eWallet: {
                qrPay?: boolean | undefined;
                scanPay?: boolean | undefined;
            };
        } | null | undefined;
    } | null | undefined;
    menuItem?: {
        showAllOnly: boolean;
    } | null | undefined;
}>;
export type FdoOrderKioskSettings = z.infer<typeof FdoOrderKioskSettings>;
export type FdoEPaymentMethod = z.infer<typeof FdoEPaymentMethod>;
export type FdoOrderKioskPaymentSetting = z.infer<typeof FdoOrderKioskPaymentSetting>;
export type FdoKioskOrderInstructionSetting = z.infer<typeof FdoKioskOrderInstructionSetting>;
export type FdoKioskTextSetting = z.infer<typeof FdoKioskTextSetting>;
