import { z } from 'zod';
export declare const FdoOrderSettings: z.ZodObject<{
    _id: z.ZodEffects<z.ZodString, string, string>;
    enableV3: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    autoSendKitchen: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    v3Settings: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        dineInCanTakeaway: z.ZodBoolean;
        anonymousLoginDialog: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        subItemDisplayMode: z.ZodNullable<z.ZodOptional<z.ZodEnum<["LIST"]>>>;
    }, "strip", z.ZodTypeAny, {
        anonymousLoginDialog?: boolean | null | undefined;
        subItemDisplayMode?: "LIST" | null | undefined;
        dineInCanTakeaway: boolean;
    }, {
        anonymousLoginDialog?: boolean | null | undefined;
        subItemDisplayMode?: "LIST" | null | undefined;
        dineInCanTakeaway: boolean;
    }>>>;
    upsellingSettings: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        recommandation: z.ZodBoolean;
        item: z.ZodBoolean;
        checkout: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    }, {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    }>>>;
    reservationSettings: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodObject<{
        options: z.ZodEffects<z.ZodArray<z.ZodObject<{
            enable: z.ZodBoolean;
            catalogId: z.ZodOptional<z.ZodString>;
            times: z.ZodAny;
            charges: z.ZodObject<{
                deposit: z.ZodObject<{
                    fixed: z.ZodObject<{
                        currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    }, {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    }>;
                    rate: z.ZodOptional<z.ZodDefault<z.ZodNumber>>;
                }, "strip", z.ZodTypeAny, {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                }, {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                }>;
                serviceCharge: z.ZodObject<{
                    fixed: z.ZodObject<{
                        currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    }, {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    }>;
                    rate: z.ZodOptional<z.ZodDefault<z.ZodNumber>>;
                }, "strip", z.ZodTypeAny, {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                }, {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                }>;
            }, "strip", z.ZodTypeAny, {
                deposit: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
                serviceCharge: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
            }, {
                deposit: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
                serviceCharge: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
            }>;
        }, "strip", z.ZodTypeAny, {
            catalogId?: string | undefined;
            times?: any;
            enable: boolean;
            charges: {
                deposit: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
                serviceCharge: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
            };
        }, {
            catalogId?: string | undefined;
            times?: any;
            enable: boolean;
            charges: {
                deposit: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
                serviceCharge: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
            };
        }>, "many">, {
            id: number;
            catalogId?: string | undefined;
            times?: any;
            enable: boolean;
            charges: {
                deposit: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
                serviceCharge: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
            };
        }[], {
            catalogId?: string | undefined;
            times?: any;
            enable: boolean;
            charges: {
                deposit: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
                serviceCharge: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
            };
        }[]>;
    }, "strip", z.ZodTypeAny, {
        options: {
            id: number;
            catalogId?: string | undefined;
            times?: any;
            enable: boolean;
            charges: {
                deposit: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
                serviceCharge: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
            };
        }[];
    }, {
        options: {
            catalogId?: string | undefined;
            times?: any;
            enable: boolean;
            charges: {
                deposit: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
                serviceCharge: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
            };
        }[];
    }>, {
        enableIdx: number | undefined;
        options: {
            id: number;
            catalogId?: string | undefined;
            times?: any;
            enable: boolean;
            charges: {
                deposit: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
                serviceCharge: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
            };
        }[];
    }, {
        options: {
            catalogId?: string | undefined;
            times?: any;
            enable: boolean;
            charges: {
                deposit: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
                serviceCharge: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
            };
        }[];
    }>>>;
    sequenceSettings: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        takeaway: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
        pickup: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
        inHouseDelivery: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
        feedMeDelivery: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
        reservation: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
        kioskDineIn: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        pickup?: {
            prefix: string;
            current: number;
        } | undefined;
        takeaway?: {
            prefix: string;
            current: number;
        } | undefined;
        inHouseDelivery?: {
            prefix: string;
            current: number;
        } | undefined;
        feedMeDelivery?: {
            prefix: string;
            current: number;
        } | undefined;
        reservation?: {
            prefix: string;
            current: number;
        } | undefined;
        kioskDineIn?: {
            prefix: string;
            current: number;
        } | undefined;
    }, {
        pickup?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        takeaway?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        inHouseDelivery?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        feedMeDelivery?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        reservation?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        kioskDineIn?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
    }>>>;
    kioskSettings: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        dineIn: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            requiredSlot: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            pickUp: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                enabled: z.ZodBoolean;
                enablePaxDialog: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodBoolean>>>;
                submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                    paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                enablePaxDialog: boolean | null;
            }, {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            }>>>;
            displayStand: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                enabled: z.ZodDefault<z.ZodBoolean>;
                standSlotRange: z.ZodEffects<z.ZodObject<{
                    min: z.ZodNumber;
                    max: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    min: number;
                    max: number;
                }, {
                    min: number;
                    max: number;
                }>, {
                    min: number;
                    max: number;
                }, {
                    min: number;
                    max: number;
                }>;
                prefix: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
                padDigit: z.ZodNumber;
                enablePaxDialog: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodBoolean>>>;
                submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                    paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
                enablePaxDialog: boolean | null;
            }, {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                enablePaxDialog: boolean | null;
            } | null | undefined;
            displayStand?: {
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
                enablePaxDialog: boolean | null;
            } | null | undefined;
        }, {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            } | null | undefined;
        }>>>;
        canTakeaway: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        takeaway: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
            }, "strip", z.ZodTypeAny, {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            }, {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        }, {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        }>>>;
        paymentSetting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodEnum<["cash", "ePayment", "ePaymentNonPayout", "credit", "ePaymentSandbox"]>>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>>, "many">>>;
            ePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                card: z.ZodObject<{
                    terminal: z.ZodDefault<z.ZodBoolean>;
                    nfc: z.ZodDefault<z.ZodBoolean>;
                }, "strip", z.ZodTypeAny, {
                    terminal: boolean;
                    nfc: boolean;
                }, {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                }>;
                eWallet: z.ZodObject<{
                    qrPay: z.ZodDefault<z.ZodBoolean>;
                    scanPay: z.ZodDefault<z.ZodBoolean>;
                }, "strip", z.ZodTypeAny, {
                    qrPay: boolean;
                    scanPay: boolean;
                }, {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                }>;
            }, "strip", z.ZodTypeAny, {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            }, {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            }>>>;
        }, "strip", z.ZodTypeAny, {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            } | null | undefined;
        }, {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            } | null | undefined;
        }>>>;
        menuItem: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            showAllOnly: z.ZodBoolean;
        }, "strip", z.ZodTypeAny, {
            showAllOnly: boolean;
        }, {
            showAllOnly: boolean;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                enablePaxDialog: boolean | null;
            } | null | undefined;
            displayStand?: {
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
                enablePaxDialog: boolean | null;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    }, {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    }>>>;
    smsSettings: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        enable: z.ZodBoolean;
        action: z.ZodEnum<["ACCEPT", "SERVE"]>;
        type: z.ZodUnion<[z.ZodEnum<["DINE_IN", "PICKUP", "DELIVERY"]>, z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>]>;
        message: z.ZodObject<{
            raw: z.ZodString;
            keys: z.ZodDefault<z.ZodRecord<z.ZodString, z.ZodEnum<["Bill Receipt Number", "Bill Receipt Total Amount (Net)", "Order Type", "Order Slot", "Order Datetime", "Order Delivery Type", "Restaurant Name", "Restaurant Email", "Restaurant Address", "Restaurant Contact Number"]>>>;
        }, "strip", z.ZodTypeAny, {
            keys: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number">;
            raw: string;
        }, {
            keys?: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number"> | undefined;
            raw: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        message: {
            keys: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number">;
            raw: string;
        };
        type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
        enable: boolean;
        action: "ACCEPT" | "SERVE";
    }, {
        message: {
            keys?: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number"> | undefined;
            raw: string;
        };
        type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
        enable: boolean;
        action: "ACCEPT" | "SERVE";
    }>, "many">>>;
    customization: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        colorScheme: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            primary: z.ZodString;
            base: z.ZodString;
            dark: z.ZodString;
            backgroundColor: z.ZodString;
            baseColor: z.ZodString;
            typoPrimary: z.ZodString;
            typoSecondary: z.ZodString;
            typoTertiary: z.ZodString;
            typoDisabled: z.ZodString;
            typoError: z.ZodString;
            systemError: z.ZodString;
            systemSuccess: z.ZodString;
            dividerColor: z.ZodString;
            buttonPrimary: z.ZodString;
            typoButtonPrimary: z.ZodString;
            buttonSecondary: z.ZodString;
            typoButtonSecondary: z.ZodString;
            buttonTertiary: z.ZodString;
            typoButtonTertiary: z.ZodString;
            buttonPrimaryChip: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        }, {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        colorScheme?: {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        } | null | undefined;
    }, {
        colorScheme?: {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        } | null | undefined;
    }>>>;
    lastOrderMinutesBeforeClose: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
}, "strip", z.ZodTypeAny, {
    customization?: {
        colorScheme?: {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        } | null | undefined;
    } | null | undefined;
    upsellingSettings?: {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    } | null | undefined;
    kioskSettings?: {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                enablePaxDialog: boolean | null;
            } | null | undefined;
            displayStand?: {
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
                enablePaxDialog: boolean | null;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    } | null | undefined;
    enableV3?: boolean | null | undefined;
    autoSendKitchen?: boolean | null | undefined;
    v3Settings?: {
        anonymousLoginDialog?: boolean | null | undefined;
        subItemDisplayMode?: "LIST" | null | undefined;
        dineInCanTakeaway: boolean;
    } | null | undefined;
    reservationSettings?: {
        enableIdx: number | undefined;
        options: {
            id: number;
            catalogId?: string | undefined;
            times?: any;
            enable: boolean;
            charges: {
                deposit: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
                serviceCharge: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
            };
        }[];
    } | null | undefined;
    sequenceSettings?: {
        pickup?: {
            prefix: string;
            current: number;
        } | undefined;
        takeaway?: {
            prefix: string;
            current: number;
        } | undefined;
        inHouseDelivery?: {
            prefix: string;
            current: number;
        } | undefined;
        feedMeDelivery?: {
            prefix: string;
            current: number;
        } | undefined;
        reservation?: {
            prefix: string;
            current: number;
        } | undefined;
        kioskDineIn?: {
            prefix: string;
            current: number;
        } | undefined;
    } | null | undefined;
    smsSettings?: {
        message: {
            keys: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number">;
            raw: string;
        };
        type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
        enable: boolean;
        action: "ACCEPT" | "SERVE";
    }[] | null | undefined;
    lastOrderMinutesBeforeClose?: number | null | undefined;
    _id: string;
}, {
    customization?: {
        colorScheme?: {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        } | null | undefined;
    } | null | undefined;
    upsellingSettings?: {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    } | null | undefined;
    kioskSettings?: {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    } | null | undefined;
    enableV3?: boolean | null | undefined;
    autoSendKitchen?: boolean | null | undefined;
    v3Settings?: {
        anonymousLoginDialog?: boolean | null | undefined;
        subItemDisplayMode?: "LIST" | null | undefined;
        dineInCanTakeaway: boolean;
    } | null | undefined;
    reservationSettings?: {
        options: {
            catalogId?: string | undefined;
            times?: any;
            enable: boolean;
            charges: {
                deposit: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
                serviceCharge: {
                    rate?: number | undefined;
                    fixed: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                };
            };
        }[];
    } | null | undefined;
    sequenceSettings?: {
        pickup?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        takeaway?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        inHouseDelivery?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        feedMeDelivery?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        reservation?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        kioskDineIn?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
    } | null | undefined;
    smsSettings?: {
        message: {
            keys?: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number"> | undefined;
            raw: string;
        };
        type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
        enable: boolean;
        action: "ACCEPT" | "SERVE";
    }[] | null | undefined;
    lastOrderMinutesBeforeClose?: number | null | undefined;
    _id: string;
}>;
export type FdoOrderSettings = z.infer<typeof FdoOrderSettings>;
