import { z } from "zod";
export declare const OrderSettingsDto: z.ZodObject<{
    _id: z.ZodString;
    enableV3: z.ZodDefault<z.ZodBoolean>;
    autoSendKitchen: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    v3Settings: z.ZodDefault<z.ZodObject<{
        dineInCanTakeaway: z.ZodBoolean;
        anonymousLoginDialog: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        subItemDisplayMode: z.ZodNullable<z.ZodOptional<z.ZodEnum<["LIST"]>>>;
    }, "strip", z.ZodTypeAny, {
        anonymousLoginDialog?: boolean | null | undefined;
        subItemDisplayMode?: "LIST" | null | undefined;
        dineInCanTakeaway: boolean;
    }, {
        anonymousLoginDialog?: boolean | null | undefined;
        subItemDisplayMode?: "LIST" | null | undefined;
        dineInCanTakeaway: boolean;
    }>>;
    upsellingSettings: z.ZodDefault<z.ZodObject<{
        recommandation: z.ZodBoolean;
        item: z.ZodBoolean;
        checkout: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    }, {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    }>>;
    reservationSettings: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodObject<{
        enableIdx: z.ZodOptional<z.ZodNumber>;
        options: z.ZodArray<z.ZodObject<{
            enable: z.ZodBoolean;
            catalogId: z.ZodOptional<z.ZodString>;
            times: z.ZodObject<{
                0: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    start: string;
                    end: string;
                }, {
                    start: string;
                    end: string;
                }>, "many">>;
                1: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    start: string;
                    end: string;
                }, {
                    start: string;
                    end: string;
                }>, "many">>;
                2: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    start: string;
                    end: string;
                }, {
                    start: string;
                    end: string;
                }>, "many">>;
                3: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    start: string;
                    end: string;
                }, {
                    start: string;
                    end: string;
                }>, "many">>;
                4: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    start: string;
                    end: string;
                }, {
                    start: string;
                    end: string;
                }>, "many">>;
                5: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    start: string;
                    end: string;
                }, {
                    start: string;
                    end: string;
                }>, "many">>;
                6: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    start: string;
                    end: string;
                }, {
                    start: string;
                    end: string;
                }>, "many">>;
            }, "strip", z.ZodTypeAny, {
                0: {
                    start: string;
                    end: string;
                }[];
                1: {
                    start: string;
                    end: string;
                }[];
                2: {
                    start: string;
                    end: string;
                }[];
                3: {
                    start: string;
                    end: string;
                }[];
                4: {
                    start: string;
                    end: string;
                }[];
                5: {
                    start: string;
                    end: string;
                }[];
                6: {
                    start: string;
                    end: string;
                }[];
            }, {
                0?: {
                    start: string;
                    end: string;
                }[] | undefined;
                1?: {
                    start: string;
                    end: string;
                }[] | undefined;
                2?: {
                    start: string;
                    end: string;
                }[] | undefined;
                3?: {
                    start: string;
                    end: string;
                }[] | undefined;
                4?: {
                    start: string;
                    end: string;
                }[] | undefined;
                5?: {
                    start: string;
                    end: string;
                }[] | undefined;
                6?: {
                    start: string;
                    end: string;
                }[] | undefined;
            }>;
            charges: z.ZodObject<{
                deposit: z.ZodObject<{
                    fixed: z.ZodAny;
                    rate: z.ZodOptional<z.ZodNumber>;
                }, "strip", z.ZodTypeAny, {
                    fixed?: any;
                    rate?: number | undefined;
                }, {
                    fixed?: any;
                    rate?: number | undefined;
                }>;
                serviceCharge: z.ZodDefault<z.ZodObject<{
                    fixed: z.ZodAny;
                    rate: z.ZodOptional<z.ZodNumber>;
                }, "strip", z.ZodTypeAny, {
                    fixed?: any;
                    rate?: number | undefined;
                }, {
                    fixed?: any;
                    rate?: number | undefined;
                }>>;
            }, "strip", z.ZodTypeAny, {
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
                serviceCharge: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            }, {
                serviceCharge?: {
                    fixed?: any;
                    rate?: number | undefined;
                } | undefined;
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            }>;
        }, "strip", z.ZodTypeAny, {
            catalogId?: string | undefined;
            enable: boolean;
            charges: {
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
                serviceCharge: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            };
            times: {
                0: {
                    start: string;
                    end: string;
                }[];
                1: {
                    start: string;
                    end: string;
                }[];
                2: {
                    start: string;
                    end: string;
                }[];
                3: {
                    start: string;
                    end: string;
                }[];
                4: {
                    start: string;
                    end: string;
                }[];
                5: {
                    start: string;
                    end: string;
                }[];
                6: {
                    start: string;
                    end: string;
                }[];
            };
        }, {
            catalogId?: string | undefined;
            enable: boolean;
            charges: {
                serviceCharge?: {
                    fixed?: any;
                    rate?: number | undefined;
                } | undefined;
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            };
            times: {
                0?: {
                    start: string;
                    end: string;
                }[] | undefined;
                1?: {
                    start: string;
                    end: string;
                }[] | undefined;
                2?: {
                    start: string;
                    end: string;
                }[] | undefined;
                3?: {
                    start: string;
                    end: string;
                }[] | undefined;
                4?: {
                    start: string;
                    end: string;
                }[] | undefined;
                5?: {
                    start: string;
                    end: string;
                }[] | undefined;
                6?: {
                    start: string;
                    end: string;
                }[] | undefined;
            };
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        enableIdx?: number | undefined;
        options: {
            catalogId?: string | undefined;
            enable: boolean;
            charges: {
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
                serviceCharge: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            };
            times: {
                0: {
                    start: string;
                    end: string;
                }[];
                1: {
                    start: string;
                    end: string;
                }[];
                2: {
                    start: string;
                    end: string;
                }[];
                3: {
                    start: string;
                    end: string;
                }[];
                4: {
                    start: string;
                    end: string;
                }[];
                5: {
                    start: string;
                    end: string;
                }[];
                6: {
                    start: string;
                    end: string;
                }[];
            };
        }[];
    }, {
        enableIdx?: number | undefined;
        options: {
            catalogId?: string | undefined;
            enable: boolean;
            charges: {
                serviceCharge?: {
                    fixed?: any;
                    rate?: number | undefined;
                } | undefined;
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            };
            times: {
                0?: {
                    start: string;
                    end: string;
                }[] | undefined;
                1?: {
                    start: string;
                    end: string;
                }[] | undefined;
                2?: {
                    start: string;
                    end: string;
                }[] | undefined;
                3?: {
                    start: string;
                    end: string;
                }[] | undefined;
                4?: {
                    start: string;
                    end: string;
                }[] | undefined;
                5?: {
                    start: string;
                    end: string;
                }[] | undefined;
                6?: {
                    start: string;
                    end: string;
                }[] | undefined;
            };
        }[];
    }>, {
        enable: boolean;
        enableIdx?: number | undefined;
        options: {
            catalogId?: string | undefined;
            enable: boolean;
            charges: {
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
                serviceCharge: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            };
            times: {
                0: {
                    start: string;
                    end: string;
                }[];
                1: {
                    start: string;
                    end: string;
                }[];
                2: {
                    start: string;
                    end: string;
                }[];
                3: {
                    start: string;
                    end: string;
                }[];
                4: {
                    start: string;
                    end: string;
                }[];
                5: {
                    start: string;
                    end: string;
                }[];
                6: {
                    start: string;
                    end: string;
                }[];
            };
        }[];
    }, {
        enableIdx?: number | undefined;
        options: {
            catalogId?: string | undefined;
            enable: boolean;
            charges: {
                serviceCharge?: {
                    fixed?: any;
                    rate?: number | undefined;
                } | undefined;
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            };
            times: {
                0?: {
                    start: string;
                    end: string;
                }[] | undefined;
                1?: {
                    start: string;
                    end: string;
                }[] | undefined;
                2?: {
                    start: string;
                    end: string;
                }[] | undefined;
                3?: {
                    start: string;
                    end: string;
                }[] | undefined;
                4?: {
                    start: string;
                    end: string;
                }[] | undefined;
                5?: {
                    start: string;
                    end: string;
                }[] | undefined;
                6?: {
                    start: string;
                    end: string;
                }[] | undefined;
            };
        }[];
    }>>>;
    kioskSettings: z.ZodDefault<z.ZodObject<{
        dineIn: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            requiredSlot: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            pickUp: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                enabled: z.ZodBoolean;
                enablePaxDialog: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                    paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            }, {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            }>>>;
            displayStand: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                enabled: z.ZodDefault<z.ZodBoolean>;
                standSlotRange: z.ZodEffects<z.ZodObject<{
                    min: z.ZodNumber;
                    max: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    min: number;
                    max: number;
                }, {
                    min: number;
                    max: number;
                }>, {
                    min: number;
                    max: number;
                }, {
                    min: number;
                    max: number;
                }>;
                prefix: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
                padDigit: z.ZodNumber;
                enablePaxDialog: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                    paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
            }, {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
            } | null | undefined;
        }, {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            } | null | undefined;
        }>>>;
        canTakeaway: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        takeaway: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
            }, "strip", z.ZodTypeAny, {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            }, {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        }, {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        }>>>;
        paymentSetting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodEnum<["cash", "ePayment", "ePaymentNonPayout", "credit", "ePaymentSandbox"]>>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>>, "many">>>;
            ePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                card: z.ZodObject<{
                    terminal: z.ZodDefault<z.ZodBoolean>;
                    nfc: z.ZodDefault<z.ZodBoolean>;
                }, "strip", z.ZodTypeAny, {
                    terminal: boolean;
                    nfc: boolean;
                }, {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                }>;
                eWallet: z.ZodObject<{
                    qrPay: z.ZodDefault<z.ZodBoolean>;
                    scanPay: z.ZodDefault<z.ZodBoolean>;
                }, "strip", z.ZodTypeAny, {
                    qrPay: boolean;
                    scanPay: boolean;
                }, {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                }>;
            }, "strip", z.ZodTypeAny, {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            }, {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            }>>>;
        }, "strip", z.ZodTypeAny, {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            } | null | undefined;
        }, {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            } | null | undefined;
        }>>>;
        menuItem: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            showAllOnly: z.ZodBoolean;
        }, "strip", z.ZodTypeAny, {
            showAllOnly: boolean;
        }, {
            showAllOnly: boolean;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    }, {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    }>>;
    sequenceSettings: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        takeaway: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
        pickup: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
        inHouseDelivery: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
        feedMeDelivery: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
        reservation: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
        kioskDineIn: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        pickup?: {
            prefix: string;
            current: number;
        } | undefined;
        takeaway?: {
            prefix: string;
            current: number;
        } | undefined;
        inHouseDelivery?: {
            prefix: string;
            current: number;
        } | undefined;
        feedMeDelivery?: {
            prefix: string;
            current: number;
        } | undefined;
        reservation?: {
            prefix: string;
            current: number;
        } | undefined;
        kioskDineIn?: {
            prefix: string;
            current: number;
        } | undefined;
    }, {
        pickup?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        takeaway?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        inHouseDelivery?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        feedMeDelivery?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        reservation?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        kioskDineIn?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
    }>>>;
    smsSettings: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        enable: z.ZodBoolean;
        action: z.ZodEnum<["ACCEPT", "SERVE"]>;
        type: z.ZodUnion<[z.ZodEnum<["DINE_IN", "PICKUP", "DELIVERY"]>, z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>]>;
        message: z.ZodObject<{
            raw: z.ZodString;
            keys: z.ZodDefault<z.ZodRecord<z.ZodString, z.ZodEnum<["Bill Receipt Number", "Bill Receipt Total Amount (Net)", "Order Type", "Order Slot", "Order Datetime", "Order Delivery Type", "Restaurant Name", "Restaurant Email", "Restaurant Address", "Restaurant Contact Number"]>>>;
        }, "strip", z.ZodTypeAny, {
            keys: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number">;
            raw: string;
        }, {
            keys?: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number"> | undefined;
            raw: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        message: {
            keys: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number">;
            raw: string;
        };
        type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
        enable: boolean;
        action: "ACCEPT" | "SERVE";
    }, {
        message: {
            keys?: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number"> | undefined;
            raw: string;
        };
        type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
        enable: boolean;
        action: "ACCEPT" | "SERVE";
    }>, "many">>>;
    customization: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        colorScheme: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            primary: z.ZodString;
            base: z.ZodString;
            dark: z.ZodString;
            backgroundColor: z.ZodString;
            baseColor: z.ZodString;
            bannerColor: z.ZodString;
            typoPrimary: z.ZodString;
            typoSecondary: z.ZodString;
            typoTertiary: z.ZodString;
            typoDisabled: z.ZodString;
            typoError: z.ZodString;
            systemError: z.ZodString;
            systemSuccess: z.ZodString;
            dividerColor: z.ZodString;
            buttonPrimary: z.ZodString;
            typoButtonPrimary: z.ZodString;
            buttonSecondary: z.ZodString;
            typoButtonSecondary: z.ZodString;
            buttonTertiary: z.ZodString;
            typoButtonTertiary: z.ZodString;
            buttonPrimaryChip: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        }, {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        colorScheme?: {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        } | null | undefined;
    }, {
        colorScheme?: {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        } | null | undefined;
    }>>>;
    lastOrderMinutesBeforeClose: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
}, "strip", z.ZodTypeAny, {
    customization?: {
        colorScheme?: {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        } | null | undefined;
    } | null | undefined;
    autoSendKitchen?: boolean | null | undefined;
    reservationSettings?: {
        enable: boolean;
        enableIdx?: number | undefined;
        options: {
            catalogId?: string | undefined;
            enable: boolean;
            charges: {
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
                serviceCharge: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            };
            times: {
                0: {
                    start: string;
                    end: string;
                }[];
                1: {
                    start: string;
                    end: string;
                }[];
                2: {
                    start: string;
                    end: string;
                }[];
                3: {
                    start: string;
                    end: string;
                }[];
                4: {
                    start: string;
                    end: string;
                }[];
                5: {
                    start: string;
                    end: string;
                }[];
                6: {
                    start: string;
                    end: string;
                }[];
            };
        }[];
    } | null | undefined;
    sequenceSettings?: {
        pickup?: {
            prefix: string;
            current: number;
        } | undefined;
        takeaway?: {
            prefix: string;
            current: number;
        } | undefined;
        inHouseDelivery?: {
            prefix: string;
            current: number;
        } | undefined;
        feedMeDelivery?: {
            prefix: string;
            current: number;
        } | undefined;
        reservation?: {
            prefix: string;
            current: number;
        } | undefined;
        kioskDineIn?: {
            prefix: string;
            current: number;
        } | undefined;
    } | null | undefined;
    smsSettings?: {
        message: {
            keys: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number">;
            raw: string;
        };
        type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
        enable: boolean;
        action: "ACCEPT" | "SERVE";
    }[] | null | undefined;
    lastOrderMinutesBeforeClose?: number | null | undefined;
    _id: string;
    upsellingSettings: {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    };
    kioskSettings: {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    };
    enableV3: boolean;
    v3Settings: {
        anonymousLoginDialog?: boolean | null | undefined;
        subItemDisplayMode?: "LIST" | null | undefined;
        dineInCanTakeaway: boolean;
    };
}, {
    customization?: {
        colorScheme?: {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        } | null | undefined;
    } | null | undefined;
    upsellingSettings?: {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    } | undefined;
    kioskSettings?: {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    } | undefined;
    enableV3?: boolean | undefined;
    autoSendKitchen?: boolean | null | undefined;
    v3Settings?: {
        anonymousLoginDialog?: boolean | null | undefined;
        subItemDisplayMode?: "LIST" | null | undefined;
        dineInCanTakeaway: boolean;
    } | undefined;
    reservationSettings?: {
        enableIdx?: number | undefined;
        options: {
            catalogId?: string | undefined;
            enable: boolean;
            charges: {
                serviceCharge?: {
                    fixed?: any;
                    rate?: number | undefined;
                } | undefined;
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            };
            times: {
                0?: {
                    start: string;
                    end: string;
                }[] | undefined;
                1?: {
                    start: string;
                    end: string;
                }[] | undefined;
                2?: {
                    start: string;
                    end: string;
                }[] | undefined;
                3?: {
                    start: string;
                    end: string;
                }[] | undefined;
                4?: {
                    start: string;
                    end: string;
                }[] | undefined;
                5?: {
                    start: string;
                    end: string;
                }[] | undefined;
                6?: {
                    start: string;
                    end: string;
                }[] | undefined;
            };
        }[];
    } | null | undefined;
    sequenceSettings?: {
        pickup?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        takeaway?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        inHouseDelivery?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        feedMeDelivery?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        reservation?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        kioskDineIn?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
    } | null | undefined;
    smsSettings?: {
        message: {
            keys?: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number"> | undefined;
            raw: string;
        };
        type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
        enable: boolean;
        action: "ACCEPT" | "SERVE";
    }[] | null | undefined;
    lastOrderMinutesBeforeClose?: number | null | undefined;
    _id: string;
}>;
export type OrderSettingsDto = z.infer<typeof OrderSettingsDto>;
export declare const OrderSettingUpdateDto: z.ZodObject<Omit<{
    _id: z.ZodString;
    enableV3: z.ZodDefault<z.ZodBoolean>;
    autoSendKitchen: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    v3Settings: z.ZodDefault<z.ZodObject<{
        dineInCanTakeaway: z.ZodBoolean;
        anonymousLoginDialog: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        subItemDisplayMode: z.ZodNullable<z.ZodOptional<z.ZodEnum<["LIST"]>>>;
    }, "strip", z.ZodTypeAny, {
        anonymousLoginDialog?: boolean | null | undefined;
        subItemDisplayMode?: "LIST" | null | undefined;
        dineInCanTakeaway: boolean;
    }, {
        anonymousLoginDialog?: boolean | null | undefined;
        subItemDisplayMode?: "LIST" | null | undefined;
        dineInCanTakeaway: boolean;
    }>>;
    upsellingSettings: z.ZodDefault<z.ZodObject<{
        recommandation: z.ZodBoolean;
        item: z.ZodBoolean;
        checkout: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    }, {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    }>>;
    reservationSettings: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodObject<{
        enableIdx: z.ZodOptional<z.ZodNumber>;
        options: z.ZodArray<z.ZodObject<{
            enable: z.ZodBoolean;
            catalogId: z.ZodOptional<z.ZodString>;
            times: z.ZodObject<{
                0: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    start: string;
                    end: string;
                }, {
                    start: string;
                    end: string;
                }>, "many">>;
                1: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    start: string;
                    end: string;
                }, {
                    start: string;
                    end: string;
                }>, "many">>;
                2: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    start: string;
                    end: string;
                }, {
                    start: string;
                    end: string;
                }>, "many">>;
                3: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    start: string;
                    end: string;
                }, {
                    start: string;
                    end: string;
                }>, "many">>;
                4: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    start: string;
                    end: string;
                }, {
                    start: string;
                    end: string;
                }>, "many">>;
                5: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    start: string;
                    end: string;
                }, {
                    start: string;
                    end: string;
                }>, "many">>;
                6: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    start: string;
                    end: string;
                }, {
                    start: string;
                    end: string;
                }>, "many">>;
            }, "strip", z.ZodTypeAny, {
                0: {
                    start: string;
                    end: string;
                }[];
                1: {
                    start: string;
                    end: string;
                }[];
                2: {
                    start: string;
                    end: string;
                }[];
                3: {
                    start: string;
                    end: string;
                }[];
                4: {
                    start: string;
                    end: string;
                }[];
                5: {
                    start: string;
                    end: string;
                }[];
                6: {
                    start: string;
                    end: string;
                }[];
            }, {
                0?: {
                    start: string;
                    end: string;
                }[] | undefined;
                1?: {
                    start: string;
                    end: string;
                }[] | undefined;
                2?: {
                    start: string;
                    end: string;
                }[] | undefined;
                3?: {
                    start: string;
                    end: string;
                }[] | undefined;
                4?: {
                    start: string;
                    end: string;
                }[] | undefined;
                5?: {
                    start: string;
                    end: string;
                }[] | undefined;
                6?: {
                    start: string;
                    end: string;
                }[] | undefined;
            }>;
            charges: z.ZodObject<{
                deposit: z.ZodObject<{
                    fixed: z.ZodAny;
                    rate: z.ZodOptional<z.ZodNumber>;
                }, "strip", z.ZodTypeAny, {
                    fixed?: any;
                    rate?: number | undefined;
                }, {
                    fixed?: any;
                    rate?: number | undefined;
                }>;
                serviceCharge: z.ZodDefault<z.ZodObject<{
                    fixed: z.ZodAny;
                    rate: z.ZodOptional<z.ZodNumber>;
                }, "strip", z.ZodTypeAny, {
                    fixed?: any;
                    rate?: number | undefined;
                }, {
                    fixed?: any;
                    rate?: number | undefined;
                }>>;
            }, "strip", z.ZodTypeAny, {
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
                serviceCharge: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            }, {
                serviceCharge?: {
                    fixed?: any;
                    rate?: number | undefined;
                } | undefined;
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            }>;
        }, "strip", z.ZodTypeAny, {
            catalogId?: string | undefined;
            enable: boolean;
            charges: {
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
                serviceCharge: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            };
            times: {
                0: {
                    start: string;
                    end: string;
                }[];
                1: {
                    start: string;
                    end: string;
                }[];
                2: {
                    start: string;
                    end: string;
                }[];
                3: {
                    start: string;
                    end: string;
                }[];
                4: {
                    start: string;
                    end: string;
                }[];
                5: {
                    start: string;
                    end: string;
                }[];
                6: {
                    start: string;
                    end: string;
                }[];
            };
        }, {
            catalogId?: string | undefined;
            enable: boolean;
            charges: {
                serviceCharge?: {
                    fixed?: any;
                    rate?: number | undefined;
                } | undefined;
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            };
            times: {
                0?: {
                    start: string;
                    end: string;
                }[] | undefined;
                1?: {
                    start: string;
                    end: string;
                }[] | undefined;
                2?: {
                    start: string;
                    end: string;
                }[] | undefined;
                3?: {
                    start: string;
                    end: string;
                }[] | undefined;
                4?: {
                    start: string;
                    end: string;
                }[] | undefined;
                5?: {
                    start: string;
                    end: string;
                }[] | undefined;
                6?: {
                    start: string;
                    end: string;
                }[] | undefined;
            };
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        enableIdx?: number | undefined;
        options: {
            catalogId?: string | undefined;
            enable: boolean;
            charges: {
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
                serviceCharge: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            };
            times: {
                0: {
                    start: string;
                    end: string;
                }[];
                1: {
                    start: string;
                    end: string;
                }[];
                2: {
                    start: string;
                    end: string;
                }[];
                3: {
                    start: string;
                    end: string;
                }[];
                4: {
                    start: string;
                    end: string;
                }[];
                5: {
                    start: string;
                    end: string;
                }[];
                6: {
                    start: string;
                    end: string;
                }[];
            };
        }[];
    }, {
        enableIdx?: number | undefined;
        options: {
            catalogId?: string | undefined;
            enable: boolean;
            charges: {
                serviceCharge?: {
                    fixed?: any;
                    rate?: number | undefined;
                } | undefined;
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            };
            times: {
                0?: {
                    start: string;
                    end: string;
                }[] | undefined;
                1?: {
                    start: string;
                    end: string;
                }[] | undefined;
                2?: {
                    start: string;
                    end: string;
                }[] | undefined;
                3?: {
                    start: string;
                    end: string;
                }[] | undefined;
                4?: {
                    start: string;
                    end: string;
                }[] | undefined;
                5?: {
                    start: string;
                    end: string;
                }[] | undefined;
                6?: {
                    start: string;
                    end: string;
                }[] | undefined;
            };
        }[];
    }>, {
        enable: boolean;
        enableIdx?: number | undefined;
        options: {
            catalogId?: string | undefined;
            enable: boolean;
            charges: {
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
                serviceCharge: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            };
            times: {
                0: {
                    start: string;
                    end: string;
                }[];
                1: {
                    start: string;
                    end: string;
                }[];
                2: {
                    start: string;
                    end: string;
                }[];
                3: {
                    start: string;
                    end: string;
                }[];
                4: {
                    start: string;
                    end: string;
                }[];
                5: {
                    start: string;
                    end: string;
                }[];
                6: {
                    start: string;
                    end: string;
                }[];
            };
        }[];
    }, {
        enableIdx?: number | undefined;
        options: {
            catalogId?: string | undefined;
            enable: boolean;
            charges: {
                serviceCharge?: {
                    fixed?: any;
                    rate?: number | undefined;
                } | undefined;
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            };
            times: {
                0?: {
                    start: string;
                    end: string;
                }[] | undefined;
                1?: {
                    start: string;
                    end: string;
                }[] | undefined;
                2?: {
                    start: string;
                    end: string;
                }[] | undefined;
                3?: {
                    start: string;
                    end: string;
                }[] | undefined;
                4?: {
                    start: string;
                    end: string;
                }[] | undefined;
                5?: {
                    start: string;
                    end: string;
                }[] | undefined;
                6?: {
                    start: string;
                    end: string;
                }[] | undefined;
            };
        }[];
    }>>>;
    kioskSettings: z.ZodDefault<z.ZodObject<{
        dineIn: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            requiredSlot: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            pickUp: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                enabled: z.ZodBoolean;
                enablePaxDialog: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                    paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            }, {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            }>>>;
            displayStand: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                enabled: z.ZodDefault<z.ZodBoolean>;
                standSlotRange: z.ZodEffects<z.ZodObject<{
                    min: z.ZodNumber;
                    max: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    min: number;
                    max: number;
                }, {
                    min: number;
                    max: number;
                }>, {
                    min: number;
                    max: number;
                }, {
                    min: number;
                    max: number;
                }>;
                prefix: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
                padDigit: z.ZodNumber;
                enablePaxDialog: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                    paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
            }, {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
            } | null | undefined;
        }, {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            } | null | undefined;
        }>>>;
        canTakeaway: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        takeaway: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
            }, "strip", z.ZodTypeAny, {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            }, {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        }, {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        }>>>;
        paymentSetting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodEnum<["cash", "ePayment", "ePaymentNonPayout", "credit", "ePaymentSandbox"]>>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>>, "many">>>;
            ePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                card: z.ZodObject<{
                    terminal: z.ZodDefault<z.ZodBoolean>;
                    nfc: z.ZodDefault<z.ZodBoolean>;
                }, "strip", z.ZodTypeAny, {
                    terminal: boolean;
                    nfc: boolean;
                }, {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                }>;
                eWallet: z.ZodObject<{
                    qrPay: z.ZodDefault<z.ZodBoolean>;
                    scanPay: z.ZodDefault<z.ZodBoolean>;
                }, "strip", z.ZodTypeAny, {
                    qrPay: boolean;
                    scanPay: boolean;
                }, {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                }>;
            }, "strip", z.ZodTypeAny, {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            }, {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            }>>>;
        }, "strip", z.ZodTypeAny, {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            } | null | undefined;
        }, {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            } | null | undefined;
        }>>>;
        menuItem: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            showAllOnly: z.ZodBoolean;
        }, "strip", z.ZodTypeAny, {
            showAllOnly: boolean;
        }, {
            showAllOnly: boolean;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    }, {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    }>>;
    sequenceSettings: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        takeaway: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
        pickup: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
        inHouseDelivery: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
        feedMeDelivery: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
        reservation: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
        kioskDineIn: z.ZodOptional<z.ZodObject<z.extendShape<{
            current: z.ZodNumber;
        }, {
            prefix: z.ZodDefault<z.ZodString>;
            current: z.ZodDefault<z.ZodNumber>;
        }>, "strip", z.ZodTypeAny, {
            prefix: string;
            current: number;
        }, {
            prefix?: string | undefined;
            current?: number | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        pickup?: {
            prefix: string;
            current: number;
        } | undefined;
        takeaway?: {
            prefix: string;
            current: number;
        } | undefined;
        inHouseDelivery?: {
            prefix: string;
            current: number;
        } | undefined;
        feedMeDelivery?: {
            prefix: string;
            current: number;
        } | undefined;
        reservation?: {
            prefix: string;
            current: number;
        } | undefined;
        kioskDineIn?: {
            prefix: string;
            current: number;
        } | undefined;
    }, {
        pickup?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        takeaway?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        inHouseDelivery?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        feedMeDelivery?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        reservation?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        kioskDineIn?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
    }>>>;
    smsSettings: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        enable: z.ZodBoolean;
        action: z.ZodEnum<["ACCEPT", "SERVE"]>;
        type: z.ZodUnion<[z.ZodEnum<["DINE_IN", "PICKUP", "DELIVERY"]>, z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>]>;
        message: z.ZodObject<{
            raw: z.ZodString;
            keys: z.ZodDefault<z.ZodRecord<z.ZodString, z.ZodEnum<["Bill Receipt Number", "Bill Receipt Total Amount (Net)", "Order Type", "Order Slot", "Order Datetime", "Order Delivery Type", "Restaurant Name", "Restaurant Email", "Restaurant Address", "Restaurant Contact Number"]>>>;
        }, "strip", z.ZodTypeAny, {
            keys: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number">;
            raw: string;
        }, {
            keys?: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number"> | undefined;
            raw: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        message: {
            keys: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number">;
            raw: string;
        };
        type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
        enable: boolean;
        action: "ACCEPT" | "SERVE";
    }, {
        message: {
            keys?: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number"> | undefined;
            raw: string;
        };
        type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
        enable: boolean;
        action: "ACCEPT" | "SERVE";
    }>, "many">>>;
    customization: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        colorScheme: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            primary: z.ZodString;
            base: z.ZodString;
            dark: z.ZodString;
            backgroundColor: z.ZodString;
            baseColor: z.ZodString;
            bannerColor: z.ZodString;
            typoPrimary: z.ZodString;
            typoSecondary: z.ZodString;
            typoTertiary: z.ZodString;
            typoDisabled: z.ZodString;
            typoError: z.ZodString;
            systemError: z.ZodString;
            systemSuccess: z.ZodString;
            dividerColor: z.ZodString;
            buttonPrimary: z.ZodString;
            typoButtonPrimary: z.ZodString;
            buttonSecondary: z.ZodString;
            typoButtonSecondary: z.ZodString;
            buttonTertiary: z.ZodString;
            typoButtonTertiary: z.ZodString;
            buttonPrimaryChip: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        }, {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        colorScheme?: {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        } | null | undefined;
    }, {
        colorScheme?: {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        } | null | undefined;
    }>>>;
    lastOrderMinutesBeforeClose: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
}, "_id">, "strip", z.ZodTypeAny, {
    customization?: {
        colorScheme?: {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        } | null | undefined;
    } | null | undefined;
    autoSendKitchen?: boolean | null | undefined;
    reservationSettings?: {
        enable: boolean;
        enableIdx?: number | undefined;
        options: {
            catalogId?: string | undefined;
            enable: boolean;
            charges: {
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
                serviceCharge: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            };
            times: {
                0: {
                    start: string;
                    end: string;
                }[];
                1: {
                    start: string;
                    end: string;
                }[];
                2: {
                    start: string;
                    end: string;
                }[];
                3: {
                    start: string;
                    end: string;
                }[];
                4: {
                    start: string;
                    end: string;
                }[];
                5: {
                    start: string;
                    end: string;
                }[];
                6: {
                    start: string;
                    end: string;
                }[];
            };
        }[];
    } | null | undefined;
    sequenceSettings?: {
        pickup?: {
            prefix: string;
            current: number;
        } | undefined;
        takeaway?: {
            prefix: string;
            current: number;
        } | undefined;
        inHouseDelivery?: {
            prefix: string;
            current: number;
        } | undefined;
        feedMeDelivery?: {
            prefix: string;
            current: number;
        } | undefined;
        reservation?: {
            prefix: string;
            current: number;
        } | undefined;
        kioskDineIn?: {
            prefix: string;
            current: number;
        } | undefined;
    } | null | undefined;
    smsSettings?: {
        message: {
            keys: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number">;
            raw: string;
        };
        type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
        enable: boolean;
        action: "ACCEPT" | "SERVE";
    }[] | null | undefined;
    lastOrderMinutesBeforeClose?: number | null | undefined;
    upsellingSettings: {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    };
    kioskSettings: {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    };
    enableV3: boolean;
    v3Settings: {
        anonymousLoginDialog?: boolean | null | undefined;
        subItemDisplayMode?: "LIST" | null | undefined;
        dineInCanTakeaway: boolean;
    };
}, {
    customization?: {
        colorScheme?: {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        } | null | undefined;
    } | null | undefined;
    upsellingSettings?: {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    } | undefined;
    kioskSettings?: {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    } | undefined;
    enableV3?: boolean | undefined;
    autoSendKitchen?: boolean | null | undefined;
    v3Settings?: {
        anonymousLoginDialog?: boolean | null | undefined;
        subItemDisplayMode?: "LIST" | null | undefined;
        dineInCanTakeaway: boolean;
    } | undefined;
    reservationSettings?: {
        enableIdx?: number | undefined;
        options: {
            catalogId?: string | undefined;
            enable: boolean;
            charges: {
                serviceCharge?: {
                    fixed?: any;
                    rate?: number | undefined;
                } | undefined;
                deposit: {
                    fixed?: any;
                    rate?: number | undefined;
                };
            };
            times: {
                0?: {
                    start: string;
                    end: string;
                }[] | undefined;
                1?: {
                    start: string;
                    end: string;
                }[] | undefined;
                2?: {
                    start: string;
                    end: string;
                }[] | undefined;
                3?: {
                    start: string;
                    end: string;
                }[] | undefined;
                4?: {
                    start: string;
                    end: string;
                }[] | undefined;
                5?: {
                    start: string;
                    end: string;
                }[] | undefined;
                6?: {
                    start: string;
                    end: string;
                }[] | undefined;
            };
        }[];
    } | null | undefined;
    sequenceSettings?: {
        pickup?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        takeaway?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        inHouseDelivery?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        feedMeDelivery?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        reservation?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
        kioskDineIn?: {
            prefix?: string | undefined;
            current?: number | undefined;
        } | undefined;
    } | null | undefined;
    smsSettings?: {
        message: {
            keys?: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number"> | undefined;
            raw: string;
        };
        type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
        enable: boolean;
        action: "ACCEPT" | "SERVE";
    }[] | null | undefined;
    lastOrderMinutesBeforeClose?: number | null | undefined;
}>;
export type OrderSettingUpdateDto = z.infer<typeof OrderSettingUpdateDto>;
