import { z } from "zod";
export declare const OrderQueueSettingDto: z.ZodObject<{
    enable: z.ZodBoolean;
    code: z.ZodObject<{
        initial: z.ZodNumber;
        prefix: z.ZodString;
        current: z.ZodNumber;
        suffix: z.ZodString;
        limit: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    }, "strip", z.ZodTypeAny, {
        limit?: number | null | undefined;
        prefix: string;
        initial: number;
        current: number;
        suffix: string;
    }, {
        limit?: number | null | undefined;
        prefix: string;
        initial: number;
        current: number;
        suffix: string;
    }>;
    time: z.ZodObject<{
        custom: z.ZodNullable<z.ZodOptional<z.ZodAny>>;
    }, "strip", z.ZodTypeAny, {
        custom?: any;
    }, {
        custom?: any;
    }>;
    canOrder: z.ZodObject<{
        is: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        is: boolean;
    }, {
        is: boolean;
    }>;
    canAutoCall: z.ZodObject<{
        is: z.ZodBoolean;
        limit: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        limit: number;
        is: boolean;
    }, {
        limit: number;
        is: boolean;
    }>;
    canAutoCancel: z.ZodObject<{
        is: z.ZodBoolean;
        duration: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        is: boolean;
        duration: number;
    }, {
        is: boolean;
        duration: number;
    }>;
}, "strip", z.ZodTypeAny, {
    code: {
        limit?: number | null | undefined;
        prefix: string;
        initial: number;
        current: number;
        suffix: string;
    };
    time: {
        custom?: any;
    };
    enable: boolean;
    canOrder: {
        is: boolean;
    };
    canAutoCall: {
        limit: number;
        is: boolean;
    };
    canAutoCancel: {
        is: boolean;
        duration: number;
    };
}, {
    code: {
        limit?: number | null | undefined;
        prefix: string;
        initial: number;
        current: number;
        suffix: string;
    };
    time: {
        custom?: any;
    };
    enable: boolean;
    canOrder: {
        is: boolean;
    };
    canAutoCall: {
        limit: number;
        is: boolean;
    };
    canAutoCancel: {
        is: boolean;
        duration: number;
    };
}>;
export declare const RestaurantQueueSettingDto: z.ZodObject<{
    enableOrder: z.ZodBoolean;
    initialNumber: z.ZodNumber;
    endNumber: z.ZodNumber;
    currentNumber: z.ZodNumber;
    autoCalledLimit: z.ZodNumber;
    duration: z.ZodDefault<z.ZodNumber>;
}, "strip", z.ZodTypeAny, {
    duration: number;
    enableOrder: boolean;
    initialNumber: number;
    endNumber: number;
    currentNumber: number;
    autoCalledLimit: number;
}, {
    duration?: number | undefined;
    enableOrder: boolean;
    initialNumber: number;
    endNumber: number;
    currentNumber: number;
    autoCalledLimit: number;
}>;
export type RestaurantQueueSettingDto = z.infer<typeof RestaurantQueueSettingDto>;
