import { z } from "zod";
export declare const FdoBaseOrderNumberSettings: z.ZodObject<{
    current: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    current: number;
}, {
    current: number;
}>;
export declare const FdoOrderTakeawaySequence: z.ZodObject<z.extendShape<{
    current: z.ZodNumber;
}, {
    prefix: z.ZodDefault<z.ZodString>;
    current: z.ZodDefault<z.ZodNumber>;
}>, "strip", z.ZodTypeAny, {
    prefix: string;
    current: number;
}, {
    prefix?: string | undefined;
    current?: number | undefined;
}>;
export declare const FdoOrderPickUpSequence: z.ZodObject<z.extendShape<{
    current: z.ZodNumber;
}, {
    prefix: z.ZodDefault<z.ZodString>;
    current: z.ZodDefault<z.ZodNumber>;
}>, "strip", z.ZodTypeAny, {
    prefix: string;
    current: number;
}, {
    prefix?: string | undefined;
    current?: number | undefined;
}>;
export declare const FdoOrderDeliveryInHouseSequence: z.ZodObject<z.extendShape<{
    current: z.ZodNumber;
}, {
    prefix: z.ZodDefault<z.ZodString>;
    current: z.ZodDefault<z.ZodNumber>;
}>, "strip", z.ZodTypeAny, {
    prefix: string;
    current: number;
}, {
    prefix?: string | undefined;
    current?: number | undefined;
}>;
export declare const FdoOrderDeliveryFeedMeSequence: z.ZodObject<z.extendShape<{
    current: z.ZodNumber;
}, {
    prefix: z.ZodDefault<z.ZodString>;
    current: z.ZodDefault<z.ZodNumber>;
}>, "strip", z.ZodTypeAny, {
    prefix: string;
    current: number;
}, {
    prefix?: string | undefined;
    current?: number | undefined;
}>;
export declare const FdoOrderKioskDineInSequence: z.ZodObject<z.extendShape<{
    current: z.ZodNumber;
}, {
    prefix: z.ZodDefault<z.ZodString>;
    current: z.ZodDefault<z.ZodNumber>;
}>, "strip", z.ZodTypeAny, {
    prefix: string;
    current: number;
}, {
    prefix?: string | undefined;
    current?: number | undefined;
}>;
export type FdoOrderKioskDineInSequence = z.infer<typeof FdoOrderKioskDineInSequence>;
export declare const FdoOrderReservationSequence: z.ZodObject<z.extendShape<{
    current: z.ZodNumber;
}, {
    prefix: z.ZodDefault<z.ZodString>;
    current: z.ZodDefault<z.ZodNumber>;
}>, "strip", z.ZodTypeAny, {
    prefix: string;
    current: number;
}, {
    prefix?: string | undefined;
    current?: number | undefined;
}>;
export declare const FdoOrderSequenceSettings: z.ZodObject<{
    takeaway: z.ZodOptional<z.ZodObject<z.extendShape<{
        current: z.ZodNumber;
    }, {
        prefix: z.ZodDefault<z.ZodString>;
        current: z.ZodDefault<z.ZodNumber>;
    }>, "strip", z.ZodTypeAny, {
        prefix: string;
        current: number;
    }, {
        prefix?: string | undefined;
        current?: number | undefined;
    }>>;
    pickup: z.ZodOptional<z.ZodObject<z.extendShape<{
        current: z.ZodNumber;
    }, {
        prefix: z.ZodDefault<z.ZodString>;
        current: z.ZodDefault<z.ZodNumber>;
    }>, "strip", z.ZodTypeAny, {
        prefix: string;
        current: number;
    }, {
        prefix?: string | undefined;
        current?: number | undefined;
    }>>;
    inHouseDelivery: z.ZodOptional<z.ZodObject<z.extendShape<{
        current: z.ZodNumber;
    }, {
        prefix: z.ZodDefault<z.ZodString>;
        current: z.ZodDefault<z.ZodNumber>;
    }>, "strip", z.ZodTypeAny, {
        prefix: string;
        current: number;
    }, {
        prefix?: string | undefined;
        current?: number | undefined;
    }>>;
    feedMeDelivery: z.ZodOptional<z.ZodObject<z.extendShape<{
        current: z.ZodNumber;
    }, {
        prefix: z.ZodDefault<z.ZodString>;
        current: z.ZodDefault<z.ZodNumber>;
    }>, "strip", z.ZodTypeAny, {
        prefix: string;
        current: number;
    }, {
        prefix?: string | undefined;
        current?: number | undefined;
    }>>;
    reservation: z.ZodOptional<z.ZodObject<z.extendShape<{
        current: z.ZodNumber;
    }, {
        prefix: z.ZodDefault<z.ZodString>;
        current: z.ZodDefault<z.ZodNumber>;
    }>, "strip", z.ZodTypeAny, {
        prefix: string;
        current: number;
    }, {
        prefix?: string | undefined;
        current?: number | undefined;
    }>>;
    kioskDineIn: z.ZodOptional<z.ZodObject<z.extendShape<{
        current: z.ZodNumber;
    }, {
        prefix: z.ZodDefault<z.ZodString>;
        current: z.ZodDefault<z.ZodNumber>;
    }>, "strip", z.ZodTypeAny, {
        prefix: string;
        current: number;
    }, {
        prefix?: string | undefined;
        current?: number | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    pickup?: {
        prefix: string;
        current: number;
    } | undefined;
    takeaway?: {
        prefix: string;
        current: number;
    } | undefined;
    inHouseDelivery?: {
        prefix: string;
        current: number;
    } | undefined;
    feedMeDelivery?: {
        prefix: string;
        current: number;
    } | undefined;
    reservation?: {
        prefix: string;
        current: number;
    } | undefined;
    kioskDineIn?: {
        prefix: string;
        current: number;
    } | undefined;
}, {
    pickup?: {
        prefix?: string | undefined;
        current?: number | undefined;
    } | undefined;
    takeaway?: {
        prefix?: string | undefined;
        current?: number | undefined;
    } | undefined;
    inHouseDelivery?: {
        prefix?: string | undefined;
        current?: number | undefined;
    } | undefined;
    feedMeDelivery?: {
        prefix?: string | undefined;
        current?: number | undefined;
    } | undefined;
    reservation?: {
        prefix?: string | undefined;
        current?: number | undefined;
    } | undefined;
    kioskDineIn?: {
        prefix?: string | undefined;
        current?: number | undefined;
    } | undefined;
}>;
export type FdoOrderTakeawaySequence = z.infer<typeof FdoOrderTakeawaySequence>;
export type FdoOrderPickUpSequence = z.infer<typeof FdoOrderPickUpSequence>;
export type FdoOrderDeliveryInHouseSequence = z.infer<typeof FdoOrderDeliveryInHouseSequence>;
export type FdoOrderDeliveryFeedMeSequence = z.infer<typeof FdoOrderDeliveryFeedMeSequence>;
export type FdoOrderReservationSequence = z.infer<typeof FdoOrderReservationSequence>;
export type FdoOrderSequenceSettings = z.infer<typeof FdoOrderSequenceSettings>;
