import { z } from 'zod';
export declare const OrderTakeawaySequenceDto: z.ZodObject<z.extendShape<{
    current: z.ZodNumber;
}, {
    prefix: z.ZodDefault<z.ZodString>;
    current: z.ZodDefault<z.ZodNumber>;
}>, "strip", z.ZodTypeAny, {
    prefix: string;
    current: number;
}, {
    prefix?: string | undefined;
    current?: number | undefined;
}>;
export declare const OrderPickUpSequenceDto: z.ZodObject<z.extendShape<{
    current: z.ZodNumber;
}, {
    prefix: z.ZodDefault<z.ZodString>;
    current: z.ZodDefault<z.ZodNumber>;
}>, "strip", z.ZodTypeAny, {
    prefix: string;
    current: number;
}, {
    prefix?: string | undefined;
    current?: number | undefined;
}>;
export declare const OrderDeliveryInHouseSequenceDto: z.ZodObject<z.extendShape<{
    current: z.ZodNumber;
}, {
    prefix: z.ZodDefault<z.ZodString>;
    current: z.ZodDefault<z.ZodNumber>;
}>, "strip", z.ZodTypeAny, {
    prefix: string;
    current: number;
}, {
    prefix?: string | undefined;
    current?: number | undefined;
}>;
export declare const OrderDeliveryFeedMeSequenceDto: z.ZodObject<z.extendShape<{
    current: z.ZodNumber;
}, {
    prefix: z.ZodDefault<z.ZodString>;
    current: z.ZodDefault<z.ZodNumber>;
}>, "strip", z.ZodTypeAny, {
    prefix: string;
    current: number;
}, {
    prefix?: string | undefined;
    current?: number | undefined;
}>;
export declare const OrderReservationSequenceDto: z.ZodObject<z.extendShape<{
    current: z.ZodNumber;
}, {
    prefix: z.ZodDefault<z.ZodString>;
    current: z.ZodDefault<z.ZodNumber>;
}>, "strip", z.ZodTypeAny, {
    prefix: string;
    current: number;
}, {
    prefix?: string | undefined;
    current?: number | undefined;
}>;
export declare const OrderKioskDineInSequenceDto: z.ZodObject<z.extendShape<{
    current: z.ZodNumber;
}, {
    prefix: z.ZodDefault<z.ZodString>;
    current: z.ZodDefault<z.ZodNumber>;
}>, "strip", z.ZodTypeAny, {
    prefix: string;
    current: number;
}, {
    prefix?: string | undefined;
    current?: number | undefined;
}>;
export declare const OrderSequenceSettingsDto: z.ZodObject<{
    takeaway: z.ZodOptional<z.ZodObject<z.extendShape<{
        current: z.ZodNumber;
    }, {
        prefix: z.ZodDefault<z.ZodString>;
        current: z.ZodDefault<z.ZodNumber>;
    }>, "strip", z.ZodTypeAny, {
        prefix: string;
        current: number;
    }, {
        prefix?: string | undefined;
        current?: number | undefined;
    }>>;
    pickup: z.ZodOptional<z.ZodObject<z.extendShape<{
        current: z.ZodNumber;
    }, {
        prefix: z.ZodDefault<z.ZodString>;
        current: z.ZodDefault<z.ZodNumber>;
    }>, "strip", z.ZodTypeAny, {
        prefix: string;
        current: number;
    }, {
        prefix?: string | undefined;
        current?: number | undefined;
    }>>;
    inHouseDelivery: z.ZodOptional<z.ZodObject<z.extendShape<{
        current: z.ZodNumber;
    }, {
        prefix: z.ZodDefault<z.ZodString>;
        current: z.ZodDefault<z.ZodNumber>;
    }>, "strip", z.ZodTypeAny, {
        prefix: string;
        current: number;
    }, {
        prefix?: string | undefined;
        current?: number | undefined;
    }>>;
    feedMeDelivery: z.ZodOptional<z.ZodObject<z.extendShape<{
        current: z.ZodNumber;
    }, {
        prefix: z.ZodDefault<z.ZodString>;
        current: z.ZodDefault<z.ZodNumber>;
    }>, "strip", z.ZodTypeAny, {
        prefix: string;
        current: number;
    }, {
        prefix?: string | undefined;
        current?: number | undefined;
    }>>;
    reservation: z.ZodOptional<z.ZodObject<z.extendShape<{
        current: z.ZodNumber;
    }, {
        prefix: z.ZodDefault<z.ZodString>;
        current: z.ZodDefault<z.ZodNumber>;
    }>, "strip", z.ZodTypeAny, {
        prefix: string;
        current: number;
    }, {
        prefix?: string | undefined;
        current?: number | undefined;
    }>>;
    kioskDineIn: z.ZodOptional<z.ZodObject<z.extendShape<{
        current: z.ZodNumber;
    }, {
        prefix: z.ZodDefault<z.ZodString>;
        current: z.ZodDefault<z.ZodNumber>;
    }>, "strip", z.ZodTypeAny, {
        prefix: string;
        current: number;
    }, {
        prefix?: string | undefined;
        current?: number | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    pickup?: {
        prefix: string;
        current: number;
    } | undefined;
    takeaway?: {
        prefix: string;
        current: number;
    } | undefined;
    inHouseDelivery?: {
        prefix: string;
        current: number;
    } | undefined;
    feedMeDelivery?: {
        prefix: string;
        current: number;
    } | undefined;
    reservation?: {
        prefix: string;
        current: number;
    } | undefined;
    kioskDineIn?: {
        prefix: string;
        current: number;
    } | undefined;
}, {
    pickup?: {
        prefix?: string | undefined;
        current?: number | undefined;
    } | undefined;
    takeaway?: {
        prefix?: string | undefined;
        current?: number | undefined;
    } | undefined;
    inHouseDelivery?: {
        prefix?: string | undefined;
        current?: number | undefined;
    } | undefined;
    feedMeDelivery?: {
        prefix?: string | undefined;
        current?: number | undefined;
    } | undefined;
    reservation?: {
        prefix?: string | undefined;
        current?: number | undefined;
    } | undefined;
    kioskDineIn?: {
        prefix?: string | undefined;
        current?: number | undefined;
    } | undefined;
}>;
export declare const FdtoOrderSequenceSettings: z.ZodObject<{
    prefix: z.ZodString;
    current: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    prefix: string;
    current: number;
}, {
    prefix: string;
    current: number;
}>;
export declare const OrderSequenceSettingDto: z.ZodObject<z.extendShape<{
    prefix: z.ZodString;
    current: z.ZodNumber;
}, {
    next: z.ZodNumber;
    code: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    code: string;
    prefix: string;
    current: number;
    next: number;
}, {
    code: string;
    prefix: string;
    current: number;
    next: number;
}>;
export type OrderSequenceSettingDto = z.infer<typeof OrderSequenceSettingDto>;
export type OrderTakeawaySequenceDto = z.infer<typeof OrderTakeawaySequenceDto>;
export type OrderPickUpSequenceDto = z.infer<typeof OrderPickUpSequenceDto>;
export type OrderDeliveryInHouseSequenceDto = z.infer<typeof OrderDeliveryInHouseSequenceDto>;
export type OrderDeliveryFeedMeSequenceDto = z.infer<typeof OrderDeliveryFeedMeSequenceDto>;
export type OrderReservationSequenceDto = z.infer<typeof OrderReservationSequenceDto>;
export type OrderKioskDineInSequenceDto = z.infer<typeof OrderKioskDineInSequenceDto>;
export type OrderSequenceSettingsDto = z.infer<typeof OrderSequenceSettingsDto>;
export type FdtoOrderSequenceSettings = z.infer<typeof FdtoOrderSequenceSettings>;
