import { z } from "zod";
export declare const OrderSmsMessageSettingDto: z.ZodObject<{
    raw: z.ZodString;
    keys: z.ZodDefault<z.ZodRecord<z.ZodString, z.ZodEnum<["Bill Receipt Number", "Bill Receipt Total Amount (Net)", "Order Type", "Order Slot", "Order Datetime", "Order Delivery Type", "Restaurant Name", "Restaurant Email", "Restaurant Address", "Restaurant Contact Number"]>>>;
}, "strip", z.ZodTypeAny, {
    keys: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number">;
    raw: string;
}, {
    keys?: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number"> | undefined;
    raw: string;
}>;
export declare const OrderSmsSettingDto: z.ZodObject<{
    enable: z.ZodBoolean;
    action: z.ZodEnum<["ACCEPT", "SERVE"]>;
    type: z.ZodUnion<[z.ZodEnum<["DINE_IN", "PICKUP", "DELIVERY"]>, z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>]>;
    message: z.ZodObject<{
        raw: z.ZodString;
        keys: z.ZodDefault<z.ZodRecord<z.ZodString, z.ZodEnum<["Bill Receipt Number", "Bill Receipt Total Amount (Net)", "Order Type", "Order Slot", "Order Datetime", "Order Delivery Type", "Restaurant Name", "Restaurant Email", "Restaurant Address", "Restaurant Contact Number"]>>>;
    }, "strip", z.ZodTypeAny, {
        keys: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number">;
        raw: string;
    }, {
        keys?: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number"> | undefined;
        raw: string;
    }>;
}, "strip", z.ZodTypeAny, {
    message: {
        keys: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number">;
        raw: string;
    };
    type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
    enable: boolean;
    action: "ACCEPT" | "SERVE";
}, {
    message: {
        keys?: Record<string, "Bill Receipt Number" | "Bill Receipt Total Amount (Net)" | "Order Type" | "Order Slot" | "Order Datetime" | "Order Delivery Type" | "Restaurant Name" | "Restaurant Email" | "Restaurant Address" | "Restaurant Contact Number"> | undefined;
        raw: string;
    };
    type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY" | "DINE_IN" | "PICKUP" | "DELIVERY";
    enable: boolean;
    action: "ACCEPT" | "SERVE";
}>;
export type OrderSmsMessageSettingDto = z.infer<typeof OrderSmsMessageSettingDto>;
export type OrderSmsSettingDto = z.infer<typeof OrderSmsSettingDto>;
