import { z } from 'zod';
export declare const FdoDineInBaseSubOption: z.ZodObject<{
    type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
}, "strip", z.ZodTypeAny, {
    type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY";
}, {
    type: "QUEUE" | "RESERVATION" | "QR" | "TAKEAWAY";
}>;
export declare const FdoDineInQROption: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
}, {
    type: z.ZodLiteral<"QR">;
    session: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    slot: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    session?: string | null | undefined;
    slot: string;
    type: "QR";
}, {
    session?: string | null | undefined;
    slot: string;
    type: "QR";
}>;
export declare const FdoDineInQueueOption: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
}, {
    type: z.ZodLiteral<"QUEUE">;
    queueId: z.ZodEffects<z.ZodString, string, string>;
    slot: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}>, "strip", z.ZodTypeAny, {
    slot?: string | null | undefined;
    type: "QUEUE";
    queueId: string;
}, {
    slot?: string | null | undefined;
    type: "QUEUE";
    queueId: string;
}>;
export declare const FdoDineInReservationOption: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
}, {
    type: z.ZodLiteral<"RESERVATION">;
    reservationId: z.ZodEffects<z.ZodString, string, string>;
    pf_booking: z.ZodOptional<z.ZodLazy<z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        type: z.ZodEnum<["QUEUE", "RESERVATION"]>;
        restaurantId: z.ZodString;
        userId: z.ZodOptional<z.ZodString>;
        seqNumber: z.ZodOptional<z.ZodString>;
        pax: z.ZodNumber;
        rejectReason: z.ZodOptional<z.ZodString>;
        pf_restaurant: z.ZodOptional<z.ZodAny>;
        pf_user: z.ZodOptional<z.ZodAny>;
    }, {
        type: z.ZodLiteral<"RESERVATION">;
        reserveAt: z.ZodString;
    }>, "strip", z.ZodTypeAny, {
        seqNumber?: string | undefined;
        userId?: string | undefined;
        rejectReason?: string | undefined;
        pf_restaurant?: any;
        pf_user?: any;
        type: "RESERVATION";
        _id: string;
        restaurantId: string;
        pax: number;
        reserveAt: string;
    }, {
        seqNumber?: string | undefined;
        userId?: string | undefined;
        rejectReason?: string | undefined;
        pf_restaurant?: any;
        pf_user?: any;
        type: "RESERVATION";
        _id: string;
        restaurantId: string;
        pax: number;
        reserveAt: string;
    }>>>;
    slot: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}>, "strip", z.ZodTypeAny, {
    slot?: string | null | undefined;
    pf_booking?: {
        seqNumber?: string | undefined;
        userId?: string | undefined;
        rejectReason?: string | undefined;
        pf_restaurant?: any;
        pf_user?: any;
        type: "RESERVATION";
        _id: string;
        restaurantId: string;
        pax: number;
        reserveAt: string;
    } | undefined;
    type: "RESERVATION";
    reservationId: string;
}, {
    slot?: string | null | undefined;
    pf_booking?: {
        seqNumber?: string | undefined;
        userId?: string | undefined;
        rejectReason?: string | undefined;
        pf_restaurant?: any;
        pf_user?: any;
        type: "RESERVATION";
        _id: string;
        restaurantId: string;
        pax: number;
        reserveAt: string;
    } | undefined;
    type: "RESERVATION";
    reservationId: string;
}>;
export declare const FdoDineInTakeawayOption: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
}, {
    type: z.ZodLiteral<"TAKEAWAY">;
    slot: z.ZodString;
    seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}>, "strip", z.ZodTypeAny, {
    seqNumber?: string | null | undefined;
    slot: string;
    type: "TAKEAWAY";
}, {
    seqNumber?: string | null | undefined;
    slot: string;
    type: "TAKEAWAY";
}>;
export declare const FdoDineInSubOption: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
}, {
    type: z.ZodLiteral<"QR">;
    session: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    slot: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    session?: string | null | undefined;
    slot: string;
    type: "QR";
}, {
    session?: string | null | undefined;
    slot: string;
    type: "QR";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
}, {
    type: z.ZodLiteral<"QUEUE">;
    queueId: z.ZodEffects<z.ZodString, string, string>;
    slot: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}>, "strip", z.ZodTypeAny, {
    slot?: string | null | undefined;
    type: "QUEUE";
    queueId: string;
}, {
    slot?: string | null | undefined;
    type: "QUEUE";
    queueId: string;
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
}, {
    type: z.ZodLiteral<"RESERVATION">;
    reservationId: z.ZodEffects<z.ZodString, string, string>;
    pf_booking: z.ZodOptional<z.ZodLazy<z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        type: z.ZodEnum<["QUEUE", "RESERVATION"]>;
        restaurantId: z.ZodString;
        userId: z.ZodOptional<z.ZodString>;
        seqNumber: z.ZodOptional<z.ZodString>;
        pax: z.ZodNumber;
        rejectReason: z.ZodOptional<z.ZodString>;
        pf_restaurant: z.ZodOptional<z.ZodAny>;
        pf_user: z.ZodOptional<z.ZodAny>;
    }, {
        type: z.ZodLiteral<"RESERVATION">;
        reserveAt: z.ZodString;
    }>, "strip", z.ZodTypeAny, {
        seqNumber?: string | undefined;
        userId?: string | undefined;
        rejectReason?: string | undefined;
        pf_restaurant?: any;
        pf_user?: any;
        type: "RESERVATION";
        _id: string;
        restaurantId: string;
        pax: number;
        reserveAt: string;
    }, {
        seqNumber?: string | undefined;
        userId?: string | undefined;
        rejectReason?: string | undefined;
        pf_restaurant?: any;
        pf_user?: any;
        type: "RESERVATION";
        _id: string;
        restaurantId: string;
        pax: number;
        reserveAt: string;
    }>>>;
    slot: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}>, "strip", z.ZodTypeAny, {
    slot?: string | null | undefined;
    pf_booking?: {
        seqNumber?: string | undefined;
        userId?: string | undefined;
        rejectReason?: string | undefined;
        pf_restaurant?: any;
        pf_user?: any;
        type: "RESERVATION";
        _id: string;
        restaurantId: string;
        pax: number;
        reserveAt: string;
    } | undefined;
    type: "RESERVATION";
    reservationId: string;
}, {
    slot?: string | null | undefined;
    pf_booking?: {
        seqNumber?: string | undefined;
        userId?: string | undefined;
        rejectReason?: string | undefined;
        pf_restaurant?: any;
        pf_user?: any;
        type: "RESERVATION";
        _id: string;
        restaurantId: string;
        pax: number;
        reserveAt: string;
    } | undefined;
    type: "RESERVATION";
    reservationId: string;
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
}, {
    type: z.ZodLiteral<"TAKEAWAY">;
    slot: z.ZodString;
    seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}>, "strip", z.ZodTypeAny, {
    seqNumber?: string | null | undefined;
    slot: string;
    type: "TAKEAWAY";
}, {
    seqNumber?: string | null | undefined;
    slot: string;
    type: "TAKEAWAY";
}>>;
export type FdoDineInQROption = z.infer<typeof FdoDineInQROption>;
export type FdoDineInQueueOption = z.infer<typeof FdoDineInQueueOption>;
export type FdoDineInReservationOption = z.infer<typeof FdoDineInReservationOption>;
export type FdoDineInTakeawayOption = z.infer<typeof FdoDineInTakeawayOption>;
export type FdoDineInSubOption = z.infer<typeof FdoDineInSubOption>;
