import { z } from 'zod';
export declare const FdoQrOrdering: z.ZodObject<{
    _id: z.ZodString;
    autoAccept: z.ZodBoolean;
    autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    dynamicSessions: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        tableName: z.ZodString;
        billId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        expiredAt: z.ZodString;
        singleUse: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        billId?: string | null | undefined;
        id: string;
        expiredAt: string;
        tableName: string;
        singleUse: boolean;
    }, {
        billId?: string | null | undefined;
        id: string;
        expiredAt: string;
        tableName: string;
        singleUse: boolean;
    }>, "many">;
    staticSessions: z.ZodArray<z.ZodObject<{
        tableName: z.ZodString;
        lastClosedAt: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        tableName: string;
        lastClosedAt: string;
    }, {
        tableName: string;
        lastClosedAt: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    autoAcceptPaidOnly?: boolean | null | undefined;
    _id: string;
    autoAccept: boolean;
    dynamicSessions: {
        billId?: string | null | undefined;
        id: string;
        expiredAt: string;
        tableName: string;
        singleUse: boolean;
    }[];
    staticSessions: {
        tableName: string;
        lastClosedAt: string;
    }[];
}, {
    autoAcceptPaidOnly?: boolean | null | undefined;
    _id: string;
    autoAccept: boolean;
    dynamicSessions: {
        billId?: string | null | undefined;
        id: string;
        expiredAt: string;
        tableName: string;
        singleUse: boolean;
    }[];
    staticSessions: {
        tableName: string;
        lastClosedAt: string;
    }[];
}>;
export type FdoQrOrdering = z.infer<typeof FdoQrOrdering>;
