import { z } from 'zod';
export declare const FdtoOrderEffectSummary: z.ZodObject<{
    from: z.ZodEnum<["COUNTER", "PROMOTION", "VOUCHER", "MEMBERSHIP", "FREE_CREDIT"]>;
    referenceId: z.ZodString;
    items: z.ZodArray<z.ZodString, "many">;
    status: z.ZodString;
}, "strip", z.ZodTypeAny, {
    status: string;
    items: string[];
    from: "COUNTER" | "PROMOTION" | "VOUCHER" | "MEMBERSHIP" | "FREE_CREDIT";
    referenceId: string;
}, {
    status: string;
    items: string[];
    from: "COUNTER" | "PROMOTION" | "VOUCHER" | "MEMBERSHIP" | "FREE_CREDIT";
    referenceId: string;
}>;
export declare const FdoRawFinalBillEffect: z.ZodObject<{
    adjustment: z.ZodObject<{
        type: z.ZodEnum<["BY_PERCENTAGE", "BY_AMOUNT", "TO_AMOUNT"]>;
        amount: z.ZodObject<{
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            amount: number;
            precision: number;
        }, {
            amount: number;
            precision: number;
        }>;
        inclusive: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    }, "strip", z.ZodTypeAny, {
        inclusive?: boolean | null | undefined;
        type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
        amount: {
            amount: number;
            precision: number;
        };
    }, {
        inclusive?: boolean | null | undefined;
        type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
        amount: {
            amount: number;
            precision: number;
        };
    }>;
    options: z.ZodDiscriminatedUnion<"target", z.Primitive, z.ZodObject<z.extendShape<{
        target: z.ZodEnum<["BILL", "ITEM", "ADVANCE", "PAYMENT"]>;
        minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            amount: number;
            precision: number;
        }, {
            amount: number;
            precision: number;
        }>>>;
        minPurchaseItems: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            productId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            productId: string;
        }, {
            productId: string;
        }>, "many">>>;
    }, {
        target: z.ZodLiteral<"BILL">;
        excludeIds: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
    }>, "strip", z.ZodTypeAny, {
        excludeIds?: string[] | null | undefined;
        minPurchase?: {
            amount: number;
            precision: number;
        } | null | undefined;
        minPurchaseItems?: {
            productId: string;
        }[] | null | undefined;
        target: "BILL";
    }, {
        excludeIds?: string[] | null | undefined;
        minPurchase?: {
            amount: number;
            precision: number;
        } | null | undefined;
        minPurchaseItems?: {
            productId: string;
        }[] | null | undefined;
        target: "BILL";
    }> | z.ZodObject<z.extendShape<{
        target: z.ZodEnum<["BILL", "ITEM", "ADVANCE", "PAYMENT"]>;
        minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            amount: number;
            precision: number;
        }, {
            amount: number;
            precision: number;
        }>>>;
        minPurchaseItems: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            productId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            productId: string;
        }, {
            productId: string;
        }>, "many">>>;
    }, {
        target: z.ZodLiteral<"ITEM">;
        strategy: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
        }, {
            type: z.ZodLiteral<"SIMPLE">;
            withAddons: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        }>, "strip", z.ZodTypeAny, {
            withAddons?: string[] | null | undefined;
            type: "SIMPLE";
        }, {
            withAddons?: string[] | null | undefined;
            type: "SIMPLE";
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
        }, {
            type: z.ZodLiteral<"BUY_X_GET_Y">;
            x: z.ZodNumber;
            y: z.ZodNumber;
        }>, "strip", z.ZodTypeAny, {
            type: "BUY_X_GET_Y";
            x: number;
            y: number;
        }, {
            type: "BUY_X_GET_Y";
            x: number;
            y: number;
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
        }, {
            type: z.ZodLiteral<"BUY_X_ITEM_A_GET_Y_ITEM_B">;
            itemAIds: z.ZodArray<z.ZodString, "many">;
            x: z.ZodNumber;
            y: z.ZodNumber;
        }>, "strip", z.ZodTypeAny, {
            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
            x: number;
            y: number;
            itemAIds: string[];
        }, {
            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
            x: number;
            y: number;
            itemAIds: string[];
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
        }, {
            type: z.ZodLiteral<"BUY_X_GET_Y_V2">;
            priority: z.ZodEnum<["CHEAPEST_FIRST", "MOST_EXPENSIVE_FIRST"]>;
            itemAIds: z.ZodArray<z.ZodString, "many">;
            x: z.ZodNumber;
            y: z.ZodNumber;
        }>, "strip", z.ZodTypeAny, {
            type: "BUY_X_GET_Y_V2";
            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
            x: number;
            y: number;
            itemAIds: string[];
        }, {
            type: "BUY_X_GET_Y_V2";
            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
            x: number;
            y: number;
            itemAIds: string[];
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
        }, {
            type: z.ZodLiteral<"COMBO">;
            groups: z.ZodArray<z.ZodObject<{
                itemIds: z.ZodArray<z.ZodString, "many">;
                count: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                count: number;
                itemIds: string[];
            }, {
                count: number;
                itemIds: string[];
            }>, "many">;
            atLeast: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }>, "strip", z.ZodTypeAny, {
            atLeast?: boolean | null | undefined;
            groups: {
                count: number;
                itemIds: string[];
            }[];
            type: "COMBO";
        }, {
            atLeast?: boolean | null | undefined;
            groups: {
                count: number;
                itemIds: string[];
            }[];
            type: "COMBO";
        }>>;
        targetIds: z.ZodArray<z.ZodString, "many">;
        maxQuantity: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        excludeAddonPrice: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    }>, "strip", z.ZodTypeAny, {
        minPurchase?: {
            amount: number;
            precision: number;
        } | null | undefined;
        minPurchaseItems?: {
            productId: string;
        }[] | null | undefined;
        maxQuantity?: number | null | undefined;
        excludeAddonPrice?: boolean | null | undefined;
        target: "ITEM";
        strategy: {
            withAddons?: string[] | null | undefined;
            type: "SIMPLE";
        } | {
            type: "BUY_X_GET_Y";
            x: number;
            y: number;
        } | {
            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
            x: number;
            y: number;
            itemAIds: string[];
        } | {
            type: "BUY_X_GET_Y_V2";
            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
            x: number;
            y: number;
            itemAIds: string[];
        } | {
            atLeast?: boolean | null | undefined;
            groups: {
                count: number;
                itemIds: string[];
            }[];
            type: "COMBO";
        };
        targetIds: string[];
    }, {
        minPurchase?: {
            amount: number;
            precision: number;
        } | null | undefined;
        minPurchaseItems?: {
            productId: string;
        }[] | null | undefined;
        maxQuantity?: number | null | undefined;
        excludeAddonPrice?: boolean | null | undefined;
        target: "ITEM";
        strategy: {
            withAddons?: string[] | null | undefined;
            type: "SIMPLE";
        } | {
            type: "BUY_X_GET_Y";
            x: number;
            y: number;
        } | {
            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
            x: number;
            y: number;
            itemAIds: string[];
        } | {
            type: "BUY_X_GET_Y_V2";
            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
            x: number;
            y: number;
            itemAIds: string[];
        } | {
            atLeast?: boolean | null | undefined;
            groups: {
                count: number;
                itemIds: string[];
            }[];
            type: "COMBO";
        };
        targetIds: string[];
    }>>;
    availableOnlineOrder: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["DINE_IN", "PICKUP", "DELIVERY"]>, "many">>>;
    priority: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
}, "strip", z.ZodTypeAny, {
    priority?: number | null | undefined;
    availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
    options: {
        excludeIds?: string[] | null | undefined;
        minPurchase?: {
            amount: number;
            precision: number;
        } | null | undefined;
        minPurchaseItems?: {
            productId: string;
        }[] | null | undefined;
        target: "BILL";
    } | {
        minPurchase?: {
            amount: number;
            precision: number;
        } | null | undefined;
        minPurchaseItems?: {
            productId: string;
        }[] | null | undefined;
        maxQuantity?: number | null | undefined;
        excludeAddonPrice?: boolean | null | undefined;
        target: "ITEM";
        strategy: {
            withAddons?: string[] | null | undefined;
            type: "SIMPLE";
        } | {
            type: "BUY_X_GET_Y";
            x: number;
            y: number;
        } | {
            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
            x: number;
            y: number;
            itemAIds: string[];
        } | {
            type: "BUY_X_GET_Y_V2";
            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
            x: number;
            y: number;
            itemAIds: string[];
        } | {
            atLeast?: boolean | null | undefined;
            groups: {
                count: number;
                itemIds: string[];
            }[];
            type: "COMBO";
        };
        targetIds: string[];
    };
    adjustment: {
        inclusive?: boolean | null | undefined;
        type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
        amount: {
            amount: number;
            precision: number;
        };
    };
}, {
    priority?: number | null | undefined;
    availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
    options: {
        excludeIds?: string[] | null | undefined;
        minPurchase?: {
            amount: number;
            precision: number;
        } | null | undefined;
        minPurchaseItems?: {
            productId: string;
        }[] | null | undefined;
        target: "BILL";
    } | {
        minPurchase?: {
            amount: number;
            precision: number;
        } | null | undefined;
        minPurchaseItems?: {
            productId: string;
        }[] | null | undefined;
        maxQuantity?: number | null | undefined;
        excludeAddonPrice?: boolean | null | undefined;
        target: "ITEM";
        strategy: {
            withAddons?: string[] | null | undefined;
            type: "SIMPLE";
        } | {
            type: "BUY_X_GET_Y";
            x: number;
            y: number;
        } | {
            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
            x: number;
            y: number;
            itemAIds: string[];
        } | {
            type: "BUY_X_GET_Y_V2";
            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
            x: number;
            y: number;
            itemAIds: string[];
        } | {
            atLeast?: boolean | null | undefined;
            groups: {
                count: number;
                itemIds: string[];
            }[];
            type: "COMBO";
        };
        targetIds: string[];
    };
    adjustment: {
        inclusive?: boolean | null | undefined;
        type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
        amount: {
            amount: number;
            precision: number;
        };
    };
}>;
export declare const FdtoCustomerEffect: z.ZodObject<{
    raw: z.ZodObject<{
        adjustment: z.ZodObject<{
            type: z.ZodEnum<["BY_PERCENTAGE", "BY_AMOUNT", "TO_AMOUNT"]>;
            amount: z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>;
            inclusive: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            inclusive?: boolean | null | undefined;
            type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
            amount: {
                amount: number;
                precision: number;
            };
        }, {
            inclusive?: boolean | null | undefined;
            type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
            amount: {
                amount: number;
                precision: number;
            };
        }>;
        options: z.ZodDiscriminatedUnion<"target", z.Primitive, z.ZodObject<z.extendShape<{
            target: z.ZodEnum<["BILL", "ITEM", "ADVANCE", "PAYMENT"]>;
            minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            minPurchaseItems: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                productId: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                productId: string;
            }, {
                productId: string;
            }>, "many">>>;
        }, {
            target: z.ZodLiteral<"BILL">;
            excludeIds: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        }>, "strip", z.ZodTypeAny, {
            excludeIds?: string[] | null | undefined;
            minPurchase?: {
                amount: number;
                precision: number;
            } | null | undefined;
            minPurchaseItems?: {
                productId: string;
            }[] | null | undefined;
            target: "BILL";
        }, {
            excludeIds?: string[] | null | undefined;
            minPurchase?: {
                amount: number;
                precision: number;
            } | null | undefined;
            minPurchaseItems?: {
                productId: string;
            }[] | null | undefined;
            target: "BILL";
        }> | z.ZodObject<z.extendShape<{
            target: z.ZodEnum<["BILL", "ITEM", "ADVANCE", "PAYMENT"]>;
            minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            minPurchaseItems: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                productId: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                productId: string;
            }, {
                productId: string;
            }>, "many">>>;
        }, {
            target: z.ZodLiteral<"ITEM">;
            strategy: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
            }, {
                type: z.ZodLiteral<"SIMPLE">;
                withAddons: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            }>, "strip", z.ZodTypeAny, {
                withAddons?: string[] | null | undefined;
                type: "SIMPLE";
            }, {
                withAddons?: string[] | null | undefined;
                type: "SIMPLE";
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
            }, {
                type: z.ZodLiteral<"BUY_X_GET_Y">;
                x: z.ZodNumber;
                y: z.ZodNumber;
            }>, "strip", z.ZodTypeAny, {
                type: "BUY_X_GET_Y";
                x: number;
                y: number;
            }, {
                type: "BUY_X_GET_Y";
                x: number;
                y: number;
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
            }, {
                type: z.ZodLiteral<"BUY_X_ITEM_A_GET_Y_ITEM_B">;
                itemAIds: z.ZodArray<z.ZodString, "many">;
                x: z.ZodNumber;
                y: z.ZodNumber;
            }>, "strip", z.ZodTypeAny, {
                type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                x: number;
                y: number;
                itemAIds: string[];
            }, {
                type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                x: number;
                y: number;
                itemAIds: string[];
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
            }, {
                type: z.ZodLiteral<"BUY_X_GET_Y_V2">;
                priority: z.ZodEnum<["CHEAPEST_FIRST", "MOST_EXPENSIVE_FIRST"]>;
                itemAIds: z.ZodArray<z.ZodString, "many">;
                x: z.ZodNumber;
                y: z.ZodNumber;
            }>, "strip", z.ZodTypeAny, {
                type: "BUY_X_GET_Y_V2";
                priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                x: number;
                y: number;
                itemAIds: string[];
            }, {
                type: "BUY_X_GET_Y_V2";
                priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                x: number;
                y: number;
                itemAIds: string[];
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
            }, {
                type: z.ZodLiteral<"COMBO">;
                groups: z.ZodArray<z.ZodObject<{
                    itemIds: z.ZodArray<z.ZodString, "many">;
                    count: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    count: number;
                    itemIds: string[];
                }, {
                    count: number;
                    itemIds: string[];
                }>, "many">;
                atLeast: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            }>, "strip", z.ZodTypeAny, {
                atLeast?: boolean | null | undefined;
                groups: {
                    count: number;
                    itemIds: string[];
                }[];
                type: "COMBO";
            }, {
                atLeast?: boolean | null | undefined;
                groups: {
                    count: number;
                    itemIds: string[];
                }[];
                type: "COMBO";
            }>>;
            targetIds: z.ZodArray<z.ZodString, "many">;
            maxQuantity: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            excludeAddonPrice: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }>, "strip", z.ZodTypeAny, {
            minPurchase?: {
                amount: number;
                precision: number;
            } | null | undefined;
            minPurchaseItems?: {
                productId: string;
            }[] | null | undefined;
            maxQuantity?: number | null | undefined;
            excludeAddonPrice?: boolean | null | undefined;
            target: "ITEM";
            strategy: {
                withAddons?: string[] | null | undefined;
                type: "SIMPLE";
            } | {
                type: "BUY_X_GET_Y";
                x: number;
                y: number;
            } | {
                type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                x: number;
                y: number;
                itemAIds: string[];
            } | {
                type: "BUY_X_GET_Y_V2";
                priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                x: number;
                y: number;
                itemAIds: string[];
            } | {
                atLeast?: boolean | null | undefined;
                groups: {
                    count: number;
                    itemIds: string[];
                }[];
                type: "COMBO";
            };
            targetIds: string[];
        }, {
            minPurchase?: {
                amount: number;
                precision: number;
            } | null | undefined;
            minPurchaseItems?: {
                productId: string;
            }[] | null | undefined;
            maxQuantity?: number | null | undefined;
            excludeAddonPrice?: boolean | null | undefined;
            target: "ITEM";
            strategy: {
                withAddons?: string[] | null | undefined;
                type: "SIMPLE";
            } | {
                type: "BUY_X_GET_Y";
                x: number;
                y: number;
            } | {
                type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                x: number;
                y: number;
                itemAIds: string[];
            } | {
                type: "BUY_X_GET_Y_V2";
                priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                x: number;
                y: number;
                itemAIds: string[];
            } | {
                atLeast?: boolean | null | undefined;
                groups: {
                    count: number;
                    itemIds: string[];
                }[];
                type: "COMBO";
            };
            targetIds: string[];
        }>>;
        availableOnlineOrder: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["DINE_IN", "PICKUP", "DELIVERY"]>, "many">>>;
        priority: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    }, "strip", z.ZodTypeAny, {
        priority?: number | null | undefined;
        availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
        options: {
            excludeIds?: string[] | null | undefined;
            minPurchase?: {
                amount: number;
                precision: number;
            } | null | undefined;
            minPurchaseItems?: {
                productId: string;
            }[] | null | undefined;
            target: "BILL";
        } | {
            minPurchase?: {
                amount: number;
                precision: number;
            } | null | undefined;
            minPurchaseItems?: {
                productId: string;
            }[] | null | undefined;
            maxQuantity?: number | null | undefined;
            excludeAddonPrice?: boolean | null | undefined;
            target: "ITEM";
            strategy: {
                withAddons?: string[] | null | undefined;
                type: "SIMPLE";
            } | {
                type: "BUY_X_GET_Y";
                x: number;
                y: number;
            } | {
                type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                x: number;
                y: number;
                itemAIds: string[];
            } | {
                type: "BUY_X_GET_Y_V2";
                priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                x: number;
                y: number;
                itemAIds: string[];
            } | {
                atLeast?: boolean | null | undefined;
                groups: {
                    count: number;
                    itemIds: string[];
                }[];
                type: "COMBO";
            };
            targetIds: string[];
        };
        adjustment: {
            inclusive?: boolean | null | undefined;
            type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
            amount: {
                amount: number;
                precision: number;
            };
        };
    }, {
        priority?: number | null | undefined;
        availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
        options: {
            excludeIds?: string[] | null | undefined;
            minPurchase?: {
                amount: number;
                precision: number;
            } | null | undefined;
            minPurchaseItems?: {
                productId: string;
            }[] | null | undefined;
            target: "BILL";
        } | {
            minPurchase?: {
                amount: number;
                precision: number;
            } | null | undefined;
            minPurchaseItems?: {
                productId: string;
            }[] | null | undefined;
            maxQuantity?: number | null | undefined;
            excludeAddonPrice?: boolean | null | undefined;
            target: "ITEM";
            strategy: {
                withAddons?: string[] | null | undefined;
                type: "SIMPLE";
            } | {
                type: "BUY_X_GET_Y";
                x: number;
                y: number;
            } | {
                type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                x: number;
                y: number;
                itemAIds: string[];
            } | {
                type: "BUY_X_GET_Y_V2";
                priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                x: number;
                y: number;
                itemAIds: string[];
            } | {
                atLeast?: boolean | null | undefined;
                groups: {
                    count: number;
                    itemIds: string[];
                }[];
                type: "COMBO";
            };
            targetIds: string[];
        };
        adjustment: {
            inclusive?: boolean | null | undefined;
            type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
            amount: {
                amount: number;
                precision: number;
            };
        };
    }>;
    name: z.ZodString;
    visible: z.ZodEnum<["SHOW", "HIDDEN", "DISABLE"]>;
    from: z.ZodEnum<["COUNTER", "PROMOTION", "VOUCHER", "MEMBERSHIP", "FREE_CREDIT"]>;
    referenceId: z.ZodString;
    returnId: z.ZodOptional<z.ZodString>;
    reason: z.ZodString;
}, "strip", z.ZodTypeAny, {
    returnId?: string | undefined;
    name: string;
    reason: string;
    raw: {
        priority?: number | null | undefined;
        availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
        options: {
            excludeIds?: string[] | null | undefined;
            minPurchase?: {
                amount: number;
                precision: number;
            } | null | undefined;
            minPurchaseItems?: {
                productId: string;
            }[] | null | undefined;
            target: "BILL";
        } | {
            minPurchase?: {
                amount: number;
                precision: number;
            } | null | undefined;
            minPurchaseItems?: {
                productId: string;
            }[] | null | undefined;
            maxQuantity?: number | null | undefined;
            excludeAddonPrice?: boolean | null | undefined;
            target: "ITEM";
            strategy: {
                withAddons?: string[] | null | undefined;
                type: "SIMPLE";
            } | {
                type: "BUY_X_GET_Y";
                x: number;
                y: number;
            } | {
                type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                x: number;
                y: number;
                itemAIds: string[];
            } | {
                type: "BUY_X_GET_Y_V2";
                priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                x: number;
                y: number;
                itemAIds: string[];
            } | {
                atLeast?: boolean | null | undefined;
                groups: {
                    count: number;
                    itemIds: string[];
                }[];
                type: "COMBO";
            };
            targetIds: string[];
        };
        adjustment: {
            inclusive?: boolean | null | undefined;
            type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
            amount: {
                amount: number;
                precision: number;
            };
        };
    };
    from: "COUNTER" | "PROMOTION" | "VOUCHER" | "MEMBERSHIP" | "FREE_CREDIT";
    referenceId: string;
    visible: "SHOW" | "HIDDEN" | "DISABLE";
}, {
    returnId?: string | undefined;
    name: string;
    reason: string;
    raw: {
        priority?: number | null | undefined;
        availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
        options: {
            excludeIds?: string[] | null | undefined;
            minPurchase?: {
                amount: number;
                precision: number;
            } | null | undefined;
            minPurchaseItems?: {
                productId: string;
            }[] | null | undefined;
            target: "BILL";
        } | {
            minPurchase?: {
                amount: number;
                precision: number;
            } | null | undefined;
            minPurchaseItems?: {
                productId: string;
            }[] | null | undefined;
            maxQuantity?: number | null | undefined;
            excludeAddonPrice?: boolean | null | undefined;
            target: "ITEM";
            strategy: {
                withAddons?: string[] | null | undefined;
                type: "SIMPLE";
            } | {
                type: "BUY_X_GET_Y";
                x: number;
                y: number;
            } | {
                type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                x: number;
                y: number;
                itemAIds: string[];
            } | {
                type: "BUY_X_GET_Y_V2";
                priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                x: number;
                y: number;
                itemAIds: string[];
            } | {
                atLeast?: boolean | null | undefined;
                groups: {
                    count: number;
                    itemIds: string[];
                }[];
                type: "COMBO";
            };
            targetIds: string[];
        };
        adjustment: {
            inclusive?: boolean | null | undefined;
            type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
            amount: {
                amount: number;
                precision: number;
            };
        };
    };
    from: "COUNTER" | "PROMOTION" | "VOUCHER" | "MEMBERSHIP" | "FREE_CREDIT";
    referenceId: string;
    visible: "SHOW" | "HIDDEN" | "DISABLE";
}>;
export type FdtoOrderEffectSummary = z.infer<typeof FdtoOrderEffectSummary>;
export type FdtoCustomerEffect = z.infer<typeof FdtoCustomerEffect>;
