import { z } from 'zod';
export declare const OrderPickupPointDto: z.ZodObject<{
    name: z.ZodString;
    address: z.ZodString;
    coordinates: z.ZodArray<z.ZodNumber, "many">;
}, "strip", z.ZodTypeAny, {
    name: string;
    address: string;
    coordinates: number[];
}, {
    name: string;
    address: string;
    coordinates: number[];
}>;
export declare const FdtoPickupReadyNotify: z.ZodObject<{
    orderNumber: z.ZodString;
    customerName: z.ZodString;
    phoneNumber: z.ZodString;
    pickupPoint: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        name: z.ZodString;
        address: z.ZodString;
        coordinates: z.ZodArray<z.ZodNumber, "many">;
    }, "strip", z.ZodTypeAny, {
        name: string;
        address: string;
        coordinates: number[];
    }, {
        name: string;
        address: string;
        coordinates: number[];
    }>>>;
}, "strip", z.ZodTypeAny, {
    pickupPoint?: {
        name: string;
        address: string;
        coordinates: number[];
    } | null | undefined;
    phoneNumber: string;
    orderNumber: string;
    customerName: string;
}, {
    pickupPoint?: {
        name: string;
        address: string;
        coordinates: number[];
    } | null | undefined;
    phoneNumber: string;
    orderNumber: string;
    customerName: string;
}>;
export type OrderPickupPointDto = z.infer<typeof OrderPickupPointDto>;
export type FdtoPickupReadyNotify = z.infer<typeof FdtoPickupReadyNotify>;
