import { z } from 'zod';
export declare const OrderDateTimeOptionDto: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["onDemand", "anyTime", "fixed", "custom"]>;
}, {
    type: z.ZodLiteral<"onDemand">;
}>, "strip", z.ZodTypeAny, {
    type: "onDemand";
}, {
    type: "onDemand";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["onDemand", "anyTime", "fixed", "custom"]>;
}, {
    type: z.ZodLiteral<"anyTime">;
    timeRange: z.ZodObject<{
        min: z.ZodNumber;
        max: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        min: number;
        max: number;
    }, {
        min: number;
        max: number;
    }>;
}>, "strip", z.ZodTypeAny, {
    type: "anyTime";
    timeRange: {
        min: number;
        max: number;
    };
}, {
    type: "anyTime";
    timeRange: {
        min: number;
        max: number;
    };
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["onDemand", "anyTime", "fixed", "custom"]>;
}, {
    type: z.ZodLiteral<"fixed">;
    timeRange: z.ZodObject<{
        min: z.ZodNumber;
        max: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        min: number;
        max: number;
    }, {
        min: number;
        max: number;
    }>;
    times: z.ZodArray<z.ZodString, "many">;
}>, "strip", z.ZodTypeAny, {
    type: "fixed";
    times: string[];
    timeRange: {
        min: number;
        max: number;
    };
}, {
    type: "fixed";
    times: string[];
    timeRange: {
        min: number;
        max: number;
    };
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["onDemand", "anyTime", "fixed", "custom"]>;
}, {
    type: z.ZodLiteral<"custom">;
    custom: z.ZodAny;
    timeRange: z.ZodObject<{
        min: z.ZodNumber;
        max: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        min: number;
        max: number;
    }, {
        min: number;
        max: number;
    }>;
}>, "strip", z.ZodTypeAny, {
    custom?: any;
    type: "custom";
    timeRange: {
        min: number;
        max: number;
    };
}, {
    custom?: any;
    type: "custom";
    timeRange: {
        min: number;
        max: number;
    };
}>>;
export type OrderDateTimeOptionDto = z.infer<typeof OrderDateTimeOptionDto>;
export declare const FdtoOrderDateTimeOption: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["onDemand", "anyTime", "fixed", "custom"]>;
}, {
    type: z.ZodLiteral<"onDemand">;
}>, "strip", z.ZodTypeAny, {
    type: "onDemand";
}, {
    type: "onDemand";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["onDemand", "anyTime", "fixed", "custom"]>;
}, {
    type: z.ZodLiteral<"anyTime">;
    timeRange: z.ZodObject<{
        min: z.ZodNumber;
        max: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        min: number;
        max: number;
    }, {
        min: number;
        max: number;
    }>;
}>, "strip", z.ZodTypeAny, {
    type: "anyTime";
    timeRange: {
        min: number;
        max: number;
    };
}, {
    type: "anyTime";
    timeRange: {
        min: number;
        max: number;
    };
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["onDemand", "anyTime", "fixed", "custom"]>;
}, {
    type: z.ZodLiteral<"fixed">;
    timeRange: z.ZodObject<{
        min: z.ZodNumber;
        max: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        min: number;
        max: number;
    }, {
        min: number;
        max: number;
    }>;
    times: z.ZodArray<z.ZodString, "many">;
}>, "strip", z.ZodTypeAny, {
    type: "fixed";
    times: string[];
    timeRange: {
        min: number;
        max: number;
    };
}, {
    type: "fixed";
    times: string[];
    timeRange: {
        min: number;
        max: number;
    };
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["onDemand", "anyTime", "fixed", "custom"]>;
}, {
    type: z.ZodLiteral<"custom">;
    custom: z.ZodObject<{
        0: z.ZodObject<{
            enable: z.ZodBoolean;
            hours: z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                end: string;
                start: string;
            }, {
                end: string;
                start: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }>;
        1: z.ZodObject<{
            enable: z.ZodBoolean;
            hours: z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                end: string;
                start: string;
            }, {
                end: string;
                start: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }>;
        2: z.ZodObject<{
            enable: z.ZodBoolean;
            hours: z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                end: string;
                start: string;
            }, {
                end: string;
                start: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }>;
        3: z.ZodObject<{
            enable: z.ZodBoolean;
            hours: z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                end: string;
                start: string;
            }, {
                end: string;
                start: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }>;
        4: z.ZodObject<{
            enable: z.ZodBoolean;
            hours: z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                end: string;
                start: string;
            }, {
                end: string;
                start: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }>;
        5: z.ZodObject<{
            enable: z.ZodBoolean;
            hours: z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                end: string;
                start: string;
            }, {
                end: string;
                start: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }>;
        6: z.ZodObject<{
            enable: z.ZodBoolean;
            hours: z.ZodArray<z.ZodObject<{
                start: z.ZodString;
                end: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                end: string;
                start: string;
            }, {
                end: string;
                start: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }, {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        }>;
    }, "strip", z.ZodTypeAny, {
        0: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        2: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        1: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        3: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        4: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        5: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        6: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
    }, {
        0: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        2: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        1: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        3: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        4: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        5: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        6: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
    }>;
    timeRange: z.ZodObject<{
        min: z.ZodNumber;
        max: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        min: number;
        max: number;
    }, {
        min: number;
        max: number;
    }>;
}>, "strip", z.ZodTypeAny, {
    type: "custom";
    custom: {
        0: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        2: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        1: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        3: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        4: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        5: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        6: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
    };
    timeRange: {
        min: number;
        max: number;
    };
}, {
    type: "custom";
    custom: {
        0: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        2: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        1: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        3: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        4: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        5: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
        6: {
            hours: {
                end: string;
                start: string;
            }[];
            enable: boolean;
        };
    };
    timeRange: {
        min: number;
        max: number;
    };
}>>;
export type FdtoOrderDateTimeOption = z.infer<typeof FdtoOrderDateTimeOption>;
