import { z } from "zod";
export declare const IdentifierDto: z.ZodObject<z.extendShape<Omit<z.extendShape<{
    issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
    variant: z.ZodString;
}, {
    rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        amount: z.ZodNumber;
        precision: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        amount: number;
        precision: number;
    }, {
        amount: number;
        precision: number;
    }>>>;
    tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
}>, "rate" | "tPlus">, {
    rate: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodObject<{
        amount: z.ZodNumber;
        precision: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        amount: number;
        precision: number;
    }, {
        amount: number;
        precision: number;
    }>>>>;
    tPlus: z.ZodOptional<z.ZodNullable<z.ZodOptional<z.ZodNumber>>>;
}>, "strip", z.ZodTypeAny, {
    rate?: {
        amount: number;
        precision: number;
    } | null | undefined;
    tPlus?: number | null | undefined;
    variant: string;
    issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
}, {
    rate?: {
        amount: number;
        precision: number;
    } | null | undefined;
    tPlus?: number | null | undefined;
    variant: string;
    issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
}>;
export type IdentifierDto = z.infer<typeof IdentifierDto>;
