import { z } from 'zod';
export declare const ENCODER_TYPE: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
export declare const CONNECTOR_TYPE: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
export declare const F_STAR_EMULATION_MODE: z.ZodEnum<["StarPRNT", "StarLine", "StarGraphic"]>;
export declare const BACKUP_TYPE: z.ZodEnum<["USB", "PRINTER_ID"]>;
export declare const PrinterEncoderConfigBase: z.ZodObject<{
    type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
    dpi: z.ZodNumber;
    paperWidthInMm: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    type: "ECSPOS" | "TSPL" | "STAR";
    dpi: number;
    paperWidthInMm: number;
}, {
    type: "ECSPOS" | "TSPL" | "STAR";
    dpi: number;
    paperWidthInMm: number;
}>;
export declare const PrinterEncoderConfigEscpos: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
    dpi: z.ZodNumber;
    paperWidthInMm: z.ZodNumber;
}, {
    type: z.ZodLiteral<"ECSPOS">;
}>, "strip", z.ZodTypeAny, {
    type: "ECSPOS";
    dpi: number;
    paperWidthInMm: number;
}, {
    type: "ECSPOS";
    dpi: number;
    paperWidthInMm: number;
}>;
export declare const PrinterEncoderConfigTspl: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
    dpi: z.ZodNumber;
    paperWidthInMm: z.ZodNumber;
}, {
    type: z.ZodLiteral<"TSPL">;
    paperHeightInMm: z.ZodNumber;
    paperDirection: z.ZodNumber;
    paperGapDistance: z.ZodNumber;
    paperReferenceX: z.ZodNumber;
    paperReferenceY: z.ZodNumber;
    paperOffset: z.ZodNumber;
}>, "strip", z.ZodTypeAny, {
    type: "TSPL";
    dpi: number;
    paperWidthInMm: number;
    paperHeightInMm: number;
    paperDirection: number;
    paperGapDistance: number;
    paperReferenceX: number;
    paperReferenceY: number;
    paperOffset: number;
}, {
    type: "TSPL";
    dpi: number;
    paperWidthInMm: number;
    paperHeightInMm: number;
    paperDirection: number;
    paperGapDistance: number;
    paperReferenceX: number;
    paperReferenceY: number;
    paperOffset: number;
}>;
export declare const PrinterEncoderConfigStar: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
    dpi: z.ZodNumber;
    paperWidthInMm: z.ZodNumber;
}, {
    type: z.ZodLiteral<"STAR">;
}>, "strip", z.ZodTypeAny, {
    type: "STAR";
    dpi: number;
    paperWidthInMm: number;
}, {
    type: "STAR";
    dpi: number;
    paperWidthInMm: number;
}>;
export declare const PrinterEncoderConfig: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
    dpi: z.ZodNumber;
    paperWidthInMm: z.ZodNumber;
}, {
    type: z.ZodLiteral<"ECSPOS">;
}>, "strip", z.ZodTypeAny, {
    type: "ECSPOS";
    dpi: number;
    paperWidthInMm: number;
}, {
    type: "ECSPOS";
    dpi: number;
    paperWidthInMm: number;
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
    dpi: z.ZodNumber;
    paperWidthInMm: z.ZodNumber;
}, {
    type: z.ZodLiteral<"TSPL">;
    paperHeightInMm: z.ZodNumber;
    paperDirection: z.ZodNumber;
    paperGapDistance: z.ZodNumber;
    paperReferenceX: z.ZodNumber;
    paperReferenceY: z.ZodNumber;
    paperOffset: z.ZodNumber;
}>, "strip", z.ZodTypeAny, {
    type: "TSPL";
    dpi: number;
    paperWidthInMm: number;
    paperHeightInMm: number;
    paperDirection: number;
    paperGapDistance: number;
    paperReferenceX: number;
    paperReferenceY: number;
    paperOffset: number;
}, {
    type: "TSPL";
    dpi: number;
    paperWidthInMm: number;
    paperHeightInMm: number;
    paperDirection: number;
    paperGapDistance: number;
    paperReferenceX: number;
    paperReferenceY: number;
    paperOffset: number;
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
    dpi: z.ZodNumber;
    paperWidthInMm: z.ZodNumber;
}, {
    type: z.ZodLiteral<"STAR">;
}>, "strip", z.ZodTypeAny, {
    type: "STAR";
    dpi: number;
    paperWidthInMm: number;
}, {
    type: "STAR";
    dpi: number;
    paperWidthInMm: number;
}>>;
export declare const PrinterConnectionBase: z.ZodObject<{
    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
}, "strip", z.ZodTypeAny, {
    type: "USB" | "STAR" | "BLUETOOTH" | "DRIVER" | "IP";
}, {
    type: "USB" | "STAR" | "BLUETOOTH" | "DRIVER" | "IP";
}>;
export declare const PrinterConnectionBluetooth: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
}, {
    type: z.ZodLiteral<"BLUETOOTH">;
    path: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    path: string;
    type: "BLUETOOTH";
}, {
    path: string;
    type: "BLUETOOTH";
}>;
export declare const PrinterConnectionDriver: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
}, {
    type: z.ZodLiteral<"DRIVER">;
    path: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    path: string;
    type: "DRIVER";
}, {
    path: string;
    type: "DRIVER";
}>;
export declare const PrinterConnectionIp: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
}, {
    type: z.ZodLiteral<"IP">;
    path: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    path: string;
    type: "IP";
}, {
    path: string;
    type: "IP";
}>;
export declare const PrinterConnectionStar: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
}, {
    type: z.ZodLiteral<"STAR">;
    portName: z.ZodString;
    emulationMode: z.ZodEnum<["StarPRNT", "StarLine", "StarGraphic"]>;
}>, "strip", z.ZodTypeAny, {
    type: "STAR";
    portName: string;
    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
}, {
    type: "STAR";
    portName: string;
    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
}>;
export declare const PrinterConnectionUsb: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
}, {
    type: z.ZodLiteral<"USB">;
    vendorId: z.ZodString;
    productId: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    type: "USB";
    productId: string;
    vendorId: string;
}, {
    type: "USB";
    productId: string;
    vendorId: string;
}>;
export declare const PrinterConnection: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
}, {
    type: z.ZodLiteral<"BLUETOOTH">;
    path: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    path: string;
    type: "BLUETOOTH";
}, {
    path: string;
    type: "BLUETOOTH";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
}, {
    type: z.ZodLiteral<"DRIVER">;
    path: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    path: string;
    type: "DRIVER";
}, {
    path: string;
    type: "DRIVER";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
}, {
    type: z.ZodLiteral<"IP">;
    path: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    path: string;
    type: "IP";
}, {
    path: string;
    type: "IP";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
}, {
    type: z.ZodLiteral<"STAR">;
    portName: z.ZodString;
    emulationMode: z.ZodEnum<["StarPRNT", "StarLine", "StarGraphic"]>;
}>, "strip", z.ZodTypeAny, {
    type: "STAR";
    portName: string;
    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
}, {
    type: "STAR";
    portName: string;
    emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
}, {
    type: z.ZodLiteral<"USB">;
    vendorId: z.ZodString;
    productId: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    type: "USB";
    productId: string;
    vendorId: string;
}, {
    type: "USB";
    productId: string;
    vendorId: string;
}>>;
export declare const PrinterHardware: z.ZodObject<{
    machineId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    encoderConfig: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
        dpi: z.ZodNumber;
        paperWidthInMm: z.ZodNumber;
    }, {
        type: z.ZodLiteral<"ECSPOS">;
    }>, "strip", z.ZodTypeAny, {
        type: "ECSPOS";
        dpi: number;
        paperWidthInMm: number;
    }, {
        type: "ECSPOS";
        dpi: number;
        paperWidthInMm: number;
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
        dpi: z.ZodNumber;
        paperWidthInMm: z.ZodNumber;
    }, {
        type: z.ZodLiteral<"TSPL">;
        paperHeightInMm: z.ZodNumber;
        paperDirection: z.ZodNumber;
        paperGapDistance: z.ZodNumber;
        paperReferenceX: z.ZodNumber;
        paperReferenceY: z.ZodNumber;
        paperOffset: z.ZodNumber;
    }>, "strip", z.ZodTypeAny, {
        type: "TSPL";
        dpi: number;
        paperWidthInMm: number;
        paperHeightInMm: number;
        paperDirection: number;
        paperGapDistance: number;
        paperReferenceX: number;
        paperReferenceY: number;
        paperOffset: number;
    }, {
        type: "TSPL";
        dpi: number;
        paperWidthInMm: number;
        paperHeightInMm: number;
        paperDirection: number;
        paperGapDistance: number;
        paperReferenceX: number;
        paperReferenceY: number;
        paperOffset: number;
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
        dpi: z.ZodNumber;
        paperWidthInMm: z.ZodNumber;
    }, {
        type: z.ZodLiteral<"STAR">;
    }>, "strip", z.ZodTypeAny, {
        type: "STAR";
        dpi: number;
        paperWidthInMm: number;
    }, {
        type: "STAR";
        dpi: number;
        paperWidthInMm: number;
    }>>;
    connection: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
    }, {
        type: z.ZodLiteral<"BLUETOOTH">;
        path: z.ZodString;
    }>, "strip", z.ZodTypeAny, {
        path: string;
        type: "BLUETOOTH";
    }, {
        path: string;
        type: "BLUETOOTH";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
    }, {
        type: z.ZodLiteral<"DRIVER">;
        path: z.ZodString;
    }>, "strip", z.ZodTypeAny, {
        path: string;
        type: "DRIVER";
    }, {
        path: string;
        type: "DRIVER";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
    }, {
        type: z.ZodLiteral<"IP">;
        path: z.ZodString;
    }>, "strip", z.ZodTypeAny, {
        path: string;
        type: "IP";
    }, {
        path: string;
        type: "IP";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
    }, {
        type: z.ZodLiteral<"STAR">;
        portName: z.ZodString;
        emulationMode: z.ZodEnum<["StarPRNT", "StarLine", "StarGraphic"]>;
    }>, "strip", z.ZodTypeAny, {
        type: "STAR";
        portName: string;
        emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
    }, {
        type: "STAR";
        portName: string;
        emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
    }, {
        type: z.ZodLiteral<"USB">;
        vendorId: z.ZodString;
        productId: z.ZodString;
    }>, "strip", z.ZodTypeAny, {
        type: "USB";
        productId: string;
        vendorId: string;
    }, {
        type: "USB";
        productId: string;
        vendorId: string;
    }>>;
    chunkSize: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    chunkDelay: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    sleepDelay: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    maxRetry: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
    waitForStatus: z.ZodBoolean;
    beepAfterPrint: z.ZodBoolean;
    isTextEncoding: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    machineId?: string | null | undefined;
    chunkSize?: number | null | undefined;
    chunkDelay?: number | null | undefined;
    sleepDelay?: number | null | undefined;
    maxRetry?: number | null | undefined;
    encoderConfig: {
        type: "ECSPOS";
        dpi: number;
        paperWidthInMm: number;
    } | {
        type: "TSPL";
        dpi: number;
        paperWidthInMm: number;
        paperHeightInMm: number;
        paperDirection: number;
        paperGapDistance: number;
        paperReferenceX: number;
        paperReferenceY: number;
        paperOffset: number;
    } | {
        type: "STAR";
        dpi: number;
        paperWidthInMm: number;
    };
    connection: {
        path: string;
        type: "BLUETOOTH";
    } | {
        path: string;
        type: "DRIVER";
    } | {
        path: string;
        type: "IP";
    } | {
        type: "STAR";
        portName: string;
        emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
    } | {
        type: "USB";
        productId: string;
        vendorId: string;
    };
    waitForStatus: boolean;
    beepAfterPrint: boolean;
    isTextEncoding: boolean;
}, {
    machineId?: string | null | undefined;
    chunkSize?: number | null | undefined;
    chunkDelay?: number | null | undefined;
    sleepDelay?: number | null | undefined;
    maxRetry?: number | null | undefined;
    encoderConfig: {
        type: "ECSPOS";
        dpi: number;
        paperWidthInMm: number;
    } | {
        type: "TSPL";
        dpi: number;
        paperWidthInMm: number;
        paperHeightInMm: number;
        paperDirection: number;
        paperGapDistance: number;
        paperReferenceX: number;
        paperReferenceY: number;
        paperOffset: number;
    } | {
        type: "STAR";
        dpi: number;
        paperWidthInMm: number;
    };
    connection: {
        path: string;
        type: "BLUETOOTH";
    } | {
        path: string;
        type: "DRIVER";
    } | {
        path: string;
        type: "IP";
    } | {
        type: "STAR";
        portName: string;
        emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
    } | {
        type: "USB";
        productId: string;
        vendorId: string;
    };
    waitForStatus: boolean;
    beepAfterPrint: boolean;
    isTextEncoding: boolean;
}>;
export declare const PrinterBackupInfoBase: z.ZodObject<{
    type: z.ZodEnum<["USB", "PRINTER_ID"]>;
}, "strip", z.ZodTypeAny, {
    type: "USB" | "PRINTER_ID";
}, {
    type: "USB" | "PRINTER_ID";
}>;
export declare const PrinterBackupInfoUsb: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["USB", "PRINTER_ID"]>;
}, {
    type: z.ZodLiteral<"USB">;
}>, "strip", z.ZodTypeAny, {
    type: "USB";
}, {
    type: "USB";
}>;
export declare const PrinterBackupInfoPrinterId: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["USB", "PRINTER_ID"]>;
}, {
    type: z.ZodLiteral<"PRINTER_ID">;
    printerId: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    type: "PRINTER_ID";
    printerId: string;
}, {
    type: "PRINTER_ID";
    printerId: string;
}>;
export declare const PrinterBackupInfo: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["USB", "PRINTER_ID"]>;
}, {
    type: z.ZodLiteral<"USB">;
}>, "strip", z.ZodTypeAny, {
    type: "USB";
}, {
    type: "USB";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["USB", "PRINTER_ID"]>;
}, {
    type: z.ZodLiteral<"PRINTER_ID">;
    printerId: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    type: "PRINTER_ID";
    printerId: string;
}, {
    type: "PRINTER_ID";
    printerId: string;
}>>;
export declare const Printer: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    hardware: z.ZodObject<{
        machineId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        encoderConfig: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
            dpi: z.ZodNumber;
            paperWidthInMm: z.ZodNumber;
        }, {
            type: z.ZodLiteral<"ECSPOS">;
        }>, "strip", z.ZodTypeAny, {
            type: "ECSPOS";
            dpi: number;
            paperWidthInMm: number;
        }, {
            type: "ECSPOS";
            dpi: number;
            paperWidthInMm: number;
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
            dpi: z.ZodNumber;
            paperWidthInMm: z.ZodNumber;
        }, {
            type: z.ZodLiteral<"TSPL">;
            paperHeightInMm: z.ZodNumber;
            paperDirection: z.ZodNumber;
            paperGapDistance: z.ZodNumber;
            paperReferenceX: z.ZodNumber;
            paperReferenceY: z.ZodNumber;
            paperOffset: z.ZodNumber;
        }>, "strip", z.ZodTypeAny, {
            type: "TSPL";
            dpi: number;
            paperWidthInMm: number;
            paperHeightInMm: number;
            paperDirection: number;
            paperGapDistance: number;
            paperReferenceX: number;
            paperReferenceY: number;
            paperOffset: number;
        }, {
            type: "TSPL";
            dpi: number;
            paperWidthInMm: number;
            paperHeightInMm: number;
            paperDirection: number;
            paperGapDistance: number;
            paperReferenceX: number;
            paperReferenceY: number;
            paperOffset: number;
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["ECSPOS", "TSPL", "STAR"]>;
            dpi: z.ZodNumber;
            paperWidthInMm: z.ZodNumber;
        }, {
            type: z.ZodLiteral<"STAR">;
        }>, "strip", z.ZodTypeAny, {
            type: "STAR";
            dpi: number;
            paperWidthInMm: number;
        }, {
            type: "STAR";
            dpi: number;
            paperWidthInMm: number;
        }>>;
        connection: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
        }, {
            type: z.ZodLiteral<"BLUETOOTH">;
            path: z.ZodString;
        }>, "strip", z.ZodTypeAny, {
            path: string;
            type: "BLUETOOTH";
        }, {
            path: string;
            type: "BLUETOOTH";
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
        }, {
            type: z.ZodLiteral<"DRIVER">;
            path: z.ZodString;
        }>, "strip", z.ZodTypeAny, {
            path: string;
            type: "DRIVER";
        }, {
            path: string;
            type: "DRIVER";
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
        }, {
            type: z.ZodLiteral<"IP">;
            path: z.ZodString;
        }>, "strip", z.ZodTypeAny, {
            path: string;
            type: "IP";
        }, {
            path: string;
            type: "IP";
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
        }, {
            type: z.ZodLiteral<"STAR">;
            portName: z.ZodString;
            emulationMode: z.ZodEnum<["StarPRNT", "StarLine", "StarGraphic"]>;
        }>, "strip", z.ZodTypeAny, {
            type: "STAR";
            portName: string;
            emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
        }, {
            type: "STAR";
            portName: string;
            emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["BLUETOOTH", "DRIVER", "IP", "STAR", "USB"]>;
        }, {
            type: z.ZodLiteral<"USB">;
            vendorId: z.ZodString;
            productId: z.ZodString;
        }>, "strip", z.ZodTypeAny, {
            type: "USB";
            productId: string;
            vendorId: string;
        }, {
            type: "USB";
            productId: string;
            vendorId: string;
        }>>;
        chunkSize: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        chunkDelay: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        sleepDelay: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        maxRetry: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        waitForStatus: z.ZodBoolean;
        beepAfterPrint: z.ZodBoolean;
        isTextEncoding: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        machineId?: string | null | undefined;
        chunkSize?: number | null | undefined;
        chunkDelay?: number | null | undefined;
        sleepDelay?: number | null | undefined;
        maxRetry?: number | null | undefined;
        encoderConfig: {
            type: "ECSPOS";
            dpi: number;
            paperWidthInMm: number;
        } | {
            type: "TSPL";
            dpi: number;
            paperWidthInMm: number;
            paperHeightInMm: number;
            paperDirection: number;
            paperGapDistance: number;
            paperReferenceX: number;
            paperReferenceY: number;
            paperOffset: number;
        } | {
            type: "STAR";
            dpi: number;
            paperWidthInMm: number;
        };
        connection: {
            path: string;
            type: "BLUETOOTH";
        } | {
            path: string;
            type: "DRIVER";
        } | {
            path: string;
            type: "IP";
        } | {
            type: "STAR";
            portName: string;
            emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
        } | {
            type: "USB";
            productId: string;
            vendorId: string;
        };
        waitForStatus: boolean;
        beepAfterPrint: boolean;
        isTextEncoding: boolean;
    }, {
        machineId?: string | null | undefined;
        chunkSize?: number | null | undefined;
        chunkDelay?: number | null | undefined;
        sleepDelay?: number | null | undefined;
        maxRetry?: number | null | undefined;
        encoderConfig: {
            type: "ECSPOS";
            dpi: number;
            paperWidthInMm: number;
        } | {
            type: "TSPL";
            dpi: number;
            paperWidthInMm: number;
            paperHeightInMm: number;
            paperDirection: number;
            paperGapDistance: number;
            paperReferenceX: number;
            paperReferenceY: number;
            paperOffset: number;
        } | {
            type: "STAR";
            dpi: number;
            paperWidthInMm: number;
        };
        connection: {
            path: string;
            type: "BLUETOOTH";
        } | {
            path: string;
            type: "DRIVER";
        } | {
            path: string;
            type: "IP";
        } | {
            type: "STAR";
            portName: string;
            emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
        } | {
            type: "USB";
            productId: string;
            vendorId: string;
        };
        waitForStatus: boolean;
        beepAfterPrint: boolean;
        isTextEncoding: boolean;
    }>;
    backup: z.ZodNullable<z.ZodOptional<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["USB", "PRINTER_ID"]>;
    }, {
        type: z.ZodLiteral<"USB">;
    }>, "strip", z.ZodTypeAny, {
        type: "USB";
    }, {
        type: "USB";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["USB", "PRINTER_ID"]>;
    }, {
        type: z.ZodLiteral<"PRINTER_ID">;
        printerId: z.ZodString;
    }>, "strip", z.ZodTypeAny, {
        type: "PRINTER_ID";
        printerId: string;
    }, {
        type: "PRINTER_ID";
        printerId: string;
    }>>>>;
}, "strip", z.ZodTypeAny, {
    backup?: {
        type: "USB";
    } | {
        type: "PRINTER_ID";
        printerId: string;
    } | null | undefined;
    name: string;
    id: string;
    hardware: {
        machineId?: string | null | undefined;
        chunkSize?: number | null | undefined;
        chunkDelay?: number | null | undefined;
        sleepDelay?: number | null | undefined;
        maxRetry?: number | null | undefined;
        encoderConfig: {
            type: "ECSPOS";
            dpi: number;
            paperWidthInMm: number;
        } | {
            type: "TSPL";
            dpi: number;
            paperWidthInMm: number;
            paperHeightInMm: number;
            paperDirection: number;
            paperGapDistance: number;
            paperReferenceX: number;
            paperReferenceY: number;
            paperOffset: number;
        } | {
            type: "STAR";
            dpi: number;
            paperWidthInMm: number;
        };
        connection: {
            path: string;
            type: "BLUETOOTH";
        } | {
            path: string;
            type: "DRIVER";
        } | {
            path: string;
            type: "IP";
        } | {
            type: "STAR";
            portName: string;
            emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
        } | {
            type: "USB";
            productId: string;
            vendorId: string;
        };
        waitForStatus: boolean;
        beepAfterPrint: boolean;
        isTextEncoding: boolean;
    };
}, {
    backup?: {
        type: "USB";
    } | {
        type: "PRINTER_ID";
        printerId: string;
    } | null | undefined;
    name: string;
    id: string;
    hardware: {
        machineId?: string | null | undefined;
        chunkSize?: number | null | undefined;
        chunkDelay?: number | null | undefined;
        sleepDelay?: number | null | undefined;
        maxRetry?: number | null | undefined;
        encoderConfig: {
            type: "ECSPOS";
            dpi: number;
            paperWidthInMm: number;
        } | {
            type: "TSPL";
            dpi: number;
            paperWidthInMm: number;
            paperHeightInMm: number;
            paperDirection: number;
            paperGapDistance: number;
            paperReferenceX: number;
            paperReferenceY: number;
            paperOffset: number;
        } | {
            type: "STAR";
            dpi: number;
            paperWidthInMm: number;
        };
        connection: {
            path: string;
            type: "BLUETOOTH";
        } | {
            path: string;
            type: "DRIVER";
        } | {
            path: string;
            type: "IP";
        } | {
            type: "STAR";
            portName: string;
            emulationMode: "StarPRNT" | "StarLine" | "StarGraphic";
        } | {
            type: "USB";
            productId: string;
            vendorId: string;
        };
        waitForStatus: boolean;
        beepAfterPrint: boolean;
        isTextEncoding: boolean;
    };
}>;
export type CONNECTOR_TYPE = z.infer<typeof CONNECTOR_TYPE>;
export type ENCODER_TYPE = z.infer<typeof ENCODER_TYPE>;
export type BACKUP_TYPE = z.infer<typeof BACKUP_TYPE>;
export type PrinterEncoderConfig = z.infer<typeof PrinterEncoderConfig>;
export type PrinterEncoderConfigEscpos = z.infer<typeof PrinterEncoderConfigEscpos>;
export type PrinterEncoderConfigTspl = z.infer<typeof PrinterEncoderConfigTspl>;
export type PrinterEncoderConfigStar = z.infer<typeof PrinterEncoderConfigStar>;
export type PrinterConnection = z.infer<typeof PrinterConnection>;
export type PrinterHardware = z.infer<typeof PrinterHardware>;
export type PrinterBackupInfo = z.infer<typeof PrinterBackupInfo>;
export type PrinterBackupInfoUsb = z.infer<typeof PrinterBackupInfoUsb>;
export type PrinterBackupInfoPrinterId = z.infer<typeof PrinterBackupInfoPrinterId>;
export type Printer = z.infer<typeof Printer>;
export type PrinterConnectionBluetooth = z.infer<typeof PrinterConnectionBluetooth>;
export type PrinterConnectionDriver = z.infer<typeof PrinterConnectionDriver>;
export type PrinterConnectionIp = z.infer<typeof PrinterConnectionIp>;
export type PrinterConnectionStar = z.infer<typeof PrinterConnectionStar>;
export type PrinterConnectionUsb = z.infer<typeof PrinterConnectionUsb>;
