import { z } from "zod";
export declare const FdoAblyUpdateData: z.ZodObject<{
    createdAt: z.ZodEffects<z.ZodString, string, string>;
}, "strip", z.ZodTypeAny, {
    createdAt: string;
}, {
    createdAt: string;
}>;
export declare const FdoAblyPublishBase: z.ZodObject<{
    channelName: z.ZodEnum<["MENU:UPDATE", "KIOSK_ORDER_SETTING:UPDATE"]>;
    data: z.ZodUnknown;
    publisher: z.ZodString;
}, "strip", z.ZodTypeAny, {
    data?: unknown;
    channelName: "MENU:UPDATE" | "KIOSK_ORDER_SETTING:UPDATE";
    publisher: string;
}, {
    data?: unknown;
    channelName: "MENU:UPDATE" | "KIOSK_ORDER_SETTING:UPDATE";
    publisher: string;
}>;
export declare const FdoAblyPublishMenuUpdate: z.ZodObject<z.extendShape<{
    channelName: z.ZodEnum<["MENU:UPDATE", "KIOSK_ORDER_SETTING:UPDATE"]>;
    data: z.ZodUnknown;
    publisher: z.ZodString;
}, {
    channelName: z.ZodLiteral<"MENU:UPDATE">;
    data: z.ZodObject<{
        createdAt: z.ZodEffects<z.ZodString, string, string>;
    }, "strip", z.ZodTypeAny, {
        createdAt: string;
    }, {
        createdAt: string;
    }>;
}>, "strip", z.ZodTypeAny, {
    data: {
        createdAt: string;
    };
    channelName: "MENU:UPDATE";
    publisher: string;
}, {
    data: {
        createdAt: string;
    };
    channelName: "MENU:UPDATE";
    publisher: string;
}>;
export declare const FdoAblyPublishKioskOrderSettingUpdate: z.ZodObject<z.extendShape<{
    channelName: z.ZodEnum<["MENU:UPDATE", "KIOSK_ORDER_SETTING:UPDATE"]>;
    data: z.ZodUnknown;
    publisher: z.ZodString;
}, {
    channelName: z.ZodLiteral<"KIOSK_ORDER_SETTING:UPDATE">;
    data: z.ZodObject<{
        createdAt: z.ZodEffects<z.ZodString, string, string>;
    }, "strip", z.ZodTypeAny, {
        createdAt: string;
    }, {
        createdAt: string;
    }>;
}>, "strip", z.ZodTypeAny, {
    data: {
        createdAt: string;
    };
    channelName: "KIOSK_ORDER_SETTING:UPDATE";
    publisher: string;
}, {
    data: {
        createdAt: string;
    };
    channelName: "KIOSK_ORDER_SETTING:UPDATE";
    publisher: string;
}>;
export declare const FdoAblyPublishPayload: z.ZodDiscriminatedUnion<"channelName", z.Primitive, z.ZodObject<z.extendShape<{
    channelName: z.ZodEnum<["MENU:UPDATE", "KIOSK_ORDER_SETTING:UPDATE"]>;
    data: z.ZodUnknown;
    publisher: z.ZodString;
}, {
    channelName: z.ZodLiteral<"MENU:UPDATE">;
    data: z.ZodObject<{
        createdAt: z.ZodEffects<z.ZodString, string, string>;
    }, "strip", z.ZodTypeAny, {
        createdAt: string;
    }, {
        createdAt: string;
    }>;
}>, "strip", z.ZodTypeAny, {
    data: {
        createdAt: string;
    };
    channelName: "MENU:UPDATE";
    publisher: string;
}, {
    data: {
        createdAt: string;
    };
    channelName: "MENU:UPDATE";
    publisher: string;
}> | z.ZodObject<z.extendShape<{
    channelName: z.ZodEnum<["MENU:UPDATE", "KIOSK_ORDER_SETTING:UPDATE"]>;
    data: z.ZodUnknown;
    publisher: z.ZodString;
}, {
    channelName: z.ZodLiteral<"KIOSK_ORDER_SETTING:UPDATE">;
    data: z.ZodObject<{
        createdAt: z.ZodEffects<z.ZodString, string, string>;
    }, "strip", z.ZodTypeAny, {
        createdAt: string;
    }, {
        createdAt: string;
    }>;
}>, "strip", z.ZodTypeAny, {
    data: {
        createdAt: string;
    };
    channelName: "KIOSK_ORDER_SETTING:UPDATE";
    publisher: string;
}, {
    data: {
        createdAt: string;
    };
    channelName: "KIOSK_ORDER_SETTING:UPDATE";
    publisher: string;
}>>;
export type FdoAblyPublishMenuUpdate = z.infer<typeof FdoAblyPublishMenuUpdate>;
export type FdoAblyUpdateData = z.infer<typeof FdoAblyUpdateData>;
export type FdoAblyPublishPayload = z.infer<typeof FdoAblyPublishPayload>;
