import { z } from 'zod';
export declare const UserDto: z.ZodObject<Omit<{
    _id: z.ZodString;
    birthday: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
    gender: z.ZodNullable<z.ZodOptional<z.ZodEnum<["MALE", "FEMALE"]>>>;
    addresses: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        address: z.ZodString;
        coordinates: z.ZodArray<z.ZodNumber, "many">;
    }, "strip", z.ZodTypeAny, {
        name: string;
        address: string;
        coordinates: number[];
    }, {
        name: string;
        address: string;
        coordinates: number[];
    }>, "many">>>;
    email: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    photoURL: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    displayName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    phoneNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    imported: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        source: z.ZodEnum<["FEEDME", "CITY_POS", "STOREHUB", "KERUYUn", "QISOFT", "WECHAT", "TEABAR", "NULL_MEMBER", "UMAI_POS", "QASHIER", "XILNET", "GENIUSPOS", "YHOFOODIE"]>;
        raw: z.ZodRecord<z.ZodString, z.ZodAny>;
    }, "strip", z.ZodTypeAny, {
        raw: Record<string, any>;
        source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
    }, {
        raw: Record<string, any>;
        source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
    }>>>;
}, "imported">, "strip", z.ZodTypeAny, {
    email?: string | null | undefined;
    photoURL?: string | null | undefined;
    phoneNumber?: string | null | undefined;
    birthday?: string | null | undefined;
    gender?: "MALE" | "FEMALE" | null | undefined;
    addresses?: {
        name: string;
        address: string;
        coordinates: number[];
    }[] | null | undefined;
    displayName?: string | null | undefined;
    _id: string;
}, {
    email?: string | null | undefined;
    photoURL?: string | null | undefined;
    phoneNumber?: string | null | undefined;
    birthday?: string | null | undefined;
    gender?: "MALE" | "FEMALE" | null | undefined;
    addresses?: {
        name: string;
        address: string;
        coordinates: number[];
    }[] | null | undefined;
    displayName?: string | null | undefined;
    _id: string;
}>;
export declare const UserResponseDto: z.ZodObject<{
    success: z.ZodBoolean;
    user: z.ZodObject<{
        _id: z.ZodString;
        birthday: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
        gender: z.ZodNullable<z.ZodOptional<z.ZodEnum<["MALE", "FEMALE"]>>>;
        addresses: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            address: z.ZodString;
            coordinates: z.ZodArray<z.ZodNumber, "many">;
        }, "strip", z.ZodTypeAny, {
            name: string;
            address: string;
            coordinates: number[];
        }, {
            name: string;
            address: string;
            coordinates: number[];
        }>, "many">>>;
        email: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        photoURL: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        displayName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        phoneNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        imported: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            source: z.ZodEnum<["FEEDME", "CITY_POS", "STOREHUB", "KERUYUn", "QISOFT", "WECHAT", "TEABAR", "NULL_MEMBER", "UMAI_POS", "QASHIER", "XILNET", "GENIUSPOS", "YHOFOODIE"]>;
            raw: z.ZodRecord<z.ZodString, z.ZodAny>;
        }, "strip", z.ZodTypeAny, {
            raw: Record<string, any>;
            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
        }, {
            raw: Record<string, any>;
            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
        }>>>;
    }, "strip", z.ZodTypeAny, {
        email?: string | null | undefined;
        phoneNumber?: string | null | undefined;
        birthday?: string | null | undefined;
        gender?: "MALE" | "FEMALE" | null | undefined;
        addresses?: {
            name: string;
            address: string;
            coordinates: number[];
        }[] | null | undefined;
        photoURL?: string | null | undefined;
        displayName?: string | null | undefined;
        imported?: {
            raw: Record<string, any>;
            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
        } | null | undefined;
        _id: string;
    }, {
        email?: string | null | undefined;
        phoneNumber?: string | null | undefined;
        birthday?: string | null | undefined;
        gender?: "MALE" | "FEMALE" | null | undefined;
        addresses?: {
            name: string;
            address: string;
            coordinates: number[];
        }[] | null | undefined;
        photoURL?: string | null | undefined;
        displayName?: string | null | undefined;
        imported?: {
            raw: Record<string, any>;
            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
        } | null | undefined;
        _id: string;
    }>;
}, "strip", z.ZodTypeAny, {
    user: {
        email?: string | null | undefined;
        phoneNumber?: string | null | undefined;
        birthday?: string | null | undefined;
        gender?: "MALE" | "FEMALE" | null | undefined;
        addresses?: {
            name: string;
            address: string;
            coordinates: number[];
        }[] | null | undefined;
        photoURL?: string | null | undefined;
        displayName?: string | null | undefined;
        imported?: {
            raw: Record<string, any>;
            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
        } | null | undefined;
        _id: string;
    };
    success: boolean;
}, {
    user: {
        email?: string | null | undefined;
        phoneNumber?: string | null | undefined;
        birthday?: string | null | undefined;
        gender?: "MALE" | "FEMALE" | null | undefined;
        addresses?: {
            name: string;
            address: string;
            coordinates: number[];
        }[] | null | undefined;
        photoURL?: string | null | undefined;
        displayName?: string | null | undefined;
        imported?: {
            raw: Record<string, any>;
            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
        } | null | undefined;
        _id: string;
    };
    success: boolean;
}>;
export type UserResponseDto = z.infer<typeof UserResponseDto>;
