import { z } from 'zod';
declare const WebSocketCustomerNewMessageData: z.ZodObject<{
    message: z.ZodString;
    color: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    color?: string | null | undefined;
    message: string;
}, {
    color?: string | null | undefined;
    message: string;
}>;
declare const WebSocketCustomerNewMessageEvent: z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
}, {
    type: z.ZodLiteral<"CUSTOMER:NEW_MESSAGE">;
    data: z.ZodObject<{
        message: z.ZodString;
        color: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        color?: string | null | undefined;
        message: string;
    }, {
        color?: string | null | undefined;
        message: string;
    }>;
}>, "strip", z.ZodTypeAny, {
    data: {
        color?: string | null | undefined;
        message: string;
    };
    type: "CUSTOMER:NEW_MESSAGE";
}, {
    data: {
        color?: string | null | undefined;
        message: string;
    };
    type: "CUSTOMER:NEW_MESSAGE";
}>;
export declare const WebSocketEventDto: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
}, {
    type: z.ZodLiteral<"CUSTOMER:NEW_MESSAGE">;
    data: z.ZodObject<{
        message: z.ZodString;
        color: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        color?: string | null | undefined;
        message: string;
    }, {
        color?: string | null | undefined;
        message: string;
    }>;
}>, "strip", z.ZodTypeAny, {
    data: {
        color?: string | null | undefined;
        message: string;
    };
    type: "CUSTOMER:NEW_MESSAGE";
}, {
    data: {
        color?: string | null | undefined;
        message: string;
    };
    type: "CUSTOMER:NEW_MESSAGE";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
}, {
    type: z.ZodLiteral<"CUSTOMER:UPDATE_ORDER">;
    data: z.ZodObject<{
        id: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
    }, {
        id: string;
    }>;
}>, "strip", z.ZodTypeAny, {
    data: {
        id: string;
    };
    type: "CUSTOMER:UPDATE_ORDER";
}, {
    data: {
        id: string;
    };
    type: "CUSTOMER:UPDATE_ORDER";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
}, {
    type: z.ZodLiteral<"CUSTOMER:NEW_REWARD">;
}>, "strip", z.ZodTypeAny, {
    type: "CUSTOMER:NEW_REWARD";
}, {
    type: "CUSTOMER:NEW_REWARD";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
}, {
    type: z.ZodLiteral<"CUSTOMER:NEW_QUEUE">;
    data: z.ZodAny;
}>, "strip", z.ZodTypeAny, {
    data?: any;
    type: "CUSTOMER:NEW_QUEUE";
}, {
    data?: any;
    type: "CUSTOMER:NEW_QUEUE";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
}, {
    type: z.ZodLiteral<"CUSTOMER:NEW_RESERVATION">;
    data: z.ZodAny;
}>, "strip", z.ZodTypeAny, {
    data?: any;
    type: "CUSTOMER:NEW_RESERVATION";
}, {
    data?: any;
    type: "CUSTOMER:NEW_RESERVATION";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
}, {
    type: z.ZodLiteral<"CUSTOMER:UPDATE_RESERVATION">;
    data: z.ZodAny;
}>, "strip", z.ZodTypeAny, {
    data?: any;
    type: "CUSTOMER:UPDATE_RESERVATION";
}, {
    data?: any;
    type: "CUSTOMER:UPDATE_RESERVATION";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
}, {
    type: z.ZodLiteral<"CUSTOMER:UPDATE_RESERVATION:CART">;
    data: z.ZodAny;
}>, "strip", z.ZodTypeAny, {
    data?: any;
    type: "CUSTOMER:UPDATE_RESERVATION:CART";
}, {
    data?: any;
    type: "CUSTOMER:UPDATE_RESERVATION:CART";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
}, {
    type: z.ZodLiteral<"CUSTOMER:UPDATE_QUEUE">;
    data: z.ZodAny;
}>, "strip", z.ZodTypeAny, {
    data?: any;
    type: "CUSTOMER:UPDATE_QUEUE";
}, {
    data?: any;
    type: "CUSTOMER:UPDATE_QUEUE";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
}, {
    type: z.ZodLiteral<"CUSTOMER:UPDATE_QUEUE:CART">;
    data: z.ZodAny;
}>, "strip", z.ZodTypeAny, {
    data?: any;
    type: "CUSTOMER:UPDATE_QUEUE:CART";
}, {
    data?: any;
    type: "CUSTOMER:UPDATE_QUEUE:CART";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
}, {
    type: z.ZodLiteral<"PORTAL:NEW_QUEUE">;
    data: z.ZodAny;
}>, "strip", z.ZodTypeAny, {
    data?: any;
    type: "PORTAL:NEW_QUEUE";
}, {
    data?: any;
    type: "PORTAL:NEW_QUEUE";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
}, {
    type: z.ZodLiteral<"PORTAL:UPDATE_QUEUE">;
    data: z.ZodAny;
}>, "strip", z.ZodTypeAny, {
    data?: any;
    type: "PORTAL:UPDATE_QUEUE";
}, {
    data?: any;
    type: "PORTAL:UPDATE_QUEUE";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
}, {
    type: z.ZodLiteral<"PORTAL:NEW_RESERVATION">;
    data: z.ZodAny;
}>, "strip", z.ZodTypeAny, {
    data?: any;
    type: "PORTAL:NEW_RESERVATION";
}, {
    data?: any;
    type: "PORTAL:NEW_RESERVATION";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
}, {
    type: z.ZodLiteral<"PORTAL:UPDATE_RESERVATION">;
    data: z.ZodAny;
}>, "strip", z.ZodTypeAny, {
    data?: any;
    type: "PORTAL:UPDATE_RESERVATION";
}, {
    data?: any;
    type: "PORTAL:UPDATE_RESERVATION";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
}, {
    type: z.ZodLiteral<"PORTAL:UPDATE_QUEUE:CART">;
    data: z.ZodAny;
}>, "strip", z.ZodTypeAny, {
    data?: any;
    type: "PORTAL:UPDATE_QUEUE:CART";
}, {
    data?: any;
    type: "PORTAL:UPDATE_QUEUE:CART";
}> | z.ZodObject<z.extendShape<{
    type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
}, {
    type: z.ZodLiteral<"KIOSK:UPDATE_SETTING">;
    data: z.ZodDefault<z.ZodObject<{
        dineIn: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            requiredSlot: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            pickUp: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                enabled: z.ZodBoolean;
                enablePaxDialog: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                    paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            }, {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            }>>>;
            displayStand: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                enabled: z.ZodDefault<z.ZodBoolean>;
                standSlotRange: z.ZodEffects<z.ZodObject<{
                    min: z.ZodNumber;
                    max: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    min: number;
                    max: number;
                }, {
                    min: number;
                    max: number;
                }>, {
                    min: number;
                    max: number;
                }, {
                    min: number;
                    max: number;
                }>;
                prefix: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
                padDigit: z.ZodNumber;
                enablePaxDialog: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                    paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
            }, {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
            } | null | undefined;
        }, {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            } | null | undefined;
        }>>>;
        canTakeaway: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        takeaway: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
            }, "strip", z.ZodTypeAny, {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            }, {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        }, {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        }>>>;
        paymentSetting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodEnum<["cash", "ePayment", "ePaymentNonPayout", "credit", "ePaymentSandbox"]>>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>>, "many">>>;
            ePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                card: z.ZodObject<{
                    terminal: z.ZodDefault<z.ZodBoolean>;
                    nfc: z.ZodDefault<z.ZodBoolean>;
                }, "strip", z.ZodTypeAny, {
                    terminal: boolean;
                    nfc: boolean;
                }, {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                }>;
                eWallet: z.ZodObject<{
                    qrPay: z.ZodDefault<z.ZodBoolean>;
                    scanPay: z.ZodDefault<z.ZodBoolean>;
                }, "strip", z.ZodTypeAny, {
                    qrPay: boolean;
                    scanPay: boolean;
                }, {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                }>;
            }, "strip", z.ZodTypeAny, {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            }, {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            }>>>;
        }, "strip", z.ZodTypeAny, {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            } | null | undefined;
        }, {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            } | null | undefined;
        }>>>;
        menuItem: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            showAllOnly: z.ZodBoolean;
        }, "strip", z.ZodTypeAny, {
            showAllOnly: boolean;
        }, {
            showAllOnly: boolean;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    }, {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    }>>;
}>, "strip", z.ZodTypeAny, {
    data: {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    };
    type: "KIOSK:UPDATE_SETTING";
}, {
    data?: {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    } | undefined;
    type: "KIOSK:UPDATE_SETTING";
}>>;
export declare const WebSocketReqDto: z.ZodObject<{
    topicIds: z.ZodArray<z.ZodString, "many">;
    event: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
    }, {
        type: z.ZodLiteral<"CUSTOMER:NEW_MESSAGE">;
        data: z.ZodObject<{
            message: z.ZodString;
            color: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            color?: string | null | undefined;
            message: string;
        }, {
            color?: string | null | undefined;
            message: string;
        }>;
    }>, "strip", z.ZodTypeAny, {
        data: {
            color?: string | null | undefined;
            message: string;
        };
        type: "CUSTOMER:NEW_MESSAGE";
    }, {
        data: {
            color?: string | null | undefined;
            message: string;
        };
        type: "CUSTOMER:NEW_MESSAGE";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
    }, {
        type: z.ZodLiteral<"CUSTOMER:UPDATE_ORDER">;
        data: z.ZodObject<{
            id: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
        }, {
            id: string;
        }>;
    }>, "strip", z.ZodTypeAny, {
        data: {
            id: string;
        };
        type: "CUSTOMER:UPDATE_ORDER";
    }, {
        data: {
            id: string;
        };
        type: "CUSTOMER:UPDATE_ORDER";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
    }, {
        type: z.ZodLiteral<"CUSTOMER:NEW_REWARD">;
    }>, "strip", z.ZodTypeAny, {
        type: "CUSTOMER:NEW_REWARD";
    }, {
        type: "CUSTOMER:NEW_REWARD";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
    }, {
        type: z.ZodLiteral<"CUSTOMER:NEW_QUEUE">;
        data: z.ZodAny;
    }>, "strip", z.ZodTypeAny, {
        data?: any;
        type: "CUSTOMER:NEW_QUEUE";
    }, {
        data?: any;
        type: "CUSTOMER:NEW_QUEUE";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
    }, {
        type: z.ZodLiteral<"CUSTOMER:NEW_RESERVATION">;
        data: z.ZodAny;
    }>, "strip", z.ZodTypeAny, {
        data?: any;
        type: "CUSTOMER:NEW_RESERVATION";
    }, {
        data?: any;
        type: "CUSTOMER:NEW_RESERVATION";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
    }, {
        type: z.ZodLiteral<"CUSTOMER:UPDATE_RESERVATION">;
        data: z.ZodAny;
    }>, "strip", z.ZodTypeAny, {
        data?: any;
        type: "CUSTOMER:UPDATE_RESERVATION";
    }, {
        data?: any;
        type: "CUSTOMER:UPDATE_RESERVATION";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
    }, {
        type: z.ZodLiteral<"CUSTOMER:UPDATE_RESERVATION:CART">;
        data: z.ZodAny;
    }>, "strip", z.ZodTypeAny, {
        data?: any;
        type: "CUSTOMER:UPDATE_RESERVATION:CART";
    }, {
        data?: any;
        type: "CUSTOMER:UPDATE_RESERVATION:CART";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
    }, {
        type: z.ZodLiteral<"CUSTOMER:UPDATE_QUEUE">;
        data: z.ZodAny;
    }>, "strip", z.ZodTypeAny, {
        data?: any;
        type: "CUSTOMER:UPDATE_QUEUE";
    }, {
        data?: any;
        type: "CUSTOMER:UPDATE_QUEUE";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
    }, {
        type: z.ZodLiteral<"CUSTOMER:UPDATE_QUEUE:CART">;
        data: z.ZodAny;
    }>, "strip", z.ZodTypeAny, {
        data?: any;
        type: "CUSTOMER:UPDATE_QUEUE:CART";
    }, {
        data?: any;
        type: "CUSTOMER:UPDATE_QUEUE:CART";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
    }, {
        type: z.ZodLiteral<"PORTAL:NEW_QUEUE">;
        data: z.ZodAny;
    }>, "strip", z.ZodTypeAny, {
        data?: any;
        type: "PORTAL:NEW_QUEUE";
    }, {
        data?: any;
        type: "PORTAL:NEW_QUEUE";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
    }, {
        type: z.ZodLiteral<"PORTAL:UPDATE_QUEUE">;
        data: z.ZodAny;
    }>, "strip", z.ZodTypeAny, {
        data?: any;
        type: "PORTAL:UPDATE_QUEUE";
    }, {
        data?: any;
        type: "PORTAL:UPDATE_QUEUE";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
    }, {
        type: z.ZodLiteral<"PORTAL:NEW_RESERVATION">;
        data: z.ZodAny;
    }>, "strip", z.ZodTypeAny, {
        data?: any;
        type: "PORTAL:NEW_RESERVATION";
    }, {
        data?: any;
        type: "PORTAL:NEW_RESERVATION";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
    }, {
        type: z.ZodLiteral<"PORTAL:UPDATE_RESERVATION">;
        data: z.ZodAny;
    }>, "strip", z.ZodTypeAny, {
        data?: any;
        type: "PORTAL:UPDATE_RESERVATION";
    }, {
        data?: any;
        type: "PORTAL:UPDATE_RESERVATION";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
    }, {
        type: z.ZodLiteral<"PORTAL:UPDATE_QUEUE:CART">;
        data: z.ZodAny;
    }>, "strip", z.ZodTypeAny, {
        data?: any;
        type: "PORTAL:UPDATE_QUEUE:CART";
    }, {
        data?: any;
        type: "PORTAL:UPDATE_QUEUE:CART";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["CUSTOMER:UPDATE_ORDER", "CUSTOMER:NEW_REWARD", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:NEW_MESSAGE", "CUSTOMER:UPDATE_QUEUE", "CUSTOMER:UPDATE_QUEUE:CART", "CUSTOMER:NEW_QUEUE", "CUSTOMER:NEW_RESERVATION", "CUSTOMER:UPDATE_RESERVATION", "CUSTOMER:UPDATE_RESERVATION:CART", "PORTAL:NEW_QUEUE", "PORTAL:UPDATE_QUEUE", "PORTAL:NEW_RESERVATION", "PORTAL:UPDATE_RESERVATION", "PORTAL:UPDATE_QUEUE:CART", "PORTAL:UPDATE_RESERVATION:CART", "KIOSK:UPDATE_SETTING"]>;
    }, {
        type: z.ZodLiteral<"KIOSK:UPDATE_SETTING">;
        data: z.ZodDefault<z.ZodObject<{
            dineIn: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                requiredSlot: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                pickUp: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    enabled: z.ZodBoolean;
                    enablePaxDialog: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                        paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                    }, "strip", z.ZodTypeAny, {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    }, {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    }>>>;
                }, "strip", z.ZodTypeAny, {
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    enabled: boolean;
                }, {
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    enabled: boolean;
                }>>>;
                displayStand: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    enabled: z.ZodDefault<z.ZodBoolean>;
                    standSlotRange: z.ZodEffects<z.ZodObject<{
                        min: z.ZodNumber;
                        max: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        min: number;
                        max: number;
                    }, {
                        min: number;
                        max: number;
                    }>, {
                        min: number;
                        max: number;
                    }, {
                        min: number;
                        max: number;
                    }>;
                    prefix: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
                    padDigit: z.ZodNumber;
                    enablePaxDialog: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                        paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                    }, "strip", z.ZodTypeAny, {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    }, {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    }>>>;
                }, "strip", z.ZodTypeAny, {
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    enabled: boolean;
                    standSlotRange: {
                        min: number;
                        max: number;
                    };
                    prefix: string | null;
                    padDigit: number;
                }, {
                    enabled?: boolean | undefined;
                    prefix?: string | null | undefined;
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    standSlotRange: {
                        min: number;
                        max: number;
                    };
                    padDigit: number;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                requiredSlot?: boolean | null | undefined;
                pickUp?: {
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    enabled: boolean;
                } | null | undefined;
                displayStand?: {
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    enabled: boolean;
                    standSlotRange: {
                        min: number;
                        max: number;
                    };
                    prefix: string | null;
                    padDigit: number;
                } | null | undefined;
            }, {
                requiredSlot?: boolean | null | undefined;
                pickUp?: {
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    enabled: boolean;
                } | null | undefined;
                displayStand?: {
                    enabled?: boolean | undefined;
                    prefix?: string | null | undefined;
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    standSlotRange: {
                        min: number;
                        max: number;
                    };
                    padDigit: number;
                } | null | undefined;
            }>>>;
            canTakeaway: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            takeaway: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                    paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
            }, {
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
            }>>>;
            paymentSetting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodEnum<["cash", "ePayment", "ePaymentNonPayout", "credit", "ePaymentSandbox"]>>, "many">>>;
                offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodObject<{
                    name: z.ZodString;
                    instruction: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    instruction: string;
                }, {
                    name: string;
                    instruction: string;
                }>>, "many">>>;
                ePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    card: z.ZodObject<{
                        terminal: z.ZodDefault<z.ZodBoolean>;
                        nfc: z.ZodDefault<z.ZodBoolean>;
                    }, "strip", z.ZodTypeAny, {
                        terminal: boolean;
                        nfc: boolean;
                    }, {
                        terminal?: boolean | undefined;
                        nfc?: boolean | undefined;
                    }>;
                    eWallet: z.ZodObject<{
                        qrPay: z.ZodDefault<z.ZodBoolean>;
                        scanPay: z.ZodDefault<z.ZodBoolean>;
                    }, "strip", z.ZodTypeAny, {
                        qrPay: boolean;
                        scanPay: boolean;
                    }, {
                        qrPay?: boolean | undefined;
                        scanPay?: boolean | undefined;
                    }>;
                }, "strip", z.ZodTypeAny, {
                    card: {
                        terminal: boolean;
                        nfc: boolean;
                    };
                    eWallet: {
                        qrPay: boolean;
                        scanPay: boolean;
                    };
                }, {
                    card: {
                        terminal?: boolean | undefined;
                        nfc?: boolean | undefined;
                    };
                    eWallet: {
                        qrPay?: boolean | undefined;
                        scanPay?: boolean | undefined;
                    };
                }>>>;
            }, "strip", z.ZodTypeAny, {
                paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ePaymentTypes?: {
                    card: {
                        terminal: boolean;
                        nfc: boolean;
                    };
                    eWallet: {
                        qrPay: boolean;
                        scanPay: boolean;
                    };
                } | null | undefined;
            }, {
                paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ePaymentTypes?: {
                    card: {
                        terminal?: boolean | undefined;
                        nfc?: boolean | undefined;
                    };
                    eWallet: {
                        qrPay?: boolean | undefined;
                        scanPay?: boolean | undefined;
                    };
                } | null | undefined;
            }>>>;
            menuItem: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                showAllOnly: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                showAllOnly: boolean;
            }, {
                showAllOnly: boolean;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            dineIn?: {
                requiredSlot?: boolean | null | undefined;
                pickUp?: {
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    enabled: boolean;
                } | null | undefined;
                displayStand?: {
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    enabled: boolean;
                    standSlotRange: {
                        min: number;
                        max: number;
                    };
                    prefix: string | null;
                    padDigit: number;
                } | null | undefined;
            } | null | undefined;
            canTakeaway?: boolean | null | undefined;
            takeaway?: {
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
            } | null | undefined;
            paymentSetting?: {
                paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ePaymentTypes?: {
                    card: {
                        terminal: boolean;
                        nfc: boolean;
                    };
                    eWallet: {
                        qrPay: boolean;
                        scanPay: boolean;
                    };
                } | null | undefined;
            } | null | undefined;
            menuItem?: {
                showAllOnly: boolean;
            } | null | undefined;
        }, {
            dineIn?: {
                requiredSlot?: boolean | null | undefined;
                pickUp?: {
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    enabled: boolean;
                } | null | undefined;
                displayStand?: {
                    enabled?: boolean | undefined;
                    prefix?: string | null | undefined;
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    standSlotRange: {
                        min: number;
                        max: number;
                    };
                    padDigit: number;
                } | null | undefined;
            } | null | undefined;
            canTakeaway?: boolean | null | undefined;
            takeaway?: {
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
            } | null | undefined;
            paymentSetting?: {
                paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ePaymentTypes?: {
                    card: {
                        terminal?: boolean | undefined;
                        nfc?: boolean | undefined;
                    };
                    eWallet: {
                        qrPay?: boolean | undefined;
                        scanPay?: boolean | undefined;
                    };
                } | null | undefined;
            } | null | undefined;
            menuItem?: {
                showAllOnly: boolean;
            } | null | undefined;
        }>>;
    }>, "strip", z.ZodTypeAny, {
        data: {
            dineIn?: {
                requiredSlot?: boolean | null | undefined;
                pickUp?: {
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    enabled: boolean;
                } | null | undefined;
                displayStand?: {
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    enabled: boolean;
                    standSlotRange: {
                        min: number;
                        max: number;
                    };
                    prefix: string | null;
                    padDigit: number;
                } | null | undefined;
            } | null | undefined;
            canTakeaway?: boolean | null | undefined;
            takeaway?: {
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
            } | null | undefined;
            paymentSetting?: {
                paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ePaymentTypes?: {
                    card: {
                        terminal: boolean;
                        nfc: boolean;
                    };
                    eWallet: {
                        qrPay: boolean;
                        scanPay: boolean;
                    };
                } | null | undefined;
            } | null | undefined;
            menuItem?: {
                showAllOnly: boolean;
            } | null | undefined;
        };
        type: "KIOSK:UPDATE_SETTING";
    }, {
        data?: {
            dineIn?: {
                requiredSlot?: boolean | null | undefined;
                pickUp?: {
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    enabled: boolean;
                } | null | undefined;
                displayStand?: {
                    enabled?: boolean | undefined;
                    prefix?: string | null | undefined;
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    standSlotRange: {
                        min: number;
                        max: number;
                    };
                    padDigit: number;
                } | null | undefined;
            } | null | undefined;
            canTakeaway?: boolean | null | undefined;
            takeaway?: {
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
            } | null | undefined;
            paymentSetting?: {
                paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ePaymentTypes?: {
                    card: {
                        terminal?: boolean | undefined;
                        nfc?: boolean | undefined;
                    };
                    eWallet: {
                        qrPay?: boolean | undefined;
                        scanPay?: boolean | undefined;
                    };
                } | null | undefined;
            } | null | undefined;
            menuItem?: {
                showAllOnly: boolean;
            } | null | undefined;
        } | undefined;
        type: "KIOSK:UPDATE_SETTING";
    }>>;
}, "strip", z.ZodTypeAny, {
    event: {
        data: {
            color?: string | null | undefined;
            message: string;
        };
        type: "CUSTOMER:NEW_MESSAGE";
    } | {
        data: {
            id: string;
        };
        type: "CUSTOMER:UPDATE_ORDER";
    } | {
        type: "CUSTOMER:NEW_REWARD";
    } | {
        data?: any;
        type: "CUSTOMER:NEW_QUEUE";
    } | {
        data?: any;
        type: "CUSTOMER:NEW_RESERVATION";
    } | {
        data?: any;
        type: "CUSTOMER:UPDATE_RESERVATION";
    } | {
        data?: any;
        type: "CUSTOMER:UPDATE_RESERVATION:CART";
    } | {
        data?: any;
        type: "CUSTOMER:UPDATE_QUEUE";
    } | {
        data?: any;
        type: "CUSTOMER:UPDATE_QUEUE:CART";
    } | {
        data?: any;
        type: "PORTAL:NEW_QUEUE";
    } | {
        data?: any;
        type: "PORTAL:UPDATE_QUEUE";
    } | {
        data?: any;
        type: "PORTAL:NEW_RESERVATION";
    } | {
        data?: any;
        type: "PORTAL:UPDATE_RESERVATION";
    } | {
        data?: any;
        type: "PORTAL:UPDATE_QUEUE:CART";
    } | {
        data: {
            dineIn?: {
                requiredSlot?: boolean | null | undefined;
                pickUp?: {
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    enabled: boolean;
                } | null | undefined;
                displayStand?: {
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    enabled: boolean;
                    standSlotRange: {
                        min: number;
                        max: number;
                    };
                    prefix: string | null;
                    padDigit: number;
                } | null | undefined;
            } | null | undefined;
            canTakeaway?: boolean | null | undefined;
            takeaway?: {
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
            } | null | undefined;
            paymentSetting?: {
                paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ePaymentTypes?: {
                    card: {
                        terminal: boolean;
                        nfc: boolean;
                    };
                    eWallet: {
                        qrPay: boolean;
                        scanPay: boolean;
                    };
                } | null | undefined;
            } | null | undefined;
            menuItem?: {
                showAllOnly: boolean;
            } | null | undefined;
        };
        type: "KIOSK:UPDATE_SETTING";
    };
    topicIds: string[];
}, {
    event: {
        data: {
            color?: string | null | undefined;
            message: string;
        };
        type: "CUSTOMER:NEW_MESSAGE";
    } | {
        data: {
            id: string;
        };
        type: "CUSTOMER:UPDATE_ORDER";
    } | {
        type: "CUSTOMER:NEW_REWARD";
    } | {
        data?: any;
        type: "CUSTOMER:NEW_QUEUE";
    } | {
        data?: any;
        type: "CUSTOMER:NEW_RESERVATION";
    } | {
        data?: any;
        type: "CUSTOMER:UPDATE_RESERVATION";
    } | {
        data?: any;
        type: "CUSTOMER:UPDATE_RESERVATION:CART";
    } | {
        data?: any;
        type: "CUSTOMER:UPDATE_QUEUE";
    } | {
        data?: any;
        type: "CUSTOMER:UPDATE_QUEUE:CART";
    } | {
        data?: any;
        type: "PORTAL:NEW_QUEUE";
    } | {
        data?: any;
        type: "PORTAL:UPDATE_QUEUE";
    } | {
        data?: any;
        type: "PORTAL:NEW_RESERVATION";
    } | {
        data?: any;
        type: "PORTAL:UPDATE_RESERVATION";
    } | {
        data?: any;
        type: "PORTAL:UPDATE_QUEUE:CART";
    } | {
        data?: {
            dineIn?: {
                requiredSlot?: boolean | null | undefined;
                pickUp?: {
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    enabled: boolean;
                } | null | undefined;
                displayStand?: {
                    enabled?: boolean | undefined;
                    prefix?: string | null | undefined;
                    enablePaxDialog?: boolean | null | undefined;
                    submitOrderInstruction?: {
                        payAtCounter?: Record<string, string> | null | undefined;
                        paid?: Record<string, string> | null | undefined;
                    } | null | undefined;
                    standSlotRange: {
                        min: number;
                        max: number;
                    };
                    padDigit: number;
                } | null | undefined;
            } | null | undefined;
            canTakeaway?: boolean | null | undefined;
            takeaway?: {
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
            } | null | undefined;
            paymentSetting?: {
                paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ePaymentTypes?: {
                    card: {
                        terminal?: boolean | undefined;
                        nfc?: boolean | undefined;
                    };
                    eWallet: {
                        qrPay?: boolean | undefined;
                        scanPay?: boolean | undefined;
                    };
                } | null | undefined;
            } | null | undefined;
            menuItem?: {
                showAllOnly: boolean;
            } | null | undefined;
        } | undefined;
        type: "KIOSK:UPDATE_SETTING";
    };
    topicIds: string[];
}>;
export type WebSocketCustomerNewMessageData = z.infer<typeof WebSocketCustomerNewMessageData>;
export type WebSocketCustomerNewMessageEvent = z.infer<typeof WebSocketCustomerNewMessageEvent>;
export type WebSocketEventDto = z.infer<typeof WebSocketEventDto>;
export type WebSocketReqDto = z.infer<typeof WebSocketReqDto>;
export {};
