/// <reference types="vite/client" />

interface ImportMeta {
  readonly env: ImportMetaEnv
}

interface ImportMetaEnv {
  VITE_AUTH_CLIENT_ID: string
  VITE_GOOGLE_MAP_API_KEY: string
  VITE_FIREBASE_API_KEY: string;
  VITE_FIREBASE_AUTH_DOMAIN: string;
  VITE_FIREBASE_DATABASE_URL: string;
  VITE_FIREBASE_PROJECT_ID: string;
  VITE_FIREBASE_STORAGE_BUCKET: string;
  VITE_FIREBASE_MESSAGING_SENDER_ID: string;
  VITE_FIREBASE_APP_ID: string;
  VITE_FIREBASE_MEASUREMENT_ID: string;
  VITE_DEBUG_MODE: string;
}

declare module '*.vue' {
  import type { DefineComponent } from 'vue'
  // eslint-disable-next-line @typescript-eslint/no-explicit-any, @typescript-eslint/ban-types
  const component: DefineComponent<{}, {}, any>
  export default component
}

// vite define
declare const devInfo: {
  mode: 'production' | 'development'
}

declare const appApi: {
  googleMap: string
  firebase: {
    apiKey: string
    authDomain: string
    databaseURL: string
    projectId: string
    storageBucket: string
    messagingSenderId: string
    appId: string
    measurementId: string
  }
  assetBucketUrl: string
  imageBucketUrl: string
  aiSettings: {
    remy: {
      enable: boolean
    }
  }
  r2: {
    endPoint: string
    bucketName: string
    accessKeyId: string
    secretAccessKey: string
  } | null
  gtm: {
    id: string
    serverUrl: string
    serverMeasurementId: string
    env: string
    debug: boolean
  }
  feedMeClientId: string
}
declare const appEndpoint: {
  customerApp: string
  customerV3App: string
  dealer: string
  portalV1: string
  marketingPortal: string
  inventoryPortal: string
  report: string
  licensePortal: string
  tableMapping: string | undefined
  templateBuilder: string | undefined
  mainBackend: string | undefined
  menuV4Backend: string | undefined
  smsBackend: string | undefined
  linkedDeliveryBackend: string | undefined
  foodMarketHubBackend: string | undefined
  foodpandaBackend: string | undefined
  grabfoodBackend: string | undefined
  shopeefoodBackend: string | undefined
  mallIntegrationBackend: string | undefined
  cubeJsBackend: string | undefined
  marketingV2Backend: string | undefined
  hrBackend: string | undefined
  inventoryBackend: string | undefined
  paymentBackend: string | undefined
  remy: string
  eInvoiceBackend: string | undefined
  mdmPortal: string
}
