import { getData, businessClientInstance } from '@/api'
import { FdtoDiscountRuleRes, FdoDiscountRule } from '@feedmepos/core/entity'

export const businessApi = {
  async readDiscountRule(businessId: string): Promise<FdtoDiscountRuleRes> {
    const result = await businessClientInstance(businessId).get('/discount-rule')
    return getData(result)
  },
  async updateDiscountRule(
    businessId: string,
    discountRule: FdoDiscountRule
  ): Promise<FdtoDiscountRuleRes> {
    const result = await businessClientInstance(businessId).put('/discount-rule', discountRule)
    return getData(result)
  }
}
