
import type { DeliveryCancelDto, FdtoDeliveryManualWebhook, OrderPortalDto } from '@entity';
import { baseClientInstance, getData } from '..';

export const deliveryApi = {
  async updateManualOrder(payload: FdtoDeliveryManualWebhook): Promise<OrderPortalDto> {
    return getData(await baseClientInstance().post('/deliveries/update-manual-status', payload));
  },
  async cancelDeliveryOrder(payload: DeliveryCancelDto): Promise<OrderPortalDto> {
    return getData(await baseClientInstance().post('/deliveries/cancel-delivery', payload));
  },
  async refetchDeliveryOrder(orderId: string): Promise<OrderPortalDto> {
    return getData(await baseClientInstance().post(`/deliveries/${orderId}/refresh`));
  }
};