import { getData, restaurantClientInstance, smsBackendClientInstance, SvcConfig } from '@/api';
import { OrderSettingsDto, OrderSettingUpdateDto } from '@entity';

async function getOrderSetting() : Promise<OrderSettingsDto>{
    const result = await restaurantClientInstance().get('/order-settings');
    return getData<OrderSettingsDto>(result);
}

async function updateOrderSetting(payload: OrderSettingUpdateDto): Promise<OrderSettingsDto>{
    const result = await restaurantClientInstance().put('/order-settings', payload);
    return getData<OrderSettingsDto>(result);
}

export const OrderSettingApi = {
    getOrderSetting,
    updateOrderSetting,
};

async function read() {
    return getData(await smsBackendClientInstance().get(`balance/${SvcConfig.getBusinessId()}`));
  }

export const smsApi = {
    read,
  };