import type { OrderPortalDto, OrderQueryDto, OrderRefundDto } from '@entity';
import { baseClientInstance, getData } from '..';
import type { FdtoDeliveryManualWebhook } from '@feedmepos/ordering/package/entity';

export const orderApi = {
  async read(dto: OrderQueryDto): Promise<OrderPortalDto[]> {
    return getData(await baseClientInstance().post('/orders', dto));
  },
  async refund(dto: OrderRefundDto): Promise<OrderPortalDto> {
    return getData(await baseClientInstance().post('/orders/refund', dto));
  },
  async updateManualOrder(payload: FdtoDeliveryManualWebhook): Promise<OrderPortalDto> {
    return getData(await baseClientInstance().post('/deliveries/update-manual-status', payload));
  },
};