import Day from 'dayjs';


export function formatDuration(totalMinutes: number): string {
  const hours = Math.floor(totalMinutes / 60);
  const minutes = totalMinutes % 60;
  return `${hours}h ${minutes.toString().padStart(2, '0')}m`;
}

export class DateRange {
  private range: {
    start: string;
    end: string;
  };
  constructor(dateRange: { start: string; end: string }) {
    this.range = dateRange;
  }

  private format(string: string, format?: string) {
    return Day(string).format(format || 'DD/MM/YYYY');
  }

  formatWith(format?: string, divider?: string) {
    const start = this.format(this.range.start, format);
    const end = this.format(this.range.end, format);
    return `${start} ${divider || '-'} ${end}`;
  }
}

