

export interface AdjustmentAmount {
  amount: number;
  precision: number;
}

export function toAdjustmentWithPrecision(
  amt: string | number,
  precision = 0,
  allowNegative = false
) {
  let amount = 0;
  if (!Number.isNaN(Number(amt))) {
    if (allowNegative || Number(amt) >= 0) amount = Number(amt);
  }
  return {
    amount: Number((amount * 10 ** precision).toFixed(0)),
    precision
  };
}

export function percentToAdjustment(v: number): AdjustmentAmount {
  return toAdjustmentWithPrecision(Math.floor(v) / 100, 4);
}