import { FdoEPaymentMethod, F_ORDER_PAYMENT_TYPE } from "@entity";
import { FdoOfflinePaymentMethod } from '@feedmepos/core/entity';

export interface MfKioskSubmitOrderInstruction {
    payAtCounter: string | null,
    paid: string | null,
}

export type KioskSubmitOrderInstructionForm = MfKioskSubmitOrderInstruction;

export interface MfDisplayStandSetting {
    enabled: boolean,
    standSlotRange: {
        min: number,
        max: number,
    },
    prefix: string | null,
    padDigit: number,
    enablePaxDialog: boolean,
    submitOrderInstruction: MfKioskSubmitOrderInstruction,
}

export interface DisplayStandSettingForm {
    enabled: boolean,
    standSlotRange: {
        min: number | null,
        max: number | null
    },
    prefix: string | null,
    padDigit: number | null,
    enablePaxDialog: boolean,
    submitOrderInstruction: KioskSubmitOrderInstructionForm,
}

export interface MfKioskPickAtCounterSetting {
    enabled: boolean,
    enablePaxDialog: boolean,
    submitOrderInstruction: MfKioskSubmitOrderInstruction,
}

export interface PickAtCounterSettingForm {
    enabled: boolean,
    enablePaxDialog: boolean,
    submitOrderInstruction: KioskSubmitOrderInstructionForm,
}

export interface MfKioskSequenceNumberSetting {
    prefix: string,
    current: number,
}

export interface MfKioskDineInSetting {
    enabled: boolean,
    sequenceNumber: MfKioskSequenceNumberSetting,
    displayStand: MfDisplayStandSetting,
    pickUp: MfKioskPickAtCounterSetting,
}

export interface MfKioskTakeawaySetting {
    enabled: boolean,
    submitOrderInstruction: MfKioskSubmitOrderInstruction,
}

export interface MfKioskPaymentSetting {
    paymentTypes: MfKioskPaymentTypes,
    offlinePaymentTypes: FdoOfflinePaymentMethod[],
    ePaymentTypes: FdoEPaymentMethod
}

export type MfKioskPaymentTypes = F_ORDER_PAYMENT_TYPE[];

export type KioskTakeawaySettingForm = MfKioskTakeawaySetting;

export type KioskPaymentTypesForm = MfKioskPaymentTypes;

export type KioskPaymentSettingForm = MfKioskPaymentSetting;

export interface MfKioskOrderSetting {
    dineIn: MfKioskDineInSetting,
    takeaway: MfKioskTakeawaySetting,
    paymentSetting: MfKioskPaymentSetting,
    menuItem: MfKioskOrderSettingMenuItemForm,
}

export interface MfKioskOrderSettingMenuItemForm {
    showAllOnly: boolean,
}

export interface MfKioskOrderSettingForm {
    dineIn: KioskDineInSettingForm,
    takeaway: KioskTakeawaySettingForm,
    paymentSetting: KioskPaymentSettingForm,
    menuItem: KioskMenuItemSettingForm,
}

export type KioskPickAtCounterSettingForm = MfKioskPickAtCounterSetting;
export type KioskMenuItemSettingForm = MfKioskOrderSettingMenuItemForm;
export interface KioskDineInSettingForm {
    enabled: boolean,
    sequenceNumber: MfKioskSequenceNumberSetting,
    displayStand: DisplayStandSettingForm,
    pickUp: KioskPickAtCounterSettingForm,
}