import { type RouteRecordRaw } from 'vue-router'
import { PortalRoute } from '@/utils/constants/route';

const routes: RouteRecordRaw[] = [
  {
    path: PortalRoute.KioskRoute,
    name: 'Kiosk',
    component: () => import('@/views/kiosk/KioskView.vue')
  },
  {
    path: PortalRoute.KioskDeviceRoute,
    name: 'Kiosk Device',
    component: () => import('@/views/kiosk/devices/KioskDevicesView.vue')
  },
  {
    path: PortalRoute.KioskOrderSettingRoute,
    name: 'Kiosk Order Setting',
    component: () => import('@/views/kiosk/settings/KioskSettingView.vue')
  },
  {
    path: PortalRoute.OrderSettingView,
    name: 'Order Setting View',
    component: () => import('@/views/order-settings/OrderSettingsView.vue')
  },
];

export { routes }
