import { type MfKioskDevice } from "@/modules/kiosk/interface";
import type { KioskDeviceDto } from "@entity";

const toMfKioskDevice = (dto: KioskDeviceDto): MfKioskDevice => {
    return {
        name: dto.name ?? 'N/A',
        machineId: dto.machineId,
        config: {
            scannerInfo: dto.scannerInfo ?? undefined,
            printerInfo: dto.printerInfo ?? undefined,
            terminalInfo: dto.terminalInfo ?? undefined,
        },
        activatedAt: tokenToActivatedAt(dto.token),
        deviceAppType: dto.deviceAppType ?? undefined,
        slotInfo: dto.slotInfo ?? undefined,
        pinInfo: dto.pinInfo ?? undefined,
        deviceAppVersion: dto.deviceAppVersion ?? undefined,
    };
};

function tokenToActivatedAt(token: string): Date {
    const decoded = token.substring(0, 8);
    const timestamp = parseInt(decoded, 16);
    return new Date(timestamp * 1000);
}

export const KioskMapper = {
    toMfKioskDevice,
}
