import type { FdoExternalSetting } from '@entity';
import {
  FdoRestaurantFeedmeDelivery,
  FdoGrabfoodSettings,
  FdoShopeeFoodSettings,
  FdoFoodpandaSettings,
  FdoRestaurantInHouseDelivery
} from '@feedmepos/core/entity'

function initInhouseDelivery(): FdoRestaurantInHouseDelivery {
  return {
    enable: false,
    areas: [],
    term: '',
    deliveryTime: null,
    catalogId: null,
    paymentTypes: [],
    ignoreStock: false
  }
}

function initFeedmeExpress(): FdoRestaurantFeedmeDelivery {
  return {
    enable: false,
    term: '',
    catalogId: null,
    autoAccept: true,
    instruction: ''
  }
}

export function initFoodpandaDelivery(): FdoFoodpandaSettings {
  return {
    enable: false,
    remoteId: '',
    catalogId: null,
    autoCloseBill: false,
    reportConfig: {
      discountCampaigns: [],
      commissionRate: 0
    },
    autoAccept: true
  };
}


function initGrabfoodDelivery(): FdoGrabfoodSettings {
  return {
    enable: false,
    merchantID: '',
    catalogId: null,
    autoCloseBill: false,
    commissionRate: 0,
  }
}

function initShopeefoodDelivery(): FdoShopeeFoodSettings {
  return {
    enable: false,
    storeID: '',
    catalogId: null,
    autoCloseBill: false,
    reportConfig: {
      discountCampaigns: [],
      commissionRate: 0
    }
  }
}

function initExternalDelivery(): FdoExternalSetting {
  return {
    _id: '',
    enable: false,
    config: {
      autoAccept: true,
      autoSend: false,
      autoCloseBill: false,
    },
    platform: 'ZUS',
  }
}

export default {
  initInhouseDelivery,
  initFeedmeExpress,
  initFoodpandaDelivery,
  initGrabfoodDelivery,
  initShopeefoodDelivery,
  initExternalDelivery
}
