import { z } from 'zod';
export declare const FoodCourtMemberDto: z.ZodObject<{
    _id: z.ZodString;
    status: z.ZodDefault<z.ZodEnum<["ACTIVE", "INACTIVE", "PENDING", "DECLINED"]>>;
    lastUpdatedAt: z.ZodDefault<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
    _id: string;
    lastUpdatedAt: string;
}, {
    status?: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING" | undefined;
    lastUpdatedAt?: string | undefined;
    _id: string;
}>;
export declare const FoodCourtBaseDto: z.ZodObject<{
    _id: z.ZodString;
    members: z.ZodDefault<z.ZodArray<z.ZodObject<{
        _id: z.ZodString;
        status: z.ZodDefault<z.ZodEnum<["ACTIVE", "INACTIVE", "PENDING", "DECLINED"]>>;
        lastUpdatedAt: z.ZodDefault<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        lastUpdatedAt: string;
    }, {
        status?: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING" | undefined;
        lastUpdatedAt?: string | undefined;
        _id: string;
    }>, "many">>;
    pf_restaurants: z.ZodDefault<z.ZodArray<z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        businessId: z.ZodString;
        expiredAt: z.ZodString;
        features: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNativeEnum<{
            stock: string;
            discovery: string;
            pickup: string;
            delivery: string;
            foodpanda: string;
            deliveryIntegration: string;
            kds: string;
            ods: string;
        }>, "many">>>>;
        profile: z.ZodObject<z.extendShape<{
            _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            name: z.ZodString;
            address: z.ZodObject<{
                line1: z.ZodString;
                line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                state: z.ZodString;
                city: z.ZodString;
                postcode: z.ZodString;
                country: z.ZodString;
                coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
            }, "strip", z.ZodTypeAny, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }>;
            phoneNo: z.ZodString;
            email: z.ZodString;
            regNo: z.ZodString;
            legalName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            sstRegNo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            discovery: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            coverPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            thumbnailPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            operatingHours: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                0: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                1: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                2: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                3: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                4: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                5: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                6: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
            }, "strip", z.ZodTypeAny, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }>>>;
            tags: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, {
            url: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
        }>, "strip", z.ZodTypeAny, {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        }, {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        }>;
        dineIn: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            anonymousOrder: z.ZodBoolean;
            staticQr: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            disableItemRemark: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            acceptQueue: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        }, {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        }>>>>;
        pickup: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            pickupTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                day: z.ZodObject<{
                    min: z.ZodNumber;
                    max: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    max: number;
                    min: number;
                }, {
                    max: number;
                    min: number;
                }>;
            }, "strip", z.ZodTypeAny, {
                day: {
                    max: number;
                    min: number;
                };
            }, {
                day: {
                    max: number;
                    min: number;
                };
            }>>>;
            pickupPointConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                restaurantEnable: z.ZodBoolean;
                points: z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    address: z.ZodString;
                    coordinates: z.ZodArray<z.ZodNumber, "many">;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            }, {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            }>>>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        }, {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        }>>>>;
    }, {
        status: z.ZodEnum<["ACTIVE", "INACTIVE", "PENDING", "DECLINED"]>;
    }>, "strip", z.ZodTypeAny, {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        businessId: string;
        expiredAt: string;
        features: string[] | null;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        };
    }, {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        features?: string[] | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        businessId: string;
        expiredAt: string;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    }>, "many">>;
    shortUrl: z.ZodOptional<z.ZodString>;
    name: z.ZodDefault<z.ZodString>;
    status: z.ZodDefault<z.ZodEnum<["ACTIVE", "INACTIVE", "PENDING", "DECLINED"]>>;
    ownerId: z.ZodOptional<z.ZodString>;
    deletedAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    pf_owner: z.ZodOptional<z.ZodObject<{
        _id: z.ZodString;
        catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        businessId: z.ZodString;
        expiredAt: z.ZodString;
        features: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNativeEnum<{
            stock: string;
            discovery: string;
            pickup: string;
            delivery: string;
            foodpanda: string;
            deliveryIntegration: string;
            kds: string;
            ods: string;
        }>, "many">>>>;
        profile: z.ZodObject<z.extendShape<{
            _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            name: z.ZodString;
            address: z.ZodObject<{
                line1: z.ZodString;
                line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                state: z.ZodString;
                city: z.ZodString;
                postcode: z.ZodString;
                country: z.ZodString;
                coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
            }, "strip", z.ZodTypeAny, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }>;
            phoneNo: z.ZodString;
            email: z.ZodString;
            regNo: z.ZodString;
            legalName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            sstRegNo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            discovery: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            coverPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            thumbnailPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            operatingHours: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                0: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                1: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                2: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                3: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                4: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                5: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                6: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
            }, "strip", z.ZodTypeAny, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }>>>;
            tags: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, {
            url: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
        }>, "strip", z.ZodTypeAny, {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        }, {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        }>;
        dineIn: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            anonymousOrder: z.ZodBoolean;
            staticQr: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            disableItemRemark: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            acceptQueue: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        }, {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        }>>>>;
        pickup: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            pickupTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                day: z.ZodObject<{
                    min: z.ZodNumber;
                    max: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    max: number;
                    min: number;
                }, {
                    max: number;
                    min: number;
                }>;
            }, "strip", z.ZodTypeAny, {
                day: {
                    max: number;
                    min: number;
                };
            }, {
                day: {
                    max: number;
                    min: number;
                };
            }>>>;
            pickupPointConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                restaurantEnable: z.ZodBoolean;
                points: z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    address: z.ZodString;
                    coordinates: z.ZodArray<z.ZodNumber, "many">;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            }, {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            }>>>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        }, {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        }>>>>;
    }, "strip", z.ZodTypeAny, {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        features: string[] | null;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        };
    }, {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        features?: string[] | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    }>>;
}, "strip", z.ZodTypeAny, {
    shortUrl?: string | undefined;
    ownerId?: string | undefined;
    pf_owner?: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        features: string[] | null;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        };
    } | undefined;
    deletedAt?: string | null | undefined;
    name: string;
    status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
    _id: string;
    members: {
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        lastUpdatedAt: string;
    }[];
    pf_restaurants: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        businessId: string;
        expiredAt: string;
        features: string[] | null;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        };
    }[];
}, {
    name?: string | undefined;
    status?: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING" | undefined;
    members?: {
        status?: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING" | undefined;
        lastUpdatedAt?: string | undefined;
        _id: string;
    }[] | undefined;
    pf_restaurants?: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        features?: string[] | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        businessId: string;
        expiredAt: string;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    }[] | undefined;
    shortUrl?: string | undefined;
    ownerId?: string | undefined;
    pf_owner?: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        features?: string[] | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    } | undefined;
    deletedAt?: string | null | undefined;
    _id: string;
}>;
export declare const FoodCourtDto: z.ZodEffects<z.ZodObject<{
    _id: z.ZodString;
    members: z.ZodDefault<z.ZodArray<z.ZodObject<{
        _id: z.ZodString;
        status: z.ZodDefault<z.ZodEnum<["ACTIVE", "INACTIVE", "PENDING", "DECLINED"]>>;
        lastUpdatedAt: z.ZodDefault<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        lastUpdatedAt: string;
    }, {
        status?: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING" | undefined;
        lastUpdatedAt?: string | undefined;
        _id: string;
    }>, "many">>;
    pf_restaurants: z.ZodDefault<z.ZodArray<z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        businessId: z.ZodString;
        expiredAt: z.ZodString;
        features: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNativeEnum<{
            stock: string;
            discovery: string;
            pickup: string;
            delivery: string;
            foodpanda: string;
            deliveryIntegration: string;
            kds: string;
            ods: string;
        }>, "many">>>>;
        profile: z.ZodObject<z.extendShape<{
            _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            name: z.ZodString;
            address: z.ZodObject<{
                line1: z.ZodString;
                line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                state: z.ZodString;
                city: z.ZodString;
                postcode: z.ZodString;
                country: z.ZodString;
                coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
            }, "strip", z.ZodTypeAny, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }>;
            phoneNo: z.ZodString;
            email: z.ZodString;
            regNo: z.ZodString;
            legalName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            sstRegNo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            discovery: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            coverPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            thumbnailPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            operatingHours: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                0: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                1: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                2: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                3: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                4: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                5: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                6: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
            }, "strip", z.ZodTypeAny, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }>>>;
            tags: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, {
            url: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
        }>, "strip", z.ZodTypeAny, {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        }, {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        }>;
        dineIn: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            anonymousOrder: z.ZodBoolean;
            staticQr: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            disableItemRemark: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            acceptQueue: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        }, {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        }>>>>;
        pickup: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            pickupTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                day: z.ZodObject<{
                    min: z.ZodNumber;
                    max: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    max: number;
                    min: number;
                }, {
                    max: number;
                    min: number;
                }>;
            }, "strip", z.ZodTypeAny, {
                day: {
                    max: number;
                    min: number;
                };
            }, {
                day: {
                    max: number;
                    min: number;
                };
            }>>>;
            pickupPointConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                restaurantEnable: z.ZodBoolean;
                points: z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    address: z.ZodString;
                    coordinates: z.ZodArray<z.ZodNumber, "many">;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            }, {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            }>>>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        }, {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        }>>>>;
    }, {
        status: z.ZodEnum<["ACTIVE", "INACTIVE", "PENDING", "DECLINED"]>;
    }>, "strip", z.ZodTypeAny, {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        businessId: string;
        expiredAt: string;
        features: string[] | null;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        };
    }, {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        features?: string[] | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        businessId: string;
        expiredAt: string;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    }>, "many">>;
    shortUrl: z.ZodOptional<z.ZodString>;
    name: z.ZodDefault<z.ZodString>;
    status: z.ZodDefault<z.ZodEnum<["ACTIVE", "INACTIVE", "PENDING", "DECLINED"]>>;
    ownerId: z.ZodOptional<z.ZodString>;
    deletedAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    pf_owner: z.ZodOptional<z.ZodObject<{
        _id: z.ZodString;
        catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        businessId: z.ZodString;
        expiredAt: z.ZodString;
        features: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNativeEnum<{
            stock: string;
            discovery: string;
            pickup: string;
            delivery: string;
            foodpanda: string;
            deliveryIntegration: string;
            kds: string;
            ods: string;
        }>, "many">>>>;
        profile: z.ZodObject<z.extendShape<{
            _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            name: z.ZodString;
            address: z.ZodObject<{
                line1: z.ZodString;
                line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                state: z.ZodString;
                city: z.ZodString;
                postcode: z.ZodString;
                country: z.ZodString;
                coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
            }, "strip", z.ZodTypeAny, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }>;
            phoneNo: z.ZodString;
            email: z.ZodString;
            regNo: z.ZodString;
            legalName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            sstRegNo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            discovery: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            coverPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            thumbnailPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            operatingHours: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                0: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                1: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                2: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                3: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                4: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                5: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                6: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
            }, "strip", z.ZodTypeAny, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }>>>;
            tags: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, {
            url: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
        }>, "strip", z.ZodTypeAny, {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        }, {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        }>;
        dineIn: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            anonymousOrder: z.ZodBoolean;
            staticQr: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            disableItemRemark: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            acceptQueue: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        }, {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        }>>>>;
        pickup: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            pickupTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                day: z.ZodObject<{
                    min: z.ZodNumber;
                    max: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    max: number;
                    min: number;
                }, {
                    max: number;
                    min: number;
                }>;
            }, "strip", z.ZodTypeAny, {
                day: {
                    max: number;
                    min: number;
                };
            }, {
                day: {
                    max: number;
                    min: number;
                };
            }>>>;
            pickupPointConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                restaurantEnable: z.ZodBoolean;
                points: z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    address: z.ZodString;
                    coordinates: z.ZodArray<z.ZodNumber, "many">;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            }, {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            }>>>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        }, {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        }>>>>;
    }, "strip", z.ZodTypeAny, {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        features: string[] | null;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        };
    }, {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        features?: string[] | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    }>>;
}, "strip", z.ZodTypeAny, {
    shortUrl?: string | undefined;
    ownerId?: string | undefined;
    pf_owner?: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        features: string[] | null;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        };
    } | undefined;
    deletedAt?: string | null | undefined;
    name: string;
    status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
    _id: string;
    members: {
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        lastUpdatedAt: string;
    }[];
    pf_restaurants: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        businessId: string;
        expiredAt: string;
        features: string[] | null;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        };
    }[];
}, {
    name?: string | undefined;
    status?: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING" | undefined;
    members?: {
        status?: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING" | undefined;
        lastUpdatedAt?: string | undefined;
        _id: string;
    }[] | undefined;
    pf_restaurants?: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        features?: string[] | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        businessId: string;
        expiredAt: string;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    }[] | undefined;
    shortUrl?: string | undefined;
    ownerId?: string | undefined;
    pf_owner?: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        features?: string[] | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    } | undefined;
    deletedAt?: string | null | undefined;
    _id: string;
}>, {
    dineIn: {
        anonymousOrder: boolean;
        paymentTypes: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[];
    };
    shortUrl?: string | undefined;
    ownerId?: string | undefined;
    pf_owner?: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        features: string[] | null;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        };
    } | undefined;
    deletedAt?: string | null | undefined;
    name: string;
    status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
    _id: string;
    members: {
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        lastUpdatedAt: string;
    }[];
    pf_restaurants: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        businessId: string;
        expiredAt: string;
        features: string[] | null;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        };
    }[];
}, {
    name?: string | undefined;
    status?: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING" | undefined;
    members?: {
        status?: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING" | undefined;
        lastUpdatedAt?: string | undefined;
        _id: string;
    }[] | undefined;
    pf_restaurants?: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        features?: string[] | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        businessId: string;
        expiredAt: string;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    }[] | undefined;
    shortUrl?: string | undefined;
    ownerId?: string | undefined;
    pf_owner?: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        features?: string[] | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    } | undefined;
    deletedAt?: string | null | undefined;
    _id: string;
}>;
export type FoodCourtMemberDto = z.infer<typeof FoodCourtMemberDto>;
export type FoodCourtDto = z.output<typeof FoodCourtDto>;
export declare const FoodCourtCreateDto: z.ZodObject<Omit<{
    _id: z.ZodString;
    members: z.ZodDefault<z.ZodArray<z.ZodObject<{
        _id: z.ZodString;
        status: z.ZodDefault<z.ZodEnum<["ACTIVE", "INACTIVE", "PENDING", "DECLINED"]>>;
        lastUpdatedAt: z.ZodDefault<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        lastUpdatedAt: string;
    }, {
        status?: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING" | undefined;
        lastUpdatedAt?: string | undefined;
        _id: string;
    }>, "many">>;
    pf_restaurants: z.ZodDefault<z.ZodArray<z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        businessId: z.ZodString;
        expiredAt: z.ZodString;
        features: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNativeEnum<{
            stock: string;
            discovery: string;
            pickup: string;
            delivery: string;
            foodpanda: string;
            deliveryIntegration: string;
            kds: string;
            ods: string;
        }>, "many">>>>;
        profile: z.ZodObject<z.extendShape<{
            _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            name: z.ZodString;
            address: z.ZodObject<{
                line1: z.ZodString;
                line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                state: z.ZodString;
                city: z.ZodString;
                postcode: z.ZodString;
                country: z.ZodString;
                coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
            }, "strip", z.ZodTypeAny, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }>;
            phoneNo: z.ZodString;
            email: z.ZodString;
            regNo: z.ZodString;
            legalName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            sstRegNo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            discovery: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            coverPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            thumbnailPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            operatingHours: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                0: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                1: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                2: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                3: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                4: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                5: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                6: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
            }, "strip", z.ZodTypeAny, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }>>>;
            tags: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, {
            url: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
        }>, "strip", z.ZodTypeAny, {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        }, {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        }>;
        dineIn: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            anonymousOrder: z.ZodBoolean;
            staticQr: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            disableItemRemark: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            acceptQueue: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        }, {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        }>>>>;
        pickup: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            pickupTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                day: z.ZodObject<{
                    min: z.ZodNumber;
                    max: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    max: number;
                    min: number;
                }, {
                    max: number;
                    min: number;
                }>;
            }, "strip", z.ZodTypeAny, {
                day: {
                    max: number;
                    min: number;
                };
            }, {
                day: {
                    max: number;
                    min: number;
                };
            }>>>;
            pickupPointConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                restaurantEnable: z.ZodBoolean;
                points: z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    address: z.ZodString;
                    coordinates: z.ZodArray<z.ZodNumber, "many">;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            }, {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            }>>>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        }, {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        }>>>>;
    }, {
        status: z.ZodEnum<["ACTIVE", "INACTIVE", "PENDING", "DECLINED"]>;
    }>, "strip", z.ZodTypeAny, {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        businessId: string;
        expiredAt: string;
        features: string[] | null;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        };
    }, {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        features?: string[] | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        businessId: string;
        expiredAt: string;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    }>, "many">>;
    shortUrl: z.ZodOptional<z.ZodString>;
    name: z.ZodDefault<z.ZodString>;
    status: z.ZodDefault<z.ZodEnum<["ACTIVE", "INACTIVE", "PENDING", "DECLINED"]>>;
    ownerId: z.ZodOptional<z.ZodString>;
    deletedAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    pf_owner: z.ZodOptional<z.ZodObject<{
        _id: z.ZodString;
        catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        businessId: z.ZodString;
        expiredAt: z.ZodString;
        features: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNativeEnum<{
            stock: string;
            discovery: string;
            pickup: string;
            delivery: string;
            foodpanda: string;
            deliveryIntegration: string;
            kds: string;
            ods: string;
        }>, "many">>>>;
        profile: z.ZodObject<z.extendShape<{
            _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            name: z.ZodString;
            address: z.ZodObject<{
                line1: z.ZodString;
                line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                state: z.ZodString;
                city: z.ZodString;
                postcode: z.ZodString;
                country: z.ZodString;
                coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
            }, "strip", z.ZodTypeAny, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }>;
            phoneNo: z.ZodString;
            email: z.ZodString;
            regNo: z.ZodString;
            legalName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            sstRegNo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            discovery: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            coverPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            thumbnailPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            operatingHours: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                0: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                1: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                2: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                3: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                4: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                5: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                6: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
            }, "strip", z.ZodTypeAny, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }>>>;
            tags: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, {
            url: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
        }>, "strip", z.ZodTypeAny, {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        }, {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        }>;
        dineIn: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            anonymousOrder: z.ZodBoolean;
            staticQr: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            disableItemRemark: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            acceptQueue: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        }, {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        }>>>>;
        pickup: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            pickupTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                day: z.ZodObject<{
                    min: z.ZodNumber;
                    max: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    max: number;
                    min: number;
                }, {
                    max: number;
                    min: number;
                }>;
            }, "strip", z.ZodTypeAny, {
                day: {
                    max: number;
                    min: number;
                };
            }, {
                day: {
                    max: number;
                    min: number;
                };
            }>>>;
            pickupPointConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                restaurantEnable: z.ZodBoolean;
                points: z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    address: z.ZodString;
                    coordinates: z.ZodArray<z.ZodNumber, "many">;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            }, {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            }>>>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        }, {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        }>>>>;
    }, "strip", z.ZodTypeAny, {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        features: string[] | null;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        };
    }, {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        features?: string[] | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    }>>;
}, "_id" | "pf_restaurants" | "deletedAt">, "strip", z.ZodTypeAny, {
    shortUrl?: string | undefined;
    ownerId?: string | undefined;
    pf_owner?: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        features: string[] | null;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        };
    } | undefined;
    name: string;
    status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
    members: {
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        lastUpdatedAt: string;
    }[];
}, {
    name?: string | undefined;
    status?: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING" | undefined;
    members?: {
        status?: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING" | undefined;
        lastUpdatedAt?: string | undefined;
        _id: string;
    }[] | undefined;
    shortUrl?: string | undefined;
    ownerId?: string | undefined;
    pf_owner?: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        features?: string[] | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    } | undefined;
}>;
export type FoodCourtCreateDto = z.infer<typeof FoodCourtCreateDto>;
export declare const FoodCourtUpdateDto: z.ZodObject<{
    name: z.ZodOptional<z.ZodDefault<z.ZodString>>;
    status: z.ZodOptional<z.ZodDefault<z.ZodEnum<["ACTIVE", "INACTIVE", "PENDING", "DECLINED"]>>>;
    members: z.ZodOptional<z.ZodDefault<z.ZodArray<z.ZodObject<{
        _id: z.ZodString;
        status: z.ZodDefault<z.ZodEnum<["ACTIVE", "INACTIVE", "PENDING", "DECLINED"]>>;
        lastUpdatedAt: z.ZodDefault<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        lastUpdatedAt: string;
    }, {
        status?: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING" | undefined;
        lastUpdatedAt?: string | undefined;
        _id: string;
    }>, "many">>>;
    shortUrl: z.ZodOptional<z.ZodOptional<z.ZodString>>;
    ownerId: z.ZodOptional<z.ZodOptional<z.ZodString>>;
    pf_owner: z.ZodOptional<z.ZodOptional<z.ZodObject<{
        _id: z.ZodString;
        catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        businessId: z.ZodString;
        expiredAt: z.ZodString;
        features: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNativeEnum<{
            stock: string;
            discovery: string;
            pickup: string;
            delivery: string;
            foodpanda: string;
            deliveryIntegration: string;
            kds: string;
            ods: string;
        }>, "many">>>>;
        profile: z.ZodObject<z.extendShape<{
            _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            name: z.ZodString;
            address: z.ZodObject<{
                line1: z.ZodString;
                line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                state: z.ZodString;
                city: z.ZodString;
                postcode: z.ZodString;
                country: z.ZodString;
                coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
            }, "strip", z.ZodTypeAny, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }>;
            phoneNo: z.ZodString;
            email: z.ZodString;
            regNo: z.ZodString;
            legalName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            sstRegNo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            discovery: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            coverPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            thumbnailPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            operatingHours: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                0: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                1: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                2: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                3: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                4: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                5: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                6: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
            }, "strip", z.ZodTypeAny, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }>>>;
            tags: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, {
            url: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
        }>, "strip", z.ZodTypeAny, {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        }, {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        }>;
        dineIn: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            anonymousOrder: z.ZodBoolean;
            staticQr: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            disableItemRemark: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            acceptQueue: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        }, {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        }>>>>;
        pickup: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            pickupTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                day: z.ZodObject<{
                    min: z.ZodNumber;
                    max: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    max: number;
                    min: number;
                }, {
                    max: number;
                    min: number;
                }>;
            }, "strip", z.ZodTypeAny, {
                day: {
                    max: number;
                    min: number;
                };
            }, {
                day: {
                    max: number;
                    min: number;
                };
            }>>>;
            pickupPointConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                restaurantEnable: z.ZodBoolean;
                points: z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    address: z.ZodString;
                    coordinates: z.ZodArray<z.ZodNumber, "many">;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            }, {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            }>>>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        }, {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        }>>>>;
    }, "strip", z.ZodTypeAny, {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        features: string[] | null;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        };
    }, {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        features?: string[] | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    }>>>;
}, "strip", z.ZodTypeAny, {
    name?: string | undefined;
    status?: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING" | undefined;
    members?: {
        status: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING";
        _id: string;
        lastUpdatedAt: string;
    }[] | undefined;
    shortUrl?: string | undefined;
    ownerId?: string | undefined;
    pf_owner?: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        features: string[] | null;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
            url: string | null;
        };
    } | undefined;
}, {
    name?: string | undefined;
    status?: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING" | undefined;
    members?: {
        status?: "DECLINED" | "ACTIVE" | "INACTIVE" | "PENDING" | undefined;
        lastUpdatedAt?: string | undefined;
        _id: string;
    }[] | undefined;
    shortUrl?: string | undefined;
    ownerId?: string | undefined;
    pf_owner?: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        catalogId?: string | null | undefined;
        features?: string[] | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        _id: string;
        businessId: string;
        expiredAt: string;
        profile: {
            code?: string | null | undefined;
            _id?: string | null | undefined;
            description?: string | null | undefined;
            discovery?: boolean | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            url?: string | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    } | undefined;
}>;
export type FoodCourtUpdateDto = z.infer<typeof FoodCourtUpdateDto>;
