import { z } from "zod";
export declare const KioskVerifyMemberDto: z.ZodObject<{
    member: z.ZodObject<z.extendShape<{
        id: z.ZodString;
        joinedAt: z.ZodString;
        business: z.ZodString;
        membership: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        benefits: z.ZodArray<z.ZodObject<{
            _id: z.ZodEffects<z.ZodString, string, string>;
            options: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["BASIC", "VOUCHER"]>;
            }, {
                type: z.ZodLiteral<"BASIC">;
                effect: z.ZodObject<{
                    adjustment: z.ZodObject<{
                        type: z.ZodEnum<["BY_PERCENTAGE", "BY_AMOUNT", "TO_AMOUNT"]>;
                        amount: z.ZodObject<{
                            amount: z.ZodNumber;
                            precision: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            amount: number;
                            precision: number;
                        }, {
                            amount: number;
                            precision: number;
                        }>;
                        inclusive: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    }, "strip", z.ZodTypeAny, {
                        inclusive?: boolean | null | undefined;
                        type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                        amount: {
                            amount: number;
                            precision: number;
                        };
                    }, {
                        inclusive?: boolean | null | undefined;
                        type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                        amount: {
                            amount: number;
                            precision: number;
                        };
                    }>;
                    availableOnlineOrder: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["DINE_IN", "PICKUP", "DELIVERY"]>, "many">>>;
                    adjustmentRule: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        type: z.ZodEnum<["CAPPED_AT"]>;
                    }, "strip", z.ZodTypeAny, {
                        type: "CAPPED_AT";
                    }, {
                        type: "CAPPED_AT";
                    }>>>;
                    options: z.ZodDiscriminatedUnion<"target", z.Primitive, z.ZodObject<z.extendShape<{
                        target: z.ZodEnum<["BILL", "ITEM", "ADVANCE", "PAYMENT"]>;
                        minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                            amount: z.ZodNumber;
                            precision: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            amount: number;
                            precision: number;
                        }, {
                            amount: number;
                            precision: number;
                        }>>>;
                        minPurchaseItems: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                            productId: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            productId: string;
                        }, {
                            productId: string;
                        }>, "many">>>;
                    }, {
                        target: z.ZodLiteral<"BILL">;
                        excludeIds: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                    }>, "strip", z.ZodTypeAny, {
                        excludeIds?: string[] | null | undefined;
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "BILL";
                    }, {
                        excludeIds?: string[] | null | undefined;
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "BILL";
                    }> | z.ZodObject<z.extendShape<{
                        target: z.ZodEnum<["BILL", "ITEM", "ADVANCE", "PAYMENT"]>;
                        minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                            amount: z.ZodNumber;
                            precision: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            amount: number;
                            precision: number;
                        }, {
                            amount: number;
                            precision: number;
                        }>>>;
                        minPurchaseItems: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                            productId: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            productId: string;
                        }, {
                            productId: string;
                        }>, "many">>>;
                    }, {
                        target: z.ZodLiteral<"ITEM">;
                        strategy: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                            type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                        }, {
                            type: z.ZodLiteral<"SIMPLE">;
                            withAddons: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                        }>, "strip", z.ZodTypeAny, {
                            withAddons?: string[] | null | undefined;
                            type: "SIMPLE";
                        }, {
                            withAddons?: string[] | null | undefined;
                            type: "SIMPLE";
                        }> | z.ZodObject<z.extendShape<{
                            type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                        }, {
                            type: z.ZodLiteral<"BUY_X_GET_Y">;
                            x: z.ZodNumber;
                            y: z.ZodNumber;
                        }>, "strip", z.ZodTypeAny, {
                            type: "BUY_X_GET_Y";
                            x: number;
                            y: number;
                        }, {
                            type: "BUY_X_GET_Y";
                            x: number;
                            y: number;
                        }> | z.ZodObject<z.extendShape<{
                            type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                        }, {
                            type: z.ZodLiteral<"BUY_X_ITEM_A_GET_Y_ITEM_B">;
                            itemAIds: z.ZodArray<z.ZodString, "many">;
                            x: z.ZodNumber;
                            y: z.ZodNumber;
                        }>, "strip", z.ZodTypeAny, {
                            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        }, {
                            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        }> | z.ZodObject<z.extendShape<{
                            type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                        }, {
                            type: z.ZodLiteral<"BUY_X_GET_Y_V2">;
                            priority: z.ZodEnum<["CHEAPEST_FIRST", "MOST_EXPENSIVE_FIRST"]>;
                            itemAIds: z.ZodArray<z.ZodString, "many">;
                            x: z.ZodNumber;
                            y: z.ZodNumber;
                        }>, "strip", z.ZodTypeAny, {
                            type: "BUY_X_GET_Y_V2";
                            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        }, {
                            type: "BUY_X_GET_Y_V2";
                            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        }> | z.ZodObject<z.extendShape<{
                            type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                        }, {
                            type: z.ZodLiteral<"COMBO">;
                            groups: z.ZodArray<z.ZodObject<{
                                itemIds: z.ZodArray<z.ZodString, "many">;
                                count: z.ZodNumber;
                            }, "strip", z.ZodTypeAny, {
                                count: number;
                                itemIds: string[];
                            }, {
                                count: number;
                                itemIds: string[];
                            }>, "many">;
                            atLeast: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                        }>, "strip", z.ZodTypeAny, {
                            atLeast?: boolean | null | undefined;
                            groups: {
                                count: number;
                                itemIds: string[];
                            }[];
                            type: "COMBO";
                        }, {
                            atLeast?: boolean | null | undefined;
                            groups: {
                                count: number;
                                itemIds: string[];
                            }[];
                            type: "COMBO";
                        }>>;
                        targetIds: z.ZodArray<z.ZodString, "many">;
                        maxQuantity: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                        excludeAddonPrice: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    }>, "strip", z.ZodTypeAny, {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        maxQuantity?: number | null | undefined;
                        excludeAddonPrice?: boolean | null | undefined;
                        target: "ITEM";
                        strategy: {
                            withAddons?: string[] | null | undefined;
                            type: "SIMPLE";
                        } | {
                            type: "BUY_X_GET_Y";
                            x: number;
                            y: number;
                        } | {
                            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            type: "BUY_X_GET_Y_V2";
                            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            atLeast?: boolean | null | undefined;
                            groups: {
                                count: number;
                                itemIds: string[];
                            }[];
                            type: "COMBO";
                        };
                        targetIds: string[];
                    }, {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        maxQuantity?: number | null | undefined;
                        excludeAddonPrice?: boolean | null | undefined;
                        target: "ITEM";
                        strategy: {
                            withAddons?: string[] | null | undefined;
                            type: "SIMPLE";
                        } | {
                            type: "BUY_X_GET_Y";
                            x: number;
                            y: number;
                        } | {
                            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            type: "BUY_X_GET_Y_V2";
                            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            atLeast?: boolean | null | undefined;
                            groups: {
                                count: number;
                                itemIds: string[];
                            }[];
                            type: "COMBO";
                        };
                        targetIds: string[];
                    }> | z.ZodObject<z.extendShape<{
                        target: z.ZodEnum<["BILL", "ITEM", "ADVANCE", "PAYMENT"]>;
                        minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                            amount: z.ZodNumber;
                            precision: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            amount: number;
                            precision: number;
                        }, {
                            amount: number;
                            precision: number;
                        }>>>;
                        minPurchaseItems: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                            productId: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            productId: string;
                        }, {
                            productId: string;
                        }>, "many">>>;
                    }, {
                        target: z.ZodLiteral<"PAYMENT">;
                    }>, "strip", z.ZodTypeAny, {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "PAYMENT";
                    }, {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "PAYMENT";
                    }>>;
                    priority: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                }, "strip", z.ZodTypeAny, {
                    priority?: number | null | undefined;
                    adjustmentRule?: {
                        type: "CAPPED_AT";
                    } | null | undefined;
                    availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                    options: {
                        excludeIds?: string[] | null | undefined;
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "BILL";
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        maxQuantity?: number | null | undefined;
                        excludeAddonPrice?: boolean | null | undefined;
                        target: "ITEM";
                        strategy: {
                            withAddons?: string[] | null | undefined;
                            type: "SIMPLE";
                        } | {
                            type: "BUY_X_GET_Y";
                            x: number;
                            y: number;
                        } | {
                            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            type: "BUY_X_GET_Y_V2";
                            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            atLeast?: boolean | null | undefined;
                            groups: {
                                count: number;
                                itemIds: string[];
                            }[];
                            type: "COMBO";
                        };
                        targetIds: string[];
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "PAYMENT";
                    };
                    adjustment: {
                        inclusive?: boolean | null | undefined;
                        type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                        amount: {
                            amount: number;
                            precision: number;
                        };
                    };
                }, {
                    priority?: number | null | undefined;
                    adjustmentRule?: {
                        type: "CAPPED_AT";
                    } | null | undefined;
                    availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                    options: {
                        excludeIds?: string[] | null | undefined;
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "BILL";
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        maxQuantity?: number | null | undefined;
                        excludeAddonPrice?: boolean | null | undefined;
                        target: "ITEM";
                        strategy: {
                            withAddons?: string[] | null | undefined;
                            type: "SIMPLE";
                        } | {
                            type: "BUY_X_GET_Y";
                            x: number;
                            y: number;
                        } | {
                            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            type: "BUY_X_GET_Y_V2";
                            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            atLeast?: boolean | null | undefined;
                            groups: {
                                count: number;
                                itemIds: string[];
                            }[];
                            type: "COMBO";
                        };
                        targetIds: string[];
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "PAYMENT";
                    };
                    adjustment: {
                        inclusive?: boolean | null | undefined;
                        type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                        amount: {
                            amount: number;
                            precision: number;
                        };
                    };
                }>;
                scheduler: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    start: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["CRON", "BIRTHDAY"]>;
                    }, {
                        type: z.ZodLiteral<"CRON">;
                        cron: z.ZodString;
                    }>, "strip", z.ZodTypeAny, {
                        type: "CRON";
                        cron: string;
                    }, {
                        type: "CRON";
                        cron: string;
                    }> | z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["CRON", "BIRTHDAY"]>;
                    }, {
                        type: z.ZodLiteral<"BIRTHDAY">;
                        option: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                            type: z.ZodEnum<["START_OF", "BEFORE"]>;
                        }, {
                            type: z.ZodLiteral<"START_OF">;
                            unit: z.ZodEnum<["WEEK", "MONTH"]>;
                        }>, "strip", z.ZodTypeAny, {
                            unit: "WEEK" | "MONTH";
                            type: "START_OF";
                        }, {
                            unit: "WEEK" | "MONTH";
                            type: "START_OF";
                        }> | z.ZodObject<z.extendShape<{
                            type: z.ZodEnum<["START_OF", "BEFORE"]>;
                        }, {
                            type: z.ZodLiteral<"BEFORE">;
                            day: z.ZodNumber;
                        }>, "strip", z.ZodTypeAny, {
                            type: "BEFORE";
                            day: number;
                        }, {
                            type: "BEFORE";
                            day: number;
                        }>>;
                    }>, "strip", z.ZodTypeAny, {
                        type: "BIRTHDAY";
                        option: {
                            unit: "WEEK" | "MONTH";
                            type: "START_OF";
                        } | {
                            type: "BEFORE";
                            day: number;
                        };
                    }, {
                        type: "BIRTHDAY";
                        option: {
                            unit: "WEEK" | "MONTH";
                            type: "START_OF";
                        } | {
                            type: "BEFORE";
                            day: number;
                        };
                    }>>;
                    validity: z.ZodNumber;
                    timePeriod: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    start: {
                        type: "CRON";
                        cron: string;
                    } | {
                        type: "BIRTHDAY";
                        option: {
                            unit: "WEEK" | "MONTH";
                            type: "START_OF";
                        } | {
                            type: "BEFORE";
                            day: number;
                        };
                    };
                    validity: number;
                    timePeriod: {
                        end: string;
                        start: string;
                    }[];
                }, {
                    start: {
                        type: "CRON";
                        cron: string;
                    } | {
                        type: "BIRTHDAY";
                        option: {
                            unit: "WEEK" | "MONTH";
                            type: "START_OF";
                        } | {
                            type: "BEFORE";
                            day: number;
                        };
                    };
                    validity: number;
                    timePeriod: {
                        end: string;
                        start: string;
                    }[];
                }>>>;
            }>, "strip", z.ZodTypeAny, {
                scheduler?: {
                    start: {
                        type: "CRON";
                        cron: string;
                    } | {
                        type: "BIRTHDAY";
                        option: {
                            unit: "WEEK" | "MONTH";
                            type: "START_OF";
                        } | {
                            type: "BEFORE";
                            day: number;
                        };
                    };
                    validity: number;
                    timePeriod: {
                        end: string;
                        start: string;
                    }[];
                } | null | undefined;
                type: "BASIC";
                effect: {
                    priority?: number | null | undefined;
                    adjustmentRule?: {
                        type: "CAPPED_AT";
                    } | null | undefined;
                    availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                    options: {
                        excludeIds?: string[] | null | undefined;
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "BILL";
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        maxQuantity?: number | null | undefined;
                        excludeAddonPrice?: boolean | null | undefined;
                        target: "ITEM";
                        strategy: {
                            withAddons?: string[] | null | undefined;
                            type: "SIMPLE";
                        } | {
                            type: "BUY_X_GET_Y";
                            x: number;
                            y: number;
                        } | {
                            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            type: "BUY_X_GET_Y_V2";
                            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            atLeast?: boolean | null | undefined;
                            groups: {
                                count: number;
                                itemIds: string[];
                            }[];
                            type: "COMBO";
                        };
                        targetIds: string[];
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "PAYMENT";
                    };
                    adjustment: {
                        inclusive?: boolean | null | undefined;
                        type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                        amount: {
                            amount: number;
                            precision: number;
                        };
                    };
                };
            }, {
                scheduler?: {
                    start: {
                        type: "CRON";
                        cron: string;
                    } | {
                        type: "BIRTHDAY";
                        option: {
                            unit: "WEEK" | "MONTH";
                            type: "START_OF";
                        } | {
                            type: "BEFORE";
                            day: number;
                        };
                    };
                    validity: number;
                    timePeriod: {
                        end: string;
                        start: string;
                    }[];
                } | null | undefined;
                type: "BASIC";
                effect: {
                    priority?: number | null | undefined;
                    adjustmentRule?: {
                        type: "CAPPED_AT";
                    } | null | undefined;
                    availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                    options: {
                        excludeIds?: string[] | null | undefined;
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "BILL";
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        maxQuantity?: number | null | undefined;
                        excludeAddonPrice?: boolean | null | undefined;
                        target: "ITEM";
                        strategy: {
                            withAddons?: string[] | null | undefined;
                            type: "SIMPLE";
                        } | {
                            type: "BUY_X_GET_Y";
                            x: number;
                            y: number;
                        } | {
                            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            type: "BUY_X_GET_Y_V2";
                            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            atLeast?: boolean | null | undefined;
                            groups: {
                                count: number;
                                itemIds: string[];
                            }[];
                            type: "COMBO";
                        };
                        targetIds: string[];
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "PAYMENT";
                    };
                    adjustment: {
                        inclusive?: boolean | null | undefined;
                        type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                        amount: {
                            amount: number;
                            precision: number;
                        };
                    };
                };
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["BASIC", "VOUCHER"]>;
            }, {
                type: z.ZodLiteral<"VOUCHER">;
                vouchers: z.ZodArray<z.ZodString, "many">;
                freeCredit: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    day: z.ZodNumber;
                    amount: z.ZodNumber;
                    remark: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                }, "strip", z.ZodTypeAny, {
                    remark?: string | null | undefined;
                    day: number;
                    amount: number;
                }, {
                    remark?: string | null | undefined;
                    day: number;
                    amount: number;
                }>>>;
                triggerer: z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>;
                distributedAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }>, "strip", z.ZodTypeAny, {
                freeCredit?: {
                    remark?: string | null | undefined;
                    day: number;
                    amount: number;
                } | null | undefined;
                distributedAt?: string | null | undefined;
                type: "VOUCHER";
                vouchers: string[];
                triggerer: {};
            }, {
                freeCredit?: {
                    remark?: string | null | undefined;
                    day: number;
                    amount: number;
                } | null | undefined;
                distributedAt?: string | null | undefined;
                type: "VOUCHER";
                vouchers: string[];
                triggerer: {};
            }>>;
            name: z.ZodString;
            description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            image: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            minLevel: z.ZodNumber;
            maxLevel: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            minTier: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            maxTier: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            targetRestaurant: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            requiredTitle: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            frontend: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                hide: z.ZodBoolean;
                disable: z.ZodBoolean;
                reason: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                reason: string;
                hide: boolean;
                disable: boolean;
            }, {
                reason: string;
                hide: boolean;
                disable: boolean;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            image?: string | null | undefined;
            description?: string | null | undefined;
            maxLevel?: number | null | undefined;
            minTier?: number | null | undefined;
            maxTier?: number | null | undefined;
            targetRestaurant?: string[] | null | undefined;
            requiredTitle?: string | null | undefined;
            frontend?: {
                reason: string;
                hide: boolean;
                disable: boolean;
            } | null | undefined;
            name: string;
            options: {
                scheduler?: {
                    start: {
                        type: "CRON";
                        cron: string;
                    } | {
                        type: "BIRTHDAY";
                        option: {
                            unit: "WEEK" | "MONTH";
                            type: "START_OF";
                        } | {
                            type: "BEFORE";
                            day: number;
                        };
                    };
                    validity: number;
                    timePeriod: {
                        end: string;
                        start: string;
                    }[];
                } | null | undefined;
                type: "BASIC";
                effect: {
                    priority?: number | null | undefined;
                    adjustmentRule?: {
                        type: "CAPPED_AT";
                    } | null | undefined;
                    availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                    options: {
                        excludeIds?: string[] | null | undefined;
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "BILL";
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        maxQuantity?: number | null | undefined;
                        excludeAddonPrice?: boolean | null | undefined;
                        target: "ITEM";
                        strategy: {
                            withAddons?: string[] | null | undefined;
                            type: "SIMPLE";
                        } | {
                            type: "BUY_X_GET_Y";
                            x: number;
                            y: number;
                        } | {
                            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            type: "BUY_X_GET_Y_V2";
                            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            atLeast?: boolean | null | undefined;
                            groups: {
                                count: number;
                                itemIds: string[];
                            }[];
                            type: "COMBO";
                        };
                        targetIds: string[];
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "PAYMENT";
                    };
                    adjustment: {
                        inclusive?: boolean | null | undefined;
                        type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                        amount: {
                            amount: number;
                            precision: number;
                        };
                    };
                };
            } | {
                freeCredit?: {
                    remark?: string | null | undefined;
                    day: number;
                    amount: number;
                } | null | undefined;
                distributedAt?: string | null | undefined;
                type: "VOUCHER";
                vouchers: string[];
                triggerer: {};
            };
            _id: string;
            minLevel: number;
        }, {
            image?: string | null | undefined;
            description?: string | null | undefined;
            maxLevel?: number | null | undefined;
            minTier?: number | null | undefined;
            maxTier?: number | null | undefined;
            targetRestaurant?: string[] | null | undefined;
            requiredTitle?: string | null | undefined;
            frontend?: {
                reason: string;
                hide: boolean;
                disable: boolean;
            } | null | undefined;
            name: string;
            options: {
                scheduler?: {
                    start: {
                        type: "CRON";
                        cron: string;
                    } | {
                        type: "BIRTHDAY";
                        option: {
                            unit: "WEEK" | "MONTH";
                            type: "START_OF";
                        } | {
                            type: "BEFORE";
                            day: number;
                        };
                    };
                    validity: number;
                    timePeriod: {
                        end: string;
                        start: string;
                    }[];
                } | null | undefined;
                type: "BASIC";
                effect: {
                    priority?: number | null | undefined;
                    adjustmentRule?: {
                        type: "CAPPED_AT";
                    } | null | undefined;
                    availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                    options: {
                        excludeIds?: string[] | null | undefined;
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "BILL";
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        maxQuantity?: number | null | undefined;
                        excludeAddonPrice?: boolean | null | undefined;
                        target: "ITEM";
                        strategy: {
                            withAddons?: string[] | null | undefined;
                            type: "SIMPLE";
                        } | {
                            type: "BUY_X_GET_Y";
                            x: number;
                            y: number;
                        } | {
                            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            type: "BUY_X_GET_Y_V2";
                            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            atLeast?: boolean | null | undefined;
                            groups: {
                                count: number;
                                itemIds: string[];
                            }[];
                            type: "COMBO";
                        };
                        targetIds: string[];
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "PAYMENT";
                    };
                    adjustment: {
                        inclusive?: boolean | null | undefined;
                        type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                        amount: {
                            amount: number;
                            precision: number;
                        };
                    };
                };
            } | {
                freeCredit?: {
                    remark?: string | null | undefined;
                    day: number;
                    amount: number;
                } | null | undefined;
                distributedAt?: string | null | undefined;
                type: "VOUCHER";
                vouchers: string[];
                triggerer: {};
            };
            _id: string;
            minLevel: number;
        }>, "many">;
        user: z.ZodString;
        cardNo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        level: z.ZodNumber;
        experience: z.ZodNumber;
        tier: z.ZodNumber;
        stat: z.ZodObject<{
            visitCount: z.ZodNumber;
            topupCount: z.ZodNumber;
            lastVisit: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
            avgVisitFrequency: z.ZodNumber;
            avgBillSize: z.ZodNumber;
            products: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                count: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                id: string;
                count: number;
            }, {
                id: string;
                count: number;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            lastVisit?: string | null | undefined;
            visitCount: number;
            topupCount: number;
            avgVisitFrequency: number;
            avgBillSize: number;
            products: {
                id: string;
                count: number;
            }[];
        }, {
            lastVisit?: string | null | undefined;
            visitCount: number;
            topupCount: number;
            avgVisitFrequency: number;
            avgBillSize: number;
            products: {
                id: string;
                count: number;
            }[];
        }>;
        balance: z.ZodNumber;
        creditBalance: z.ZodObject<{
            normal: z.ZodNumber;
            free: z.ZodArray<z.ZodObject<{
                _id: z.ZodEffects<z.ZodString, string, string>;
                amount: z.ZodNumber;
                expiredAt: z.ZodEffects<z.ZodString, string, string>;
            }, "strip", z.ZodTypeAny, {
                _id: string;
                amount: number;
                expiredAt: string;
            }, {
                _id: string;
                amount: number;
                expiredAt: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            normal: number;
            free: {
                _id: string;
                amount: number;
                expiredAt: string;
            }[];
        }, {
            normal: number;
            free: {
                _id: string;
                amount: number;
                expiredAt: string;
            }[];
        }>;
        titles: z.ZodArray<z.ZodObject<{
            _id: z.ZodString;
            name: z.ZodString;
            acquiredAt: z.ZodEffects<z.ZodString, string, string>;
            expiredAt: z.ZodEffects<z.ZodString, string, string>;
        }, "strip", z.ZodTypeAny, {
            name: string;
            _id: string;
            expiredAt: string;
            acquiredAt: string;
        }, {
            name: string;
            _id: string;
            expiredAt: string;
            acquiredAt: string;
        }>, "many">;
    }, {
        name: z.ZodDefault<z.ZodString>;
        userId: z.ZodString;
    }>, "strip", z.ZodTypeAny, {
        cardNo?: string | null | undefined;
        membership?: string | null | undefined;
        name: string;
        id: string;
        user: string;
        userId: string;
        joinedAt: string;
        business: string;
        level: number;
        experience: number;
        tier: number;
        stat: {
            lastVisit?: string | null | undefined;
            visitCount: number;
            topupCount: number;
            avgVisitFrequency: number;
            avgBillSize: number;
            products: {
                id: string;
                count: number;
            }[];
        };
        balance: number;
        creditBalance: {
            normal: number;
            free: {
                _id: string;
                amount: number;
                expiredAt: string;
            }[];
        };
        titles: {
            name: string;
            _id: string;
            expiredAt: string;
            acquiredAt: string;
        }[];
        benefits: {
            image?: string | null | undefined;
            description?: string | null | undefined;
            maxLevel?: number | null | undefined;
            minTier?: number | null | undefined;
            maxTier?: number | null | undefined;
            targetRestaurant?: string[] | null | undefined;
            requiredTitle?: string | null | undefined;
            frontend?: {
                reason: string;
                hide: boolean;
                disable: boolean;
            } | null | undefined;
            name: string;
            options: {
                scheduler?: {
                    start: {
                        type: "CRON";
                        cron: string;
                    } | {
                        type: "BIRTHDAY";
                        option: {
                            unit: "WEEK" | "MONTH";
                            type: "START_OF";
                        } | {
                            type: "BEFORE";
                            day: number;
                        };
                    };
                    validity: number;
                    timePeriod: {
                        end: string;
                        start: string;
                    }[];
                } | null | undefined;
                type: "BASIC";
                effect: {
                    priority?: number | null | undefined;
                    adjustmentRule?: {
                        type: "CAPPED_AT";
                    } | null | undefined;
                    availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                    options: {
                        excludeIds?: string[] | null | undefined;
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "BILL";
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        maxQuantity?: number | null | undefined;
                        excludeAddonPrice?: boolean | null | undefined;
                        target: "ITEM";
                        strategy: {
                            withAddons?: string[] | null | undefined;
                            type: "SIMPLE";
                        } | {
                            type: "BUY_X_GET_Y";
                            x: number;
                            y: number;
                        } | {
                            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            type: "BUY_X_GET_Y_V2";
                            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            atLeast?: boolean | null | undefined;
                            groups: {
                                count: number;
                                itemIds: string[];
                            }[];
                            type: "COMBO";
                        };
                        targetIds: string[];
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "PAYMENT";
                    };
                    adjustment: {
                        inclusive?: boolean | null | undefined;
                        type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                        amount: {
                            amount: number;
                            precision: number;
                        };
                    };
                };
            } | {
                freeCredit?: {
                    remark?: string | null | undefined;
                    day: number;
                    amount: number;
                } | null | undefined;
                distributedAt?: string | null | undefined;
                type: "VOUCHER";
                vouchers: string[];
                triggerer: {};
            };
            _id: string;
            minLevel: number;
        }[];
    }, {
        name?: string | undefined;
        cardNo?: string | null | undefined;
        membership?: string | null | undefined;
        id: string;
        user: string;
        userId: string;
        joinedAt: string;
        business: string;
        level: number;
        experience: number;
        tier: number;
        stat: {
            lastVisit?: string | null | undefined;
            visitCount: number;
            topupCount: number;
            avgVisitFrequency: number;
            avgBillSize: number;
            products: {
                id: string;
                count: number;
            }[];
        };
        balance: number;
        creditBalance: {
            normal: number;
            free: {
                _id: string;
                amount: number;
                expiredAt: string;
            }[];
        };
        titles: {
            name: string;
            _id: string;
            expiredAt: string;
            acquiredAt: string;
        }[];
        benefits: {
            image?: string | null | undefined;
            description?: string | null | undefined;
            maxLevel?: number | null | undefined;
            minTier?: number | null | undefined;
            maxTier?: number | null | undefined;
            targetRestaurant?: string[] | null | undefined;
            requiredTitle?: string | null | undefined;
            frontend?: {
                reason: string;
                hide: boolean;
                disable: boolean;
            } | null | undefined;
            name: string;
            options: {
                scheduler?: {
                    start: {
                        type: "CRON";
                        cron: string;
                    } | {
                        type: "BIRTHDAY";
                        option: {
                            unit: "WEEK" | "MONTH";
                            type: "START_OF";
                        } | {
                            type: "BEFORE";
                            day: number;
                        };
                    };
                    validity: number;
                    timePeriod: {
                        end: string;
                        start: string;
                    }[];
                } | null | undefined;
                type: "BASIC";
                effect: {
                    priority?: number | null | undefined;
                    adjustmentRule?: {
                        type: "CAPPED_AT";
                    } | null | undefined;
                    availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                    options: {
                        excludeIds?: string[] | null | undefined;
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "BILL";
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        maxQuantity?: number | null | undefined;
                        excludeAddonPrice?: boolean | null | undefined;
                        target: "ITEM";
                        strategy: {
                            withAddons?: string[] | null | undefined;
                            type: "SIMPLE";
                        } | {
                            type: "BUY_X_GET_Y";
                            x: number;
                            y: number;
                        } | {
                            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            type: "BUY_X_GET_Y_V2";
                            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            atLeast?: boolean | null | undefined;
                            groups: {
                                count: number;
                                itemIds: string[];
                            }[];
                            type: "COMBO";
                        };
                        targetIds: string[];
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "PAYMENT";
                    };
                    adjustment: {
                        inclusive?: boolean | null | undefined;
                        type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                        amount: {
                            amount: number;
                            precision: number;
                        };
                    };
                };
            } | {
                freeCredit?: {
                    remark?: string | null | undefined;
                    day: number;
                    amount: number;
                } | null | undefined;
                distributedAt?: string | null | undefined;
                type: "VOUCHER";
                vouchers: string[];
                triggerer: {};
            };
            _id: string;
            minLevel: number;
        }[];
    }>;
    benefits: z.ZodArray<z.ZodObject<{
        _id: z.ZodEffects<z.ZodString, string, string>;
        options: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["BASIC", "VOUCHER"]>;
        }, {
            type: z.ZodLiteral<"BASIC">;
            effect: z.ZodObject<{
                adjustment: z.ZodObject<{
                    type: z.ZodEnum<["BY_PERCENTAGE", "BY_AMOUNT", "TO_AMOUNT"]>;
                    amount: z.ZodObject<{
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        amount: number;
                        precision: number;
                    }, {
                        amount: number;
                        precision: number;
                    }>;
                    inclusive: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                }, {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                }>;
                availableOnlineOrder: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["DINE_IN", "PICKUP", "DELIVERY"]>, "many">>>;
                adjustmentRule: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    type: z.ZodEnum<["CAPPED_AT"]>;
                }, "strip", z.ZodTypeAny, {
                    type: "CAPPED_AT";
                }, {
                    type: "CAPPED_AT";
                }>>>;
                options: z.ZodDiscriminatedUnion<"target", z.Primitive, z.ZodObject<z.extendShape<{
                    target: z.ZodEnum<["BILL", "ITEM", "ADVANCE", "PAYMENT"]>;
                    minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        amount: number;
                        precision: number;
                    }, {
                        amount: number;
                        precision: number;
                    }>>>;
                    minPurchaseItems: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        productId: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        productId: string;
                    }, {
                        productId: string;
                    }>, "many">>>;
                }, {
                    target: z.ZodLiteral<"BILL">;
                    excludeIds: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                }>, "strip", z.ZodTypeAny, {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                }, {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                }> | z.ZodObject<z.extendShape<{
                    target: z.ZodEnum<["BILL", "ITEM", "ADVANCE", "PAYMENT"]>;
                    minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        amount: number;
                        precision: number;
                    }, {
                        amount: number;
                        precision: number;
                    }>>>;
                    minPurchaseItems: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        productId: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        productId: string;
                    }, {
                        productId: string;
                    }>, "many">>>;
                }, {
                    target: z.ZodLiteral<"ITEM">;
                    strategy: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                    }, {
                        type: z.ZodLiteral<"SIMPLE">;
                        withAddons: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                    }>, "strip", z.ZodTypeAny, {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    }, {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    }> | z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                    }, {
                        type: z.ZodLiteral<"BUY_X_GET_Y">;
                        x: z.ZodNumber;
                        y: z.ZodNumber;
                    }>, "strip", z.ZodTypeAny, {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    }, {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    }> | z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                    }, {
                        type: z.ZodLiteral<"BUY_X_ITEM_A_GET_Y_ITEM_B">;
                        itemAIds: z.ZodArray<z.ZodString, "many">;
                        x: z.ZodNumber;
                        y: z.ZodNumber;
                    }>, "strip", z.ZodTypeAny, {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    }, {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    }> | z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                    }, {
                        type: z.ZodLiteral<"BUY_X_GET_Y_V2">;
                        priority: z.ZodEnum<["CHEAPEST_FIRST", "MOST_EXPENSIVE_FIRST"]>;
                        itemAIds: z.ZodArray<z.ZodString, "many">;
                        x: z.ZodNumber;
                        y: z.ZodNumber;
                    }>, "strip", z.ZodTypeAny, {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    }, {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    }> | z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                    }, {
                        type: z.ZodLiteral<"COMBO">;
                        groups: z.ZodArray<z.ZodObject<{
                            itemIds: z.ZodArray<z.ZodString, "many">;
                            count: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            count: number;
                            itemIds: string[];
                        }, {
                            count: number;
                            itemIds: string[];
                        }>, "many">;
                        atLeast: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    }>, "strip", z.ZodTypeAny, {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    }, {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    }>>;
                    targetIds: z.ZodArray<z.ZodString, "many">;
                    maxQuantity: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                    excludeAddonPrice: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }>, "strip", z.ZodTypeAny, {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                }, {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                }> | z.ZodObject<z.extendShape<{
                    target: z.ZodEnum<["BILL", "ITEM", "ADVANCE", "PAYMENT"]>;
                    minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        amount: number;
                        precision: number;
                    }, {
                        amount: number;
                        precision: number;
                    }>>>;
                    minPurchaseItems: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        productId: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        productId: string;
                    }, {
                        productId: string;
                    }>, "many">>>;
                }, {
                    target: z.ZodLiteral<"PAYMENT">;
                }>, "strip", z.ZodTypeAny, {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                }, {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                }>>;
                priority: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            }, "strip", z.ZodTypeAny, {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            }, {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            }>;
            scheduler: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                start: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["CRON", "BIRTHDAY"]>;
                }, {
                    type: z.ZodLiteral<"CRON">;
                    cron: z.ZodString;
                }>, "strip", z.ZodTypeAny, {
                    type: "CRON";
                    cron: string;
                }, {
                    type: "CRON";
                    cron: string;
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["CRON", "BIRTHDAY"]>;
                }, {
                    type: z.ZodLiteral<"BIRTHDAY">;
                    option: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["START_OF", "BEFORE"]>;
                    }, {
                        type: z.ZodLiteral<"START_OF">;
                        unit: z.ZodEnum<["WEEK", "MONTH"]>;
                    }>, "strip", z.ZodTypeAny, {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    }, {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    }> | z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["START_OF", "BEFORE"]>;
                    }, {
                        type: z.ZodLiteral<"BEFORE">;
                        day: z.ZodNumber;
                    }>, "strip", z.ZodTypeAny, {
                        type: "BEFORE";
                        day: number;
                    }, {
                        type: "BEFORE";
                        day: number;
                    }>>;
                }>, "strip", z.ZodTypeAny, {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                }, {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                }>>;
                validity: z.ZodNumber;
                timePeriod: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                start: {
                    type: "CRON";
                    cron: string;
                } | {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                };
                validity: number;
                timePeriod: {
                    end: string;
                    start: string;
                }[];
            }, {
                start: {
                    type: "CRON";
                    cron: string;
                } | {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                };
                validity: number;
                timePeriod: {
                    end: string;
                    start: string;
                }[];
            }>>>;
        }>, "strip", z.ZodTypeAny, {
            scheduler?: {
                start: {
                    type: "CRON";
                    cron: string;
                } | {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                };
                validity: number;
                timePeriod: {
                    end: string;
                    start: string;
                }[];
            } | null | undefined;
            type: "BASIC";
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
        }, {
            scheduler?: {
                start: {
                    type: "CRON";
                    cron: string;
                } | {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                };
                validity: number;
                timePeriod: {
                    end: string;
                    start: string;
                }[];
            } | null | undefined;
            type: "BASIC";
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["BASIC", "VOUCHER"]>;
        }, {
            type: z.ZodLiteral<"VOUCHER">;
            vouchers: z.ZodArray<z.ZodString, "many">;
            freeCredit: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                day: z.ZodNumber;
                amount: z.ZodNumber;
                remark: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                remark?: string | null | undefined;
                day: number;
                amount: number;
            }, {
                remark?: string | null | undefined;
                day: number;
                amount: number;
            }>>>;
            triggerer: z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>;
            distributedAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }>, "strip", z.ZodTypeAny, {
            freeCredit?: {
                remark?: string | null | undefined;
                day: number;
                amount: number;
            } | null | undefined;
            distributedAt?: string | null | undefined;
            type: "VOUCHER";
            vouchers: string[];
            triggerer: {};
        }, {
            freeCredit?: {
                remark?: string | null | undefined;
                day: number;
                amount: number;
            } | null | undefined;
            distributedAt?: string | null | undefined;
            type: "VOUCHER";
            vouchers: string[];
            triggerer: {};
        }>>;
        name: z.ZodString;
        description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        image: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        minLevel: z.ZodNumber;
        maxLevel: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        minTier: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        maxTier: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        targetRestaurant: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        requiredTitle: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        frontend: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            hide: z.ZodBoolean;
            disable: z.ZodBoolean;
            reason: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            reason: string;
            hide: boolean;
            disable: boolean;
        }, {
            reason: string;
            hide: boolean;
            disable: boolean;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        image?: string | null | undefined;
        description?: string | null | undefined;
        maxLevel?: number | null | undefined;
        minTier?: number | null | undefined;
        maxTier?: number | null | undefined;
        targetRestaurant?: string[] | null | undefined;
        requiredTitle?: string | null | undefined;
        frontend?: {
            reason: string;
            hide: boolean;
            disable: boolean;
        } | null | undefined;
        name: string;
        options: {
            scheduler?: {
                start: {
                    type: "CRON";
                    cron: string;
                } | {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                };
                validity: number;
                timePeriod: {
                    end: string;
                    start: string;
                }[];
            } | null | undefined;
            type: "BASIC";
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
        } | {
            freeCredit?: {
                remark?: string | null | undefined;
                day: number;
                amount: number;
            } | null | undefined;
            distributedAt?: string | null | undefined;
            type: "VOUCHER";
            vouchers: string[];
            triggerer: {};
        };
        _id: string;
        minLevel: number;
    }, {
        image?: string | null | undefined;
        description?: string | null | undefined;
        maxLevel?: number | null | undefined;
        minTier?: number | null | undefined;
        maxTier?: number | null | undefined;
        targetRestaurant?: string[] | null | undefined;
        requiredTitle?: string | null | undefined;
        frontend?: {
            reason: string;
            hide: boolean;
            disable: boolean;
        } | null | undefined;
        name: string;
        options: {
            scheduler?: {
                start: {
                    type: "CRON";
                    cron: string;
                } | {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                };
                validity: number;
                timePeriod: {
                    end: string;
                    start: string;
                }[];
            } | null | undefined;
            type: "BASIC";
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
        } | {
            freeCredit?: {
                remark?: string | null | undefined;
                day: number;
                amount: number;
            } | null | undefined;
            distributedAt?: string | null | undefined;
            type: "VOUCHER";
            vouchers: string[];
            triggerer: {};
        };
        _id: string;
        minLevel: number;
    }>, "many">;
    vouchers: z.ZodArray<z.ZodObject<{
        _id: z.ZodEffects<z.ZodString, string, string>;
        user: z.ZodString;
        pf_user: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            _id: z.ZodString;
            birthday: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
            gender: z.ZodNullable<z.ZodOptional<z.ZodEnum<["MALE", "FEMALE"]>>>;
            addresses: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                address: z.ZodString;
                coordinates: z.ZodArray<z.ZodNumber, "many">;
            }, "strip", z.ZodTypeAny, {
                name: string;
                address: string;
                coordinates: number[];
            }, {
                name: string;
                address: string;
                coordinates: number[];
            }>, "many">>>;
            email: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            photoURL: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            displayName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            phoneNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            imported: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                source: z.ZodEnum<["FEEDME", "CITY_POS", "STOREHUB", "KERUYUn", "QISOFT", "WECHAT", "TEABAR", "NULL_MEMBER", "UMAI_POS", "QASHIER", "XILNET", "GENIUSPOS", "YHOFOODIE"]>;
                raw: z.ZodRecord<z.ZodString, z.ZodAny>;
            }, "strip", z.ZodTypeAny, {
                raw: Record<string, any>;
                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
            }, {
                raw: Record<string, any>;
                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
            }>>>;
        }, "strip", z.ZodTypeAny, {
            email?: string | null | undefined;
            phoneNumber?: string | null | undefined;
            birthday?: string | null | undefined;
            gender?: "MALE" | "FEMALE" | null | undefined;
            addresses?: {
                name: string;
                address: string;
                coordinates: number[];
            }[] | null | undefined;
            photoURL?: string | null | undefined;
            displayName?: string | null | undefined;
            imported?: {
                raw: Record<string, any>;
                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
            } | null | undefined;
            _id: string;
        }, {
            email?: string | null | undefined;
            phoneNumber?: string | null | undefined;
            birthday?: string | null | undefined;
            gender?: "MALE" | "FEMALE" | null | undefined;
            addresses?: {
                name: string;
                address: string;
                coordinates: number[];
            }[] | null | undefined;
            photoURL?: string | null | undefined;
            displayName?: string | null | undefined;
            imported?: {
                raw: Record<string, any>;
                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
            } | null | undefined;
            _id: string;
        }>>>>;
        voucher: z.ZodObject<{
            _id: z.ZodEffects<z.ZodString, string, string>;
            name: z.ZodString;
            description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            options: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["AFTER_SALES", "SIMPLE_CLAIM", "MEMBER_REWARD", "FEEDBACK_REWARD"]>;
            }, {
                type: z.ZodLiteral<"AFTER_SALES">;
                minPurchase: z.ZodObject<{
                    amount: z.ZodNumber;
                    precision: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    amount: number;
                    precision: number;
                }, {
                    amount: number;
                    precision: number;
                }>;
                maxPurchase: z.ZodObject<{
                    amount: z.ZodNumber;
                    precision: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    amount: number;
                    precision: number;
                }, {
                    amount: number;
                    precision: number;
                }>;
                productIds: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                minProductCount: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                quantityMultiplier: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }>, "strip", z.ZodTypeAny, {
                productIds?: string[] | null | undefined;
                minProductCount?: number | null | undefined;
                quantityMultiplier?: string | null | undefined;
                type: "AFTER_SALES";
                minPurchase: {
                    amount: number;
                    precision: number;
                };
                maxPurchase: {
                    amount: number;
                    precision: number;
                };
            }, {
                productIds?: string[] | null | undefined;
                minProductCount?: number | null | undefined;
                quantityMultiplier?: string | null | undefined;
                type: "AFTER_SALES";
                minPurchase: {
                    amount: number;
                    precision: number;
                };
                maxPurchase: {
                    amount: number;
                    precision: number;
                };
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["AFTER_SALES", "SIMPLE_CLAIM", "MEMBER_REWARD", "FEEDBACK_REWARD"]>;
            }, {
                type: z.ZodLiteral<"SIMPLE_CLAIM">;
                maxClaim: z.ZodNumber;
                start: z.ZodEffects<z.ZodString, string, string>;
                end: z.ZodEffects<z.ZodString, string, string>;
            }>, "strip", z.ZodTypeAny, {
                type: "SIMPLE_CLAIM";
                end: string;
                start: string;
                maxClaim: number;
            }, {
                type: "SIMPLE_CLAIM";
                end: string;
                start: string;
                maxClaim: number;
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["AFTER_SALES", "SIMPLE_CLAIM", "MEMBER_REWARD", "FEEDBACK_REWARD"]>;
            }, {
                type: z.ZodLiteral<"FEEDBACK_REWARD">;
            }>, "strip", z.ZodTypeAny, {
                type: "FEEDBACK_REWARD";
            }, {
                type: "FEEDBACK_REWARD";
            }> | z.ZodObject<z.extendShape<{
                type: z.ZodEnum<["AFTER_SALES", "SIMPLE_CLAIM", "MEMBER_REWARD", "FEEDBACK_REWARD"]>;
            }, {
                type: z.ZodLiteral<"MEMBER_REWARD">;
            }>, "strip", z.ZodTypeAny, {
                type: "MEMBER_REWARD";
            }, {
                type: "MEMBER_REWARD";
            }>>;
            business: z.ZodEffects<z.ZodString, string, string>;
            pf_business: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
                _id: z.ZodEffects<z.ZodString, string, string>;
                ownerId: z.ZodString;
                name: z.ZodString;
                restaurantQuota: z.ZodNumber;
                warehouseQuota: z.ZodNumber;
                menuVersion: z.ZodString;
                internal: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                expiredAt: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                agentId: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                attributeSettings: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    key: z.ZodString;
                    type: z.ZodUnion<[z.ZodLiteral<"string">, z.ZodLiteral<"number">, z.ZodLiteral<"date">, z.ZodLiteral<"boolean">]>;
                    entity: z.ZodUnion<[z.ZodLiteral<"restaurant">, z.ZodLiteral<"item">, z.ZodLiteral<"group">, z.ZodLiteral<"inventorySku">, z.ZodLiteral<"inventoryRecipe">, z.ZodLiteral<"warehouse">]>;
                    options: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodAny, "many">>>;
                }, "strip", z.ZodTypeAny, {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }, {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }>, "many">>>;
                pf_agent: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
                    _id: z.ZodEffects<z.ZodString, string, string>;
                    name: z.ZodString;
                    code: z.ZodString;
                    isReseller: z.ZodBoolean;
                    clickupId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        userId: z.ZodString;
                        pf_user: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                            _id: z.ZodString;
                            birthday: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                            gender: z.ZodNullable<z.ZodOptional<z.ZodEnum<["MALE", "FEMALE"]>>>;
                            addresses: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                                name: z.ZodString;
                                address: z.ZodString;
                                coordinates: z.ZodArray<z.ZodNumber, "many">;
                            }, "strip", z.ZodTypeAny, {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }, {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }>, "many">>>;
                            email: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                            photoURL: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                            displayName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                            phoneNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                            imported: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                                source: z.ZodEnum<["FEEDME", "CITY_POS", "STOREHUB", "KERUYUn", "QISOFT", "WECHAT", "TEABAR", "NULL_MEMBER", "UMAI_POS", "QASHIER", "XILNET", "GENIUSPOS", "YHOFOODIE"]>;
                                raw: z.ZodRecord<z.ZodString, z.ZodAny>;
                            }, "strip", z.ZodTypeAny, {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            }, {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            }>>>;
                        }, "strip", z.ZodTypeAny, {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        }, {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        }>>>;
                        role: z.ZodEnum<["ADMIN"]>;
                    }, "strip", z.ZodTypeAny, {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }, {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }>, "many">>>;
                }, "strip", z.ZodTypeAny, {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                }, {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                }>>>>;
                thumbnail: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                billingInfos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    companyName: z.ZodString;
                    name: z.ZodString;
                    email: z.ZodString;
                    contact: z.ZodString;
                    address: z.ZodObject<{
                        line1: z.ZodString;
                        line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                        state: z.ZodString;
                        city: z.ZodString;
                        postcode: z.ZodString;
                        country: z.ZodString;
                        coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
                    }, "strip", z.ZodTypeAny, {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    }, {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    }>;
                }, "strip", z.ZodTypeAny, {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }, {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }>, "many">>>;
                customerDisplayImages: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    url: z.ZodString;
                    restaurantIds: z.ZodArray<z.ZodString, "many">;
                }, "strip", z.ZodTypeAny, {
                    url: string;
                    restaurantIds: string[];
                }, {
                    url: string;
                    restaurantIds: string[];
                }>, "many">>>;
            }, "strip", z.ZodTypeAny, {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            }, {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            }>>>>;
            targetRestaurant: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEffects<z.ZodString, string, string>, "many">>>;
            pf_targetRestaurant: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                _id: z.ZodEffects<z.ZodString, string, string>;
                businessId: z.ZodString;
                pf_business: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    _id: z.ZodEffects<z.ZodString, string, string>;
                    ownerId: z.ZodString;
                    name: z.ZodString;
                    restaurantQuota: z.ZodNumber;
                    warehouseQuota: z.ZodNumber;
                    menuVersion: z.ZodString;
                    internal: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    expiredAt: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                    url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    agentId: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                    attributeSettings: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        key: z.ZodString;
                        type: z.ZodUnion<[z.ZodLiteral<"string">, z.ZodLiteral<"number">, z.ZodLiteral<"date">, z.ZodLiteral<"boolean">]>;
                        entity: z.ZodUnion<[z.ZodLiteral<"restaurant">, z.ZodLiteral<"item">, z.ZodLiteral<"group">, z.ZodLiteral<"inventorySku">, z.ZodLiteral<"inventoryRecipe">, z.ZodLiteral<"warehouse">]>;
                        options: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodAny, "many">>>;
                    }, "strip", z.ZodTypeAny, {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }, {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }>, "many">>>;
                    pf_agent: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
                        _id: z.ZodEffects<z.ZodString, string, string>;
                        name: z.ZodString;
                        code: z.ZodString;
                        isReseller: z.ZodBoolean;
                        clickupId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                        members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                            userId: z.ZodString;
                            pf_user: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                                _id: z.ZodString;
                                birthday: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                                gender: z.ZodNullable<z.ZodOptional<z.ZodEnum<["MALE", "FEMALE"]>>>;
                                addresses: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                                    name: z.ZodString;
                                    address: z.ZodString;
                                    coordinates: z.ZodArray<z.ZodNumber, "many">;
                                }, "strip", z.ZodTypeAny, {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }, {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }>, "many">>>;
                                email: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                                photoURL: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                                displayName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                                phoneNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                                imported: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                                    source: z.ZodEnum<["FEEDME", "CITY_POS", "STOREHUB", "KERUYUn", "QISOFT", "WECHAT", "TEABAR", "NULL_MEMBER", "UMAI_POS", "QASHIER", "XILNET", "GENIUSPOS", "YHOFOODIE"]>;
                                    raw: z.ZodRecord<z.ZodString, z.ZodAny>;
                                }, "strip", z.ZodTypeAny, {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                }, {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                }>>>;
                            }, "strip", z.ZodTypeAny, {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            }, {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            }>>>;
                            role: z.ZodEnum<["ADMIN"]>;
                        }, "strip", z.ZodTypeAny, {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }, {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }>, "many">>>;
                    }, "strip", z.ZodTypeAny, {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    }, {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    }>>>>;
                    thumbnail: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    billingInfos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                        companyName: z.ZodString;
                        name: z.ZodString;
                        email: z.ZodString;
                        contact: z.ZodString;
                        address: z.ZodObject<{
                            line1: z.ZodString;
                            line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                            state: z.ZodString;
                            city: z.ZodString;
                            postcode: z.ZodString;
                            country: z.ZodString;
                            coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
                        }, "strip", z.ZodTypeAny, {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        }, {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        }>;
                    }, "strip", z.ZodTypeAny, {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }, {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }>, "many">>>;
                    customerDisplayImages: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        url: z.ZodString;
                        restaurantIds: z.ZodArray<z.ZodString, "many">;
                    }, "strip", z.ZodTypeAny, {
                        url: string;
                        restaurantIds: string[];
                    }, {
                        url: string;
                        restaurantIds: string[];
                    }>, "many">>>;
                }, "strip", z.ZodTypeAny, {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                }, {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                }>>>;
                features: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNativeEnum<{
                    stock: string;
                    discovery: string;
                    pickup: string;
                    delivery: string;
                    foodpanda: string;
                    deliveryIntegration: string;
                    kds: string;
                    ods: string;
                }>, "many">>>;
                expiredAt: z.ZodEffects<z.ZodString, string, string>;
                machineOtp: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                machineOtpExpiredAt: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                machineId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                channel: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                posVersion: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                posHeartbeat: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                posVersionHistory: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                profile: z.ZodObject<{
                    _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    name: z.ZodString;
                    address: z.ZodObject<{
                        line1: z.ZodString;
                        line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                        state: z.ZodString;
                        city: z.ZodString;
                        postcode: z.ZodString;
                        country: z.ZodString;
                        coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
                    }, "strip", z.ZodTypeAny, {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    }, {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    }>;
                    phoneNo: z.ZodString;
                    email: z.ZodString;
                    regNo: z.ZodString;
                    legalName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    sstRegNo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    discovery: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    coverPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    thumbnailPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                    operatingHours: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        0: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        1: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        2: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        3: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        4: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        5: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        6: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                    }, "strip", z.ZodTypeAny, {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    }, {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    }>>>;
                    tags: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                    url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                }, "strip", z.ZodTypeAny, {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                }, {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                }>;
                catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                additionalCatalogs: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                inHouseDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    enable: z.ZodBoolean;
                    areas: z.ZodArray<z.ZodObject<{
                        polygon: z.ZodArray<z.ZodArray<z.ZodNumber, "many">, "many">;
                        deliveryFee: z.ZodObject<{
                            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                            amount: z.ZodNumber;
                            precision: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        }, {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        }>;
                        freeAfterTotal: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                            amount: z.ZodNumber;
                            precision: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        }, {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        }>>>;
                        minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                            amount: z.ZodNumber;
                            precision: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        }, {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        }>>>;
                    }, "strip", z.ZodTypeAny, {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }, {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }>, "many">;
                    term: z.ZodString;
                    deliveryTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        day: z.ZodObject<{
                            min: z.ZodNumber;
                            max: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            max: number;
                            min: number;
                        }, {
                            max: number;
                            min: number;
                        }>;
                        time: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                        custom: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                            0: z.ZodObject<{
                                enable: z.ZodBoolean;
                                hours: z.ZodArray<z.ZodObject<{
                                    start: z.ZodString;
                                    end: z.ZodString;
                                }, "strip", z.ZodTypeAny, {
                                    end: string;
                                    start: string;
                                }, {
                                    end: string;
                                    start: string;
                                }>, "many">;
                            }, "strip", z.ZodTypeAny, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }>;
                            1: z.ZodObject<{
                                enable: z.ZodBoolean;
                                hours: z.ZodArray<z.ZodObject<{
                                    start: z.ZodString;
                                    end: z.ZodString;
                                }, "strip", z.ZodTypeAny, {
                                    end: string;
                                    start: string;
                                }, {
                                    end: string;
                                    start: string;
                                }>, "many">;
                            }, "strip", z.ZodTypeAny, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }>;
                            2: z.ZodObject<{
                                enable: z.ZodBoolean;
                                hours: z.ZodArray<z.ZodObject<{
                                    start: z.ZodString;
                                    end: z.ZodString;
                                }, "strip", z.ZodTypeAny, {
                                    end: string;
                                    start: string;
                                }, {
                                    end: string;
                                    start: string;
                                }>, "many">;
                            }, "strip", z.ZodTypeAny, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }>;
                            3: z.ZodObject<{
                                enable: z.ZodBoolean;
                                hours: z.ZodArray<z.ZodObject<{
                                    start: z.ZodString;
                                    end: z.ZodString;
                                }, "strip", z.ZodTypeAny, {
                                    end: string;
                                    start: string;
                                }, {
                                    end: string;
                                    start: string;
                                }>, "many">;
                            }, "strip", z.ZodTypeAny, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }>;
                            4: z.ZodObject<{
                                enable: z.ZodBoolean;
                                hours: z.ZodArray<z.ZodObject<{
                                    start: z.ZodString;
                                    end: z.ZodString;
                                }, "strip", z.ZodTypeAny, {
                                    end: string;
                                    start: string;
                                }, {
                                    end: string;
                                    start: string;
                                }>, "many">;
                            }, "strip", z.ZodTypeAny, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }>;
                            5: z.ZodObject<{
                                enable: z.ZodBoolean;
                                hours: z.ZodArray<z.ZodObject<{
                                    start: z.ZodString;
                                    end: z.ZodString;
                                }, "strip", z.ZodTypeAny, {
                                    end: string;
                                    start: string;
                                }, {
                                    end: string;
                                    start: string;
                                }>, "many">;
                            }, "strip", z.ZodTypeAny, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }>;
                            6: z.ZodObject<{
                                enable: z.ZodBoolean;
                                hours: z.ZodArray<z.ZodObject<{
                                    start: z.ZodString;
                                    end: z.ZodString;
                                }, "strip", z.ZodTypeAny, {
                                    end: string;
                                    start: string;
                                }, {
                                    end: string;
                                    start: string;
                                }>, "many">;
                            }, "strip", z.ZodTypeAny, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }>;
                        }, "strip", z.ZodTypeAny, {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        }, {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        }>>>;
                    }, "strip", z.ZodTypeAny, {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    }, {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    }>>>;
                    catalogId: z.ZodNullable<z.ZodString>;
                    paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
                    offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        name: z.ZodString;
                        instruction: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        name: string;
                        instruction: string;
                    }, {
                        name: string;
                        instruction: string;
                    }>, "many">>>;
                    autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    taxes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<{
                        systemCode: z.ZodString;
                        taxCode: z.ZodString;
                        inclusive: z.ZodBoolean;
                    }, "strip", z.ZodTypeAny, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }>>>>;
                }, "strip", z.ZodTypeAny, {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                }, {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                }>>>;
                feedmeDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    enable: z.ZodBoolean;
                    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    term: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    instruction: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                }, {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                }>>>;
                foodpandaDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
                    enable: z.ZodBoolean;
                }, {
                    _id: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
                    remoteId: z.ZodString;
                    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    lastSynchronize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    commissionRate: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                    autoCloseBill: z.ZodBoolean;
                    showProductAddon: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    reportConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        commissionRate: z.ZodNumber;
                        discountCampaigns: z.ZodArray<z.ZodObject<{
                            name: z.ZodString;
                            vendorBearPercentage: z.ZodNumber;
                            date: z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>;
                        }, "strip", z.ZodTypeAny, {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }, {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    }, {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    }>>>;
                    hasSst: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    ignoreDiscount: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }>, "strip", z.ZodTypeAny, {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                }, {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                }>>>;
                grabfoodDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
                    enable: z.ZodBoolean;
                }, {
                    _id: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
                    merchantID: z.ZodString;
                    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    lastSynchronize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    commissionRate: z.ZodNumber;
                    autoCloseBill: z.ZodBoolean;
                    showProductAddon: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }>, "strip", z.ZodTypeAny, {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                }, {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                }>>>;
                shopeefoodDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
                    enable: z.ZodBoolean;
                }, {
                    _id: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
                    storeID: z.ZodString;
                    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    lastSynchronize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    autoCloseBill: z.ZodBoolean;
                    reportConfig: z.ZodObject<{
                        commissionRate: z.ZodNumber;
                        discountCampaigns: z.ZodArray<z.ZodObject<{
                            name: z.ZodString;
                            vendorBearPercentage: z.ZodNumber;
                            date: z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>;
                        }, "strip", z.ZodTypeAny, {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }, {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    }, {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    }>;
                    showProductAddon: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }>, "strip", z.ZodTypeAny, {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                }, {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                }>>>;
                pickup: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    pickupTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        day: z.ZodObject<{
                            min: z.ZodNumber;
                            max: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            max: number;
                            min: number;
                        }, {
                            max: number;
                            min: number;
                        }>;
                    }, "strip", z.ZodTypeAny, {
                        day: {
                            max: number;
                            min: number;
                        };
                    }, {
                        day: {
                            max: number;
                            min: number;
                        };
                    }>>>;
                    pickupPointConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        restaurantEnable: z.ZodBoolean;
                        points: z.ZodArray<z.ZodObject<{
                            name: z.ZodString;
                            address: z.ZodString;
                            coordinates: z.ZodArray<z.ZodNumber, "many">;
                        }, "strip", z.ZodTypeAny, {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }, {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    }, {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    }>>>;
                    paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
                    offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        name: z.ZodString;
                        instruction: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        name: string;
                        instruction: string;
                    }, {
                        name: string;
                        instruction: string;
                    }>, "many">>>;
                    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                }, {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                }>>>;
                dineIn: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    anonymousOrder: z.ZodBoolean;
                    staticQr: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
                    offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        name: z.ZodString;
                        instruction: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        name: string;
                        instruction: string;
                    }, {
                        name: string;
                        instruction: string;
                    }>, "many">>>;
                    ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    disableItemRemark: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    acceptQueue: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                }, {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                }>>>;
                takeaway: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                }, "strip", z.ZodTypeAny, {
                    catalogId?: string | null | undefined;
                }, {
                    catalogId?: string | null | undefined;
                }>>>;
                couchDbPassword: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                apiToken: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                remoteSupports: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    deviceName: z.ZodString;
                    anydeskId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    anydeskPassword: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                }, "strip", z.ZodTypeAny, {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }, {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }>, "many">>>;
                payoutAccount: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                clearCount: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                queueSetting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    enableOrder: z.ZodBoolean;
                    initialNumber: z.ZodNumber;
                    endNumber: z.ZodNumber;
                    currentNumber: z.ZodNumber;
                    autoCalledLimit: z.ZodNumber;
                    duration: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                }, "strip", z.ZodTypeAny, {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                }, {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                }>>>;
                tableMappingSetting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    enable: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    showSeat: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    mapBorderColor: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                    mapLineColor: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                }, "strip", z.ZodTypeAny, {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                }, {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                }>>>;
                customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
            }, "strip", z.ZodTypeAny, {
                pickup?: {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                } | null | undefined;
                channel?: string | null | undefined;
                machineId?: string | null | undefined;
                catalogId?: string | null | undefined;
                customAttributes?: Record<string, any> | null | undefined;
                takeaway?: {
                    catalogId?: string | null | undefined;
                } | null | undefined;
                inHouseDelivery?: {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                } | null | undefined;
                dineIn?: {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                } | null | undefined;
                pf_business?: {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                } | null | undefined;
                features?: string[] | null | undefined;
                machineOtp?: string | null | undefined;
                machineOtpExpiredAt?: string | null | undefined;
                posVersion?: string | null | undefined;
                posHeartbeat?: string | null | undefined;
                posVersionHistory?: Record<string, string> | null | undefined;
                additionalCatalogs?: string[] | null | undefined;
                feedmeDelivery?: {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                } | null | undefined;
                foodpandaDelivery?: {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                } | null | undefined;
                grabfoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                } | null | undefined;
                shopeefoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                } | null | undefined;
                couchDbPassword?: string | null | undefined;
                apiToken?: string | null | undefined;
                remoteSupports?: {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }[] | null | undefined;
                payoutAccount?: Record<string, any> | null | undefined;
                clearCount?: number | null | undefined;
                queueSetting?: {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                } | null | undefined;
                tableMappingSetting?: {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                } | null | undefined;
                _id: string;
                expiredAt: string;
                businessId: string;
                profile: {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                };
            }, {
                pickup?: {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                } | null | undefined;
                channel?: string | null | undefined;
                machineId?: string | null | undefined;
                catalogId?: string | null | undefined;
                customAttributes?: Record<string, any> | null | undefined;
                takeaway?: {
                    catalogId?: string | null | undefined;
                } | null | undefined;
                inHouseDelivery?: {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                } | null | undefined;
                dineIn?: {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                } | null | undefined;
                pf_business?: {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                } | null | undefined;
                features?: string[] | null | undefined;
                machineOtp?: string | null | undefined;
                machineOtpExpiredAt?: string | null | undefined;
                posVersion?: string | null | undefined;
                posHeartbeat?: string | null | undefined;
                posVersionHistory?: Record<string, string> | null | undefined;
                additionalCatalogs?: string[] | null | undefined;
                feedmeDelivery?: {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                } | null | undefined;
                foodpandaDelivery?: {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                } | null | undefined;
                grabfoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                } | null | undefined;
                shopeefoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                } | null | undefined;
                couchDbPassword?: string | null | undefined;
                apiToken?: string | null | undefined;
                remoteSupports?: {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }[] | null | undefined;
                payoutAccount?: Record<string, any> | null | undefined;
                clearCount?: number | null | undefined;
                queueSetting?: {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                } | null | undefined;
                tableMappingSetting?: {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                } | null | undefined;
                _id: string;
                expiredAt: string;
                businessId: string;
                profile: {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                };
            }>, "many">>>;
            effect: z.ZodObject<{
                adjustment: z.ZodObject<{
                    type: z.ZodEnum<["BY_PERCENTAGE", "BY_AMOUNT", "TO_AMOUNT"]>;
                    amount: z.ZodObject<{
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        amount: number;
                        precision: number;
                    }, {
                        amount: number;
                        precision: number;
                    }>;
                    inclusive: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                }, {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                }>;
                availableOnlineOrder: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["DINE_IN", "PICKUP", "DELIVERY"]>, "many">>>;
                adjustmentRule: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    type: z.ZodEnum<["CAPPED_AT"]>;
                }, "strip", z.ZodTypeAny, {
                    type: "CAPPED_AT";
                }, {
                    type: "CAPPED_AT";
                }>>>;
                options: z.ZodDiscriminatedUnion<"target", z.Primitive, z.ZodObject<z.extendShape<{
                    target: z.ZodEnum<["BILL", "ITEM", "ADVANCE", "PAYMENT"]>;
                    minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        amount: number;
                        precision: number;
                    }, {
                        amount: number;
                        precision: number;
                    }>>>;
                    minPurchaseItems: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        productId: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        productId: string;
                    }, {
                        productId: string;
                    }>, "many">>>;
                }, {
                    target: z.ZodLiteral<"BILL">;
                    excludeIds: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                }>, "strip", z.ZodTypeAny, {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                }, {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                }> | z.ZodObject<z.extendShape<{
                    target: z.ZodEnum<["BILL", "ITEM", "ADVANCE", "PAYMENT"]>;
                    minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        amount: number;
                        precision: number;
                    }, {
                        amount: number;
                        precision: number;
                    }>>>;
                    minPurchaseItems: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        productId: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        productId: string;
                    }, {
                        productId: string;
                    }>, "many">>>;
                }, {
                    target: z.ZodLiteral<"ITEM">;
                    strategy: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                    }, {
                        type: z.ZodLiteral<"SIMPLE">;
                        withAddons: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                    }>, "strip", z.ZodTypeAny, {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    }, {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    }> | z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                    }, {
                        type: z.ZodLiteral<"BUY_X_GET_Y">;
                        x: z.ZodNumber;
                        y: z.ZodNumber;
                    }>, "strip", z.ZodTypeAny, {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    }, {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    }> | z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                    }, {
                        type: z.ZodLiteral<"BUY_X_ITEM_A_GET_Y_ITEM_B">;
                        itemAIds: z.ZodArray<z.ZodString, "many">;
                        x: z.ZodNumber;
                        y: z.ZodNumber;
                    }>, "strip", z.ZodTypeAny, {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    }, {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    }> | z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                    }, {
                        type: z.ZodLiteral<"BUY_X_GET_Y_V2">;
                        priority: z.ZodEnum<["CHEAPEST_FIRST", "MOST_EXPENSIVE_FIRST"]>;
                        itemAIds: z.ZodArray<z.ZodString, "many">;
                        x: z.ZodNumber;
                        y: z.ZodNumber;
                    }>, "strip", z.ZodTypeAny, {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    }, {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    }> | z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                    }, {
                        type: z.ZodLiteral<"COMBO">;
                        groups: z.ZodArray<z.ZodObject<{
                            itemIds: z.ZodArray<z.ZodString, "many">;
                            count: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            count: number;
                            itemIds: string[];
                        }, {
                            count: number;
                            itemIds: string[];
                        }>, "many">;
                        atLeast: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    }>, "strip", z.ZodTypeAny, {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    }, {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    }>>;
                    targetIds: z.ZodArray<z.ZodString, "many">;
                    maxQuantity: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                    excludeAddonPrice: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }>, "strip", z.ZodTypeAny, {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                }, {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                }> | z.ZodObject<z.extendShape<{
                    target: z.ZodEnum<["BILL", "ITEM", "ADVANCE", "PAYMENT"]>;
                    minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        amount: number;
                        precision: number;
                    }, {
                        amount: number;
                        precision: number;
                    }>>>;
                    minPurchaseItems: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        productId: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        productId: string;
                    }, {
                        productId: string;
                    }>, "many">>>;
                }, {
                    target: z.ZodLiteral<"PAYMENT">;
                }>, "strip", z.ZodTypeAny, {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                }, {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                }>>;
                priority: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            }, "strip", z.ZodTypeAny, {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            }, {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            }>;
            validSince: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
            validity: z.ZodNumber;
            currentClaim: z.ZodNumber;
            currentRedeem: z.ZodNumber;
            publicClaimLink: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            disable: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            multipleUse: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                maxUse: z.ZodNumber;
                cooldown: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                maxUse: number;
                cooldown: number;
            }, {
                maxUse: number;
                cooldown: number;
            }>>>;
            verticalImage: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            horizontalImage: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            description?: string | null | undefined;
            disable?: boolean | null | undefined;
            targetRestaurant?: string[] | null | undefined;
            pf_business?: {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            } | null | undefined;
            pf_targetRestaurant?: {
                pickup?: {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                } | null | undefined;
                channel?: string | null | undefined;
                machineId?: string | null | undefined;
                catalogId?: string | null | undefined;
                customAttributes?: Record<string, any> | null | undefined;
                takeaway?: {
                    catalogId?: string | null | undefined;
                } | null | undefined;
                inHouseDelivery?: {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                } | null | undefined;
                dineIn?: {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                } | null | undefined;
                pf_business?: {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                } | null | undefined;
                features?: string[] | null | undefined;
                machineOtp?: string | null | undefined;
                machineOtpExpiredAt?: string | null | undefined;
                posVersion?: string | null | undefined;
                posHeartbeat?: string | null | undefined;
                posVersionHistory?: Record<string, string> | null | undefined;
                additionalCatalogs?: string[] | null | undefined;
                feedmeDelivery?: {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                } | null | undefined;
                foodpandaDelivery?: {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                } | null | undefined;
                grabfoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                } | null | undefined;
                shopeefoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                } | null | undefined;
                couchDbPassword?: string | null | undefined;
                apiToken?: string | null | undefined;
                remoteSupports?: {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }[] | null | undefined;
                payoutAccount?: Record<string, any> | null | undefined;
                clearCount?: number | null | undefined;
                queueSetting?: {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                } | null | undefined;
                tableMappingSetting?: {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                } | null | undefined;
                _id: string;
                expiredAt: string;
                businessId: string;
                profile: {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                };
            }[] | null | undefined;
            validSince?: string | null | undefined;
            publicClaimLink?: string | null | undefined;
            multipleUse?: {
                maxUse: number;
                cooldown: number;
            } | null | undefined;
            verticalImage?: string | null | undefined;
            horizontalImage?: string | null | undefined;
            name: string;
            options: {
                productIds?: string[] | null | undefined;
                minProductCount?: number | null | undefined;
                quantityMultiplier?: string | null | undefined;
                type: "AFTER_SALES";
                minPurchase: {
                    amount: number;
                    precision: number;
                };
                maxPurchase: {
                    amount: number;
                    precision: number;
                };
            } | {
                type: "SIMPLE_CLAIM";
                end: string;
                start: string;
                maxClaim: number;
            } | {
                type: "FEEDBACK_REWARD";
            } | {
                type: "MEMBER_REWARD";
            };
            validity: number;
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
            _id: string;
            business: string;
            currentClaim: number;
            currentRedeem: number;
        }, {
            description?: string | null | undefined;
            disable?: boolean | null | undefined;
            targetRestaurant?: string[] | null | undefined;
            pf_business?: {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            } | null | undefined;
            pf_targetRestaurant?: {
                pickup?: {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                } | null | undefined;
                channel?: string | null | undefined;
                machineId?: string | null | undefined;
                catalogId?: string | null | undefined;
                customAttributes?: Record<string, any> | null | undefined;
                takeaway?: {
                    catalogId?: string | null | undefined;
                } | null | undefined;
                inHouseDelivery?: {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                } | null | undefined;
                dineIn?: {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                } | null | undefined;
                pf_business?: {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                } | null | undefined;
                features?: string[] | null | undefined;
                machineOtp?: string | null | undefined;
                machineOtpExpiredAt?: string | null | undefined;
                posVersion?: string | null | undefined;
                posHeartbeat?: string | null | undefined;
                posVersionHistory?: Record<string, string> | null | undefined;
                additionalCatalogs?: string[] | null | undefined;
                feedmeDelivery?: {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                } | null | undefined;
                foodpandaDelivery?: {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                } | null | undefined;
                grabfoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                } | null | undefined;
                shopeefoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                } | null | undefined;
                couchDbPassword?: string | null | undefined;
                apiToken?: string | null | undefined;
                remoteSupports?: {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }[] | null | undefined;
                payoutAccount?: Record<string, any> | null | undefined;
                clearCount?: number | null | undefined;
                queueSetting?: {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                } | null | undefined;
                tableMappingSetting?: {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                } | null | undefined;
                _id: string;
                expiredAt: string;
                businessId: string;
                profile: {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                };
            }[] | null | undefined;
            validSince?: string | null | undefined;
            publicClaimLink?: string | null | undefined;
            multipleUse?: {
                maxUse: number;
                cooldown: number;
            } | null | undefined;
            verticalImage?: string | null | undefined;
            horizontalImage?: string | null | undefined;
            name: string;
            options: {
                productIds?: string[] | null | undefined;
                minProductCount?: number | null | undefined;
                quantityMultiplier?: string | null | undefined;
                type: "AFTER_SALES";
                minPurchase: {
                    amount: number;
                    precision: number;
                };
                maxPurchase: {
                    amount: number;
                    precision: number;
                };
            } | {
                type: "SIMPLE_CLAIM";
                end: string;
                start: string;
                maxClaim: number;
            } | {
                type: "FEEDBACK_REWARD";
            } | {
                type: "MEMBER_REWARD";
            };
            validity: number;
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
            _id: string;
            business: string;
            currentClaim: number;
            currentRedeem: number;
        }>;
        expiredAt: z.ZodEffects<z.ZodString, string, string>;
        claimedAt: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
        redeemedAt: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
        redeemCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        appliedAt: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
        restaurant: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
        pf_restaurant: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            _id: z.ZodEffects<z.ZodString, string, string>;
            businessId: z.ZodString;
            pf_business: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                _id: z.ZodEffects<z.ZodString, string, string>;
                ownerId: z.ZodString;
                name: z.ZodString;
                restaurantQuota: z.ZodNumber;
                warehouseQuota: z.ZodNumber;
                menuVersion: z.ZodString;
                internal: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                expiredAt: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                agentId: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                attributeSettings: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    key: z.ZodString;
                    type: z.ZodUnion<[z.ZodLiteral<"string">, z.ZodLiteral<"number">, z.ZodLiteral<"date">, z.ZodLiteral<"boolean">]>;
                    entity: z.ZodUnion<[z.ZodLiteral<"restaurant">, z.ZodLiteral<"item">, z.ZodLiteral<"group">, z.ZodLiteral<"inventorySku">, z.ZodLiteral<"inventoryRecipe">, z.ZodLiteral<"warehouse">]>;
                    options: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodAny, "many">>>;
                }, "strip", z.ZodTypeAny, {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }, {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }>, "many">>>;
                pf_agent: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
                    _id: z.ZodEffects<z.ZodString, string, string>;
                    name: z.ZodString;
                    code: z.ZodString;
                    isReseller: z.ZodBoolean;
                    clickupId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        userId: z.ZodString;
                        pf_user: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                            _id: z.ZodString;
                            birthday: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                            gender: z.ZodNullable<z.ZodOptional<z.ZodEnum<["MALE", "FEMALE"]>>>;
                            addresses: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                                name: z.ZodString;
                                address: z.ZodString;
                                coordinates: z.ZodArray<z.ZodNumber, "many">;
                            }, "strip", z.ZodTypeAny, {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }, {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }>, "many">>>;
                            email: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                            photoURL: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                            displayName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                            phoneNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                            imported: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                                source: z.ZodEnum<["FEEDME", "CITY_POS", "STOREHUB", "KERUYUn", "QISOFT", "WECHAT", "TEABAR", "NULL_MEMBER", "UMAI_POS", "QASHIER", "XILNET", "GENIUSPOS", "YHOFOODIE"]>;
                                raw: z.ZodRecord<z.ZodString, z.ZodAny>;
                            }, "strip", z.ZodTypeAny, {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            }, {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            }>>>;
                        }, "strip", z.ZodTypeAny, {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        }, {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        }>>>;
                        role: z.ZodEnum<["ADMIN"]>;
                    }, "strip", z.ZodTypeAny, {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }, {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }>, "many">>>;
                }, "strip", z.ZodTypeAny, {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                }, {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                }>>>>;
                thumbnail: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                billingInfos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    companyName: z.ZodString;
                    name: z.ZodString;
                    email: z.ZodString;
                    contact: z.ZodString;
                    address: z.ZodObject<{
                        line1: z.ZodString;
                        line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                        state: z.ZodString;
                        city: z.ZodString;
                        postcode: z.ZodString;
                        country: z.ZodString;
                        coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
                    }, "strip", z.ZodTypeAny, {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    }, {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    }>;
                }, "strip", z.ZodTypeAny, {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }, {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }>, "many">>>;
                customerDisplayImages: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    url: z.ZodString;
                    restaurantIds: z.ZodArray<z.ZodString, "many">;
                }, "strip", z.ZodTypeAny, {
                    url: string;
                    restaurantIds: string[];
                }, {
                    url: string;
                    restaurantIds: string[];
                }>, "many">>>;
            }, "strip", z.ZodTypeAny, {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            }, {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            }>>>;
            features: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNativeEnum<{
                stock: string;
                discovery: string;
                pickup: string;
                delivery: string;
                foodpanda: string;
                deliveryIntegration: string;
                kds: string;
                ods: string;
            }>, "many">>>;
            expiredAt: z.ZodEffects<z.ZodString, string, string>;
            machineOtp: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            machineOtpExpiredAt: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
            machineId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            channel: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            posVersion: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            posHeartbeat: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
            posVersionHistory: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
            profile: z.ZodObject<{
                _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                name: z.ZodString;
                address: z.ZodObject<{
                    line1: z.ZodString;
                    line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    state: z.ZodString;
                    city: z.ZodString;
                    postcode: z.ZodString;
                    country: z.ZodString;
                    coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
                }, "strip", z.ZodTypeAny, {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                }, {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                }>;
                phoneNo: z.ZodString;
                email: z.ZodString;
                regNo: z.ZodString;
                legalName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                sstRegNo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                discovery: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                coverPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                thumbnailPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                operatingHours: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    0: z.ZodObject<{
                        enable: z.ZodBoolean;
                        hours: z.ZodArray<z.ZodObject<{
                            start: z.ZodString;
                            end: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            end: string;
                            start: string;
                        }, {
                            end: string;
                            start: string;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }>;
                    1: z.ZodObject<{
                        enable: z.ZodBoolean;
                        hours: z.ZodArray<z.ZodObject<{
                            start: z.ZodString;
                            end: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            end: string;
                            start: string;
                        }, {
                            end: string;
                            start: string;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }>;
                    2: z.ZodObject<{
                        enable: z.ZodBoolean;
                        hours: z.ZodArray<z.ZodObject<{
                            start: z.ZodString;
                            end: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            end: string;
                            start: string;
                        }, {
                            end: string;
                            start: string;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }>;
                    3: z.ZodObject<{
                        enable: z.ZodBoolean;
                        hours: z.ZodArray<z.ZodObject<{
                            start: z.ZodString;
                            end: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            end: string;
                            start: string;
                        }, {
                            end: string;
                            start: string;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }>;
                    4: z.ZodObject<{
                        enable: z.ZodBoolean;
                        hours: z.ZodArray<z.ZodObject<{
                            start: z.ZodString;
                            end: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            end: string;
                            start: string;
                        }, {
                            end: string;
                            start: string;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }>;
                    5: z.ZodObject<{
                        enable: z.ZodBoolean;
                        hours: z.ZodArray<z.ZodObject<{
                            start: z.ZodString;
                            end: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            end: string;
                            start: string;
                        }, {
                            end: string;
                            start: string;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }>;
                    6: z.ZodObject<{
                        enable: z.ZodBoolean;
                        hours: z.ZodArray<z.ZodObject<{
                            start: z.ZodString;
                            end: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            end: string;
                            start: string;
                        }, {
                            end: string;
                            start: string;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }>;
                }, "strip", z.ZodTypeAny, {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                }, {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                }>>>;
                tags: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                code?: string | null | undefined;
                url?: string | null | undefined;
                description?: string | null | undefined;
                _id?: string | null | undefined;
                legalName?: string | null | undefined;
                sstRegNo?: string | null | undefined;
                discovery?: boolean | null | undefined;
                coverPhoto?: string | null | undefined;
                thumbnailPhoto?: string | null | undefined;
                photos?: string[] | null | undefined;
                operatingHours?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                tags?: string[] | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                phoneNo: string;
                regNo: string;
            }, {
                code?: string | null | undefined;
                url?: string | null | undefined;
                description?: string | null | undefined;
                _id?: string | null | undefined;
                legalName?: string | null | undefined;
                sstRegNo?: string | null | undefined;
                discovery?: boolean | null | undefined;
                coverPhoto?: string | null | undefined;
                thumbnailPhoto?: string | null | undefined;
                photos?: string[] | null | undefined;
                operatingHours?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                tags?: string[] | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                phoneNo: string;
                regNo: string;
            }>;
            catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            additionalCatalogs: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            inHouseDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                enable: z.ZodBoolean;
                areas: z.ZodArray<z.ZodObject<{
                    polygon: z.ZodArray<z.ZodArray<z.ZodNumber, "many">, "many">;
                    deliveryFee: z.ZodObject<{
                        currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    }, {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    }>;
                    freeAfterTotal: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    }, {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    }>>>;
                    minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    }, {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    }>>>;
                }, "strip", z.ZodTypeAny, {
                    minPurchase?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    freeAfterTotal?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    polygon: number[][];
                    deliveryFee: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                }, {
                    minPurchase?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    freeAfterTotal?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    polygon: number[][];
                    deliveryFee: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                }>, "many">;
                term: z.ZodString;
                deliveryTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    day: z.ZodObject<{
                        min: z.ZodNumber;
                        max: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        max: number;
                        min: number;
                    }, {
                        max: number;
                        min: number;
                    }>;
                    time: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                    custom: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        0: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        1: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        2: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        3: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        4: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        5: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        6: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                    }, "strip", z.ZodTypeAny, {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    }, {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    }>>>;
                }, "strip", z.ZodTypeAny, {
                    time?: string[] | null | undefined;
                    custom?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    day: {
                        max: number;
                        min: number;
                    };
                }, {
                    time?: string[] | null | undefined;
                    custom?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    day: {
                        max: number;
                        min: number;
                    };
                }>>>;
                catalogId: z.ZodNullable<z.ZodString>;
                paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
                offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    instruction: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    instruction: string;
                }, {
                    name: string;
                    instruction: string;
                }>, "many">>>;
                autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                taxes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<{
                    systemCode: z.ZodString;
                    taxCode: z.ZodString;
                    inclusive: z.ZodBoolean;
                }, "strip", z.ZodTypeAny, {
                    inclusive: boolean;
                    taxCode: string;
                    systemCode: string;
                }, {
                    inclusive: boolean;
                    taxCode: string;
                    systemCode: string;
                }>>>>;
            }, "strip", z.ZodTypeAny, {
                taxes?: Record<string, {
                    inclusive: boolean;
                    taxCode: string;
                    systemCode: string;
                }> | null | undefined;
                autoAccept?: boolean | null | undefined;
                deliveryTime?: {
                    time?: string[] | null | undefined;
                    custom?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                catalogId: string | null;
                enable: boolean;
                areas: {
                    minPurchase?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    freeAfterTotal?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    polygon: number[][];
                    deliveryFee: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                }[];
                term: string;
            }, {
                taxes?: Record<string, {
                    inclusive: boolean;
                    taxCode: string;
                    systemCode: string;
                }> | null | undefined;
                autoAccept?: boolean | null | undefined;
                deliveryTime?: {
                    time?: string[] | null | undefined;
                    custom?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                catalogId: string | null;
                enable: boolean;
                areas: {
                    minPurchase?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    freeAfterTotal?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    polygon: number[][];
                    deliveryFee: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                }[];
                term: string;
            }>>>;
            feedmeDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                enable: z.ZodBoolean;
                catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                term: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                instruction: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            }, "strip", z.ZodTypeAny, {
                instruction?: string | null | undefined;
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                term?: string | null | undefined;
                ignoreStock?: boolean | null | undefined;
                enable: boolean;
            }, {
                instruction?: string | null | undefined;
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                term?: string | null | undefined;
                ignoreStock?: boolean | null | undefined;
                enable: boolean;
            }>>>;
            foodpandaDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
                enable: z.ZodBoolean;
            }, {
                _id: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
                remoteId: z.ZodString;
                catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                lastSynchronize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                commissionRate: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                autoCloseBill: z.ZodBoolean;
                showProductAddon: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                reportConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    commissionRate: z.ZodNumber;
                    discountCampaigns: z.ZodArray<z.ZodObject<{
                        name: z.ZodString;
                        vendorBearPercentage: z.ZodNumber;
                        date: z.ZodObject<{
                            start: z.ZodString;
                            end: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            end: string;
                            start: string;
                        }, {
                            end: string;
                            start: string;
                        }>;
                    }, "strip", z.ZodTypeAny, {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }, {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                }, {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                }>>>;
                hasSst: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                ignoreDiscount: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            }>, "strip", z.ZodTypeAny, {
                _id?: string | undefined;
                ignoreDiscount?: boolean | null | undefined;
                catalogId?: string | null | undefined;
                commissionRate?: number | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                autoAccept?: boolean | null | undefined;
                reportConfig?: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                } | null | undefined;
                hasSst?: boolean | null | undefined;
                enable: boolean;
                remoteId: string;
                autoCloseBill: boolean;
            }, {
                _id?: string | undefined;
                ignoreDiscount?: boolean | null | undefined;
                catalogId?: string | null | undefined;
                commissionRate?: number | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                autoAccept?: boolean | null | undefined;
                reportConfig?: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                } | null | undefined;
                hasSst?: boolean | null | undefined;
                enable: boolean;
                remoteId: string;
                autoCloseBill: boolean;
            }>>>;
            grabfoodDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
                enable: z.ZodBoolean;
            }, {
                _id: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
                merchantID: z.ZodString;
                catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                lastSynchronize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                commissionRate: z.ZodNumber;
                autoCloseBill: z.ZodBoolean;
                showProductAddon: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            }>, "strip", z.ZodTypeAny, {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                commissionRate: number;
                autoCloseBill: boolean;
                merchantID: string;
            }, {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                commissionRate: number;
                autoCloseBill: boolean;
                merchantID: string;
            }>>>;
            shopeefoodDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
                enable: z.ZodBoolean;
            }, {
                _id: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
                storeID: z.ZodString;
                catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                lastSynchronize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                autoCloseBill: z.ZodBoolean;
                reportConfig: z.ZodObject<{
                    commissionRate: z.ZodNumber;
                    discountCampaigns: z.ZodArray<z.ZodObject<{
                        name: z.ZodString;
                        vendorBearPercentage: z.ZodNumber;
                        date: z.ZodObject<{
                            start: z.ZodString;
                            end: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            end: string;
                            start: string;
                        }, {
                            end: string;
                            start: string;
                        }>;
                    }, "strip", z.ZodTypeAny, {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }, {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                }, {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                }>;
                showProductAddon: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            }>, "strip", z.ZodTypeAny, {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                autoCloseBill: boolean;
                reportConfig: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                };
                storeID: string;
            }, {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                autoCloseBill: boolean;
                reportConfig: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                };
                storeID: string;
            }>>>;
            pickup: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                pickupTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    day: z.ZodObject<{
                        min: z.ZodNumber;
                        max: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        max: number;
                        min: number;
                    }, {
                        max: number;
                        min: number;
                    }>;
                }, "strip", z.ZodTypeAny, {
                    day: {
                        max: number;
                        min: number;
                    };
                }, {
                    day: {
                        max: number;
                        min: number;
                    };
                }>>>;
                pickupPointConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    restaurantEnable: z.ZodBoolean;
                    points: z.ZodArray<z.ZodObject<{
                        name: z.ZodString;
                        address: z.ZodString;
                        coordinates: z.ZodArray<z.ZodNumber, "many">;
                    }, "strip", z.ZodTypeAny, {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }, {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    restaurantEnable: boolean;
                    points: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[];
                }, {
                    restaurantEnable: boolean;
                    points: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[];
                }>>>;
                paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
                offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    instruction: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    instruction: string;
                }, {
                    name: string;
                    instruction: string;
                }>, "many">>>;
                catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            }, "strip", z.ZodTypeAny, {
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                pickupTime?: {
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                pickupPointConfig?: {
                    restaurantEnable: boolean;
                    points: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[];
                } | null | undefined;
            }, {
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                pickupTime?: {
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                pickupPointConfig?: {
                    restaurantEnable: boolean;
                    points: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[];
                } | null | undefined;
            }>>>;
            dineIn: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                anonymousOrder: z.ZodBoolean;
                staticQr: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
                offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    instruction: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    instruction: string;
                }, {
                    name: string;
                    instruction: string;
                }>, "many">>>;
                ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                disableItemRemark: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                acceptQueue: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            }, "strip", z.ZodTypeAny, {
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ignoreStock?: boolean | null | undefined;
                staticQr?: boolean | null | undefined;
                disableItemRemark?: boolean | null | undefined;
                acceptQueue?: boolean | null | undefined;
                anonymousOrder: boolean;
            }, {
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ignoreStock?: boolean | null | undefined;
                staticQr?: boolean | null | undefined;
                disableItemRemark?: boolean | null | undefined;
                acceptQueue?: boolean | null | undefined;
                anonymousOrder: boolean;
            }>>>;
            takeaway: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                catalogId?: string | null | undefined;
            }, {
                catalogId?: string | null | undefined;
            }>>>;
            couchDbPassword: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            apiToken: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            remoteSupports: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                deviceName: z.ZodString;
                anydeskId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                anydeskPassword: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                anydeskId?: string | null | undefined;
                anydeskPassword?: string | null | undefined;
                deviceName: string;
            }, {
                anydeskId?: string | null | undefined;
                anydeskPassword?: string | null | undefined;
                deviceName: string;
            }>, "many">>>;
            payoutAccount: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
            clearCount: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            queueSetting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                enableOrder: z.ZodBoolean;
                initialNumber: z.ZodNumber;
                endNumber: z.ZodNumber;
                currentNumber: z.ZodNumber;
                autoCalledLimit: z.ZodNumber;
                duration: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            }, "strip", z.ZodTypeAny, {
                duration?: number | null | undefined;
                enableOrder: boolean;
                initialNumber: number;
                endNumber: number;
                currentNumber: number;
                autoCalledLimit: number;
            }, {
                duration?: number | null | undefined;
                enableOrder: boolean;
                initialNumber: number;
                endNumber: number;
                currentNumber: number;
                autoCalledLimit: number;
            }>>>;
            tableMappingSetting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                enable: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                showSeat: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                mapBorderColor: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                mapLineColor: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            }, "strip", z.ZodTypeAny, {
                enable?: boolean | null | undefined;
                showSeat?: boolean | null | undefined;
                mapBorderColor?: number | null | undefined;
                mapLineColor?: number | null | undefined;
            }, {
                enable?: boolean | null | undefined;
                showSeat?: boolean | null | undefined;
                mapBorderColor?: number | null | undefined;
                mapLineColor?: number | null | undefined;
            }>>>;
            customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
        }, "strip", z.ZodTypeAny, {
            pickup?: {
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                pickupTime?: {
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                pickupPointConfig?: {
                    restaurantEnable: boolean;
                    points: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[];
                } | null | undefined;
            } | null | undefined;
            channel?: string | null | undefined;
            machineId?: string | null | undefined;
            catalogId?: string | null | undefined;
            customAttributes?: Record<string, any> | null | undefined;
            takeaway?: {
                catalogId?: string | null | undefined;
            } | null | undefined;
            inHouseDelivery?: {
                taxes?: Record<string, {
                    inclusive: boolean;
                    taxCode: string;
                    systemCode: string;
                }> | null | undefined;
                autoAccept?: boolean | null | undefined;
                deliveryTime?: {
                    time?: string[] | null | undefined;
                    custom?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                catalogId: string | null;
                enable: boolean;
                areas: {
                    minPurchase?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    freeAfterTotal?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    polygon: number[][];
                    deliveryFee: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                }[];
                term: string;
            } | null | undefined;
            dineIn?: {
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ignoreStock?: boolean | null | undefined;
                staticQr?: boolean | null | undefined;
                disableItemRemark?: boolean | null | undefined;
                acceptQueue?: boolean | null | undefined;
                anonymousOrder: boolean;
            } | null | undefined;
            pf_business?: {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            } | null | undefined;
            features?: string[] | null | undefined;
            machineOtp?: string | null | undefined;
            machineOtpExpiredAt?: string | null | undefined;
            posVersion?: string | null | undefined;
            posHeartbeat?: string | null | undefined;
            posVersionHistory?: Record<string, string> | null | undefined;
            additionalCatalogs?: string[] | null | undefined;
            feedmeDelivery?: {
                instruction?: string | null | undefined;
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                term?: string | null | undefined;
                ignoreStock?: boolean | null | undefined;
                enable: boolean;
            } | null | undefined;
            foodpandaDelivery?: {
                _id?: string | undefined;
                ignoreDiscount?: boolean | null | undefined;
                catalogId?: string | null | undefined;
                commissionRate?: number | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                autoAccept?: boolean | null | undefined;
                reportConfig?: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                } | null | undefined;
                hasSst?: boolean | null | undefined;
                enable: boolean;
                remoteId: string;
                autoCloseBill: boolean;
            } | null | undefined;
            grabfoodDelivery?: {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                commissionRate: number;
                autoCloseBill: boolean;
                merchantID: string;
            } | null | undefined;
            shopeefoodDelivery?: {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                autoCloseBill: boolean;
                reportConfig: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                };
                storeID: string;
            } | null | undefined;
            couchDbPassword?: string | null | undefined;
            apiToken?: string | null | undefined;
            remoteSupports?: {
                anydeskId?: string | null | undefined;
                anydeskPassword?: string | null | undefined;
                deviceName: string;
            }[] | null | undefined;
            payoutAccount?: Record<string, any> | null | undefined;
            clearCount?: number | null | undefined;
            queueSetting?: {
                duration?: number | null | undefined;
                enableOrder: boolean;
                initialNumber: number;
                endNumber: number;
                currentNumber: number;
                autoCalledLimit: number;
            } | null | undefined;
            tableMappingSetting?: {
                enable?: boolean | null | undefined;
                showSeat?: boolean | null | undefined;
                mapBorderColor?: number | null | undefined;
                mapLineColor?: number | null | undefined;
            } | null | undefined;
            _id: string;
            expiredAt: string;
            businessId: string;
            profile: {
                code?: string | null | undefined;
                url?: string | null | undefined;
                description?: string | null | undefined;
                _id?: string | null | undefined;
                legalName?: string | null | undefined;
                sstRegNo?: string | null | undefined;
                discovery?: boolean | null | undefined;
                coverPhoto?: string | null | undefined;
                thumbnailPhoto?: string | null | undefined;
                photos?: string[] | null | undefined;
                operatingHours?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                tags?: string[] | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                phoneNo: string;
                regNo: string;
            };
        }, {
            pickup?: {
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                pickupTime?: {
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                pickupPointConfig?: {
                    restaurantEnable: boolean;
                    points: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[];
                } | null | undefined;
            } | null | undefined;
            channel?: string | null | undefined;
            machineId?: string | null | undefined;
            catalogId?: string | null | undefined;
            customAttributes?: Record<string, any> | null | undefined;
            takeaway?: {
                catalogId?: string | null | undefined;
            } | null | undefined;
            inHouseDelivery?: {
                taxes?: Record<string, {
                    inclusive: boolean;
                    taxCode: string;
                    systemCode: string;
                }> | null | undefined;
                autoAccept?: boolean | null | undefined;
                deliveryTime?: {
                    time?: string[] | null | undefined;
                    custom?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                catalogId: string | null;
                enable: boolean;
                areas: {
                    minPurchase?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    freeAfterTotal?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    polygon: number[][];
                    deliveryFee: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                }[];
                term: string;
            } | null | undefined;
            dineIn?: {
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ignoreStock?: boolean | null | undefined;
                staticQr?: boolean | null | undefined;
                disableItemRemark?: boolean | null | undefined;
                acceptQueue?: boolean | null | undefined;
                anonymousOrder: boolean;
            } | null | undefined;
            pf_business?: {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            } | null | undefined;
            features?: string[] | null | undefined;
            machineOtp?: string | null | undefined;
            machineOtpExpiredAt?: string | null | undefined;
            posVersion?: string | null | undefined;
            posHeartbeat?: string | null | undefined;
            posVersionHistory?: Record<string, string> | null | undefined;
            additionalCatalogs?: string[] | null | undefined;
            feedmeDelivery?: {
                instruction?: string | null | undefined;
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                term?: string | null | undefined;
                ignoreStock?: boolean | null | undefined;
                enable: boolean;
            } | null | undefined;
            foodpandaDelivery?: {
                _id?: string | undefined;
                ignoreDiscount?: boolean | null | undefined;
                catalogId?: string | null | undefined;
                commissionRate?: number | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                autoAccept?: boolean | null | undefined;
                reportConfig?: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                } | null | undefined;
                hasSst?: boolean | null | undefined;
                enable: boolean;
                remoteId: string;
                autoCloseBill: boolean;
            } | null | undefined;
            grabfoodDelivery?: {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                commissionRate: number;
                autoCloseBill: boolean;
                merchantID: string;
            } | null | undefined;
            shopeefoodDelivery?: {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                autoCloseBill: boolean;
                reportConfig: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                };
                storeID: string;
            } | null | undefined;
            couchDbPassword?: string | null | undefined;
            apiToken?: string | null | undefined;
            remoteSupports?: {
                anydeskId?: string | null | undefined;
                anydeskPassword?: string | null | undefined;
                deviceName: string;
            }[] | null | undefined;
            payoutAccount?: Record<string, any> | null | undefined;
            clearCount?: number | null | undefined;
            queueSetting?: {
                duration?: number | null | undefined;
                enableOrder: boolean;
                initialNumber: number;
                endNumber: number;
                currentNumber: number;
                autoCalledLimit: number;
            } | null | undefined;
            tableMappingSetting?: {
                enable?: boolean | null | undefined;
                showSeat?: boolean | null | undefined;
                mapBorderColor?: number | null | undefined;
                mapLineColor?: number | null | undefined;
            } | null | undefined;
            _id: string;
            expiredAt: string;
            businessId: string;
            profile: {
                code?: string | null | undefined;
                url?: string | null | undefined;
                description?: string | null | undefined;
                _id?: string | null | undefined;
                legalName?: string | null | undefined;
                sstRegNo?: string | null | undefined;
                discovery?: boolean | null | undefined;
                coverPhoto?: string | null | undefined;
                thumbnailPhoto?: string | null | undefined;
                photos?: string[] | null | undefined;
                operatingHours?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                tags?: string[] | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                phoneNo: string;
                regNo: string;
            };
        }>>>>;
        billId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        frontend: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            hide: z.ZodBoolean;
            disable: z.ZodBoolean;
            reason: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            reason: string;
            hide: boolean;
            disable: boolean;
        }, {
            reason: string;
            hide: boolean;
            disable: boolean;
        }>>>;
        history: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            appliedAt: z.ZodEffects<z.ZodString, string, string>;
            restaurant: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
            pf_restaurant: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
                _id: z.ZodEffects<z.ZodString, string, string>;
                businessId: z.ZodString;
                pf_business: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    _id: z.ZodEffects<z.ZodString, string, string>;
                    ownerId: z.ZodString;
                    name: z.ZodString;
                    restaurantQuota: z.ZodNumber;
                    warehouseQuota: z.ZodNumber;
                    menuVersion: z.ZodString;
                    internal: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    expiredAt: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                    url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    agentId: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                    attributeSettings: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        key: z.ZodString;
                        type: z.ZodUnion<[z.ZodLiteral<"string">, z.ZodLiteral<"number">, z.ZodLiteral<"date">, z.ZodLiteral<"boolean">]>;
                        entity: z.ZodUnion<[z.ZodLiteral<"restaurant">, z.ZodLiteral<"item">, z.ZodLiteral<"group">, z.ZodLiteral<"inventorySku">, z.ZodLiteral<"inventoryRecipe">, z.ZodLiteral<"warehouse">]>;
                        options: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodAny, "many">>>;
                    }, "strip", z.ZodTypeAny, {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }, {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }>, "many">>>;
                    pf_agent: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
                        _id: z.ZodEffects<z.ZodString, string, string>;
                        name: z.ZodString;
                        code: z.ZodString;
                        isReseller: z.ZodBoolean;
                        clickupId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                        members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                            userId: z.ZodString;
                            pf_user: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                                _id: z.ZodString;
                                birthday: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                                gender: z.ZodNullable<z.ZodOptional<z.ZodEnum<["MALE", "FEMALE"]>>>;
                                addresses: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                                    name: z.ZodString;
                                    address: z.ZodString;
                                    coordinates: z.ZodArray<z.ZodNumber, "many">;
                                }, "strip", z.ZodTypeAny, {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }, {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }>, "many">>>;
                                email: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                                photoURL: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                                displayName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                                phoneNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                                imported: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                                    source: z.ZodEnum<["FEEDME", "CITY_POS", "STOREHUB", "KERUYUn", "QISOFT", "WECHAT", "TEABAR", "NULL_MEMBER", "UMAI_POS", "QASHIER", "XILNET", "GENIUSPOS", "YHOFOODIE"]>;
                                    raw: z.ZodRecord<z.ZodString, z.ZodAny>;
                                }, "strip", z.ZodTypeAny, {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                }, {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                }>>>;
                            }, "strip", z.ZodTypeAny, {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            }, {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            }>>>;
                            role: z.ZodEnum<["ADMIN"]>;
                        }, "strip", z.ZodTypeAny, {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }, {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }>, "many">>>;
                    }, "strip", z.ZodTypeAny, {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    }, {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    }>>>>;
                    thumbnail: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    billingInfos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                        companyName: z.ZodString;
                        name: z.ZodString;
                        email: z.ZodString;
                        contact: z.ZodString;
                        address: z.ZodObject<{
                            line1: z.ZodString;
                            line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                            state: z.ZodString;
                            city: z.ZodString;
                            postcode: z.ZodString;
                            country: z.ZodString;
                            coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
                        }, "strip", z.ZodTypeAny, {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        }, {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        }>;
                    }, "strip", z.ZodTypeAny, {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }, {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }>, "many">>>;
                    customerDisplayImages: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        url: z.ZodString;
                        restaurantIds: z.ZodArray<z.ZodString, "many">;
                    }, "strip", z.ZodTypeAny, {
                        url: string;
                        restaurantIds: string[];
                    }, {
                        url: string;
                        restaurantIds: string[];
                    }>, "many">>>;
                }, "strip", z.ZodTypeAny, {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                }, {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                }>>>;
                features: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNativeEnum<{
                    stock: string;
                    discovery: string;
                    pickup: string;
                    delivery: string;
                    foodpanda: string;
                    deliveryIntegration: string;
                    kds: string;
                    ods: string;
                }>, "many">>>;
                expiredAt: z.ZodEffects<z.ZodString, string, string>;
                machineOtp: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                machineOtpExpiredAt: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                machineId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                channel: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                posVersion: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                posHeartbeat: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                posVersionHistory: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                profile: z.ZodObject<{
                    _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    name: z.ZodString;
                    address: z.ZodObject<{
                        line1: z.ZodString;
                        line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                        state: z.ZodString;
                        city: z.ZodString;
                        postcode: z.ZodString;
                        country: z.ZodString;
                        coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
                    }, "strip", z.ZodTypeAny, {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    }, {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    }>;
                    phoneNo: z.ZodString;
                    email: z.ZodString;
                    regNo: z.ZodString;
                    legalName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    sstRegNo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    discovery: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    coverPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    thumbnailPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                    operatingHours: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        0: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        1: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        2: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        3: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        4: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        5: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                        6: z.ZodObject<{
                            enable: z.ZodBoolean;
                            hours: z.ZodArray<z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>, "many">;
                        }, "strip", z.ZodTypeAny, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }, {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        }>;
                    }, "strip", z.ZodTypeAny, {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    }, {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    }>>>;
                    tags: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                    url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                }, "strip", z.ZodTypeAny, {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                }, {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                }>;
                catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                additionalCatalogs: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                inHouseDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    enable: z.ZodBoolean;
                    areas: z.ZodArray<z.ZodObject<{
                        polygon: z.ZodArray<z.ZodArray<z.ZodNumber, "many">, "many">;
                        deliveryFee: z.ZodObject<{
                            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                            amount: z.ZodNumber;
                            precision: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        }, {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        }>;
                        freeAfterTotal: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                            amount: z.ZodNumber;
                            precision: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        }, {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        }>>>;
                        minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                            amount: z.ZodNumber;
                            precision: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        }, {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        }>>>;
                    }, "strip", z.ZodTypeAny, {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }, {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }>, "many">;
                    term: z.ZodString;
                    deliveryTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        day: z.ZodObject<{
                            min: z.ZodNumber;
                            max: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            max: number;
                            min: number;
                        }, {
                            max: number;
                            min: number;
                        }>;
                        time: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                        custom: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                            0: z.ZodObject<{
                                enable: z.ZodBoolean;
                                hours: z.ZodArray<z.ZodObject<{
                                    start: z.ZodString;
                                    end: z.ZodString;
                                }, "strip", z.ZodTypeAny, {
                                    end: string;
                                    start: string;
                                }, {
                                    end: string;
                                    start: string;
                                }>, "many">;
                            }, "strip", z.ZodTypeAny, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }>;
                            1: z.ZodObject<{
                                enable: z.ZodBoolean;
                                hours: z.ZodArray<z.ZodObject<{
                                    start: z.ZodString;
                                    end: z.ZodString;
                                }, "strip", z.ZodTypeAny, {
                                    end: string;
                                    start: string;
                                }, {
                                    end: string;
                                    start: string;
                                }>, "many">;
                            }, "strip", z.ZodTypeAny, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }>;
                            2: z.ZodObject<{
                                enable: z.ZodBoolean;
                                hours: z.ZodArray<z.ZodObject<{
                                    start: z.ZodString;
                                    end: z.ZodString;
                                }, "strip", z.ZodTypeAny, {
                                    end: string;
                                    start: string;
                                }, {
                                    end: string;
                                    start: string;
                                }>, "many">;
                            }, "strip", z.ZodTypeAny, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }>;
                            3: z.ZodObject<{
                                enable: z.ZodBoolean;
                                hours: z.ZodArray<z.ZodObject<{
                                    start: z.ZodString;
                                    end: z.ZodString;
                                }, "strip", z.ZodTypeAny, {
                                    end: string;
                                    start: string;
                                }, {
                                    end: string;
                                    start: string;
                                }>, "many">;
                            }, "strip", z.ZodTypeAny, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }>;
                            4: z.ZodObject<{
                                enable: z.ZodBoolean;
                                hours: z.ZodArray<z.ZodObject<{
                                    start: z.ZodString;
                                    end: z.ZodString;
                                }, "strip", z.ZodTypeAny, {
                                    end: string;
                                    start: string;
                                }, {
                                    end: string;
                                    start: string;
                                }>, "many">;
                            }, "strip", z.ZodTypeAny, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }>;
                            5: z.ZodObject<{
                                enable: z.ZodBoolean;
                                hours: z.ZodArray<z.ZodObject<{
                                    start: z.ZodString;
                                    end: z.ZodString;
                                }, "strip", z.ZodTypeAny, {
                                    end: string;
                                    start: string;
                                }, {
                                    end: string;
                                    start: string;
                                }>, "many">;
                            }, "strip", z.ZodTypeAny, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }>;
                            6: z.ZodObject<{
                                enable: z.ZodBoolean;
                                hours: z.ZodArray<z.ZodObject<{
                                    start: z.ZodString;
                                    end: z.ZodString;
                                }, "strip", z.ZodTypeAny, {
                                    end: string;
                                    start: string;
                                }, {
                                    end: string;
                                    start: string;
                                }>, "many">;
                            }, "strip", z.ZodTypeAny, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }, {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            }>;
                        }, "strip", z.ZodTypeAny, {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        }, {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        }>>>;
                    }, "strip", z.ZodTypeAny, {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    }, {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    }>>>;
                    catalogId: z.ZodNullable<z.ZodString>;
                    paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
                    offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        name: z.ZodString;
                        instruction: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        name: string;
                        instruction: string;
                    }, {
                        name: string;
                        instruction: string;
                    }>, "many">>>;
                    autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    taxes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<{
                        systemCode: z.ZodString;
                        taxCode: z.ZodString;
                        inclusive: z.ZodBoolean;
                    }, "strip", z.ZodTypeAny, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }>>>>;
                }, "strip", z.ZodTypeAny, {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                }, {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                }>>>;
                feedmeDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    enable: z.ZodBoolean;
                    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    term: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    instruction: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                }, {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                }>>>;
                foodpandaDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
                    enable: z.ZodBoolean;
                }, {
                    _id: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
                    remoteId: z.ZodString;
                    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    lastSynchronize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    commissionRate: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                    autoCloseBill: z.ZodBoolean;
                    showProductAddon: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    reportConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        commissionRate: z.ZodNumber;
                        discountCampaigns: z.ZodArray<z.ZodObject<{
                            name: z.ZodString;
                            vendorBearPercentage: z.ZodNumber;
                            date: z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>;
                        }, "strip", z.ZodTypeAny, {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }, {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    }, {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    }>>>;
                    hasSst: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    ignoreDiscount: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }>, "strip", z.ZodTypeAny, {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                }, {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                }>>>;
                grabfoodDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
                    enable: z.ZodBoolean;
                }, {
                    _id: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
                    merchantID: z.ZodString;
                    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    lastSynchronize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    commissionRate: z.ZodNumber;
                    autoCloseBill: z.ZodBoolean;
                    showProductAddon: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }>, "strip", z.ZodTypeAny, {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                }, {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                }>>>;
                shopeefoodDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
                    enable: z.ZodBoolean;
                }, {
                    _id: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
                    storeID: z.ZodString;
                    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    lastSynchronize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    autoCloseBill: z.ZodBoolean;
                    reportConfig: z.ZodObject<{
                        commissionRate: z.ZodNumber;
                        discountCampaigns: z.ZodArray<z.ZodObject<{
                            name: z.ZodString;
                            vendorBearPercentage: z.ZodNumber;
                            date: z.ZodObject<{
                                start: z.ZodString;
                                end: z.ZodString;
                            }, "strip", z.ZodTypeAny, {
                                end: string;
                                start: string;
                            }, {
                                end: string;
                                start: string;
                            }>;
                        }, "strip", z.ZodTypeAny, {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }, {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    }, {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    }>;
                    showProductAddon: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }>, "strip", z.ZodTypeAny, {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                }, {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                }>>>;
                pickup: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    pickupTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        day: z.ZodObject<{
                            min: z.ZodNumber;
                            max: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            max: number;
                            min: number;
                        }, {
                            max: number;
                            min: number;
                        }>;
                    }, "strip", z.ZodTypeAny, {
                        day: {
                            max: number;
                            min: number;
                        };
                    }, {
                        day: {
                            max: number;
                            min: number;
                        };
                    }>>>;
                    pickupPointConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        restaurantEnable: z.ZodBoolean;
                        points: z.ZodArray<z.ZodObject<{
                            name: z.ZodString;
                            address: z.ZodString;
                            coordinates: z.ZodArray<z.ZodNumber, "many">;
                        }, "strip", z.ZodTypeAny, {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }, {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    }, {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    }>>>;
                    paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
                    offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        name: z.ZodString;
                        instruction: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        name: string;
                        instruction: string;
                    }, {
                        name: string;
                        instruction: string;
                    }>, "many">>>;
                    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                }, {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                }>>>;
                dineIn: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    anonymousOrder: z.ZodBoolean;
                    staticQr: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
                    offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        name: z.ZodString;
                        instruction: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        name: string;
                        instruction: string;
                    }, {
                        name: string;
                        instruction: string;
                    }>, "many">>>;
                    ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    disableItemRemark: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    acceptQueue: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                }, {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                }>>>;
                takeaway: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                }, "strip", z.ZodTypeAny, {
                    catalogId?: string | null | undefined;
                }, {
                    catalogId?: string | null | undefined;
                }>>>;
                couchDbPassword: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                apiToken: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                remoteSupports: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    deviceName: z.ZodString;
                    anydeskId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    anydeskPassword: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                }, "strip", z.ZodTypeAny, {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }, {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }>, "many">>>;
                payoutAccount: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
                clearCount: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                queueSetting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    enableOrder: z.ZodBoolean;
                    initialNumber: z.ZodNumber;
                    endNumber: z.ZodNumber;
                    currentNumber: z.ZodNumber;
                    autoCalledLimit: z.ZodNumber;
                    duration: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                }, "strip", z.ZodTypeAny, {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                }, {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                }>>>;
                tableMappingSetting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    enable: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    showSeat: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    mapBorderColor: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                    mapLineColor: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                }, "strip", z.ZodTypeAny, {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                }, {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                }>>>;
                customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
            }, "strip", z.ZodTypeAny, {
                pickup?: {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                } | null | undefined;
                channel?: string | null | undefined;
                machineId?: string | null | undefined;
                catalogId?: string | null | undefined;
                customAttributes?: Record<string, any> | null | undefined;
                takeaway?: {
                    catalogId?: string | null | undefined;
                } | null | undefined;
                inHouseDelivery?: {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                } | null | undefined;
                dineIn?: {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                } | null | undefined;
                pf_business?: {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                } | null | undefined;
                features?: string[] | null | undefined;
                machineOtp?: string | null | undefined;
                machineOtpExpiredAt?: string | null | undefined;
                posVersion?: string | null | undefined;
                posHeartbeat?: string | null | undefined;
                posVersionHistory?: Record<string, string> | null | undefined;
                additionalCatalogs?: string[] | null | undefined;
                feedmeDelivery?: {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                } | null | undefined;
                foodpandaDelivery?: {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                } | null | undefined;
                grabfoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                } | null | undefined;
                shopeefoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                } | null | undefined;
                couchDbPassword?: string | null | undefined;
                apiToken?: string | null | undefined;
                remoteSupports?: {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }[] | null | undefined;
                payoutAccount?: Record<string, any> | null | undefined;
                clearCount?: number | null | undefined;
                queueSetting?: {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                } | null | undefined;
                tableMappingSetting?: {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                } | null | undefined;
                _id: string;
                expiredAt: string;
                businessId: string;
                profile: {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                };
            }, {
                pickup?: {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                } | null | undefined;
                channel?: string | null | undefined;
                machineId?: string | null | undefined;
                catalogId?: string | null | undefined;
                customAttributes?: Record<string, any> | null | undefined;
                takeaway?: {
                    catalogId?: string | null | undefined;
                } | null | undefined;
                inHouseDelivery?: {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                } | null | undefined;
                dineIn?: {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                } | null | undefined;
                pf_business?: {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                } | null | undefined;
                features?: string[] | null | undefined;
                machineOtp?: string | null | undefined;
                machineOtpExpiredAt?: string | null | undefined;
                posVersion?: string | null | undefined;
                posHeartbeat?: string | null | undefined;
                posVersionHistory?: Record<string, string> | null | undefined;
                additionalCatalogs?: string[] | null | undefined;
                feedmeDelivery?: {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                } | null | undefined;
                foodpandaDelivery?: {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                } | null | undefined;
                grabfoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                } | null | undefined;
                shopeefoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                } | null | undefined;
                couchDbPassword?: string | null | undefined;
                apiToken?: string | null | undefined;
                remoteSupports?: {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }[] | null | undefined;
                payoutAccount?: Record<string, any> | null | undefined;
                clearCount?: number | null | undefined;
                queueSetting?: {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                } | null | undefined;
                tableMappingSetting?: {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                } | null | undefined;
                _id: string;
                expiredAt: string;
                businessId: string;
                profile: {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                };
            }>>>>;
            billId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            billId?: string | null | undefined;
            restaurant?: string | null | undefined;
            pf_restaurant?: {
                pickup?: {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                } | null | undefined;
                channel?: string | null | undefined;
                machineId?: string | null | undefined;
                catalogId?: string | null | undefined;
                customAttributes?: Record<string, any> | null | undefined;
                takeaway?: {
                    catalogId?: string | null | undefined;
                } | null | undefined;
                inHouseDelivery?: {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                } | null | undefined;
                dineIn?: {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                } | null | undefined;
                pf_business?: {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                } | null | undefined;
                features?: string[] | null | undefined;
                machineOtp?: string | null | undefined;
                machineOtpExpiredAt?: string | null | undefined;
                posVersion?: string | null | undefined;
                posHeartbeat?: string | null | undefined;
                posVersionHistory?: Record<string, string> | null | undefined;
                additionalCatalogs?: string[] | null | undefined;
                feedmeDelivery?: {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                } | null | undefined;
                foodpandaDelivery?: {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                } | null | undefined;
                grabfoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                } | null | undefined;
                shopeefoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                } | null | undefined;
                couchDbPassword?: string | null | undefined;
                apiToken?: string | null | undefined;
                remoteSupports?: {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }[] | null | undefined;
                payoutAccount?: Record<string, any> | null | undefined;
                clearCount?: number | null | undefined;
                queueSetting?: {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                } | null | undefined;
                tableMappingSetting?: {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                } | null | undefined;
                _id: string;
                expiredAt: string;
                businessId: string;
                profile: {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                };
            } | null | undefined;
            appliedAt: string;
        }, {
            billId?: string | null | undefined;
            restaurant?: string | null | undefined;
            pf_restaurant?: {
                pickup?: {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                } | null | undefined;
                channel?: string | null | undefined;
                machineId?: string | null | undefined;
                catalogId?: string | null | undefined;
                customAttributes?: Record<string, any> | null | undefined;
                takeaway?: {
                    catalogId?: string | null | undefined;
                } | null | undefined;
                inHouseDelivery?: {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                } | null | undefined;
                dineIn?: {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                } | null | undefined;
                pf_business?: {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                } | null | undefined;
                features?: string[] | null | undefined;
                machineOtp?: string | null | undefined;
                machineOtpExpiredAt?: string | null | undefined;
                posVersion?: string | null | undefined;
                posHeartbeat?: string | null | undefined;
                posVersionHistory?: Record<string, string> | null | undefined;
                additionalCatalogs?: string[] | null | undefined;
                feedmeDelivery?: {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                } | null | undefined;
                foodpandaDelivery?: {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                } | null | undefined;
                grabfoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                } | null | undefined;
                shopeefoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                } | null | undefined;
                couchDbPassword?: string | null | undefined;
                apiToken?: string | null | undefined;
                remoteSupports?: {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }[] | null | undefined;
                payoutAccount?: Record<string, any> | null | undefined;
                clearCount?: number | null | undefined;
                queueSetting?: {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                } | null | undefined;
                tableMappingSetting?: {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                } | null | undefined;
                _id: string;
                expiredAt: string;
                businessId: string;
                profile: {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                };
            } | null | undefined;
            appliedAt: string;
        }>, "many">>>;
        transferExpiredAt: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
        transferHistory: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            transferAt: z.ZodEffects<z.ZodString, string, string>;
            from: z.ZodString;
            pf_from: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                _id: z.ZodString;
                birthday: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                gender: z.ZodNullable<z.ZodOptional<z.ZodEnum<["MALE", "FEMALE"]>>>;
                addresses: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    address: z.ZodString;
                    coordinates: z.ZodArray<z.ZodNumber, "many">;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }>, "many">>>;
                email: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                photoURL: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                displayName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                phoneNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                imported: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    source: z.ZodEnum<["FEEDME", "CITY_POS", "STOREHUB", "KERUYUn", "QISOFT", "WECHAT", "TEABAR", "NULL_MEMBER", "UMAI_POS", "QASHIER", "XILNET", "GENIUSPOS", "YHOFOODIE"]>;
                    raw: z.ZodRecord<z.ZodString, z.ZodAny>;
                }, "strip", z.ZodTypeAny, {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                }, {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                }>>>;
            }, "strip", z.ZodTypeAny, {
                email?: string | null | undefined;
                phoneNumber?: string | null | undefined;
                birthday?: string | null | undefined;
                gender?: "MALE" | "FEMALE" | null | undefined;
                addresses?: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[] | null | undefined;
                photoURL?: string | null | undefined;
                displayName?: string | null | undefined;
                imported?: {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                } | null | undefined;
                _id: string;
            }, {
                email?: string | null | undefined;
                phoneNumber?: string | null | undefined;
                birthday?: string | null | undefined;
                gender?: "MALE" | "FEMALE" | null | undefined;
                addresses?: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[] | null | undefined;
                photoURL?: string | null | undefined;
                displayName?: string | null | undefined;
                imported?: {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                } | null | undefined;
                _id: string;
            }>>>;
            to: z.ZodString;
            pf_to: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                _id: z.ZodString;
                birthday: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                gender: z.ZodNullable<z.ZodOptional<z.ZodEnum<["MALE", "FEMALE"]>>>;
                addresses: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    address: z.ZodString;
                    coordinates: z.ZodArray<z.ZodNumber, "many">;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }>, "many">>>;
                email: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                photoURL: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                displayName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                phoneNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                imported: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    source: z.ZodEnum<["FEEDME", "CITY_POS", "STOREHUB", "KERUYUn", "QISOFT", "WECHAT", "TEABAR", "NULL_MEMBER", "UMAI_POS", "QASHIER", "XILNET", "GENIUSPOS", "YHOFOODIE"]>;
                    raw: z.ZodRecord<z.ZodString, z.ZodAny>;
                }, "strip", z.ZodTypeAny, {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                }, {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                }>>>;
            }, "strip", z.ZodTypeAny, {
                email?: string | null | undefined;
                phoneNumber?: string | null | undefined;
                birthday?: string | null | undefined;
                gender?: "MALE" | "FEMALE" | null | undefined;
                addresses?: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[] | null | undefined;
                photoURL?: string | null | undefined;
                displayName?: string | null | undefined;
                imported?: {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                } | null | undefined;
                _id: string;
            }, {
                email?: string | null | undefined;
                phoneNumber?: string | null | undefined;
                birthday?: string | null | undefined;
                gender?: "MALE" | "FEMALE" | null | undefined;
                addresses?: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[] | null | undefined;
                photoURL?: string | null | undefined;
                displayName?: string | null | undefined;
                imported?: {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                } | null | undefined;
                _id: string;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            pf_from?: {
                email?: string | null | undefined;
                phoneNumber?: string | null | undefined;
                birthday?: string | null | undefined;
                gender?: "MALE" | "FEMALE" | null | undefined;
                addresses?: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[] | null | undefined;
                photoURL?: string | null | undefined;
                displayName?: string | null | undefined;
                imported?: {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                } | null | undefined;
                _id: string;
            } | null | undefined;
            pf_to?: {
                email?: string | null | undefined;
                phoneNumber?: string | null | undefined;
                birthday?: string | null | undefined;
                gender?: "MALE" | "FEMALE" | null | undefined;
                addresses?: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[] | null | undefined;
                photoURL?: string | null | undefined;
                displayName?: string | null | undefined;
                imported?: {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                } | null | undefined;
                _id: string;
            } | null | undefined;
            from: string;
            to: string;
            transferAt: string;
        }, {
            pf_from?: {
                email?: string | null | undefined;
                phoneNumber?: string | null | undefined;
                birthday?: string | null | undefined;
                gender?: "MALE" | "FEMALE" | null | undefined;
                addresses?: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[] | null | undefined;
                photoURL?: string | null | undefined;
                displayName?: string | null | undefined;
                imported?: {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                } | null | undefined;
                _id: string;
            } | null | undefined;
            pf_to?: {
                email?: string | null | undefined;
                phoneNumber?: string | null | undefined;
                birthday?: string | null | undefined;
                gender?: "MALE" | "FEMALE" | null | undefined;
                addresses?: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[] | null | undefined;
                photoURL?: string | null | undefined;
                displayName?: string | null | undefined;
                imported?: {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                } | null | undefined;
                _id: string;
            } | null | undefined;
            from: string;
            to: string;
            transferAt: string;
        }>, "many">>>;
    }, "strip", z.ZodTypeAny, {
        history?: {
            billId?: string | null | undefined;
            restaurant?: string | null | undefined;
            pf_restaurant?: {
                pickup?: {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                } | null | undefined;
                channel?: string | null | undefined;
                machineId?: string | null | undefined;
                catalogId?: string | null | undefined;
                customAttributes?: Record<string, any> | null | undefined;
                takeaway?: {
                    catalogId?: string | null | undefined;
                } | null | undefined;
                inHouseDelivery?: {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                } | null | undefined;
                dineIn?: {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                } | null | undefined;
                pf_business?: {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                } | null | undefined;
                features?: string[] | null | undefined;
                machineOtp?: string | null | undefined;
                machineOtpExpiredAt?: string | null | undefined;
                posVersion?: string | null | undefined;
                posHeartbeat?: string | null | undefined;
                posVersionHistory?: Record<string, string> | null | undefined;
                additionalCatalogs?: string[] | null | undefined;
                feedmeDelivery?: {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                } | null | undefined;
                foodpandaDelivery?: {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                } | null | undefined;
                grabfoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                } | null | undefined;
                shopeefoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                } | null | undefined;
                couchDbPassword?: string | null | undefined;
                apiToken?: string | null | undefined;
                remoteSupports?: {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }[] | null | undefined;
                payoutAccount?: Record<string, any> | null | undefined;
                clearCount?: number | null | undefined;
                queueSetting?: {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                } | null | undefined;
                tableMappingSetting?: {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                } | null | undefined;
                _id: string;
                expiredAt: string;
                businessId: string;
                profile: {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                };
            } | null | undefined;
            appliedAt: string;
        }[] | null | undefined;
        billId?: string | null | undefined;
        frontend?: {
            reason: string;
            hide: boolean;
            disable: boolean;
        } | null | undefined;
        pf_user?: {
            email?: string | null | undefined;
            phoneNumber?: string | null | undefined;
            birthday?: string | null | undefined;
            gender?: "MALE" | "FEMALE" | null | undefined;
            addresses?: {
                name: string;
                address: string;
                coordinates: number[];
            }[] | null | undefined;
            photoURL?: string | null | undefined;
            displayName?: string | null | undefined;
            imported?: {
                raw: Record<string, any>;
                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
            } | null | undefined;
            _id: string;
        } | null | undefined;
        restaurant?: string | null | undefined;
        appliedAt?: string | null | undefined;
        pf_restaurant?: {
            pickup?: {
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                pickupTime?: {
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                pickupPointConfig?: {
                    restaurantEnable: boolean;
                    points: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[];
                } | null | undefined;
            } | null | undefined;
            channel?: string | null | undefined;
            machineId?: string | null | undefined;
            catalogId?: string | null | undefined;
            customAttributes?: Record<string, any> | null | undefined;
            takeaway?: {
                catalogId?: string | null | undefined;
            } | null | undefined;
            inHouseDelivery?: {
                taxes?: Record<string, {
                    inclusive: boolean;
                    taxCode: string;
                    systemCode: string;
                }> | null | undefined;
                autoAccept?: boolean | null | undefined;
                deliveryTime?: {
                    time?: string[] | null | undefined;
                    custom?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                catalogId: string | null;
                enable: boolean;
                areas: {
                    minPurchase?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    freeAfterTotal?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    polygon: number[][];
                    deliveryFee: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                }[];
                term: string;
            } | null | undefined;
            dineIn?: {
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ignoreStock?: boolean | null | undefined;
                staticQr?: boolean | null | undefined;
                disableItemRemark?: boolean | null | undefined;
                acceptQueue?: boolean | null | undefined;
                anonymousOrder: boolean;
            } | null | undefined;
            pf_business?: {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            } | null | undefined;
            features?: string[] | null | undefined;
            machineOtp?: string | null | undefined;
            machineOtpExpiredAt?: string | null | undefined;
            posVersion?: string | null | undefined;
            posHeartbeat?: string | null | undefined;
            posVersionHistory?: Record<string, string> | null | undefined;
            additionalCatalogs?: string[] | null | undefined;
            feedmeDelivery?: {
                instruction?: string | null | undefined;
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                term?: string | null | undefined;
                ignoreStock?: boolean | null | undefined;
                enable: boolean;
            } | null | undefined;
            foodpandaDelivery?: {
                _id?: string | undefined;
                ignoreDiscount?: boolean | null | undefined;
                catalogId?: string | null | undefined;
                commissionRate?: number | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                autoAccept?: boolean | null | undefined;
                reportConfig?: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                } | null | undefined;
                hasSst?: boolean | null | undefined;
                enable: boolean;
                remoteId: string;
                autoCloseBill: boolean;
            } | null | undefined;
            grabfoodDelivery?: {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                commissionRate: number;
                autoCloseBill: boolean;
                merchantID: string;
            } | null | undefined;
            shopeefoodDelivery?: {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                autoCloseBill: boolean;
                reportConfig: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                };
                storeID: string;
            } | null | undefined;
            couchDbPassword?: string | null | undefined;
            apiToken?: string | null | undefined;
            remoteSupports?: {
                anydeskId?: string | null | undefined;
                anydeskPassword?: string | null | undefined;
                deviceName: string;
            }[] | null | undefined;
            payoutAccount?: Record<string, any> | null | undefined;
            clearCount?: number | null | undefined;
            queueSetting?: {
                duration?: number | null | undefined;
                enableOrder: boolean;
                initialNumber: number;
                endNumber: number;
                currentNumber: number;
                autoCalledLimit: number;
            } | null | undefined;
            tableMappingSetting?: {
                enable?: boolean | null | undefined;
                showSeat?: boolean | null | undefined;
                mapBorderColor?: number | null | undefined;
                mapLineColor?: number | null | undefined;
            } | null | undefined;
            _id: string;
            expiredAt: string;
            businessId: string;
            profile: {
                code?: string | null | undefined;
                url?: string | null | undefined;
                description?: string | null | undefined;
                _id?: string | null | undefined;
                legalName?: string | null | undefined;
                sstRegNo?: string | null | undefined;
                discovery?: boolean | null | undefined;
                coverPhoto?: string | null | undefined;
                thumbnailPhoto?: string | null | undefined;
                photos?: string[] | null | undefined;
                operatingHours?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                tags?: string[] | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                phoneNo: string;
                regNo: string;
            };
        } | null | undefined;
        claimedAt?: string | null | undefined;
        redeemedAt?: string | null | undefined;
        redeemCode?: string | null | undefined;
        transferExpiredAt?: string | null | undefined;
        transferHistory?: {
            pf_from?: {
                email?: string | null | undefined;
                phoneNumber?: string | null | undefined;
                birthday?: string | null | undefined;
                gender?: "MALE" | "FEMALE" | null | undefined;
                addresses?: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[] | null | undefined;
                photoURL?: string | null | undefined;
                displayName?: string | null | undefined;
                imported?: {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                } | null | undefined;
                _id: string;
            } | null | undefined;
            pf_to?: {
                email?: string | null | undefined;
                phoneNumber?: string | null | undefined;
                birthday?: string | null | undefined;
                gender?: "MALE" | "FEMALE" | null | undefined;
                addresses?: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[] | null | undefined;
                photoURL?: string | null | undefined;
                displayName?: string | null | undefined;
                imported?: {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                } | null | undefined;
                _id: string;
            } | null | undefined;
            from: string;
            to: string;
            transferAt: string;
        }[] | null | undefined;
        user: string;
        _id: string;
        expiredAt: string;
        voucher: {
            description?: string | null | undefined;
            disable?: boolean | null | undefined;
            targetRestaurant?: string[] | null | undefined;
            pf_business?: {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            } | null | undefined;
            pf_targetRestaurant?: {
                pickup?: {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                } | null | undefined;
                channel?: string | null | undefined;
                machineId?: string | null | undefined;
                catalogId?: string | null | undefined;
                customAttributes?: Record<string, any> | null | undefined;
                takeaway?: {
                    catalogId?: string | null | undefined;
                } | null | undefined;
                inHouseDelivery?: {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                } | null | undefined;
                dineIn?: {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                } | null | undefined;
                pf_business?: {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                } | null | undefined;
                features?: string[] | null | undefined;
                machineOtp?: string | null | undefined;
                machineOtpExpiredAt?: string | null | undefined;
                posVersion?: string | null | undefined;
                posHeartbeat?: string | null | undefined;
                posVersionHistory?: Record<string, string> | null | undefined;
                additionalCatalogs?: string[] | null | undefined;
                feedmeDelivery?: {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                } | null | undefined;
                foodpandaDelivery?: {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                } | null | undefined;
                grabfoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                } | null | undefined;
                shopeefoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                } | null | undefined;
                couchDbPassword?: string | null | undefined;
                apiToken?: string | null | undefined;
                remoteSupports?: {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }[] | null | undefined;
                payoutAccount?: Record<string, any> | null | undefined;
                clearCount?: number | null | undefined;
                queueSetting?: {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                } | null | undefined;
                tableMappingSetting?: {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                } | null | undefined;
                _id: string;
                expiredAt: string;
                businessId: string;
                profile: {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                };
            }[] | null | undefined;
            validSince?: string | null | undefined;
            publicClaimLink?: string | null | undefined;
            multipleUse?: {
                maxUse: number;
                cooldown: number;
            } | null | undefined;
            verticalImage?: string | null | undefined;
            horizontalImage?: string | null | undefined;
            name: string;
            options: {
                productIds?: string[] | null | undefined;
                minProductCount?: number | null | undefined;
                quantityMultiplier?: string | null | undefined;
                type: "AFTER_SALES";
                minPurchase: {
                    amount: number;
                    precision: number;
                };
                maxPurchase: {
                    amount: number;
                    precision: number;
                };
            } | {
                type: "SIMPLE_CLAIM";
                end: string;
                start: string;
                maxClaim: number;
            } | {
                type: "FEEDBACK_REWARD";
            } | {
                type: "MEMBER_REWARD";
            };
            validity: number;
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
            _id: string;
            business: string;
            currentClaim: number;
            currentRedeem: number;
        };
    }, {
        history?: {
            billId?: string | null | undefined;
            restaurant?: string | null | undefined;
            pf_restaurant?: {
                pickup?: {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                } | null | undefined;
                channel?: string | null | undefined;
                machineId?: string | null | undefined;
                catalogId?: string | null | undefined;
                customAttributes?: Record<string, any> | null | undefined;
                takeaway?: {
                    catalogId?: string | null | undefined;
                } | null | undefined;
                inHouseDelivery?: {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                } | null | undefined;
                dineIn?: {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                } | null | undefined;
                pf_business?: {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                } | null | undefined;
                features?: string[] | null | undefined;
                machineOtp?: string | null | undefined;
                machineOtpExpiredAt?: string | null | undefined;
                posVersion?: string | null | undefined;
                posHeartbeat?: string | null | undefined;
                posVersionHistory?: Record<string, string> | null | undefined;
                additionalCatalogs?: string[] | null | undefined;
                feedmeDelivery?: {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                } | null | undefined;
                foodpandaDelivery?: {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                } | null | undefined;
                grabfoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                } | null | undefined;
                shopeefoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                } | null | undefined;
                couchDbPassword?: string | null | undefined;
                apiToken?: string | null | undefined;
                remoteSupports?: {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }[] | null | undefined;
                payoutAccount?: Record<string, any> | null | undefined;
                clearCount?: number | null | undefined;
                queueSetting?: {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                } | null | undefined;
                tableMappingSetting?: {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                } | null | undefined;
                _id: string;
                expiredAt: string;
                businessId: string;
                profile: {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                };
            } | null | undefined;
            appliedAt: string;
        }[] | null | undefined;
        billId?: string | null | undefined;
        frontend?: {
            reason: string;
            hide: boolean;
            disable: boolean;
        } | null | undefined;
        pf_user?: {
            email?: string | null | undefined;
            phoneNumber?: string | null | undefined;
            birthday?: string | null | undefined;
            gender?: "MALE" | "FEMALE" | null | undefined;
            addresses?: {
                name: string;
                address: string;
                coordinates: number[];
            }[] | null | undefined;
            photoURL?: string | null | undefined;
            displayName?: string | null | undefined;
            imported?: {
                raw: Record<string, any>;
                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
            } | null | undefined;
            _id: string;
        } | null | undefined;
        restaurant?: string | null | undefined;
        appliedAt?: string | null | undefined;
        pf_restaurant?: {
            pickup?: {
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                pickupTime?: {
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                pickupPointConfig?: {
                    restaurantEnable: boolean;
                    points: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[];
                } | null | undefined;
            } | null | undefined;
            channel?: string | null | undefined;
            machineId?: string | null | undefined;
            catalogId?: string | null | undefined;
            customAttributes?: Record<string, any> | null | undefined;
            takeaway?: {
                catalogId?: string | null | undefined;
            } | null | undefined;
            inHouseDelivery?: {
                taxes?: Record<string, {
                    inclusive: boolean;
                    taxCode: string;
                    systemCode: string;
                }> | null | undefined;
                autoAccept?: boolean | null | undefined;
                deliveryTime?: {
                    time?: string[] | null | undefined;
                    custom?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                catalogId: string | null;
                enable: boolean;
                areas: {
                    minPurchase?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    freeAfterTotal?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    polygon: number[][];
                    deliveryFee: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                }[];
                term: string;
            } | null | undefined;
            dineIn?: {
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ignoreStock?: boolean | null | undefined;
                staticQr?: boolean | null | undefined;
                disableItemRemark?: boolean | null | undefined;
                acceptQueue?: boolean | null | undefined;
                anonymousOrder: boolean;
            } | null | undefined;
            pf_business?: {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            } | null | undefined;
            features?: string[] | null | undefined;
            machineOtp?: string | null | undefined;
            machineOtpExpiredAt?: string | null | undefined;
            posVersion?: string | null | undefined;
            posHeartbeat?: string | null | undefined;
            posVersionHistory?: Record<string, string> | null | undefined;
            additionalCatalogs?: string[] | null | undefined;
            feedmeDelivery?: {
                instruction?: string | null | undefined;
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                term?: string | null | undefined;
                ignoreStock?: boolean | null | undefined;
                enable: boolean;
            } | null | undefined;
            foodpandaDelivery?: {
                _id?: string | undefined;
                ignoreDiscount?: boolean | null | undefined;
                catalogId?: string | null | undefined;
                commissionRate?: number | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                autoAccept?: boolean | null | undefined;
                reportConfig?: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                } | null | undefined;
                hasSst?: boolean | null | undefined;
                enable: boolean;
                remoteId: string;
                autoCloseBill: boolean;
            } | null | undefined;
            grabfoodDelivery?: {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                commissionRate: number;
                autoCloseBill: boolean;
                merchantID: string;
            } | null | undefined;
            shopeefoodDelivery?: {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                autoCloseBill: boolean;
                reportConfig: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                };
                storeID: string;
            } | null | undefined;
            couchDbPassword?: string | null | undefined;
            apiToken?: string | null | undefined;
            remoteSupports?: {
                anydeskId?: string | null | undefined;
                anydeskPassword?: string | null | undefined;
                deviceName: string;
            }[] | null | undefined;
            payoutAccount?: Record<string, any> | null | undefined;
            clearCount?: number | null | undefined;
            queueSetting?: {
                duration?: number | null | undefined;
                enableOrder: boolean;
                initialNumber: number;
                endNumber: number;
                currentNumber: number;
                autoCalledLimit: number;
            } | null | undefined;
            tableMappingSetting?: {
                enable?: boolean | null | undefined;
                showSeat?: boolean | null | undefined;
                mapBorderColor?: number | null | undefined;
                mapLineColor?: number | null | undefined;
            } | null | undefined;
            _id: string;
            expiredAt: string;
            businessId: string;
            profile: {
                code?: string | null | undefined;
                url?: string | null | undefined;
                description?: string | null | undefined;
                _id?: string | null | undefined;
                legalName?: string | null | undefined;
                sstRegNo?: string | null | undefined;
                discovery?: boolean | null | undefined;
                coverPhoto?: string | null | undefined;
                thumbnailPhoto?: string | null | undefined;
                photos?: string[] | null | undefined;
                operatingHours?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                tags?: string[] | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                phoneNo: string;
                regNo: string;
            };
        } | null | undefined;
        claimedAt?: string | null | undefined;
        redeemedAt?: string | null | undefined;
        redeemCode?: string | null | undefined;
        transferExpiredAt?: string | null | undefined;
        transferHistory?: {
            pf_from?: {
                email?: string | null | undefined;
                phoneNumber?: string | null | undefined;
                birthday?: string | null | undefined;
                gender?: "MALE" | "FEMALE" | null | undefined;
                addresses?: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[] | null | undefined;
                photoURL?: string | null | undefined;
                displayName?: string | null | undefined;
                imported?: {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                } | null | undefined;
                _id: string;
            } | null | undefined;
            pf_to?: {
                email?: string | null | undefined;
                phoneNumber?: string | null | undefined;
                birthday?: string | null | undefined;
                gender?: "MALE" | "FEMALE" | null | undefined;
                addresses?: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[] | null | undefined;
                photoURL?: string | null | undefined;
                displayName?: string | null | undefined;
                imported?: {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                } | null | undefined;
                _id: string;
            } | null | undefined;
            from: string;
            to: string;
            transferAt: string;
        }[] | null | undefined;
        user: string;
        _id: string;
        expiredAt: string;
        voucher: {
            description?: string | null | undefined;
            disable?: boolean | null | undefined;
            targetRestaurant?: string[] | null | undefined;
            pf_business?: {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            } | null | undefined;
            pf_targetRestaurant?: {
                pickup?: {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                } | null | undefined;
                channel?: string | null | undefined;
                machineId?: string | null | undefined;
                catalogId?: string | null | undefined;
                customAttributes?: Record<string, any> | null | undefined;
                takeaway?: {
                    catalogId?: string | null | undefined;
                } | null | undefined;
                inHouseDelivery?: {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                } | null | undefined;
                dineIn?: {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                } | null | undefined;
                pf_business?: {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                } | null | undefined;
                features?: string[] | null | undefined;
                machineOtp?: string | null | undefined;
                machineOtpExpiredAt?: string | null | undefined;
                posVersion?: string | null | undefined;
                posHeartbeat?: string | null | undefined;
                posVersionHistory?: Record<string, string> | null | undefined;
                additionalCatalogs?: string[] | null | undefined;
                feedmeDelivery?: {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                } | null | undefined;
                foodpandaDelivery?: {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                } | null | undefined;
                grabfoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                } | null | undefined;
                shopeefoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                } | null | undefined;
                couchDbPassword?: string | null | undefined;
                apiToken?: string | null | undefined;
                remoteSupports?: {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }[] | null | undefined;
                payoutAccount?: Record<string, any> | null | undefined;
                clearCount?: number | null | undefined;
                queueSetting?: {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                } | null | undefined;
                tableMappingSetting?: {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                } | null | undefined;
                _id: string;
                expiredAt: string;
                businessId: string;
                profile: {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                };
            }[] | null | undefined;
            validSince?: string | null | undefined;
            publicClaimLink?: string | null | undefined;
            multipleUse?: {
                maxUse: number;
                cooldown: number;
            } | null | undefined;
            verticalImage?: string | null | undefined;
            horizontalImage?: string | null | undefined;
            name: string;
            options: {
                productIds?: string[] | null | undefined;
                minProductCount?: number | null | undefined;
                quantityMultiplier?: string | null | undefined;
                type: "AFTER_SALES";
                minPurchase: {
                    amount: number;
                    precision: number;
                };
                maxPurchase: {
                    amount: number;
                    precision: number;
                };
            } | {
                type: "SIMPLE_CLAIM";
                end: string;
                start: string;
                maxClaim: number;
            } | {
                type: "FEEDBACK_REWARD";
            } | {
                type: "MEMBER_REWARD";
            };
            validity: number;
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
            _id: string;
            business: string;
            currentClaim: number;
            currentRedeem: number;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    member: {
        cardNo?: string | null | undefined;
        membership?: string | null | undefined;
        name: string;
        id: string;
        user: string;
        userId: string;
        joinedAt: string;
        business: string;
        level: number;
        experience: number;
        tier: number;
        stat: {
            lastVisit?: string | null | undefined;
            visitCount: number;
            topupCount: number;
            avgVisitFrequency: number;
            avgBillSize: number;
            products: {
                id: string;
                count: number;
            }[];
        };
        balance: number;
        creditBalance: {
            normal: number;
            free: {
                _id: string;
                amount: number;
                expiredAt: string;
            }[];
        };
        titles: {
            name: string;
            _id: string;
            expiredAt: string;
            acquiredAt: string;
        }[];
        benefits: {
            image?: string | null | undefined;
            description?: string | null | undefined;
            maxLevel?: number | null | undefined;
            minTier?: number | null | undefined;
            maxTier?: number | null | undefined;
            targetRestaurant?: string[] | null | undefined;
            requiredTitle?: string | null | undefined;
            frontend?: {
                reason: string;
                hide: boolean;
                disable: boolean;
            } | null | undefined;
            name: string;
            options: {
                scheduler?: {
                    start: {
                        type: "CRON";
                        cron: string;
                    } | {
                        type: "BIRTHDAY";
                        option: {
                            unit: "WEEK" | "MONTH";
                            type: "START_OF";
                        } | {
                            type: "BEFORE";
                            day: number;
                        };
                    };
                    validity: number;
                    timePeriod: {
                        end: string;
                        start: string;
                    }[];
                } | null | undefined;
                type: "BASIC";
                effect: {
                    priority?: number | null | undefined;
                    adjustmentRule?: {
                        type: "CAPPED_AT";
                    } | null | undefined;
                    availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                    options: {
                        excludeIds?: string[] | null | undefined;
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "BILL";
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        maxQuantity?: number | null | undefined;
                        excludeAddonPrice?: boolean | null | undefined;
                        target: "ITEM";
                        strategy: {
                            withAddons?: string[] | null | undefined;
                            type: "SIMPLE";
                        } | {
                            type: "BUY_X_GET_Y";
                            x: number;
                            y: number;
                        } | {
                            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            type: "BUY_X_GET_Y_V2";
                            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            atLeast?: boolean | null | undefined;
                            groups: {
                                count: number;
                                itemIds: string[];
                            }[];
                            type: "COMBO";
                        };
                        targetIds: string[];
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "PAYMENT";
                    };
                    adjustment: {
                        inclusive?: boolean | null | undefined;
                        type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                        amount: {
                            amount: number;
                            precision: number;
                        };
                    };
                };
            } | {
                freeCredit?: {
                    remark?: string | null | undefined;
                    day: number;
                    amount: number;
                } | null | undefined;
                distributedAt?: string | null | undefined;
                type: "VOUCHER";
                vouchers: string[];
                triggerer: {};
            };
            _id: string;
            minLevel: number;
        }[];
    };
    benefits: {
        image?: string | null | undefined;
        description?: string | null | undefined;
        maxLevel?: number | null | undefined;
        minTier?: number | null | undefined;
        maxTier?: number | null | undefined;
        targetRestaurant?: string[] | null | undefined;
        requiredTitle?: string | null | undefined;
        frontend?: {
            reason: string;
            hide: boolean;
            disable: boolean;
        } | null | undefined;
        name: string;
        options: {
            scheduler?: {
                start: {
                    type: "CRON";
                    cron: string;
                } | {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                };
                validity: number;
                timePeriod: {
                    end: string;
                    start: string;
                }[];
            } | null | undefined;
            type: "BASIC";
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
        } | {
            freeCredit?: {
                remark?: string | null | undefined;
                day: number;
                amount: number;
            } | null | undefined;
            distributedAt?: string | null | undefined;
            type: "VOUCHER";
            vouchers: string[];
            triggerer: {};
        };
        _id: string;
        minLevel: number;
    }[];
    vouchers: {
        history?: {
            billId?: string | null | undefined;
            restaurant?: string | null | undefined;
            pf_restaurant?: {
                pickup?: {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                } | null | undefined;
                channel?: string | null | undefined;
                machineId?: string | null | undefined;
                catalogId?: string | null | undefined;
                customAttributes?: Record<string, any> | null | undefined;
                takeaway?: {
                    catalogId?: string | null | undefined;
                } | null | undefined;
                inHouseDelivery?: {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                } | null | undefined;
                dineIn?: {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                } | null | undefined;
                pf_business?: {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                } | null | undefined;
                features?: string[] | null | undefined;
                machineOtp?: string | null | undefined;
                machineOtpExpiredAt?: string | null | undefined;
                posVersion?: string | null | undefined;
                posHeartbeat?: string | null | undefined;
                posVersionHistory?: Record<string, string> | null | undefined;
                additionalCatalogs?: string[] | null | undefined;
                feedmeDelivery?: {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                } | null | undefined;
                foodpandaDelivery?: {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                } | null | undefined;
                grabfoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                } | null | undefined;
                shopeefoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                } | null | undefined;
                couchDbPassword?: string | null | undefined;
                apiToken?: string | null | undefined;
                remoteSupports?: {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }[] | null | undefined;
                payoutAccount?: Record<string, any> | null | undefined;
                clearCount?: number | null | undefined;
                queueSetting?: {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                } | null | undefined;
                tableMappingSetting?: {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                } | null | undefined;
                _id: string;
                expiredAt: string;
                businessId: string;
                profile: {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                };
            } | null | undefined;
            appliedAt: string;
        }[] | null | undefined;
        billId?: string | null | undefined;
        frontend?: {
            reason: string;
            hide: boolean;
            disable: boolean;
        } | null | undefined;
        pf_user?: {
            email?: string | null | undefined;
            phoneNumber?: string | null | undefined;
            birthday?: string | null | undefined;
            gender?: "MALE" | "FEMALE" | null | undefined;
            addresses?: {
                name: string;
                address: string;
                coordinates: number[];
            }[] | null | undefined;
            photoURL?: string | null | undefined;
            displayName?: string | null | undefined;
            imported?: {
                raw: Record<string, any>;
                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
            } | null | undefined;
            _id: string;
        } | null | undefined;
        restaurant?: string | null | undefined;
        appliedAt?: string | null | undefined;
        pf_restaurant?: {
            pickup?: {
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                pickupTime?: {
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                pickupPointConfig?: {
                    restaurantEnable: boolean;
                    points: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[];
                } | null | undefined;
            } | null | undefined;
            channel?: string | null | undefined;
            machineId?: string | null | undefined;
            catalogId?: string | null | undefined;
            customAttributes?: Record<string, any> | null | undefined;
            takeaway?: {
                catalogId?: string | null | undefined;
            } | null | undefined;
            inHouseDelivery?: {
                taxes?: Record<string, {
                    inclusive: boolean;
                    taxCode: string;
                    systemCode: string;
                }> | null | undefined;
                autoAccept?: boolean | null | undefined;
                deliveryTime?: {
                    time?: string[] | null | undefined;
                    custom?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                catalogId: string | null;
                enable: boolean;
                areas: {
                    minPurchase?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    freeAfterTotal?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    polygon: number[][];
                    deliveryFee: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                }[];
                term: string;
            } | null | undefined;
            dineIn?: {
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ignoreStock?: boolean | null | undefined;
                staticQr?: boolean | null | undefined;
                disableItemRemark?: boolean | null | undefined;
                acceptQueue?: boolean | null | undefined;
                anonymousOrder: boolean;
            } | null | undefined;
            pf_business?: {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            } | null | undefined;
            features?: string[] | null | undefined;
            machineOtp?: string | null | undefined;
            machineOtpExpiredAt?: string | null | undefined;
            posVersion?: string | null | undefined;
            posHeartbeat?: string | null | undefined;
            posVersionHistory?: Record<string, string> | null | undefined;
            additionalCatalogs?: string[] | null | undefined;
            feedmeDelivery?: {
                instruction?: string | null | undefined;
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                term?: string | null | undefined;
                ignoreStock?: boolean | null | undefined;
                enable: boolean;
            } | null | undefined;
            foodpandaDelivery?: {
                _id?: string | undefined;
                ignoreDiscount?: boolean | null | undefined;
                catalogId?: string | null | undefined;
                commissionRate?: number | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                autoAccept?: boolean | null | undefined;
                reportConfig?: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                } | null | undefined;
                hasSst?: boolean | null | undefined;
                enable: boolean;
                remoteId: string;
                autoCloseBill: boolean;
            } | null | undefined;
            grabfoodDelivery?: {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                commissionRate: number;
                autoCloseBill: boolean;
                merchantID: string;
            } | null | undefined;
            shopeefoodDelivery?: {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                autoCloseBill: boolean;
                reportConfig: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                };
                storeID: string;
            } | null | undefined;
            couchDbPassword?: string | null | undefined;
            apiToken?: string | null | undefined;
            remoteSupports?: {
                anydeskId?: string | null | undefined;
                anydeskPassword?: string | null | undefined;
                deviceName: string;
            }[] | null | undefined;
            payoutAccount?: Record<string, any> | null | undefined;
            clearCount?: number | null | undefined;
            queueSetting?: {
                duration?: number | null | undefined;
                enableOrder: boolean;
                initialNumber: number;
                endNumber: number;
                currentNumber: number;
                autoCalledLimit: number;
            } | null | undefined;
            tableMappingSetting?: {
                enable?: boolean | null | undefined;
                showSeat?: boolean | null | undefined;
                mapBorderColor?: number | null | undefined;
                mapLineColor?: number | null | undefined;
            } | null | undefined;
            _id: string;
            expiredAt: string;
            businessId: string;
            profile: {
                code?: string | null | undefined;
                url?: string | null | undefined;
                description?: string | null | undefined;
                _id?: string | null | undefined;
                legalName?: string | null | undefined;
                sstRegNo?: string | null | undefined;
                discovery?: boolean | null | undefined;
                coverPhoto?: string | null | undefined;
                thumbnailPhoto?: string | null | undefined;
                photos?: string[] | null | undefined;
                operatingHours?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                tags?: string[] | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                phoneNo: string;
                regNo: string;
            };
        } | null | undefined;
        claimedAt?: string | null | undefined;
        redeemedAt?: string | null | undefined;
        redeemCode?: string | null | undefined;
        transferExpiredAt?: string | null | undefined;
        transferHistory?: {
            pf_from?: {
                email?: string | null | undefined;
                phoneNumber?: string | null | undefined;
                birthday?: string | null | undefined;
                gender?: "MALE" | "FEMALE" | null | undefined;
                addresses?: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[] | null | undefined;
                photoURL?: string | null | undefined;
                displayName?: string | null | undefined;
                imported?: {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                } | null | undefined;
                _id: string;
            } | null | undefined;
            pf_to?: {
                email?: string | null | undefined;
                phoneNumber?: string | null | undefined;
                birthday?: string | null | undefined;
                gender?: "MALE" | "FEMALE" | null | undefined;
                addresses?: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[] | null | undefined;
                photoURL?: string | null | undefined;
                displayName?: string | null | undefined;
                imported?: {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                } | null | undefined;
                _id: string;
            } | null | undefined;
            from: string;
            to: string;
            transferAt: string;
        }[] | null | undefined;
        user: string;
        _id: string;
        expiredAt: string;
        voucher: {
            description?: string | null | undefined;
            disable?: boolean | null | undefined;
            targetRestaurant?: string[] | null | undefined;
            pf_business?: {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            } | null | undefined;
            pf_targetRestaurant?: {
                pickup?: {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                } | null | undefined;
                channel?: string | null | undefined;
                machineId?: string | null | undefined;
                catalogId?: string | null | undefined;
                customAttributes?: Record<string, any> | null | undefined;
                takeaway?: {
                    catalogId?: string | null | undefined;
                } | null | undefined;
                inHouseDelivery?: {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                } | null | undefined;
                dineIn?: {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                } | null | undefined;
                pf_business?: {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                } | null | undefined;
                features?: string[] | null | undefined;
                machineOtp?: string | null | undefined;
                machineOtpExpiredAt?: string | null | undefined;
                posVersion?: string | null | undefined;
                posHeartbeat?: string | null | undefined;
                posVersionHistory?: Record<string, string> | null | undefined;
                additionalCatalogs?: string[] | null | undefined;
                feedmeDelivery?: {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                } | null | undefined;
                foodpandaDelivery?: {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                } | null | undefined;
                grabfoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                } | null | undefined;
                shopeefoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                } | null | undefined;
                couchDbPassword?: string | null | undefined;
                apiToken?: string | null | undefined;
                remoteSupports?: {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }[] | null | undefined;
                payoutAccount?: Record<string, any> | null | undefined;
                clearCount?: number | null | undefined;
                queueSetting?: {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                } | null | undefined;
                tableMappingSetting?: {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                } | null | undefined;
                _id: string;
                expiredAt: string;
                businessId: string;
                profile: {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                };
            }[] | null | undefined;
            validSince?: string | null | undefined;
            publicClaimLink?: string | null | undefined;
            multipleUse?: {
                maxUse: number;
                cooldown: number;
            } | null | undefined;
            verticalImage?: string | null | undefined;
            horizontalImage?: string | null | undefined;
            name: string;
            options: {
                productIds?: string[] | null | undefined;
                minProductCount?: number | null | undefined;
                quantityMultiplier?: string | null | undefined;
                type: "AFTER_SALES";
                minPurchase: {
                    amount: number;
                    precision: number;
                };
                maxPurchase: {
                    amount: number;
                    precision: number;
                };
            } | {
                type: "SIMPLE_CLAIM";
                end: string;
                start: string;
                maxClaim: number;
            } | {
                type: "FEEDBACK_REWARD";
            } | {
                type: "MEMBER_REWARD";
            };
            validity: number;
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
            _id: string;
            business: string;
            currentClaim: number;
            currentRedeem: number;
        };
    }[];
}, {
    member: {
        name?: string | undefined;
        cardNo?: string | null | undefined;
        membership?: string | null | undefined;
        id: string;
        user: string;
        userId: string;
        joinedAt: string;
        business: string;
        level: number;
        experience: number;
        tier: number;
        stat: {
            lastVisit?: string | null | undefined;
            visitCount: number;
            topupCount: number;
            avgVisitFrequency: number;
            avgBillSize: number;
            products: {
                id: string;
                count: number;
            }[];
        };
        balance: number;
        creditBalance: {
            normal: number;
            free: {
                _id: string;
                amount: number;
                expiredAt: string;
            }[];
        };
        titles: {
            name: string;
            _id: string;
            expiredAt: string;
            acquiredAt: string;
        }[];
        benefits: {
            image?: string | null | undefined;
            description?: string | null | undefined;
            maxLevel?: number | null | undefined;
            minTier?: number | null | undefined;
            maxTier?: number | null | undefined;
            targetRestaurant?: string[] | null | undefined;
            requiredTitle?: string | null | undefined;
            frontend?: {
                reason: string;
                hide: boolean;
                disable: boolean;
            } | null | undefined;
            name: string;
            options: {
                scheduler?: {
                    start: {
                        type: "CRON";
                        cron: string;
                    } | {
                        type: "BIRTHDAY";
                        option: {
                            unit: "WEEK" | "MONTH";
                            type: "START_OF";
                        } | {
                            type: "BEFORE";
                            day: number;
                        };
                    };
                    validity: number;
                    timePeriod: {
                        end: string;
                        start: string;
                    }[];
                } | null | undefined;
                type: "BASIC";
                effect: {
                    priority?: number | null | undefined;
                    adjustmentRule?: {
                        type: "CAPPED_AT";
                    } | null | undefined;
                    availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                    options: {
                        excludeIds?: string[] | null | undefined;
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "BILL";
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        maxQuantity?: number | null | undefined;
                        excludeAddonPrice?: boolean | null | undefined;
                        target: "ITEM";
                        strategy: {
                            withAddons?: string[] | null | undefined;
                            type: "SIMPLE";
                        } | {
                            type: "BUY_X_GET_Y";
                            x: number;
                            y: number;
                        } | {
                            type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            type: "BUY_X_GET_Y_V2";
                            priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                            x: number;
                            y: number;
                            itemAIds: string[];
                        } | {
                            atLeast?: boolean | null | undefined;
                            groups: {
                                count: number;
                                itemIds: string[];
                            }[];
                            type: "COMBO";
                        };
                        targetIds: string[];
                    } | {
                        minPurchase?: {
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        minPurchaseItems?: {
                            productId: string;
                        }[] | null | undefined;
                        target: "PAYMENT";
                    };
                    adjustment: {
                        inclusive?: boolean | null | undefined;
                        type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                        amount: {
                            amount: number;
                            precision: number;
                        };
                    };
                };
            } | {
                freeCredit?: {
                    remark?: string | null | undefined;
                    day: number;
                    amount: number;
                } | null | undefined;
                distributedAt?: string | null | undefined;
                type: "VOUCHER";
                vouchers: string[];
                triggerer: {};
            };
            _id: string;
            minLevel: number;
        }[];
    };
    benefits: {
        image?: string | null | undefined;
        description?: string | null | undefined;
        maxLevel?: number | null | undefined;
        minTier?: number | null | undefined;
        maxTier?: number | null | undefined;
        targetRestaurant?: string[] | null | undefined;
        requiredTitle?: string | null | undefined;
        frontend?: {
            reason: string;
            hide: boolean;
            disable: boolean;
        } | null | undefined;
        name: string;
        options: {
            scheduler?: {
                start: {
                    type: "CRON";
                    cron: string;
                } | {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                };
                validity: number;
                timePeriod: {
                    end: string;
                    start: string;
                }[];
            } | null | undefined;
            type: "BASIC";
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
        } | {
            freeCredit?: {
                remark?: string | null | undefined;
                day: number;
                amount: number;
            } | null | undefined;
            distributedAt?: string | null | undefined;
            type: "VOUCHER";
            vouchers: string[];
            triggerer: {};
        };
        _id: string;
        minLevel: number;
    }[];
    vouchers: {
        history?: {
            billId?: string | null | undefined;
            restaurant?: string | null | undefined;
            pf_restaurant?: {
                pickup?: {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                } | null | undefined;
                channel?: string | null | undefined;
                machineId?: string | null | undefined;
                catalogId?: string | null | undefined;
                customAttributes?: Record<string, any> | null | undefined;
                takeaway?: {
                    catalogId?: string | null | undefined;
                } | null | undefined;
                inHouseDelivery?: {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                } | null | undefined;
                dineIn?: {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                } | null | undefined;
                pf_business?: {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                } | null | undefined;
                features?: string[] | null | undefined;
                machineOtp?: string | null | undefined;
                machineOtpExpiredAt?: string | null | undefined;
                posVersion?: string | null | undefined;
                posHeartbeat?: string | null | undefined;
                posVersionHistory?: Record<string, string> | null | undefined;
                additionalCatalogs?: string[] | null | undefined;
                feedmeDelivery?: {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                } | null | undefined;
                foodpandaDelivery?: {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                } | null | undefined;
                grabfoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                } | null | undefined;
                shopeefoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                } | null | undefined;
                couchDbPassword?: string | null | undefined;
                apiToken?: string | null | undefined;
                remoteSupports?: {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }[] | null | undefined;
                payoutAccount?: Record<string, any> | null | undefined;
                clearCount?: number | null | undefined;
                queueSetting?: {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                } | null | undefined;
                tableMappingSetting?: {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                } | null | undefined;
                _id: string;
                expiredAt: string;
                businessId: string;
                profile: {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                };
            } | null | undefined;
            appliedAt: string;
        }[] | null | undefined;
        billId?: string | null | undefined;
        frontend?: {
            reason: string;
            hide: boolean;
            disable: boolean;
        } | null | undefined;
        pf_user?: {
            email?: string | null | undefined;
            phoneNumber?: string | null | undefined;
            birthday?: string | null | undefined;
            gender?: "MALE" | "FEMALE" | null | undefined;
            addresses?: {
                name: string;
                address: string;
                coordinates: number[];
            }[] | null | undefined;
            photoURL?: string | null | undefined;
            displayName?: string | null | undefined;
            imported?: {
                raw: Record<string, any>;
                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
            } | null | undefined;
            _id: string;
        } | null | undefined;
        restaurant?: string | null | undefined;
        appliedAt?: string | null | undefined;
        pf_restaurant?: {
            pickup?: {
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                pickupTime?: {
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                pickupPointConfig?: {
                    restaurantEnable: boolean;
                    points: {
                        name: string;
                        address: string;
                        coordinates: number[];
                    }[];
                } | null | undefined;
            } | null | undefined;
            channel?: string | null | undefined;
            machineId?: string | null | undefined;
            catalogId?: string | null | undefined;
            customAttributes?: Record<string, any> | null | undefined;
            takeaway?: {
                catalogId?: string | null | undefined;
            } | null | undefined;
            inHouseDelivery?: {
                taxes?: Record<string, {
                    inclusive: boolean;
                    taxCode: string;
                    systemCode: string;
                }> | null | undefined;
                autoAccept?: boolean | null | undefined;
                deliveryTime?: {
                    time?: string[] | null | undefined;
                    custom?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    day: {
                        max: number;
                        min: number;
                    };
                } | null | undefined;
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                autoAcceptPaidOnly?: boolean | null | undefined;
                ignoreStock?: boolean | null | undefined;
                catalogId: string | null;
                enable: boolean;
                areas: {
                    minPurchase?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    freeAfterTotal?: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    polygon: number[][];
                    deliveryFee: {
                        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                        amount: number;
                        precision: number;
                    };
                }[];
                term: string;
            } | null | undefined;
            dineIn?: {
                paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                offlinePaymentTypes?: {
                    name: string;
                    instruction: string;
                }[] | null | undefined;
                ignoreStock?: boolean | null | undefined;
                staticQr?: boolean | null | undefined;
                disableItemRemark?: boolean | null | undefined;
                acceptQueue?: boolean | null | undefined;
                anonymousOrder: boolean;
            } | null | undefined;
            pf_business?: {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            } | null | undefined;
            features?: string[] | null | undefined;
            machineOtp?: string | null | undefined;
            machineOtpExpiredAt?: string | null | undefined;
            posVersion?: string | null | undefined;
            posHeartbeat?: string | null | undefined;
            posVersionHistory?: Record<string, string> | null | undefined;
            additionalCatalogs?: string[] | null | undefined;
            feedmeDelivery?: {
                instruction?: string | null | undefined;
                catalogId?: string | null | undefined;
                autoAccept?: boolean | null | undefined;
                term?: string | null | undefined;
                ignoreStock?: boolean | null | undefined;
                enable: boolean;
            } | null | undefined;
            foodpandaDelivery?: {
                _id?: string | undefined;
                ignoreDiscount?: boolean | null | undefined;
                catalogId?: string | null | undefined;
                commissionRate?: number | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                autoAccept?: boolean | null | undefined;
                reportConfig?: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                } | null | undefined;
                hasSst?: boolean | null | undefined;
                enable: boolean;
                remoteId: string;
                autoCloseBill: boolean;
            } | null | undefined;
            grabfoodDelivery?: {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                commissionRate: number;
                autoCloseBill: boolean;
                merchantID: string;
            } | null | undefined;
            shopeefoodDelivery?: {
                _id?: string | undefined;
                catalogId?: string | null | undefined;
                lastSynchronize?: string | null | undefined;
                showProductAddon?: boolean | null | undefined;
                enable: boolean;
                autoCloseBill: boolean;
                reportConfig: {
                    commissionRate: number;
                    discountCampaigns: {
                        name: string;
                        date: {
                            end: string;
                            start: string;
                        };
                        vendorBearPercentage: number;
                    }[];
                };
                storeID: string;
            } | null | undefined;
            couchDbPassword?: string | null | undefined;
            apiToken?: string | null | undefined;
            remoteSupports?: {
                anydeskId?: string | null | undefined;
                anydeskPassword?: string | null | undefined;
                deviceName: string;
            }[] | null | undefined;
            payoutAccount?: Record<string, any> | null | undefined;
            clearCount?: number | null | undefined;
            queueSetting?: {
                duration?: number | null | undefined;
                enableOrder: boolean;
                initialNumber: number;
                endNumber: number;
                currentNumber: number;
                autoCalledLimit: number;
            } | null | undefined;
            tableMappingSetting?: {
                enable?: boolean | null | undefined;
                showSeat?: boolean | null | undefined;
                mapBorderColor?: number | null | undefined;
                mapLineColor?: number | null | undefined;
            } | null | undefined;
            _id: string;
            expiredAt: string;
            businessId: string;
            profile: {
                code?: string | null | undefined;
                url?: string | null | undefined;
                description?: string | null | undefined;
                _id?: string | null | undefined;
                legalName?: string | null | undefined;
                sstRegNo?: string | null | undefined;
                discovery?: boolean | null | undefined;
                coverPhoto?: string | null | undefined;
                thumbnailPhoto?: string | null | undefined;
                photos?: string[] | null | undefined;
                operatingHours?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                tags?: string[] | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                phoneNo: string;
                regNo: string;
            };
        } | null | undefined;
        claimedAt?: string | null | undefined;
        redeemedAt?: string | null | undefined;
        redeemCode?: string | null | undefined;
        transferExpiredAt?: string | null | undefined;
        transferHistory?: {
            pf_from?: {
                email?: string | null | undefined;
                phoneNumber?: string | null | undefined;
                birthday?: string | null | undefined;
                gender?: "MALE" | "FEMALE" | null | undefined;
                addresses?: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[] | null | undefined;
                photoURL?: string | null | undefined;
                displayName?: string | null | undefined;
                imported?: {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                } | null | undefined;
                _id: string;
            } | null | undefined;
            pf_to?: {
                email?: string | null | undefined;
                phoneNumber?: string | null | undefined;
                birthday?: string | null | undefined;
                gender?: "MALE" | "FEMALE" | null | undefined;
                addresses?: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[] | null | undefined;
                photoURL?: string | null | undefined;
                displayName?: string | null | undefined;
                imported?: {
                    raw: Record<string, any>;
                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                } | null | undefined;
                _id: string;
            } | null | undefined;
            from: string;
            to: string;
            transferAt: string;
        }[] | null | undefined;
        user: string;
        _id: string;
        expiredAt: string;
        voucher: {
            description?: string | null | undefined;
            disable?: boolean | null | undefined;
            targetRestaurant?: string[] | null | undefined;
            pf_business?: {
                internal?: boolean | null | undefined;
                url?: string | null | undefined;
                expiredAt?: string | null | undefined;
                agentId?: string | null | undefined;
                attributeSettings?: {
                    options?: any[] | null | undefined;
                    type: "string" | "number" | "boolean" | "date";
                    key: string;
                    entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                }[] | null | undefined;
                pf_agent?: {
                    clickupId?: string | null | undefined;
                    members?: {
                        pf_user?: {
                            email?: string | null | undefined;
                            phoneNumber?: string | null | undefined;
                            birthday?: string | null | undefined;
                            gender?: "MALE" | "FEMALE" | null | undefined;
                            addresses?: {
                                name: string;
                                address: string;
                                coordinates: number[];
                            }[] | null | undefined;
                            photoURL?: string | null | undefined;
                            displayName?: string | null | undefined;
                            imported?: {
                                raw: Record<string, any>;
                                source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                            } | null | undefined;
                            _id: string;
                        } | null | undefined;
                        role: "ADMIN";
                        userId: string;
                    }[] | null | undefined;
                    code: string;
                    name: string;
                    _id: string;
                    isReseller: boolean;
                } | null | undefined;
                thumbnail?: string | null | undefined;
                billingInfos?: {
                    _id?: string | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    companyName: string;
                    contact: string;
                }[] | null | undefined;
                customerDisplayImages?: {
                    url: string;
                    restaurantIds: string[];
                }[] | null | undefined;
                name: string;
                _id: string;
                ownerId: string;
                restaurantQuota: number;
                warehouseQuota: number;
                menuVersion: string;
            } | null | undefined;
            pf_targetRestaurant?: {
                pickup?: {
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    pickupTime?: {
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    pickupPointConfig?: {
                        restaurantEnable: boolean;
                        points: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[];
                    } | null | undefined;
                } | null | undefined;
                channel?: string | null | undefined;
                machineId?: string | null | undefined;
                catalogId?: string | null | undefined;
                customAttributes?: Record<string, any> | null | undefined;
                takeaway?: {
                    catalogId?: string | null | undefined;
                } | null | undefined;
                inHouseDelivery?: {
                    taxes?: Record<string, {
                        inclusive: boolean;
                        taxCode: string;
                        systemCode: string;
                    }> | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    deliveryTime?: {
                        time?: string[] | null | undefined;
                        custom?: {
                            0: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            2: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            1: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            3: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            4: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            5: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                            6: {
                                hours: {
                                    end: string;
                                    start: string;
                                }[];
                                enable: boolean;
                            };
                        } | null | undefined;
                        day: {
                            max: number;
                            min: number;
                        };
                    } | null | undefined;
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    autoAcceptPaidOnly?: boolean | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    catalogId: string | null;
                    enable: boolean;
                    areas: {
                        minPurchase?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        freeAfterTotal?: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        } | null | undefined;
                        polygon: number[][];
                        deliveryFee: {
                            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                            amount: number;
                            precision: number;
                        };
                    }[];
                    term: string;
                } | null | undefined;
                dineIn?: {
                    paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
                    offlinePaymentTypes?: {
                        name: string;
                        instruction: string;
                    }[] | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    staticQr?: boolean | null | undefined;
                    disableItemRemark?: boolean | null | undefined;
                    acceptQueue?: boolean | null | undefined;
                    anonymousOrder: boolean;
                } | null | undefined;
                pf_business?: {
                    internal?: boolean | null | undefined;
                    url?: string | null | undefined;
                    expiredAt?: string | null | undefined;
                    agentId?: string | null | undefined;
                    attributeSettings?: {
                        options?: any[] | null | undefined;
                        type: "string" | "number" | "boolean" | "date";
                        key: string;
                        entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
                    }[] | null | undefined;
                    pf_agent?: {
                        clickupId?: string | null | undefined;
                        members?: {
                            pf_user?: {
                                email?: string | null | undefined;
                                phoneNumber?: string | null | undefined;
                                birthday?: string | null | undefined;
                                gender?: "MALE" | "FEMALE" | null | undefined;
                                addresses?: {
                                    name: string;
                                    address: string;
                                    coordinates: number[];
                                }[] | null | undefined;
                                photoURL?: string | null | undefined;
                                displayName?: string | null | undefined;
                                imported?: {
                                    raw: Record<string, any>;
                                    source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                                } | null | undefined;
                                _id: string;
                            } | null | undefined;
                            role: "ADMIN";
                            userId: string;
                        }[] | null | undefined;
                        code: string;
                        name: string;
                        _id: string;
                        isReseller: boolean;
                    } | null | undefined;
                    thumbnail?: string | null | undefined;
                    billingInfos?: {
                        _id?: string | null | undefined;
                        name: string;
                        address: {
                            coordinates?: number[] | null | undefined;
                            line2?: string | null | undefined;
                            state: string;
                            country: string;
                            line1: string;
                            city: string;
                            postcode: string;
                        };
                        email: string;
                        companyName: string;
                        contact: string;
                    }[] | null | undefined;
                    customerDisplayImages?: {
                        url: string;
                        restaurantIds: string[];
                    }[] | null | undefined;
                    name: string;
                    _id: string;
                    ownerId: string;
                    restaurantQuota: number;
                    warehouseQuota: number;
                    menuVersion: string;
                } | null | undefined;
                features?: string[] | null | undefined;
                machineOtp?: string | null | undefined;
                machineOtpExpiredAt?: string | null | undefined;
                posVersion?: string | null | undefined;
                posHeartbeat?: string | null | undefined;
                posVersionHistory?: Record<string, string> | null | undefined;
                additionalCatalogs?: string[] | null | undefined;
                feedmeDelivery?: {
                    instruction?: string | null | undefined;
                    catalogId?: string | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    term?: string | null | undefined;
                    ignoreStock?: boolean | null | undefined;
                    enable: boolean;
                } | null | undefined;
                foodpandaDelivery?: {
                    _id?: string | undefined;
                    ignoreDiscount?: boolean | null | undefined;
                    catalogId?: string | null | undefined;
                    commissionRate?: number | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    autoAccept?: boolean | null | undefined;
                    reportConfig?: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    } | null | undefined;
                    hasSst?: boolean | null | undefined;
                    enable: boolean;
                    remoteId: string;
                    autoCloseBill: boolean;
                } | null | undefined;
                grabfoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    commissionRate: number;
                    autoCloseBill: boolean;
                    merchantID: string;
                } | null | undefined;
                shopeefoodDelivery?: {
                    _id?: string | undefined;
                    catalogId?: string | null | undefined;
                    lastSynchronize?: string | null | undefined;
                    showProductAddon?: boolean | null | undefined;
                    enable: boolean;
                    autoCloseBill: boolean;
                    reportConfig: {
                        commissionRate: number;
                        discountCampaigns: {
                            name: string;
                            date: {
                                end: string;
                                start: string;
                            };
                            vendorBearPercentage: number;
                        }[];
                    };
                    storeID: string;
                } | null | undefined;
                couchDbPassword?: string | null | undefined;
                apiToken?: string | null | undefined;
                remoteSupports?: {
                    anydeskId?: string | null | undefined;
                    anydeskPassword?: string | null | undefined;
                    deviceName: string;
                }[] | null | undefined;
                payoutAccount?: Record<string, any> | null | undefined;
                clearCount?: number | null | undefined;
                queueSetting?: {
                    duration?: number | null | undefined;
                    enableOrder: boolean;
                    initialNumber: number;
                    endNumber: number;
                    currentNumber: number;
                    autoCalledLimit: number;
                } | null | undefined;
                tableMappingSetting?: {
                    enable?: boolean | null | undefined;
                    showSeat?: boolean | null | undefined;
                    mapBorderColor?: number | null | undefined;
                    mapLineColor?: number | null | undefined;
                } | null | undefined;
                _id: string;
                expiredAt: string;
                businessId: string;
                profile: {
                    code?: string | null | undefined;
                    url?: string | null | undefined;
                    description?: string | null | undefined;
                    _id?: string | null | undefined;
                    legalName?: string | null | undefined;
                    sstRegNo?: string | null | undefined;
                    discovery?: boolean | null | undefined;
                    coverPhoto?: string | null | undefined;
                    thumbnailPhoto?: string | null | undefined;
                    photos?: string[] | null | undefined;
                    operatingHours?: {
                        0: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        2: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        1: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        3: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        4: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        5: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                        6: {
                            hours: {
                                end: string;
                                start: string;
                            }[];
                            enable: boolean;
                        };
                    } | null | undefined;
                    tags?: string[] | null | undefined;
                    name: string;
                    address: {
                        coordinates?: number[] | null | undefined;
                        line2?: string | null | undefined;
                        state: string;
                        country: string;
                        line1: string;
                        city: string;
                        postcode: string;
                    };
                    email: string;
                    phoneNo: string;
                    regNo: string;
                };
            }[] | null | undefined;
            validSince?: string | null | undefined;
            publicClaimLink?: string | null | undefined;
            multipleUse?: {
                maxUse: number;
                cooldown: number;
            } | null | undefined;
            verticalImage?: string | null | undefined;
            horizontalImage?: string | null | undefined;
            name: string;
            options: {
                productIds?: string[] | null | undefined;
                minProductCount?: number | null | undefined;
                quantityMultiplier?: string | null | undefined;
                type: "AFTER_SALES";
                minPurchase: {
                    amount: number;
                    precision: number;
                };
                maxPurchase: {
                    amount: number;
                    precision: number;
                };
            } | {
                type: "SIMPLE_CLAIM";
                end: string;
                start: string;
                maxClaim: number;
            } | {
                type: "FEEDBACK_REWARD";
            } | {
                type: "MEMBER_REWARD";
            };
            validity: number;
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
            _id: string;
            business: string;
            currentClaim: number;
            currentRedeem: number;
        };
    }[];
}>;
export declare const KioskMembershipDto: z.ZodObject<{
    benefits: z.ZodArray<z.ZodObject<{
        _id: z.ZodEffects<z.ZodString, string, string>;
        options: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["BASIC", "VOUCHER"]>;
        }, {
            type: z.ZodLiteral<"BASIC">;
            effect: z.ZodObject<{
                adjustment: z.ZodObject<{
                    type: z.ZodEnum<["BY_PERCENTAGE", "BY_AMOUNT", "TO_AMOUNT"]>;
                    amount: z.ZodObject<{
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        amount: number;
                        precision: number;
                    }, {
                        amount: number;
                        precision: number;
                    }>;
                    inclusive: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }, "strip", z.ZodTypeAny, {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                }, {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                }>;
                availableOnlineOrder: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["DINE_IN", "PICKUP", "DELIVERY"]>, "many">>>;
                adjustmentRule: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    type: z.ZodEnum<["CAPPED_AT"]>;
                }, "strip", z.ZodTypeAny, {
                    type: "CAPPED_AT";
                }, {
                    type: "CAPPED_AT";
                }>>>;
                options: z.ZodDiscriminatedUnion<"target", z.Primitive, z.ZodObject<z.extendShape<{
                    target: z.ZodEnum<["BILL", "ITEM", "ADVANCE", "PAYMENT"]>;
                    minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        amount: number;
                        precision: number;
                    }, {
                        amount: number;
                        precision: number;
                    }>>>;
                    minPurchaseItems: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        productId: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        productId: string;
                    }, {
                        productId: string;
                    }>, "many">>>;
                }, {
                    target: z.ZodLiteral<"BILL">;
                    excludeIds: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                }>, "strip", z.ZodTypeAny, {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                }, {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                }> | z.ZodObject<z.extendShape<{
                    target: z.ZodEnum<["BILL", "ITEM", "ADVANCE", "PAYMENT"]>;
                    minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        amount: number;
                        precision: number;
                    }, {
                        amount: number;
                        precision: number;
                    }>>>;
                    minPurchaseItems: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        productId: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        productId: string;
                    }, {
                        productId: string;
                    }>, "many">>>;
                }, {
                    target: z.ZodLiteral<"ITEM">;
                    strategy: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                    }, {
                        type: z.ZodLiteral<"SIMPLE">;
                        withAddons: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                    }>, "strip", z.ZodTypeAny, {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    }, {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    }> | z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                    }, {
                        type: z.ZodLiteral<"BUY_X_GET_Y">;
                        x: z.ZodNumber;
                        y: z.ZodNumber;
                    }>, "strip", z.ZodTypeAny, {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    }, {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    }> | z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                    }, {
                        type: z.ZodLiteral<"BUY_X_ITEM_A_GET_Y_ITEM_B">;
                        itemAIds: z.ZodArray<z.ZodString, "many">;
                        x: z.ZodNumber;
                        y: z.ZodNumber;
                    }>, "strip", z.ZodTypeAny, {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    }, {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    }> | z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                    }, {
                        type: z.ZodLiteral<"BUY_X_GET_Y_V2">;
                        priority: z.ZodEnum<["CHEAPEST_FIRST", "MOST_EXPENSIVE_FIRST"]>;
                        itemAIds: z.ZodArray<z.ZodString, "many">;
                        x: z.ZodNumber;
                        y: z.ZodNumber;
                    }>, "strip", z.ZodTypeAny, {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    }, {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    }> | z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["SIMPLE", "BUY_X_GET_Y", "BUY_X_ITEM_A_GET_Y_ITEM_B", "BUY_X_GET_Y_V2", "COMBO"]>;
                    }, {
                        type: z.ZodLiteral<"COMBO">;
                        groups: z.ZodArray<z.ZodObject<{
                            itemIds: z.ZodArray<z.ZodString, "many">;
                            count: z.ZodNumber;
                        }, "strip", z.ZodTypeAny, {
                            count: number;
                            itemIds: string[];
                        }, {
                            count: number;
                            itemIds: string[];
                        }>, "many">;
                        atLeast: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                    }>, "strip", z.ZodTypeAny, {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    }, {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    }>>;
                    targetIds: z.ZodArray<z.ZodString, "many">;
                    maxQuantity: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                    excludeAddonPrice: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                }>, "strip", z.ZodTypeAny, {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                }, {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                }> | z.ZodObject<z.extendShape<{
                    target: z.ZodEnum<["BILL", "ITEM", "ADVANCE", "PAYMENT"]>;
                    minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        amount: z.ZodNumber;
                        precision: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        amount: number;
                        precision: number;
                    }, {
                        amount: number;
                        precision: number;
                    }>>>;
                    minPurchaseItems: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                        productId: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        productId: string;
                    }, {
                        productId: string;
                    }>, "many">>>;
                }, {
                    target: z.ZodLiteral<"PAYMENT">;
                }>, "strip", z.ZodTypeAny, {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                }, {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                }>>;
                priority: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            }, "strip", z.ZodTypeAny, {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            }, {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            }>;
            scheduler: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                start: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["CRON", "BIRTHDAY"]>;
                }, {
                    type: z.ZodLiteral<"CRON">;
                    cron: z.ZodString;
                }>, "strip", z.ZodTypeAny, {
                    type: "CRON";
                    cron: string;
                }, {
                    type: "CRON";
                    cron: string;
                }> | z.ZodObject<z.extendShape<{
                    type: z.ZodEnum<["CRON", "BIRTHDAY"]>;
                }, {
                    type: z.ZodLiteral<"BIRTHDAY">;
                    option: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["START_OF", "BEFORE"]>;
                    }, {
                        type: z.ZodLiteral<"START_OF">;
                        unit: z.ZodEnum<["WEEK", "MONTH"]>;
                    }>, "strip", z.ZodTypeAny, {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    }, {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    }> | z.ZodObject<z.extendShape<{
                        type: z.ZodEnum<["START_OF", "BEFORE"]>;
                    }, {
                        type: z.ZodLiteral<"BEFORE">;
                        day: z.ZodNumber;
                    }>, "strip", z.ZodTypeAny, {
                        type: "BEFORE";
                        day: number;
                    }, {
                        type: "BEFORE";
                        day: number;
                    }>>;
                }>, "strip", z.ZodTypeAny, {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                }, {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                }>>;
                validity: z.ZodNumber;
                timePeriod: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                start: {
                    type: "CRON";
                    cron: string;
                } | {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                };
                validity: number;
                timePeriod: {
                    end: string;
                    start: string;
                }[];
            }, {
                start: {
                    type: "CRON";
                    cron: string;
                } | {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                };
                validity: number;
                timePeriod: {
                    end: string;
                    start: string;
                }[];
            }>>>;
        }>, "strip", z.ZodTypeAny, {
            scheduler?: {
                start: {
                    type: "CRON";
                    cron: string;
                } | {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                };
                validity: number;
                timePeriod: {
                    end: string;
                    start: string;
                }[];
            } | null | undefined;
            type: "BASIC";
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
        }, {
            scheduler?: {
                start: {
                    type: "CRON";
                    cron: string;
                } | {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                };
                validity: number;
                timePeriod: {
                    end: string;
                    start: string;
                }[];
            } | null | undefined;
            type: "BASIC";
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["BASIC", "VOUCHER"]>;
        }, {
            type: z.ZodLiteral<"VOUCHER">;
            vouchers: z.ZodArray<z.ZodString, "many">;
            freeCredit: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                day: z.ZodNumber;
                amount: z.ZodNumber;
                remark: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                remark?: string | null | undefined;
                day: number;
                amount: number;
            }, {
                remark?: string | null | undefined;
                day: number;
                amount: number;
            }>>>;
            triggerer: z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>;
            distributedAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }>, "strip", z.ZodTypeAny, {
            freeCredit?: {
                remark?: string | null | undefined;
                day: number;
                amount: number;
            } | null | undefined;
            distributedAt?: string | null | undefined;
            type: "VOUCHER";
            vouchers: string[];
            triggerer: {};
        }, {
            freeCredit?: {
                remark?: string | null | undefined;
                day: number;
                amount: number;
            } | null | undefined;
            distributedAt?: string | null | undefined;
            type: "VOUCHER";
            vouchers: string[];
            triggerer: {};
        }>>;
        name: z.ZodString;
        description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        image: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        minLevel: z.ZodNumber;
        maxLevel: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        minTier: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        maxTier: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        targetRestaurant: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        requiredTitle: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        frontend: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            hide: z.ZodBoolean;
            disable: z.ZodBoolean;
            reason: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            reason: string;
            hide: boolean;
            disable: boolean;
        }, {
            reason: string;
            hide: boolean;
            disable: boolean;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        image?: string | null | undefined;
        description?: string | null | undefined;
        maxLevel?: number | null | undefined;
        minTier?: number | null | undefined;
        maxTier?: number | null | undefined;
        targetRestaurant?: string[] | null | undefined;
        requiredTitle?: string | null | undefined;
        frontend?: {
            reason: string;
            hide: boolean;
            disable: boolean;
        } | null | undefined;
        name: string;
        options: {
            scheduler?: {
                start: {
                    type: "CRON";
                    cron: string;
                } | {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                };
                validity: number;
                timePeriod: {
                    end: string;
                    start: string;
                }[];
            } | null | undefined;
            type: "BASIC";
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
        } | {
            freeCredit?: {
                remark?: string | null | undefined;
                day: number;
                amount: number;
            } | null | undefined;
            distributedAt?: string | null | undefined;
            type: "VOUCHER";
            vouchers: string[];
            triggerer: {};
        };
        _id: string;
        minLevel: number;
    }, {
        image?: string | null | undefined;
        description?: string | null | undefined;
        maxLevel?: number | null | undefined;
        minTier?: number | null | undefined;
        maxTier?: number | null | undefined;
        targetRestaurant?: string[] | null | undefined;
        requiredTitle?: string | null | undefined;
        frontend?: {
            reason: string;
            hide: boolean;
            disable: boolean;
        } | null | undefined;
        name: string;
        options: {
            scheduler?: {
                start: {
                    type: "CRON";
                    cron: string;
                } | {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                };
                validity: number;
                timePeriod: {
                    end: string;
                    start: string;
                }[];
            } | null | undefined;
            type: "BASIC";
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
        } | {
            freeCredit?: {
                remark?: string | null | undefined;
                day: number;
                amount: number;
            } | null | undefined;
            distributedAt?: string | null | undefined;
            type: "VOUCHER";
            vouchers: string[];
            triggerer: {};
        };
        _id: string;
        minLevel: number;
    }>, "many">;
    targetRestaurant: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
}, "strip", z.ZodTypeAny, {
    targetRestaurant?: string[] | null | undefined;
    benefits: {
        image?: string | null | undefined;
        description?: string | null | undefined;
        maxLevel?: number | null | undefined;
        minTier?: number | null | undefined;
        maxTier?: number | null | undefined;
        targetRestaurant?: string[] | null | undefined;
        requiredTitle?: string | null | undefined;
        frontend?: {
            reason: string;
            hide: boolean;
            disable: boolean;
        } | null | undefined;
        name: string;
        options: {
            scheduler?: {
                start: {
                    type: "CRON";
                    cron: string;
                } | {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                };
                validity: number;
                timePeriod: {
                    end: string;
                    start: string;
                }[];
            } | null | undefined;
            type: "BASIC";
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
        } | {
            freeCredit?: {
                remark?: string | null | undefined;
                day: number;
                amount: number;
            } | null | undefined;
            distributedAt?: string | null | undefined;
            type: "VOUCHER";
            vouchers: string[];
            triggerer: {};
        };
        _id: string;
        minLevel: number;
    }[];
}, {
    targetRestaurant?: string[] | null | undefined;
    benefits: {
        image?: string | null | undefined;
        description?: string | null | undefined;
        maxLevel?: number | null | undefined;
        minTier?: number | null | undefined;
        maxTier?: number | null | undefined;
        targetRestaurant?: string[] | null | undefined;
        requiredTitle?: string | null | undefined;
        frontend?: {
            reason: string;
            hide: boolean;
            disable: boolean;
        } | null | undefined;
        name: string;
        options: {
            scheduler?: {
                start: {
                    type: "CRON";
                    cron: string;
                } | {
                    type: "BIRTHDAY";
                    option: {
                        unit: "WEEK" | "MONTH";
                        type: "START_OF";
                    } | {
                        type: "BEFORE";
                        day: number;
                    };
                };
                validity: number;
                timePeriod: {
                    end: string;
                    start: string;
                }[];
            } | null | undefined;
            type: "BASIC";
            effect: {
                priority?: number | null | undefined;
                adjustmentRule?: {
                    type: "CAPPED_AT";
                } | null | undefined;
                availableOnlineOrder?: ("DINE_IN" | "PICKUP" | "DELIVERY")[] | null | undefined;
                options: {
                    excludeIds?: string[] | null | undefined;
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "BILL";
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    maxQuantity?: number | null | undefined;
                    excludeAddonPrice?: boolean | null | undefined;
                    target: "ITEM";
                    strategy: {
                        withAddons?: string[] | null | undefined;
                        type: "SIMPLE";
                    } | {
                        type: "BUY_X_GET_Y";
                        x: number;
                        y: number;
                    } | {
                        type: "BUY_X_ITEM_A_GET_Y_ITEM_B";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        type: "BUY_X_GET_Y_V2";
                        priority: "CHEAPEST_FIRST" | "MOST_EXPENSIVE_FIRST";
                        x: number;
                        y: number;
                        itemAIds: string[];
                    } | {
                        atLeast?: boolean | null | undefined;
                        groups: {
                            count: number;
                            itemIds: string[];
                        }[];
                        type: "COMBO";
                    };
                    targetIds: string[];
                } | {
                    minPurchase?: {
                        amount: number;
                        precision: number;
                    } | null | undefined;
                    minPurchaseItems?: {
                        productId: string;
                    }[] | null | undefined;
                    target: "PAYMENT";
                };
                adjustment: {
                    inclusive?: boolean | null | undefined;
                    type: "BY_PERCENTAGE" | "BY_AMOUNT" | "TO_AMOUNT";
                    amount: {
                        amount: number;
                        precision: number;
                    };
                };
            };
        } | {
            freeCredit?: {
                remark?: string | null | undefined;
                day: number;
                amount: number;
            } | null | undefined;
            distributedAt?: string | null | undefined;
            type: "VOUCHER";
            vouchers: string[];
            triggerer: {};
        };
        _id: string;
        minLevel: number;
    }[];
}>;
export type KioskVerifyMemberDto = z.infer<typeof KioskVerifyMemberDto>;
export type KioskMembershipDto = z.infer<typeof KioskMembershipDto>;
