import { z } from 'zod';
export declare const FdtoFoodpandaAcceptOrderReq: z.ZodObject<{
    acceptanceTime: z.ZodString;
}, "strip", z.ZodTypeAny, {
    acceptanceTime: string;
}, {
    acceptanceTime: string;
}>;
export declare const FdtoFoodpandaRejectOrderReq: z.ZodObject<{
    rejectReason: z.ZodString;
}, "strip", z.ZodTypeAny, {
    rejectReason: string;
}, {
    rejectReason: string;
}>;
export declare const FdtoFoodpandaCallRiderRes: z.ZodObject<{
    code: z.ZodString;
}, "strip", z.ZodTypeAny, {
    code: string;
}, {
    code: string;
}>;
export declare const FdtoFoodpandaUpdateOrder: z.ZodObject<{
    status: z.ZodString;
    message: z.ZodString;
}, "strip", z.ZodTypeAny, {
    message: string;
    status: string;
}, {
    message: string;
    status: string;
}>;
export declare const FdoFoodpandaOrderOutput: z.ZodObject<z.extendShape<{
    _id: z.ZodEffects<z.ZodString, string, string>;
    remoteId: z.ZodString;
    orderStatus: z.ZodObject<{
        status: z.ZodEnum<["pending", "accepted", "cancelled"]>;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        message: string;
        status: "cancelled" | "pending" | "accepted";
    }, {
        message: string;
        status: "cancelled" | "pending" | "accepted";
    }>;
    raw: z.ZodObject<{
        token: z.ZodString;
        code: z.ZodString;
        comments: z.ZodObject<{
            customerComment: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            vendorComment: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            customerComment?: string | null | undefined;
            vendorComment: string;
        }, {
            customerComment?: string | null | undefined;
            vendorComment: string;
        }>;
        createdAt: z.ZodString;
        customer: z.ZodObject<{
            email: z.ZodString;
            firstName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            mobilePhone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            code: z.ZodString;
            id: z.ZodString;
            mobilePhoneCountryCode: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            firstName?: string | null | undefined;
            lastName?: string | null | undefined;
            mobilePhone?: string | null | undefined;
            code: string;
            id: string;
            email: string;
            mobilePhoneCountryCode: string;
        }, {
            firstName?: string | null | undefined;
            lastName?: string | null | undefined;
            mobilePhone?: string | null | undefined;
            code: string;
            id: string;
            email: string;
            mobilePhoneCountryCode: string;
        }>;
        delivery: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            address: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                building: z.ZodString;
                city: z.ZodString;
                company: z.ZodString;
                deliveryArea: z.ZodString;
                deliveryInstructions: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                deliveryMainArea: z.ZodString;
                entrance: z.ZodString;
                flatNumber: z.ZodString;
                floor: z.ZodString;
                intercom: z.ZodString;
                latitude: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                longitude: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
                number: z.ZodString;
                postcode: z.ZodString;
                street: z.ZodString;
                deliveryAreaPostcode: z.ZodString;
                line1: z.ZodString;
                line2: z.ZodString;
                line3: z.ZodString;
                line4: z.ZodString;
                line5: z.ZodString;
                other: z.ZodString;
                room: z.ZodString;
                structure: z.ZodString;
                district: z.ZodString;
                deliveryMainAreaPostcode: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                latitude?: number | null | undefined;
                longitude?: number | null | undefined;
                deliveryInstructions?: string | null | undefined;
                number: string;
                street: string;
                building: string;
                district: string;
                city: string;
                line1: string;
                line2: string;
                postcode: string;
                company: string;
                deliveryArea: string;
                deliveryMainArea: string;
                entrance: string;
                flatNumber: string;
                floor: string;
                intercom: string;
                deliveryAreaPostcode: string;
                line3: string;
                line4: string;
                line5: string;
                other: string;
                room: string;
                structure: string;
                deliveryMainAreaPostcode: string;
            }, {
                latitude?: number | null | undefined;
                longitude?: number | null | undefined;
                deliveryInstructions?: string | null | undefined;
                number: string;
                street: string;
                building: string;
                district: string;
                city: string;
                line1: string;
                line2: string;
                postcode: string;
                company: string;
                deliveryArea: string;
                deliveryMainArea: string;
                entrance: string;
                flatNumber: string;
                floor: string;
                intercom: string;
                deliveryAreaPostcode: string;
                line3: string;
                line4: string;
                line5: string;
                other: string;
                room: string;
                structure: string;
                deliveryMainAreaPostcode: string;
            }>>>;
            expectedDeliveryTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            expressDelivery: z.ZodBoolean;
            riderPickupTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            address?: {
                latitude?: number | null | undefined;
                longitude?: number | null | undefined;
                deliveryInstructions?: string | null | undefined;
                number: string;
                street: string;
                building: string;
                district: string;
                city: string;
                line1: string;
                line2: string;
                postcode: string;
                company: string;
                deliveryArea: string;
                deliveryMainArea: string;
                entrance: string;
                flatNumber: string;
                floor: string;
                intercom: string;
                deliveryAreaPostcode: string;
                line3: string;
                line4: string;
                line5: string;
                other: string;
                room: string;
                structure: string;
                deliveryMainAreaPostcode: string;
            } | null | undefined;
            expectedDeliveryTime?: string | null | undefined;
            riderPickupTime?: string | null | undefined;
            expressDelivery: boolean;
        }, {
            address?: {
                latitude?: number | null | undefined;
                longitude?: number | null | undefined;
                deliveryInstructions?: string | null | undefined;
                number: string;
                street: string;
                building: string;
                district: string;
                city: string;
                line1: string;
                line2: string;
                postcode: string;
                company: string;
                deliveryArea: string;
                deliveryMainArea: string;
                entrance: string;
                flatNumber: string;
                floor: string;
                intercom: string;
                deliveryAreaPostcode: string;
                line3: string;
                line4: string;
                line5: string;
                other: string;
                room: string;
                structure: string;
                deliveryMainAreaPostcode: string;
            } | null | undefined;
            expectedDeliveryTime?: string | null | undefined;
            riderPickupTime?: string | null | undefined;
            expressDelivery: boolean;
        }>>>;
        discounts: z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            amount: z.ZodString;
            type: z.ZodString;
            sponsorships: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                sponsor: z.ZodEnum<["PLATFORM", "VENDOR", "THIRD_PARTY"]>;
                amount: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                amount: string;
                sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
            }, {
                amount: string;
                sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
            }>, "many">>>;
        }, "strip", z.ZodTypeAny, {
            sponsorships?: {
                amount: string;
                sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
            }[] | null | undefined;
            name: string;
            type: string;
            amount: string;
        }, {
            sponsorships?: {
                amount: string;
                sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
            }[] | null | undefined;
            name: string;
            type: string;
            amount: string;
        }>, "many">;
        expeditionType: z.ZodEnum<["pickup", "delivery"]>;
        expiryDate: z.ZodString;
        extraParameters: z.ZodNullable<z.ZodOptional<z.ZodUnknown>>;
        localInfo: z.ZodObject<{
            countryCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            currencySymbol: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            platform: z.ZodString;
            platformKey: z.ZodString;
            currencySymbolPosition: z.ZodString;
            currencySymbolSpaces: z.ZodString;
            decimalDigits: z.ZodString;
            decimalSeparator: z.ZodString;
            email: z.ZodString;
            phone: z.ZodString;
            thousandsSeparator: z.ZodString;
            website: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            countryCode?: string | null | undefined;
            currencySymbol?: string | null | undefined;
            email: string;
            phone: string;
            platform: string;
            platformKey: string;
            currencySymbolPosition: string;
            currencySymbolSpaces: string;
            decimalDigits: string;
            decimalSeparator: string;
            thousandsSeparator: string;
            website: string;
        }, {
            countryCode?: string | null | undefined;
            currencySymbol?: string | null | undefined;
            email: string;
            phone: string;
            platform: string;
            platformKey: string;
            currencySymbolPosition: string;
            currencySymbolSpaces: string;
            decimalDigits: string;
            decimalSeparator: string;
            thousandsSeparator: string;
            website: string;
        }>;
        payment: z.ZodObject<{
            status: z.ZodEnum<["pending", "paid"]>;
            type: z.ZodString;
            remoteCode: z.ZodString;
            requiredMoneyChange: z.ZodString;
            vatId: z.ZodString;
            vatName: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            type: string;
            status: "paid" | "pending";
            remoteCode: string;
            requiredMoneyChange: string;
            vatId: string;
            vatName: string;
        }, {
            type: string;
            status: "paid" | "pending";
            remoteCode: string;
            requiredMoneyChange: string;
            vatId: string;
            vatName: string;
        }>;
        test: z.ZodBoolean;
        shortCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        preOrder: z.ZodBoolean;
        pickup: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            pickupTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            pickupAddress: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            pickupCity: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            pickupTime?: string | null | undefined;
            pickupAddress?: string | null | undefined;
            pickupCity?: string | null | undefined;
        }, {
            pickupTime?: string | null | undefined;
            pickupAddress?: string | null | undefined;
            pickupCity?: string | null | undefined;
        }>>>;
        platformRestaurant: z.ZodObject<{
            id: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
        }, {
            id: string;
        }>;
        price: z.ZodObject<{
            deliveryFees: z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                value: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                name: string;
                value: number;
            }, {
                name: string;
                value: number;
            }>, "many">;
            grandTotal: z.ZodString;
            minimumDeliveryValue: z.ZodString;
            payRestaurant: z.ZodString;
            riderTip: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            subTotal: z.ZodString;
            vatTotal: z.ZodString;
            comission: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            containerCharge: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            deliveryFee: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            collectFromCustomer: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            discountAmountTotal: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            deliveryFeeDiscount: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            serviceFeePercent: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            serviceFeeTotal: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            serviceTax: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            serviceTaxValue: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            differenceToMinimumDeliveryValue: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            vatVisible: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            vatPercent: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            deliveryFee?: string | null | undefined;
            riderTip?: string | null | undefined;
            comission?: string | null | undefined;
            containerCharge?: string | null | undefined;
            collectFromCustomer?: string | null | undefined;
            discountAmountTotal?: string | null | undefined;
            deliveryFeeDiscount?: string | null | undefined;
            serviceFeePercent?: string | null | undefined;
            serviceFeeTotal?: string | null | undefined;
            serviceTax?: number | null | undefined;
            serviceTaxValue?: number | null | undefined;
            differenceToMinimumDeliveryValue?: string | null | undefined;
            vatVisible?: boolean | null | undefined;
            vatPercent?: string | null | undefined;
            subTotal: string;
            deliveryFees: {
                name: string;
                value: number;
            }[];
            grandTotal: string;
            minimumDeliveryValue: string;
            payRestaurant: string;
            vatTotal: string;
        }, {
            deliveryFee?: string | null | undefined;
            riderTip?: string | null | undefined;
            comission?: string | null | undefined;
            containerCharge?: string | null | undefined;
            collectFromCustomer?: string | null | undefined;
            discountAmountTotal?: string | null | undefined;
            deliveryFeeDiscount?: string | null | undefined;
            serviceFeePercent?: string | null | undefined;
            serviceFeeTotal?: string | null | undefined;
            serviceTax?: number | null | undefined;
            serviceTaxValue?: number | null | undefined;
            differenceToMinimumDeliveryValue?: string | null | undefined;
            vatVisible?: boolean | null | undefined;
            vatPercent?: string | null | undefined;
            subTotal: string;
            deliveryFees: {
                name: string;
                value: number;
            }[];
            grandTotal: string;
            minimumDeliveryValue: string;
            payRestaurant: string;
            vatTotal: string;
        }>;
        products: z.ZodArray<z.ZodObject<{
            categoryName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            paidPrice: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            quantity: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            remoteCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            selectedToppings: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodType<import("./foodpanda-order.do").FPSelectedTopping, z.ZodTypeDef, import("./foodpanda-order.do").FPSelectedTopping>, "many">>>;
            unitPrice: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            comment: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            discountAmount: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            halfHalf: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            selectedChoices: z.ZodArray<z.ZodString, "many">;
            variation: z.ZodObject<{
                name: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
            }, {
                name: string;
            }>;
            vatPercentage: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            name?: string | null | undefined;
            id?: string | null | undefined;
            description?: string | null | undefined;
            quantity?: string | null | undefined;
            categoryName?: string | null | undefined;
            remoteCode?: string | null | undefined;
            paidPrice?: string | null | undefined;
            selectedToppings?: import("./foodpanda-order.do").FPSelectedTopping[] | null | undefined;
            unitPrice?: string | null | undefined;
            comment?: string | null | undefined;
            discountAmount?: string | null | undefined;
            halfHalf?: boolean | null | undefined;
            vatPercentage?: string | null | undefined;
            selectedChoices: string[];
            variation: {
                name: string;
            };
        }, {
            name?: string | null | undefined;
            id?: string | null | undefined;
            description?: string | null | undefined;
            quantity?: string | null | undefined;
            categoryName?: string | null | undefined;
            remoteCode?: string | null | undefined;
            paidPrice?: string | null | undefined;
            selectedToppings?: import("./foodpanda-order.do").FPSelectedTopping[] | null | undefined;
            unitPrice?: string | null | undefined;
            comment?: string | null | undefined;
            discountAmount?: string | null | undefined;
            halfHalf?: boolean | null | undefined;
            vatPercentage?: string | null | undefined;
            selectedChoices: string[];
            variation: {
                name: string;
            };
        }>, "many">;
        corporateTaxId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        corporateOrder: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        integrationInfo: z.ZodNullable<z.ZodOptional<z.ZodUnknown>>;
        mobileOrder: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        webOrder: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        vouchers: z.ZodArray<z.ZodString, "many">;
        callbackUrls: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            orderAcceptedUrl: z.ZodString;
            orderRejectedUrl: z.ZodString;
            orderPreparedUrl: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            orderAcceptedUrl: string;
            orderRejectedUrl: string;
            orderPreparedUrl: string;
        }, {
            orderAcceptedUrl: string;
            orderRejectedUrl: string;
            orderPreparedUrl: string;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        pickup?: {
            pickupTime?: string | null | undefined;
            pickupAddress?: string | null | undefined;
            pickupCity?: string | null | undefined;
        } | null | undefined;
        delivery?: {
            address?: {
                latitude?: number | null | undefined;
                longitude?: number | null | undefined;
                deliveryInstructions?: string | null | undefined;
                number: string;
                street: string;
                building: string;
                district: string;
                city: string;
                line1: string;
                line2: string;
                postcode: string;
                company: string;
                deliveryArea: string;
                deliveryMainArea: string;
                entrance: string;
                flatNumber: string;
                floor: string;
                intercom: string;
                deliveryAreaPostcode: string;
                line3: string;
                line4: string;
                line5: string;
                other: string;
                room: string;
                structure: string;
                deliveryMainAreaPostcode: string;
            } | null | undefined;
            expectedDeliveryTime?: string | null | undefined;
            riderPickupTime?: string | null | undefined;
            expressDelivery: boolean;
        } | null | undefined;
        shortCode?: string | null | undefined;
        integrationInfo?: unknown;
        extraParameters?: unknown;
        corporateTaxId?: string | null | undefined;
        corporateOrder?: boolean | null | undefined;
        mobileOrder?: boolean | null | undefined;
        webOrder?: boolean | null | undefined;
        callbackUrls?: {
            orderAcceptedUrl: string;
            orderRejectedUrl: string;
            orderPreparedUrl: string;
        } | null | undefined;
        code: string;
        price: {
            deliveryFee?: string | null | undefined;
            riderTip?: string | null | undefined;
            comission?: string | null | undefined;
            containerCharge?: string | null | undefined;
            collectFromCustomer?: string | null | undefined;
            discountAmountTotal?: string | null | undefined;
            deliveryFeeDiscount?: string | null | undefined;
            serviceFeePercent?: string | null | undefined;
            serviceFeeTotal?: string | null | undefined;
            serviceTax?: number | null | undefined;
            serviceTaxValue?: number | null | undefined;
            differenceToMinimumDeliveryValue?: string | null | undefined;
            vatVisible?: boolean | null | undefined;
            vatPercent?: string | null | undefined;
            subTotal: string;
            deliveryFees: {
                name: string;
                value: number;
            }[];
            grandTotal: string;
            minimumDeliveryValue: string;
            payRestaurant: string;
            vatTotal: string;
        };
        products: {
            name?: string | null | undefined;
            id?: string | null | undefined;
            description?: string | null | undefined;
            quantity?: string | null | undefined;
            categoryName?: string | null | undefined;
            remoteCode?: string | null | undefined;
            paidPrice?: string | null | undefined;
            selectedToppings?: import("./foodpanda-order.do").FPSelectedTopping[] | null | undefined;
            unitPrice?: string | null | undefined;
            comment?: string | null | undefined;
            discountAmount?: string | null | undefined;
            halfHalf?: boolean | null | undefined;
            vatPercentage?: string | null | undefined;
            selectedChoices: string[];
            variation: {
                name: string;
            };
        }[];
        createdAt: string;
        customer: {
            firstName?: string | null | undefined;
            lastName?: string | null | undefined;
            mobilePhone?: string | null | undefined;
            code: string;
            id: string;
            email: string;
            mobilePhoneCountryCode: string;
        };
        payment: {
            type: string;
            status: "paid" | "pending";
            remoteCode: string;
            requiredMoneyChange: string;
            vatId: string;
            vatName: string;
        };
        vouchers: string[];
        discounts: {
            sponsorships?: {
                amount: string;
                sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
            }[] | null | undefined;
            name: string;
            type: string;
            amount: string;
        }[];
        token: string;
        comments: {
            customerComment?: string | null | undefined;
            vendorComment: string;
        };
        expeditionType: "pickup" | "delivery";
        expiryDate: string;
        localInfo: {
            countryCode?: string | null | undefined;
            currencySymbol?: string | null | undefined;
            email: string;
            phone: string;
            platform: string;
            platformKey: string;
            currencySymbolPosition: string;
            currencySymbolSpaces: string;
            decimalDigits: string;
            decimalSeparator: string;
            thousandsSeparator: string;
            website: string;
        };
        test: boolean;
        preOrder: boolean;
        platformRestaurant: {
            id: string;
        };
    }, {
        pickup?: {
            pickupTime?: string | null | undefined;
            pickupAddress?: string | null | undefined;
            pickupCity?: string | null | undefined;
        } | null | undefined;
        delivery?: {
            address?: {
                latitude?: number | null | undefined;
                longitude?: number | null | undefined;
                deliveryInstructions?: string | null | undefined;
                number: string;
                street: string;
                building: string;
                district: string;
                city: string;
                line1: string;
                line2: string;
                postcode: string;
                company: string;
                deliveryArea: string;
                deliveryMainArea: string;
                entrance: string;
                flatNumber: string;
                floor: string;
                intercom: string;
                deliveryAreaPostcode: string;
                line3: string;
                line4: string;
                line5: string;
                other: string;
                room: string;
                structure: string;
                deliveryMainAreaPostcode: string;
            } | null | undefined;
            expectedDeliveryTime?: string | null | undefined;
            riderPickupTime?: string | null | undefined;
            expressDelivery: boolean;
        } | null | undefined;
        shortCode?: string | null | undefined;
        integrationInfo?: unknown;
        extraParameters?: unknown;
        corporateTaxId?: string | null | undefined;
        corporateOrder?: boolean | null | undefined;
        mobileOrder?: boolean | null | undefined;
        webOrder?: boolean | null | undefined;
        callbackUrls?: {
            orderAcceptedUrl: string;
            orderRejectedUrl: string;
            orderPreparedUrl: string;
        } | null | undefined;
        code: string;
        price: {
            deliveryFee?: string | null | undefined;
            riderTip?: string | null | undefined;
            comission?: string | null | undefined;
            containerCharge?: string | null | undefined;
            collectFromCustomer?: string | null | undefined;
            discountAmountTotal?: string | null | undefined;
            deliveryFeeDiscount?: string | null | undefined;
            serviceFeePercent?: string | null | undefined;
            serviceFeeTotal?: string | null | undefined;
            serviceTax?: number | null | undefined;
            serviceTaxValue?: number | null | undefined;
            differenceToMinimumDeliveryValue?: string | null | undefined;
            vatVisible?: boolean | null | undefined;
            vatPercent?: string | null | undefined;
            subTotal: string;
            deliveryFees: {
                name: string;
                value: number;
            }[];
            grandTotal: string;
            minimumDeliveryValue: string;
            payRestaurant: string;
            vatTotal: string;
        };
        products: {
            name?: string | null | undefined;
            id?: string | null | undefined;
            description?: string | null | undefined;
            quantity?: string | null | undefined;
            categoryName?: string | null | undefined;
            remoteCode?: string | null | undefined;
            paidPrice?: string | null | undefined;
            selectedToppings?: import("./foodpanda-order.do").FPSelectedTopping[] | null | undefined;
            unitPrice?: string | null | undefined;
            comment?: string | null | undefined;
            discountAmount?: string | null | undefined;
            halfHalf?: boolean | null | undefined;
            vatPercentage?: string | null | undefined;
            selectedChoices: string[];
            variation: {
                name: string;
            };
        }[];
        createdAt: string;
        customer: {
            firstName?: string | null | undefined;
            lastName?: string | null | undefined;
            mobilePhone?: string | null | undefined;
            code: string;
            id: string;
            email: string;
            mobilePhoneCountryCode: string;
        };
        payment: {
            type: string;
            status: "paid" | "pending";
            remoteCode: string;
            requiredMoneyChange: string;
            vatId: string;
            vatName: string;
        };
        vouchers: string[];
        discounts: {
            sponsorships?: {
                amount: string;
                sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
            }[] | null | undefined;
            name: string;
            type: string;
            amount: string;
        }[];
        token: string;
        comments: {
            customerComment?: string | null | undefined;
            vendorComment: string;
        };
        expeditionType: "pickup" | "delivery";
        expiryDate: string;
        localInfo: {
            countryCode?: string | null | undefined;
            currencySymbol?: string | null | undefined;
            email: string;
            phone: string;
            platform: string;
            platformKey: string;
            currencySymbolPosition: string;
            currencySymbolSpaces: string;
            decimalDigits: string;
            decimalSeparator: string;
            thousandsSeparator: string;
            website: string;
        };
        test: boolean;
        preOrder: boolean;
        platformRestaurant: {
            id: string;
        };
    }>;
}, {
    pf_restaurant: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        _id: z.ZodEffects<z.ZodString, string, string>;
        businessId: z.ZodString;
        pf_business: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            _id: z.ZodEffects<z.ZodString, string, string>;
            ownerId: z.ZodString;
            name: z.ZodString;
            restaurantQuota: z.ZodNumber;
            warehouseQuota: z.ZodNumber;
            menuVersion: z.ZodString;
            internal: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            expiredAt: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
            url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            agentId: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
            attributeSettings: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                key: z.ZodString;
                type: z.ZodUnion<[z.ZodLiteral<"string">, z.ZodLiteral<"number">, z.ZodLiteral<"date">, z.ZodLiteral<"boolean">]>;
                entity: z.ZodUnion<[z.ZodLiteral<"restaurant">, z.ZodLiteral<"item">, z.ZodLiteral<"group">, z.ZodLiteral<"inventorySku">, z.ZodLiteral<"inventoryRecipe">, z.ZodLiteral<"warehouse">]>;
                options: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodAny, "many">>>;
            }, "strip", z.ZodTypeAny, {
                options?: any[] | null | undefined;
                type: "string" | "number" | "boolean" | "date";
                key: string;
                entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
            }, {
                options?: any[] | null | undefined;
                type: "string" | "number" | "boolean" | "date";
                key: string;
                entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
            }>, "many">>>;
            pf_agent: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
                _id: z.ZodEffects<z.ZodString, string, string>;
                name: z.ZodString;
                code: z.ZodString;
                isReseller: z.ZodBoolean;
                clickupId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                members: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                    userId: z.ZodString;
                    pf_user: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                        _id: z.ZodString;
                        birthday: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
                        gender: z.ZodNullable<z.ZodOptional<z.ZodEnum<["MALE", "FEMALE"]>>>;
                        addresses: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                            name: z.ZodString;
                            address: z.ZodString;
                            coordinates: z.ZodArray<z.ZodNumber, "many">;
                        }, "strip", z.ZodTypeAny, {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }, {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }>, "many">>>;
                        email: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                        photoURL: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                        displayName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                        phoneNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                        imported: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                            source: z.ZodEnum<["FEEDME", "CITY_POS", "STOREHUB", "KERUYUn", "QISOFT", "WECHAT", "TEABAR", "NULL_MEMBER", "UMAI_POS", "QASHIER", "XILNET", "GENIUSPOS", "YHOFOODIE"]>;
                            raw: z.ZodRecord<z.ZodString, z.ZodAny>;
                        }, "strip", z.ZodTypeAny, {
                            raw: Record<string, any>;
                            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                        }, {
                            raw: Record<string, any>;
                            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                        }>>>;
                    }, "strip", z.ZodTypeAny, {
                        email?: string | null | undefined;
                        phoneNumber?: string | null | undefined;
                        birthday?: string | null | undefined;
                        gender?: "MALE" | "FEMALE" | null | undefined;
                        addresses?: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[] | null | undefined;
                        photoURL?: string | null | undefined;
                        displayName?: string | null | undefined;
                        imported?: {
                            raw: Record<string, any>;
                            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                        } | null | undefined;
                        _id: string;
                    }, {
                        email?: string | null | undefined;
                        phoneNumber?: string | null | undefined;
                        birthday?: string | null | undefined;
                        gender?: "MALE" | "FEMALE" | null | undefined;
                        addresses?: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[] | null | undefined;
                        photoURL?: string | null | undefined;
                        displayName?: string | null | undefined;
                        imported?: {
                            raw: Record<string, any>;
                            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                        } | null | undefined;
                        _id: string;
                    }>>>;
                    role: z.ZodEnum<["ADMIN"]>;
                }, "strip", z.ZodTypeAny, {
                    pf_user?: {
                        email?: string | null | undefined;
                        phoneNumber?: string | null | undefined;
                        birthday?: string | null | undefined;
                        gender?: "MALE" | "FEMALE" | null | undefined;
                        addresses?: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[] | null | undefined;
                        photoURL?: string | null | undefined;
                        displayName?: string | null | undefined;
                        imported?: {
                            raw: Record<string, any>;
                            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                        } | null | undefined;
                        _id: string;
                    } | null | undefined;
                    role: "ADMIN";
                    userId: string;
                }, {
                    pf_user?: {
                        email?: string | null | undefined;
                        phoneNumber?: string | null | undefined;
                        birthday?: string | null | undefined;
                        gender?: "MALE" | "FEMALE" | null | undefined;
                        addresses?: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[] | null | undefined;
                        photoURL?: string | null | undefined;
                        displayName?: string | null | undefined;
                        imported?: {
                            raw: Record<string, any>;
                            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                        } | null | undefined;
                        _id: string;
                    } | null | undefined;
                    role: "ADMIN";
                    userId: string;
                }>, "many">>>;
            }, "strip", z.ZodTypeAny, {
                clickupId?: string | null | undefined;
                members?: {
                    pf_user?: {
                        email?: string | null | undefined;
                        phoneNumber?: string | null | undefined;
                        birthday?: string | null | undefined;
                        gender?: "MALE" | "FEMALE" | null | undefined;
                        addresses?: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[] | null | undefined;
                        photoURL?: string | null | undefined;
                        displayName?: string | null | undefined;
                        imported?: {
                            raw: Record<string, any>;
                            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                        } | null | undefined;
                        _id: string;
                    } | null | undefined;
                    role: "ADMIN";
                    userId: string;
                }[] | null | undefined;
                code: string;
                name: string;
                _id: string;
                isReseller: boolean;
            }, {
                clickupId?: string | null | undefined;
                members?: {
                    pf_user?: {
                        email?: string | null | undefined;
                        phoneNumber?: string | null | undefined;
                        birthday?: string | null | undefined;
                        gender?: "MALE" | "FEMALE" | null | undefined;
                        addresses?: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[] | null | undefined;
                        photoURL?: string | null | undefined;
                        displayName?: string | null | undefined;
                        imported?: {
                            raw: Record<string, any>;
                            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                        } | null | undefined;
                        _id: string;
                    } | null | undefined;
                    role: "ADMIN";
                    userId: string;
                }[] | null | undefined;
                code: string;
                name: string;
                _id: string;
                isReseller: boolean;
            }>>>>;
            thumbnail: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            billingInfos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                companyName: z.ZodString;
                name: z.ZodString;
                email: z.ZodString;
                contact: z.ZodString;
                address: z.ZodObject<{
                    line1: z.ZodString;
                    line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    state: z.ZodString;
                    city: z.ZodString;
                    postcode: z.ZodString;
                    country: z.ZodString;
                    coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
                }, "strip", z.ZodTypeAny, {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                }, {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                }>;
            }, "strip", z.ZodTypeAny, {
                _id?: string | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                companyName: string;
                contact: string;
            }, {
                _id?: string | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                companyName: string;
                contact: string;
            }>, "many">>>;
            customerDisplayImages: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                url: z.ZodString;
                restaurantIds: z.ZodArray<z.ZodString, "many">;
            }, "strip", z.ZodTypeAny, {
                url: string;
                restaurantIds: string[];
            }, {
                url: string;
                restaurantIds: string[];
            }>, "many">>>;
        }, "strip", z.ZodTypeAny, {
            internal?: boolean | null | undefined;
            url?: string | null | undefined;
            expiredAt?: string | null | undefined;
            agentId?: string | null | undefined;
            attributeSettings?: {
                options?: any[] | null | undefined;
                type: "string" | "number" | "boolean" | "date";
                key: string;
                entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
            }[] | null | undefined;
            pf_agent?: {
                clickupId?: string | null | undefined;
                members?: {
                    pf_user?: {
                        email?: string | null | undefined;
                        phoneNumber?: string | null | undefined;
                        birthday?: string | null | undefined;
                        gender?: "MALE" | "FEMALE" | null | undefined;
                        addresses?: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[] | null | undefined;
                        photoURL?: string | null | undefined;
                        displayName?: string | null | undefined;
                        imported?: {
                            raw: Record<string, any>;
                            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                        } | null | undefined;
                        _id: string;
                    } | null | undefined;
                    role: "ADMIN";
                    userId: string;
                }[] | null | undefined;
                code: string;
                name: string;
                _id: string;
                isReseller: boolean;
            } | null | undefined;
            thumbnail?: string | null | undefined;
            billingInfos?: {
                _id?: string | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                companyName: string;
                contact: string;
            }[] | null | undefined;
            customerDisplayImages?: {
                url: string;
                restaurantIds: string[];
            }[] | null | undefined;
            name: string;
            _id: string;
            ownerId: string;
            restaurantQuota: number;
            warehouseQuota: number;
            menuVersion: string;
        }, {
            internal?: boolean | null | undefined;
            url?: string | null | undefined;
            expiredAt?: string | null | undefined;
            agentId?: string | null | undefined;
            attributeSettings?: {
                options?: any[] | null | undefined;
                type: "string" | "number" | "boolean" | "date";
                key: string;
                entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
            }[] | null | undefined;
            pf_agent?: {
                clickupId?: string | null | undefined;
                members?: {
                    pf_user?: {
                        email?: string | null | undefined;
                        phoneNumber?: string | null | undefined;
                        birthday?: string | null | undefined;
                        gender?: "MALE" | "FEMALE" | null | undefined;
                        addresses?: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[] | null | undefined;
                        photoURL?: string | null | undefined;
                        displayName?: string | null | undefined;
                        imported?: {
                            raw: Record<string, any>;
                            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                        } | null | undefined;
                        _id: string;
                    } | null | undefined;
                    role: "ADMIN";
                    userId: string;
                }[] | null | undefined;
                code: string;
                name: string;
                _id: string;
                isReseller: boolean;
            } | null | undefined;
            thumbnail?: string | null | undefined;
            billingInfos?: {
                _id?: string | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                companyName: string;
                contact: string;
            }[] | null | undefined;
            customerDisplayImages?: {
                url: string;
                restaurantIds: string[];
            }[] | null | undefined;
            name: string;
            _id: string;
            ownerId: string;
            restaurantQuota: number;
            warehouseQuota: number;
            menuVersion: string;
        }>>>;
        features: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNativeEnum<{
            stock: string;
            discovery: string;
            pickup: string;
            delivery: string;
            foodpanda: string;
            deliveryIntegration: string;
            kds: string;
            ods: string;
        }>, "many">>>;
        expiredAt: z.ZodEffects<z.ZodString, string, string>;
        machineOtp: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        machineOtpExpiredAt: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
        machineId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        channel: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        posVersion: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        posHeartbeat: z.ZodNullable<z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>>;
        posVersionHistory: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
        profile: z.ZodObject<{
            _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            name: z.ZodString;
            address: z.ZodObject<{
                line1: z.ZodString;
                line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                state: z.ZodString;
                city: z.ZodString;
                postcode: z.ZodString;
                country: z.ZodString;
                coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
            }, "strip", z.ZodTypeAny, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }, {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            }>;
            phoneNo: z.ZodString;
            email: z.ZodString;
            regNo: z.ZodString;
            legalName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            sstRegNo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            discovery: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            coverPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            thumbnailPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            operatingHours: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                0: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                1: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                2: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                3: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                4: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                5: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                6: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
            }, "strip", z.ZodTypeAny, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }>>>;
            tags: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            code?: string | null | undefined;
            url?: string | null | undefined;
            description?: string | null | undefined;
            _id?: string | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            discovery?: boolean | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        }, {
            code?: string | null | undefined;
            url?: string | null | undefined;
            description?: string | null | undefined;
            _id?: string | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            discovery?: boolean | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        }>;
        catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        additionalCatalogs: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        inHouseDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            enable: z.ZodBoolean;
            areas: z.ZodArray<z.ZodObject<{
                polygon: z.ZodArray<z.ZodArray<z.ZodNumber, "many">, "many">;
                deliveryFee: z.ZodObject<{
                    currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                    amount: z.ZodNumber;
                    precision: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                }, {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                }>;
                freeAfterTotal: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                    amount: z.ZodNumber;
                    precision: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                }, {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                }>>>;
                minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                    amount: z.ZodNumber;
                    precision: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                }, {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                minPurchase?: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                } | null | undefined;
                freeAfterTotal?: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                } | null | undefined;
                polygon: number[][];
                deliveryFee: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                };
            }, {
                minPurchase?: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                } | null | undefined;
                freeAfterTotal?: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                } | null | undefined;
                polygon: number[][];
                deliveryFee: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                };
            }>, "many">;
            term: z.ZodString;
            deliveryTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                day: z.ZodObject<{
                    min: z.ZodNumber;
                    max: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    max: number;
                    min: number;
                }, {
                    max: number;
                    min: number;
                }>;
                time: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
                custom: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    0: z.ZodObject<{
                        enable: z.ZodBoolean;
                        hours: z.ZodArray<z.ZodObject<{
                            start: z.ZodString;
                            end: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            end: string;
                            start: string;
                        }, {
                            end: string;
                            start: string;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }>;
                    1: z.ZodObject<{
                        enable: z.ZodBoolean;
                        hours: z.ZodArray<z.ZodObject<{
                            start: z.ZodString;
                            end: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            end: string;
                            start: string;
                        }, {
                            end: string;
                            start: string;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }>;
                    2: z.ZodObject<{
                        enable: z.ZodBoolean;
                        hours: z.ZodArray<z.ZodObject<{
                            start: z.ZodString;
                            end: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            end: string;
                            start: string;
                        }, {
                            end: string;
                            start: string;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }>;
                    3: z.ZodObject<{
                        enable: z.ZodBoolean;
                        hours: z.ZodArray<z.ZodObject<{
                            start: z.ZodString;
                            end: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            end: string;
                            start: string;
                        }, {
                            end: string;
                            start: string;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }>;
                    4: z.ZodObject<{
                        enable: z.ZodBoolean;
                        hours: z.ZodArray<z.ZodObject<{
                            start: z.ZodString;
                            end: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            end: string;
                            start: string;
                        }, {
                            end: string;
                            start: string;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }>;
                    5: z.ZodObject<{
                        enable: z.ZodBoolean;
                        hours: z.ZodArray<z.ZodObject<{
                            start: z.ZodString;
                            end: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            end: string;
                            start: string;
                        }, {
                            end: string;
                            start: string;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }>;
                    6: z.ZodObject<{
                        enable: z.ZodBoolean;
                        hours: z.ZodArray<z.ZodObject<{
                            start: z.ZodString;
                            end: z.ZodString;
                        }, "strip", z.ZodTypeAny, {
                            end: string;
                            start: string;
                        }, {
                            end: string;
                            start: string;
                        }>, "many">;
                    }, "strip", z.ZodTypeAny, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }, {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    }>;
                }, "strip", z.ZodTypeAny, {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                }, {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                }>>>;
            }, "strip", z.ZodTypeAny, {
                time?: string[] | null | undefined;
                custom?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                day: {
                    max: number;
                    min: number;
                };
            }, {
                time?: string[] | null | undefined;
                custom?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                day: {
                    max: number;
                    min: number;
                };
            }>>>;
            catalogId: z.ZodNullable<z.ZodString>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            taxes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<{
                systemCode: z.ZodString;
                taxCode: z.ZodString;
                inclusive: z.ZodBoolean;
            }, "strip", z.ZodTypeAny, {
                inclusive: boolean;
                taxCode: string;
                systemCode: string;
            }, {
                inclusive: boolean;
                taxCode: string;
                systemCode: string;
            }>>>>;
        }, "strip", z.ZodTypeAny, {
            taxes?: Record<string, {
                inclusive: boolean;
                taxCode: string;
                systemCode: string;
            }> | null | undefined;
            autoAccept?: boolean | null | undefined;
            deliveryTime?: {
                time?: string[] | null | undefined;
                custom?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            catalogId: string | null;
            enable: boolean;
            areas: {
                minPurchase?: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                } | null | undefined;
                freeAfterTotal?: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                } | null | undefined;
                polygon: number[][];
                deliveryFee: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                };
            }[];
            term: string;
        }, {
            taxes?: Record<string, {
                inclusive: boolean;
                taxCode: string;
                systemCode: string;
            }> | null | undefined;
            autoAccept?: boolean | null | undefined;
            deliveryTime?: {
                time?: string[] | null | undefined;
                custom?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            catalogId: string | null;
            enable: boolean;
            areas: {
                minPurchase?: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                } | null | undefined;
                freeAfterTotal?: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                } | null | undefined;
                polygon: number[][];
                deliveryFee: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                };
            }[];
            term: string;
        }>>>;
        feedmeDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            enable: z.ZodBoolean;
            catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            term: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            instruction: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            instruction?: string | null | undefined;
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            term?: string | null | undefined;
            ignoreStock?: boolean | null | undefined;
            enable: boolean;
        }, {
            instruction?: string | null | undefined;
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            term?: string | null | undefined;
            ignoreStock?: boolean | null | undefined;
            enable: boolean;
        }>>>;
        foodpandaDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            enable: z.ZodBoolean;
        }, {
            _id: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
            remoteId: z.ZodString;
            catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            lastSynchronize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            commissionRate: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            autoCloseBill: z.ZodBoolean;
            showProductAddon: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            reportConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                commissionRate: z.ZodNumber;
                discountCampaigns: z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    vendorBearPercentage: z.ZodNumber;
                    date: z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }, {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                commissionRate: number;
                discountCampaigns: {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }[];
            }, {
                commissionRate: number;
                discountCampaigns: {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }[];
            }>>>;
            hasSst: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            ignoreDiscount: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }>, "strip", z.ZodTypeAny, {
            _id?: string | undefined;
            ignoreDiscount?: boolean | null | undefined;
            catalogId?: string | null | undefined;
            commissionRate?: number | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            autoAccept?: boolean | null | undefined;
            reportConfig?: {
                commissionRate: number;
                discountCampaigns: {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }[];
            } | null | undefined;
            hasSst?: boolean | null | undefined;
            enable: boolean;
            remoteId: string;
            autoCloseBill: boolean;
        }, {
            _id?: string | undefined;
            ignoreDiscount?: boolean | null | undefined;
            catalogId?: string | null | undefined;
            commissionRate?: number | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            autoAccept?: boolean | null | undefined;
            reportConfig?: {
                commissionRate: number;
                discountCampaigns: {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }[];
            } | null | undefined;
            hasSst?: boolean | null | undefined;
            enable: boolean;
            remoteId: string;
            autoCloseBill: boolean;
        }>>>;
        grabfoodDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            enable: z.ZodBoolean;
        }, {
            _id: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
            merchantID: z.ZodString;
            catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            lastSynchronize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            commissionRate: z.ZodNumber;
            autoCloseBill: z.ZodBoolean;
            showProductAddon: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }>, "strip", z.ZodTypeAny, {
            _id?: string | undefined;
            catalogId?: string | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            enable: boolean;
            commissionRate: number;
            autoCloseBill: boolean;
            merchantID: string;
        }, {
            _id?: string | undefined;
            catalogId?: string | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            enable: boolean;
            commissionRate: number;
            autoCloseBill: boolean;
            merchantID: string;
        }>>>;
        shopeefoodDelivery: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            enable: z.ZodBoolean;
        }, {
            _id: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
            storeID: z.ZodString;
            catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            lastSynchronize: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            autoCloseBill: z.ZodBoolean;
            reportConfig: z.ZodObject<{
                commissionRate: z.ZodNumber;
                discountCampaigns: z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    vendorBearPercentage: z.ZodNumber;
                    date: z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }, {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                commissionRate: number;
                discountCampaigns: {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }[];
            }, {
                commissionRate: number;
                discountCampaigns: {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }[];
            }>;
            showProductAddon: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }>, "strip", z.ZodTypeAny, {
            _id?: string | undefined;
            catalogId?: string | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            enable: boolean;
            autoCloseBill: boolean;
            reportConfig: {
                commissionRate: number;
                discountCampaigns: {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }[];
            };
            storeID: string;
        }, {
            _id?: string | undefined;
            catalogId?: string | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            enable: boolean;
            autoCloseBill: boolean;
            reportConfig: {
                commissionRate: number;
                discountCampaigns: {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }[];
            };
            storeID: string;
        }>>>;
        pickup: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            pickupTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                day: z.ZodObject<{
                    min: z.ZodNumber;
                    max: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    max: number;
                    min: number;
                }, {
                    max: number;
                    min: number;
                }>;
            }, "strip", z.ZodTypeAny, {
                day: {
                    max: number;
                    min: number;
                };
            }, {
                day: {
                    max: number;
                    min: number;
                };
            }>>>;
            pickupPointConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                restaurantEnable: z.ZodBoolean;
                points: z.ZodArray<z.ZodObject<{
                    name: z.ZodString;
                    address: z.ZodString;
                    coordinates: z.ZodArray<z.ZodNumber, "many">;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }, {
                    name: string;
                    address: string;
                    coordinates: number[];
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            }, {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            }>>>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        }, {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        }>>>;
        dineIn: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            anonymousOrder: z.ZodBoolean;
            staticQr: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>, "many">>>;
            ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            disableItemRemark: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            acceptQueue: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        }, "strip", z.ZodTypeAny, {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        }, {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        }>>>;
        takeaway: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            catalogId?: string | null | undefined;
        }, {
            catalogId?: string | null | undefined;
        }>>>;
        couchDbPassword: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        apiToken: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        remoteSupports: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            deviceName: z.ZodString;
            anydeskId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            anydeskPassword: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            anydeskId?: string | null | undefined;
            anydeskPassword?: string | null | undefined;
            deviceName: string;
        }, {
            anydeskId?: string | null | undefined;
            anydeskPassword?: string | null | undefined;
            deviceName: string;
        }>, "many">>>;
        payoutAccount: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
        clearCount: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        queueSetting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            enableOrder: z.ZodBoolean;
            initialNumber: z.ZodNumber;
            endNumber: z.ZodNumber;
            currentNumber: z.ZodNumber;
            autoCalledLimit: z.ZodNumber;
            duration: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }, "strip", z.ZodTypeAny, {
            duration?: number | null | undefined;
            enableOrder: boolean;
            initialNumber: number;
            endNumber: number;
            currentNumber: number;
            autoCalledLimit: number;
        }, {
            duration?: number | null | undefined;
            enableOrder: boolean;
            initialNumber: number;
            endNumber: number;
            currentNumber: number;
            autoCalledLimit: number;
        }>>>;
        tableMappingSetting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            enable: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            showSeat: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            mapBorderColor: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
            mapLineColor: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }, "strip", z.ZodTypeAny, {
            enable?: boolean | null | undefined;
            showSeat?: boolean | null | undefined;
            mapBorderColor?: number | null | undefined;
            mapLineColor?: number | null | undefined;
        }, {
            enable?: boolean | null | undefined;
            showSeat?: boolean | null | undefined;
            mapBorderColor?: number | null | undefined;
            mapLineColor?: number | null | undefined;
        }>>>;
        customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    }, "strip", z.ZodTypeAny, {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        channel?: string | null | undefined;
        machineId?: string | null | undefined;
        catalogId?: string | null | undefined;
        customAttributes?: Record<string, any> | null | undefined;
        takeaway?: {
            catalogId?: string | null | undefined;
        } | null | undefined;
        inHouseDelivery?: {
            taxes?: Record<string, {
                inclusive: boolean;
                taxCode: string;
                systemCode: string;
            }> | null | undefined;
            autoAccept?: boolean | null | undefined;
            deliveryTime?: {
                time?: string[] | null | undefined;
                custom?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            catalogId: string | null;
            enable: boolean;
            areas: {
                minPurchase?: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                } | null | undefined;
                freeAfterTotal?: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                } | null | undefined;
                polygon: number[][];
                deliveryFee: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                };
            }[];
            term: string;
        } | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        pf_business?: {
            internal?: boolean | null | undefined;
            url?: string | null | undefined;
            expiredAt?: string | null | undefined;
            agentId?: string | null | undefined;
            attributeSettings?: {
                options?: any[] | null | undefined;
                type: "string" | "number" | "boolean" | "date";
                key: string;
                entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
            }[] | null | undefined;
            pf_agent?: {
                clickupId?: string | null | undefined;
                members?: {
                    pf_user?: {
                        email?: string | null | undefined;
                        phoneNumber?: string | null | undefined;
                        birthday?: string | null | undefined;
                        gender?: "MALE" | "FEMALE" | null | undefined;
                        addresses?: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[] | null | undefined;
                        photoURL?: string | null | undefined;
                        displayName?: string | null | undefined;
                        imported?: {
                            raw: Record<string, any>;
                            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                        } | null | undefined;
                        _id: string;
                    } | null | undefined;
                    role: "ADMIN";
                    userId: string;
                }[] | null | undefined;
                code: string;
                name: string;
                _id: string;
                isReseller: boolean;
            } | null | undefined;
            thumbnail?: string | null | undefined;
            billingInfos?: {
                _id?: string | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                companyName: string;
                contact: string;
            }[] | null | undefined;
            customerDisplayImages?: {
                url: string;
                restaurantIds: string[];
            }[] | null | undefined;
            name: string;
            _id: string;
            ownerId: string;
            restaurantQuota: number;
            warehouseQuota: number;
            menuVersion: string;
        } | null | undefined;
        features?: string[] | null | undefined;
        machineOtp?: string | null | undefined;
        machineOtpExpiredAt?: string | null | undefined;
        posVersion?: string | null | undefined;
        posHeartbeat?: string | null | undefined;
        posVersionHistory?: Record<string, string> | null | undefined;
        additionalCatalogs?: string[] | null | undefined;
        feedmeDelivery?: {
            instruction?: string | null | undefined;
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            term?: string | null | undefined;
            ignoreStock?: boolean | null | undefined;
            enable: boolean;
        } | null | undefined;
        foodpandaDelivery?: {
            _id?: string | undefined;
            ignoreDiscount?: boolean | null | undefined;
            catalogId?: string | null | undefined;
            commissionRate?: number | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            autoAccept?: boolean | null | undefined;
            reportConfig?: {
                commissionRate: number;
                discountCampaigns: {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }[];
            } | null | undefined;
            hasSst?: boolean | null | undefined;
            enable: boolean;
            remoteId: string;
            autoCloseBill: boolean;
        } | null | undefined;
        grabfoodDelivery?: {
            _id?: string | undefined;
            catalogId?: string | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            enable: boolean;
            commissionRate: number;
            autoCloseBill: boolean;
            merchantID: string;
        } | null | undefined;
        shopeefoodDelivery?: {
            _id?: string | undefined;
            catalogId?: string | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            enable: boolean;
            autoCloseBill: boolean;
            reportConfig: {
                commissionRate: number;
                discountCampaigns: {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }[];
            };
            storeID: string;
        } | null | undefined;
        couchDbPassword?: string | null | undefined;
        apiToken?: string | null | undefined;
        remoteSupports?: {
            anydeskId?: string | null | undefined;
            anydeskPassword?: string | null | undefined;
            deviceName: string;
        }[] | null | undefined;
        payoutAccount?: Record<string, any> | null | undefined;
        clearCount?: number | null | undefined;
        queueSetting?: {
            duration?: number | null | undefined;
            enableOrder: boolean;
            initialNumber: number;
            endNumber: number;
            currentNumber: number;
            autoCalledLimit: number;
        } | null | undefined;
        tableMappingSetting?: {
            enable?: boolean | null | undefined;
            showSeat?: boolean | null | undefined;
            mapBorderColor?: number | null | undefined;
            mapLineColor?: number | null | undefined;
        } | null | undefined;
        _id: string;
        expiredAt: string;
        businessId: string;
        profile: {
            code?: string | null | undefined;
            url?: string | null | undefined;
            description?: string | null | undefined;
            _id?: string | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            discovery?: boolean | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    }, {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        channel?: string | null | undefined;
        machineId?: string | null | undefined;
        catalogId?: string | null | undefined;
        customAttributes?: Record<string, any> | null | undefined;
        takeaway?: {
            catalogId?: string | null | undefined;
        } | null | undefined;
        inHouseDelivery?: {
            taxes?: Record<string, {
                inclusive: boolean;
                taxCode: string;
                systemCode: string;
            }> | null | undefined;
            autoAccept?: boolean | null | undefined;
            deliveryTime?: {
                time?: string[] | null | undefined;
                custom?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            catalogId: string | null;
            enable: boolean;
            areas: {
                minPurchase?: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                } | null | undefined;
                freeAfterTotal?: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                } | null | undefined;
                polygon: number[][];
                deliveryFee: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                };
            }[];
            term: string;
        } | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        pf_business?: {
            internal?: boolean | null | undefined;
            url?: string | null | undefined;
            expiredAt?: string | null | undefined;
            agentId?: string | null | undefined;
            attributeSettings?: {
                options?: any[] | null | undefined;
                type: "string" | "number" | "boolean" | "date";
                key: string;
                entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
            }[] | null | undefined;
            pf_agent?: {
                clickupId?: string | null | undefined;
                members?: {
                    pf_user?: {
                        email?: string | null | undefined;
                        phoneNumber?: string | null | undefined;
                        birthday?: string | null | undefined;
                        gender?: "MALE" | "FEMALE" | null | undefined;
                        addresses?: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[] | null | undefined;
                        photoURL?: string | null | undefined;
                        displayName?: string | null | undefined;
                        imported?: {
                            raw: Record<string, any>;
                            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                        } | null | undefined;
                        _id: string;
                    } | null | undefined;
                    role: "ADMIN";
                    userId: string;
                }[] | null | undefined;
                code: string;
                name: string;
                _id: string;
                isReseller: boolean;
            } | null | undefined;
            thumbnail?: string | null | undefined;
            billingInfos?: {
                _id?: string | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                companyName: string;
                contact: string;
            }[] | null | undefined;
            customerDisplayImages?: {
                url: string;
                restaurantIds: string[];
            }[] | null | undefined;
            name: string;
            _id: string;
            ownerId: string;
            restaurantQuota: number;
            warehouseQuota: number;
            menuVersion: string;
        } | null | undefined;
        features?: string[] | null | undefined;
        machineOtp?: string | null | undefined;
        machineOtpExpiredAt?: string | null | undefined;
        posVersion?: string | null | undefined;
        posHeartbeat?: string | null | undefined;
        posVersionHistory?: Record<string, string> | null | undefined;
        additionalCatalogs?: string[] | null | undefined;
        feedmeDelivery?: {
            instruction?: string | null | undefined;
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            term?: string | null | undefined;
            ignoreStock?: boolean | null | undefined;
            enable: boolean;
        } | null | undefined;
        foodpandaDelivery?: {
            _id?: string | undefined;
            ignoreDiscount?: boolean | null | undefined;
            catalogId?: string | null | undefined;
            commissionRate?: number | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            autoAccept?: boolean | null | undefined;
            reportConfig?: {
                commissionRate: number;
                discountCampaigns: {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }[];
            } | null | undefined;
            hasSst?: boolean | null | undefined;
            enable: boolean;
            remoteId: string;
            autoCloseBill: boolean;
        } | null | undefined;
        grabfoodDelivery?: {
            _id?: string | undefined;
            catalogId?: string | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            enable: boolean;
            commissionRate: number;
            autoCloseBill: boolean;
            merchantID: string;
        } | null | undefined;
        shopeefoodDelivery?: {
            _id?: string | undefined;
            catalogId?: string | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            enable: boolean;
            autoCloseBill: boolean;
            reportConfig: {
                commissionRate: number;
                discountCampaigns: {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }[];
            };
            storeID: string;
        } | null | undefined;
        couchDbPassword?: string | null | undefined;
        apiToken?: string | null | undefined;
        remoteSupports?: {
            anydeskId?: string | null | undefined;
            anydeskPassword?: string | null | undefined;
            deviceName: string;
        }[] | null | undefined;
        payoutAccount?: Record<string, any> | null | undefined;
        clearCount?: number | null | undefined;
        queueSetting?: {
            duration?: number | null | undefined;
            enableOrder: boolean;
            initialNumber: number;
            endNumber: number;
            currentNumber: number;
            autoCalledLimit: number;
        } | null | undefined;
        tableMappingSetting?: {
            enable?: boolean | null | undefined;
            showSeat?: boolean | null | undefined;
            mapBorderColor?: number | null | undefined;
            mapLineColor?: number | null | undefined;
        } | null | undefined;
        _id: string;
        expiredAt: string;
        businessId: string;
        profile: {
            code?: string | null | undefined;
            url?: string | null | undefined;
            description?: string | null | undefined;
            _id?: string | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            discovery?: boolean | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    }>>>;
}>, "strip", z.ZodTypeAny, {
    pf_restaurant?: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        channel?: string | null | undefined;
        machineId?: string | null | undefined;
        catalogId?: string | null | undefined;
        customAttributes?: Record<string, any> | null | undefined;
        takeaway?: {
            catalogId?: string | null | undefined;
        } | null | undefined;
        inHouseDelivery?: {
            taxes?: Record<string, {
                inclusive: boolean;
                taxCode: string;
                systemCode: string;
            }> | null | undefined;
            autoAccept?: boolean | null | undefined;
            deliveryTime?: {
                time?: string[] | null | undefined;
                custom?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            catalogId: string | null;
            enable: boolean;
            areas: {
                minPurchase?: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                } | null | undefined;
                freeAfterTotal?: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                } | null | undefined;
                polygon: number[][];
                deliveryFee: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                };
            }[];
            term: string;
        } | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        pf_business?: {
            internal?: boolean | null | undefined;
            url?: string | null | undefined;
            expiredAt?: string | null | undefined;
            agentId?: string | null | undefined;
            attributeSettings?: {
                options?: any[] | null | undefined;
                type: "string" | "number" | "boolean" | "date";
                key: string;
                entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
            }[] | null | undefined;
            pf_agent?: {
                clickupId?: string | null | undefined;
                members?: {
                    pf_user?: {
                        email?: string | null | undefined;
                        phoneNumber?: string | null | undefined;
                        birthday?: string | null | undefined;
                        gender?: "MALE" | "FEMALE" | null | undefined;
                        addresses?: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[] | null | undefined;
                        photoURL?: string | null | undefined;
                        displayName?: string | null | undefined;
                        imported?: {
                            raw: Record<string, any>;
                            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                        } | null | undefined;
                        _id: string;
                    } | null | undefined;
                    role: "ADMIN";
                    userId: string;
                }[] | null | undefined;
                code: string;
                name: string;
                _id: string;
                isReseller: boolean;
            } | null | undefined;
            thumbnail?: string | null | undefined;
            billingInfos?: {
                _id?: string | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                companyName: string;
                contact: string;
            }[] | null | undefined;
            customerDisplayImages?: {
                url: string;
                restaurantIds: string[];
            }[] | null | undefined;
            name: string;
            _id: string;
            ownerId: string;
            restaurantQuota: number;
            warehouseQuota: number;
            menuVersion: string;
        } | null | undefined;
        features?: string[] | null | undefined;
        machineOtp?: string | null | undefined;
        machineOtpExpiredAt?: string | null | undefined;
        posVersion?: string | null | undefined;
        posHeartbeat?: string | null | undefined;
        posVersionHistory?: Record<string, string> | null | undefined;
        additionalCatalogs?: string[] | null | undefined;
        feedmeDelivery?: {
            instruction?: string | null | undefined;
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            term?: string | null | undefined;
            ignoreStock?: boolean | null | undefined;
            enable: boolean;
        } | null | undefined;
        foodpandaDelivery?: {
            _id?: string | undefined;
            ignoreDiscount?: boolean | null | undefined;
            catalogId?: string | null | undefined;
            commissionRate?: number | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            autoAccept?: boolean | null | undefined;
            reportConfig?: {
                commissionRate: number;
                discountCampaigns: {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }[];
            } | null | undefined;
            hasSst?: boolean | null | undefined;
            enable: boolean;
            remoteId: string;
            autoCloseBill: boolean;
        } | null | undefined;
        grabfoodDelivery?: {
            _id?: string | undefined;
            catalogId?: string | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            enable: boolean;
            commissionRate: number;
            autoCloseBill: boolean;
            merchantID: string;
        } | null | undefined;
        shopeefoodDelivery?: {
            _id?: string | undefined;
            catalogId?: string | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            enable: boolean;
            autoCloseBill: boolean;
            reportConfig: {
                commissionRate: number;
                discountCampaigns: {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }[];
            };
            storeID: string;
        } | null | undefined;
        couchDbPassword?: string | null | undefined;
        apiToken?: string | null | undefined;
        remoteSupports?: {
            anydeskId?: string | null | undefined;
            anydeskPassword?: string | null | undefined;
            deviceName: string;
        }[] | null | undefined;
        payoutAccount?: Record<string, any> | null | undefined;
        clearCount?: number | null | undefined;
        queueSetting?: {
            duration?: number | null | undefined;
            enableOrder: boolean;
            initialNumber: number;
            endNumber: number;
            currentNumber: number;
            autoCalledLimit: number;
        } | null | undefined;
        tableMappingSetting?: {
            enable?: boolean | null | undefined;
            showSeat?: boolean | null | undefined;
            mapBorderColor?: number | null | undefined;
            mapLineColor?: number | null | undefined;
        } | null | undefined;
        _id: string;
        expiredAt: string;
        businessId: string;
        profile: {
            code?: string | null | undefined;
            url?: string | null | undefined;
            description?: string | null | undefined;
            _id?: string | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            discovery?: boolean | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    } | null | undefined;
    _id: string;
    orderStatus: {
        message: string;
        status: "cancelled" | "pending" | "accepted";
    };
    raw: {
        pickup?: {
            pickupTime?: string | null | undefined;
            pickupAddress?: string | null | undefined;
            pickupCity?: string | null | undefined;
        } | null | undefined;
        delivery?: {
            address?: {
                latitude?: number | null | undefined;
                longitude?: number | null | undefined;
                deliveryInstructions?: string | null | undefined;
                number: string;
                street: string;
                building: string;
                district: string;
                city: string;
                line1: string;
                line2: string;
                postcode: string;
                company: string;
                deliveryArea: string;
                deliveryMainArea: string;
                entrance: string;
                flatNumber: string;
                floor: string;
                intercom: string;
                deliveryAreaPostcode: string;
                line3: string;
                line4: string;
                line5: string;
                other: string;
                room: string;
                structure: string;
                deliveryMainAreaPostcode: string;
            } | null | undefined;
            expectedDeliveryTime?: string | null | undefined;
            riderPickupTime?: string | null | undefined;
            expressDelivery: boolean;
        } | null | undefined;
        shortCode?: string | null | undefined;
        integrationInfo?: unknown;
        extraParameters?: unknown;
        corporateTaxId?: string | null | undefined;
        corporateOrder?: boolean | null | undefined;
        mobileOrder?: boolean | null | undefined;
        webOrder?: boolean | null | undefined;
        callbackUrls?: {
            orderAcceptedUrl: string;
            orderRejectedUrl: string;
            orderPreparedUrl: string;
        } | null | undefined;
        code: string;
        price: {
            deliveryFee?: string | null | undefined;
            riderTip?: string | null | undefined;
            comission?: string | null | undefined;
            containerCharge?: string | null | undefined;
            collectFromCustomer?: string | null | undefined;
            discountAmountTotal?: string | null | undefined;
            deliveryFeeDiscount?: string | null | undefined;
            serviceFeePercent?: string | null | undefined;
            serviceFeeTotal?: string | null | undefined;
            serviceTax?: number | null | undefined;
            serviceTaxValue?: number | null | undefined;
            differenceToMinimumDeliveryValue?: string | null | undefined;
            vatVisible?: boolean | null | undefined;
            vatPercent?: string | null | undefined;
            subTotal: string;
            deliveryFees: {
                name: string;
                value: number;
            }[];
            grandTotal: string;
            minimumDeliveryValue: string;
            payRestaurant: string;
            vatTotal: string;
        };
        products: {
            name?: string | null | undefined;
            id?: string | null | undefined;
            description?: string | null | undefined;
            quantity?: string | null | undefined;
            categoryName?: string | null | undefined;
            remoteCode?: string | null | undefined;
            paidPrice?: string | null | undefined;
            selectedToppings?: import("./foodpanda-order.do").FPSelectedTopping[] | null | undefined;
            unitPrice?: string | null | undefined;
            comment?: string | null | undefined;
            discountAmount?: string | null | undefined;
            halfHalf?: boolean | null | undefined;
            vatPercentage?: string | null | undefined;
            selectedChoices: string[];
            variation: {
                name: string;
            };
        }[];
        createdAt: string;
        customer: {
            firstName?: string | null | undefined;
            lastName?: string | null | undefined;
            mobilePhone?: string | null | undefined;
            code: string;
            id: string;
            email: string;
            mobilePhoneCountryCode: string;
        };
        payment: {
            type: string;
            status: "paid" | "pending";
            remoteCode: string;
            requiredMoneyChange: string;
            vatId: string;
            vatName: string;
        };
        vouchers: string[];
        discounts: {
            sponsorships?: {
                amount: string;
                sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
            }[] | null | undefined;
            name: string;
            type: string;
            amount: string;
        }[];
        token: string;
        comments: {
            customerComment?: string | null | undefined;
            vendorComment: string;
        };
        expeditionType: "pickup" | "delivery";
        expiryDate: string;
        localInfo: {
            countryCode?: string | null | undefined;
            currencySymbol?: string | null | undefined;
            email: string;
            phone: string;
            platform: string;
            platformKey: string;
            currencySymbolPosition: string;
            currencySymbolSpaces: string;
            decimalDigits: string;
            decimalSeparator: string;
            thousandsSeparator: string;
            website: string;
        };
        test: boolean;
        preOrder: boolean;
        platformRestaurant: {
            id: string;
        };
    };
    remoteId: string;
}, {
    pf_restaurant?: {
        pickup?: {
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            pickupTime?: {
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            pickupPointConfig?: {
                restaurantEnable: boolean;
                points: {
                    name: string;
                    address: string;
                    coordinates: number[];
                }[];
            } | null | undefined;
        } | null | undefined;
        channel?: string | null | undefined;
        machineId?: string | null | undefined;
        catalogId?: string | null | undefined;
        customAttributes?: Record<string, any> | null | undefined;
        takeaway?: {
            catalogId?: string | null | undefined;
        } | null | undefined;
        inHouseDelivery?: {
            taxes?: Record<string, {
                inclusive: boolean;
                taxCode: string;
                systemCode: string;
            }> | null | undefined;
            autoAccept?: boolean | null | undefined;
            deliveryTime?: {
                time?: string[] | null | undefined;
                custom?: {
                    0: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    2: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    1: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    3: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    4: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    5: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                    6: {
                        hours: {
                            end: string;
                            start: string;
                        }[];
                        enable: boolean;
                    };
                } | null | undefined;
                day: {
                    max: number;
                    min: number;
                };
            } | null | undefined;
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            autoAcceptPaidOnly?: boolean | null | undefined;
            ignoreStock?: boolean | null | undefined;
            catalogId: string | null;
            enable: boolean;
            areas: {
                minPurchase?: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                } | null | undefined;
                freeAfterTotal?: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                } | null | undefined;
                polygon: number[][];
                deliveryFee: {
                    currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                    amount: number;
                    precision: number;
                };
            }[];
            term: string;
        } | null | undefined;
        dineIn?: {
            paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ignoreStock?: boolean | null | undefined;
            staticQr?: boolean | null | undefined;
            disableItemRemark?: boolean | null | undefined;
            acceptQueue?: boolean | null | undefined;
            anonymousOrder: boolean;
        } | null | undefined;
        pf_business?: {
            internal?: boolean | null | undefined;
            url?: string | null | undefined;
            expiredAt?: string | null | undefined;
            agentId?: string | null | undefined;
            attributeSettings?: {
                options?: any[] | null | undefined;
                type: "string" | "number" | "boolean" | "date";
                key: string;
                entity: "restaurant" | "item" | "group" | "inventorySku" | "inventoryRecipe" | "warehouse";
            }[] | null | undefined;
            pf_agent?: {
                clickupId?: string | null | undefined;
                members?: {
                    pf_user?: {
                        email?: string | null | undefined;
                        phoneNumber?: string | null | undefined;
                        birthday?: string | null | undefined;
                        gender?: "MALE" | "FEMALE" | null | undefined;
                        addresses?: {
                            name: string;
                            address: string;
                            coordinates: number[];
                        }[] | null | undefined;
                        photoURL?: string | null | undefined;
                        displayName?: string | null | undefined;
                        imported?: {
                            raw: Record<string, any>;
                            source: "FEEDME" | "CITY_POS" | "STOREHUB" | "KERUYUn" | "QISOFT" | "WECHAT" | "TEABAR" | "NULL_MEMBER" | "UMAI_POS" | "QASHIER" | "XILNET" | "GENIUSPOS" | "YHOFOODIE";
                        } | null | undefined;
                        _id: string;
                    } | null | undefined;
                    role: "ADMIN";
                    userId: string;
                }[] | null | undefined;
                code: string;
                name: string;
                _id: string;
                isReseller: boolean;
            } | null | undefined;
            thumbnail?: string | null | undefined;
            billingInfos?: {
                _id?: string | null | undefined;
                name: string;
                address: {
                    coordinates?: number[] | null | undefined;
                    line2?: string | null | undefined;
                    state: string;
                    country: string;
                    line1: string;
                    city: string;
                    postcode: string;
                };
                email: string;
                companyName: string;
                contact: string;
            }[] | null | undefined;
            customerDisplayImages?: {
                url: string;
                restaurantIds: string[];
            }[] | null | undefined;
            name: string;
            _id: string;
            ownerId: string;
            restaurantQuota: number;
            warehouseQuota: number;
            menuVersion: string;
        } | null | undefined;
        features?: string[] | null | undefined;
        machineOtp?: string | null | undefined;
        machineOtpExpiredAt?: string | null | undefined;
        posVersion?: string | null | undefined;
        posHeartbeat?: string | null | undefined;
        posVersionHistory?: Record<string, string> | null | undefined;
        additionalCatalogs?: string[] | null | undefined;
        feedmeDelivery?: {
            instruction?: string | null | undefined;
            catalogId?: string | null | undefined;
            autoAccept?: boolean | null | undefined;
            term?: string | null | undefined;
            ignoreStock?: boolean | null | undefined;
            enable: boolean;
        } | null | undefined;
        foodpandaDelivery?: {
            _id?: string | undefined;
            ignoreDiscount?: boolean | null | undefined;
            catalogId?: string | null | undefined;
            commissionRate?: number | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            autoAccept?: boolean | null | undefined;
            reportConfig?: {
                commissionRate: number;
                discountCampaigns: {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }[];
            } | null | undefined;
            hasSst?: boolean | null | undefined;
            enable: boolean;
            remoteId: string;
            autoCloseBill: boolean;
        } | null | undefined;
        grabfoodDelivery?: {
            _id?: string | undefined;
            catalogId?: string | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            enable: boolean;
            commissionRate: number;
            autoCloseBill: boolean;
            merchantID: string;
        } | null | undefined;
        shopeefoodDelivery?: {
            _id?: string | undefined;
            catalogId?: string | null | undefined;
            lastSynchronize?: string | null | undefined;
            showProductAddon?: boolean | null | undefined;
            enable: boolean;
            autoCloseBill: boolean;
            reportConfig: {
                commissionRate: number;
                discountCampaigns: {
                    name: string;
                    date: {
                        end: string;
                        start: string;
                    };
                    vendorBearPercentage: number;
                }[];
            };
            storeID: string;
        } | null | undefined;
        couchDbPassword?: string | null | undefined;
        apiToken?: string | null | undefined;
        remoteSupports?: {
            anydeskId?: string | null | undefined;
            anydeskPassword?: string | null | undefined;
            deviceName: string;
        }[] | null | undefined;
        payoutAccount?: Record<string, any> | null | undefined;
        clearCount?: number | null | undefined;
        queueSetting?: {
            duration?: number | null | undefined;
            enableOrder: boolean;
            initialNumber: number;
            endNumber: number;
            currentNumber: number;
            autoCalledLimit: number;
        } | null | undefined;
        tableMappingSetting?: {
            enable?: boolean | null | undefined;
            showSeat?: boolean | null | undefined;
            mapBorderColor?: number | null | undefined;
            mapLineColor?: number | null | undefined;
        } | null | undefined;
        _id: string;
        expiredAt: string;
        businessId: string;
        profile: {
            code?: string | null | undefined;
            url?: string | null | undefined;
            description?: string | null | undefined;
            _id?: string | null | undefined;
            legalName?: string | null | undefined;
            sstRegNo?: string | null | undefined;
            discovery?: boolean | null | undefined;
            coverPhoto?: string | null | undefined;
            thumbnailPhoto?: string | null | undefined;
            photos?: string[] | null | undefined;
            operatingHours?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            tags?: string[] | null | undefined;
            name: string;
            address: {
                coordinates?: number[] | null | undefined;
                line2?: string | null | undefined;
                state: string;
                country: string;
                line1: string;
                city: string;
                postcode: string;
            };
            email: string;
            phoneNo: string;
            regNo: string;
        };
    } | null | undefined;
    _id: string;
    orderStatus: {
        message: string;
        status: "cancelled" | "pending" | "accepted";
    };
    raw: {
        pickup?: {
            pickupTime?: string | null | undefined;
            pickupAddress?: string | null | undefined;
            pickupCity?: string | null | undefined;
        } | null | undefined;
        delivery?: {
            address?: {
                latitude?: number | null | undefined;
                longitude?: number | null | undefined;
                deliveryInstructions?: string | null | undefined;
                number: string;
                street: string;
                building: string;
                district: string;
                city: string;
                line1: string;
                line2: string;
                postcode: string;
                company: string;
                deliveryArea: string;
                deliveryMainArea: string;
                entrance: string;
                flatNumber: string;
                floor: string;
                intercom: string;
                deliveryAreaPostcode: string;
                line3: string;
                line4: string;
                line5: string;
                other: string;
                room: string;
                structure: string;
                deliveryMainAreaPostcode: string;
            } | null | undefined;
            expectedDeliveryTime?: string | null | undefined;
            riderPickupTime?: string | null | undefined;
            expressDelivery: boolean;
        } | null | undefined;
        shortCode?: string | null | undefined;
        integrationInfo?: unknown;
        extraParameters?: unknown;
        corporateTaxId?: string | null | undefined;
        corporateOrder?: boolean | null | undefined;
        mobileOrder?: boolean | null | undefined;
        webOrder?: boolean | null | undefined;
        callbackUrls?: {
            orderAcceptedUrl: string;
            orderRejectedUrl: string;
            orderPreparedUrl: string;
        } | null | undefined;
        code: string;
        price: {
            deliveryFee?: string | null | undefined;
            riderTip?: string | null | undefined;
            comission?: string | null | undefined;
            containerCharge?: string | null | undefined;
            collectFromCustomer?: string | null | undefined;
            discountAmountTotal?: string | null | undefined;
            deliveryFeeDiscount?: string | null | undefined;
            serviceFeePercent?: string | null | undefined;
            serviceFeeTotal?: string | null | undefined;
            serviceTax?: number | null | undefined;
            serviceTaxValue?: number | null | undefined;
            differenceToMinimumDeliveryValue?: string | null | undefined;
            vatVisible?: boolean | null | undefined;
            vatPercent?: string | null | undefined;
            subTotal: string;
            deliveryFees: {
                name: string;
                value: number;
            }[];
            grandTotal: string;
            minimumDeliveryValue: string;
            payRestaurant: string;
            vatTotal: string;
        };
        products: {
            name?: string | null | undefined;
            id?: string | null | undefined;
            description?: string | null | undefined;
            quantity?: string | null | undefined;
            categoryName?: string | null | undefined;
            remoteCode?: string | null | undefined;
            paidPrice?: string | null | undefined;
            selectedToppings?: import("./foodpanda-order.do").FPSelectedTopping[] | null | undefined;
            unitPrice?: string | null | undefined;
            comment?: string | null | undefined;
            discountAmount?: string | null | undefined;
            halfHalf?: boolean | null | undefined;
            vatPercentage?: string | null | undefined;
            selectedChoices: string[];
            variation: {
                name: string;
            };
        }[];
        createdAt: string;
        customer: {
            firstName?: string | null | undefined;
            lastName?: string | null | undefined;
            mobilePhone?: string | null | undefined;
            code: string;
            id: string;
            email: string;
            mobilePhoneCountryCode: string;
        };
        payment: {
            type: string;
            status: "paid" | "pending";
            remoteCode: string;
            requiredMoneyChange: string;
            vatId: string;
            vatName: string;
        };
        vouchers: string[];
        discounts: {
            sponsorships?: {
                amount: string;
                sponsor: "PLATFORM" | "VENDOR" | "THIRD_PARTY";
            }[] | null | undefined;
            name: string;
            type: string;
            amount: string;
        }[];
        token: string;
        comments: {
            customerComment?: string | null | undefined;
            vendorComment: string;
        };
        expeditionType: "pickup" | "delivery";
        expiryDate: string;
        localInfo: {
            countryCode?: string | null | undefined;
            currencySymbol?: string | null | undefined;
            email: string;
            phone: string;
            platform: string;
            platformKey: string;
            currencySymbolPosition: string;
            currencySymbolSpaces: string;
            decimalDigits: string;
            decimalSeparator: string;
            thousandsSeparator: string;
            website: string;
        };
        test: boolean;
        preOrder: boolean;
        platformRestaurant: {
            id: string;
        };
    };
    remoteId: string;
}>;
declare const FPdtoUpdateOrder: z.ZodObject<{
    status: z.ZodString;
    message: z.ZodString;
}, "strip", z.ZodTypeAny, {
    message: string;
    status: string;
}, {
    message: string;
    status: string;
}>;
declare const FPRemoteResponse: z.ZodObject<{
    remoteResponse: z.ZodObject<{
        remoteOrderId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        remoteOrderId: string;
    }, {
        remoteOrderId: string;
    }>;
}, "strip", z.ZodTypeAny, {
    remoteResponse: {
        remoteOrderId: string;
    };
}, {
    remoteResponse: {
        remoteOrderId: string;
    };
}>;
export declare const FPdtoUpdateOrderRes: z.ZodObject<{
    message: z.ZodString;
}, "strip", z.ZodTypeAny, {
    message: string;
}, {
    message: string;
}>;
declare const FPBaseUpdateOrderData: z.ZodObject<{
    status: z.ZodEnum<["order_accepted", "order_rejected", "order_picked_up"]>;
}, "strip", z.ZodTypeAny, {
    status: "order_accepted" | "order_rejected" | "order_picked_up";
}, {
    status: "order_accepted" | "order_rejected" | "order_picked_up";
}>;
declare const FPRejectOrder: z.ZodObject<z.extendShape<{
    status: z.ZodEnum<["order_accepted", "order_rejected", "order_picked_up"]>;
}, {
    status: z.ZodLiteral<"order_rejected">;
    message: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    reason: z.ZodEnum<["ADDRESS_INCOMPLETE_MISSTATED", "BAD_WEATHER", "BLACKLISTED", "CARD_READER_NOT_AVAILABLE", "CLOSED", "CONTENT_WRONG_MISLEADING", "FOOD_QUALITY_SPILLAGE", "FRAUD_PRANK", "ITEM_UNAVAILABLE", "LATE_DELIVERY", "MENU_ACCOUNT_SETTINGS", "MOV_NOT_REACHED", "NO_COURIER", "NO_PICKER", "NO_RESPONSE", "OUTSIDE_DELIVERY_AREA", "TECHNICAL_PROBLEM", "TEST_ORDER", "TOO_BUSY", "UNABLE_TO_FIND", "UNABLE_TO_PAY", "UNPROFESSIONAL_BEHAVIOUR", "WILL_NOT_WORK_WITH", "WRONG_ORDER_ITEMS_DELIVERED"]>;
}>, "strip", z.ZodTypeAny, {
    message?: string | null | undefined;
    status: "order_rejected";
    reason: "ADDRESS_INCOMPLETE_MISSTATED" | "BAD_WEATHER" | "BLACKLISTED" | "CARD_READER_NOT_AVAILABLE" | "CLOSED" | "CONTENT_WRONG_MISLEADING" | "FOOD_QUALITY_SPILLAGE" | "FRAUD_PRANK" | "ITEM_UNAVAILABLE" | "LATE_DELIVERY" | "MENU_ACCOUNT_SETTINGS" | "MOV_NOT_REACHED" | "NO_COURIER" | "NO_PICKER" | "NO_RESPONSE" | "OUTSIDE_DELIVERY_AREA" | "TECHNICAL_PROBLEM" | "TEST_ORDER" | "TOO_BUSY" | "UNABLE_TO_FIND" | "UNABLE_TO_PAY" | "UNPROFESSIONAL_BEHAVIOUR" | "WRONG_ORDER_ITEMS_DELIVERED" | "WILL_NOT_WORK_WITH";
}, {
    message?: string | null | undefined;
    status: "order_rejected";
    reason: "ADDRESS_INCOMPLETE_MISSTATED" | "BAD_WEATHER" | "BLACKLISTED" | "CARD_READER_NOT_AVAILABLE" | "CLOSED" | "CONTENT_WRONG_MISLEADING" | "FOOD_QUALITY_SPILLAGE" | "FRAUD_PRANK" | "ITEM_UNAVAILABLE" | "LATE_DELIVERY" | "MENU_ACCOUNT_SETTINGS" | "MOV_NOT_REACHED" | "NO_COURIER" | "NO_PICKER" | "NO_RESPONSE" | "OUTSIDE_DELIVERY_AREA" | "TECHNICAL_PROBLEM" | "TEST_ORDER" | "TOO_BUSY" | "UNABLE_TO_FIND" | "UNABLE_TO_PAY" | "UNPROFESSIONAL_BEHAVIOUR" | "WRONG_ORDER_ITEMS_DELIVERED" | "WILL_NOT_WORK_WITH";
}>;
declare const FPAcceptOrder: z.ZodObject<z.extendShape<{
    status: z.ZodEnum<["order_accepted", "order_rejected", "order_picked_up"]>;
}, {
    status: z.ZodLiteral<"order_accepted">;
    acceptanceTime: z.ZodString;
    remoteOrderId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}>, "strip", z.ZodTypeAny, {
    remoteOrderId?: string | null | undefined;
    status: "order_accepted";
    acceptanceTime: string;
}, {
    remoteOrderId?: string | null | undefined;
    status: "order_accepted";
    acceptanceTime: string;
}>;
export type FPBaseUpdateOrderData = z.infer<typeof FPBaseUpdateOrderData>;
export type FPRejectOrder = z.infer<typeof FPRejectOrder>;
export type FPAcceptOrder = z.infer<typeof FPAcceptOrder>;
export type FPdtoUpdateOrderRes = z.infer<typeof FPdtoUpdateOrderRes>;
export type FPRemoteResponse = z.infer<typeof FPRemoteResponse>;
export type FPdtoUpdateOrder = z.infer<typeof FPdtoUpdateOrder>;
export type FdoFoodpandaOrderOutput = z.infer<typeof FdoFoodpandaOrderOutput>;
export type FdtoFoodpandaAcceptOrderReq = z.infer<typeof FdtoFoodpandaAcceptOrderReq>;
export type FdtoFoodpandaRejectOrderReq = z.infer<typeof FdtoFoodpandaRejectOrderReq>;
export type FdtoFoodpandaCallRiderRes = z.infer<typeof FdtoFoodpandaCallRiderRes>;
export type FdtoFoodpandaUpdateOrder = z.infer<typeof FdtoFoodpandaUpdateOrder>;
export {};
