import { z } from 'zod';
export declare const FdtoOrderReadMenu: z.ZodObject<{
    restaurantId: z.ZodString;
    option: z.ZodUnion<[z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["DINE_IN", "PICKUP", "DELIVERY"]>;
        remark: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, {
        type: z.ZodLiteral<"DINE_IN">;
        pax: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        sub: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
        }, {
            type: z.ZodLiteral<"QR">;
            session: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            slot: z.ZodString;
        }>, "strip", z.ZodTypeAny, {
            session?: string | null | undefined;
            slot: string;
            type: "QR";
        }, {
            session?: string | null | undefined;
            slot: string;
            type: "QR";
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
        }, {
            type: z.ZodLiteral<"QUEUE">;
            queueId: z.ZodEffects<z.ZodString, string, string>;
            slot: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }>, "strip", z.ZodTypeAny, {
            slot?: string | null | undefined;
            type: "QUEUE";
            queueId: string;
        }, {
            slot?: string | null | undefined;
            type: "QUEUE";
            queueId: string;
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
        }, {
            type: z.ZodLiteral<"RESERVATION">;
            reservationId: z.ZodEffects<z.ZodString, string, string>;
            pf_booking: z.ZodOptional<z.ZodLazy<z.ZodObject<z.extendShape<{
                _id: z.ZodString;
                type: z.ZodEnum<["QUEUE", "RESERVATION"]>;
                restaurantId: z.ZodString;
                userId: z.ZodOptional<z.ZodString>;
                seqNumber: z.ZodOptional<z.ZodString>;
                pax: z.ZodNumber;
                rejectReason: z.ZodOptional<z.ZodString>;
                pf_restaurant: z.ZodOptional<z.ZodAny>;
                pf_user: z.ZodOptional<z.ZodAny>;
            }, {
                type: z.ZodLiteral<"RESERVATION">;
                reserveAt: z.ZodString;
            }>, "strip", z.ZodTypeAny, {
                seqNumber?: string | undefined;
                userId?: string | undefined;
                rejectReason?: string | undefined;
                pf_restaurant?: any;
                pf_user?: any;
                type: "RESERVATION";
                _id: string;
                restaurantId: string;
                pax: number;
                reserveAt: string;
            }, {
                seqNumber?: string | undefined;
                userId?: string | undefined;
                rejectReason?: string | undefined;
                pf_restaurant?: any;
                pf_user?: any;
                type: "RESERVATION";
                _id: string;
                restaurantId: string;
                pax: number;
                reserveAt: string;
            }>>>;
            slot: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }>, "strip", z.ZodTypeAny, {
            slot?: string | null | undefined;
            pf_booking?: {
                seqNumber?: string | undefined;
                userId?: string | undefined;
                rejectReason?: string | undefined;
                pf_restaurant?: any;
                pf_user?: any;
                type: "RESERVATION";
                _id: string;
                restaurantId: string;
                pax: number;
                reserveAt: string;
            } | undefined;
            type: "RESERVATION";
            reservationId: string;
        }, {
            slot?: string | null | undefined;
            pf_booking?: {
                seqNumber?: string | undefined;
                userId?: string | undefined;
                rejectReason?: string | undefined;
                pf_restaurant?: any;
                pf_user?: any;
                type: "RESERVATION";
                _id: string;
                restaurantId: string;
                pax: number;
                reserveAt: string;
            } | undefined;
            type: "RESERVATION";
            reservationId: string;
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["QR", "QUEUE", "RESERVATION", "TAKEAWAY"]>;
        }, {
            type: z.ZodLiteral<"TAKEAWAY">;
            slot: z.ZodString;
            seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }>, "strip", z.ZodTypeAny, {
            seqNumber?: string | null | undefined;
            slot: string;
            type: "TAKEAWAY";
        }, {
            seqNumber?: string | null | undefined;
            slot: string;
            type: "TAKEAWAY";
        }>>;
    }>, "strip", z.ZodTypeAny, {
        remark?: string | null | undefined;
        pax?: number | null | undefined;
        sub: {
            session?: string | null | undefined;
            slot: string;
            type: "QR";
        } | {
            slot?: string | null | undefined;
            type: "QUEUE";
            queueId: string;
        } | {
            slot?: string | null | undefined;
            pf_booking?: {
                seqNumber?: string | undefined;
                userId?: string | undefined;
                rejectReason?: string | undefined;
                pf_restaurant?: any;
                pf_user?: any;
                type: "RESERVATION";
                _id: string;
                restaurantId: string;
                pax: number;
                reserveAt: string;
            } | undefined;
            type: "RESERVATION";
            reservationId: string;
        } | {
            seqNumber?: string | null | undefined;
            slot: string;
            type: "TAKEAWAY";
        };
        type: "DINE_IN";
    }, {
        remark?: string | null | undefined;
        pax?: number | null | undefined;
        sub: {
            session?: string | null | undefined;
            slot: string;
            type: "QR";
        } | {
            slot?: string | null | undefined;
            type: "QUEUE";
            queueId: string;
        } | {
            slot?: string | null | undefined;
            pf_booking?: {
                seqNumber?: string | undefined;
                userId?: string | undefined;
                rejectReason?: string | undefined;
                pf_restaurant?: any;
                pf_user?: any;
                type: "RESERVATION";
                _id: string;
                restaurantId: string;
                pax: number;
                reserveAt: string;
            } | undefined;
            type: "RESERVATION";
            reservationId: string;
        } | {
            seqNumber?: string | null | undefined;
            slot: string;
            type: "TAKEAWAY";
        };
        type: "DINE_IN";
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["DINE_IN", "PICKUP", "DELIVERY"]>;
        remark: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, {
        type: z.ZodLiteral<"PICKUP">;
        contactNumber: z.ZodString;
        pickupAt: z.ZodString;
        pickupPoint: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
            name: z.ZodString;
            address: z.ZodString;
            coordinates: z.ZodArray<z.ZodNumber, "many">;
        }, "strip", z.ZodTypeAny, {
            name: string;
            address: string;
            coordinates: number[];
        }, {
            name: string;
            address: string;
            coordinates: number[];
        }>>>>;
    }>, "strip", z.ZodTypeAny, {
        remark?: string | null | undefined;
        pickupPoint?: {
            name: string;
            address: string;
            coordinates: number[];
        } | null | undefined;
        type: "PICKUP";
        contactNumber: string;
        pickupAt: string;
    }, {
        remark?: string | null | undefined;
        pickupPoint?: {
            name: string;
            address: string;
            coordinates: number[];
        } | null | undefined;
        type: "PICKUP";
        contactNumber: string;
        pickupAt: string;
    }> | z.ZodObject<z.extendShape<{
        type: z.ZodEnum<["DINE_IN", "PICKUP", "DELIVERY"]>;
        remark: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, {
        deliveryType: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodEnum<["IN_HOUSE", "FEEDME"]>>>>;
        deliveryRemark: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        type: z.ZodLiteral<"DELIVERY">;
        status: z.ZodEnum<["CREATING", "NEW", "IN_DELIVER", "PICKING_UP", "IN_RETURN", "CANCELED", "RETURNED", "COMPLETE", "FAILED", "REFUSED"]>;
        providers: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["GRAB_EXPRESS", "PANDA_GO", "KOSMO", "MANUAL", "IN_HOUSE"]>;
            status: z.ZodEnum<["CREATING", "NEW", "IN_DELIVER", "PICKING_UP", "IN_RETURN", "CANCELED", "RETURNED", "COMPLETE", "FAILED", "REFUSED"]>;
            driver: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
                name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                phone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                pictureURL: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                coordinates: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    lat: z.ZodNumber;
                    lng: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    lat: number;
                    lng: number;
                }, {
                    lat: number;
                    lng: number;
                }>>>;
                vehicle: z.ZodObject<{
                    physicalVehicleType: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    licensePlate: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    model: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                }, "strip", z.ZodTypeAny, {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                }, {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                }>;
            }, "strip", z.ZodTypeAny, {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            }, {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            }>>>>;
            deliveryId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            webhookResponses: z.ZodArray<z.ZodObject<{
                date: z.ZodString;
                body: z.ZodUnknown;
            }, "strip", z.ZodTypeAny, {
                body?: unknown;
                date: string;
            }, {
                body?: unknown;
                date: string;
            }>, "many">;
            deliveryFee: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }>>>;
            origin: z.ZodObject<{
                coordinates: z.ZodObject<{
                    lat: z.ZodNumber;
                    lng: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    lat: number;
                    lng: number;
                }, {
                    lat: number;
                    lng: number;
                }>;
                city: z.ZodOptional<z.ZodString>;
                addressLine: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            }, {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            }>;
            phone: z.ZodString;
            trackingUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            instruction: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            pickupRef: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, {
            type: z.ZodLiteral<"GRAB_EXPRESS">;
        }>, "strip", z.ZodTypeAny, {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "GRAB_EXPRESS";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        }, {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "GRAB_EXPRESS";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["GRAB_EXPRESS", "PANDA_GO", "KOSMO", "MANUAL", "IN_HOUSE"]>;
            status: z.ZodEnum<["CREATING", "NEW", "IN_DELIVER", "PICKING_UP", "IN_RETURN", "CANCELED", "RETURNED", "COMPLETE", "FAILED", "REFUSED"]>;
            driver: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
                name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                phone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                pictureURL: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                coordinates: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    lat: z.ZodNumber;
                    lng: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    lat: number;
                    lng: number;
                }, {
                    lat: number;
                    lng: number;
                }>>>;
                vehicle: z.ZodObject<{
                    physicalVehicleType: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    licensePlate: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    model: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                }, "strip", z.ZodTypeAny, {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                }, {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                }>;
            }, "strip", z.ZodTypeAny, {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            }, {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            }>>>>;
            deliveryId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            webhookResponses: z.ZodArray<z.ZodObject<{
                date: z.ZodString;
                body: z.ZodUnknown;
            }, "strip", z.ZodTypeAny, {
                body?: unknown;
                date: string;
            }, {
                body?: unknown;
                date: string;
            }>, "many">;
            deliveryFee: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }>>>;
            origin: z.ZodObject<{
                coordinates: z.ZodObject<{
                    lat: z.ZodNumber;
                    lng: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    lat: number;
                    lng: number;
                }, {
                    lat: number;
                    lng: number;
                }>;
                city: z.ZodOptional<z.ZodString>;
                addressLine: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            }, {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            }>;
            phone: z.ZodString;
            trackingUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            instruction: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            pickupRef: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, {
            type: z.ZodLiteral<"KOSMO">;
        }>, "strip", z.ZodTypeAny, {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "KOSMO";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        }, {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "KOSMO";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["GRAB_EXPRESS", "PANDA_GO", "KOSMO", "MANUAL", "IN_HOUSE"]>;
            status: z.ZodEnum<["CREATING", "NEW", "IN_DELIVER", "PICKING_UP", "IN_RETURN", "CANCELED", "RETURNED", "COMPLETE", "FAILED", "REFUSED"]>;
            driver: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
                name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                phone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                pictureURL: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                coordinates: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    lat: z.ZodNumber;
                    lng: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    lat: number;
                    lng: number;
                }, {
                    lat: number;
                    lng: number;
                }>>>;
                vehicle: z.ZodObject<{
                    physicalVehicleType: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    licensePlate: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    model: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                }, "strip", z.ZodTypeAny, {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                }, {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                }>;
            }, "strip", z.ZodTypeAny, {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            }, {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            }>>>>;
            deliveryId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            webhookResponses: z.ZodArray<z.ZodObject<{
                date: z.ZodString;
                body: z.ZodUnknown;
            }, "strip", z.ZodTypeAny, {
                body?: unknown;
                date: string;
            }, {
                body?: unknown;
                date: string;
            }>, "many">;
            deliveryFee: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }>>>;
            origin: z.ZodObject<{
                coordinates: z.ZodObject<{
                    lat: z.ZodNumber;
                    lng: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    lat: number;
                    lng: number;
                }, {
                    lat: number;
                    lng: number;
                }>;
                city: z.ZodOptional<z.ZodString>;
                addressLine: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            }, {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            }>;
            phone: z.ZodString;
            trackingUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            instruction: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            pickupRef: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, {
            type: z.ZodLiteral<"PANDA_GO">;
        }>, "strip", z.ZodTypeAny, {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "PANDA_GO";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        }, {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "PANDA_GO";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        }> | z.ZodObject<z.extendShape<{
            type: z.ZodEnum<["GRAB_EXPRESS", "PANDA_GO", "KOSMO", "MANUAL", "IN_HOUSE"]>;
            status: z.ZodEnum<["CREATING", "NEW", "IN_DELIVER", "PICKING_UP", "IN_RETURN", "CANCELED", "RETURNED", "COMPLETE", "FAILED", "REFUSED"]>;
            driver: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
                name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                phone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                pictureURL: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                coordinates: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    lat: z.ZodNumber;
                    lng: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    lat: number;
                    lng: number;
                }, {
                    lat: number;
                    lng: number;
                }>>>;
                vehicle: z.ZodObject<{
                    physicalVehicleType: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    licensePlate: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    model: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                }, "strip", z.ZodTypeAny, {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                }, {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                }>;
            }, "strip", z.ZodTypeAny, {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            }, {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            }>>>>;
            deliveryId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            webhookResponses: z.ZodArray<z.ZodObject<{
                date: z.ZodString;
                body: z.ZodUnknown;
            }, "strip", z.ZodTypeAny, {
                body?: unknown;
                date: string;
            }, {
                body?: unknown;
                date: string;
            }>, "many">;
            deliveryFee: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }>>>;
            origin: z.ZodObject<{
                coordinates: z.ZodObject<{
                    lat: z.ZodNumber;
                    lng: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    lat: number;
                    lng: number;
                }, {
                    lat: number;
                    lng: number;
                }>;
                city: z.ZodOptional<z.ZodString>;
                addressLine: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            }, {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            }>;
            phone: z.ZodString;
            trackingUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            instruction: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            pickupRef: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, {
            type: z.ZodLiteral<"MANUAL">;
            choosenService: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodEnum<["GRAB_EXPRESS", "PANDA_GO"]>>>>;
            remark: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }>, "strip", z.ZodTypeAny, {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            remark?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            choosenService?: "GRAB_EXPRESS" | "PANDA_GO" | null | undefined;
            type: "MANUAL";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        }, {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            remark?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            choosenService?: "GRAB_EXPRESS" | "PANDA_GO" | null | undefined;
            type: "MANUAL";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        }>>, "many">>>;
        contactNumber: z.ZodString;
        addressLine: z.ZodString;
        lat: z.ZodNumber;
        lng: z.ZodNumber;
        deliveryFee: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        quoteDeliveryFee: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodEffects<z.ZodObject<{
            providerType: z.ZodEnum<["GRAB_EXPRESS", "PANDA_GO", "KOSMO", "MANUAL", "IN_HOUSE"]>;
            providerQuote: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }>>>;
            surcharge: z.ZodObject<{
                currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }>;
        }, "strip", z.ZodTypeAny, {
            providerQuote?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            providerType: "GRAB_EXPRESS" | "PANDA_GO" | "KOSMO" | "MANUAL" | "IN_HOUSE";
            surcharge: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
        }, {
            providerQuote?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            providerType: "GRAB_EXPRESS" | "PANDA_GO" | "KOSMO" | "MANUAL" | "IN_HOUSE";
            surcharge: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
        }>, {
            total: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            providerQuote?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            providerType: "GRAB_EXPRESS" | "PANDA_GO" | "KOSMO" | "MANUAL" | "IN_HOUSE";
            surcharge: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
        }, {
            providerQuote?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            providerType: "GRAB_EXPRESS" | "PANDA_GO" | "KOSMO" | "MANUAL" | "IN_HOUSE";
            surcharge: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
        }>>>>;
        deliveryAt: z.ZodString;
        allocatingAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }>, "strip", z.ZodTypeAny, {
        providers?: ({
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "GRAB_EXPRESS";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        } | {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "KOSMO";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        } | {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "PANDA_GO";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        } | {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            remark?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            choosenService?: "GRAB_EXPRESS" | "PANDA_GO" | null | undefined;
            type: "MANUAL";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        })[] | null | undefined;
        deliveryType?: "IN_HOUSE" | "FEEDME" | null | undefined;
        deliveryRemark?: string | null | undefined;
        remark?: string | null | undefined;
        quoteDeliveryFee?: {
            total: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            providerQuote?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            providerType: "GRAB_EXPRESS" | "PANDA_GO" | "KOSMO" | "MANUAL" | "IN_HOUSE";
            surcharge: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
        } | null | undefined;
        allocatingAt?: string | null | undefined;
        lat: number;
        lng: number;
        type: "DELIVERY";
        status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
        addressLine: string;
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        contactNumber: string;
        deliveryAt: string;
    }, {
        providers?: ({
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "GRAB_EXPRESS";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        } | {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "KOSMO";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        } | {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "PANDA_GO";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        } | {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            remark?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            choosenService?: "GRAB_EXPRESS" | "PANDA_GO" | null | undefined;
            type: "MANUAL";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        })[] | null | undefined;
        deliveryType?: "IN_HOUSE" | "FEEDME" | null | undefined;
        deliveryRemark?: string | null | undefined;
        remark?: string | null | undefined;
        quoteDeliveryFee?: {
            providerQuote?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            providerType: "GRAB_EXPRESS" | "PANDA_GO" | "KOSMO" | "MANUAL" | "IN_HOUSE";
            surcharge: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
        } | null | undefined;
        allocatingAt?: string | null | undefined;
        lat: number;
        lng: number;
        type: "DELIVERY";
        status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
        addressLine: string;
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        contactNumber: string;
        deliveryAt: string;
    }>>, z.ZodObject<{
        type: z.ZodLiteral<"DEFAULT">;
    }, "strip", z.ZodTypeAny, {
        type: "DEFAULT";
    }, {
        type: "DEFAULT";
    }>]>;
}, "strip", z.ZodTypeAny, {
    option: {
        remark?: string | null | undefined;
        pax?: number | null | undefined;
        sub: {
            session?: string | null | undefined;
            slot: string;
            type: "QR";
        } | {
            slot?: string | null | undefined;
            type: "QUEUE";
            queueId: string;
        } | {
            slot?: string | null | undefined;
            pf_booking?: {
                seqNumber?: string | undefined;
                userId?: string | undefined;
                rejectReason?: string | undefined;
                pf_restaurant?: any;
                pf_user?: any;
                type: "RESERVATION";
                _id: string;
                restaurantId: string;
                pax: number;
                reserveAt: string;
            } | undefined;
            type: "RESERVATION";
            reservationId: string;
        } | {
            seqNumber?: string | null | undefined;
            slot: string;
            type: "TAKEAWAY";
        };
        type: "DINE_IN";
    } | {
        remark?: string | null | undefined;
        pickupPoint?: {
            name: string;
            address: string;
            coordinates: number[];
        } | null | undefined;
        type: "PICKUP";
        contactNumber: string;
        pickupAt: string;
    } | {
        providers?: ({
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "GRAB_EXPRESS";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        } | {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "KOSMO";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        } | {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "PANDA_GO";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        } | {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            remark?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            choosenService?: "GRAB_EXPRESS" | "PANDA_GO" | null | undefined;
            type: "MANUAL";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        })[] | null | undefined;
        deliveryType?: "IN_HOUSE" | "FEEDME" | null | undefined;
        deliveryRemark?: string | null | undefined;
        remark?: string | null | undefined;
        quoteDeliveryFee?: {
            total: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            providerQuote?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            providerType: "GRAB_EXPRESS" | "PANDA_GO" | "KOSMO" | "MANUAL" | "IN_HOUSE";
            surcharge: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
        } | null | undefined;
        allocatingAt?: string | null | undefined;
        lat: number;
        lng: number;
        type: "DELIVERY";
        status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
        addressLine: string;
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        contactNumber: string;
        deliveryAt: string;
    } | {
        type: "DEFAULT";
    };
    restaurantId: string;
}, {
    option: {
        remark?: string | null | undefined;
        pax?: number | null | undefined;
        sub: {
            session?: string | null | undefined;
            slot: string;
            type: "QR";
        } | {
            slot?: string | null | undefined;
            type: "QUEUE";
            queueId: string;
        } | {
            slot?: string | null | undefined;
            pf_booking?: {
                seqNumber?: string | undefined;
                userId?: string | undefined;
                rejectReason?: string | undefined;
                pf_restaurant?: any;
                pf_user?: any;
                type: "RESERVATION";
                _id: string;
                restaurantId: string;
                pax: number;
                reserveAt: string;
            } | undefined;
            type: "RESERVATION";
            reservationId: string;
        } | {
            seqNumber?: string | null | undefined;
            slot: string;
            type: "TAKEAWAY";
        };
        type: "DINE_IN";
    } | {
        remark?: string | null | undefined;
        pickupPoint?: {
            name: string;
            address: string;
            coordinates: number[];
        } | null | undefined;
        type: "PICKUP";
        contactNumber: string;
        pickupAt: string;
    } | {
        providers?: ({
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "GRAB_EXPRESS";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        } | {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "KOSMO";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        } | {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            type: "PANDA_GO";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        } | {
            instruction?: string | null | undefined;
            driver?: {
                name?: string | null | undefined;
                coordinates?: {
                    lat: number;
                    lng: number;
                } | null | undefined;
                phone?: string | null | undefined;
                pictureURL?: string | null | undefined;
                vehicle: {
                    licensePlate?: string | null | undefined;
                    physicalVehicleType?: string | null | undefined;
                    model?: string | null | undefined;
                };
            } | null | undefined;
            deliveryId?: string | null | undefined;
            remark?: string | null | undefined;
            deliveryFee?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            trackingUrl?: string | null | undefined;
            pickupRef?: string | null | undefined;
            choosenService?: "GRAB_EXPRESS" | "PANDA_GO" | null | undefined;
            type: "MANUAL";
            status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
            phone: string;
            origin: {
                city?: string | undefined;
                coordinates: {
                    lat: number;
                    lng: number;
                };
                addressLine: string;
            };
            webhookResponses: {
                body?: unknown;
                date: string;
            }[];
        })[] | null | undefined;
        deliveryType?: "IN_HOUSE" | "FEEDME" | null | undefined;
        deliveryRemark?: string | null | undefined;
        remark?: string | null | undefined;
        quoteDeliveryFee?: {
            providerQuote?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            providerType: "GRAB_EXPRESS" | "PANDA_GO" | "KOSMO" | "MANUAL" | "IN_HOUSE";
            surcharge: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
        } | null | undefined;
        allocatingAt?: string | null | undefined;
        lat: number;
        lng: number;
        type: "DELIVERY";
        status: "CREATING" | "NEW" | "IN_DELIVER" | "PICKING_UP" | "IN_RETURN" | "CANCELED" | "RETURNED" | "COMPLETE" | "FAILED" | "REFUSED";
        addressLine: string;
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        contactNumber: string;
        deliveryAt: string;
    } | {
        type: "DEFAULT";
    };
    restaurantId: string;
}>;
export type FdtoOrderReadMenu = z.infer<typeof FdtoOrderReadMenu>;
