import { z } from 'zod';
export declare const FdoOrderPaymentResultRawResult: z.ZodIntersection<z.ZodUnknown, z.ZodObject<{
    gateway: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    gateway?: string | null | undefined;
}, {
    gateway?: string | null | undefined;
}>>;
export declare const OrderPerformPaymentDto: z.ZodObject<{
    redirectUrl: z.ZodString;
    inApp: z.ZodDefault<z.ZodBoolean>;
    fullPayment: z.ZodDefault<z.ZodBoolean>;
    method: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    gateway: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    gateway?: string | null | undefined;
    method?: string | null | undefined;
    fullPayment: boolean;
    redirectUrl: string;
    inApp: boolean;
}, {
    gateway?: string | null | undefined;
    fullPayment?: boolean | undefined;
    inApp?: boolean | undefined;
    method?: string | null | undefined;
    redirectUrl: string;
}>;
export declare const OrderPaymentRawResultInputDto: z.ZodObject<{
    type: z.ZodEnum<["QRPAY", "SCANPAY", "SOFTPOS", "TERMINAL"]>;
    status: z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>;
    rawResult: z.ZodIntersection<z.ZodUnknown, z.ZodObject<{
        gateway: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        gateway?: string | null | undefined;
    }, {
        gateway?: string | null | undefined;
    }>>;
    paidAmount: z.ZodObject<{
        currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
        amount: z.ZodNumber;
        precision: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    }, {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    }>;
    transactionId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
    status: "FAILED" | "PENDING" | "REFUNDED" | "SUCCESS";
    rawResult: {
        gateway?: string | null | undefined;
    };
    paidAmount: {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    };
    transactionId: string;
}, {
    type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
    status: "FAILED" | "PENDING" | "REFUNDED" | "SUCCESS";
    rawResult: {
        gateway?: string | null | undefined;
    };
    paidAmount: {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    };
    transactionId: string;
}>;
export type OrderPaymentRawResultInputDto = z.infer<typeof OrderPaymentRawResultInputDto>;
export declare const OrderPaymentResponseDto: z.ZodObject<{
    type: z.ZodEnum<["QRPAY", "SCANPAY", "SOFTPOS", "TERMINAL"]>;
    rawResult: z.ZodNullable<z.ZodOptional<z.ZodIntersection<z.ZodUnknown, z.ZodObject<{
        gateway: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        gateway?: string | null | undefined;
    }, {
        gateway?: string | null | undefined;
    }>>>>;
    paidAmount: z.ZodObject<{
        currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
        amount: z.ZodNumber;
        precision: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    }, {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    }>;
    transactionId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    rawResult?: {
        gateway?: string | null | undefined;
    } | null | undefined;
    type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
    paidAmount: {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    };
    transactionId: string;
}, {
    rawResult?: {
        gateway?: string | null | undefined;
    } | null | undefined;
    type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
    paidAmount: {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    };
    transactionId: string;
}>;
export type OrderPaymentResponseDto = z.infer<typeof OrderPaymentResponseDto>;
export declare const OrderPaymentDto: z.ZodObject<{
    type: z.ZodEnum<["cash", "ePayment", "ePaymentNonPayout", "credit", "ePaymentSandbox"]>;
    transactions: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
    trxResults: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodObject<{
        type: z.ZodEnum<["QRPAY", "SCANPAY", "SOFTPOS", "TERMINAL"]>;
        rawResult: z.ZodNullable<z.ZodOptional<z.ZodIntersection<z.ZodUnknown, z.ZodObject<{
            gateway: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            gateway?: string | null | undefined;
        }, {
            gateway?: string | null | undefined;
        }>>>>;
        paidAmount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        transactionId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        rawResult?: {
            gateway?: string | null | undefined;
        } | null | undefined;
        type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
        paidAmount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        transactionId: string;
    }, {
        rawResult?: {
            gateway?: string | null | undefined;
        } | null | undefined;
        type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
        paidAmount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        transactionId: string;
    }>>, "many">>>;
    pf_transactions: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodEffects<z.ZodDiscriminatedUnion<"payFor", z.Primitive, z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"BILL">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
        seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"KIOSK">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
        seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"ORDER">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
        seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"TERMINAL">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
        seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"CREDIT">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"TRANSACTION_CHARGE_BACK">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"FOOD_COURT">;
        children: z.ZodArray<z.ZodObject<{
            _id: z.ZodString;
            payFor: z.ZodLiteral<"ORDER">;
            payId: z.ZodString;
            amount: z.ZodObject<{
                currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }>;
            payoutAccountId: z.ZodString;
            group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
            seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
                bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    name: z.ZodString;
                    type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                    accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                }, "strip", z.ZodTypeAny, {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                }, {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                }>>>;
                bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    name: z.ZodDefault<z.ZodString>;
                    phone: z.ZodDefault<z.ZodString>;
                    email: z.ZodDefault<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    phone: string;
                    email: string;
                }, {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                }>>>;
            }, {
                id: z.ZodString;
                event: z.ZodEnum<["ORDERING", "MARKETING"]>;
            }>, "strip", z.ZodTypeAny, {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name: string;
                    phone: string;
                    email: string;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            }, {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            }>>>;
        }, "strip", z.ZodTypeAny, {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name: string;
                    phone: string;
                    email: string;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }, {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }>, "many">;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name: string;
                    phone: string;
                    email: string;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    }>>, {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name: string;
                    phone: string;
                    email: string;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    }>>, "many">>>;
}, "strip", z.ZodTypeAny, {
    transactions?: string[] | null | undefined;
    trxResults?: {
        rawResult?: {
            gateway?: string | null | undefined;
        } | null | undefined;
        type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
        paidAmount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        transactionId: string;
    }[] | null | undefined;
    pf_transactions?: ({
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name: string;
                    phone: string;
                    email: string;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    })[] | null | undefined;
    type: "cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox";
}, {
    transactions?: string[] | null | undefined;
    trxResults?: {
        rawResult?: {
            gateway?: string | null | undefined;
        } | null | undefined;
        type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
        paidAmount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        transactionId: string;
    }[] | null | undefined;
    pf_transactions?: ({
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    })[] | null | undefined;
    type: "cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox";
}>;
export declare const OrderPOSPaymentDto: z.ZodObject<{
    type: z.ZodEnum<["cash", "ePayment", "ePaymentNonPayout", "credit", "ePaymentSandbox"]>;
    trxResults: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodObject<{
        type: z.ZodEnum<["QRPAY", "SCANPAY", "SOFTPOS", "TERMINAL"]>;
        rawResult: z.ZodNullable<z.ZodOptional<z.ZodIntersection<z.ZodUnknown, z.ZodObject<{
            gateway: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            gateway?: string | null | undefined;
        }, {
            gateway?: string | null | undefined;
        }>>>>;
        paidAmount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        transactionId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        rawResult?: {
            gateway?: string | null | undefined;
        } | null | undefined;
        type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
        paidAmount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        transactionId: string;
    }, {
        rawResult?: {
            gateway?: string | null | undefined;
        } | null | undefined;
        type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
        paidAmount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        transactionId: string;
    }>>, "many">>>;
    transactions: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodEffects<z.ZodObject<{
        _id: z.ZodString;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        restaurant: z.ZodString;
        callbackAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        callbackResponse: z.ZodNullable<z.ZodOptional<z.ZodAny>>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        status: z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>;
        order: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        refundedAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        refundResponse: z.ZodNullable<z.ZodOptional<z.ZodAny>>;
        bill: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        canSettleAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        settlement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        gatewayTransactionId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        settlement?: string | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        gatewayTransactionId?: string | null | undefined;
        callbackAt?: string | null | undefined;
        callbackResponse?: any;
        canSettleAt?: string | null | undefined;
        refundedAt?: string | null | undefined;
        refundResponse?: any;
        order?: string | null | undefined;
        bill?: string | null | undefined;
        status: "FAILED" | "PENDING" | "REFUNDED" | "SUCCESS";
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        restaurant: string;
    }, {
        settlement?: string | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        gatewayTransactionId?: string | null | undefined;
        callbackAt?: string | null | undefined;
        callbackResponse?: any;
        canSettleAt?: string | null | undefined;
        refundedAt?: string | null | undefined;
        refundResponse?: any;
        order?: string | null | undefined;
        bill?: string | null | undefined;
        status: "FAILED" | "PENDING" | "REFUNDED" | "SUCCESS";
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        restaurant: string;
    }>, {
        id: string;
        createdAt: Date;
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        settlement?: string | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        gatewayTransactionId?: string | null | undefined;
        callbackAt?: string | null | undefined;
        callbackResponse?: any;
        canSettleAt?: string | null | undefined;
        refundedAt?: string | null | undefined;
        refundResponse?: any;
        order?: string | null | undefined;
        bill?: string | null | undefined;
        status: "FAILED" | "PENDING" | "REFUNDED" | "SUCCESS";
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        restaurant: string;
    }, {
        settlement?: string | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        gatewayTransactionId?: string | null | undefined;
        callbackAt?: string | null | undefined;
        callbackResponse?: any;
        canSettleAt?: string | null | undefined;
        refundedAt?: string | null | undefined;
        refundResponse?: any;
        order?: string | null | undefined;
        bill?: string | null | undefined;
        status: "FAILED" | "PENDING" | "REFUNDED" | "SUCCESS";
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        restaurant: string;
    }>>, "many">>>;
}, "strip", z.ZodTypeAny, {
    transactions?: {
        id: string;
        createdAt: Date;
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        settlement?: string | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        gatewayTransactionId?: string | null | undefined;
        callbackAt?: string | null | undefined;
        callbackResponse?: any;
        canSettleAt?: string | null | undefined;
        refundedAt?: string | null | undefined;
        refundResponse?: any;
        order?: string | null | undefined;
        bill?: string | null | undefined;
        status: "FAILED" | "PENDING" | "REFUNDED" | "SUCCESS";
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        restaurant: string;
    }[] | null | undefined;
    trxResults?: {
        rawResult?: {
            gateway?: string | null | undefined;
        } | null | undefined;
        type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
        paidAmount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        transactionId: string;
    }[] | null | undefined;
    type: "cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox";
}, {
    transactions?: {
        settlement?: string | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        gatewayTransactionId?: string | null | undefined;
        callbackAt?: string | null | undefined;
        callbackResponse?: any;
        canSettleAt?: string | null | undefined;
        refundedAt?: string | null | undefined;
        refundResponse?: any;
        order?: string | null | undefined;
        bill?: string | null | undefined;
        status: "FAILED" | "PENDING" | "REFUNDED" | "SUCCESS";
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        restaurant: string;
    }[] | null | undefined;
    trxResults?: {
        rawResult?: {
            gateway?: string | null | undefined;
        } | null | undefined;
        type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
        paidAmount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        transactionId: string;
    }[] | null | undefined;
    type: "cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox";
}>;
export declare const OrderKioskPaymentDto: z.ZodObject<{
    type: z.ZodEnum<["cash", "ePayment", "ePaymentNonPayout", "credit", "ePaymentSandbox"]>;
    trxResults: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodObject<{
        type: z.ZodEnum<["QRPAY", "SCANPAY", "SOFTPOS", "TERMINAL"]>;
        rawResult: z.ZodNullable<z.ZodOptional<z.ZodIntersection<z.ZodUnknown, z.ZodObject<{
            gateway: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            gateway?: string | null | undefined;
        }, {
            gateway?: string | null | undefined;
        }>>>>;
        paidAmount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        transactionId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        rawResult?: {
            gateway?: string | null | undefined;
        } | null | undefined;
        type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
        paidAmount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        transactionId: string;
    }, {
        rawResult?: {
            gateway?: string | null | undefined;
        } | null | undefined;
        type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
        paidAmount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        transactionId: string;
    }>>, "many">>>;
    transactions: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
    pf_transactions: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodIntersection<z.ZodEffects<z.ZodDiscriminatedUnion<"payFor", z.Primitive, z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"BILL">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
        seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"KIOSK">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
        seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"ORDER">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
        seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"TERMINAL">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
        seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"CREDIT">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"TRANSACTION_CHARGE_BACK">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"FOOD_COURT">;
        children: z.ZodArray<z.ZodObject<{
            _id: z.ZodString;
            payFor: z.ZodLiteral<"ORDER">;
            payId: z.ZodString;
            amount: z.ZodObject<{
                currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }>;
            payoutAccountId: z.ZodString;
            group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
            seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
                bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    name: z.ZodString;
                    type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                    accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                }, "strip", z.ZodTypeAny, {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                }, {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                }>>>;
                bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    name: z.ZodDefault<z.ZodString>;
                    phone: z.ZodDefault<z.ZodString>;
                    email: z.ZodDefault<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    phone: string;
                    email: string;
                }, {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                }>>>;
            }, {
                id: z.ZodString;
                event: z.ZodEnum<["ORDERING", "MARKETING"]>;
            }>, "strip", z.ZodTypeAny, {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name: string;
                    phone: string;
                    email: string;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            }, {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            }>>>;
        }, "strip", z.ZodTypeAny, {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name: string;
                    phone: string;
                    email: string;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }, {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }>, "many">;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name: string;
                    phone: string;
                    email: string;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    }>>, {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name: string;
                    phone: string;
                    email: string;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    }>, z.ZodObject<{
        callbackResponse: z.ZodNullable<z.ZodOptional<z.ZodAny>>;
    }, "strip", z.ZodTypeAny, {
        callbackResponse?: any;
    }, {
        callbackResponse?: any;
    }>>>, "many">>>;
}, "strip", z.ZodTypeAny, {
    transactions?: string[] | null | undefined;
    trxResults?: {
        rawResult?: {
            gateway?: string | null | undefined;
        } | null | undefined;
        type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
        paidAmount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        transactionId: string;
    }[] | null | undefined;
    pf_transactions?: (({
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name: string;
                    phone: string;
                    email: string;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    }) & {
        callbackResponse?: any;
    })[] | null | undefined;
    type: "cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox";
}, {
    transactions?: string[] | null | undefined;
    trxResults?: {
        rawResult?: {
            gateway?: string | null | undefined;
        } | null | undefined;
        type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
        paidAmount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        transactionId: string;
    }[] | null | undefined;
    pf_transactions?: (({
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    }) & {
        callbackResponse?: any;
    })[] | null | undefined;
    type: "cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox";
}>;
export declare const OrderPortalPaymentDto: z.ZodObject<{
    type: z.ZodEnum<["cash", "ePayment", "ePaymentNonPayout", "credit", "ePaymentSandbox"]>;
    trxResults: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodObject<{
        type: z.ZodEnum<["QRPAY", "SCANPAY", "SOFTPOS", "TERMINAL"]>;
        rawResult: z.ZodNullable<z.ZodOptional<z.ZodIntersection<z.ZodUnknown, z.ZodObject<{
            gateway: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            gateway?: string | null | undefined;
        }, {
            gateway?: string | null | undefined;
        }>>>>;
        paidAmount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        transactionId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        rawResult?: {
            gateway?: string | null | undefined;
        } | null | undefined;
        type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
        paidAmount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        transactionId: string;
    }, {
        rawResult?: {
            gateway?: string | null | undefined;
        } | null | undefined;
        type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
        paidAmount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        transactionId: string;
    }>>, "many">>>;
    transactions: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodEffects<z.ZodDiscriminatedUnion<"payFor", z.Primitive, z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"BILL">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
        seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"KIOSK">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
        seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"ORDER">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
        seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"TERMINAL">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
        seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"CREDIT">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"TRANSACTION_CHARGE_BACK">;
        payoutAccountId: z.ZodString;
        group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        payFor: z.ZodEnum<["BILL", "KIOSK", "ORDER", "CREDIT", "FOOD_COURT", "TERMINAL", "TRANSACTION_CHARGE_BACK"]>;
        payId: z.ZodString;
        amount: z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>;
        status: z.ZodUnion<[z.ZodUnion<[z.ZodEnum<["SUCCESS", "PENDING", "FAILED", "REFUNDED"]>, z.ZodLiteral<"SETTLED">]>, z.ZodString]>;
        method: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            issuer: z.ZodEnum<["ALIPAY", "BOOST", "GRABPAY", "MAYBANKQRPAY", "PRESTOPAY", "RAZERPAY", "SHOPEEPAY", "TOUCHNGO", "WECHATPAY", "CARD", "OTHER", "FEEDME", "DUITNOW", "PAYNOW", "FPX", "DEBITCARD", "CREDITCARD", "UNIONPAY", "ATOME", "VISA", "MASTER", "MYDEBIT", "MACAU_PASS"]>;
            variant: z.ZodString;
        }, {
            rate: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                amount: number;
                precision: number;
            }, {
                amount: number;
                precision: number;
            }>>>;
            tPlus: z.ZodNullable<z.ZodOptional<z.ZodNumber>>;
        }>, "strip", z.ZodTypeAny, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }, {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        }>>>;
        createdAt: z.ZodDate;
        completedAt: z.ZodNullable<z.ZodOptional<z.ZodDate>>;
        gateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        gatewayAmount: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
            amount: z.ZodNumber;
            precision: z.ZodNumber;
        }, "strip", z.ZodTypeAny, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }, {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        }>>>;
        store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
            bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodString;
                type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            }, "strip", z.ZodTypeAny, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }, {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            }>>>;
            bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodDefault<z.ZodString>;
                phone: z.ZodDefault<z.ZodString>;
                email: z.ZodDefault<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                phone: string;
                email: string;
            }, {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            }>>>;
        }, {
            id: z.ZodString;
            event: z.ZodEnum<["ORDERING", "MARKETING"]>;
        }>, "strip", z.ZodTypeAny, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }, {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        }>>>;
    }, {
        payFor: z.ZodLiteral<"FOOD_COURT">;
        children: z.ZodArray<z.ZodObject<{
            _id: z.ZodString;
            payFor: z.ZodLiteral<"ORDER">;
            payId: z.ZodString;
            amount: z.ZodObject<{
                currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }>;
            payoutAccountId: z.ZodString;
            group: z.ZodEnum<["FEEDME::ONLINE", "FEEDME::SCANPAY", "FEEDME::QR", "RMS::SCANPAY", "RMS::NFC", "OTHER"]>;
            seqNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            store: z.ZodNullable<z.ZodOptional<z.ZodObject<z.extendShape<{
                bank: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    name: z.ZodString;
                    type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["CURRENT_ACCOUNT", "SAVING_ACCOUNT", "OTHER"]>>>;
                    accountNumber: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                    holderName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                }, "strip", z.ZodTypeAny, {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                }, {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                }>>>;
                bankStatement: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                ssm: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                exteriorPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
                keyPerson: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    name: z.ZodDefault<z.ZodString>;
                    phone: z.ZodDefault<z.ZodString>;
                    email: z.ZodDefault<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    name: string;
                    phone: string;
                    email: string;
                }, {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                }>>>;
            }, {
                id: z.ZodString;
                event: z.ZodEnum<["ORDERING", "MARKETING"]>;
            }>, "strip", z.ZodTypeAny, {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name: string;
                    phone: string;
                    email: string;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            }, {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            }>>>;
        }, "strip", z.ZodTypeAny, {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name: string;
                    phone: string;
                    email: string;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }, {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }>, "many">;
    }>, "strip", z.ZodTypeAny, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name: string;
                    phone: string;
                    email: string;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    }>>, {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name: string;
                    phone: string;
                    email: string;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    }, {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    }>>, "many">>>;
    credits: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodAny, "many">>>;
}, "strip", z.ZodTypeAny, {
    transactions?: ({
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        fee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        payout: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        deliveryFee: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name: string;
                phone: string;
                email: string;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name: string;
                    phone: string;
                    email: string;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    })[] | null | undefined;
    trxResults?: {
        rawResult?: {
            gateway?: string | null | undefined;
        } | null | undefined;
        type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
        paidAmount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        transactionId: string;
    }[] | null | undefined;
    credits?: any[] | null | undefined;
    type: "cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox";
}, {
    transactions?: ({
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "BILL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "KIOSK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "ORDER";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        seqNumber?: string | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TERMINAL";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "CREDIT";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "TRANSACTION_CHARGE_BACK";
        payId: string;
        payoutAccountId: string;
        createdAt: Date;
        group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
    } | {
        store?: {
            bank?: {
                type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                accountNumber?: string | null | undefined;
                holderName?: string | null | undefined;
                name: string;
            } | null | undefined;
            ssm?: string | null | undefined;
            bankStatement?: string | null | undefined;
            exteriorPhoto?: string | null | undefined;
            keyPerson?: {
                name?: string | undefined;
                phone?: string | undefined;
                email?: string | undefined;
            } | null | undefined;
            id: string;
            event: "ORDERING" | "MARKETING";
        } | null | undefined;
        method?: {
            rate?: {
                amount: number;
                precision: number;
            } | null | undefined;
            tPlus?: number | null | undefined;
            issuer: "OTHER" | "FEEDME" | "MACAU_PASS" | "ALIPAY" | "BOOST" | "GRABPAY" | "MAYBANKQRPAY" | "PRESTOPAY" | "RAZERPAY" | "SHOPEEPAY" | "TOUCHNGO" | "WECHATPAY" | "CARD" | "DUITNOW" | "PAYNOW" | "FPX" | "DEBITCARD" | "CREDITCARD" | "UNIONPAY" | "ATOME" | "VISA" | "MASTER" | "MYDEBIT";
            variant: string;
        } | null | undefined;
        gatewayAmount?: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        } | null | undefined;
        completedAt?: Date | null | undefined;
        status: string;
        _id: string;
        amount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        gateway: "FEEDME" | "MACAU_PASS" | "FEEDME_TERMINAL" | "REVENUE_MONSTER" | "E_GHL" | "RAZER_MERCHANT_SERVICE";
        payFor: "FOOD_COURT";
        payId: string;
        children: {
            store?: {
                bank?: {
                    type?: "OTHER" | "CURRENT_ACCOUNT" | "SAVING_ACCOUNT" | null | undefined;
                    accountNumber?: string | null | undefined;
                    holderName?: string | null | undefined;
                    name: string;
                } | null | undefined;
                ssm?: string | null | undefined;
                bankStatement?: string | null | undefined;
                exteriorPhoto?: string | null | undefined;
                keyPerson?: {
                    name?: string | undefined;
                    phone?: string | undefined;
                    email?: string | undefined;
                } | null | undefined;
                id: string;
                event: "ORDERING" | "MARKETING";
            } | null | undefined;
            seqNumber?: string | null | undefined;
            _id: string;
            amount: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
            payFor: "ORDER";
            payId: string;
            payoutAccountId: string;
            group: "OTHER" | "FEEDME::ONLINE" | "FEEDME::SCANPAY" | "FEEDME::QR" | "RMS::SCANPAY" | "RMS::NFC";
        }[];
        createdAt: Date;
    })[] | null | undefined;
    trxResults?: {
        rawResult?: {
            gateway?: string | null | undefined;
        } | null | undefined;
        type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
        paidAmount: {
            currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
            amount: number;
            precision: number;
        };
        transactionId: string;
    }[] | null | undefined;
    credits?: any[] | null | undefined;
    type: "cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox";
}>;
export declare const OrderPOSPaymentUpdateDto: z.ZodObject<{
    type: z.ZodEnum<["cash", "ePayment", "ePaymentNonPayout", "credit", "ePaymentSandbox"]>;
    transactions: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
    credits: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
}, "strip", z.ZodTypeAny, {
    transactions?: string[] | null | undefined;
    credits?: string[] | null | undefined;
    type: "cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox";
}, {
    transactions?: string[] | null | undefined;
    credits?: string[] | null | undefined;
    type: "cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox";
}>;
export declare const FdtoBillPaymentPayload: z.ZodObject<{
    amount: z.ZodObject<{
        currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
        amount: z.ZodNumber;
        precision: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    }, {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    }>;
}, "strip", z.ZodTypeAny, {
    amount: {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    };
}, {
    amount: {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    };
}>;
export declare const FdoOrderPaymentResult: z.ZodObject<{
    type: z.ZodEnum<["QRPAY", "SCANPAY", "SOFTPOS", "TERMINAL"]>;
    transactionId: z.ZodString;
    rawResult: z.ZodIntersection<z.ZodUnknown, z.ZodObject<{
        gateway: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        gateway?: string | null | undefined;
    }, {
        gateway?: string | null | undefined;
    }>>;
    paidAmount: z.ZodObject<{
        currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
        amount: z.ZodNumber;
        precision: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    }, {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
    rawResult: {
        gateway?: string | null | undefined;
    };
    paidAmount: {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    };
    transactionId: string;
}, {
    type: "QRPAY" | "SCANPAY" | "SOFTPOS" | "TERMINAL";
    rawResult: {
        gateway?: string | null | undefined;
    };
    paidAmount: {
        currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
        amount: number;
        precision: number;
    };
    transactionId: string;
}>;
export declare const FdtoOrderPerformPayment: z.ZodObject<{
    redirectUrl: z.ZodString;
    inApp: z.ZodDefault<z.ZodBoolean>;
    fullPayment: z.ZodDefault<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    fullPayment: boolean;
    redirectUrl: string;
    inApp: boolean;
}, {
    fullPayment?: boolean | undefined;
    inApp?: boolean | undefined;
    redirectUrl: string;
}>;
export type OrderPerformPaymentDto = z.infer<typeof OrderPerformPaymentDto>;
export type OrderPaymentDto = z.infer<typeof OrderPaymentDto>;
export type OrderPOSPaymentDto = z.infer<typeof OrderPOSPaymentDto>;
export type OrderPortalPaymentDto = z.infer<typeof OrderPortalPaymentDto>;
export type OrderKioskPaymentDto = z.infer<typeof OrderKioskPaymentDto>;
export type OrderPOSPaymentUpdateDto = z.infer<typeof OrderPOSPaymentUpdateDto>;
export type FdtoOrderPerformPayment = z.infer<typeof FdtoOrderPerformPayment>;
export type FdoOrderPaymentResult = z.infer<typeof FdoOrderPaymentResult>;
export type FdtoBillPaymentPayload = z.infer<typeof FdtoBillPaymentPayload>;
export type FdoOrderPaymentResultRawResult = z.infer<typeof FdoOrderPaymentResultRawResult>;
