import { z } from 'zod';
export declare const RestaurantCustomerV2Dto: z.ZodObject<{
    id: z.ZodString;
    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    businessId: z.ZodString;
    profile: z.ZodObject<{
        _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        name: z.ZodString;
        address: z.ZodObject<{
            line1: z.ZodString;
            line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            state: z.ZodString;
            city: z.ZodString;
            postcode: z.ZodString;
            country: z.ZodString;
            coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
        }, "strip", z.ZodTypeAny, {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        }, {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        }>;
        phoneNo: z.ZodString;
        email: z.ZodString;
        regNo: z.ZodString;
        legalName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        sstRegNo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        discovery: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        coverPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        thumbnailPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        operatingHours: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            0: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            1: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            2: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            3: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            4: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            5: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            6: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
        }, "strip", z.ZodTypeAny, {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        }, {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        }>>>;
        tags: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        code?: string | null | undefined;
        url?: string | null | undefined;
        description?: string | null | undefined;
        _id?: string | null | undefined;
        legalName?: string | null | undefined;
        sstRegNo?: string | null | undefined;
        discovery?: boolean | null | undefined;
        coverPhoto?: string | null | undefined;
        thumbnailPhoto?: string | null | undefined;
        photos?: string[] | null | undefined;
        operatingHours?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
        tags?: string[] | null | undefined;
        name: string;
        address: {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        };
        email: string;
        phoneNo: string;
        regNo: string;
    }, {
        code?: string | null | undefined;
        url?: string | null | undefined;
        description?: string | null | undefined;
        _id?: string | null | undefined;
        legalName?: string | null | undefined;
        sstRegNo?: string | null | undefined;
        discovery?: boolean | null | undefined;
        coverPhoto?: string | null | undefined;
        thumbnailPhoto?: string | null | undefined;
        photos?: string[] | null | undefined;
        operatingHours?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
        tags?: string[] | null | undefined;
        name: string;
        address: {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        };
        email: string;
        phoneNo: string;
        regNo: string;
    }>;
    posHeartbeat: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    paxDialog: z.ZodBoolean;
    acceptDineIn: z.ZodBoolean;
    acceptDelivery: z.ZodBoolean;
    acceptPickup: z.ZodBoolean;
    acceptQueue: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    inHouseDelivery: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
        enable: z.ZodBoolean;
        areas: z.ZodArray<z.ZodObject<{
            polygon: z.ZodArray<z.ZodArray<z.ZodNumber, "many">, "many">;
            deliveryFee: z.ZodObject<{
                currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }>;
            freeAfterTotal: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }>>>;
            minPurchase: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                currency: z.ZodIntersection<z.ZodString, z.ZodUnion<[z.ZodLiteral<"AED">, z.ZodLiteral<"AFN">, z.ZodLiteral<"ALL">, z.ZodLiteral<"AMD">, z.ZodLiteral<"ANG">, z.ZodLiteral<"AOA">, z.ZodLiteral<"ARS">, z.ZodLiteral<"AUD">, z.ZodLiteral<"AWG">, z.ZodLiteral<"AZN">, z.ZodLiteral<"BAM">, z.ZodLiteral<"BBD">, z.ZodLiteral<"BDT">, z.ZodLiteral<"BGN">, z.ZodLiteral<"BHD">, z.ZodLiteral<"BIF">, z.ZodLiteral<"BMD">, z.ZodLiteral<"BND">, z.ZodLiteral<"BOB">, z.ZodLiteral<"BOV">, z.ZodLiteral<"BRL">, z.ZodLiteral<"BSD">, z.ZodLiteral<"BTN">, z.ZodLiteral<"BWP">, z.ZodLiteral<"BYN">, z.ZodLiteral<"BZD">, z.ZodLiteral<"CAD">, z.ZodLiteral<"CDF">, z.ZodLiteral<"CHE">, z.ZodLiteral<"CHF">, z.ZodLiteral<"CHW">, z.ZodLiteral<"CLF">, z.ZodLiteral<"CLP">, z.ZodLiteral<"CNY">, z.ZodLiteral<"COP">, z.ZodLiteral<"COU">, z.ZodLiteral<"CRC">, z.ZodLiteral<"CUC">, z.ZodLiteral<"CUP">, z.ZodLiteral<"CVE">, z.ZodLiteral<"CZK">, z.ZodLiteral<"DJF">, z.ZodLiteral<"DKK">, z.ZodLiteral<"DOP">, z.ZodLiteral<"DZD">, z.ZodLiteral<"EGP">, z.ZodLiteral<"ERN">, z.ZodLiteral<"ETB">, z.ZodLiteral<"EUR">, z.ZodLiteral<"FJD">, z.ZodLiteral<"FKP">, z.ZodLiteral<"GBP">, z.ZodLiteral<"GEL">, z.ZodLiteral<"GHS">, z.ZodLiteral<"GIP">, z.ZodLiteral<"GMD">, z.ZodLiteral<"GNF">, z.ZodLiteral<"GTQ">, z.ZodLiteral<"GYD">, z.ZodLiteral<"HKD">, z.ZodLiteral<"HNL">, z.ZodLiteral<"HRK">, z.ZodLiteral<"HTG">, z.ZodLiteral<"HUF">, z.ZodLiteral<"IDR">, z.ZodLiteral<"ILS">, z.ZodLiteral<"INR">, z.ZodLiteral<"IQD">, z.ZodLiteral<"IRR">, z.ZodLiteral<"ISK">, z.ZodLiteral<"JMD">, z.ZodLiteral<"JOD">, z.ZodLiteral<"JPY">, z.ZodLiteral<"KES">, z.ZodLiteral<"KGS">, z.ZodLiteral<"KHR">, z.ZodLiteral<"KMF">, z.ZodLiteral<"KPW">, z.ZodLiteral<"KRW">, z.ZodLiteral<"KWD">, z.ZodLiteral<"KYD">, z.ZodLiteral<"KZT">, z.ZodLiteral<"LAK">, z.ZodLiteral<"LBP">, z.ZodLiteral<"LKR">, z.ZodLiteral<"LRD">, z.ZodLiteral<"LSL">, z.ZodLiteral<"LYD">, z.ZodLiteral<"MAD">, z.ZodLiteral<"MDL">, z.ZodLiteral<"MGA">, z.ZodLiteral<"MKD">, z.ZodLiteral<"MMK">, z.ZodLiteral<"MNT">, z.ZodLiteral<"MOP">, z.ZodLiteral<"MRU">, z.ZodLiteral<"MUR">, z.ZodLiteral<"MVR">, z.ZodLiteral<"MWK">, z.ZodLiteral<"MXN">, z.ZodLiteral<"MXV">, z.ZodLiteral<"MYR">, z.ZodLiteral<"MZN">, z.ZodLiteral<"NAD">, z.ZodLiteral<"NGN">, z.ZodLiteral<"NIO">, z.ZodLiteral<"NOK">, z.ZodLiteral<"NPR">, z.ZodLiteral<"NZD">, z.ZodLiteral<"OMR">, z.ZodLiteral<"PAB">, z.ZodLiteral<"PEN">, z.ZodLiteral<"PGK">, z.ZodLiteral<"PHP">, z.ZodLiteral<"PKR">, z.ZodLiteral<"PLN">, z.ZodLiteral<"PYG">, z.ZodLiteral<"QAR">, z.ZodLiteral<"RON">, z.ZodLiteral<"RSD">, z.ZodLiteral<"RUB">, z.ZodLiteral<"RWF">, z.ZodLiteral<"SAR">, z.ZodLiteral<"SBD">, z.ZodLiteral<"SCR">, z.ZodLiteral<"SDG">, z.ZodLiteral<"SEK">, z.ZodLiteral<"SGD">, z.ZodLiteral<"SHP">, z.ZodLiteral<"SLL">, z.ZodLiteral<"SOS">, z.ZodLiteral<"SRD">, z.ZodLiteral<"SSP">, z.ZodLiteral<"STN">, z.ZodLiteral<"SVC">, z.ZodLiteral<"SYP">, z.ZodLiteral<"SZL">, z.ZodLiteral<"THB">, z.ZodLiteral<"TJS">, z.ZodLiteral<"TMT">, z.ZodLiteral<"TND">, z.ZodLiteral<"TOP">, z.ZodLiteral<"TRY">, z.ZodLiteral<"TTD">, z.ZodLiteral<"TWD">, z.ZodLiteral<"TZS">, z.ZodLiteral<"UAH">, z.ZodLiteral<"UGX">, z.ZodLiteral<"USD">, z.ZodLiteral<"USN">, z.ZodLiteral<"UYI">, z.ZodLiteral<"UYU">, z.ZodLiteral<"UYW">, z.ZodLiteral<"UZS">, z.ZodLiteral<"VES">, z.ZodLiteral<"VND">, z.ZodLiteral<"VUV">, z.ZodLiteral<"WST">, z.ZodLiteral<"XAF">, z.ZodLiteral<"XAG">, z.ZodLiteral<"XAU">, z.ZodLiteral<"XBA">, z.ZodLiteral<"XBB">, z.ZodLiteral<"XBC">, z.ZodLiteral<"XBD">, z.ZodLiteral<"XCD">, z.ZodLiteral<"XDR">, z.ZodLiteral<"XOF">, z.ZodLiteral<"XPD">, z.ZodLiteral<"XPF">, z.ZodLiteral<"XPT">, z.ZodLiteral<"XSU">, z.ZodLiteral<"XTS">, z.ZodLiteral<"XUA">, z.ZodLiteral<"XXX">, z.ZodLiteral<"YER">, z.ZodLiteral<"ZAR">, z.ZodLiteral<"ZMW">, z.ZodLiteral<"ZWL">]>>;
                amount: z.ZodNumber;
                precision: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }, {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            minPurchase?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            freeAfterTotal?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            polygon: number[][];
            deliveryFee: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
        }, {
            minPurchase?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            freeAfterTotal?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            polygon: number[][];
            deliveryFee: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
        }>, "many">;
        term: z.ZodString;
        deliveryTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            day: z.ZodObject<{
                min: z.ZodNumber;
                max: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                max: number;
                min: number;
            }, {
                max: number;
                min: number;
            }>;
            time: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
            custom: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                0: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                1: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                2: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                3: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                4: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                5: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
                6: z.ZodObject<{
                    enable: z.ZodBoolean;
                    hours: z.ZodArray<z.ZodObject<{
                        start: z.ZodString;
                        end: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        end: string;
                        start: string;
                    }, {
                        end: string;
                        start: string;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }, {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                }>;
            }, "strip", z.ZodTypeAny, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }, {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            }>>>;
        }, "strip", z.ZodTypeAny, {
            time?: string[] | null | undefined;
            custom?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            day: {
                max: number;
                min: number;
            };
        }, {
            time?: string[] | null | undefined;
            custom?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            day: {
                max: number;
                min: number;
            };
        }>>>;
        catalogId: z.ZodNullable<z.ZodString>;
        paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
        offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            instruction: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            name: string;
            instruction: string;
        }, {
            name: string;
            instruction: string;
        }>, "many">>>;
        autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        taxes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<{
            systemCode: z.ZodString;
            taxCode: z.ZodString;
            inclusive: z.ZodBoolean;
        }, "strip", z.ZodTypeAny, {
            inclusive: boolean;
            taxCode: string;
            systemCode: string;
        }, {
            inclusive: boolean;
            taxCode: string;
            systemCode: string;
        }>>>>;
    }, "strip", z.ZodTypeAny, {
        taxes?: Record<string, {
            inclusive: boolean;
            taxCode: string;
            systemCode: string;
        }> | null | undefined;
        autoAccept?: boolean | null | undefined;
        deliveryTime?: {
            time?: string[] | null | undefined;
            custom?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            day: {
                max: number;
                min: number;
            };
        } | null | undefined;
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        autoAcceptPaidOnly?: boolean | null | undefined;
        ignoreStock?: boolean | null | undefined;
        catalogId: string | null;
        enable: boolean;
        areas: {
            minPurchase?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            freeAfterTotal?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            polygon: number[][];
            deliveryFee: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
        }[];
        term: string;
    }, {
        taxes?: Record<string, {
            inclusive: boolean;
            taxCode: string;
            systemCode: string;
        }> | null | undefined;
        autoAccept?: boolean | null | undefined;
        deliveryTime?: {
            time?: string[] | null | undefined;
            custom?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            day: {
                max: number;
                min: number;
            };
        } | null | undefined;
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        autoAcceptPaidOnly?: boolean | null | undefined;
        ignoreStock?: boolean | null | undefined;
        catalogId: string | null;
        enable: boolean;
        areas: {
            minPurchase?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            freeAfterTotal?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            polygon: number[][];
            deliveryFee: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
        }[];
        term: string;
    }>>>>;
    feedmeDelivery: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
        enable: z.ZodBoolean;
        catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        term: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        instruction: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    }, "strip", z.ZodTypeAny, {
        instruction?: string | null | undefined;
        catalogId?: string | null | undefined;
        autoAccept?: boolean | null | undefined;
        term?: string | null | undefined;
        ignoreStock?: boolean | null | undefined;
        enable: boolean;
    }, {
        instruction?: string | null | undefined;
        catalogId?: string | null | undefined;
        autoAccept?: boolean | null | undefined;
        term?: string | null | undefined;
        ignoreStock?: boolean | null | undefined;
        enable: boolean;
    }>>>>;
    foodpandaDelivery: z.ZodNullable<z.ZodOptional<z.ZodAny>>;
    grabfoodDelivery: z.ZodNullable<z.ZodOptional<z.ZodAny>>;
    shopeefoodDelivery: z.ZodNullable<z.ZodOptional<z.ZodAny>>;
    pickup: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
        pickupTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            day: z.ZodObject<{
                min: z.ZodNumber;
                max: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                max: number;
                min: number;
            }, {
                max: number;
                min: number;
            }>;
        }, "strip", z.ZodTypeAny, {
            day: {
                max: number;
                min: number;
            };
        }, {
            day: {
                max: number;
                min: number;
            };
        }>>>;
        pickupPointConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            restaurantEnable: z.ZodBoolean;
            points: z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                address: z.ZodString;
                coordinates: z.ZodArray<z.ZodNumber, "many">;
            }, "strip", z.ZodTypeAny, {
                name: string;
                address: string;
                coordinates: number[];
            }, {
                name: string;
                address: string;
                coordinates: number[];
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            restaurantEnable: boolean;
            points: {
                name: string;
                address: string;
                coordinates: number[];
            }[];
        }, {
            restaurantEnable: boolean;
            points: {
                name: string;
                address: string;
                coordinates: number[];
            }[];
        }>>>;
        paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
        offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            instruction: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            name: string;
            instruction: string;
        }, {
            name: string;
            instruction: string;
        }>, "many">>>;
        catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    }, "strip", z.ZodTypeAny, {
        catalogId?: string | null | undefined;
        autoAccept?: boolean | null | undefined;
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        autoAcceptPaidOnly?: boolean | null | undefined;
        ignoreStock?: boolean | null | undefined;
        pickupTime?: {
            day: {
                max: number;
                min: number;
            };
        } | null | undefined;
        pickupPointConfig?: {
            restaurantEnable: boolean;
            points: {
                name: string;
                address: string;
                coordinates: number[];
            }[];
        } | null | undefined;
    }, {
        catalogId?: string | null | undefined;
        autoAccept?: boolean | null | undefined;
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        autoAcceptPaidOnly?: boolean | null | undefined;
        ignoreStock?: boolean | null | undefined;
        pickupTime?: {
            day: {
                max: number;
                min: number;
            };
        } | null | undefined;
        pickupPointConfig?: {
            restaurantEnable: boolean;
            points: {
                name: string;
                address: string;
                coordinates: number[];
            }[];
        } | null | undefined;
    }>>>>;
    dineIn: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
        anonymousOrder: z.ZodBoolean;
        staticQr: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
        offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            instruction: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            name: string;
            instruction: string;
        }, {
            name: string;
            instruction: string;
        }>, "many">>>;
        ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        disableItemRemark: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        acceptQueue: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    }, "strip", z.ZodTypeAny, {
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        ignoreStock?: boolean | null | undefined;
        staticQr?: boolean | null | undefined;
        disableItemRemark?: boolean | null | undefined;
        acceptQueue?: boolean | null | undefined;
        anonymousOrder: boolean;
    }, {
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        ignoreStock?: boolean | null | undefined;
        staticQr?: boolean | null | undefined;
        disableItemRemark?: boolean | null | undefined;
        acceptQueue?: boolean | null | undefined;
        anonymousOrder: boolean;
    }>>>>;
    takeaway: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
        catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        catalogId?: string | null | undefined;
    }, {
        catalogId?: string | null | undefined;
    }>>>>;
    queueSetting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        enableOrder: z.ZodBoolean;
        initialNumber: z.ZodNumber;
        endNumber: z.ZodNumber;
        currentNumber: z.ZodNumber;
        autoCalledLimit: z.ZodNumber;
        duration: z.ZodDefault<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        duration: number;
        enableOrder: boolean;
        initialNumber: number;
        endNumber: number;
        currentNumber: number;
        autoCalledLimit: number;
    }, {
        duration?: number | undefined;
        enableOrder: boolean;
        initialNumber: number;
        endNumber: number;
        currentNumber: number;
        autoCalledLimit: number;
    }>>>;
    upsellingSetting: z.ZodNullable<z.ZodOptional<z.ZodDefault<z.ZodObject<{
        recommandation: z.ZodBoolean;
        item: z.ZodBoolean;
        checkout: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    }, {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    }>>>>;
    v3Setting: z.ZodDefault<z.ZodDefault<z.ZodObject<{
        dineInCanTakeaway: z.ZodBoolean;
        anonymousLoginDialog: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        subItemDisplayMode: z.ZodNullable<z.ZodOptional<z.ZodEnum<["LIST"]>>>;
    }, "strip", z.ZodTypeAny, {
        anonymousLoginDialog?: boolean | null | undefined;
        subItemDisplayMode?: "LIST" | null | undefined;
        dineInCanTakeaway: boolean;
    }, {
        anonymousLoginDialog?: boolean | null | undefined;
        subItemDisplayMode?: "LIST" | null | undefined;
        dineInCanTakeaway: boolean;
    }>>>;
    isMembershipEnabled: z.ZodBoolean;
    customization: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        colorScheme: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            primary: z.ZodString;
            base: z.ZodString;
            dark: z.ZodString;
            backgroundColor: z.ZodString;
            baseColor: z.ZodString;
            bannerColor: z.ZodString;
            typoPrimary: z.ZodString;
            typoSecondary: z.ZodString;
            typoTertiary: z.ZodString;
            typoDisabled: z.ZodString;
            typoError: z.ZodString;
            systemError: z.ZodString;
            systemSuccess: z.ZodString;
            dividerColor: z.ZodString;
            buttonPrimary: z.ZodString;
            typoButtonPrimary: z.ZodString;
            buttonSecondary: z.ZodString;
            typoButtonSecondary: z.ZodString;
            buttonTertiary: z.ZodString;
            typoButtonTertiary: z.ZodString;
            buttonPrimaryChip: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        }, {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        colorScheme?: {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        } | null | undefined;
    }, {
        colorScheme?: {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        } | null | undefined;
    }>>>;
}, "strip", z.ZodTypeAny, {
    pickup?: {
        catalogId?: string | null | undefined;
        autoAccept?: boolean | null | undefined;
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        autoAcceptPaidOnly?: boolean | null | undefined;
        ignoreStock?: boolean | null | undefined;
        pickupTime?: {
            day: {
                max: number;
                min: number;
            };
        } | null | undefined;
        pickupPointConfig?: {
            restaurantEnable: boolean;
            points: {
                name: string;
                address: string;
                coordinates: number[];
            }[];
        } | null | undefined;
    } | null | undefined;
    catalogId?: string | null | undefined;
    dineIn?: {
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        ignoreStock?: boolean | null | undefined;
        staticQr?: boolean | null | undefined;
        disableItemRemark?: boolean | null | undefined;
        acceptQueue?: boolean | null | undefined;
        anonymousOrder: boolean;
    } | null | undefined;
    takeaway?: {
        catalogId?: string | null | undefined;
    } | null | undefined;
    posHeartbeat?: string | null | undefined;
    acceptQueue?: boolean | null | undefined;
    inHouseDelivery?: {
        taxes?: Record<string, {
            inclusive: boolean;
            taxCode: string;
            systemCode: string;
        }> | null | undefined;
        autoAccept?: boolean | null | undefined;
        deliveryTime?: {
            time?: string[] | null | undefined;
            custom?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            day: {
                max: number;
                min: number;
            };
        } | null | undefined;
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        autoAcceptPaidOnly?: boolean | null | undefined;
        ignoreStock?: boolean | null | undefined;
        catalogId: string | null;
        enable: boolean;
        areas: {
            minPurchase?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            freeAfterTotal?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            polygon: number[][];
            deliveryFee: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
        }[];
        term: string;
    } | null | undefined;
    feedmeDelivery?: {
        instruction?: string | null | undefined;
        catalogId?: string | null | undefined;
        autoAccept?: boolean | null | undefined;
        term?: string | null | undefined;
        ignoreStock?: boolean | null | undefined;
        enable: boolean;
    } | null | undefined;
    foodpandaDelivery?: any;
    grabfoodDelivery?: any;
    shopeefoodDelivery?: any;
    queueSetting?: {
        duration: number;
        enableOrder: boolean;
        initialNumber: number;
        endNumber: number;
        currentNumber: number;
        autoCalledLimit: number;
    } | null | undefined;
    upsellingSetting?: {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    } | null | undefined;
    customization?: {
        colorScheme?: {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        } | null | undefined;
    } | null | undefined;
    id: string;
    businessId: string;
    profile: {
        code?: string | null | undefined;
        url?: string | null | undefined;
        description?: string | null | undefined;
        _id?: string | null | undefined;
        legalName?: string | null | undefined;
        sstRegNo?: string | null | undefined;
        discovery?: boolean | null | undefined;
        coverPhoto?: string | null | undefined;
        thumbnailPhoto?: string | null | undefined;
        photos?: string[] | null | undefined;
        operatingHours?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
        tags?: string[] | null | undefined;
        name: string;
        address: {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        };
        email: string;
        phoneNo: string;
        regNo: string;
    };
    paxDialog: boolean;
    acceptDineIn: boolean;
    acceptDelivery: boolean;
    acceptPickup: boolean;
    v3Setting: {
        anonymousLoginDialog?: boolean | null | undefined;
        subItemDisplayMode?: "LIST" | null | undefined;
        dineInCanTakeaway: boolean;
    };
    isMembershipEnabled: boolean;
}, {
    pickup?: {
        catalogId?: string | null | undefined;
        autoAccept?: boolean | null | undefined;
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        autoAcceptPaidOnly?: boolean | null | undefined;
        ignoreStock?: boolean | null | undefined;
        pickupTime?: {
            day: {
                max: number;
                min: number;
            };
        } | null | undefined;
        pickupPointConfig?: {
            restaurantEnable: boolean;
            points: {
                name: string;
                address: string;
                coordinates: number[];
            }[];
        } | null | undefined;
    } | null | undefined;
    catalogId?: string | null | undefined;
    dineIn?: {
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        ignoreStock?: boolean | null | undefined;
        staticQr?: boolean | null | undefined;
        disableItemRemark?: boolean | null | undefined;
        acceptQueue?: boolean | null | undefined;
        anonymousOrder: boolean;
    } | null | undefined;
    takeaway?: {
        catalogId?: string | null | undefined;
    } | null | undefined;
    posHeartbeat?: string | null | undefined;
    acceptQueue?: boolean | null | undefined;
    inHouseDelivery?: {
        taxes?: Record<string, {
            inclusive: boolean;
            taxCode: string;
            systemCode: string;
        }> | null | undefined;
        autoAccept?: boolean | null | undefined;
        deliveryTime?: {
            time?: string[] | null | undefined;
            custom?: {
                0: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                2: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                1: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                3: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                4: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                5: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
                6: {
                    hours: {
                        end: string;
                        start: string;
                    }[];
                    enable: boolean;
                };
            } | null | undefined;
            day: {
                max: number;
                min: number;
            };
        } | null | undefined;
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        autoAcceptPaidOnly?: boolean | null | undefined;
        ignoreStock?: boolean | null | undefined;
        catalogId: string | null;
        enable: boolean;
        areas: {
            minPurchase?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            freeAfterTotal?: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            } | null | undefined;
            polygon: number[][];
            deliveryFee: {
                currency: "ALL" | "MYR" | "AED" | "AFN" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USD" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
                amount: number;
                precision: number;
            };
        }[];
        term: string;
    } | null | undefined;
    feedmeDelivery?: {
        instruction?: string | null | undefined;
        catalogId?: string | null | undefined;
        autoAccept?: boolean | null | undefined;
        term?: string | null | undefined;
        ignoreStock?: boolean | null | undefined;
        enable: boolean;
    } | null | undefined;
    foodpandaDelivery?: any;
    grabfoodDelivery?: any;
    shopeefoodDelivery?: any;
    queueSetting?: {
        duration?: number | undefined;
        enableOrder: boolean;
        initialNumber: number;
        endNumber: number;
        currentNumber: number;
        autoCalledLimit: number;
    } | null | undefined;
    upsellingSetting?: {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    } | null | undefined;
    v3Setting?: {
        anonymousLoginDialog?: boolean | null | undefined;
        subItemDisplayMode?: "LIST" | null | undefined;
        dineInCanTakeaway: boolean;
    } | undefined;
    customization?: {
        colorScheme?: {
            base: string;
            primary: string;
            dark: string;
            backgroundColor: string;
            baseColor: string;
            bannerColor: string;
            typoPrimary: string;
            typoSecondary: string;
            typoTertiary: string;
            typoDisabled: string;
            typoError: string;
            systemError: string;
            systemSuccess: string;
            dividerColor: string;
            buttonPrimary: string;
            typoButtonPrimary: string;
            buttonSecondary: string;
            typoButtonSecondary: string;
            buttonTertiary: string;
            typoButtonTertiary: string;
            buttonPrimaryChip: string;
        } | null | undefined;
    } | null | undefined;
    id: string;
    businessId: string;
    profile: {
        code?: string | null | undefined;
        url?: string | null | undefined;
        description?: string | null | undefined;
        _id?: string | null | undefined;
        legalName?: string | null | undefined;
        sstRegNo?: string | null | undefined;
        discovery?: boolean | null | undefined;
        coverPhoto?: string | null | undefined;
        thumbnailPhoto?: string | null | undefined;
        photos?: string[] | null | undefined;
        operatingHours?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
        tags?: string[] | null | undefined;
        name: string;
        address: {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        };
        email: string;
        phoneNo: string;
        regNo: string;
    };
    paxDialog: boolean;
    acceptDineIn: boolean;
    acceptDelivery: boolean;
    acceptPickup: boolean;
    isMembershipEnabled: boolean;
}>;
export type RestaurantCustomerV2Dto = z.infer<typeof RestaurantCustomerV2Dto>;
export declare const RestaurantDto: z.ZodObject<{
    _id: z.ZodString;
    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    businessId: z.ZodString;
    expiredAt: z.ZodString;
    features: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNativeEnum<{
        stock: string;
        discovery: string;
        pickup: string;
        delivery: string;
        foodpanda: string;
        deliveryIntegration: string;
        kds: string;
        ods: string;
    }>, "many">>>>;
    profile: z.ZodObject<z.extendShape<{
        _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        name: z.ZodString;
        address: z.ZodObject<{
            line1: z.ZodString;
            line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            state: z.ZodString;
            city: z.ZodString;
            postcode: z.ZodString;
            country: z.ZodString;
            coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
        }, "strip", z.ZodTypeAny, {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        }, {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        }>;
        phoneNo: z.ZodString;
        email: z.ZodString;
        regNo: z.ZodString;
        legalName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        sstRegNo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        discovery: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        coverPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        thumbnailPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        operatingHours: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            0: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            1: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            2: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            3: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            4: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            5: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            6: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
        }, "strip", z.ZodTypeAny, {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        }, {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        }>>>;
        tags: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, {
        url: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
    }>, "strip", z.ZodTypeAny, {
        code?: string | null | undefined;
        _id?: string | null | undefined;
        description?: string | null | undefined;
        discovery?: boolean | null | undefined;
        legalName?: string | null | undefined;
        sstRegNo?: string | null | undefined;
        coverPhoto?: string | null | undefined;
        thumbnailPhoto?: string | null | undefined;
        photos?: string[] | null | undefined;
        operatingHours?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
        tags?: string[] | null | undefined;
        name: string;
        address: {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        };
        email: string;
        phoneNo: string;
        regNo: string;
        url: string | null;
    }, {
        code?: string | null | undefined;
        _id?: string | null | undefined;
        description?: string | null | undefined;
        discovery?: boolean | null | undefined;
        legalName?: string | null | undefined;
        sstRegNo?: string | null | undefined;
        coverPhoto?: string | null | undefined;
        thumbnailPhoto?: string | null | undefined;
        photos?: string[] | null | undefined;
        operatingHours?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
        tags?: string[] | null | undefined;
        url?: string | null | undefined;
        name: string;
        address: {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        };
        email: string;
        phoneNo: string;
        regNo: string;
    }>;
    dineIn: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
        anonymousOrder: z.ZodBoolean;
        staticQr: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
        offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            instruction: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            name: string;
            instruction: string;
        }, {
            name: string;
            instruction: string;
        }>, "many">>>;
        ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        disableItemRemark: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        acceptQueue: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    }, "strip", z.ZodTypeAny, {
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        ignoreStock?: boolean | null | undefined;
        staticQr?: boolean | null | undefined;
        disableItemRemark?: boolean | null | undefined;
        acceptQueue?: boolean | null | undefined;
        anonymousOrder: boolean;
    }, {
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        ignoreStock?: boolean | null | undefined;
        staticQr?: boolean | null | undefined;
        disableItemRemark?: boolean | null | undefined;
        acceptQueue?: boolean | null | undefined;
        anonymousOrder: boolean;
    }>>>>;
    pickup: z.ZodNullable<z.ZodOptional<z.ZodLazy<z.ZodObject<{
        pickupTime: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            day: z.ZodObject<{
                min: z.ZodNumber;
                max: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                max: number;
                min: number;
            }, {
                max: number;
                min: number;
            }>;
        }, "strip", z.ZodTypeAny, {
            day: {
                max: number;
                min: number;
            };
        }, {
            day: {
                max: number;
                min: number;
            };
        }>>>;
        pickupPointConfig: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            restaurantEnable: z.ZodBoolean;
            points: z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                address: z.ZodString;
                coordinates: z.ZodArray<z.ZodNumber, "many">;
            }, "strip", z.ZodTypeAny, {
                name: string;
                address: string;
                coordinates: number[];
            }, {
                name: string;
                address: string;
                coordinates: number[];
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            restaurantEnable: boolean;
            points: {
                name: string;
                address: string;
                coordinates: number[];
            }[];
        }, {
            restaurantEnable: boolean;
            points: {
                name: string;
                address: string;
                coordinates: number[];
            }[];
        }>>>;
        paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
        offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            instruction: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            name: string;
            instruction: string;
        }, {
            name: string;
            instruction: string;
        }>, "many">>>;
        catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        autoAccept: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        autoAcceptPaidOnly: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    }, "strip", z.ZodTypeAny, {
        catalogId?: string | null | undefined;
        autoAccept?: boolean | null | undefined;
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        autoAcceptPaidOnly?: boolean | null | undefined;
        ignoreStock?: boolean | null | undefined;
        pickupTime?: {
            day: {
                max: number;
                min: number;
            };
        } | null | undefined;
        pickupPointConfig?: {
            restaurantEnable: boolean;
            points: {
                name: string;
                address: string;
                coordinates: number[];
            }[];
        } | null | undefined;
    }, {
        catalogId?: string | null | undefined;
        autoAccept?: boolean | null | undefined;
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        autoAcceptPaidOnly?: boolean | null | undefined;
        ignoreStock?: boolean | null | undefined;
        pickupTime?: {
            day: {
                max: number;
                min: number;
            };
        } | null | undefined;
        pickupPointConfig?: {
            restaurantEnable: boolean;
            points: {
                name: string;
                address: string;
                coordinates: number[];
            }[];
        } | null | undefined;
    }>>>>;
}, "strip", z.ZodTypeAny, {
    pickup?: {
        catalogId?: string | null | undefined;
        autoAccept?: boolean | null | undefined;
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        autoAcceptPaidOnly?: boolean | null | undefined;
        ignoreStock?: boolean | null | undefined;
        pickupTime?: {
            day: {
                max: number;
                min: number;
            };
        } | null | undefined;
        pickupPointConfig?: {
            restaurantEnable: boolean;
            points: {
                name: string;
                address: string;
                coordinates: number[];
            }[];
        } | null | undefined;
    } | null | undefined;
    catalogId?: string | null | undefined;
    dineIn?: {
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        ignoreStock?: boolean | null | undefined;
        staticQr?: boolean | null | undefined;
        disableItemRemark?: boolean | null | undefined;
        acceptQueue?: boolean | null | undefined;
        anonymousOrder: boolean;
    } | null | undefined;
    _id: string;
    businessId: string;
    expiredAt: string;
    features: string[] | null;
    profile: {
        code?: string | null | undefined;
        _id?: string | null | undefined;
        description?: string | null | undefined;
        discovery?: boolean | null | undefined;
        legalName?: string | null | undefined;
        sstRegNo?: string | null | undefined;
        coverPhoto?: string | null | undefined;
        thumbnailPhoto?: string | null | undefined;
        photos?: string[] | null | undefined;
        operatingHours?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
        tags?: string[] | null | undefined;
        name: string;
        address: {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        };
        email: string;
        phoneNo: string;
        regNo: string;
        url: string | null;
    };
}, {
    pickup?: {
        catalogId?: string | null | undefined;
        autoAccept?: boolean | null | undefined;
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        autoAcceptPaidOnly?: boolean | null | undefined;
        ignoreStock?: boolean | null | undefined;
        pickupTime?: {
            day: {
                max: number;
                min: number;
            };
        } | null | undefined;
        pickupPointConfig?: {
            restaurantEnable: boolean;
            points: {
                name: string;
                address: string;
                coordinates: number[];
            }[];
        } | null | undefined;
    } | null | undefined;
    catalogId?: string | null | undefined;
    features?: string[] | null | undefined;
    dineIn?: {
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        ignoreStock?: boolean | null | undefined;
        staticQr?: boolean | null | undefined;
        disableItemRemark?: boolean | null | undefined;
        acceptQueue?: boolean | null | undefined;
        anonymousOrder: boolean;
    } | null | undefined;
    _id: string;
    businessId: string;
    expiredAt: string;
    profile: {
        code?: string | null | undefined;
        _id?: string | null | undefined;
        description?: string | null | undefined;
        discovery?: boolean | null | undefined;
        legalName?: string | null | undefined;
        sstRegNo?: string | null | undefined;
        coverPhoto?: string | null | undefined;
        thumbnailPhoto?: string | null | undefined;
        photos?: string[] | null | undefined;
        operatingHours?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
        tags?: string[] | null | undefined;
        url?: string | null | undefined;
        name: string;
        address: {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        };
        email: string;
        phoneNo: string;
        regNo: string;
    };
}>;
export declare const RestaurantCustomerKioskDto: z.ZodObject<{
    _id: z.ZodString;
    businessId: z.ZodString;
    takeaway: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        catalogId?: string | null | undefined;
    }, {
        catalogId?: string | null | undefined;
    }>>>;
    paxDialog: z.ZodBoolean;
    catalogId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    profile: z.ZodObject<{
        _id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        name: z.ZodString;
        address: z.ZodObject<{
            line1: z.ZodString;
            line2: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            state: z.ZodString;
            city: z.ZodString;
            postcode: z.ZodString;
            country: z.ZodString;
            coordinates: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
        }, "strip", z.ZodTypeAny, {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        }, {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        }>;
        phoneNo: z.ZodString;
        email: z.ZodString;
        regNo: z.ZodString;
        legalName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        sstRegNo: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        discovery: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        coverPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        thumbnailPhoto: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        description: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        photos: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        operatingHours: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            0: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            1: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            2: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            3: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            4: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            5: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
            6: z.ZodObject<{
                enable: z.ZodBoolean;
                hours: z.ZodArray<z.ZodObject<{
                    start: z.ZodString;
                    end: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    end: string;
                    start: string;
                }, {
                    end: string;
                    start: string;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }, {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            }>;
        }, "strip", z.ZodTypeAny, {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        }, {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        }>>>;
        tags: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
        url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        code?: string | null | undefined;
        url?: string | null | undefined;
        description?: string | null | undefined;
        _id?: string | null | undefined;
        legalName?: string | null | undefined;
        sstRegNo?: string | null | undefined;
        discovery?: boolean | null | undefined;
        coverPhoto?: string | null | undefined;
        thumbnailPhoto?: string | null | undefined;
        photos?: string[] | null | undefined;
        operatingHours?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
        tags?: string[] | null | undefined;
        name: string;
        address: {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        };
        email: string;
        phoneNo: string;
        regNo: string;
    }, {
        code?: string | null | undefined;
        url?: string | null | undefined;
        description?: string | null | undefined;
        _id?: string | null | undefined;
        legalName?: string | null | undefined;
        sstRegNo?: string | null | undefined;
        discovery?: boolean | null | undefined;
        coverPhoto?: string | null | undefined;
        thumbnailPhoto?: string | null | undefined;
        photos?: string[] | null | undefined;
        operatingHours?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
        tags?: string[] | null | undefined;
        name: string;
        address: {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        };
        email: string;
        phoneNo: string;
        regNo: string;
    }>;
    acceptDineIn: z.ZodBoolean;
    dineIn: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        anonymousOrder: z.ZodBoolean;
        staticQr: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodEnum<["cash", "ePayment", "credit", "ePaymentSandbox"]>, "many">>>;
        offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            instruction: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            name: string;
            instruction: string;
        }, {
            name: string;
            instruction: string;
        }>, "many">>>;
        ignoreStock: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        disableItemRemark: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        acceptQueue: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    }, "strip", z.ZodTypeAny, {
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        ignoreStock?: boolean | null | undefined;
        staticQr?: boolean | null | undefined;
        disableItemRemark?: boolean | null | undefined;
        acceptQueue?: boolean | null | undefined;
        anonymousOrder: boolean;
    }, {
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        ignoreStock?: boolean | null | undefined;
        staticQr?: boolean | null | undefined;
        disableItemRemark?: boolean | null | undefined;
        acceptQueue?: boolean | null | undefined;
        anonymousOrder: boolean;
    }>>>;
    upsellingSettings: z.ZodNullable<z.ZodOptional<z.ZodDefault<z.ZodObject<{
        recommandation: z.ZodBoolean;
        item: z.ZodBoolean;
        checkout: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    }, {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    }>>>>;
    kioskSettings: z.ZodNullable<z.ZodOptional<z.ZodDefault<z.ZodObject<{
        dineIn: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            requiredSlot: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            pickUp: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                enabled: z.ZodBoolean;
                enablePaxDialog: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                    paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            }, {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            }>>>;
            displayStand: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                enabled: z.ZodDefault<z.ZodBoolean>;
                standSlotRange: z.ZodEffects<z.ZodObject<{
                    min: z.ZodNumber;
                    max: z.ZodNumber;
                }, "strip", z.ZodTypeAny, {
                    min: number;
                    max: number;
                }, {
                    min: number;
                    max: number;
                }>, {
                    min: number;
                    max: number;
                }, {
                    min: number;
                    max: number;
                }>;
                prefix: z.ZodDefault<z.ZodNullable<z.ZodOptional<z.ZodString>>>;
                padDigit: z.ZodNumber;
                enablePaxDialog: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
                submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                    payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                    paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                }, "strip", z.ZodTypeAny, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }, {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                }>>>;
            }, "strip", z.ZodTypeAny, {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
            }, {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
            } | null | undefined;
        }, {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            } | null | undefined;
        }>>>;
        canTakeaway: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
        takeaway: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            submitOrderInstruction: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                payAtCounter: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
                paid: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>>;
            }, "strip", z.ZodTypeAny, {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            }, {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        }, {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        }>>>;
        paymentSetting: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            paymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodEnum<["cash", "ePayment", "ePaymentNonPayout", "credit", "ePaymentSandbox"]>>, "many">>>;
            offlinePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodLazy<z.ZodObject<{
                name: z.ZodString;
                instruction: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                name: string;
                instruction: string;
            }, {
                name: string;
                instruction: string;
            }>>, "many">>>;
            ePaymentTypes: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                card: z.ZodObject<{
                    terminal: z.ZodDefault<z.ZodBoolean>;
                    nfc: z.ZodDefault<z.ZodBoolean>;
                }, "strip", z.ZodTypeAny, {
                    terminal: boolean;
                    nfc: boolean;
                }, {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                }>;
                eWallet: z.ZodObject<{
                    qrPay: z.ZodDefault<z.ZodBoolean>;
                    scanPay: z.ZodDefault<z.ZodBoolean>;
                }, "strip", z.ZodTypeAny, {
                    qrPay: boolean;
                    scanPay: boolean;
                }, {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                }>;
            }, "strip", z.ZodTypeAny, {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            }, {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            }>>>;
        }, "strip", z.ZodTypeAny, {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            } | null | undefined;
        }, {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            } | null | undefined;
        }>>>;
        menuItem: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            showAllOnly: z.ZodBoolean;
        }, "strip", z.ZodTypeAny, {
            showAllOnly: boolean;
        }, {
            showAllOnly: boolean;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    }, {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    }>>>>;
    paymentGateways: z.ZodArray<z.ZodDiscriminatedUnion<"paymentGateway", z.Primitive, z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        _rev: z.ZodString;
        paymentGateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        active: z.ZodBoolean;
    }, {
        paymentGateway: z.ZodLiteral<"REVENUE_MONSTER">;
        config: z.ZodObject<{
            clientId: z.ZodString;
            clientPrivateKey: z.ZodString;
            clientSecret: z.ZodString;
            storeId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            clientId: string;
            clientPrivateKey: string;
            clientSecret: string;
            storeId: string;
        }, {
            clientId: string;
            clientPrivateKey: string;
            clientSecret: string;
            storeId: string;
        }>;
    }>, "strip", z.ZodTypeAny, {
        _id: string;
        _rev: string;
        paymentGateway: "REVENUE_MONSTER";
        active: boolean;
        config: {
            clientId: string;
            clientPrivateKey: string;
            clientSecret: string;
            storeId: string;
        };
    }, {
        _id: string;
        _rev: string;
        paymentGateway: "REVENUE_MONSTER";
        active: boolean;
        config: {
            clientId: string;
            clientPrivateKey: string;
            clientSecret: string;
            storeId: string;
        };
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        _rev: z.ZodString;
        paymentGateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        active: z.ZodBoolean;
    }, {
        paymentGateway: z.ZodLiteral<"RAZER_MERCHANT_SERVICE">;
        config: z.ZodObject<{
            uniqueId: z.ZodString;
            merchantId: z.ZodString;
            secretKey: z.ZodString;
            verifyKey: z.ZodString;
            applicationCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            offlineSecret: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        }, "strip", z.ZodTypeAny, {
            applicationCode?: string | null | undefined;
            offlineSecret?: string | null | undefined;
            uniqueId: string;
            merchantId: string;
            secretKey: string;
            verifyKey: string;
        }, {
            applicationCode?: string | null | undefined;
            offlineSecret?: string | null | undefined;
            uniqueId: string;
            merchantId: string;
            secretKey: string;
            verifyKey: string;
        }>;
    }>, "strip", z.ZodTypeAny, {
        _id: string;
        _rev: string;
        paymentGateway: "RAZER_MERCHANT_SERVICE";
        active: boolean;
        config: {
            applicationCode?: string | null | undefined;
            offlineSecret?: string | null | undefined;
            uniqueId: string;
            merchantId: string;
            secretKey: string;
            verifyKey: string;
        };
    }, {
        _id: string;
        _rev: string;
        paymentGateway: "RAZER_MERCHANT_SERVICE";
        active: boolean;
        config: {
            applicationCode?: string | null | undefined;
            offlineSecret?: string | null | undefined;
            uniqueId: string;
            merchantId: string;
            secretKey: string;
            verifyKey: string;
        };
    }> | z.ZodObject<z.extendShape<{
        _id: z.ZodString;
        _rev: z.ZodString;
        paymentGateway: z.ZodEnum<["FEEDME", "FEEDME_TERMINAL", "REVENUE_MONSTER", "E_GHL", "RAZER_MERCHANT_SERVICE", "MACAU_PASS"]>;
        active: z.ZodBoolean;
    }, {
        paymentGateway: z.ZodLiteral<"E_GHL">;
        config: z.ZodObject<{
            merchantId: z.ZodString;
            terminalId: z.ZodString;
            privateKey: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            merchantId: string;
            terminalId: string;
            privateKey: string;
        }, {
            merchantId: string;
            terminalId: string;
            privateKey: string;
        }>;
    }>, "strip", z.ZodTypeAny, {
        _id: string;
        _rev: string;
        paymentGateway: "E_GHL";
        active: boolean;
        config: {
            merchantId: string;
            terminalId: string;
            privateKey: string;
        };
    }, {
        _id: string;
        _rev: string;
        paymentGateway: "E_GHL";
        active: boolean;
        config: {
            merchantId: string;
            terminalId: string;
            privateKey: string;
        };
    }>>, "many">;
    posHeartbeat: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    catalogId?: string | null | undefined;
    dineIn?: {
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        ignoreStock?: boolean | null | undefined;
        staticQr?: boolean | null | undefined;
        disableItemRemark?: boolean | null | undefined;
        acceptQueue?: boolean | null | undefined;
        anonymousOrder: boolean;
    } | null | undefined;
    takeaway?: {
        catalogId?: string | null | undefined;
    } | null | undefined;
    posHeartbeat?: string | null | undefined;
    upsellingSettings?: {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    } | null | undefined;
    kioskSettings?: {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                prefix: string | null;
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal: boolean;
                    nfc: boolean;
                };
                eWallet: {
                    qrPay: boolean;
                    scanPay: boolean;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    } | null | undefined;
    _id: string;
    businessId: string;
    profile: {
        code?: string | null | undefined;
        url?: string | null | undefined;
        description?: string | null | undefined;
        _id?: string | null | undefined;
        legalName?: string | null | undefined;
        sstRegNo?: string | null | undefined;
        discovery?: boolean | null | undefined;
        coverPhoto?: string | null | undefined;
        thumbnailPhoto?: string | null | undefined;
        photos?: string[] | null | undefined;
        operatingHours?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
        tags?: string[] | null | undefined;
        name: string;
        address: {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        };
        email: string;
        phoneNo: string;
        regNo: string;
    };
    paxDialog: boolean;
    acceptDineIn: boolean;
    paymentGateways: ({
        _id: string;
        _rev: string;
        paymentGateway: "REVENUE_MONSTER";
        active: boolean;
        config: {
            clientId: string;
            clientPrivateKey: string;
            clientSecret: string;
            storeId: string;
        };
    } | {
        _id: string;
        _rev: string;
        paymentGateway: "RAZER_MERCHANT_SERVICE";
        active: boolean;
        config: {
            applicationCode?: string | null | undefined;
            offlineSecret?: string | null | undefined;
            uniqueId: string;
            merchantId: string;
            secretKey: string;
            verifyKey: string;
        };
    } | {
        _id: string;
        _rev: string;
        paymentGateway: "E_GHL";
        active: boolean;
        config: {
            merchantId: string;
            terminalId: string;
            privateKey: string;
        };
    })[];
}, {
    catalogId?: string | null | undefined;
    dineIn?: {
        paymentTypes?: ("cash" | "ePayment" | "credit" | "ePaymentSandbox")[] | null | undefined;
        offlinePaymentTypes?: {
            name: string;
            instruction: string;
        }[] | null | undefined;
        ignoreStock?: boolean | null | undefined;
        staticQr?: boolean | null | undefined;
        disableItemRemark?: boolean | null | undefined;
        acceptQueue?: boolean | null | undefined;
        anonymousOrder: boolean;
    } | null | undefined;
    takeaway?: {
        catalogId?: string | null | undefined;
    } | null | undefined;
    posHeartbeat?: string | null | undefined;
    upsellingSettings?: {
        recommandation: boolean;
        item: boolean;
        checkout: boolean;
    } | null | undefined;
    kioskSettings?: {
        dineIn?: {
            requiredSlot?: boolean | null | undefined;
            pickUp?: {
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                enabled: boolean;
            } | null | undefined;
            displayStand?: {
                enabled?: boolean | undefined;
                prefix?: string | null | undefined;
                enablePaxDialog?: boolean | null | undefined;
                submitOrderInstruction?: {
                    payAtCounter?: Record<string, string> | null | undefined;
                    paid?: Record<string, string> | null | undefined;
                } | null | undefined;
                standSlotRange: {
                    min: number;
                    max: number;
                };
                padDigit: number;
            } | null | undefined;
        } | null | undefined;
        canTakeaway?: boolean | null | undefined;
        takeaway?: {
            submitOrderInstruction?: {
                payAtCounter?: Record<string, string> | null | undefined;
                paid?: Record<string, string> | null | undefined;
            } | null | undefined;
        } | null | undefined;
        paymentSetting?: {
            paymentTypes?: ("cash" | "ePayment" | "ePaymentNonPayout" | "credit" | "ePaymentSandbox")[] | null | undefined;
            offlinePaymentTypes?: {
                name: string;
                instruction: string;
            }[] | null | undefined;
            ePaymentTypes?: {
                card: {
                    terminal?: boolean | undefined;
                    nfc?: boolean | undefined;
                };
                eWallet: {
                    qrPay?: boolean | undefined;
                    scanPay?: boolean | undefined;
                };
            } | null | undefined;
        } | null | undefined;
        menuItem?: {
            showAllOnly: boolean;
        } | null | undefined;
    } | null | undefined;
    _id: string;
    businessId: string;
    profile: {
        code?: string | null | undefined;
        url?: string | null | undefined;
        description?: string | null | undefined;
        _id?: string | null | undefined;
        legalName?: string | null | undefined;
        sstRegNo?: string | null | undefined;
        discovery?: boolean | null | undefined;
        coverPhoto?: string | null | undefined;
        thumbnailPhoto?: string | null | undefined;
        photos?: string[] | null | undefined;
        operatingHours?: {
            0: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            2: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            1: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            3: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            4: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            5: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
            6: {
                hours: {
                    end: string;
                    start: string;
                }[];
                enable: boolean;
            };
        } | null | undefined;
        tags?: string[] | null | undefined;
        name: string;
        address: {
            coordinates?: number[] | null | undefined;
            line2?: string | null | undefined;
            state: string;
            country: string;
            line1: string;
            city: string;
            postcode: string;
        };
        email: string;
        phoneNo: string;
        regNo: string;
    };
    paxDialog: boolean;
    acceptDineIn: boolean;
    paymentGateways: ({
        _id: string;
        _rev: string;
        paymentGateway: "REVENUE_MONSTER";
        active: boolean;
        config: {
            clientId: string;
            clientPrivateKey: string;
            clientSecret: string;
            storeId: string;
        };
    } | {
        _id: string;
        _rev: string;
        paymentGateway: "RAZER_MERCHANT_SERVICE";
        active: boolean;
        config: {
            applicationCode?: string | null | undefined;
            offlineSecret?: string | null | undefined;
            uniqueId: string;
            merchantId: string;
            secretKey: string;
            verifyKey: string;
        };
    } | {
        _id: string;
        _rev: string;
        paymentGateway: "E_GHL";
        active: boolean;
        config: {
            merchantId: string;
            terminalId: string;
            privateKey: string;
        };
    })[];
}>;
export type RestaurantCustomerKioskDto = z.infer<typeof RestaurantCustomerKioskDto>;
export type RestaurantDto = z.infer<typeof RestaurantDto>;
